'use strict';

var ngApp = angular.module('myNgApp', ['ngSanitize']);

ngApp.controller('AppCtrl', ['$scope', '$http', '$timeout', '$sce', function($scope, $http, $timeout, $sce)
{
  $scope.showPageNoDiv = true;
  $scope.documents = [];
  $scope.document = {};
  $scope.pageQueue = [];
  $scope.noOfPageToLoad = 2;
  $scope.references = [];
  $scope.statusFilters = [{id: 0, name: 'All Status'}, {id: 1, name: 'Mandatory'}, {id: 2, name: 'Voluntary'}];
  $scope.tagStatusFilters = [{id: 0, name: 'All Tags'}, {id: 1, name: 'Used Tags'}, {id: 2, name: 'Unused Tags'}];
  $scope.filter = {};
  $scope.filter.status = 0;
  $scope.filter.tagStatus = 0;
  $scope.filter.exactMatch = false;
  $scope.filter.textBlock = false;
  $scope.filter.showSecondaryLabel = false;
  $scope.filter.highlightTextBlock = true;
  $scope.filterData = [];
  $scope.triggerFocused = false;
  $scope.triggerFocusedElement = "";

  $scope.viewerData = [{"EntityName":"Hansa Biopharma AB","DocumentName":"Annual Report_12/31/2022","FileName":"549300LLEO25ZJJ3NT91-2022-12-31-en.zip","Version":25,"RoundVersion":10,"HasSecoundaryLang":false,"IsPortalEnabled":"true","IsBrandingEnabled":"true","IsBrandingEnabledInViewer":"false","LogoName":"ToppanMerrill_Logo.png","EntityGeography":5}];
  $scope.factData = [{"Id":3642872,"FileId":7831,"Sequence":1,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"dfc59751-acbe-4f3b-81b1-24eb2f131879","ElementType":1,"TagName":"ifrs-full:IntangibleAssetsAndGoodwill","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"46,866","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Intangible assets and goodwill","Documentation":"The amount of intangible assets and goodwill held by the entity. [Refer: Goodwill; Intangible assets other than goodwill]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642886,"FileId":7831,"Sequence":2,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"f1fb9efa-40a9-4126-b89e-34740c810285","ElementType":1,"TagName":"ifrs-full:IntangibleAssetsAndGoodwill","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"28,761","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Intangible assets and goodwill","Documentation":"The amount of intangible assets and goodwill held by the entity. [Refer: Goodwill; Intangible assets other than goodwill]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642898,"FileId":7831,"Sequence":3,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"370d90d3-350e-4e27-b80f-dc21ccb7f551","ElementType":1,"TagName":"ifrs-full:PropertyPlantAndEquipment","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"8,113","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Property, plant and equipment","Documentation":"The amount of tangible assets that: (a) are held for use in the production or supply of goods or services, for rental to others, or for administrative purposes; and (b) are expected to be used during more than one period.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642899,"FileId":7831,"Sequence":4,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"2d80aae2-e3ee-400a-8257-6dc17735215c","ElementType":1,"TagName":"ifrs-full:PropertyPlantAndEquipment","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"6,432","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Property, plant and equipment","Documentation":"The amount of tangible assets that: (a) are held for use in the production or supply of goods or services, for rental to others, or for administrative purposes; and (b) are expected to be used during more than one period.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642900,"FileId":7831,"Sequence":5,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"3401f760-3997-4f1a-a607-38c2f2b0d1ab","ElementType":1,"TagName":"ifrs-full:RightofuseAssets","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"27,723","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Right-of-use assets","Documentation":"The amount of assets that represent a lessee's right to use an underlying asset for the lease term. Underlying asset is an asset that is the subject of a lease, for which the right to use that asset has been provided by a lessor to a lessee.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642925,"FileId":7831,"Sequence":6,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"daecb1c0-069f-4dcd-a44b-6371410936c6","ElementType":1,"TagName":"ifrs-full:RightofuseAssets","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"35,273","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Right-of-use assets","Documentation":"The amount of assets that represent a lessee's right to use an underlying asset for the lease term. Underlying asset is an asset that is the subject of a lease, for which the right to use that asset has been provided by a lessor to a lessee.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642926,"FileId":7831,"Sequence":7,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"8c8f0cb6-c224-4e7a-bb1d-3c671fcf0876","ElementType":1,"TagName":"ifrs-full:NoncurrentAssets","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"82,702","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Non-current assets","Documentation":"The amount of assets that do not meet the definition of current assets. [Refer: Current assets]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642927,"FileId":7831,"Sequence":8,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"3e23a5ab-fca3-401f-9afa-61fe3a8d3b60","ElementType":1,"TagName":"ifrs-full:NoncurrentAssets","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"70,466","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Non-current assets","Documentation":"The amount of assets that do not meet the definition of current assets. [Refer: Current assets]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642928,"FileId":7831,"Sequence":9,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"8d6dea40-e0f2-4ec9-967e-ec82624dda97","ElementType":1,"TagName":"ifrs-full:Inventories","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"973","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Current inventories","Documentation":"The amount of current inventories. [Refer: Inventories]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642929,"FileId":7831,"Sequence":10,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"f08ec47e-8bcc-442a-92da-8c66fb1c8bad","ElementType":1,"TagName":"ifrs-full:Inventories","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"242","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Current inventories","Documentation":"The amount of current inventories. [Refer: Inventories]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642930,"FileId":7831,"Sequence":11,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"07131c0f-586b-48dd-868a-e41172d1bce3","ElementType":1,"TagName":"ifrs-full:CurrentTradeReceivables","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"42,959","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Current trade receivables","Documentation":"The amount of current trade receivables. [Refer: Trade receivables]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642931,"FileId":7831,"Sequence":12,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"33996289-30fe-4f7a-b044-642651ab17f4","ElementType":1,"TagName":"ifrs-full:CurrentTradeReceivables","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"9,712","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Current trade receivables","Documentation":"The amount of current trade receivables. [Refer: Trade receivables]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642932,"FileId":7831,"Sequence":13,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"12abe05f-b26d-4eaf-ab26-5e988d32eea5","ElementType":1,"TagName":"ifrs-full:CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"33,278","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Current prepayments and current accrued income other than current contract assets","Documentation":"The amount of current prepayments and current accrued income, other than current contract assets. [Refer: Prepayments; Accrued income other than contract assets]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642933,"FileId":7831,"Sequence":14,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"cd532d5e-6788-4091-975a-d426e706ed1b","ElementType":1,"TagName":"ifrs-full:CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"20,889","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Current prepayments and current accrued income other than current contract assets","Documentation":"The amount of current prepayments and current accrued income, other than current contract assets. [Refer: Prepayments; Accrued income other than contract assets]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642935,"FileId":7831,"Sequence":15,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"696d0642-1f43-44c0-a7fb-362af2f9a091","ElementType":1,"TagName":"ifrs-full:OtherCurrentReceivables","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"31,315","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other current receivables","Documentation":"The amount of current other receivables. [Refer: Other receivables]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642945,"FileId":7831,"Sequence":16,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"e0899377-d331-4b2b-b381-8bbcc14e76f0","ElementType":1,"TagName":"ifrs-full:OtherCurrentReceivables","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"22,538","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other current receivables","Documentation":"The amount of current other receivables. [Refer: Other receivables]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642936,"FileId":7831,"Sequence":17,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"44c9de9a-1eac-4d26-b133-32069bf64563","ElementType":1,"TagName":"ifrs-full:CurrentInvestments","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Current investments","Documentation":"The amount of current investments.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642937,"FileId":7831,"Sequence":18,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"1f411da3-aced-41eb-9394-ac889b57c35c","ElementType":1,"TagName":"ifrs-full:CurrentInvestments","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"237,619","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Current investments","Documentation":"The amount of current investments.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642938,"FileId":7831,"Sequence":19,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"eae73ed1-98bc-4cf1-bfe6-319083d98b6d","ElementType":1,"TagName":"ifrs-full:CashAndCashEquivalents","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,496,179","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Cash and cash equivalents","Documentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642939,"FileId":7831,"Sequence":20,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"b586187f-cdc6-4c40-8e55-449abf90c61a","ElementType":1,"TagName":"ifrs-full:CashAndCashEquivalents","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"651,342","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Cash and cash equivalents","Documentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642940,"FileId":7831,"Sequence":21,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"64abe660-7970-4cee-95c3-67881567ce40","ElementType":1,"TagName":"ifrs-full:CurrentAssets","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,604,704","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Current assets","Documentation":"The amount of assets that the entity (a) expects to realise or intends to sell or consume in its normal operating cycle; (b) holds primarily for the purpose of trading; (c) expects to realise within twelve months after the reporting period; or (d) classifies as cash or cash equivalents (as defined in IAS 7) unless the asset is restricted from being exchanged or used to settle a liability for at least twelve months after the reporting period. [Refer: Assets]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642941,"FileId":7831,"Sequence":22,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"f54c985a-34c8-49be-8abf-d4832fd78e1a","ElementType":1,"TagName":"ifrs-full:CurrentAssets","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"942,342","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Current assets","Documentation":"The amount of assets that the entity (a) expects to realise or intends to sell or consume in its normal operating cycle; (b) holds primarily for the purpose of trading; (c) expects to realise within twelve months after the reporting period; or (d) classifies as cash or cash equivalents (as defined in IAS 7) unless the asset is restricted from being exchanged or used to settle a liability for at least twelve months after the reporting period. [Refer: Assets]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642942,"FileId":7831,"Sequence":23,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"a5c97e1a-81ad-4780-8d55-f567ca8ca57a","ElementType":1,"TagName":"ifrs-full:Assets","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,687,406","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Assets","Documentation":"The amount of a present economic resource controlled by the entity as a result of past events. Economic resource is a right that has the potential to produce economic benefits.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642943,"FileId":7831,"Sequence":24,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"53225e96-5ca4-4cd5-9899-cefcfd781e07","ElementType":1,"TagName":"ifrs-full:Assets","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,012,808","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Assets","Documentation":"The amount of a present economic resource controlled by the entity as a result of past events. Economic resource is a right that has the potential to produce economic benefits.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642944,"FileId":7831,"Sequence":25,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"4713cf64-a854-4bba-9899-0287476b7992","ElementType":1,"TagName":"ifrs-full:IssuedCapital","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"55,034","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Issued capital","Documentation":"The nominal value of capital issued.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642924,"FileId":7831,"Sequence":26,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"77bb40e4-1a81-4f74-90db-2bba405bd45c","ElementType":1,"TagName":"ifrs-full:IssuedCapital","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"46,335","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Issued capital","Documentation":"The nominal value of capital issued.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642934,"FileId":7831,"Sequence":27,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"a0540e82-82be-48fa-b770-ab55346d0a80","ElementType":1,"TagName":"ifrs-full:SharePremium","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"3,021,541","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Share premium","Documentation":"The amount received or receivable from the issuance of the entity's shares in excess of nominal value.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642923,"FileId":7831,"Sequence":28,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"646a80c1-8833-4ee4-abc0-6937eac81479","ElementType":1,"TagName":"ifrs-full:SharePremium","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"2,572,925","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Share premium","Documentation":"The amount received or receivable from the issuance of the entity's shares in excess of nominal value.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642910,"FileId":7831,"Sequence":29,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"20b71c01-d46e-4b88-a23d-aa327a2350e8","ElementType":1,"TagName":"ifrs-full:TreasuryShares","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"2,590","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Treasury shares","Documentation":"An entity’s own equity instruments, held by the entity or other members of the consolidated group.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642901,"FileId":7831,"Sequence":30,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"d6c5535c-94cb-48fd-9d6d-d1890862ceb8","ElementType":1,"TagName":"ifrs-full:TreasuryShares","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,862","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Treasury shares","Documentation":"An entity’s own equity instruments, held by the entity or other members of the consolidated group.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642902,"FileId":7831,"Sequence":31,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"19b0ad05-5784-4993-8288-d814acbb82ae","ElementType":1,"TagName":"ifrs-full:OtherReserves","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"13","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other reserves","Documentation":"A component of equity representing reserves within equity, not including retained earnings. [Refer: Retained earnings]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642903,"FileId":7831,"Sequence":32,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"47a9fe4d-cf37-4855-a733-b7b7b3b7bb0e","ElementType":1,"TagName":"ifrs-full:OtherReserves","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"127","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other reserves","Documentation":"A component of equity representing reserves within equity, not including retained earnings. [Refer: Retained earnings]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642904,"FileId":7831,"Sequence":33,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"404e5830-34d6-42c5-b8e0-f9c09f040b80","ElementType":1,"TagName":"ifrs-full:RetainedEarnings","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"2,471,087","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Retained earnings","Documentation":"A component of equity representing the entity's cumulative undistributed earnings or deficit.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642905,"FileId":7831,"Sequence":34,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"bb6431b5-3d4e-4189-b890-c6be08c55d02","ElementType":1,"TagName":"ifrs-full:RetainedEarnings","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,859,953","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Retained earnings","Documentation":"A component of equity representing the entity's cumulative undistributed earnings or deficit.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642906,"FileId":7831,"Sequence":35,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"78409941-e08f-43ca-ac93-74c4aa38929e","ElementType":1,"TagName":"ifrs-full:EquityAttributableToOwnersOfParent","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"602,912","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Equity attributable to owners of parent","Documentation":"The amount of equity attributable to the owners of the parent. This specifically excludes non-controlling interest.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642907,"FileId":7831,"Sequence":36,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"95365235-35c1-4529-a728-86f15f74066f","ElementType":1,"TagName":"ifrs-full:EquityAttributableToOwnersOfParent","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"757,573","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Equity attributable to owners of parent","Documentation":"The amount of equity attributable to the owners of the parent. This specifically excludes non-controlling interest.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642908,"FileId":7831,"Sequence":37,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"c3ed6245-a111-42b7-84a7-cba00792e527","ElementType":1,"TagName":"ifrs-full:LongtermBorrowings","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"762,601","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Non-current portion of non-current borrowings","Documentation":"The non-current portion of non-current borrowings. [Refer: Borrowings]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642909,"FileId":7831,"Sequence":38,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"73f725f6-dc0c-4284-bcc0-38e49bd6bbb3","ElementType":1,"TagName":"ifrs-full:LongtermBorrowings","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Non-current portion of non-current borrowings","Documentation":"The non-current portion of non-current borrowings. [Refer: Borrowings]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642911,"FileId":7831,"Sequence":39,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"7e85da79-7229-49fc-b32d-b8f9a17edd60","ElementType":1,"TagName":"ifrs-full:NoncurrentLeaseLiabilities","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"21,326","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Non-current lease liabilities","Documentation":"The amount of non-current lease liabilities. [Refer: Lease liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642921,"FileId":7831,"Sequence":40,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"31971c03-9811-4edf-a174-a6637df1cf31","ElementType":1,"TagName":"ifrs-full:NoncurrentLeaseLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"28,491","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Non-current lease liabilities","Documentation":"The amount of non-current lease liabilities. [Refer: Lease liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642912,"FileId":7831,"Sequence":41,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"88716679-17f7-4aa5-bf51-c87d1b4b2dcb","ElementType":1,"TagName":"ifrs-full:NoncurrentDeferredIncomeOtherThanNoncurrentContractLiabilities","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"29,500","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Non-current deferred income other than non-current contract liabilities","Documentation":"The amount of non-current deferred income other than non-current contract liabilities. [Refer: Deferred income other than contract liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642913,"FileId":7831,"Sequence":42,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"4f123364-db33-4572-a5ff-39f381d6a5cd","ElementType":1,"TagName":"ifrs-full:NoncurrentDeferredIncomeOtherThanNoncurrentContractLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"47,020","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Non-current deferred income other than non-current contract liabilities","Documentation":"The amount of non-current deferred income other than non-current contract liabilities. [Refer: Deferred income other than contract liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642914,"FileId":7831,"Sequence":43,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"dd9672f5-3c49-4e48-bde0-c60666b0f941","ElementType":1,"TagName":"ifrs-full:OtherNoncurrentLiabilities","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"757","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other non-current liabilities","Documentation":"The amount of non-current liabilities that the entity does not separately disclose in the same statement or note. [Refer: Non-current liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642915,"FileId":7831,"Sequence":44,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"cd51baa3-bc3c-471c-bd9d-5ce12bbbf32c","ElementType":1,"TagName":"ifrs-full:OtherNoncurrentLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"722","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other non-current liabilities","Documentation":"The amount of non-current liabilities that the entity does not separately disclose in the same statement or note. [Refer: Non-current liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642916,"FileId":7831,"Sequence":45,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"d3189e34-f66e-455d-8b01-a1608ae94a2d","ElementType":1,"TagName":"ifrs-full:NoncurrentProvisions","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"5,192","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Non-current provisions","Documentation":"The amount of non-current provisions, including provisions for employee benefits. [Refer: Provisions]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642917,"FileId":7831,"Sequence":46,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"09120fc8-c97a-4e2b-851d-32012399fa2a","ElementType":1,"TagName":"ifrs-full:NoncurrentProvisions","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"7,357","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Non-current provisions","Documentation":"The amount of non-current provisions, including provisions for employee benefits. [Refer: Provisions]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642918,"FileId":7831,"Sequence":47,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"d773d9ac-c4e8-4d26-a031-fa42d8f4a845","ElementType":1,"TagName":"ifrs-full:DeferredTaxLiabilities","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"405","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Deferred tax liabilities","Documentation":"The amounts of income taxes payable in future periods in respect of taxable temporary differences. [Refer: Temporary differences [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642919,"FileId":7831,"Sequence":48,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"4a308453-823e-43b8-ac24-796801e27ef5","ElementType":1,"TagName":"ifrs-full:DeferredTaxLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"426","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Deferred tax liabilities","Documentation":"The amounts of income taxes payable in future periods in respect of taxable temporary differences. [Refer: Temporary differences [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642920,"FileId":7831,"Sequence":49,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"465ed73f-4303-4646-9b87-5a6d0d228002","ElementType":1,"TagName":"ifrs-full:NoncurrentLiabilities","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"819,781","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Non-current liabilities","Documentation":"The amount of liabilities that do not meet the definition of current liabilities. [Refer: Current liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642853,"FileId":7831,"Sequence":50,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"682ca211-54b4-4130-932b-8b96bb412f82","ElementType":1,"TagName":"ifrs-full:NoncurrentLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"84,016","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Non-current liabilities","Documentation":"The amount of liabilities that do not meet the definition of current liabilities. [Refer: Current liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642922,"FileId":7831,"Sequence":51,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"4bf83446-2be6-4c15-b99e-80e66ceb5178","ElementType":1,"TagName":"ifrs-full:CurrentTaxLiabilitiesCurrent","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"604","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Current tax liabilities, current","Documentation":"The current amount of current tax liabilities. [Refer: Current tax liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642852,"FileId":7831,"Sequence":52,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"f99ada38-0ebb-44f8-9356-5c4dc9111dad","ElementType":1,"TagName":"ifrs-full:CurrentTaxLiabilitiesCurrent","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Current tax liabilities, current","Documentation":"The current amount of current tax liabilities. [Refer: Current tax liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642827,"FileId":7831,"Sequence":53,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"be495975-5306-4aa2-8809-896811a0acf5","ElementType":1,"TagName":"ifrs-full:CurrentLeaseLiabilities","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"7,165","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Current lease liabilities","Documentation":"The amount of current lease liabilities. [Refer: Lease liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642782,"FileId":7831,"Sequence":54,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"4d23f414-1b85-4476-902c-0c8974efe84d","ElementType":1,"TagName":"ifrs-full:CurrentLeaseLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"6,888","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Current lease liabilities","Documentation":"The amount of current lease liabilities. [Refer: Lease liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642783,"FileId":7831,"Sequence":55,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"c10ca7e1-1f6d-4fef-ae93-915fd38f020d","ElementType":1,"TagName":"ifrs-full:TradeAndOtherCurrentPayables","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"62,476","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Trade and other current payables","Documentation":"The amount of current trade payables and current other payables. [Refer: Current trade payables; Other current payables]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642784,"FileId":7831,"Sequence":56,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"6a68ace8-d0fc-45b4-9a61-da62007dd73d","ElementType":1,"TagName":"ifrs-full:TradeAndOtherCurrentPayables","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"53,360","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Trade and other current payables","Documentation":"The amount of current trade payables and current other payables. [Refer: Current trade payables; Other current payables]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642785,"FileId":7831,"Sequence":57,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"83898863-a817-42f7-a9d3-4221bb7f008a","ElementType":1,"TagName":"ifrs-full:OtherCurrentLiabilities","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"18,278","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other current liabilities","Documentation":"The amount of current liabilities that the entity does not separately disclose in the same statement or note. [Refer: Current liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642786,"FileId":7831,"Sequence":58,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"63df5194-4ccc-4693-9770-9790f483c674","ElementType":1,"TagName":"ifrs-full:OtherCurrentLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"13,548","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other current liabilities","Documentation":"The amount of current liabilities that the entity does not separately disclose in the same statement or note. [Refer: Current liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642787,"FileId":7831,"Sequence":59,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"943fb2b7-bc8a-4825-bd2f-10a53de4766c","ElementType":1,"TagName":"ifrs-full:CurrentDeferredIncomeOtherThanCurrentContractLiabilities","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"40,430","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Current deferred income other than current contract liabilities","Documentation":"The amount of current deferred income other than current contract liabilities. [Refer: Deferred income other than contract liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642788,"FileId":7831,"Sequence":60,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"2396bebc-32d8-4a63-82a0-3f74224acc5f","ElementType":1,"TagName":"ifrs-full:CurrentDeferredIncomeOtherThanCurrentContractLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"24,961","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Current deferred income other than current contract liabilities","Documentation":"The amount of current deferred income other than current contract liabilities. [Refer: Deferred income other than contract liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642789,"FileId":7831,"Sequence":61,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"1b471e8f-866c-42e6-ba7f-86f02c41f770","ElementType":1,"TagName":"ifrs-full:OtherCurrentPayables","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"27,013","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other current payables","Documentation":"The amount of current payables that the entity does not separately disclose in the same statement or note.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642790,"FileId":7831,"Sequence":62,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"7ad44de5-84e0-4d1c-abde-b0cddf74be0a","ElementType":1,"TagName":"ifrs-full:OtherCurrentPayables","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other current payables","Documentation":"The amount of current payables that the entity does not separately disclose in the same statement or note.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642792,"FileId":7831,"Sequence":63,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"6bd60399-258a-4615-91eb-d9a9e88a8882","ElementType":1,"TagName":"ifrs-full:AccrualsClassifiedAsCurrent","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"108,747","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Accruals classified as current","Documentation":"The amount of accruals classified as current. [Refer: Accruals]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642802,"FileId":7831,"Sequence":64,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"799da530-5312-42c4-9964-d606aad847e2","ElementType":1,"TagName":"ifrs-full:AccrualsClassifiedAsCurrent","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"72,462","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Accruals classified as current","Documentation":"The amount of accruals classified as current. [Refer: Accruals]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642793,"FileId":7831,"Sequence":65,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"fe437458-37a3-4a14-86ae-133ccb289ae9","ElementType":1,"TagName":"ifrs-full:CurrentLiabilities","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"264,713","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Current liabilities","Documentation":"Expiry date 2023-01-01: The amount of liabilities that: (a) the entity expects to settle in its normal operating cycle; (b) the entity holds primarily for the purpose of trading; (c) are due to be settled within twelve months after the reporting period; or (d) the entity does not have an unconditional right to defer settlement for at least twelve months after the reporting period.\r\nEffective 2023-01-01: The amount of liabilities that: (a) the entity expects to settle in its normal operating cycle; (b) the entity holds primarily for the purpose of trading; (c) are due to be settled within twelve months after the reporting period; or (d) the entity does not have the right at the end of the reporting period to defer settlement for at least twelve months after the reporting period.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642794,"FileId":7831,"Sequence":66,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"cf1eee32-45aa-4466-92d2-e93a88d8739e","ElementType":1,"TagName":"ifrs-full:CurrentLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"171,219","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Current liabilities","Documentation":"Expiry date 2023-01-01: The amount of liabilities that: (a) the entity expects to settle in its normal operating cycle; (b) the entity holds primarily for the purpose of trading; (c) are due to be settled within twelve months after the reporting period; or (d) the entity does not have an unconditional right to defer settlement for at least twelve months after the reporting period.\r\nEffective 2023-01-01: The amount of liabilities that: (a) the entity expects to settle in its normal operating cycle; (b) the entity holds primarily for the purpose of trading; (c) are due to be settled within twelve months after the reporting period; or (d) the entity does not have the right at the end of the reporting period to defer settlement for at least twelve months after the reporting period.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642795,"FileId":7831,"Sequence":67,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"842dba84-cfe6-46da-bb60-a23119d5b6b3","ElementType":1,"TagName":"ifrs-full:Liabilities","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,084,495","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Liabilities","Documentation":"The amount of a present obligation of the entity to transfer an economic resource as a result of past events. Economic resource is a right that has the potential to produce economic benefits.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642796,"FileId":7831,"Sequence":68,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"e2a48226-2147-45e9-adee-23a5e1c41618","ElementType":1,"TagName":"ifrs-full:Liabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"255,235","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Liabilities","Documentation":"The amount of a present obligation of the entity to transfer an economic resource as a result of past events. Economic resource is a right that has the potential to produce economic benefits.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642797,"FileId":7831,"Sequence":69,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"3caeba45-4304-4cae-aeed-b839ad3977ad","ElementType":1,"TagName":"ifrs-full:EquityAndLiabilities","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,687,406","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Equity and liabilities","Documentation":"The amount of the entity's equity and liabilities. [Refer: Equity; Liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642798,"FileId":7831,"Sequence":70,"PageIdentifier":"33be4e2b-bed3-4d92-a3e2-487ac73817cf","ElementIdentifier":"c7bb806c-4b73-4c8d-a969-61ee81255dc6","ElementType":1,"TagName":"ifrs-full:EquityAndLiabilities","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,012,808","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Equity and liabilities","Documentation":"The amount of the entity's equity and liabilities. [Refer: Equity; Liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642799,"FileId":7831,"Sequence":71,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"89ae7b3a-bd8f-4592-82c6-2ef9ffc3346a","ElementType":1,"TagName":"ifrs-full:Revenue","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"154,525","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Revenue","Documentation":"The income arising in the course of an entity's ordinary activities. Income is increases in assets, or decreases in liabilities, that result in increases in equity, other than those relating to contributions from holders of equity claims.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642800,"FileId":7831,"Sequence":72,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"63f91edb-46ff-47bb-b43f-570a5747ddf4","ElementType":1,"TagName":"ifrs-full:Revenue","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"33,878","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Revenue","Documentation":"The income arising in the course of an entity's ordinary activities. Income is increases in assets, or decreases in liabilities, that result in increases in equity, other than those relating to contributions from holders of equity claims.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642801,"FileId":7831,"Sequence":73,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"fa9cfa6e-4029-44db-a935-6cfc174f2771","ElementType":1,"TagName":"ifrs-full:CostOfSales","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"38,477","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Cost of sales","Documentation":"The amount of all expenses directly or indirectly attributed to the goods or services sold. Attributed expenses include, but are not limited to, costs previously included in the measurement of inventory that has now been sold, such as depreciation and maintenance of factory buildings and equipment used in the production process, unallocated production overheads, and abnormal amounts of production costs of inventories.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642781,"FileId":7831,"Sequence":74,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"b6da8270-8d41-4c0c-89dc-145ea62902c7","ElementType":1,"TagName":"ifrs-full:CostOfSales","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"15,425","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Cost of sales","Documentation":"The amount of all expenses directly or indirectly attributed to the goods or services sold. Attributed expenses include, but are not limited to, costs previously included in the measurement of inventory that has now been sold, such as depreciation and maintenance of factory buildings and equipment used in the production process, unallocated production overheads, and abnormal amounts of production costs of inventories.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642780,"FileId":7831,"Sequence":75,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"d3d1c140-4ddb-4b2d-8c91-f1c926f5e1be","ElementType":1,"TagName":"ifrs-full:SellingGeneralAndAdministrativeExpense","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"337,861","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Selling, general and administrative expense","Documentation":"The amount of expense relating to selling, general and administrative activities of the entity.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642779,"FileId":7831,"Sequence":76,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"c61149b7-6014-48ff-aca9-8b280cc4f101","ElementType":1,"TagName":"ifrs-full:SellingGeneralAndAdministrativeExpense","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"327,269","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Selling, general and administrative expense","Documentation":"The amount of expense relating to selling, general and administrative activities of the entity.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642778,"FileId":7831,"Sequence":77,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"ba47e451-b1ed-4bb7-a84d-2179af8db2b4","ElementType":1,"TagName":"ifrs-full:ResearchAndDevelopmentExpense","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"346,244","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Research and development expense","Documentation":"The amount of expenditure directly attributable to research or development activities, recognised in profit or loss.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642759,"FileId":7831,"Sequence":78,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"527f4fc1-0d65-4442-b93e-762f14b81b06","ElementType":1,"TagName":"ifrs-full:ResearchAndDevelopmentExpense","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"230,764","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Research and development expense","Documentation":"The amount of expenditure directly attributable to research or development activities, recognised in profit or loss.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642760,"FileId":7831,"Sequence":79,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"54f9c83c-9dc6-494f-b252-64d667c0c1bc","ElementType":1,"TagName":"ifrs-full:MiscellaneousOtherOperatingExpense","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"20,532","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Miscellaneous other operating expense","Documentation":"The amount of miscellaneous other operating expenses. [Refer: Other operating income (expense)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642761,"FileId":7831,"Sequence":80,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"d2e4be72-7c3b-4aac-bd94-f68a9229f723","ElementType":1,"TagName":"ifrs-full:MiscellaneousOtherOperatingExpense","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"7,398","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Miscellaneous other operating expense","Documentation":"The amount of miscellaneous other operating expenses. [Refer: Other operating income (expense)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642762,"FileId":7831,"Sequence":81,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"92622467-2eac-4d54-a6ec-0235b953f79e","ElementType":1,"TagName":"ifrs-full:ProfitLossFromOperatingActivities","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"588,588","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Profit (loss) from operating activities","Documentation":"The profit (loss) from operating activities of the entity. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642763,"FileId":7831,"Sequence":82,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"9e139079-2545-472e-9ac8-5cbc30755654","ElementType":1,"TagName":"ifrs-full:ProfitLossFromOperatingActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"546,978","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Profit (loss) from operating activities","Documentation":"The profit (loss) from operating activities of the entity. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642764,"FileId":7831,"Sequence":83,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"811cad06-2e58-4ff8-a6c6-f8daaaa3f50e","ElementType":1,"TagName":"ifrs-full:FinanceIncome","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"27,248","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Finance income","Documentation":"The amount of income associated with interest and other financing activities of the entity.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642765,"FileId":7831,"Sequence":84,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"ec428f6d-4438-471d-b06e-790bcdc990c1","ElementType":1,"TagName":"ifrs-full:FinanceIncome","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"67","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Finance income","Documentation":"The amount of income associated with interest and other financing activities of the entity.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642766,"FileId":7831,"Sequence":85,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"84124143-35eb-4677-9018-fa7564688219","ElementType":1,"TagName":"ifrs-full:FinanceCosts","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"48,639","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Finance costs","Documentation":"The amount of costs associated with financing activities of the entity.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642767,"FileId":7831,"Sequence":86,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"6ccd16d9-b64f-4a72-99b9-e96ad4df788b","ElementType":1,"TagName":"ifrs-full:FinanceCosts","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,219","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Finance costs","Documentation":"The amount of costs associated with financing activities of the entity.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642768,"FileId":7831,"Sequence":87,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"2d911db9-b12b-4129-88b0-9cd907929a01","ElementType":1,"TagName":"ifrs-full:ProfitLossBeforeTax","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"609,979","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Profit (loss) before tax","Documentation":"The profit (loss) before tax expense or income. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642769,"FileId":7831,"Sequence":88,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"3637ffd2-e613-494e-b7e4-1afd127a7860","ElementType":1,"TagName":"ifrs-full:ProfitLossBeforeTax","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"548,130","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Profit (loss) before tax","Documentation":"The profit (loss) before tax expense or income. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642770,"FileId":7831,"Sequence":89,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"173de71a-3cef-41eb-bc4b-4fb7d543652c","ElementType":1,"TagName":"ifrs-full:IncomeTaxExpenseContinuingOperations","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,155","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Tax expense (income)","Documentation":"The aggregate amount included in the determination of profit (loss) for the period in respect of current tax and deferred tax. [Refer: Current tax expense (income); Deferred tax expense (income)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642771,"FileId":7831,"Sequence":90,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"ea6afd01-efcb-4b39-aa5e-9573e408feae","ElementType":1,"TagName":"ifrs-full:IncomeTaxExpenseContinuingOperations","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"152","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Tax expense (income)","Documentation":"The aggregate amount included in the determination of profit (loss) for the period in respect of current tax and deferred tax. [Refer: Current tax expense (income); Deferred tax expense (income)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642772,"FileId":7831,"Sequence":91,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"84392d3e-a2be-40bd-b245-6cbe07b0c828","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"611,134","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642773,"FileId":7831,"Sequence":92,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"0175a8b7-9aaf-4926-8177-dea84963a47d","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"548,282","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642774,"FileId":7831,"Sequence":93,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"df0aad70-8d0e-49a6-9de8-18367cc82c0f","ElementType":1,"TagName":"ifrs-full:ProfitLossAttributableToOwnersOfParent","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"611,134","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Profit (loss), attributable to owners of parent","Documentation":"The profit (loss) from continuing and discontinued operations attributable to owners of the parent. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642775,"FileId":7831,"Sequence":94,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"195465b2-85fe-4cca-b1ef-273f62e9d8dd","ElementType":1,"TagName":"ifrs-full:ProfitLossAttributableToOwnersOfParent","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"548,282","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Profit (loss), attributable to owners of parent","Documentation":"The profit (loss) from continuing and discontinued operations attributable to owners of the parent. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642776,"FileId":7831,"Sequence":95,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"e85278a4-a3c7-4571-97f6-a5d5e5237b30","ElementType":1,"TagName":"ifrs-full:BasicEarningsLossPerShare","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK_per_Share","CurrencyName":"Ugandan Shilling","Decimal":"2","Scale":"Actuals","Value":"13.60","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"shares","Sign":"-","IsHiddenElement":false,"Label":"Basic earnings (loss) per share","Documentation":"The amount of profit (loss) attributable to ordinary equity holders of the parent entity (the numerator) divided by the weighted average number of ordinary shares outstanding during the period (the denominator).","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"num:perShareItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642777,"FileId":7831,"Sequence":96,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"d81228aa-c9a6-4bdb-98fa-dedad8e8f8b3","ElementType":1,"TagName":"ifrs-full:DilutedEarningsLossPerShare","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK_per_Share","CurrencyName":"Ugandan Shilling","Decimal":"2","Scale":"Actuals","Value":"13.60","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"shares","Sign":"-","IsHiddenElement":false,"Label":"Diluted earnings (loss) per share","Documentation":"The amount of profit (loss) attributable to ordinary equity holders of the parent entity (the numerator), divided by the weighted average number of ordinary shares outstanding during the period (the denominator), both adjusted for the effects of all dilutive potential ordinary shares. [Refer: Ordinary shares [member]; Weighted average [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"num:perShareItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642791,"FileId":7831,"Sequence":97,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"ad385c90-af3f-45ac-af52-12cf26d8e2b0","ElementType":1,"TagName":"ifrs-full:BasicEarningsLossPerShare","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK_per_Share","CurrencyName":"Ugandan Shilling","Decimal":"2","Scale":"Actuals","Value":"12.33","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"shares","Sign":"-","IsHiddenElement":false,"Label":"Basic earnings (loss) per share","Documentation":"The amount of profit (loss) attributable to ordinary equity holders of the parent entity (the numerator) divided by the weighted average number of ordinary shares outstanding during the period (the denominator).","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"num:perShareItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642803,"FileId":7831,"Sequence":98,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"5fa38caf-55fc-40c3-91f9-f41a671b6e20","ElementType":1,"TagName":"ifrs-full:DilutedEarningsLossPerShare","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK_per_Share","CurrencyName":"Ugandan Shilling","Decimal":"2","Scale":"Actuals","Value":"12.33","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"shares","Sign":"-","IsHiddenElement":false,"Label":"Diluted earnings (loss) per share","Documentation":"The amount of profit (loss) attributable to ordinary equity holders of the parent entity (the numerator), divided by the weighted average number of ordinary shares outstanding during the period (the denominator), both adjusted for the effects of all dilutive potential ordinary shares. [Refer: Ordinary shares [member]; Weighted average [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"num:perShareItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642804,"FileId":7831,"Sequence":99,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"50b87ffc-44ac-4cc7-afb8-891bd5d8b1d2","ElementType":1,"TagName":"ifrs-full:WeightedAverageShares","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_shares","CurrencyName":"Ugandan Shilling","Decimal":"0","Scale":"Actuals","Value":"44,923,998","Dimension":"","Member":"","CurrencyCode":"shares","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Weighted average number of ordinary shares used in calculating basic earnings per share","Documentation":"The number of ordinary shares outstanding at the beginning of the period, adjusted by the number of ordinary shares bought back or issued during the period multiplied by a time-weighting factor.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:sharesItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642805,"FileId":7831,"Sequence":100,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"6c12e595-ba63-4e6b-bef9-0785a300ccef","ElementType":1,"TagName":"ifrs-full:AdjustedWeightedAverageShares","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_shares","CurrencyName":"Ugandan Shilling","Decimal":"0","Scale":"Actuals","Value":"44,923,998","Dimension":"","Member":"","CurrencyCode":"shares","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Weighted average number of ordinary shares used in calculating diluted earnings per share","Documentation":"The weighted average number of ordinary shares outstanding plus the weighted average number of ordinary shares that would be issued on the conversion of all the dilutive potential ordinary shares into ordinary shares. [Refer: Ordinary shares [member]; Weighted average [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:sharesItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642830,"FileId":7831,"Sequence":101,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"93fa3d81-4bc3-442d-9798-233b95f9bf16","ElementType":1,"TagName":"ifrs-full:WeightedAverageShares","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_shares","CurrencyName":"Ugandan Shilling","Decimal":"0","Scale":"Actuals","Value":"44,473,452","Dimension":"","Member":"","CurrencyCode":"shares","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Weighted average number of ordinary shares used in calculating basic earnings per share","Documentation":"The number of ordinary shares outstanding at the beginning of the period, adjusted by the number of ordinary shares bought back or issued during the period multiplied by a time-weighting factor.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:sharesItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642831,"FileId":7831,"Sequence":102,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"6caef846-f776-4217-8a9b-80dc78caec9a","ElementType":1,"TagName":"ifrs-full:AdjustedWeightedAverageShares","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_shares","CurrencyName":"Ugandan Shilling","Decimal":"0","Scale":"Actuals","Value":"44,473,452","Dimension":"","Member":"","CurrencyCode":"shares","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Weighted average number of ordinary shares used in calculating diluted earnings per share","Documentation":"The weighted average number of ordinary shares outstanding plus the weighted average number of ordinary shares that would be issued on the conversion of all the dilutive potential ordinary shares into ordinary shares. [Refer: Ordinary shares [member]; Weighted average [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:sharesItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642832,"FileId":7831,"Sequence":103,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"47db0c73-c7e6-4b03-aabe-0b59fc7f5a1c","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"611,134","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642833,"FileId":7831,"Sequence":104,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"4cb6f396-4f8a-4f15-bda1-a5ca24e6d253","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"548,282","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642834,"FileId":7831,"Sequence":105,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"c96a48aa-93d3-4dde-b8cb-0136bc049598","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"114","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Other comprehensive income, net of tax, exchange differences on translation of foreign operations","Documentation":"The amount of other comprehensive income, net of tax, after reclassification adjustments, related to exchange differences when financial statements of foreign operations are translated. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642835,"FileId":7831,"Sequence":106,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"08a660e3-d9b7-492d-aa27-b122600197e7","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"264","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other comprehensive income, net of tax, exchange differences on translation of foreign operations","Documentation":"The amount of other comprehensive income, net of tax, after reclassification adjustments, related to exchange differences when financial statements of foreign operations are translated. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642836,"FileId":7831,"Sequence":107,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"64208b81-0d49-4fc7-8f5c-5fd07914c908","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncome","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"114","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Other comprehensive income","Documentation":"The amount of income and expense (including reclassification adjustments) that is not recognised in profit or loss as required or permitted by IFRSs. [Refer: IFRSs [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642837,"FileId":7831,"Sequence":108,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"52b1c4d1-2c91-4e90-9312-84fc16fbeb3b","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"264","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other comprehensive income","Documentation":"The amount of income and expense (including reclassification adjustments) that is not recognised in profit or loss as required or permitted by IFRSs. [Refer: IFRSs [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642838,"FileId":7831,"Sequence":109,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"5c333897-ea20-464a-90de-83c9f8421e8f","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"611,248","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Comprehensive income","Documentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642840,"FileId":7831,"Sequence":110,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"dd55310f-5b69-40f6-80bd-888938a30613","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"548,018","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Comprehensive income","Documentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642850,"FileId":7831,"Sequence":111,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"8a70c90e-8195-4db2-b88a-eb8f6e0c1dad","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncomeAttributableToOwnersOfParent","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"611,248","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Comprehensive income, attributable to owners of parent","Documentation":"The amount of comprehensive income attributable to owners of the parent. [Refer: Comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642841,"FileId":7831,"Sequence":112,"PageIdentifier":"ea958a40-0f78-46d6-8303-80d7fd1120f1","ElementIdentifier":"2775ca64-471d-4803-8f77-35da947edf14","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncomeAttributableToOwnersOfParent","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"548,018","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Comprehensive income, attributable to owners of parent","Documentation":"The amount of comprehensive income attributable to owners of the parent. [Refer: Comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642842,"FileId":7831,"Sequence":113,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"92f67d9c-4371-47b5-8f15-7fadb6e8f182","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"611,134","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642843,"FileId":7831,"Sequence":114,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"66aad707-eb52-4def-a860-cf757bcdc62c","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"548,282","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642844,"FileId":7831,"Sequence":115,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"b58427b4-947d-4157-b3ce-b84fc8b87ad1","ElementType":1,"TagName":"ifrs-full:AdjustmentsForDepreciationAndAmortisationExpense","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"12,054","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Adjustments for depreciation and amortisation expense","Documentation":"Adjustments for depreciation and amortisation expense to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Depreciation and amortisation expense; Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642845,"FileId":7831,"Sequence":116,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"91416c82-774b-4df8-b123-985a85e362bd","ElementType":1,"TagName":"ifrs-full:AdjustmentsForDepreciationAndAmortisationExpense","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"8,606","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Adjustments for depreciation and amortisation expense","Documentation":"Adjustments for depreciation and amortisation expense to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Depreciation and amortisation expense; Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642846,"FileId":7831,"Sequence":117,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"558f199e-fae0-45d6-a2f3-2d6e5d38e690","ElementType":1,"TagName":"ifrs-full:OtherAdjustmentsForNoncashItems","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"20,853","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Other adjustments for non-cash items","Documentation":"Adjustments for non-cash items to reconcile profit (loss) to net cash flow from (used in) operating activities that the entity does not separately disclose in the same statement or note. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642847,"FileId":7831,"Sequence":118,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"5ab6ce6b-98e6-4173-95dd-3d940b83562f","ElementType":1,"TagName":"ifrs-full:OtherAdjustmentsForNoncashItems","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other adjustments for non-cash items","Documentation":"Adjustments for non-cash items to reconcile profit (loss) to net cash flow from (used in) operating activities that the entity does not separately disclose in the same statement or note. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642848,"FileId":7831,"Sequence":119,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"8d2c9ea8-c538-479c-ac92-d3a045de55a2","ElementType":1,"TagName":"ifrs-full:AdjustmentsForSharebasedPayments","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"58,226","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Adjustments for share-based payments","Documentation":"Adjustments for share-based payments to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642849,"FileId":7831,"Sequence":120,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"7b3cde27-fa74-4534-b116-3b54f6f4fcf1","ElementType":1,"TagName":"ifrs-full:AdjustmentsForSharebasedPayments","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"56,624","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Adjustments for share-based payments","Documentation":"Adjustments for share-based payments to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642829,"FileId":7831,"Sequence":121,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"8b028b1f-05e5-442b-88ce-97c86f1ce594","ElementType":1,"TagName":"ifrs-full:AdjustmentsForIncreaseDecreaseInEmployeeBenefitLiabilities","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Adjustments for increase (decrease) in employee benefit liabilities","Documentation":"Adjustments for increase (decrease) in employee benefit liabilities to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642839,"FileId":7831,"Sequence":122,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"0cb2b220-8c57-410c-bea0-675802379664","ElementType":1,"TagName":"ifrs-full:AdjustmentsForIncreaseDecreaseInEmployeeBenefitLiabilities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"226","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Adjustments for increase (decrease) in employee benefit liabilities","Documentation":"Adjustments for increase (decrease) in employee benefit liabilities to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642828,"FileId":7831,"Sequence":123,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"30521e4a-5c2c-481c-bab1-241b83291f2f","ElementType":1,"TagName":"ifrs-full:AdjustmentsForUnrealisedForeignExchangeLossesGains","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"34,006","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Adjustments for unrealised foreign exchange losses (gains)","Documentation":"Adjustments for unrealised foreign exchange losses (gains) to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642815,"FileId":7831,"Sequence":124,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"21f0ce4f-b334-4fbd-a0ad-93fa7cd94619","ElementType":1,"TagName":"ifrs-full:AdjustmentsForUnrealisedForeignExchangeLossesGains","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"6","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Adjustments for unrealised foreign exchange losses (gains)","Documentation":"Adjustments for unrealised foreign exchange losses (gains) to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642806,"FileId":7831,"Sequence":125,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"5e8ec521-c573-4fe2-9e7c-790dcfe69c65","ElementType":1,"TagName":"ifrs-full:CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"527,701","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Cash flows from (used in) operations before changes in working capital","Documentation":"The cash inflow (outflow) from the entity's operations before changes in working capital.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642807,"FileId":7831,"Sequence":126,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"ad30595a-c298-4227-8c8c-d7510370625a","ElementType":1,"TagName":"ifrs-full:CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"483,284","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Cash flows from (used in) operations before changes in working capital","Documentation":"The cash inflow (outflow) from the entity's operations before changes in working capital.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642808,"FileId":7831,"Sequence":127,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"0dc59000-71bf-4425-9aad-f71e6b8fd51f","ElementType":1,"TagName":"ifrs-full:AdjustmentsForDecreaseIncreaseInTradeAccountReceivable","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"33,247","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Adjustments for decrease (increase) in trade accounts receivable","Documentation":"Adjustments for decrease (increase) in trade accounts receivable to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642809,"FileId":7831,"Sequence":128,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"3dccc3c7-f522-49a2-b9c8-daedbbb4a23a","ElementType":1,"TagName":"ifrs-full:AdjustmentsForDecreaseIncreaseInTradeAccountReceivable","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"9,602","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Adjustments for decrease (increase) in trade accounts receivable","Documentation":"Adjustments for decrease (increase) in trade accounts receivable to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642810,"FileId":7831,"Sequence":129,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"83100a30-0836-469d-aeee-52973a55d812","ElementType":1,"TagName":"ifrs-full:AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"21,897","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Adjustments for decrease (increase) in other operating receivables","Documentation":"Adjustments for decrease (increase) in other operating receivables to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642811,"FileId":7831,"Sequence":130,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"311cdacd-e821-40e2-8f8b-8ae270dfe451","ElementType":1,"TagName":"ifrs-full:AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"29,756","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Adjustments for decrease (increase) in other operating receivables","Documentation":"Adjustments for decrease (increase) in other operating receivables to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642812,"FileId":7831,"Sequence":131,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"d08885df-e3a2-4c69-a4eb-b682d7b7f7c7","ElementType":1,"TagName":"ifrs-full:AdjustmentsForIncreaseDecreaseInTradeAccountPayable","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"9,116","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Adjustments for increase (decrease) in trade accounts payable","Documentation":"Adjustments for increase (decrease) in trade accounts payable to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642813,"FileId":7831,"Sequence":132,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"f83cdd71-835a-435d-b08b-891cdae1a014","ElementType":1,"TagName":"ifrs-full:AdjustmentsForIncreaseDecreaseInTradeAccountPayable","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"28,577","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Adjustments for increase (decrease) in trade accounts payable","Documentation":"Adjustments for increase (decrease) in trade accounts payable to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642814,"FileId":7831,"Sequence":133,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"a45ec3cb-86ad-4efb-9f98-666751ede9eb","ElementType":1,"TagName":"ifrs-full:AdjustmentsForIncreaseDecreaseInOtherOperatingPayables","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"67,460","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Adjustments for increase (decrease) in other operating payables","Documentation":"Adjustments for increase (decrease) in other operating payables to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642816,"FileId":7831,"Sequence":134,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"5f726405-26f8-4bf9-9efa-fe00b6139890","ElementType":1,"TagName":"ifrs-full:AdjustmentsForIncreaseDecreaseInOtherOperatingPayables","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"13,668","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Adjustments for increase (decrease) in other operating payables","Documentation":"Adjustments for increase (decrease) in other operating payables to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642826,"FileId":7831,"Sequence":135,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"d7c52d7a-d582-42db-b4fa-938a5ae3bea0","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseInWorkingCapital","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"21,432","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Increase (decrease) in working capital","Documentation":"The increase (decrease) in working capital.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642817,"FileId":7831,"Sequence":136,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"9488c4d6-3b72-47ac-a6af-f7d0bcda42a6","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseInWorkingCapital","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"2,887","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Increase (decrease) in working capital","Documentation":"The increase (decrease) in working capital.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642818,"FileId":7831,"Sequence":137,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"b10d49a7-c0d6-44f0-a3b1-cdc58ba883f0","ElementType":1,"TagName":"ifrs-full:InterestPaidClassifiedAsOperatingActivities","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"5,101","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Interest paid, classified as operating activities","Documentation":"The cash outflow for interest paid, classified as operating activities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642819,"FileId":7831,"Sequence":138,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"40d651ef-ac70-4167-abca-6e1aa29192c9","ElementType":1,"TagName":"ifrs-full:InterestPaidClassifiedAsOperatingActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"627","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Interest paid, classified as operating activities","Documentation":"The cash outflow for interest paid, classified as operating activities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642820,"FileId":7831,"Sequence":139,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"421e764b-1f8c-42dd-abfd-97327941f503","ElementType":1,"TagName":"ifrs-full:IncomeTaxesPaidRefundClassifiedAsOperatingActivities","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,565","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Income taxes paid (refund), classified as operating activities","Documentation":"The cash flows from income taxes paid or refunded, classified as operating activities. [Refer: Income taxes paid (refund)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642821,"FileId":7831,"Sequence":140,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"3a0c49e8-66ae-4f04-93f2-5f0e98dfd967","ElementType":1,"TagName":"ifrs-full:IncomeTaxesPaidRefundClassifiedAsOperatingActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"143","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Income taxes paid (refund), classified as operating activities","Documentation":"The cash flows from income taxes paid or refunded, classified as operating activities. [Refer: Income taxes paid (refund)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642822,"FileId":7831,"Sequence":141,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"709c40c6-6a72-41f2-aac8-da433ddcf67a","ElementType":1,"TagName":"ifrs-full:CashFlowsFromUsedInOperatingActivities","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"502,733","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Cash flows from (used in) operating activities","Documentation":"The cash flows from (used in) operating activities, which are the principal revenue-producing activities of the entity and other activities that are not investing or financing activities. [Refer: Revenue]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642823,"FileId":7831,"Sequence":142,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"00ec0bf8-1644-4172-a0ab-2e83a519e605","ElementType":1,"TagName":"ifrs-full:CashFlowsFromUsedInOperatingActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"481,168","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Cash flows from (used in) operating activities","Documentation":"The cash flows from (used in) operating activities, which are the principal revenue-producing activities of the entity and other activities that are not investing or financing activities. [Refer: Revenue]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642824,"FileId":7831,"Sequence":143,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"bbd3ef48-9e14-4a07-a221-bd7f2ed45667","ElementType":1,"TagName":"hnsa:ProceedsFromSaleOfShortTermInvestments","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"232,644","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Proceeds From Sale Of Short Term Investments","Documentation":"Proceeds from sale of short-term investments.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":1,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642825,"FileId":7831,"Sequence":144,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"c19384d0-35f5-44f9-87c3-86d1c0c6c3a5","ElementType":1,"TagName":"hnsa:ProceedsFromSaleOfShortTermInvestments","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Proceeds From Sale Of Short Term Investments","Documentation":"Proceeds from sale of short-term investments.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":1,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642569,"FileId":7831,"Sequence":145,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"3dd421c9-0723-48c4-91b7-2800d8bb856e","ElementType":1,"TagName":"ifrs-full:PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"3,331","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Purchase of property, plant and equipment, classified as investing activities","Documentation":"The cash outflow for the purchases of property, plant and equipment, classified as investing activities. [Refer: Property, plant and equipment]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642871,"FileId":7831,"Sequence":146,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"fee946a5-81fc-4dd1-b117-8593a0d52791","ElementType":1,"TagName":"ifrs-full:PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"2,399","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Purchase of property, plant and equipment, classified as investing activities","Documentation":"The cash outflow for the purchases of property, plant and equipment, classified as investing activities. [Refer: Property, plant and equipment]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642870,"FileId":7831,"Sequence":147,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"beb73b21-afc4-41b6-ac4b-fd0698a3e179","ElementType":1,"TagName":"ifrs-full:CashFlowsFromUsedInInvestingActivities","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"229,313","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Cash flows from (used in) investing activities","Documentation":"The cash flows from (used in) investing activities, which are the acquisition and disposal of long-term assets and other investments not included in cash equivalents.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642869,"FileId":7831,"Sequence":148,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"ace306ed-7565-4486-b8f3-c1c5309ed21f","ElementType":1,"TagName":"ifrs-full:CashFlowsFromUsedInInvestingActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"2,399","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Cash flows from (used in) investing activities","Documentation":"The cash flows from (used in) investing activities, which are the acquisition and disposal of long-term assets and other investments not included in cash equivalents.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642868,"FileId":7831,"Sequence":149,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"b784e0ae-a33b-46d2-9877-1ed97177f0a1","ElementType":1,"TagName":"ifrs-full:ProceedsFromBorrowingsClassifiedAsFinancingActivities","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"728,373","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Proceeds from borrowings, classified as financing activities","Documentation":"The cash inflow from borrowings obtained. [Refer: Borrowings]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642867,"FileId":7831,"Sequence":150,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"603af742-c255-4e2b-b7fd-aae63fd5e11d","ElementType":1,"TagName":"ifrs-full:ProceedsFromBorrowingsClassifiedAsFinancingActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Proceeds from borrowings, classified as financing activities","Documentation":"The cash inflow from borrowings obtained. [Refer: Borrowings]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642866,"FileId":7831,"Sequence":151,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"4b2c5a99-9032-4558-ba22-c0626163e14a","ElementType":1,"TagName":"ifrs-full:ProceedsFromIssuingShares","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"396,196","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Proceeds from issuing shares","Documentation":"The cash inflow from issuing shares.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642865,"FileId":7831,"Sequence":152,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"44369305-d9eb-42ba-aa2a-9851c5d4af48","ElementType":1,"TagName":"ifrs-full:ProceedsFromIssuingShares","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Proceeds from issuing shares","Documentation":"The cash inflow from issuing shares.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642864,"FileId":7831,"Sequence":153,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"7c67eac3-3c99-47fa-8c73-0cb4b4cb2f27","ElementType":1,"TagName":"ifrs-full:PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"6,888","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Payments of lease liabilities, classified as financing activities","Documentation":"The cash outflow for payment of lease liabilities, classified as financing activities. [Refer: Lease liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642863,"FileId":7831,"Sequence":154,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"622f8dfb-7785-4e1a-a70a-1b8033b4d4c1","ElementType":1,"TagName":"ifrs-full:PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"4,857","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Payments of lease liabilities, classified as financing activities","Documentation":"The cash outflow for payment of lease liabilities, classified as financing activities. [Refer: Lease liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642862,"FileId":7831,"Sequence":155,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"9ddd0ba3-fb34-4ea8-8785-735691001f4c","ElementType":1,"TagName":"ifrs-full:CashFlowsFromUsedInFinancingActivities","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,117,681","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Cash flows from (used in) financing activities","Documentation":"The cash flows from (used in) financing activities, which are activities that result in changes in the size and composition of the contributed equity and borrowings of the entity.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642861,"FileId":7831,"Sequence":156,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"1c14e8e0-4692-4f73-b5d7-64cd68518c77","ElementType":1,"TagName":"ifrs-full:CashFlowsFromUsedInFinancingActivities","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"4,857","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Cash flows from (used in) financing activities","Documentation":"The cash flows from (used in) financing activities, which are activities that result in changes in the size and composition of the contributed equity and borrowings of the entity.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642860,"FileId":7831,"Sequence":157,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"016014d9-0af2-4e21-8864-a00ab6462d71","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseInCashAndCashEquivalents","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"844,261","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) in cash and cash equivalents after effect of exchange rate changes","Documentation":"The increase (decrease) in cash and cash equivalents after the effect of exchange rate changes on cash and cash equivalents held in foreign currencies. [Refer: Cash and cash equivalents; Effect of exchange rate changes on cash and cash equivalents]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642859,"FileId":7831,"Sequence":158,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"44fd4422-2d39-4190-9e7c-a0a6fe316e5a","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseInCashAndCashEquivalents","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"488,424","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Increase (decrease) in cash and cash equivalents after effect of exchange rate changes","Documentation":"The increase (decrease) in cash and cash equivalents after the effect of exchange rate changes on cash and cash equivalents held in foreign currencies. [Refer: Cash and cash equivalents; Effect of exchange rate changes on cash and cash equivalents]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642858,"FileId":7831,"Sequence":159,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"a18c451d-2270-421b-a18c-fe95017e417e","ElementType":1,"TagName":"ifrs-full:CashAndCashEquivalents","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"651,342","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Cash and cash equivalents","Documentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642857,"FileId":7831,"Sequence":160,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"ed8e0af5-1aa5-4f9c-9953-e3611d2688c7","ElementType":1,"TagName":"ifrs-full:CashAndCashEquivalents","ContextRef":"PAsOn12_31_2020","Period":"31-Dec-2020","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,139,362","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Cash and cash equivalents","Documentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642856,"FileId":7831,"Sequence":161,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"4c257904-0107-4c60-b262-2d1084c4654b","ElementType":1,"TagName":"ifrs-full:EffectOfExchangeRateChangesOnCashAndCashEquivalents","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"576","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Effect of exchange rate changes on cash and cash equivalents","Documentation":"The effect of exchange rate changes on cash and cash equivalents held or due in a foreign currency. [Refer: Cash and cash equivalents]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642855,"FileId":7831,"Sequence":162,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"7a70ae61-983c-4387-8076-17050dacc9c1","ElementType":1,"TagName":"ifrs-full:EffectOfExchangeRateChangesOnCashAndCashEquivalents","ContextRef":"P01_01_2021To12_31_2021","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"403","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Effect of exchange rate changes on cash and cash equivalents","Documentation":"The effect of exchange rate changes on cash and cash equivalents held or due in a foreign currency. [Refer: Cash and cash equivalents]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642854,"FileId":7831,"Sequence":163,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"20460de7-4ab6-42c6-9727-dba58a63c866","ElementType":1,"TagName":"ifrs-full:CashAndCashEquivalents","ContextRef":"PAsOn12_31_2022","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,496,179","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Cash and cash equivalents","Documentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642873,"FileId":7831,"Sequence":164,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"b44117d1-928d-426d-a84b-40b02717fe58","ElementType":1,"TagName":"ifrs-full:CashAndCashEquivalents","ContextRef":"PAsOn12_31_2021","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"651,342","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Cash and cash equivalents","Documentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642874,"FileId":7831,"Sequence":165,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"6de93fd8-156d-49cd-87eb-61cd0224e0f1","ElementType":1,"TagName":"hnsa:LongTermLoanTransactionCost","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"0","Scale":"Thousands","Value":"8.027","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"long Term Loan Transaction Cost","Documentation":"Long term loan transaction cost.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":false,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":1,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642875,"FileId":7831,"Sequence":166,"PageIdentifier":"2e6c93aa-cd33-45b8-872a-19f0ba3c44f8","ElementIdentifier":"52cff541-762e-4aed-8715-1bc8324b30db","ElementType":1,"TagName":"ifrs-full:ShareIssueRelatedCost","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"19,754","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Share issue related cost","Documentation":"The amount of cost related to the issuance of shares.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642876,"FileId":7831,"Sequence":167,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"fc359641-cdc9-42e8-b157-e315bb351185","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2020_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2020","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"45,895","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Equity","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642896,"FileId":7831,"Sequence":168,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"7cc69704-0634-4825-a979-ca24000832b3","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2020_SharePremiumMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2020","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"2,509,458","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:SharePremiumMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Equity","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642895,"FileId":7831,"Sequence":169,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"570d6486-34d7-4684-9f12-24a06c9a21a5","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2020_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2020","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,421","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Equity","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642894,"FileId":7831,"Sequence":170,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"0b95be1e-3d64-4fe0-8caa-1a8d8a023593","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2020_ReserveOfExchangeDifferencesOnTranslationMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2020","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"137","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:ReserveOfExchangeDifferencesOnTranslationMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Equity","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642893,"FileId":7831,"Sequence":171,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"f8dac381-653b-4456-a261-343331f625d4","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2020_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2020","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,311,671","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Equity","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642892,"FileId":7831,"Sequence":172,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"68704677-057a-42c3-9d16-fe7b6bce048d","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2020_EquityAttributableToOwnersOfParentMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2020","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,242,124","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:EquityAttributableToOwnersOfParentMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Equity","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642891,"FileId":7831,"Sequence":173,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"aa779b6d-0109-454f-b868-01a241c6dff0","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2021To12_31_2021_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642890,"FileId":7831,"Sequence":174,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"241a3811-69ce-492e-b25b-d75572168c24","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2021To12_31_2021_SharePremiumMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:SharePremiumMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642889,"FileId":7831,"Sequence":175,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"f1f15bf7-2540-42a7-8794-6a29601e1376","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2021To12_31_2021_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642888,"FileId":7831,"Sequence":176,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"a79548e8-d73d-4d1d-ad7c-a41a46d55e61","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2021To12_31_2021_ReserveOfExchangeDifferencesOnTranslationMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:ReserveOfExchangeDifferencesOnTranslationMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642897,"FileId":7831,"Sequence":177,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"ffe12b3c-0cdd-49e6-9a04-c7e81aab5f8d","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2021To12_31_2021_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"548,282","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642887,"FileId":7831,"Sequence":178,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"07597173-312b-47a2-b130-9ab5948ba667","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2021To12_31_2021_EquityAttributableToOwnersOfParentMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"548,282","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:EquityAttributableToOwnersOfParentMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642885,"FileId":7831,"Sequence":179,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"0113b8a8-07fa-41cb-9506-23970629b9fc","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other comprehensive income","Documentation":"The amount of income and expense (including reclassification adjustments) that is not recognised in profit or loss as required or permitted by IFRSs. [Refer: IFRSs [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642884,"FileId":7831,"Sequence":180,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"17f86e60-3f90-4d3b-98d7-bda626e2f83b","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021_SharePremiumMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:SharePremiumMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other comprehensive income","Documentation":"The amount of income and expense (including reclassification adjustments) that is not recognised in profit or loss as required or permitted by IFRSs. [Refer: IFRSs [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642883,"FileId":7831,"Sequence":181,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"b5ea2dbd-497e-4222-8966-51d8af3ee759","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other comprehensive income","Documentation":"The amount of income and expense (including reclassification adjustments) that is not recognised in profit or loss as required or permitted by IFRSs. [Refer: IFRSs [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642882,"FileId":7831,"Sequence":182,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"da82d55e-197a-4fc7-b374-4337ef0a2a70","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021_ReserveOfExchangeDifferencesOnTranslationMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"264","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:ReserveOfExchangeDifferencesOnTranslationMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other comprehensive income","Documentation":"The amount of income and expense (including reclassification adjustments) that is not recognised in profit or loss as required or permitted by IFRSs. [Refer: IFRSs [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642881,"FileId":7831,"Sequence":183,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"e3fdb728-9a9f-403e-bd29-3c31d1fbef8b","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other comprehensive income","Documentation":"The amount of income and expense (including reclassification adjustments) that is not recognised in profit or loss as required or permitted by IFRSs. [Refer: IFRSs [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642880,"FileId":7831,"Sequence":184,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"10f56934-cf44-4ee8-baff-f0dbfdcb6560","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021_EquityAttributableToOwnersOfParentMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"264","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:EquityAttributableToOwnersOfParentMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other comprehensive income","Documentation":"The amount of income and expense (including reclassification adjustments) that is not recognised in profit or loss as required or permitted by IFRSs. [Refer: IFRSs [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642879,"FileId":7831,"Sequence":185,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"04a38aa4-73d4-4be0-b1ff-47fa2104db0a","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Comprehensive income","Documentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642878,"FileId":7831,"Sequence":186,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"ccdccead-96af-4393-b64b-de7a814d0966","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021_SharePremiumMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:SharePremiumMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Comprehensive income","Documentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642877,"FileId":7831,"Sequence":187,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"f4e94f3d-ea69-4784-b32c-8bb2b40ee490","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Comprehensive income","Documentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642758,"FileId":7831,"Sequence":188,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"e731171b-2e60-4661-a55a-c2edbf0d6f60","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021_ReserveOfExchangeDifferencesOnTranslationMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"264","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:ReserveOfExchangeDifferencesOnTranslationMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Comprehensive income","Documentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642757,"FileId":7831,"Sequence":189,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"6eb74af7-39c2-45cd-861f-2ddc055acc06","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"548,282","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Comprehensive income","Documentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642756,"FileId":7831,"Sequence":190,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"5349fb6d-ff55-4168-90d1-33003a13f6aa","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2021To12_31_2021_EquityAttributableToOwnersOfParentMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"548,018","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:EquityAttributableToOwnersOfParentMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Comprehensive income","Documentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642732,"FileId":7831,"Sequence":191,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"ebc0d9ca-4a46-4685-9690-e33c516383b8","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2021To12_31_2021_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"440","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through treasury share transactions, equity","Documentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642635,"FileId":7831,"Sequence":192,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"bb4a4973-5247-4f82-ae1a-709634ea5f9d","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2021To12_31_2021_SharePremiumMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:SharePremiumMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through treasury share transactions, equity","Documentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642634,"FileId":7831,"Sequence":193,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"2f2f3bb2-8314-45a1-b11e-277afb8a6ff5","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2021To12_31_2021_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"440","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Increase (decrease) through treasury share transactions, equity","Documentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642633,"FileId":7831,"Sequence":194,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"0ba81860-af6e-4b9a-8664-f075ff6a2ea3","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2021To12_31_2021_ReserveOfExchangeDifferencesOnTranslationMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:ReserveOfExchangeDifferencesOnTranslationMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through treasury share transactions, equity","Documentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642632,"FileId":7831,"Sequence":195,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"bac6aeb6-5900-4772-9d66-ca275c1d0efc","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2021To12_31_2021_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through treasury share transactions, equity","Documentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642631,"FileId":7831,"Sequence":196,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"d61ae5fd-f4df-4a14-b764-71ed0834ed95","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2021To12_31_2021_EquityAttributableToOwnersOfParentMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:EquityAttributableToOwnersOfParentMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through treasury share transactions, equity","Documentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642630,"FileId":7831,"Sequence":197,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"1f6a1b08-37f9-478c-bf5a-87a36e9e8586","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2021To12_31_2021_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through share-based payment transactions, equity","Documentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642629,"FileId":7831,"Sequence":198,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"8f31feae-7b10-453c-85d9-a50d0d5e37d6","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2021To12_31_2021_SharePremiumMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"63,467","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:SharePremiumMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through share-based payment transactions, equity","Documentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642628,"FileId":7831,"Sequence":199,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"aa02102b-340c-4369-9cc1-b5e4ab4b9817","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2021To12_31_2021_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through share-based payment transactions, equity","Documentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642627,"FileId":7831,"Sequence":200,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"2da1d329-1d83-4c0b-8bd9-7946add3a225","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2021To12_31_2021_ReserveOfExchangeDifferencesOnTranslationMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:ReserveOfExchangeDifferencesOnTranslationMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through share-based payment transactions, equity","Documentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642626,"FileId":7831,"Sequence":201,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"ec7aa394-0bd3-4542-aea4-358cc7d25bff","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2021To12_31_2021_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through share-based payment transactions, equity","Documentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642625,"FileId":7831,"Sequence":202,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"af542179-3709-49a8-9dc2-22d54ba093a5","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2021To12_31_2021_EquityAttributableToOwnersOfParentMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2021 - 31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"63,467","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:EquityAttributableToOwnersOfParentMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through share-based payment transactions, equity","Documentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642624,"FileId":7831,"Sequence":203,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"ee936379-7c5e-41e8-8795-620562298ab2","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2021_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"46,335","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Equity","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642623,"FileId":7831,"Sequence":204,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"8a5640f9-4235-4946-ba7d-2b6d96c32c68","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2021_SharePremiumMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"2,572,925","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:SharePremiumMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Equity","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642622,"FileId":7831,"Sequence":205,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"4bd441ba-6d4b-49e0-9740-c37822388602","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2021_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,862","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Equity","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642621,"FileId":7831,"Sequence":206,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"431ce37f-aefb-4b89-b8d1-1d69baee90c4","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2021_ReserveOfExchangeDifferencesOnTranslationMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"127","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:ReserveOfExchangeDifferencesOnTranslationMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Equity","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642620,"FileId":7831,"Sequence":207,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"1849fc20-5cf3-4994-8259-a1b6aed2e1da","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2021_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"1,859,953","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Equity","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642619,"FileId":7831,"Sequence":208,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"ed91c1f7-e9e3-44ec-b171-8c307cbcdb92","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2021_EquityAttributableToOwnersOfParentMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2021","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"757,573","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:EquityAttributableToOwnersOfParentMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Equity","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642618,"FileId":7831,"Sequence":209,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"cdca2f49-35f9-4610-bd3a-138c1c4b9055","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2022To12_31_2022_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642617,"FileId":7831,"Sequence":210,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"6dc498cc-f671-43c2-a498-ac48abeaeffb","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2022To12_31_2022_SharePremiumMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:SharePremiumMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642636,"FileId":7831,"Sequence":211,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"97359527-e4e4-4fd3-8581-2a119164f0fa","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2022To12_31_2022_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642637,"FileId":7831,"Sequence":212,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"f40ded5d-2e3d-45bd-9be6-9abe839b7a97","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2022To12_31_2022_ReserveOfExchangeDifferencesOnTranslationMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:ReserveOfExchangeDifferencesOnTranslationMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642638,"FileId":7831,"Sequence":213,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"3f2b52d2-e77b-4c5f-ad3a-df5ad5b742d2","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2022To12_31_2022_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"611,134","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642639,"FileId":7831,"Sequence":214,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"6547c73a-1506-400c-b524-ddd2aaa80149","ElementType":1,"TagName":"ifrs-full:ProfitLoss","ContextRef":"P01_01_2022To12_31_2022_EquityAttributableToOwnersOfParentMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"611,134","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:EquityAttributableToOwnersOfParentMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642659,"FileId":7831,"Sequence":215,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"ea3e1a34-c782-42fc-8683-f3e961e45def","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncome","ContextRef":"P01_01_2022To12_31_2022_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other comprehensive income","Documentation":"The amount of income and expense (including reclassification adjustments) that is not recognised in profit or loss as required or permitted by IFRSs. [Refer: IFRSs [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642658,"FileId":7831,"Sequence":216,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"91639924-3ab1-4199-9beb-462620cc13ca","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncome","ContextRef":"P01_01_2022To12_31_2022_SharePremiumMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:SharePremiumMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other comprehensive income","Documentation":"The amount of income and expense (including reclassification adjustments) that is not recognised in profit or loss as required or permitted by IFRSs. [Refer: IFRSs [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642657,"FileId":7831,"Sequence":217,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"b7af067e-ffbe-4567-adcf-9688a6b703b9","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncome","ContextRef":"P01_01_2022To12_31_2022_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other comprehensive income","Documentation":"The amount of income and expense (including reclassification adjustments) that is not recognised in profit or loss as required or permitted by IFRSs. [Refer: IFRSs [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642656,"FileId":7831,"Sequence":218,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"70eea95b-773d-435d-a231-6e0df4320243","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncome","ContextRef":"P01_01_2022To12_31_2022_ReserveOfExchangeDifferencesOnTranslationMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"114","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:ReserveOfExchangeDifferencesOnTranslationMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Other comprehensive income","Documentation":"The amount of income and expense (including reclassification adjustments) that is not recognised in profit or loss as required or permitted by IFRSs. [Refer: IFRSs [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642655,"FileId":7831,"Sequence":219,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"ba0b0335-3ea5-427f-8f35-8dd71dac4a6b","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncome","ContextRef":"P01_01_2022To12_31_2022_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Other comprehensive income","Documentation":"The amount of income and expense (including reclassification adjustments) that is not recognised in profit or loss as required or permitted by IFRSs. [Refer: IFRSs [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642654,"FileId":7831,"Sequence":220,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"f45c9d04-a764-4c32-8793-e3212d2ad0ac","ElementType":1,"TagName":"ifrs-full:OtherComprehensiveIncome","ContextRef":"P01_01_2022To12_31_2022_EquityAttributableToOwnersOfParentMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"114","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:EquityAttributableToOwnersOfParentMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Other comprehensive income","Documentation":"The amount of income and expense (including reclassification adjustments) that is not recognised in profit or loss as required or permitted by IFRSs. [Refer: IFRSs [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642653,"FileId":7831,"Sequence":221,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"d8ca55db-d20f-4781-84d8-3cc9f3493d37","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2022To12_31_2022_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Comprehensive income","Documentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642652,"FileId":7831,"Sequence":222,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"d53cb576-2a90-46fe-8622-297c03e576e4","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2022To12_31_2022_SharePremiumMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:SharePremiumMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Comprehensive income","Documentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642651,"FileId":7831,"Sequence":223,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"18706950-dbab-462d-bfb1-d2d9110ee726","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2022To12_31_2022_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Comprehensive income","Documentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642660,"FileId":7831,"Sequence":224,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"853f2c35-34c1-426a-ae52-f54877dbc900","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2022To12_31_2022_ReserveOfExchangeDifferencesOnTranslationMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"114","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:ReserveOfExchangeDifferencesOnTranslationMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Comprehensive income","Documentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642650,"FileId":7831,"Sequence":225,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"0cfb59fa-927c-4786-9c06-c07e4d8c964e","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2022To12_31_2022_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"611,134","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Comprehensive income","Documentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642648,"FileId":7831,"Sequence":226,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"cdbb5d7f-7803-4a83-9cea-7f27395904fb","ElementType":1,"TagName":"ifrs-full:ComprehensiveIncome","ContextRef":"P01_01_2022To12_31_2022_EquityAttributableToOwnersOfParentMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"611,248","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:EquityAttributableToOwnersOfParentMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Comprehensive income","Documentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642647,"FileId":7831,"Sequence":227,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"0988d503-6720-45c3-9914-64aba8f1c77c","ElementType":1,"TagName":"ifrs-full:IssueOfEquity","ContextRef":"P01_01_2022To12_31_2022_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"7,848","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Issue of equity","Documentation":"The increase in equity through the issue of equity instruments.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642646,"FileId":7831,"Sequence":228,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"fa78e35b-1bfb-40c9-a188-c45b5d2520fb","ElementType":1,"TagName":"ifrs-full:IssueOfEquity","ContextRef":"P01_01_2022To12_31_2022_SharePremiumMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"388,348","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:SharePremiumMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Issue of equity","Documentation":"The increase in equity through the issue of equity instruments.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642645,"FileId":7831,"Sequence":229,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"d5826f85-760d-4e92-ac5a-19e54f5e2ecf","ElementType":1,"TagName":"ifrs-full:IssueOfEquity","ContextRef":"P01_01_2022To12_31_2022_ReserveOfExchangeDifferencesOnTranslationMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:ReserveOfExchangeDifferencesOnTranslationMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Issue of equity","Documentation":"The increase in equity through the issue of equity instruments.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642644,"FileId":7831,"Sequence":230,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"ff387976-2c06-4c54-b3a5-777002582f25","ElementType":1,"TagName":"ifrs-full:IssueOfEquity","ContextRef":"P01_01_2022To12_31_2022_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Issue of equity","Documentation":"The increase in equity through the issue of equity instruments.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642643,"FileId":7831,"Sequence":231,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"a262d13a-c3e1-4838-991f-2895f7ff2b68","ElementType":1,"TagName":"ifrs-full:IssueOfEquity","ContextRef":"P01_01_2022To12_31_2022_EquityAttributableToOwnersOfParentMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"396,196","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:EquityAttributableToOwnersOfParentMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Issue of equity","Documentation":"The increase in equity through the issue of equity instruments.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642642,"FileId":7831,"Sequence":232,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"765165df-adff-467e-82d1-67cf4dece5b2","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2022To12_31_2022_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"851","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through treasury share transactions, equity","Documentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642641,"FileId":7831,"Sequence":233,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"b2ac746a-7cae-4e2f-85ce-2406748e9f57","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2022To12_31_2022_SharePremiumMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:SharePremiumMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through treasury share transactions, equity","Documentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642640,"FileId":7831,"Sequence":234,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"de375b96-52d0-447c-b52f-fa9db15cca19","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2022To12_31_2022_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"851","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Increase (decrease) through treasury share transactions, equity","Documentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642616,"FileId":7831,"Sequence":235,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"2bb2661e-ed7f-4c78-9d8f-a12d60ab7bc5","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2022To12_31_2022_ReserveOfExchangeDifferencesOnTranslationMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:ReserveOfExchangeDifferencesOnTranslationMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through treasury share transactions, equity","Documentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642649,"FileId":7831,"Sequence":236,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"25c49815-9ae6-4059-8fe5-ac18cf5ba6b2","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2022To12_31_2022_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through treasury share transactions, equity","Documentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642615,"FileId":7831,"Sequence":237,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"632611ec-29d2-44fe-b914-aacf9a825758","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","ContextRef":"P01_01_2022To12_31_2022_EquityAttributableToOwnersOfParentMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:EquityAttributableToOwnersOfParentMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through treasury share transactions, equity","Documentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642602,"FileId":7831,"Sequence":238,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"c495e2f8-c75c-4db2-9052-74faec273321","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughExerciseOfOptions","ContextRef":"P01_01_2022To12_31_2022_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through exercise of options, equity","Documentation":"The increase (decrease) in equity resulting from the exercise of options.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642588,"FileId":7831,"Sequence":239,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"da336ed3-f717-4d96-88d4-3df91a2c9961","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughExerciseOfOptions","ContextRef":"P01_01_2022To12_31_2022_SharePremiumMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"122","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:SharePremiumMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Increase (decrease) through exercise of options, equity","Documentation":"The increase (decrease) in equity resulting from the exercise of options.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642587,"FileId":7831,"Sequence":240,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"8d6191db-9306-4cff-8977-c712a9dfb748","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughExerciseOfOptions","ContextRef":"P01_01_2022To12_31_2022_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"122","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through exercise of options, equity","Documentation":"The increase (decrease) in equity resulting from the exercise of options.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642586,"FileId":7831,"Sequence":241,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"fa8e3315-85e5-4eb0-b05e-5045ca9a792a","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughExerciseOfOptions","ContextRef":"P01_01_2022To12_31_2022_ReserveOfExchangeDifferencesOnTranslationMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:ReserveOfExchangeDifferencesOnTranslationMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through exercise of options, equity","Documentation":"The increase (decrease) in equity resulting from the exercise of options.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642585,"FileId":7831,"Sequence":242,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"47fd95c9-6493-491f-af81-3132b1f07e2d","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughExerciseOfOptions","ContextRef":"P01_01_2022To12_31_2022_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through exercise of options, equity","Documentation":"The increase (decrease) in equity resulting from the exercise of options.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642584,"FileId":7831,"Sequence":243,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"f76f151a-054e-4e76-9c60-df61ab59de92","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughExerciseOfOptions","ContextRef":"P01_01_2022To12_31_2022_EquityAttributableToOwnersOfParentMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:EquityAttributableToOwnersOfParentMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through exercise of options, equity","Documentation":"The increase (decrease) in equity resulting from the exercise of options.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642583,"FileId":7831,"Sequence":244,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"e88f9a1f-1b38-4464-be50-283f8a9a6977","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2022To12_31_2022_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through share-based payment transactions, equity","Documentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642582,"FileId":7831,"Sequence":245,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"1427a975-25d7-4038-bd13-4de0110d1ebe","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2022To12_31_2022_SharePremiumMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"60,391","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:SharePremiumMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through share-based payment transactions, equity","Documentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642581,"FileId":7831,"Sequence":246,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"1644997f-e41c-47c5-944d-f0c83eb4dedb","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2022To12_31_2022_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through share-based payment transactions, equity","Documentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642580,"FileId":7831,"Sequence":247,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"275f7ca2-18df-47a5-821a-2b4dc8de87d7","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2022To12_31_2022_ReserveOfExchangeDifferencesOnTranslationMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:ReserveOfExchangeDifferencesOnTranslationMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through share-based payment transactions, equity","Documentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642579,"FileId":7831,"Sequence":248,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"e39174b1-cca9-49b5-a4c3-a4f72722b4df","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2022To12_31_2022_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"","Decimal":"-3","Scale":"Thousands","Value":"-","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through share-based payment transactions, equity","Documentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:fixed-zero","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642578,"FileId":7831,"Sequence":249,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"c97f072d-9db9-4181-b6f7-138a5547787f","ElementType":1,"TagName":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","ContextRef":"P01_01_2022To12_31_2022_EquityAttributableToOwnersOfParentMemberifrsfullComponentsOfEquityAxis","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"60,391","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:EquityAttributableToOwnersOfParentMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Increase (decrease) through share-based payment transactions, equity","Documentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642577,"FileId":7831,"Sequence":250,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"e247f5f5-d825-4569-9292-fbc752b6437e","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2022_IssuedCapitalMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"55,034","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:IssuedCapitalMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Equity","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642576,"FileId":7831,"Sequence":251,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"2308497d-5443-4b26-8c1e-34666cfbdbbf","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2022_SharePremiumMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"3,021,541","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:SharePremiumMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Equity","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642575,"FileId":7831,"Sequence":252,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"e359f77f-5f52-49f7-909f-1968e0af3b59","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2022_TreasurySharesMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"2,590","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:TreasurySharesMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Equity","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642574,"FileId":7831,"Sequence":253,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"1cb7b329-9933-43ce-a036-9c980b766544","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2022_ReserveOfExchangeDifferencesOnTranslationMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"13","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:ReserveOfExchangeDifferencesOnTranslationMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Equity","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642573,"FileId":7831,"Sequence":254,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"8d476d1d-59e2-4cee-a4f7-c7c96f0f63fb","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2022_RetainedEarningsMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"2,471,087","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:RetainedEarningsMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"-","IsHiddenElement":false,"Label":"Equity","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642572,"FileId":7831,"Sequence":255,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"649ba23d-c767-4a71-ba1f-f1a9d9503286","ElementType":1,"TagName":"ifrs-full:Equity","ContextRef":"PAsOn12_31_2022_EquityAttributableToOwnersOfParentMemberifrsfullComponentsOfEquityAxis","Period":"31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"602,912","Dimension":"ifrs-full:ComponentsOfEquityAxis","Member":"ifrs-full:EquityAttributableToOwnersOfParentMember","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Equity","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642571,"FileId":7831,"Sequence":256,"PageIdentifier":"53f02d5c-6773-42e8-ac97-fafc8f27e874","ElementIdentifier":"22fdd688-a01f-4b90-8976-c5e3e9066a8a","ElementType":1,"TagName":"ifrs-full:ShareIssueRelatedCost","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"Unit_SEK","CurrencyName":"Ugandan Shilling","Decimal":"-3","Scale":"Thousands","Value":"19,754","Dimension":"","Member":"","CurrencyCode":"SEK","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Share issue related cost","Documentation":"The amount of cost related to the issuance of shares.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"ixt:num-dot-decimal","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":false,"IsMandatoryTag":false},{"Id":3642570,"FileId":7831,"Sequence":257,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9","ElementIdentifier":"2c6bc377-7908-48ad-9f96-cfdc3ea246e7","ElementType":2,"TagName":"ifrs-full:DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 1 General Information \r\nHansa Biopharma AB (Hansa, the Company; and together with its subsidiaries, the Group) is a \r\ncommercial-stage biopharmaceutical company pioneering the development and \r\ncommercialization of innovative, life-saving and life-altering treatments for patients with rare \r\nimmunological conditions. The Company has developed a proprietary antibody-cleaving \r\nenzyme technology platform to target pathogenic or disease-causing antibodies. Its broad \r\ntherapeutic pipeline has potential applications across transplantation, autoimmune diseases, \r\ngene therapy and oncology indications addressing significant unmet medical needs. Hansa has \r\nreceived conditional approval of Idefirix (imlifidase) by the European Commission for \r\ndesensitization treatment of highly sensitized kidney transplant patients. Hansa is a public \r\nlimited liability company under the laws of Sweden, based in Lund, Sweden, and has operations \r\nin Europe and the United States. The Group consists of the parent company, Hansa Biopharma \r\nAB and the subsidiaries Cartela R&amp;D AB, Hansa Biopharma Ltd, Hansa Biopharma Inc. and \r\nHansa Biopharma Australia PTY LTD. \r\nNote 2 Basis of Presentation and Summary of Significant Accounting Policies \r\nBasis of accounting \r\nThe consolidated financial statements are reported in Swedish Krona, Hansa Biopharma AB&#8217;s \r\nfunctional currency, and prepared in accordance with International Financial Reporting \r\nStandards (IFRS), issued by the International Accounting Standards Board (IASB) and the \r\ninterpretations issued by the IASB&#8217;s International Financial Reporting Interpretation Committee.  \r\nThe consolidated financial statements provide a general overview of the Group&#8217;s activities and \r\nthe results achieved. They present fairly the entity&#8217;s financial position, its financial performance, \r\nand cash flows, on a going concern basis. The accounting policies described in Note 2 and 3 of \r\nthe Group&#8217;s consolidated financial statements have been applied in preparing the consolidated \r\nfinancial statements as of and for the year ended December 31, 2022, and for the comparative \r\ninformation as of and for the year ended December 31, 2021.The significant accounting policies \r\napplied in the preparation of the above consolidated financial statements are set out below. \r\nThe preparation of consolidated financial statements requires management to exercise its \r\njudgment in the process of applying the Group&#8217;s accounting policies. The areas involving a \r\nhigher degree of judgment or complexity, or areas where assumptions and estimates that are \r\nsignificant to the consolidated financial statements are disclosed in Note 3. \r\nThese consolidated financial statements of the Group as of December 31, 2022, and for the \r\nyear then ended were approved by the Board of Directors of the Group and authorized for issue \r\non March 30, 2023. \r\nChanges in Accounting Policies and Disclosures \r\nSeveral amendments to and interpretations of IFRS applied for the first time in 2022, which has \r\nnot had an impact on the accounting policies applied by the Group. Thus, the accounting \r\npolicies applied when preparing these consolidated financial statements have been applied \r\nconsistently to all the periods presented, unless otherwise stated. \r\nBasis of Consolidation \r\nThe consolidated financial statements include Hansa Biopharma AB, Lund Sweden, and \r\nsubsidiaries over which the Group has control. Control is achieved when the Group: \r\n&gt; has power over the investee; \r\n&gt; is exposed, or has rights, to variable returns from its involvement with the investee; and \r\n&gt; has the ability to use its power to affect its returns. \r\nThe Group reassesses whether it controls an investee if facts and circumstances indicate that \r\nthere are changes to one or more of the three elements of control listed above. If the Group \r\ndoes not have a majority of the voting rights of an investee, it has power over the investee when \r\nthe voting rights are sufficient to give it the practical ability to direct the relevant activities of the \r\ninvestee unilaterally. \r\nThe Group considers all relevant facts and circumstances in assessing whether the Group&#8217;s \r\nvoting rights in an investee are sufficient to give it power, including: \r\n&gt; the size of the Group&#8217;s holding of voting rights relative to the size and dispersion of holdings \r\nof the other vote holders; \r\n&gt; potential voting rights held by the Group; \r\n&gt; rights arising from other contractual arrangements; and \r\n&gt; any additional facts and circumstances that indicate that the Group has, or does not have, the \r\ncurrent ability to direct the relevant activities at the time that decisions need to be made, \r\nincluding voting patterns at previous shareholders&#8217; meetings. \r\nConsolidation of a subsidiary begins when the Group obtains control over the subsidiary and \r\nceases when the Group loses control of the subsidiary. Specifically, income and expenses of a \r\nsubsidiary acquired or disposed of during the year are included in the consolidated statement of \r\nprofit or loss and other comprehensive income (loss) from the date the Group gains control until \r\nthe date when the Group ceases to control the subsidiary. \r\nAdjustments are made to the financial statements of subsidiaries to bring their accounting \r\npolicies in line with the Group&#8217;s accounting policies. All intra group transactions, balances, \r\nincome and expenses are eliminated in full in consolidation. Unrealized losses are also \r\neliminated unless the transaction provides evidence of an impairment of the transferred asset.  \r\n\r\nThe Group holds investments either directly or indirectly in the following subsidiaries:  \r\nShare ownership percentage (%) \r\nSubsidiaries \r\nRegistered \r\noffice/Country 2022 2021 \r\nCartela R&amp;D AB Lund, Sweden 100 100 \r\nHansa Biopharma Ltd Cheltenham, \r\nUK \r\n100 100 \r\nHansa Biopharma Inc Delaware, \r\nUSA \r\n100 100 \r\n*Hansa Biopharma Australia Pty Ltd Australia 100  100\r\n*Dormant company \r\nBecause the functional currency for Hansa Biopharma Ltd and Hansa Biopharma Inc is the UK \r\nPound Sterling and the United States Dollar, respectively, the Group has foreign currency \r\nexposure. See &#8220;Functional and Presentation Currency&#8221; section that follows and Note 20, \r\n&#8220;Financial Risk and Financial Instruments.&#8221; \r\nFunctional and Presentation Currency \r\nThe presentation currency of the consolidated financial statements is Swedish Kronor (SEK). \r\nThe functional currency, which is the currency that best reflects the economic environment in \r\nwhich the subsidiaries of the Group operate and conduct their transactions, is separately \r\ndetermined for the Group&#8217;s subsidiaries and is used to measure their financial position and \r\noperating results. \r\nTransactions in currencies other than the functional currency of a subsidiary are recorded at the \r\nrates of exchange prevailing at the date of the transaction. Monetary assets and liabilities in \r\ncurrencies other than the functional currency are remeasured at the rates of exchange \r\nprevailing on the date of the consolidated statements of financial position and the related \r\ntranslation gains and losses are recognized in the Consolidated statement of profit or loss and \r\nother comprehensive income. Non-monetary items that are carried at cost are translated using \r\nthe rate of exchange prevailing at the date of the transaction. Non-monetary items that are \r\ncarried at fair value are translated using the exchange rate prevailing when the fair value was \r\ndetermined, and the related translation gains and losses are reported in the Consolidated \r\nstatement of profit or loss and other comprehensive income. \r\nUpon consolidation, the results of operations of subsidiaries whose functional currency is other \r\nthan the SEK are translated into SEK at the monthly average exchange rates and assets and \r\nliabilities are translated at the year-end exchange rates. Translation adjustments are recognized \r\ndirectly in other comprehensive income. \r\nMeasurement of Fair Values \r\nThe Group&#8217;s accounting policies and disclosures require the measurement of fair values, for \r\nboth financial and non-financial assets and liabilities. The Group has an established control \r\nframework with respect to the measurement of fair values. This includes the use of valuation \r\nspecialists that have responsibility for overseeing certain significant fair value measurements, \r\nincluding Level 3 fair values, and reports directly to the chief financial officer. If third party \r\ninformation, such as broker quotes or pricing services, is used to measure fair values, then the \r\nGroup assesses the evidence obtained from the valuation specialists to support the conclusion \r\nthat these valuations meet the requirements of the Standards, including the level in the fair \r\nvalue hierarchy in which the valuations should be classified. Significant valuation issues are \r\nreported to the Group&#8217;s audit committee. \r\nWhen measuring the fair value of an asset or a liability, the Group uses observable market data \r\nas far as possible. Fair values are categorized into different levels in a fair value hierarchy \r\nbased on the inputs used in the valuation techniques as follows: \r\n&gt; Level 1: quoted prices (unadjusted) in active markets for identical assets or liabilities. \r\n&gt; Level 2: inputs other than quoted prices included in Level 1 that are observable for the asset \r\nor liability, either directly (i.e., as prices) or indirectly (i.e., derived from prices). \r\n&gt; Level 3: inputs for the asset or liability that are not based on observable market data \r\n(unobservable inputs). \r\nIf the inputs used to measure the fair value of an asset or a liability fall into different levels of the \r\nfair value hierarchy, then the fair value measurement is categorized in its entirety in the same \r\nlevel of the fair value hierarchy as the lowest level input that is significant to the entire \r\nmeasurement. The Group recognizes transfers between levels of the fair value hierarchy at the \r\nend of the reporting period during which the change has occurred. \r\nRevenue \r\nRevenue is recognized when control of the promised goods or services is transferred to the \r\ncustomer, and in an amount that reflects the consideration the Group received or expects to \r\nreceive in exchange for those goods or services. \r\nThe Group derives its revenues primarily from products and contractual arrangements. The \r\nGroup determines revenue recognition through the following steps: \r\n&gt; (1) Identification of the contract, or contracts, with a customer. \r\n&gt; (2) Identification of the performance obligation(s) in the contract. \r\n&gt; (3) Determination of the transaction price. \r\n&gt; (4) Allocation of the transaction price to the performance obligations in the contract. \r\n&gt; (5) Recognition of revenue when, or as, the Group satisfies a performance obligation.  \r\n\r\nProduct revenue \r\nProduct revenue is recognized net of any sales and value added taxes and sales deductions \r\nbased on contractually agreed payment terms. The control passes according to contractual \r\nterms. The amount of consideration the Group receives and revenue the Group recognizes \r\nvaries based on actual or estimated rebates, discounts, returns and charge backs. The Group \r\nadjusts its estimate of revenue at the earlier of when the most likely amount of consideration the \r\nGroup expects to receive changes or when the consideration becomes fixed. \r\nSales returns are generally estimated and recorded based on historical sales and returns \r\ninformation. Sales returns allowances represent a reserve for products that may be returned \r\ndue to expiration, damage or potential other reasons typically calculated as a percent of gross \r\nrevenues. For the periods ended December 31, 2022, and 2021, there have been no sales \r\nreturns. \r\nContract revenue \r\nThe Group accounts for a contract when it has approval and commitment from both parties, the \r\nrights of the parties are identified, payment terms are identified, the contract has commercial \r\nsubstance and collectability of consideration is probable. \r\nIn determining the proper revenue recognition method, the performance obligation(s) under an \r\nagreement is reviewed and evaluated if such obligation(s) be accounted for as more than one \r\nperformance obligation. \r\nFor certain contracts, a service of combining a license and related tasks into a single \r\nperformance obligation may be provided. In such a case, the entire contract is accounted for as \r\none performance obligation. Certain contracts may promise to provide a distinct license with \r\ndistinct services within a contract, in which case the contract is separated into more than one \r\nperformance obligation. If a contract is separated into more than one performance obligation, \r\nthe total transaction price is allocated to each performance obligation in an amount based on \r\nthe estimated relative standalone selling price of the promised goods or services underlying \r\neach performance obligation. Non-refundable upfront payments and substantive development \r\nand sales milestone payments are typically recognized over the remaining performance period \r\nbased on the progress towards satisfying its identified performance obligation. \r\nGrant revenue \r\nBecause the Group carries out extensive research and development activities, the Group may \r\nbenefit from various grants, research and development incentives and payroll tax rebates from \r\ncertain governmental agencies. These grants, research and development incentives and payroll \r\ntax rebates generally aim to partly reimburse approved expenditures incurred in research and \r\ndevelopment efforts of the Group and are credited to the consolidated statement of profit or loss \r\nand other comprehensive income, under the line other operating income, when the relevant \r\nexpenditure has been incurred and there is reasonable assurance that the grants or research \r\nand development incentives are receivable. \r\nResearch and Development Expenses \r\nResearch cost are expensed as incurred. Development cost are typically expensed as incurred, \r\nunless capitalized. Costs of research and development equipment with alternative future uses \r\nare capitalized and depreciated over the equipment&#8217;s useful life. \r\nResearch and development expenses primarily include costs for third-party services in \r\nconnection with clinical studies and research projects, costs for producing substance to be used \r\nin such studies and projects, personnel expenses for the Group&#8217;s research and development \r\ngroups, and depreciation of equipment used for research and development activities. In \r\naddition, research and development expenses contain expenses for producing pharmaceutical \r\nmaterial which may be used for commercialization subject to regulatory approval, and which \r\nwas produced prior to obtaining regulatory approval or evidence being available that regulatory \r\napproval can reasonably be expected. \r\nExpenditures on research activities are recognized in the consolidated statement of profit or \r\nloss and other comprehensive income (loss) as incurred. Development expenditures are \r\ncapitalized only if the expenditure can be measured reliably, the product or process is \r\ntechnically and commercially feasible, future economic benefits are probable, and the Group \r\nintends to and has sufficient resources to complete development and to use or sell the asset. \r\nOtherwise, it is recognized in the consolidated statement of profit or loss and other \r\ncomprehensive income (loss) as incurred. Subsequent to initial recognition, development \r\nexpenditure is measured at cost less accumulated amortization and any accumulated \r\nimpairment losses. \r\nGenerally, expenditures are not capitalized before the pharmaceutical authorities have given \r\napproval due to the level of uncertainty associated with the approval process. In 2022, Hansa \r\nstarted to capitalize certain development cost related to fulfilment of the EMA post-approval \r\ncommitments related to its conditional approval of imlifidase in the EU as it met all requirements \r\nunder IAS 38. Please refer to Note 4 for further information. \r\nSales, General and Administrative Expenses \r\nSales, general and administrative expenses consist primarily of (i) personnel expenses relating \r\nto salaries and related costs for personnel, including share-based compensation, of our \r\nemployees in executive, commercial, finance, business development and support functions, (ii) \r\nfees relating to professional services for commercialization, marketing, selling, medical affairs, \r\ncorporate management, legal, finance, human resources, business development, licensing and \r\ninvestor relations, (iii) board expenses consisting of directors&#8217; fees and travel expenses for \r\nboard members, and (iv) other general and administrative expenses, including leasing costs, \r\noffice expenses and travel costs. General and administrative expenses are recognized in the \r\nconsolidated statement of profit or loss and other comprehensive income (loss) in the period to \r\nwhich they relate.  \r\n\r\nPensions \r\nPlans where the Group&#8217;s obligations are limited to the contribution the Group has undertaken to \r\npay are classified as &#8220;defined contribution pension plans&#8221;. In such cases, the size of the \r\nemployee&#8217;s pension is dependent upon the contribution which the Group pays into the plan, or \r\nto an insurance company, and the return on capital which the contribution generates. \r\nConsequently, it is the employee who bears the actuarial risk (that the benefits will be lower \r\nthan anticipated) and the investment risk (that the invested assets will be insufficient to generate \r\nthe anticipated benefits). The Group&#8217;s obligations regarding fees paid to defined contribution \r\nplans are reported as an expense in the consolidated statement of profit or loss and other \r\ncomprehensive income (loss) when they are earned by the employees performing their services \r\non behalf of the Group during a given period of time. \r\nEmployee Benefits \r\nShort-term employee benefits \r\nShort-term employee benefits are expensed as the related service is provided. A liability is \r\nrecognized for the amount expected to be paid if the Group has a present legal or constructive \r\nobligation to pay this amount as a result of past service provided by the employee and the \r\nobligation can be estimated reliably. \r\nLong-term employee benefits \r\nThe Group&#8217;s net obligation in respect of long-term employee benefits is the amount of future \r\nbenefit that employees have earned in return for their service in the current and prior periods. \r\nThat benefit is discounted to determine its present value. Remeasurements are recognized in \r\nprofit or loss in the period in which they arise. \r\nTermination benefits \r\nTermination benefits are expensed at the earlier of when the Group can no longer withdraw the \r\noffer of those benefits and when the Group recognizes costs for a restructuring. If benefits are \r\nnot expected to be settled wholly within 12 months of the reporting date, then they are \r\ndiscounted. \r\nShare-based Payments \r\nThe Company has provided share-based payment awards through long-term incentive \r\nprograms for certain employees whereby participants are provided ordinary shares of the \r\nCompany after the vesting period, either through share rights or employee stock options, if \r\ncertain performance conditions are met. Vesting is based on market or non-market performance \r\nconditions. For awards that vest upon achieving a market condition, the Company&#8217;s share price \r\nmust achieve certain thresholds. For awards that vest upon achieving non-market conditions, \r\nthe Company must achieve certain pre-defined business objectives related to financial, portfolio \r\nand/or commercial targets. \r\nThe awards are classified as equity-settled share-based payments since the only settlement \r\nalternative is in shares of the Company. For equity-settled programs, the fair value of the \r\ninstruments is determined at the grant date and is subsequently not remeasured. The share- \r\nbased payment expense is recognized over the vesting period with a corresponding entry \r\nrecognized directly in equity. Social security costs relating to share- based compensation are \r\nrecognized as expense in profit or loss over the same vesting period, based on the fair value of \r\nthe equity instruments at each reporting date. An amount corresponding to the recognized \r\nexpense is recognized as a liability. \r\nThe fair value of the options is calculated based on the Black-Scholes model and expensed \r\nover the vesting period. During the vesting period, the expense is adjusted in order to account \r\nfor the number of options that are expected to vest. \r\nFor share rights that vest upon achieving market conditions, the Company determines the value \r\nof the awards using the Monte Carlo model at the grant date because different share price \r\nrealizations result in different values for the award. The effect of a market condition is reflected \r\nin the grant-date fair value of an award. The share-based payment expense is recognized over \r\nthe three-year vesting period provided that the service is rendered, regardless of when, if ever, \r\nthe market condition is satisfied. \r\nFor share rights with a non-market performance condition, the Company valued the awards \r\nusing Black-Scholes model. The exercise price of the share rights has been set using a volume \r\nweighted average of the Company&#8217;s share price over a certain period before grant date. For the \r\nestimation of expected future volatility, the average 90-day historical volatility was estimated for \r\nthe Company and, as a benchmark, for several peers over periods between one and seven \r\nyears. The yield curve for Swedish government bonds is used to determine the risk-free interest \r\nrate. After the value of the awards were determined, the Company estimated the probability of \r\nachieving the non-market conditions and adjusted the number of awards that would expense \r\nover the amortization period. The Company re-evaluates the probability of achieving the non- \r\nmarket conditions each reporting period. \r\nOther operating income and expenses \r\nOther income \r\nOther income includes foreign currency gain on receivables from operating activities and gain \r\nfrom disposal of assets. \r\nOther expenses \r\nOther expenses include foreign currency loss on receivables from operating activities and loss \r\nfrom disposals of assets. \r\nFinance Income and Expenses \r\nFinance income and expenses comprise of interest income and expenses, amortization of \r\nsecurities, and realized and unrealized exchange rate gains and losses on transactions \r\ndenominated in foreign currencies.  \r\n\r\nInterest income or expense is recognized using the effective interest method. The effective \r\ninterest rate is the rate that exactly discounts estimated future cash payments or receipts \r\nthrough the expected life of the financial instrument to the gross carrying amount of the financial \r\nasset; or the amortized cost of the financial liability. In calculating interest income and expense, \r\nthe effective interest rate is applied to the gross carrying amount of the asset (when the asset is \r\nnot credit-impaired) or to the amortized cost of the liability. However, for financial assets that \r\nhave become credit-impaired subsequent to initial recognition, interest income is calculated by \r\napplying the effective interest rate to the amortized cost of the financial asset. If the asset is no \r\nlonger credit-impaired, then the calculation of interest income reverts to the gross basis. \r\nIncome Taxes \r\nTax for the year, which consists of current tax for the year and changes in deferred tax, is \r\nrecognized in the Consolidated statement of profit or loss and other comprehensive income \r\n(loss) by the portion attributable to the profit or loss for the year and recognized directly in equity \r\nor other comprehensive income by the portion attributable to entries directly in equity and in \r\nother comprehensive income. The current tax payable or receivable is recognized in the \r\nconsolidated statement of financial position, stated as tax computed on this year&#8217;s taxable \r\nincome, adjusted for prepaid tax. \r\nWhen computing the current tax for the year, the tax rates and tax rules enacted or substantially \r\nenacted at the reporting date are used. Current tax payable is based on taxable profit or loss for \r\nthe year. Taxable profit or loss differs from net profit or loss as reported in the consolidated \r\nstatement of profit or loss and other comprehensive income (loss) because it excludes items of \r\nincome or expense that are taxable or deductible in prior or future years. In addition, taxable \r\nprofit or loss excludes items that are never taxable or deductible. \r\nDeferred tax is recognized according to the balance sheet liability method of all temporary \r\ndifferences between carrying amounts and tax-based values of assets and liabilities, apart from \r\ndeferred tax on all temporary differences occurring on initial recognition of goodwill or on initial \r\nrecognition of a transaction which is not a business combination, and for which the temporary \r\ndifference found at the time of initial recognition neither affects profit or loss nor taxable income. \r\nDeferred tax liabilities are recognized on all temporary differences related to investments in \r\nsubsidiaries and/or associates, unless the Group is able to control when the deferred tax is \r\nrealized, and it is probable that the deferred tax will not become due and payable as current tax \r\nin the foreseeable future. \r\nDeferred tax assets, including the tax base of tax loss carry forwards, are recognized in the \r\nstatement of financial position at their estimated realizable value, either as a set-off against \r\ndeferred tax liabilities or as net tax assets for offset against future positive taxable income. \r\nDeferred tax assets are only offset against deferred tax liabilities if the entity has a legally \r\nenforceable right to set off, and the deferred tax assets and deferred tax liabilities relate to \r\nincome taxes levied by the same tax jurisdiction. Deferred tax is calculated based on the \r\nplanned use of each asset and the settlement of each liability, respectively. \r\nDeferred tax is measured using the tax rates and tax rules in the relevant countries that, based \r\non acts in force or acts in reality in force at the reporting date are expected to apply when the \r\ndeferred tax is expected to crystallize as current tax. Changes in deferred tax resulting from \r\nchanged tax rates or tax rules are recognized in the consolidated statement of profit or loss and \r\nother comprehensive income (loss) unless the deferred tax is attributable to transactions \r\npreviously recognized directly in equity or other comprehensive income. In the latter case, such \r\nchanges are also recognized in equity or other comprehensive income. On every reporting date, \r\nit is assessed whether sufficient taxable income is likely to arise in the future for the deferred tax \r\nasset to be utilized. \r\nProperty and Equipment \r\nProperty and equipment are measured at cost less accumulated depreciation and any \r\naccumulated impairment losses. Cost comprises the acquisition price, costs directly attributable \r\nto the acquisition and preparation costs of the asset until the time when it is ready to be used in \r\noperation. Subsequent costs are included in the carrying amount of the asset or recognized as \r\na separate asset, as appropriate, only when it is probable that future economic benefits \r\nassociated with the assets will flow to the Group and the costs of the items can be measured \r\nreliably. All repair and maintenance costs are charged to the consolidated statement of profit or \r\nloss and other comprehensive income (loss) during the financial periods in which they are \r\nincurred. \r\nEquipment acquired for research and development activities with alternative use, which is \r\nexpected to be used for more than one year, is capitalized and depreciated over the estimated \r\nuseful life as research and development costs. Equipment acquired for research and \r\ndevelopment activities, which has no alternative use, is recognized as research and \r\ndevelopment costs when incurred. \r\nIf the acquisition or use of the asset involves an obligation to incur costs of decommissioning or \r\nrestoration of the asset, the estimated related costs are recognized as a provision and as part of \r\nthe relevant asset&#8217;s cost, respectively.  \r\n\r\nThe basis for depreciation is cost less estimated residual value. The residual value of an asset \r\nis the estimated amount that an entity would currently obtain from disposal of the asset, after \r\ndeducting the estimated costs of disposal, if the asset were already of the age and in the \r\ncondition expected at the end of its useful life. If significant parts of an item of property and \r\nequipment have different useful lives, then they are accounted for as separate items (major \r\ncomponents) of property and equipment. Depreciation commences when the asset is available \r\nfor use, which is when it is in the location and condition necessary for it to be capable of \r\noperating in the manner intended. \r\nDepreciation is calculated on a straight-line basis, based on an asset&#8217;s expected useful life, \r\nbeing within the following ranges: \r\nProperty and equipment 3&#8722;10 years \r\nRight-of-use assets 3&#8722;4 years \r\nDepreciation methods, useful lives and residual values are reviewed at each reporting date and \r\nadjusted if appropriate. \r\nDepreciation and impairment losses of property and equipment is recognized in the \r\nConsolidated statement of profit or loss and other comprehensive income (loss) as research \r\nand development costs or as selling, general and administrative expenses, as appropriate. \r\nGains and losses on disposal of property and equipment are recognized in the Consolidated \r\nstatement of profit or loss and other comprehensive income (loss) at its net proceeds, as either \r\nother income or other expenses, as appropriate. \r\nIntangible Assets \r\nInternally generated intangible assets \r\nDevelopment expenditure is capitalized only if all respective requirements under IAS 38 are fully \r\nmet, particularly, the expenditure can be measured reliably, the product or process is technically \r\nand commercially feasible, future economic benefits are probable and the Group intends to and \r\nhas sufficient resources to complete the development and to use or sell the asset. Otherwise, it \r\nis recognized in profit or loss as incurred. Subsequent to initial recognition, capitalized \r\ndevelopment expenditure is measured at cost less accumulated amortization and any \r\naccumulated impairment losses. \r\nSubsequent expenditure is capitalized only when it increases the future economic benefits \r\nembodied in the specific asset to which it relates. All other expenditure, including expenditure \r\non internally generated goodwill and brands, is recognized in profit or loss as incurred. \r\nIn 2022, Hansa started to capitalize certain development cost related to fulfilment of the EMA \r\npost-approval commitments related to its conditional approval of imlifidase in the EU as it met all \r\nrequirements under IAS 38. Please refer to Note 4 for further information. \r\nAmortization is calculated to write off the cost of intangible assets less their estimated residual \r\nvalue using the straight-line method over their estimated useful life and is generally recognized \r\nin consolidated statement of profit or loss and other comprehensive income (loss). \r\nThe estimated useful lives for current and comparative periods are as follows: \r\nDevelopment costs: 10 years \r\nAmortization methods, useful lives and residual values are reviewed at each reporting date and \r\nadjusted if appropriate. \r\nAcquired intangible assets \r\nAcquired intangible assets held by the Group consists of patents and in-process development \r\nprojects acquired in a business combination. The intangible assets were originally recognized at \r\nthe acquisition date fair value. Subsequently, they are measured at cost less accumulated \r\namortization and any impairment. Amortization is calculated to write off the cost of development \r\nprojects, less their estimated residual values, using the straight- line method over their \r\nestimated useful lives and commence when the projects start to generate revenue, being within \r\nthe following range: \r\nPatents: Until expiry date \r\nIn-process development projects: 10&#8722;15 years \r\nImpairment \r\nIf circumstances or changes in the Group&#8217;s operations indicate that the carrying amount of non- \r\ncurrent assets in a cash-generating unit may not be recoverable, management reviews the \r\nasset for impairment. An annual impairment test is also performed for assets yet to be brought \r\ninto use, i.e. per December 31, 2022 in-process development projects and capitalized \r\ndevelopment cost relating to imlifidase. The basis for the review is the recoverable amount of \r\nthe assets, determined as the greater of the fair value less costs of disposal or its value in use. \r\nSuch review uses an analysis of current market value (market cap of the Company) as the fair \r\nvalue less cost of disposal. If the carrying amount of an asset is greater than the recoverable \r\namount, the asset is written down to the recoverable amount. An impairment loss is recognized \r\nin the consolidated statement of profit or loss and other comprehensive income (loss) when the \r\nimpairment is identified. The Group assesses at the end of each reporting period whether there \r\nis any indication that an asset may be impaired. If any such indication exists, the Group will \r\nestimate the recoverable amount of the asset.  \r\n\r\nInventories \r\nInventories are assets: \r\n(a) held for sale in the ordinary course of business; \r\n(b) in the process of production for such sale; or \r\n(c) in the form of materials or supplies to be consumed in the production process or in the \r\nrendering of services. \r\nCosts related to the manufacturing of inventories which occurred after the receipt of regulatory \r\napproval for the respective product are capitalized, otherwise, they are expensed as research \r\nand development expenses when incurred. \r\nThe cost of inventories includes all costs of purchase, costs of conversion and other costs \r\nincurred in bringing the inventories to their present location and condition. Inventories are \r\nvalued at the lower of cost and net realizable value. Cost is determined based on the first-in \r\nfirst-out (&#8220;FIFO&#8221;) costing method. The Company regularly reviews the net realizable value and \r\nadjusts the carrying inventory amounts for any excess, obsolete or slow-moving inventory. \r\nUnbilled revenues &amp; refund liabilities \r\nUnbilled revenues primarily relate to the Group&#8217;s right to consider product sold but not billed at \r\nthe reporting date. The unbilled revenues are transferred to trade receivables when the rights \r\nbecome unconditional. This usually occurs when the Group issues an invoice to the customer. \r\nRefund liabilities primarily relate to the Group&#8217;s actual or estimated rebates, discounts, return \r\nand charge back obligations. The refund liabilities are transferred to trade payables when the \r\nobligation becomes unconditional. This usually occurs when the Group receives an invoice \r\nfrom third party, typically the healthcare sponsor in the country where the sale occurred. \r\nTrade receivables \r\nTrade receivables are recorded at net realizable value after consideration of an allowance for \r\nexpected credit losses. The Company generally maintains allowances for estimated \r\nuncollectible receivables based on historical experience and, where such historical experience \r\ndoes not exist, on country-specific default rates. The adequacy of the allowance is evaluated on \r\nan ongoing and periodic basis and adjustments are made in the period in which a change in \r\ncondition occurs. \r\nPlease refer to section &#8220;Financial instruments&#8221; below for further information.  \r\nCash and Cash Equivalents \r\nCash and cash equivalents comprise of on-demand deposits with financial institutions. Cash \r\nand cash equivalents are measured at amortized cost. \r\nShareholders&#8217; Equity \r\nThe share premium reserve is comprised of the amount received, attributable to shareholders&#8217; \r\nequity, in excess of the nominal amount of the shares issued, reduced by any amount allocated \r\nexternal expenses directly attributable to the offerings. The share premium reserve can be \r\ndistributed. \r\nShareholders are entitled to dividends which are determined after they become shareholders. \r\nShareholdings entitle a shareholder to one vote per share at general meetings. \r\nThe year 2022 additions of Class C shares refer to the new issue and subsequent repurchase \r\nof Class C shares related to the funding of the long-term incentive plan (LTIP) 2022, as \r\napproved by the 2022 AGM. \r\nThe treasury shares reserves comprise own shares repurchased by the Group. \r\nThe translation reserve comprises all foreign exchange differences arising on translation of \r\nfinancial statements from foreign business prepared in currency other than the reporting \r\ncurrency for the financial statements of the Group. \r\nRetained earnings/accumulated deficit, including profit/loss for the year, includes profits \r\nearned/losses incurred by the Group and its subsidiaries. Previous allocations to statutory \r\nreserves, excluding transferred share premium reserves, are included in this shareholders&#8217; \r\nequity item. \r\nNo dividend was paid for the periods ended December 31, 2022, or 2021. \r\nLeases \r\nThe Group leases various offices, laboratory facilities, equipment and vehicles. Rental contracts \r\nare typically made for fixed periods of three to four years, but certain contracts may have \r\nextension options. \r\nContracts may contain both lease and non-lease components. The Group allocates the \r\nconsideration in the contract to the lease and non-lease components based on their relative \r\nstand-alone prices. For leases of real estate, it has elected not to separate lease and non-lease \r\ncomponents and instead accounts for these as a single lease component. Lease terms are \r\nnegotiated on an individual basis and contain a wide range of different terms and conditions. \r\nThe lease agreements do not impose any covenants other than the security interests in the \r\nleased assets that are held by the lessor. Leases are recognized as right-of-use assets and \r\ncorresponding liabilities at the date at which the underlying assets are available for use by the \r\nGroup. Leased assets and lease liabilities arising from a lease are initially measured at present \r\nvalue. Lease liabilities include the net present value of the lease payments, and they are \r\ndiscounted using the lessee&#8217;s incremental borrowing rate.  \r\n\r\nSubsequent to initial recognition, the right-of-use is measured at amortized cost using the \r\neffective interest method. \r\nLeased assets are generally depreciated over the shorter of the asset&#8217;s useful life and the lease \r\nterm on a straight-line basis. If the Group is reasonably certain to exercise a purchase option, \r\nthe right-of-use assets are depreciated over the underlying asset&#8217;s useful life. Payments \r\nassociated with short-term leases of equipment and all leases of low-value assets are \r\nrecognized on a straight-line basis as an expense in the consolidated statement of profit or loss \r\nand other comprehensive income. Short-term leases are leases with a lease term of twelve \r\nmonths or less. Low-value assets comprise mainly of IT equipment and small items of office \r\nfurniture. \r\nExtension and termination options are included in a number of property and equipment leases \r\nacross the Group. These are used to maximize operational flexibility in terms of managing the \r\nassets used in the Group&#8217;s operations. \r\nTrade Payables \r\nTrade payables are measured in the consolidated statement of financial position at amortized \r\ncost. \r\nOther Liabilities \r\nOther liabilities comprise payables to public authorities, and short-term employee benefits. \r\nOther liabilities are measured at their either amortized cost or historical cost which is reasonable \r\napproximation of their fair value. \r\nFinancial Instruments \r\nFinancial instruments which are recognized in the consolidated statement of financial position \r\ninclude, on the assets side, cash and equivalents, short term investments, other receivables, \r\ntrade receivables and listed shares. On the liability side, long-term loan, trade payables and \r\ncontingent consideration. \r\nTrade receivables are initially recognized when they are originated. Regular-way purchases and \r\nsales of financial assets are recognized on the settlement date. Other financial assets and \r\nfinancial liabilities are recognized when the Group becomes party to the instrument&#8217;s contractual \r\nterms. \r\nFinancial instruments are initially recognized at fair value with the addition/deduction for \r\ntransaction expenses, except for instruments that are continuously measured at fair value \r\nthrough the consolidated statement of profit or loss and other comprehensive income (loss) for \r\nwhich transaction expenses are instead expensed when they arise. Trade receivables (without \r\na significant financing component) are initially valued at the transaction price as determined in \r\naccordance with IFRS 15. \r\nOn initial recognition, a financial asset is classified as measured at: amortized cost, fair value \r\nthrough other comprehensive income (debt instrument investment), fair value through other \r\ncomprehensive income (equity investment), or fair value through the consolidated statement of \r\nprofit or loss and other comprehensive income (loss). \r\nHoldings of units in interest funds are reported at fair value through the consolidated statement \r\nof profit or loss and other comprehensive income (loss). The shares (seen from the fund&#8217;s \r\nperspective) constitute financial liabilities and as such do not give rise to solely payments of \r\nprincipal and interest and do therefore not fulfil the amortized cost requirements. \r\nOther financial assets that are held within the framework of a business model with a goal to \r\nobtain the contractual cash flows at the same time as the cash flows from the assets and \r\nconsist solely of payments of principal and interest (SPPI) are recognized at amortized cost. \r\nFinancial liabilities are classified as valued at amortized cost or valued at fair value through the \r\nconsolidated statement of profit or loss and other comprehensive income (loss). Financial \r\nliabilities that are measured at fair value through the consolidated statement of profit or loss and \r\nother comprehensive income (loss) consist of contingent consideration, not yet paid. Other \r\nfinancial liabilities are valued at amortized cost. \r\nFinancial assets are derecognized when the rights to receive cash flows from the financial \r\nassets have expired or have been transferred and the Group has transferred substantially all \r\nthe risks and rewards of ownership. \r\nThe Group derecognizes a financial liability from the consolidated statement of financial position \r\nwhen, and only when, it is extinguished. That is, when the obligations specified in the contract is \r\neither discharged or cancelled or has expired. The Group also removes a financial liability from \r\nthe statement of financial position when the contractual terms are modified and the cash flows \r\nfrom the modified debt are significantly different. In that case, a new financial liability is reported \r\nat fair value based on the modified terms. \r\nImpairment of financial assets \r\nFor financial assets valued at amortized cost, a reserve must be booked for expected credit \r\nlosses according to IFRS 9. The loss reserve for trade receivable is valued at an amount \r\ncorresponding to the expected losses for the remaining term. In addition, the  loss reserve for \r\ndeposits in banks is insignificant since the Group&#8217;s deposits are held with Swedish banks with \r\ngood credit rating and the deposits may be withdrawn upon request.  \r\n\r\nStatement of Cash Flow \r\nThe cash flow statement is presented using the indirect method with basis in the net result. \r\nCash flow from operating activities is stated as the net result adjusted for net financial items, \r\nnon-cash operating items such as depreciation, amortization, impairment losses, share-based \r\ncompensation expenses, provisions, and for changes in working capital, interest paid and \r\nreceived, and corporate taxes paid. Working capital mainly comprises changes in receivables, \r\ndeferred revenue, provisions paid and other payables excluding the items included in cash and \r\ncash equivalents. Changes in non-current assets and liabilities are included in working capital, if \r\nrelated to the main revenue-producing activities of the Group. \r\nCash flow from investing activities is comprised of cash flow from the purchase and sale of \r\nintangible assets and property and equipment and financial assets as well as purchase and sale \r\nof marketable securities. \r\nCash flow from financing activities is comprised of cash flow from the issuance of shares, if any, \r\nand payment of long-term loans including instalments on lease liabilities. \r\nCash and cash equivalents, consist of bank deposits. The cash flow statement cannot be \r\nderived solely from the financial statements. \r\nSegment Reporting \r\nThe Group is managed and operated as one operating and reportable segment. No separate \r\noperating segments or reportable segments have been identified in relation to product \r\ncandidates or geographical markets. Accordingly, except for entity wide disclosures, no \r\nsegment information on business segments or geographical markets is disclosed. \r\nEarnings per Share \r\nBasic Earnings per Share (EPS) is calculated by dividing profit or loss attributable to ordinary \r\nequity holders of the parent entity by the weighted average number of ordinary shares \r\noutstanding during the period. Diluted earnings per share is calculated as profit or loss \r\nattributable to ordinary equity holders of the parent entity divided by the weighted average \r\nnumber of ordinary shares outstanding during the period, both adjusted for the effects of all \r\ndilutive potential ordinary shares. If the result is a net loss, no adjustment is made for the \r\ndilutive effect, as such effect would be anti-dilutive. \r\nTreasury Shares \r\nThe treasury shares reserves comprise own shares repurchased by the Group. The total \r\namount paid to acquire treasury shares including directly attributable costs and the proceeds \r\nfrom the sale of treasury shares are recognized in treasury share reserve. \r\nNew Accounting Policies and Disclosures effective 2022 \r\nIn the year ended December 31, 2022, the Group has applied the below amendments to IFRS \r\nand interpretations issued by the Board, as applicable. Their adoption has not had any material \r\nimpact on the disclosure or on the amounts reported in these consolidated financial statements. \r\nAmendments to IFRS 3 Business Combinations \r\nAmendments to IFRS 3 to update the references to the Conceptual Framework for Financial \r\nReporting. The amendment also adds an exception for the recognition of liabilities and \r\ncontingent liabilities within the scope of IAS 37 Provisions, Contingent liabilities and Contingent \r\nAssets and Interpretation 21 Levies. The amendments also confirm that contingent assets \r\nshould not be recognized at the acquisition date. The amendments are effective for periods \r\nbeginning on January 1, 2022. \r\nAmendment to IAS 37 Provisions, Contingent Liabilities and Contingent Assets \r\nThe amendment to IAS 37 clarifies that the direct costs of fulfilling a contract include both the \r\nincremental costs of fulfilling the contract and an allocation of other costs directly related to \r\nfulfilling contracts. The amendment is effective for periods beginning on January 1, 2022. \r\nAmendments to IAS 16 Property, Plant and Equipment \r\nThe amendment to IAS 16 prohibits an entity from deducting from the cost of an item of \r\nproperty, plant and equipment any proceeds received from selling items produced while the \r\nentity is preparing the asset for its intended use. The amendment is effective for periods \r\nbeginning on January 1, 2022. \r\nStandards, amendments, and interpretations in issue \r\nThe adoption of the following mentioned standards, amendments and interpretations in future \r\nyears are not expected to have a material impact on the Group&#8217;s financial statements: \r\nEffective date periods beginning on or after \r\nIAS 1 Presentation of Financial Statements: Amendments in \r\nrelation to the classification of liabilities as current or non- \r\ncurrent \r\nJanuary 1, 2024 \r\nDisclosure of Accounting Policies (Amendments to IAS 1 and \r\nIFRS Practice Statement 2). \r\nJanuary 1, 2023 \r\nDeferred Tax related to Assets and Liabilities arising from a \r\nSingle Transaction (Amendments to IAS 12) \r\nJanuary 1, 2023 \r\nDefinition of Accounting Estimates (Amendments to IAS 8) January 1, 2023 \r\nThe Group has not elected to early adopt any of the above standards, amendments and \r\ninterpretations in the years ended December 31, 2022, and 2021. The Group plans to adopt \r\nthese standards on the effective dates.  \r\n\r\nNote 3 Use of judgements and estimates \r\nIn the application of the Group&#8217;s accounting policies, management is required to make \r\njudgements, estimates and assumptions about the carrying amounts of assets and liabilities that \r\nare not readily apparent from other sources. Judgements and estimates applied are based on \r\nhistorical experience and other factors that are relevant, and which are available at the reporting \r\ndate. Uncertainty concerning judgements and estimates could result in outcomes, that require a \r\nmaterial adjustment to assets and liabilities in future periods. \r\nEstimates and underlying assumptions are reviewed on an ongoing basis. Revisions to \r\naccounting estimates are recognized in the period in which the estimate is revised if the revision \r\naffects only that period, or in the period of the revision and future periods if the revision affects \r\nboth current and future periods. While the application of critical accounting estimates is subject \r\nto material estimation uncertainties, management&#8217;s ongoing revisions of critical accounting \r\nestimates have not revealed any material impact in any of the years ended December 31, 2022, \r\nand 2021. \r\nSignificant judgements made in the application of the Group&#8217;s accounting policies \r\nSignificant judgements that management has made in the process of applying the Group&#8217;s \r\naccounting principles are described below. \r\nRevenue \r\nRevenue is primarily generated from product sales and license agreements, which typically \r\ninvolve multiple promises, and thus require significant judgements by the Group on certain \r\nareas including: \r\n&gt; Determining whether the promises in the agreements are distinct performance obligations; \r\n&gt; Identifying and constraining variable consideration in the transaction price including milestone \r\npayments; \r\n&gt; Allocating transaction price to identified performance obligations based on their relative stand- \r\nalone selling prices; \r\n&gt; Determining whether performance obligations are satisfied over time, or at a point in time; and \r\n&gt; Classification of licenses as &#8220;Right-to-Use&#8221; or &#8220;Right-to-Access&#8221;. \r\nRegarding the classification of licenses as &#8220;Right-to-Use&#8221; or &#8220;Right-to-Access&#8221;, the Group \r\nconsiders whether it is obligated or expected to perform research and development activities \r\nthat significantly affect the licensee&#8217;s ability to benefit from product candidates. If the Group is \r\ncontractually obligated or is expected to perform research and development activities affecting \r\nthe stand-alone functionality of the product candidate, the license is classified as &#8220;right-to- \r\naccess&#8221;. The licensed products have been considered &#8220;rights-to-access&#8221; since the Group is \r\nrequired to perform activities that significantly affect the licensee&#8217;s ability to benefit from the \r\nproducts. \r\nShare-Based Payment \r\nIFRS 2, &#8220;Share-Based Payment&#8221; requires an entity to reflect in its consolidated statement of \r\nprofit or loss and other comprehensive income (loss) and consolidated statement of financial \r\nposition, the effects of share-based payment transactions. Share-based compensation costs are \r\nrecognized as research and development expenses or selling, general and administrative \r\nexpenses, as appropriate, over the vesting period, based on management&#8217;s best estimate of the \r\nnumber of awards that will ultimately vest, which is subject to uncertainty. In addition, share- \r\nbased compensation costs are measured according to the grant date fair values of the \r\ninstruments granted. Estimating fair values requires the Group to apply generally accepted \r\nvaluation models and apply these models consistently according to the terms and conditions of \r\nthe specific share-based compensation programs. Depending on the instrument, the Group \r\napplies the Black Scholes or the Monte Carlo model to determine the fair value of the awards \r\ngranted. Subjective judgements and assumptions, which are subject to estimation uncertainties, \r\nneed to be exercised in determining the appropriate input to the valuation model.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of basis of preparation of financial statements [text block]","Documentation":"The disclosure of the basis used for the preparation of the financial statements.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642589,"FileId":7831,"Sequence":258,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9","ElementIdentifier":"82e61392-85c5-4410-8359-4a3e8aafe123","ElementType":2,"TagName":"ifrs-full:DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 1 General Information \r\nHansa Biopharma AB (Hansa, the Company; and together with its subsidiaries, the Group) is a \r\ncommercial-stage biopharmaceutical company pioneering the development and \r\ncommercialization of innovative, life-saving and life-altering treatments for patients with rare \r\nimmunological conditions. The Company has developed a proprietary antibody-cleaving \r\nenzyme technology platform to target pathogenic or disease-causing antibodies. Its broad \r\ntherapeutic pipeline has potential applications across transplantation, autoimmune diseases, \r\ngene therapy and oncology indications addressing significant unmet medical needs. Hansa has \r\nreceived conditional approval of Idefirix (imlifidase) by the European Commission for \r\ndesensitization treatment of highly sensitized kidney transplant patients. Hansa is a public \r\nlimited liability company under the laws of Sweden, based in Lund, Sweden, and has operations \r\nin Europe and the United States. The Group consists of the parent company, Hansa Biopharma \r\nAB and the subsidiaries Cartela R&amp;D AB, Hansa Biopharma Ltd, Hansa Biopharma Inc. and \r\nHansa Biopharma Australia PTY LTD.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of general information about financial statements [text block]","Documentation":"The entire disclosure for general information about financial statements.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642590,"FileId":7831,"Sequence":259,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9","ElementIdentifier":"d9bbc92e-4fb6-4bc0-a99c-06989ebfe5ab","ElementType":2,"TagName":"ifrs-full:DisclosureOfNotesAndOtherExplanatoryInformationExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 1General Information \r\nHansa Biopharma AB (Hansa, the Company; and together with its subsidiaries, the Group) is a \r\ncommercial-stage biopharmaceutical company pioneering the development and \r\ncommercialization of innovative, life-saving and life-altering treatments for patients with rare \r\nimmunological conditions. The Company has developed a proprietary antibody-cleaving \r\nenzyme technology platform to target pathogenic or disease-causing antibodies. Its broad \r\ntherapeutic pipeline has potential applications across transplantation, autoimmune diseases, \r\ngene therapy and oncology indications addressing significant unmet medical needs. Hansa has \r\nreceived conditional approval of Idefirix (imlifidase) by the European Commission for \r\ndesensitization treatment of highly sensitized kidney transplant patients. Hansa is a public \r\nlimited liability company under the laws of Sweden, based in Lund, Sweden, and has operations \r\nin Europe and the United States. The Group consists of the parent company, Hansa Biopharma \r\nAB and the subsidiaries Cartela R&amp;D AB, Hansa Biopharma Ltd, Hansa Biopharma Inc. and \r\nHansa Biopharma Australia PTY LTD. \r\nNote 2 Basis of Presentation and Summary of Significant Accounting Policies \r\nBasis of accounting \r\nThe consolidated financial statements are reported in Swedish Krona, Hansa Biopharma AB&#8217;s \r\nfunctional currency, and prepared in accordance with International Financial Reporting \r\nStandards (IFRS), issued by the International Accounting Standards Board (IASB) and the \r\ninterpretations issued by the IASB&#8217;s International Financial Reporting Interpretation Committee.  \r\nThe consolidated financial statements provide a general overview of the Group&#8217;s activities and \r\nthe results achieved. They present fairly the entity&#8217;s financial position, its financial performance, \r\nand cash flows, on a going concern basis. The accounting policies described in Note 2 and 3 of \r\nthe Group&#8217;s consolidated financial statements have been applied in preparing the consolidated \r\nfinancial statements as of and for the year ended December 31, 2022, and for the comparative \r\ninformation as of and for the year ended December 31, 2021.The significant accounting policies \r\napplied in the preparation of the above consolidated financial statements are set out below. \r\nThe preparation of consolidated financial statements requires management to exercise its \r\njudgment in the process of applying the Group&#8217;s accounting policies. The areas involving a \r\nhigher degree of judgment or complexity, or areas where assumptions and estimates that are \r\nsignificant to the consolidated financial statements are disclosed in Note 3. \r\nThese consolidated financial statements of the Group as of December 31, 2022, and for the \r\nyear then ended were approved by the Board of Directors of the Group and authorized for issue \r\non March 30, 2023. \r\nChanges in Accounting Policies and Disclosures \r\nSeveral amendments to and interpretations of IFRS applied for the first time in 2022, which has \r\nnot had an impact on the accounting policies applied by the Group. Thus, the accounting \r\npolicies applied when preparing these consolidated financial statements have been applied \r\nconsistently to all the periods presented, unless otherwise stated. \r\nBasis of Consolidation \r\nThe consolidated financial statements include Hansa Biopharma AB, Lund Sweden, and \r\nsubsidiaries over which the Group has control. Control is achieved when the Group: \r\n&gt; has power over the investee; \r\n&gt; is exposed, or has rights, to variable returns from its involvement with the investee; and \r\n&gt; has the ability to use its power to affect its returns. \r\nThe Group reassesses whether it controls an investee if facts and circumstances indicate that \r\nthere are changes to one or more of the three elements of control listed above. If the Group \r\ndoes not have a majority of the voting rights of an investee, it has power over the investee when \r\nthe voting rights are sufficient to give it the practical ability to direct the relevant activities of the \r\ninvestee unilaterally. \r\nThe Group considers all relevant facts and circumstances in assessing whether the Group&#8217;s \r\nvoting rights in an investee are sufficient to give it power, including: \r\n&gt; the size of the Group&#8217;s holding of voting rights relative to the size and dispersion of holdings \r\nof the other vote holders; \r\n&gt; potential voting rights held by the Group; \r\n&gt; rights arising from other contractual arrangements; and \r\n&gt; any additional facts and circumstances that indicate that the Group has, or does not have, the \r\ncurrent ability to direct the relevant activities at the time that decisions need to be made, \r\nincluding voting patterns at previous shareholders&#8217; meetings. \r\nConsolidation of a subsidiary begins when the Group obtains control over the subsidiary and \r\nceases when the Group loses control of the subsidiary. Specifically, income and expenses of a \r\nsubsidiary acquired or disposed of during the year are included in the consolidated statement of \r\nprofit or loss and other comprehensive income (loss) from the date the Group gains control until \r\nthe date when the Group ceases to control the subsidiary. \r\nAdjustments are made to the financial statements of subsidiaries to bring their accounting \r\npolicies in line with the Group&#8217;s accounting policies. All intra group transactions, balances, \r\nincome and expenses are eliminated in full in consolidation. Unrealized losses are also \r\neliminated unless the transaction provides evidence of an impairment of the transferred asset. The Group holds investments either directly or indirectly in the following subsidiaries: Share ownership percentage (%) \r\nSubsidiaries \r\nRegistered \r\noffice/Country 2022 2021 \r\nCartela R&amp;D AB Lund, Sweden 100 100 \r\nHansa Biopharma Ltd Cheltenham, \r\nUK \r\n100 100 \r\nHansa Biopharma Inc Delaware, \r\nUSA \r\n100 100 \r\n*Hansa Biopharma Australia Pty Ltd Australia 100  100\r\n*Dormant company \r\nBecause the functional currency for Hansa Biopharma Ltd and Hansa Biopharma Inc is the UK \r\nPound Sterling and the United States Dollar, respectively, the Group has foreign currency \r\nexposure. See &#8220;Functional and Presentation Currency&#8221; section that follows and Note 20, \r\n&#8220;Financial Risk and Financial Instruments.&#8221; \r\nFunctional and Presentation Currency \r\nThe presentation currency of the consolidated financial statements is Swedish Kronor (SEK). \r\nThe functional currency, which is the currency that best reflects the economic environment in \r\nwhich the subsidiaries of the Group operate and conduct their transactions, is separately \r\ndetermined for the Group&#8217;s subsidiaries and is used to measure their financial position and \r\noperating results. \r\nTransactions in currencies other than the functional currency of a subsidiary are recorded at the \r\nrates of exchange prevailing at the date of the transaction. Monetary assets and liabilities in \r\ncurrencies other than the functional currency are remeasured at the rates of exchange \r\nprevailing on the date of the consolidated statements of financial position and the related \r\ntranslation gains and losses are recognized in the Consolidated statement of profit or loss and \r\nother comprehensive income. Non-monetary items that are carried at cost are translated using \r\nthe rate of exchange prevailing at the date of the transaction. Non-monetary items that are \r\ncarried at fair value are translated using the exchange rate prevailing when the fair value was \r\ndetermined, and the related translation gains and losses are reported in the Consolidated \r\nstatement of profit or loss and other comprehensive income. \r\nUpon consolidation, the results of operations of subsidiaries whose functional currency is other \r\nthan the SEK are translated into SEK at the monthly average exchange rates and assets and \r\nliabilities are translated at the year-end exchange rates. Translation adjustments are recognized \r\ndirectly in other comprehensive income. \r\nMeasurement of Fair Values \r\nThe Group&#8217;s accounting policies and disclosures require the measurement of fair values, for \r\nboth financial and non-financial assets and liabilities. The Group has an established control \r\nframework with respect to the measurement of fair values. This includes the use of valuation \r\nspecialists that have responsibility for overseeing certain significant fair value measurements, \r\nincluding Level 3 fair values, and reports directly to the chief financial officer. If third party \r\ninformation, such as broker quotes or pricing services, is used to measure fair values, then the \r\nGroup assesses the evidence obtained from the valuation specialists to support the conclusion \r\nthat these valuations meet the requirements of the Standards, including the level in the fair \r\nvalue hierarchy in which the valuations should be classified. Significant valuation issues are \r\nreported to the Group&#8217;s audit committee. \r\nWhen measuring the fair value of an asset or a liability, the Group uses observable market data \r\nas far as possible. Fair values are categorized into different levels in a fair value hierarchy \r\nbased on the inputs used in the valuation techniques as follows: \r\n&gt; Level 1: quoted prices (unadjusted) in active markets for identical assets or liabilities. \r\n&gt; Level 2: inputs other than quoted prices included in Level 1 that are observable for the asset \r\nor liability, either directly (i.e., as prices) or indirectly (i.e., derived from prices). \r\n&gt; Level 3: inputs for the asset or liability that are not based on observable market data \r\n(unobservable inputs). \r\nIf the inputs used to measure the fair value of an asset or a liability fall into different levels of the \r\nfair value hierarchy, then the fair value measurement is categorized in its entirety in the same \r\nlevel of the fair value hierarchy as the lowest level input that is significant to the entire \r\nmeasurement. The Group recognizes transfers between levels of the fair value hierarchy at the \r\nend of the reporting period during which the change has occurred. \r\nRevenue \r\nRevenue is recognized when control of the promised goods or services is transferred to the \r\ncustomer, and in an amount that reflects the consideration the Group received or expects to \r\nreceive in exchange for those goods or services. \r\nThe Group derives its revenues primarily from products and contractual arrangements. The \r\nGroup determines revenue recognition through the following steps: \r\n&gt; (1) Identification of the contract, or contracts, with a customer. \r\n&gt; (2) Identification of the performance obligation(s) in the contract. \r\n&gt; (3) Determination of the transaction price. \r\n&gt; (4) Allocation of the transaction price to the performance obligations in the contract. \r\n&gt; (5) Recognition of revenue when, or as, the Group satisfies a performance obligation. Product revenue \r\nProduct revenue is recognized net of any sales and value added taxes and sales deductions \r\nbased on contractually agreed payment terms. The control passes according to contractual \r\nterms. The amount of consideration the Group receives and revenue the Group recognizes \r\nvaries based on actual or estimated rebates, discounts, returns and charge backs. The Group \r\nadjusts its estimate of revenue at the earlier of when the most likely amount of consideration the \r\nGroup expects to receive changes or when the consideration becomes fixed. \r\nSales returns are generally estimated and recorded based on historical sales and returns \r\ninformation. Sales returns allowances represent a reserve for products that may be returned \r\ndue to expiration, damage or potential other reasons typically calculated as a percent of gross \r\nrevenues. For the periods ended December 31, 2022, and 2021, there have been no sales \r\nreturns. \r\nContract revenue \r\nThe Group accounts for a contract when it has approval and commitment from both parties, the \r\nrights of the parties are identified, payment terms are identified, the contract has commercial \r\nsubstance and collectability of consideration is probable. \r\nIn determining the proper revenue recognition method, the performance obligation(s) under an \r\nagreement is reviewed and evaluated if such obligation(s) be accounted for as more than one \r\nperformance obligation. \r\nFor certain contracts, a service of combining a license and related tasks into a single \r\nperformance obligation may be provided. In such a case, the entire contract is accounted for as \r\none performance obligation. Certain contracts may promise to provide a distinct license with \r\ndistinct services within a contract, in which case the contract is separated into more than one \r\nperformance obligation. If a contract is separated into more than one performance obligation, \r\nthe total transaction price is allocated to each performance obligation in an amount based on \r\nthe estimated relative standalone selling price of the promised goods or services underlying \r\neach performance obligation. Non-refundable upfront payments and substantive development \r\nand sales milestone payments are typically recognized over the remaining performance period \r\nbased on the progress towards satisfying its identified performance obligation. \r\nGrant revenue \r\nBecause the Group carries out extensive research and development activities, the Group may \r\nbenefit from various grants, research and development incentives and payroll tax rebates from \r\ncertain governmental agencies. These grants, research and development incentives and payroll \r\ntax rebates generally aim to partly reimburse approved expenditures incurred in research and \r\ndevelopment efforts of the Group and are credited to the consolidated statement of profit or loss \r\nand other comprehensive income, under the line other operating income, when the relevant \r\nexpenditure has been incurred and there is reasonable assurance that the grants or research \r\nand development incentives are receivable. \r\nResearch and Development Expenses \r\nResearch cost are expensed as incurred. Development cost are typically expensed as incurred, \r\nunless capitalized. Costs of research and development equipment with alternative future uses \r\nare capitalized and depreciated over the equipment&#8217;s useful life. \r\nResearch and development expenses primarily include costs for third-party services in \r\nconnection with clinical studies and research projects, costs for producing substance to be used \r\nin such studies and projects, personnel expenses for the Group&#8217;s research and development \r\ngroups, and depreciation of equipment used for research and development activities. In \r\naddition, research and development expenses contain expenses for producing pharmaceutical \r\nmaterial which may be used for commercialization subject to regulatory approval, and which \r\nwas produced prior to obtaining regulatory approval or evidence being available that regulatory \r\napproval can reasonably be expected. \r\nExpenditures on research activities are recognized in the consolidated statement of profit or \r\nloss and other comprehensive income (loss) as incurred. Development expenditures are \r\ncapitalized only if the expenditure can be measured reliably, the product or process is \r\ntechnically and commercially feasible, future economic benefits are probable, and the Group \r\nintends to and has sufficient resources to complete development and to use or sell the asset. \r\nOtherwise, it is recognized in the consolidated statement of profit or loss and other \r\ncomprehensive income (loss) as incurred. Subsequent to initial recognition, development \r\nexpenditure is measured at cost less accumulated amortization and any accumulated \r\nimpairment losses. \r\nGenerally, expenditures are not capitalized before the pharmaceutical authorities have given \r\napproval due to the level of uncertainty associated with the approval process. In 2022, Hansa \r\nstarted to capitalize certain development cost related to fulfilment of the EMA post-approval \r\ncommitments related to its conditional approval of imlifidase in the EU as it met all requirements \r\nunder IAS 38. Please refer to Note 4 for further information. \r\nSales, General and Administrative Expenses \r\nSales, general and administrative expenses consist primarily of (i) personnel expenses relating \r\nto salaries and related costs for personnel, including share-based compensation, of our \r\nemployees in executive, commercial, finance, business development and support functions, (ii) \r\nfees relating to professional services for commercialization, marketing, selling, medical affairs, \r\ncorporate management, legal, finance, human resources, business development, licensing and \r\ninvestor relations, (iii) board expenses consisting of directors&#8217; fees and travel expenses for \r\nboard members, and (iv) other general and administrative expenses, including leasing costs, \r\noffice expenses and travel costs. General and administrative expenses are recognized in the \r\nconsolidated statement of profit or loss and other comprehensive income (loss) in the period to \r\nwhich they relate. PensionsPlans where the Group&#8217;s obligations are limited to the contribution the Group has undertaken to \r\npay are classified as &#8220;defined contribution pension plans&#8221;. In such cases, the size of the \r\nemployee&#8217;s pension is dependent upon the contribution which the Group pays into the plan, or \r\nto an insurance company, and the return on capital which the contribution generates. \r\nConsequently, it is the employee who bears the actuarial risk (that the benefits will be lower \r\nthan anticipated) and the investment risk (that the invested assets will be insufficient to generate \r\nthe anticipated benefits). The Group&#8217;s obligations regarding fees paid to defined contribution \r\nplans are reported as an expense in the consolidated statement of profit or loss and other \r\ncomprehensive income (loss) when they are earned by the employees performing their services \r\non behalf of the Group during a given period of time. \r\nEmployee Benefits \r\nShort-term employee benefits \r\nShort-term employee benefits are expensed as the related service is provided. A liability is \r\nrecognized for the amount expected to be paid if the Group has a present legal or constructive \r\nobligation to pay this amount as a result of past service provided by the employee and the \r\nobligation can be estimated reliably. \r\nLong-term employee benefits \r\nThe Group&#8217;s net obligation in respect of long-term employee benefits is the amount of future \r\nbenefit that employees have earned in return for their service in the current and prior periods. \r\nThat benefit is discounted to determine its present value. Remeasurements are recognized in \r\nprofit or loss in the period in which they arise. \r\nTermination benefits \r\nTermination benefits are expensed at the earlier of when the Group can no longer withdraw the \r\noffer of those benefits and when the Group recognizes costs for a restructuring. If benefits are \r\nnot expected to be settled wholly within 12 months of the reporting date, then they are \r\ndiscounted. \r\nShare-based Payments \r\nThe Company has provided share-based payment awards through long-term incentive \r\nprograms for certain employees whereby participants are provided ordinary shares of the \r\nCompany after the vesting period, either through share rights or employee stock options, if \r\ncertain performance conditions are met. Vesting is based on market or non-market performance \r\nconditions. For awards that vest upon achieving a market condition, the Company&#8217;s share price \r\nmust achieve certain thresholds. For awards that vest upon achieving non-market conditions, \r\nthe Company must achieve certain pre-defined business objectives related to financial, portfolio \r\nand/or commercial targets. \r\nThe awards are classified as equity-settled share-based payments since the only settlement \r\nalternative is in shares of the Company. For equity-settled programs, the fair value of the \r\ninstruments is determined at the grant date and is subsequently not remeasured. The share- \r\nbased payment expense is recognized over the vesting period with a corresponding entry \r\nrecognized directly in equity. Social security costs relating to share- based compensation are \r\nrecognized as expense in profit or loss over the same vesting period, based on the fair value of \r\nthe equity instruments at each reporting date. An amount corresponding to the recognized \r\nexpense is recognized as a liability. \r\nThe fair value of the options is calculated based on the Black-Scholes model and expensed \r\nover the vesting period. During the vesting period, the expense is adjusted in order to account \r\nfor the number of options that are expected to vest. \r\nFor share rights that vest upon achieving market conditions, the Company determines the value \r\nof the awards using the Monte Carlo model at the grant date because different share price \r\nrealizations result in different values for the award. The effect of a market condition is reflected \r\nin the grant-date fair value of an award. The share-based payment expense is recognized over \r\nthe three-year vesting period provided that the service is rendered, regardless of when, if ever, \r\nthe market condition is satisfied. \r\nFor share rights with a non-market performance condition, the Company valued the awards \r\nusing Black-Scholes model. The exercise price of the share rights has been set using a volume \r\nweighted average of the Company&#8217;s share price over a certain period before grant date. For the \r\nestimation of expected future volatility, the average 90-day historical volatility was estimated for \r\nthe Company and, as a benchmark, for several peers over periods between one and seven \r\nyears. The yield curve for Swedish government bonds is used to determine the risk-free interest \r\nrate. After the value of the awards were determined, the Company estimated the probability of \r\nachieving the non-market conditions and adjusted the number of awards that would expense \r\nover the amortization period. The Company re-evaluates the probability of achieving the non- \r\nmarket conditions each reporting period. \r\nOther operating income and expenses \r\nOther income \r\nOther income includes foreign currency gain on receivables from operating activities and gain \r\nfrom disposal of assets. \r\nOther expenses \r\nOther expenses include foreign currency loss on receivables from operating activities and loss \r\nfrom disposals of assets. \r\nFinance Income and Expenses \r\nFinance income and expenses comprise of interest income and expenses, amortization of \r\nsecurities, and realized and unrealized exchange rate gains and losses on transactions \r\ndenominated in foreign currencies. Interest income or expense is recognized using the effective interest method. The effective \r\ninterest rate is the rate that exactly discounts estimated future cash payments or receipts \r\nthrough the expected life of the financial instrument to the gross carrying amount of the financial \r\nasset; or the amortized cost of the financial liability. In calculating interest income and expense, \r\nthe effective interest rate is applied to the gross carrying amount of the asset (when the asset is \r\nnot credit-impaired) or to the amortized cost of the liability. However, for financial assets that \r\nhave become credit-impaired subsequent to initial recognition, interest income is calculated by \r\napplying the effective interest rate to the amortized cost of the financial asset. If the asset is no \r\nlonger credit-impaired, then the calculation of interest income reverts to the gross basis. \r\nIncome Taxes \r\nTax for the year, which consists of current tax for the year and changes in deferred tax, is \r\nrecognized in the Consolidated statement of profit or loss and other comprehensive income \r\n(loss) by the portion attributable to the profit or loss for the year and recognized directly in equity \r\nor other comprehensive income by the portion attributable to entries directly in equity and in \r\nother comprehensive income. The current tax payable or receivable is recognized in the \r\nconsolidated statement of financial position, stated as tax computed on this year&#8217;s taxable \r\nincome, adjusted for prepaid tax. \r\nWhen computing the current tax for the year, the tax rates and tax rules enacted or substantially \r\nenacted at the reporting date are used. Current tax payable is based on taxable profit or loss for \r\nthe year. Taxable profit or loss differs from net profit or loss as reported in the consolidated \r\nstatement of profit or loss and other comprehensive income (loss) because it excludes items of \r\nincome or expense that are taxable or deductible in prior or future years. In addition, taxable \r\nprofit or loss excludes items that are never taxable or deductible. \r\nDeferred tax is recognized according to the balance sheet liability method of all temporary \r\ndifferences between carrying amounts and tax-based values of assets and liabilities, apart from \r\ndeferred tax on all temporary differences occurring on initial recognition of goodwill or on initial \r\nrecognition of a transaction which is not a business combination, and for which the temporary \r\ndifference found at the time of initial recognition neither affects profit or loss nor taxable income. \r\nDeferred tax liabilities are recognized on all temporary differences related to investments in \r\nsubsidiaries and/or associates, unless the Group is able to control when the deferred tax is \r\nrealized, and it is probable that the deferred tax will not become due and payable as current tax \r\nin the foreseeable future. \r\nDeferred tax assets, including the tax base of tax loss carry forwards, are recognized in the \r\nstatement of financial position at their estimated realizable value, either as a set-off against \r\ndeferred tax liabilities or as net tax assets for offset against future positive taxable income. \r\nDeferred tax assets are only offset against deferred tax liabilities if the entity has a legally \r\nenforceable right to set off, and the deferred tax assets and deferred tax liabilities relate to \r\nincome taxes levied by the same tax jurisdiction. Deferred tax is calculated based on the \r\nplanned use of each asset and the settlement of each liability, respectively. \r\nDeferred tax is measured using the tax rates and tax rules in the relevant countries that, based \r\non acts in force or acts in reality in force at the reporting date are expected to apply when the \r\ndeferred tax is expected to crystallize as current tax. Changes in deferred tax resulting from \r\nchanged tax rates or tax rules are recognized in the consolidated statement of profit or loss and \r\nother comprehensive income (loss) unless the deferred tax is attributable to transactions \r\npreviously recognized directly in equity or other comprehensive income. In the latter case, such \r\nchanges are also recognized in equity or other comprehensive income. On every reporting date, \r\nit is assessed whether sufficient taxable income is likely to arise in the future for the deferred tax \r\nasset to be utilized. \r\nProperty and Equipment \r\nProperty and equipment are measured at cost less accumulated depreciation and any \r\naccumulated impairment losses. Cost comprises the acquisition price, costs directly attributable \r\nto the acquisition and preparation costs of the asset until the time when it is ready to be used in \r\noperation. Subsequent costs are included in the carrying amount of the asset or recognized as \r\na separate asset, as appropriate, only when it is probable that future economic benefits \r\nassociated with the assets will flow to the Group and the costs of the items can be measured \r\nreliably. All repair and maintenance costs are charged to the consolidated statement of profit or \r\nloss and other comprehensive income (loss) during the financial periods in which they are \r\nincurred. \r\nEquipment acquired for research and development activities with alternative use, which is \r\nexpected to be used for more than one year, is capitalized and depreciated over the estimated \r\nuseful life as research and development costs. Equipment acquired for research and \r\ndevelopment activities, which has no alternative use, is recognized as research and \r\ndevelopment costs when incurred. \r\nIf the acquisition or use of the asset involves an obligation to incur costs of decommissioning or \r\nrestoration of the asset, the estimated related costs are recognized as a provision and as part of \r\nthe relevant asset&#8217;s cost, respectively. The basis for depreciation is cost less estimated residual value. The residual value of an asset is the estimated amount that an entity would currently obtain from disposal of the asset, after \r\ndeducting the estimated costs of disposal, if the asset were already of the age and in the \r\ncondition expected at the end of its useful life. If significant parts of an item of property and \r\nequipment have different useful lives, then they are accounted for as separate items (major \r\ncomponents) of property and equipment. Depreciation commences when the asset is available \r\nfor use, which is when it is in the location and condition necessary for it to be capable of \r\noperating in the manner intended. \r\nDepreciation is calculated on a straight-line basis, based on an asset&#8217;s expected useful life, \r\nbeing within the following ranges: \r\nProperty and equipment 3&#8722;10 years \r\nRight-of-use assets 3&#8722;4 years \r\nDepreciation methods, useful lives and residual values are reviewed at each reporting date and \r\nadjusted if appropriate. \r\nDepreciation and impairment losses of property and equipment is recognized in the \r\nConsolidated statement of profit or loss and other comprehensive income (loss) as research \r\nand development costs or as selling, general and administrative expenses, as appropriate. \r\nGains and losses on disposal of property and equipment are recognized in the Consolidated \r\nstatement of profit or loss and other comprehensive income (loss) at its net proceeds, as either \r\nother income or other expenses, as appropriate. \r\nIntangible Assets \r\nInternally generated intangible assets \r\nDevelopment expenditure is capitalized only if all respective requirements under IAS 38 are fully \r\nmet, particularly, the expenditure can be measured reliably, the product or process is technically \r\nand commercially feasible, future economic benefits are probable and the Group intends to and \r\nhas sufficient resources to complete the development and to use or sell the asset. Otherwise, it \r\nis recognized in profit or loss as incurred. Subsequent to initial recognition, capitalized \r\ndevelopment expenditure is measured at cost less accumulated amortization and any \r\naccumulated impairment losses. \r\nSubsequent expenditure is capitalized only when it increases the future economic benefits \r\nembodied in the specific asset to which it relates. All other expenditure, including expenditure \r\non internally generated goodwill and brands, is recognized in profit or loss as incurred. \r\nIn 2022, Hansa started to capitalize certain development cost related to fulfilment of the EMA \r\npost-approval commitments related to its conditional approval of imlifidase in the EU as it met all \r\nrequirements under IAS 38. Please refer to Note 4 for further information. \r\nAmortization is calculated to write off the cost of intangible assets less their estimated residual \r\nvalue using the straight-line method over their estimated useful life and is generally recognized \r\nin consolidated statement of profit or loss and other comprehensive income (loss). \r\nThe estimated useful lives for current and comparative periods are as follows: \r\nDevelopment costs: 10 years \r\nAmortization methods, useful lives and residual values are reviewed at each reporting date and \r\nadjusted if appropriate. \r\nAcquired intangible assets \r\nAcquired intangible assets held by the Group consists of patents and in-process development \r\nprojects acquired in a business combination. The intangible assets were originally recognized at \r\nthe acquisition date fair value. Subsequently, they are measured at cost less accumulated \r\namortization and any impairment. Amortization is calculated to write off the cost of development \r\nprojects, less their estimated residual values, using the straight- line method over their \r\nestimated useful lives and commence when the projects start to generate revenue, being within \r\nthe following range: \r\nPatents: Until expiry date \r\nIn-process development projects: 10&#8722;15 years \r\nImpairment \r\nIf circumstances or changes in the Group&#8217;s operations indicate that the carrying amount of non- \r\ncurrent assets in a cash-generating unit may not be recoverable, management reviews the \r\nasset for impairment. An annual impairment test is also performed for assets yet to be brought \r\ninto use, i.e. per December 31, 2022 in-process development projects and capitalized \r\ndevelopment cost relating to imlifidase. The basis for the review is the recoverable amount of \r\nthe assets, determined as the greater of the fair value less costs of disposal or its value in use. \r\nSuch review uses an analysis of current market value (market cap of the Company) as the fair \r\nvalue less cost of disposal. If the carrying amount of an asset is greater than the recoverable \r\namount, the asset is written down to the recoverable amount. An impairment loss is recognized \r\nin the consolidated statement of profit or loss and other comprehensive income (loss) when the \r\nimpairment is identified. The Group assesses at the end of each reporting period whether there \r\nis any indication that an asset may be impaired. If any such indication exists, the Group will \r\nestimate the recoverable amount of the asset. InventoriesInventories are assets: \r\n(a) held for sale in the ordinary course of business; \r\n(b) in the process of production for such sale; or \r\n(c) in the form of materials or supplies to be consumed in the production process or in the \r\nrendering of services. \r\nCosts related to the manufacturing of inventories which occurred after the receipt of regulatory \r\napproval for the respective product are capitalized, otherwise, they are expensed as research \r\nand development expenses when incurred. \r\nThe cost of inventories includes all costs of purchase, costs of conversion and other costs \r\nincurred in bringing the inventories to their present location and condition. Inventories are \r\nvalued at the lower of cost and net realizable value. Cost is determined based on the first-in \r\nfirst-out (&#8220;FIFO&#8221;) costing method. The Company regularly reviews the net realizable value and \r\nadjusts the carrying inventory amounts for any excess, obsolete or slow-moving inventory. \r\nUnbilled revenues &amp; refund liabilities \r\nUnbilled revenues primarily relate to the Group&#8217;s right to consider product sold but not billed at \r\nthe reporting date. The unbilled revenues are transferred to trade receivables when the rights \r\nbecome unconditional. This usually occurs when the Group issues an invoice to the customer. \r\nRefund liabilities primarily relate to the Group&#8217;s actual or estimated rebates, discounts, return \r\nand charge back obligations. The refund liabilities are transferred to trade payables when the \r\nobligation becomes unconditional. This usually occurs when the Group receives an invoice \r\nfrom third party, typically the healthcare sponsor in the country where the sale occurred. \r\nTrade receivables \r\nTrade receivables are recorded at net realizable value after consideration of an allowance for \r\nexpected credit losses. The Company generally maintains allowances for estimated \r\nuncollectible receivables based on historical experience and, where such historical experience \r\ndoes not exist, on country-specific default rates. The adequacy of the allowance is evaluated on \r\nan ongoing and periodic basis and adjustments are made in the period in which a change in \r\ncondition occurs. \r\nPlease refer to section &#8220;Financial instruments&#8221; below for further information.  \r\nCash and Cash Equivalents \r\nCash and cash equivalents comprise of on-demand deposits with financial institutions. Cash \r\nand cash equivalents are measured at amortized cost. \r\nShareholders&#8217; Equity \r\nThe share premium reserve is comprised of the amount received, attributable to shareholders&#8217; \r\nequity, in excess of the nominal amount of the shares issued, reduced by any amount allocated \r\nexternal expenses directly attributable to the offerings. The share premium reserve can be \r\ndistributed. \r\nShareholders are entitled to dividends which are determined after they become shareholders. \r\nShareholdings entitle a shareholder to one vote per share at general meetings. \r\nThe year 2022 additions of Class C shares refer to the new issue and subsequent repurchase \r\nof Class C shares related to the funding of the long-term incentive plan (LTIP) 2022, as \r\napproved by the 2022 AGM. \r\nThe treasury shares reserves comprise own shares repurchased by the Group. \r\nThe translation reserve comprises all foreign exchange differences arising on translation of \r\nfinancial statements from foreign business prepared in currency other than the reporting \r\ncurrency for the financial statements of the Group. \r\nRetained earnings/accumulated deficit, including profit/loss for the year, includes profits \r\nearned/losses incurred by the Group and its subsidiaries. Previous allocations to statutory \r\nreserves, excluding transferred share premium reserves, are included in this shareholders&#8217; \r\nequity item. \r\nNo dividend was paid for the periods ended December 31, 2022, or 2021. \r\nLeases \r\nThe Group leases various offices, laboratory facilities, equipment and vehicles. Rental contracts \r\nare typically made for fixed periods of three to four years, but certain contracts may have \r\nextension options. \r\nContracts may contain both lease and non-lease components. The Group allocates the \r\nconsideration in the contract to the lease and non-lease components based on their relative \r\nstand-alone prices. For leases of real estate, it has elected not to separate lease and non-lease \r\ncomponents and instead accounts for these as a single lease component. Lease terms are \r\nnegotiated on an individual basis and contain a wide range of different terms and conditions. \r\nThe lease agreements do not impose any covenants other than the security interests in the \r\nleased assets that are held by the lessor. Leases are recognized as right-of-use assets and \r\ncorresponding liabilities at the date at which the underlying assets are available for use by the \r\nGroup. Leased assets and lease liabilities arising from a lease are initially measured at present \r\nvalue. Lease liabilities include the net present value of the lease payments, and they are \r\ndiscounted using the lessee&#8217;s incremental borrowing rate. Subsequent to initial recognition, the right-of-use is measured at amortized cost using the \r\neffective interest method. \r\nLeased assets are generally depreciated over the shorter of the asset&#8217;s useful life and the lease \r\nterm on a straight-line basis. If the Group is reasonably certain to exercise a purchase option, \r\nthe right-of-use assets are depreciated over the underlying asset&#8217;s useful life. Payments \r\nassociated with short-term leases of equipment and all leases of low-value assets are \r\nrecognized on a straight-line basis as an expense in the consolidated statement of profit or loss \r\nand other comprehensive income. Short-term leases are leases with a lease term of twelve \r\nmonths or less. Low-value assets comprise mainly of IT equipment and small items of office \r\nfurniture. \r\nExtension and termination options are included in a number of property and equipment leases \r\nacross the Group. These are used to maximize operational flexibility in terms of managing the \r\nassets used in the Group&#8217;s operations. \r\nTrade Payables \r\nTrade payables are measured in the consolidated statement of financial position at amortized \r\ncost. \r\nOther Liabilities \r\nOther liabilities comprise payables to public authorities, and short-term employee benefits. \r\nOther liabilities are measured at their either amortized cost or historical cost which is reasonable \r\napproximation of their fair value. \r\nFinancial Instruments \r\nFinancial instruments which are recognized in the consolidated statement of financial position \r\ninclude, on the assets side, cash and equivalents, short term investments, other receivables, \r\ntrade receivables and listed shares. On the liability side, long-term loan, trade payables and \r\ncontingent consideration. \r\nTrade receivables are initially recognized when they are originated. Regular-way purchases and \r\nsales of financial assets are recognized on the settlement date. Other financial assets and \r\nfinancial liabilities are recognized when the Group becomes party to the instrument&#8217;s contractual \r\nterms. \r\nFinancial instruments are initially recognized at fair value with the addition/deduction for \r\ntransaction expenses, except for instruments that are continuously measured at fair value \r\nthrough the consolidated statement of profit or loss and other comprehensive income (loss) for \r\nwhich transaction expenses are instead expensed when they arise. Trade receivables (without \r\na significant financing component) are initially valued at the transaction price as determined in \r\naccordance with IFRS 15. \r\nOn initial recognition, a financial asset is classified as measured at: amortized cost, fair value \r\nthrough other comprehensive income (debt instrument investment), fair value through other \r\ncomprehensive income (equity investment), or fair value through the consolidated statement of \r\nprofit or loss and other comprehensive income (loss). \r\nHoldings of units in interest funds are reported at fair value through the consolidated statement \r\nof profit or loss and other comprehensive income (loss). The shares (seen from the fund&#8217;s \r\nperspective) constitute financial liabilities and as such do not give rise to solely payments of \r\nprincipal and interest and do therefore not fulfil the amortized cost requirements. \r\nOther financial assets that are held within the framework of a business model with a goal to \r\nobtain the contractual cash flows at the same time as the cash flows from the assets and \r\nconsist solely of payments of principal and interest (SPPI) are recognized at amortized cost. \r\nFinancial liabilities are classified as valued at amortized cost or valued at fair value through the \r\nconsolidated statement of profit or loss and other comprehensive income (loss). Financial \r\nliabilities that are measured at fair value through the consolidated statement of profit or loss and \r\nother comprehensive income (loss) consist of contingent consideration, not yet paid. Other \r\nfinancial liabilities are valued at amortized cost. \r\nFinancial assets are derecognized when the rights to receive cash flows from the financial \r\nassets have expired or have been transferred and the Group has transferred substantially all \r\nthe risks and rewards of ownership. \r\nThe Group derecognizes a financial liability from the consolidated statement of financial position \r\nwhen, and only when, it is extinguished. That is, when the obligations specified in the contract is \r\neither discharged or cancelled or has expired. The Group also removes a financial liability from \r\nthe statement of financial position when the contractual terms are modified and the cash flows \r\nfrom the modified debt are significantly different. In that case, a new financial liability is reported \r\nat fair value based on the modified terms. \r\nImpairment of financial assets \r\nFor financial assets valued at amortized cost, a reserve must be booked for expected credit \r\nlosses according to IFRS 9. The loss reserve for trade receivable is valued at an amount \r\ncorresponding to the expected losses for the remaining term. In addition, the  loss reserve for \r\ndeposits in banks is insignificant since the Group&#8217;s deposits are held with Swedish banks with \r\ngood credit rating and the deposits may be withdrawn upon request. Statement of Cash FlowThe cash flow statement is presented using the indirect method with basis in the net result. \r\nCash flow from operating activities is stated as the net result adjusted for net financial items, \r\nnon-cash operating items such as depreciation, amortization, impairment losses, share-based \r\ncompensation expenses, provisions, and for changes in working capital, interest paid and \r\nreceived, and corporate taxes paid. Working capital mainly comprises changes in receivables, \r\ndeferred revenue, provisions paid and other payables excluding the items included in cash and \r\ncash equivalents. Changes in non-current assets and liabilities are included in working capital, if \r\nrelated to the main revenue-producing activities of the Group. \r\nCash flow from investing activities is comprised of cash flow from the purchase and sale of \r\nintangible assets and property and equipment and financial assets as well as purchase and sale \r\nof marketable securities. \r\nCash flow from financing activities is comprised of cash flow from the issuance of shares, if any, \r\nand payment of long-term loans including instalments on lease liabilities. \r\nCash and cash equivalents, consist of bank deposits. The cash flow statement cannot be \r\nderived solely from the financial statements. \r\nSegment Reporting \r\nThe Group is managed and operated as one operating and reportable segment. No separate \r\noperating segments or reportable segments have been identified in relation to product \r\ncandidates or geographical markets. Accordingly, except for entity wide disclosures, no \r\nsegment information on business segments or geographical markets is disclosed. \r\nEarnings per Share \r\nBasic Earnings per Share (EPS) is calculated by dividing profit or loss attributable to ordinary \r\nequity holders of the parent entity by the weighted average number of ordinary shares \r\noutstanding during the period. Diluted earnings per share is calculated as profit or loss \r\nattributable to ordinary equity holders of the parent entity divided by the weighted average \r\nnumber of ordinary shares outstanding during the period, both adjusted for the effects of all \r\ndilutive potential ordinary shares. If the result is a net loss, no adjustment is made for the \r\ndilutive effect, as such effect would be anti-dilutive. \r\nTreasury Shares \r\nThe treasury shares reserves comprise own shares repurchased by the Group. The total \r\namount paid to acquire treasury shares including directly attributable costs and the proceeds \r\nfrom the sale of treasury shares are recognized in treasury share reserve. \r\nNew Accounting Policies and Disclosures effective 2022 \r\nIn the year ended December 31, 2022, the Group has applied the below amendments to IFRS \r\nand interpretations issued by the Board, as applicable. Their adoption has not had any material \r\nimpact on the disclosure or on the amounts reported in these consolidated financial statements. \r\nAmendments to IFRS 3 Business Combinations \r\nAmendments to IFRS 3 to update the references to the Conceptual Framework for Financial \r\nReporting. The amendment also adds an exception for the recognition of liabilities and \r\ncontingent liabilities within the scope of IAS 37 Provisions, Contingent liabilities and Contingent \r\nAssets and Interpretation 21 Levies. The amendments also confirm that contingent assets \r\nshould not be recognized at the acquisition date. The amendments are effective for periods \r\nbeginning on January 1, 2022. \r\nAmendment to IAS 37 Provisions, Contingent Liabilities and Contingent Assets \r\nThe amendment to IAS 37 clarifies that the direct costs of fulfilling a contract include both the \r\nincremental costs of fulfilling the contract and an allocation of other costs directly related to \r\nfulfilling contracts. The amendment is effective for periods beginning on January 1, 2022. \r\nAmendments to IAS 16 Property, Plant and Equipment \r\nThe amendment to IAS 16 prohibits an entity from deducting from the cost of an item of \r\nproperty, plant and equipment any proceeds received from selling items produced while the \r\nentity is preparing the asset for its intended use. The amendment is effective for periods \r\nbeginning on January 1, 2022. \r\nStandards, amendments, and interpretations in issue \r\nThe adoption of the following mentioned standards, amendments and interpretations in future \r\nyears are not expected to have a material impact on the Group&#8217;s financial statements: \r\nEffective date periods beginning on or after \r\nIAS 1 Presentation of Financial Statements: Amendments in \r\nrelation to the classification of liabilities as current or non- \r\ncurrent \r\nJanuary 1, 2024 \r\nDisclosure of Accounting Policies (Amendments to IAS 1 and \r\nIFRS Practice Statement 2). \r\nJanuary 1, 2023 \r\nDeferred Tax related to Assets and Liabilities arising from a \r\nSingle Transaction (Amendments to IAS 12) \r\nJanuary 1, 2023 \r\nDefinition of Accounting Estimates (Amendments to IAS 8) January 1, 2023 \r\nThe Group has not elected to early adopt any of the above standards, amendments and \r\ninterpretations in the years ended December 31, 2022, and 2021. The Group plans to adopt \r\nthese standards on the effective dates. Note 3Use of judgements and estimates \r\nIn the application of the Group&#8217;s accounting policies, management is required to make \r\njudgements, estimates and assumptions about the carrying amounts of assets and liabilities that \r\nare not readily apparent from other sources. Judgements and estimates applied are based on \r\nhistorical experience and other factors that are relevant, and which are available at the reporting \r\ndate. Uncertainty concerning judgements and estimates could result in outcomes, that require a \r\nmaterial adjustment to assets and liabilities in future periods. \r\nEstimates and underlying assumptions are reviewed on an ongoing basis. Revisions to \r\naccounting estimates are recognized in the period in which the estimate is revised if the revision \r\naffects only that period, or in the period of the revision and future periods if the revision affects \r\nboth current and future periods. While the application of critical accounting estimates is subject \r\nto material estimation uncertainties, management&#8217;s ongoing revisions of critical accounting \r\nestimates have not revealed any material impact in any of the years ended December 31, 2022, \r\nand 2021. \r\nSignificant judgements made in the application of the Group&#8217;s accounting policies \r\nSignificant judgements that management has made in the process of applying the Group&#8217;s \r\naccounting principles are described below. \r\nRevenue \r\nRevenue is primarily generated from product sales and license agreements, which typically \r\ninvolve multiple promises, and thus require significant judgements by the Group on certain \r\nareas including: \r\n&gt; Determining whether the promises in the agreements are distinct performance obligations; \r\n&gt; Identifying and constraining variable consideration in the transaction price including milestone \r\npayments; \r\n&gt; Allocating transaction price to identified performance obligations based on their relative stand- \r\nalone selling prices; \r\n&gt; Determining whether performance obligations are satisfied over time, or at a point in time; and \r\n&gt; Classification of licenses as &#8220;Right-to-Use&#8221; or &#8220;Right-to-Access&#8221;. \r\nRegarding the classification of licenses as &#8220;Right-to-Use&#8221; or &#8220;Right-to-Access&#8221;, the Group \r\nconsiders whether it is obligated or expected to perform research and development activities \r\nthat significantly affect the licensee&#8217;s ability to benefit from product candidates. If the Group is \r\ncontractually obligated or is expected to perform research and development activities affecting \r\nthe stand-alone functionality of the product candidate, the license is classified as &#8220;right-to- \r\naccess&#8221;. The licensed products have been considered &#8220;rights-to-access&#8221; since the Group is \r\nrequired to perform activities that significantly affect the licensee&#8217;s ability to benefit from the \r\nproducts. \r\nShare-Based Payment \r\nIFRS 2, &#8220;Share-Based Payment&#8221; requires an entity to reflect in its consolidated statement of \r\nprofit or loss and other comprehensive income (loss) and consolidated statement of financial \r\nposition, the effects of share-based payment transactions. Share-based compensation costs are \r\nrecognized as research and development expenses or selling, general and administrative \r\nexpenses, as appropriate, over the vesting period, based on management&#8217;s best estimate of the \r\nnumber of awards that will ultimately vest, which is subject to uncertainty. In addition, share- \r\nbased compensation costs are measured according to the grant date fair values of the \r\ninstruments granted. Estimating fair values requires the Group to apply generally accepted \r\nvaluation models and apply these models consistently according to the terms and conditions of \r\nthe specific share-based compensation programs. Depending on the instrument, the Group \r\napplies the Black Scholes or the Monte Carlo model to determine the fair value of the awards \r\ngranted. Subjective judgements and assumptions, which are subject to estimation uncertainties, \r\nneed to be exercised in determining the appropriate input to the valuation model. \r\nNote 4 Intangible Assets \r\nInternally generated intangible assets \r\nExpenditure on research activities is recognized as an expense in the period in which it is incurred. \r\nAn internally&#8209;generated intangible asset arising from development (or from the development \r\nphase of an internal project) is recognized if, and only if, all of the following have been \r\ndemonstrated in accordance with IAS 38: \r\n&gt; the technical feasibility of completing the intangible asset so that it will be available for use or \r\nsale; \r\n&gt; the intention to complete the intangible asset and use or sell it; \r\n&gt; the ability to use or sell the intangible asset; \r\n&gt; how the intangible asset will generate probable future economic benefits; \r\n&gt; the availability of adequate technical, financial and other resources to complete the \r\ndevelopment and to use or sell the intangible asset; \r\n&gt; and the ability to measure reliably the expenditure attributable to the intangible asset during \r\nits development. \r\nThe amount initially recognized for internally&#8209;generated intangible assets is the sum of the \r\nexpenditure incurred from the date when the intangible asset first meets ALL the recognition \r\ncriteria listed above. Where no internally&#8209;generated intangible asset can be recognized, \r\ndevelopment expenditures are recognized in the statement of profit and loss and other \r\ncomprehensive income in the period in which they are incurred. \r\nThe Company assessed that with respect to Idefirix \r\n&#174; \r\n(imlifidase) and its conditional approval by \r\nEMA in enabling kidney transplantation in highly sensitized patients it does meet all the above \r\ncriteria as of Q4-2022. Going forward, the Company will on a quarterly basis re-assess whether \r\nor not it continues to meet all above criteria and continue to capitalize respective cost for as \r\nlong as all criteria are met. For the year ending December 31, 2022 the Company capitalized development cost in the \r\namount of SEK 20.9 million related to performing its Idefirix \r\n&#174; \r\n(imlifidase) EMA post-approval \r\ncommitments. Capitalized development cost mainly include fees paid to 3 \r\nrd \r\nparty service \r\nproviders, personnel expenses of Hansa staff and approportionate finance cost. \r\nDue to uncertainties inherent to the development and registration with the relevant healthcare \r\nauthorities of imlifidase in any other indications, the Company estimates that the conditions for \r\ncapitalization are not yet met and thus does not capitalize any development cost related to such \r\nother indications. \r\nSubsequent to initial recognition, internally-generated intangible assets are reported at cost less \r\naccumulated amortization and accumulated impairment losses, on the same basis as intangible \r\nassets that are acquired separately. \r\nCapitalized internal development expenditures for imlifidase&#8217;s previous production process were \r\ncompletely amortized during the year 2018 and written-off in 2022.  \r\nAcquired intangible assets \r\nPatents \r\nThe HBP-assay patent cost is amortized over the finite useful life of the underlying patent in the \r\namount of SEK 559 k for the year 2022 (2021: SEK 559 k). The patent cost is amortized over \r\nsales, general and administration line item in the consolidated statement of profit or loss and \r\nother comprehensive income. \r\nHBP-assay is a method of analysis used to predict severe sepsis in emergency clinics. A first version \r\nhas been launched, primarily intended for research purposes and interested specialists. The HBP- \r\nassay has been licensed to a cooperating partner, Axis-Shield Diagnostics Ltd. (Axis-Shield), which is \r\ncurrently developing a fully commercial product. The Company receives milestone compensation and \r\nadditional royalty revenue upon the sale of the sublicensed technology. \r\nIn-process development projects \r\nCertain projects pending in the Group are a combination of acquired development projects and \r\ncontinued activities in these projects. Of the total acquisition cost for acquired in-process \r\ndevelopment projects, approximately 75% relates to imlifidase and 25% relates to HBP-assay. \r\nThe acquired intangible asset relating to imlifidase presented as in-process development \r\nprojects will be amortized over the estimated useful life of the underlying asset. Following the \r\nfirst commercial sale of imlifidase in Q1-2021 the Group started to amortize the SEK 25,136 k \r\nfrom the period of first sale in Q1-2021. The estimated useful life is 12 years. \r\nAcquired in-process development projects are assessed for possible impairment at least on an \r\nannual basis and the impairment assessment on December 31, 2022, and 2021 demonstrated \r\nthat there was no need for impairment. The estimated recoverable amount supported by \r\nexternal and internal valuation reports by far exceeds the assets&#8217; carrying amount, resulting in \r\nno impairment charges for the year 2022 and 2021. \r\nInternally generated Acquired intangible assets \r\n(in thousands of SEK) \r\nCapatalized \r\ndevelopment costs Patents \r\nIn-process \r\ndevelopment \r\nprojects \r\nTotal Intangible \r\nAssets \r\nCost: \r\nOpening balance \r\nJanuary 1, 2022 \r\n4,485 12,339 25,136 41,960 \r\nWrite-off (4,485) (4,485) \r\nInternally developed 20,853 &#8212; &#8212; 20,853 \r\nEffects of movements in \r\nexchange rates \r\n&#8212; 162 &#8212; 162 \r\nClosing balance \r\nDecember 31, 2022 \r\n20,853 12,501 25,136 58,490 \r\nAmortization: \r\nOpening balance \r\nJanuary 1, 2022 \r\n(4,485) (6,619) (2,094) (13,199) \r\nWrite-off 4,485 4,485 \r\nAmortization for the year &#8212; (758) (2,094) (2,852) \r\nEffects of movements in \r\nexchange rates \r\n&#8212; (58) &#8212; (58) \r\nClosing balance \r\nDecember 31, 2022 \r\n&#8212; (7,435) (4,188) (11,624) \r\nCarrying amounts: \r\nAt January 1, 2022 &#8212; 5,720 23,042 28,761 \r\nAt December 31, 2022 20,853 5,066 20,948 46,866 Internally generated Acquired intangible assets \r\n(in thousands of SEK) \r\nCapitalized \r\ndevelopment \r\nexpenditures Patents \r\nIn-process \r\ndevelopment \r\nprojects \r\nTotal Intangible \r\nAssets \r\nCost: \r\nOpening balance \r\nJanuary 1, 2021 \r\n4,485 1, 069 25,136 41,690 \r\nEffects of movements in \r\nexchange rates \r\n&#8212; 270 &#8212; 270 \r\nClosing balance \r\nDecember 31, 2021 \r\n4,485 12,339 25,136 41,960 \r\nAmortization: \r\nOpening balance \r\nJanuary 1, 2021 \r\n(4,485) (5,794) &#8212; (10,280) \r\nAmortization for the year &#8212; (747) (2,094) (2,841) \r\nEffects of movements in \r\nexchange rates \r\n&#8212; (78) &#8212; (78) \r\nClosing balance \r\nDecember 31, 2021 \r\n(4,485) (6,619) (2,094) (13,199) \r\nCarrying amounts: \r\nAt January 1, 2021 &#8212; 6,275 25,136 31,410 \r\nAt December 31, 2021 &#8212; 5,720 23,042 28,761 \r\nNote 5 Property and Equipment \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nCost: \r\nOpening balance January 1 14,451 11,871 \r\nReclassification (2,403) &#8212; \r\nAdjusted opening balance 12,048 11,871 \r\nAdditions during the year 3,332 2,580 \r\nClosing balance December 31 15,380 14,451 \r\nAccumulated depreciation and impairment losses: \r\nOpening balance January (8,019) (6,665) \r\nReclassification 2,403 &#8212; \r\nAdjusted opening balance (5,616) (6,665) \r\nDepreciation during the period (1,651) (1,354) \r\nClosing balance December (7,267) (8,019) \r\nCarrying amounts: \r\nAt January 1 6,432 5,206 \r\nAt December 31 8,113 6,432 Note 6 Right-of-Use Assets, Lease Liabilities \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nLeased assets: \r\nBuildings 27,250 34,446 \r\nEquipment 135 271 \r\nVehicles 338 556 \r\n27,723 35,273 \r\nLease liabilities: \r\nNon-current 21,326 28,491 \r\nCurrent 7,165 6,888 \r\n28,491 35,379 \r\nFor the years ended December 31, 2022, and 2021, there were SEK 0.- and SEK 36,071k \r\nrespectively, in additions of right-of-use assets. \r\nDepreciation charge of leased assets for the period \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nBuildings (7,195) (4,646) \r\nEquipment (135) (169) \r\nVehicles (220) (174) \r\n(7,550) (4,989) \r\nInterest expense (included in finance cost) amounted to SEK 1,123k. Expenses related to low- \r\nvalue leases and short-term leases amounted to SEK 1,918k. Total cash outflow of leases \r\namounted to SEK 9,904k. \r\nMost of the Group&#8217;s operational leasing agreements involve leases of real property and \r\npremises on which the business operations are conducted. The initial duration of the lease for \r\nthe Lund, Sweden, headquarters offices is three years from January 1, 2019. The agreement is \r\nautomatically extended with two years at a time unless cancellation is made no later than nine \r\nmonths before the end of the contract period. There are no variable fees included in the leases. \r\nThe lease term covered by the extension option was not included in the lease term when the \r\nlease was originally recognized as the Group did not consider that the exercise of the option \r\nwould be reasonably certain. \r\nThe Group has entered into lease agreements with respect to office space, IT and office \r\nequipment. The leases are non-cancellable for various periods up to 2023. \r\nNote 7 Inventories \r\nInventories include material, labour and overhead and consisted of the following: \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nRaw materials and supplies 3,783 3,141 \r\nWork in process 13,455 8,282 \r\nPackaging material 502 311 \r\nFinished goods 3,814 1,882 \r\nTotal inventories, gross 21,555 13,616 \r\nLess: provision for excess &amp; obsolete inventories (20,582) (13,374) \r\nTotal inventories, net 973 242 \r\nIn 2022, the Company recorded a provision for excess and obsolete inventories in the amount \r\nof SEK 20.6 million (2021: SEK 13,4m) to account for the potential expiry of inventories ahead \r\nof their commercial use. Note 8 Trade Receivables, unbilled revenues and refund liabilities \r\nTrade receivables and unbilled revenues \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nTrade receivables, net of provisions 8,360 9,712 \r\nUnbilled revenue, net of provisions 34,600 &#8212; \r\nTotal trade receivables and unbilled revenues 42,959 9,712 \r\nTrade receivables primarily consist of receivables from product sales to healthcare \r\norganisations in European countries. During the periods ended December 31, 2022, and \r\nDecember 31, 2021 respectively, the Company did not incur any losses from defaults related to \r\nits trade receivables. \r\nUnbilled revenues primarily relate to product sales to healthcare organisations in European \r\ncountries with the Group&#8217;s right to consider product sold despite not billed at the reporting date. \r\nDuring the periods ended December 31, 2022, and December 31, 2021 respectively, the \r\nCompany did not incur any losses from defaults related to its unbilled revenues. \r\nA provision for expected credit losses amounting to SEK 78k was recorded for 2022 (2021: SEK \r\n0), see further discussion about credit risk in Note 20. \r\nRefund liabilities \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nVolume discounts 14,039 &#8212; \r\nAll other 12,974 \r\nTotal refund liabilities 27,013 &#8212; \r\nRefund liabilities primarily consist of the Group&#8217;s actual or estimated rebates, discounts, return \r\nand charge back obligations to its customers.  \r\nNote 9 Prepaid expenses and accrued income \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nInsurances 1,137 829 \r\nHealthcare conference 2,604 124 \r\nSoftware 1,777 1,177 \r\nPension 1,770 1,644 \r\nRent 2,385 2,512 \r\nLegal expenses 9,989 8,325 \r\nLicense fees 3,857 230 \r\nR&amp;D expenses 7,587 3,769 \r\nOther 2,171 2,279 \r\nTotal 33,278  20,889\r\nNote 10 Other receivables \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nVAT receivables 21,179 9,827 \r\nAdvance payments to suppliers 9,262 11,292 \r\nOther receivables 874 1,419 \r\nTotal 31,315 22,538 Note 11 Accrued Expenses \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nAnnual leave accrual 18,267 15,879 \r\nAccrued social security contribution on salaries 5,243 4,395 \r\nAccrued short term incentives, incl. related social security contributions 33,138 24,146 \r\nR&amp;D project costs 26,701 7,791 \r\nLicense fees 5,500 &#8212; \r\nConsulting fees 16,845 17,600 \r\nOther 3,052 2,651 \r\nClosing balance December 31 108,747  72,462\r\nNote 12 Other liabilities&#8212;Current \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nPersonnel related liabilities 18,121 13,358 \r\nVAT liabilities 158 190 \r\nClosing balance December 31 18,278  13,548\r\nNote 13 Revenue \r\nThe Group&#8217;s revenue from its contracts with customers is primarily generated from product \r\nsales and three license agreements, as further described below. Revenue has been recognized \r\nin the consolidated statement of profit or loss and other comprehensive income (loss) with the \r\nfollowing amounts: \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nRevenue from contracts with customers: \r\nProduct sales 86,735 15,017 \r\nContract revenue, Axis-Shield agreement 2,892 2,624 \r\nCost reimbursement, Axis-Shield agreement 624 527 \r\nContract revenue, Sarepta, AskBio agreements 64,273 15,710 \r\nTotal revenue 154,525 33,878 \r\nThe revenue with external customers is split as follows by geography: \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nGeography: \r\nSweden 4,678 &#8212; \r\nNorth America 64,273 15,710 \r\nEurope (ex Sweden) 85,573 18,168 \r\nTotal revenue 154,525 33,878 \r\nPerformance Obligations Satisfied Over Time \r\nThe transaction price is allocated to each performance obligation according to their stand-alone \r\nselling prices and is recognized when control of the goods or services are transferred to the \r\ncustomer, either over time or at a point in time, depending on the specific terms and conditions \r\nin the contracts. \r\nFor the Group&#8217;s current licensing arrangements, our professionals are required to be committed \r\nthroughout the development period. Therefore, promises such as the license, materials or \r\nprofessional support are one performance obligation. Accordingly, upfront payments are \r\nrecognized over time. Variable Consideration \r\nIn the transaction price, variable consideration, including milestone payments, is only included \r\nto the extent that it is highly probable that a significant reversal in the amount of cumulative \r\nrevenue recognized will not occur when the uncertainty associated with the variable \r\nconsideration is subsequently resolved. Therefore, royalties and milestone payments from \r\nlicensing arrangements are constrained for the periods ended December 31, 2022, and 2021, \r\nwith the exception of the Axis-Shield minimum royalty payment. \r\nProduct sales \r\nFor the period ended December 31, 2022, the Group recorded product sales of SEK 86.7 \r\nmillion (2021: SEK 15.0 million). Product sales are recognized net of any sales and value-added \r\ntaxes and sales deductions based on contractually agreed payment terms. \r\nLicense Agreement with Sarepta \r\nOn July 1, 2020, the Company executed an agreement with Sarepta. Sarepta was granted an \r\nexclusive, worldwide license to develop and promote imlifidase, in addition to access to the \r\nGroup&#8217;s materials and professional support as a pre-treatment to enable Sarepta&#8217;s gene \r\ntherapy treatment in Duchenne muscular dystrophy (DMD) and Limb-girdle muscular dystrophy \r\n(LGMD). The pre-treatment is intended for patients with pre-existing neutralizing antibodies \r\n(NAb-positive patients) to adeno-associated virus (AAV), the technology that is the basis for \r\nSarepta&#8217;s gene therapy products. \r\nSarepta is responsible for conducting preclinical and clinical studies with imlifidase and any \r\nsubsequent potential filings for regulatory approvals. Sarepta will also be responsible for the \r\npromotion of imlifidase as a pre-treatment to Sarepta&#8217;s gene therapies following potential \r\napproval. \r\nUnder the terms of the agreement, the Company received a $10.0 million (SEK 81.9 million) \r\nnon-refundable upfront payment in July 2020 and is eligible for a total of up to $397.5 million in \r\ndevelopment, regulatory and sales milestone payments. The Company will record all sales of \r\nimlifidase and earn high single-digit to mid-teens royalties on Sarepta&#8217;s incremental gene \r\ntherapy sales when treating NAb-positive patients enabled by pre-treatment with imlifidase. \r\nThe exclusive worldwide license to develop and promote imlifidase was determined to be not \r\ndistinct as Sarepta cannot benefit from the license without the Group&#8217;s materials and \r\nprofessional support and therefore the license and related support that includes the \r\nrequirements to provide the Group&#8217;s materials and professional support are one performance \r\nobligation. \r\nThe upfront payment will be recognized over the development period, currently estimated at 51 \r\nmonths, as the Group fulfils its performance obligation under the Agreement. The Company \r\nconcluded that labour hours expended by the Group&#8217;s professionals was the appropriate \r\nmeasure of the transfer of control of the combined promises of the license, Hansa materials and \r\nprofessional services as it is the measure that is most indicative of the performance obligation \r\nsatisfied. \r\nFor the milestone payments associated with the development and regulatory milestones, the \r\nGroup concluded that the successful completion of the development and regulatory activities \r\nare not probable at this time since the project is still in preclinical stage and therefore will not \r\nrecognize any of these milestones for the Group&#8217;s December 31, 2022, financial reporting \r\nperiod. Revenue from performance-based and sales-based milestones and sales-based \r\nroyalties will be constraint because it is not probable that a reversal of revenue will not occur if \r\nthese were recognized. \r\nFor the period ended December 31, 2022, the Group recorded contract revenue in the amount \r\nof SEK 26.8 million (2021: SEK 15.7 million) related to its agreement with Sarepta in connection \r\nwith the upfront payment received in July 2020. \r\nLicense Agreement with AskBio \r\nOn January 3, 2022, Hansa announced a collaboration agreement with AskBio (subsidiary of \r\nBayer AG), a fully integrated AAV gene therapy company dedicated to developing medicines \r\nthat improve the quality of life for patients with genetic diseases. \r\nThe collaboration was initiated during the first quarter of 2022. It is designed to evaluate the \r\npotential use of imlifidase as a pre-treatment, prior to the administration of AskBio&#8217;s gene \r\ntherapy in Pompe disease, in a preclinical and clinical feasibility program for patients with pre- \r\nexisting NAbs to the adeno-associated viral vector used in AskBio&#8217;s gene therapy. \r\nUnder terms of the agreement, Hansa received a USD 5 million payment upon execution of the \r\nagreement and AskBio has the exclusive option to negotiate a full development and \r\ncommercialization agreement following evaluation of the results from an initial phase 1/2 study. \r\nThe upfront payment will be recognized over the development period, currently estimated at 24 \r\nmonths from start of the collaboration, as the Group fulfils its performance obligation under the \r\nAgreement. The Company concluded that delivery of Hansa materials was the appropriate \r\nmeasure of the transfer of control of the combined promises of the Hansa materials and \r\nprofessional services as it is the measure that is most indicative of the performance obligation \r\nsatisfied. \r\nFor the period ended December 31, 2022, the Group recorded contract revenue in the amount \r\nof SEK 37.5 million related to its agreement with AskBio in connection with the upfront payment \r\nreceived in January 2022. License Agreement with Axis-Shield \r\nIn 2022, the Group recorded contract revenue in the amount of SEK 2.9 million (2021: SEK 2.6 \r\nmillion) under its agreement with Axis-Shield related to a minimum royalty payment of $250,000 \r\nand a commercial milestone payment of $60,000. The agreement entails a license to access the \r\nGroup&#8217;s intellectual property regarding HBP analysis during the license period. The agreement \r\nrequires the Group to conduct activities that substantially affect the intellectual property rights \r\nduring the license period, which in turn affects Axis-Shield as a license holder. Royalty \r\npayments are accrued and recognized as income during the period to which the royalty refers. \r\nThe minimum royalty amount was received in February 2021, initially recorded as a deferred \r\nrevenue and recognized as revenue over the reporting period on a straight-line basis. The \r\ncommercial milestone relates to achieved sales. Since it is a sales-based milestone it has been \r\nrecognized as revenue when the sales occurred and the Company became entitled to receive \r\nthe milestone payment. \r\nIn addition, the Group recorded revenue related to reimbursable costs upon rendering services \r\nrelated to maintaining licensed patents in an amount of SEK 0.6 million (2021: SEK 0.5 million). \r\nDeferred revenue \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nOpening balance January 1, 71,981 79,432 \r\nAddition under existing contracts 90,251 18,168 \r\nAddition under new contracts (AskBio agreement) 45,750 &#8212; \r\nRevenue recognized (154,525) (33,878) \r\nAdjustments, foreign exchange 16,473 8,259 \r\nClosing balance December 31, 69,930  71,981\r\nRevenue may vary from period to period as revenue comprises product sales, royalties, \r\nmilestone payments, deferred revenue, and reimbursement of certain expenses. \r\nNote 14 Staff Costs \r\nTotal personnel expenses recorded in the Group broken down to senior management, which \r\nincludes the Board of Directors and executive management, and other employees: \r\nYear Ended December 31, 2022 \r\n(in thousands of SEK) \r\nSenior \r\nManagement Other Employees Total \r\nSalaries, bonuses, and other benefits 36,927 153,642 190,569 \r\nSocial security contribution 11,423 24,636 36,059 \r\nPension cost, contribution plan 2,812 21,307 24,118 \r\nShare-based compensation 32,844 25,382 58,226 \r\nTotal personnel expenses 84,005 224,967 308,972 \r\nYear Ended December 31, 2021 \r\n(in thousands of SEK) \r\nSenior \r\nManagement Other Employees Total \r\nSalaries, bonuses, and other benefits 32,282 122,304 154,586 \r\nSocial security contribution 10,040 20,518 30,558 \r\nPension cost, contribution plan 2,723 15,381 18,104 \r\nShare-based compensation 33,860 22,764 56,624 \r\nTotal personnel expenses 78,905 180,967 259,872  \r\nShare-based payments \r\nLong-term incentive program 2018 (LTIP 2018) \r\nAt Hansa&#8217;s Annual General Meeting (AGM) on May 29, 2018, shareholders resolved to adopt a \r\nlong-term incentive program (LTIP 2018). Participants in the program were given the \r\nopportunity to acquire equity-based awards (warrants) at market value and/or receive share \r\nrights free of charge which, provided that certain conditions are met, may give the right to \r\nacquire shares in the Company. Warrants under LTIP 2018 \r\nEach warrant gives the participant the right to exercise the warrant for subscription of one \r\nordinary share in the Company at a price equal to the market value of the share at the time of \r\nthe issuance of the warrants (SEK 223.10) adjusted upwards in the amount of 7% annually \r\nduring the three-year vesting period, i.e., SEK 273.31. Provided the participant remains an \r\nemployee of the Group, subscription for shares in accordance with the terms of the warrants \r\nmay take place during the period from June 12, 2021 through June 12, 2022. \r\nThe warrants were sold to the participants on market terms at a price established on the basis \r\nof an estimated market value of the warrants using the Black Scholes model. In connection with \r\nthe warrants program participants (except the CEO) received a subsidy of maximum 25% of the \r\npurchase price. \r\nShould the participant&#8217;s employment cease before the awards are exercised, the Group is \r\nentitled to repurchase the awards at market value less any subsidy provided to the participant. \r\nA total of 6,701 warrants were sold under the program in June 2018. \r\nThe Group used the following inputs when valuing the warrants under LTIP 2018 based on \r\nBlack Scholes model: \r\nIssuance June \r\n2018 \r\nUnderlying volume-weighted average share price, SEK 223.10 \r\nRisk-free interest rate, (%) (0.178) \r\nExpected volatility, (%) 43 \r\nExpected dividend, SEK &#8212; \r\nCalculated fair value per warrant, SEK 53.41 \r\nYears Ended December 31, \r\n2022 2021 \r\nWarrants, Opening balance January 1 6,701 6,701 \r\nWarrants expired or redeemed in advance during the period (6,701) &#8212; \r\nWarrants, Closing balance December 31 0 6,701 \r\nRecorded share-based compensation expenses, thousands of SEK 0 5 \r\nShare rights under LTIP 2018 \r\nEach share right provides a participant the right to acquire one ordinary share in the Company \r\nfree-of-charge provided certain pre-defined conditions are met in accordance with the terms of \r\nLTIP 2018. A share right may be exercised if the performance condition is met and provided \r\nthat the participant, with certain exceptions, from the date of the start of participation in LTIP \r\n2018 up until and including the date three years thereafter (the Vesting Period) maintains his or \r\nher employment within the Group. \r\nThe single performance condition is: TSR during the Vesting Period compared to a starting \r\nvalue of SEK 222.10 (allotment June 2018), SEK 278.70 (allotment November 2018) and \r\nSEK178.60 (allotment May 2019). The performance condition is set at a &#8220;minimum level&#8221; of 25% \r\nand &#8220;maximum level&#8221; of 100%, whereby the number of shares granted to participants is \r\nincreased lineally between the minimum level and maximum level in line with the TSR \r\nappreciation. \r\nA total of 260,710 share rights were allotted to participants, of which 105,460 were allotted in \r\nJune 2018, 72,671 were allotted in November 2018 and 82,579 were allotted in May 2019. \r\nThe Group used the following inputs when valuing the share rights under LTIP 2018 based on \r\nMonte Carlo simulation: \r\nAllotment \r\nJune 15, 2018 \r\nAllotment \r\nNov 30, 2018 \r\nAllotment \r\nMay 14, 2019 \r\nStarting value (base-line share price) for TSR \r\ncalculation, SEK \r\n221.10 278.70 178.60 \r\nRisk-free interest rate, (%) (0.36) (0.28) (0.55) \r\nExpected volatility, (%) 43 43 43 \r\nExpected dividend, SEK &#8212; &#8212; &#8212; \r\nCalculated fair value per share right, SEK 94.08 117.43 76.02 \r\nYears Ended December 31, \r\n2022 2021 \r\nShare rights, Opening balance January 1 60,086 223,778 \r\nShare rights expired or forfeited during the period (60,086) (163,692) \r\nShare rights, Closing balance December 31 0 60,086 \r\nRecorded share-based compensation expenses, thousands of SEK 294 912 Long-term incentive program 2019 (LTIP 2019) \r\nAt Hansa&#8217;s AGM on May 22, 2019, shareholders resolved to adopt a long-term incentive \r\nprogram, LTIP 2019. Under the terms of LTIP 2019, participants in the program could receive \r\nperformance-based share rights (share rights) free of charge and/or share options, as further \r\ndescribed below. \r\nShare rights under LTIP 2019 \r\nEach share right provides a participant the right to acquire one ordinary share in the Company \r\nfree-of-charge provided certain pre-defined performance conditions are met and provided that \r\nthe participant, with certain exceptions, from the date of the start of participation in LTIP 2019 \r\nup until and including the date three years thereafter (the Vesting Period) maintains his or her \r\nemployment within the Group. \r\nThe final number of ordinary shares a participant is entitled to receive is, amongst other terms, \r\nconditional upon meeting the following performance conditions during the Vesting Period: \r\n&gt; Condition 1 (accounting for 22%): Obtain market approval in the EU by the EMA \r\n&gt; Condition 2 (accounting for 22%): At least 10 patients enrolled in US RCT (ConfIdes) \r\n&gt; Condition 3 (accounting for 56%): TSR of at least 25% against the baseline share price at the \r\ndate of allotment. \r\nIn December 2021, Hansa&#8217;s Board of Directors in line with the terms and conditions of the LTIP \r\n2019 resolved to adjust Condition 2 from the previous condition &#8220;Imlifidase U.S. approval&#8220; to the \r\nnew condition &#8222;At least 10 patients enrolled in US RCT (ConfIdes)&#8221;. \r\nA total of 306,303 share rights were allotted to participants, of which 288,727 were allotted in \r\nJune 2019, and 17,576 were allotted in October 2019. \r\nThe Group used the following inputs when valuing the share rights under LTIP 2019 based on \r\nMonte Carlo simulation: \r\nAllotment \r\nJune 17, 2019 \r\nAllotment \r\nOct 24, 2019 \r\nStarting value (base-line share price) for TSR calculation, SEK 178.38 129.28 \r\nRisk-free interest rate, (%) (0.59) (0.41) \r\nExpected volatility, (%) 43 43 \r\nExpected dividend, SEK &#8212; &#8212; \r\nCalculated fair value per share right, SEK 122.12 89.00 \r\nYears Ended December 31, \r\n2022 2021 \r\nShare rights, Opening balance January 1 278,181 287,555 \r\nShare rights lapsed or forfeited during the period (155,781) (9,374) \r\nShare rights vested during the period 122,400 &#8212; \r\nShare rights, Closing balance December 31 0 278,181 \r\nRecorded share-based compensation expenses, thousands of SEK 3,509 12,906 \r\nShare options under LTIP 2019 \r\nThe share option program consists of two option series: Series 1&#8212;Warrants, and Series 2&#8212; \r\nEmployee stock options. \r\nEach warrant or employee stock option entitles the holder to receive one new ordinary share in \r\nthe Company at an exercise price corresponding to 110% of the volume weighted average \r\nshare price during the 10 trading days immediately prior to the offer to subscribe for the \r\ninstruments, and provided that the participant, with certain exceptions, from the date of the start \r\nof participation in LTIP 2019 up until and including the date three years thereafter (the Vesting \r\nPeriod) maintains his or her employment within the Group. \r\nLTIP 2019, Warrants \r\nA total of 11,000 warrants were sold to participants in June 2019. In connection with the \r\nwarrants program participants (except the CEO) received a subsidy of up to 100% of the \r\npurchase price. \r\nThe Group used the following inputs when valuing the warrants under LTIP 2019 based on \r\nBlack Scholes model: \r\nIssuance \r\nJune 17, 2019 \r\nUnderlying volume-weighted average share price, SEK 178.38 \r\nExercise price, SEK 196.20 \r\nRisk-free interest rate, (%) (0.59) \r\nWarrant term, years 3 \r\nExpected volatility, (%) 43 \r\nExpected dividend, SEK &#8212; \r\nCalculated fair value per warrant, SEK 45.54 Years Ended December 31, \r\n2022 2021 \r\nWarrants, Opening balance January 1 11,000 11,000 \r\nWarrants expired or redeemed in advance during the period (11,000) &#8212; \r\nWarrants, Closing balance December 31 0 11,000 \r\nRecorded share-based compensation expenses, thousands of SEK 28 97 \r\nLTIP 2019, Employee Stock Options (ESOs) \r\nA total of 149,148 ESOs were issued to participants in June 2019. \r\nThe Group used the following inputs when valuing the ESOs under LTIP 2019 based on Black \r\nScholes model: \r\nIssuance \r\nJune 17, 2019 \r\nUnderlying volume-weighted average share price, SEK 178.38 \r\nExercise price, SEK 196.20 \r\nRisk-free interest rate, (%) (0.59) \r\nESO term, years 3 \r\nExpected volatility, (%) 43 \r\nExpected dividend, SEK &#8212; \r\nCalculated fair value per ESO, SEK 45.19 \r\nYears Ended December 31, \r\n2022 2021 \r\nESO, Opening balance January 1 149,148 149,148 \r\nESO forfeited or expired during the period &#8212; &#8212; \r\nESO, Closing balance December 31 149,148 149,148 \r\nRecorded share-based compensation expenses, thousands of SEK 930 690 \r\nLong-term incentive program 2020 (LTIP 2020) \r\nAt Hansa&#8217;s AGM on June 23, 2020, shareholders resolved to adopt a long-term incentive \r\nprogram, LTIP 2020. Under the terms of LTIP 2020 participants in the program may receive \r\nshare rights free of charge and/or ESOs as further described below. \r\nShare rights under LTIP 2020 \r\nEach share right entitles a participant to acquire one ordinary share in the Company at no cost \r\nprovided certain pre-defined performance conditions are met and the employment is maintained \r\nwithin the Group during the vesting period. Each share right carries a vesting period of three \r\nyears commencing on the day of its allotment to a participant (the Vesting Period). \r\nThe final number of ordinary shares a participant is entitled to receive is, amongst other terms, \r\nconditional upon meeting the following performance conditions during the Vesting Period: \r\n&gt; Condition 1 (accounting for 22%): The U.S. randomized controlled trial (ConfIdeS) has \r\nenrolled 64 patients; \r\n&gt; Condition 2 (accounting for 11%): Top-line data read out of the ongoing Phase 2 study in \r\neither AMR or GBS is completed with data providing a solid scientific rational for a path \r\nforward; \r\n&gt; Condition 3 (accounting for 11%): At least 70% of the targeted transplantation centers in \r\nEurope have been initiated; \r\n&gt; Condition 4 (accounting for 56%): TSR of at least 25% against the baseline share price at the \r\ndate of allotment. \r\nIn December 2021, Hansa&#8217;s Board of Directors in line with the terms and conditions of the LTIP \r\n2020 resolved to adjust Condition 1 from the previous condition &#8220;The U.S. randomized \r\ncontrolled trial is completed during the Vesting Period&#8220; to the new condition &#8222;US RCT study \r\n(ConfIdeS) fully enrolled&#8221;. In December 2022, , Hansa&#8217;s Board of Directors in line with the terms \r\nand conditions of the LTIP 2020 resolved to adjust (a) Condition 1 from the previous condition \r\n&#8220;US RCT study (ConfIdeS) fully enrolled&#8221; to the new condition &#8220;The U.S. randomized controlled \r\ntrial (ConfIdeS) has enrolled 64 patients&#8221;, and (b) Condition 2 from the previous condition &#8220;Top- \r\nline data read out of the ongoing Phase 2 study in either AMR or GBS is completed with data \r\nproviding a solid scientific rational to continue either of the two programs&#8221; to the new condition \r\n&#8220;Top-line data read out of the ongoing Phase 2 study in either AMR or GBS is completed with \r\ndata providing a solid scientific rational for a path forward&#8221;. \r\nA total of 417,556 share rights were allotted to participants, of which 401,556 were allotted in \r\nJuly 2020 and 16,000 were allotted in February 2021. The Group used the following inputs when valuing the share rights under LTIP 2020 based on \r\nMonte Carlo simulation: \r\nAllotment \r\nJuly 23,2020 \r\nAllotment \r\nFeb 12, 2021 \r\nStarting value (base-line share price) for TSR calculation, SEK 252.60 252.60 \r\nRisk-free interest rate, (%) (0.33) (0.25) \r\nExpected volatility, (%) 43 43 \r\nExpected dividend, SEK &#8212; &#8212; \r\nCalculated fair value per share right, SEK 173.26 120.07 \r\nYears Ended December 31, \r\n2022 2021 \r\nShare rights, Opening balance January 1 400,556 389,556 \r\nAllotted to participants February 12, 2021 16,000 \r\nShare rights forfeited (2,245) (5,000) \r\nShare Rights, Closing balance December 31 398,311 400,556 \r\nRecorded share-based compensation expenses, thousands of SEK 21,607 21,205 \r\nEmployee Stock Options under LTIP 2020 \r\nEach ESO entitles the holder to receive one new ordinary share in the Company at an exercise \r\nprice corresponding to 125% of the volume weighted average share price during the 10 trading \r\ndays immediately prior to the offer to subscribe for the instruments, and provided that the \r\nparticipant, with certain exceptions, from the date of the start of participation in LTIP 2020 up \r\nuntil and including the date three years thereafter (the Vesting Period) maintains his or her \r\nemployment within the Group. \r\nA total of 507,520 ESOs were issued to participants of which 487,520 were issued in July 2020 \r\nand 20,000 were issued in February 2021. \r\nThe Group used the following inputs when valuing the ESOs under LTIP 2020 based on Black \r\nScholes model: \r\nIssuance \r\nJuly 23,2020 \r\nIssuance \r\nFeb 12, 2021 \r\nUnderlying volume-weighted average share price, SEK 252.60 185.13 \r\nExercise price, SEK 315.75 315.75 \r\nRisk-free interest rate, (%) (0.33) (0.25) \r\nESO term, years 3 3 \r\nExpected volatility, (%) 43 43 \r\nExpected dividend, SEK &#8212; &#8212; \r\nCalculated fair value per ESO, SEK 53.05 27.25 \r\nYears Ended December 31, \r\n2022 2021 \r\nESO, Opening balance January 1 497,520 477,520 \r\nESO allotted to participants February 12, 2021 20,000 \r\nESO forfeited (10,000) &#8212; \r\nESO, Closing balance December 31 487,520 497,520 \r\nRecorded share-based compensation expenses, thousands of SEK 7,808 7,658 \r\nLong-term incentive program 2021 (LTIP 2021) \r\nAt Hansa&#8217;s AGM on May 12, 2021, shareholders resolved to adopt a long-term incentive \r\nprogram, LTIP 2021. Under the terms of LTIP 2021 participants in the program may receive \r\nshare rights free of charge and/or ESOs as further described below. \r\nShare rights under LTIP 2021 \r\nEach share right entitles a participant to acquire one ordinary share in the Company at no cost \r\nprovided certain pre-defined performance conditions are met and the employment is maintained \r\nwithin the Group during the vesting period. Each share right carries a vesting period of three \r\nyears commencing on the day of its allotment to a participant (the Vesting Period). The final number of ordinary shares a participant is entitled to receive is, amongst other terms, \r\nconditional upon meeting the following performance conditions during the Vesting Period: \r\n&gt; Condition 1 (accounting for 22%): U.S. FDA has accepted a BLA filing for approval of \r\nimlifidase in the U.S.; \r\n&gt; Condition 2 (accounting for 11%): A phase 3 study in either AMR or GBS is initiated or a filing \r\nfor regulatory approval is accepted by either the FDA or EMA for one of these indications or \r\nanti-GBM; \r\n&gt; Condition 3 (accounting for 11%): At least 80% of the targeted transplantation centers in \r\nEurope have been initiated; and \r\n&gt; Condition 4 (accounting for 56%): TSR of at least 25% against the baseline share price at the \r\ndate of allotment. \r\nA total of 557,000 share rights were allotted to participants in June 2021. \r\nAllotment \r\nJune 7, 2021 \r\nStarting value (base-line share price) for TSR calculation, SEK 153.75 \r\nRisk-free interest rate, (%) (0.18) \r\nExpected volatility, (%) 46.9 \r\nExpected dividend, SEK &#8212; \r\nCalculated fair value per share right, SEK 98.94 \r\nYears Ended December 31, \r\n2022 2021 \r\nShare rights, Opening balance January 1 557,000 &#8212; \r\nAllotted to participants June 7, 2021 557,000 \r\nShare rights forfeited (5,737) &#8212; \r\nShare Rights, Closing balance December 31 551,263 557,000 \r\nRecorded share-based compensation expenses, thousands of SEK 7,948 11,722 \r\nEmployee Stock Options under LTIP 2021 \r\nEach ESO entitles the holder to receive one new ordinary share in the Company at an exercise \r\nprice corresponding to 125% of the volume weighted average share price during the 30 trading \r\ndays immediately prior to the offer to subscribe for the instruments, and provided that the \r\nparticipant, with certain exceptions, from the date of the start of participation in LTIP 2021 up \r\nuntil and including the date three years thereafter (the Vesting Period) maintains his or her \r\nemployment within the Group. \r\nA total of 430,000 ESOs were issued to participants in June 2021. \r\nThe Group used the following inputs when valuing the ESOs under LTIP 2021 based on Black \r\nScholes model: \r\nIssuance \r\nJune 7, 2021 \r\nUnderlying volume-weighted average share price, SEK 153.70 \r\nExercise price, SEK 192.20 \r\nRisk-free interest rate, (%) (0.04) \r\nESO term, years 4.5 \r\nExpected volatility, (%) 46.9 \r\nExpected dividend, SEK &#8212; \r\nCalculated fair value per ESO, SEK 42.98 \r\nYears Ended December 31, \r\n2022 2021 \r\nESO, Opening balance January 1 430,000 &#8212; \r\nESO allotted to participants June 7, 2021 430,000 \r\nESO forfeited &#8212; &#8212; \r\nESO, Closing balance December 31 430,000 430,000 \r\nRecorded share-based compensation expenses, thousands of SEK 5,892 3,738 Long-term incentive program 2022 (LTIP 2022) \r\nAt Hansa&#8217;s AGM on June 30, 2022, shareholders resolved to adopt a long-term incentive \r\nprogram, LTIP 2022. Under the terms of LTIP 2022 participants in the program may receive \r\nshare rights free of charge and/or ESOs as further described below. \r\nShare rights under LTIP 2022 \r\nEach share right entitles a participant to acquire one ordinary share in the Company at no cost \r\nprovided certain pre-defined performance conditions are met and the employment is maintained \r\nwithin the Group during the vesting period. Each share right carries a vesting period of three \r\nyears commencing on the day of its allotment to a participant (the Vesting Period). \r\nThe final number of ordinary shares a participant is entitled to receive is, amongst other terms, \r\nconditional upon meeting the following performance conditions during the Vesting Period: \r\n&gt; Condition 1 (accounting for 22%): U.S. FDA has approved imlifidase in the U.S.; \r\n&gt; Condition 2 (accounting for 11%): Imlifidase has been approved, or a Marketing Authorization \r\nApplication/Biologics License Application has been submitted, in any jurisdiction in an \r\nindication outside kidney transplant; \r\n&gt; Condition 3 (accounting for 11%): At least 80% of the targeted transplantation centers in \r\nEurope have had repeat business \r\n&gt; Condition 4 (accounting for 56%): TSR of at least 25% against the baseline share price at the \r\ndate of allotment. \r\nA maximum of 624,615 share rights can be allotted under LTIP 2022. As of December 31, 2022, \r\na total of 543,000 share rights have initially been allotted to participants. \r\nThe Group used the following inputs when valuing the share rights under LTIP 2022 based on \r\nMonte Carlo simulation: \r\nAllotment \r\nJuly 20, 2022 \r\nStarting value (base-line share price) for TSR calculation, SEK 56.0 \r\nRisk-free interest rate, (%) (1.87) \r\nExpected volatility, (%) 58.6 \r\nExpected dividend, SEK &#8212; \r\nCalculated fair value per share right, SEK 80.29 \r\nYear Ended \r\nDecember 31, 2022 \r\nShare rights, Opening balance January 1 &#8212; \r\nAllotted to participants July 20, 2022, 543,000 \r\nShare rights forfeited &#8212; \r\nShare Rights, Closing balance December 31 543,000 \r\nRecorded share-based compensation expenses, thousands of SEK 7,277 \r\nEmployee Stock Options under LTIP 2022 \r\nEach ESO entitles the holder to receive one new ordinary share in the Company at an exercise \r\nprice corresponding to 125% of the volume weighted average share price during the 30 trading \r\ndays immediately prior to the offer to subscribe for the instruments, and provided that the \r\nparticipant, with certain exceptions, from the date of the start of participation in LTIP 2022 up \r\nuntil and including the date three years thereafter (the Vesting Period) maintains his or her \r\nemployment within the Group. \r\nA maximum of 452,307 ESOs can be allotted under LTIP 2022. As of December 31, 2022, a \r\ntotal of 384,000 have initially been allotted to participants. The Group used the following inputs when valuing the ESOs under LTIP 2022 based on Black \r\nScholes model: \r\nIssuance \r\nJuly 20, 2022 \r\nUnderlying volume-weighted average share price, SEK 56.01 \r\nExercise price, SEK 70.0 \r\nRisk-free interest rate, (%) (1.86) \r\nESO term, years 4.5 \r\nExpected volatility, (%) 58.6 \r\nExpected dividend, SEK &#8212; \r\nCalculated fair value per ESO, SEK 52.45 \r\nYear Ended \r\nDecember 31, 2022 \r\nESO, Opening balance January 1 &#8212; \r\nESO allotted to participants July 20, 2022 384,000 \r\nESO forfeited &#8212; \r\nESO, Closing balance December 31 384,000 \r\nRecorded share-based compensation expenses, thousands of SEK  2,934\r\nNote 15 Provisions \r\nProvisions relate to social security contributions linked to outstanding share or option rights in \r\nthe Group&#8217;s ongoing incentive programs. The social security contributions are expected to be \r\nincurred after vesting if and when plan participants realize value under their specific rights under \r\nthe LTIP programs. Please refer to Note 14 related to the Group&#8217;s LTIP programs and \r\nrespective vesting dates. \r\nThe decrease in provisions for 2022 was mainly driven by impact of the decrease in the \r\nCompany&#8217;s share price that resulted in lower provision for social security contributions under the \r\nLTIP programs. \r\nAs of December 31, \r\n2022 2021 \r\nOpening balance January 1 7,357 14,426 \r\nChange in provision related to LTIP 2018 &#8212; (2,999) \r\nChange in provision related to LTIP 2019 (2,910) (4,516) \r\nChange in provision related to LTIP 2020 (216) (1,194) \r\nChange in provision related to LTIP 2021 (357) 1,866 \r\nChange in provision related to LTIP 2022 1,318 &#8212; \r\nChange in pension provision &#8212; (226) \r\nClosing balance December 31 5,192  7,357\r\nNote 16 Income Taxes \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nDeferred Taxes, opening balance January 1 426 424 \r\nTax income in the consolidated statement of profit or loss and other \r\ncomprehensive income \r\n(41) (39) \r\nCurrency differences for the year 20 41 \r\nDeferred Taxes, closing balance December 31 405  426\r\nLosses carried forward in 2022 \r\nDeferred tax assets have not been recognized regarding temporary differences and losses \r\ncarried forward since it is not probable that such can be set off against taxable profits in the \r\nforeseeable future. \r\nThe Group&#8217;s losses carried forward in 2022 amounted to SEK 2,361,926,000 (2021: SEK \r\n1,855,521,000). The losses carried forward is, in all material respects, attributable to Swedish \r\ncompanies and therefore has no due date. A reconciliation of Hansa&#8217;s effective tax rate relative to the Swedish statutory tax rate is as \r\nfollows: \r\n2022 2021 \r\n% \r\n(in thousands \r\nof SEK) % \r\n(in thousands \r\nof SEK) \r\nResult before tax &#8212; (609,979) &#8212; (548,130) \r\nTax according to current tax rate 20.6 125,656 20.6 112,915 \r\nEffect of other tax rates for foreign \r\nsubsidiaries \r\n0 (21) 0 (14) \r\nNon-deductible expenses (3.6) (21,920) (2.4) (13,103) \r\nIncrease in loss carry-forwards without \r\ncorresponding capitalization of deferred tax \r\n(17.2) (104,869) (18.2) (99,951) \r\nReported effective tax (0.2) (1,155) &#8212; (152) \r\nThe corporate tax rate in Sweden is 20.6%, from January 1, 2021. \r\nNote 17 Earnings per share \r\nYears Ended December 31, \r\n(in SEK) 2022 2021 \r\nLoss per share, basic and diluted (13.60) (12.33) \r\nDiluted net loss per share is computed using the weighted-average number of ordinary shares \r\noutstanding during the period, plus the dilutive effect of potential ordinary shares. Diluted net \r\nloss per share does not differ from basic net loss per share since potential ordinary shares from \r\nthe conversion of share rights, stock options and warrants are antidilutive for all periods \r\npresented and are, therefore, excluded from the calculation. For the year ended December 31, \r\n2022, and 2021, share rights to receive 1,492,574 and 1,295,823 ordinary shares, respectively, \r\noptions to purchase 1,450,668 and 1,076,668 ordinary shares, respectively, were not included \r\nin the computation of diluted loss per share since their inclusion would be antidilutive. \r\nThe calculation of the numerator and denominator used in the above stated calculations of loss \r\nper share are stated below. \r\nLoss attributable to ordinary shareholders, basic and diluted \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nLoss for the year attributable to owners of the parent (611,134) (548,280) \r\nLoss attributable to ordinary shareholders, basic and diluted (611,134) (548,280) \r\nWeighted average number of ordinary shares, basic and diluted \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nOutstanding ordinary shares January 1 44,473,452 44,473,452 \r\nEffect of conversion of C to A shares in June 2022 62,202 &#8212; \r\nEffect of conversion of C to A shares in October 2022 1,314 &#8212; \r\nEffect of issue of ordinary shares in December 2022 387,030 &#8212; \r\nWeighted average number of ordinary shares, basic and diluted 44,923,998  44,473,452\r\nNote 18 Contingent Consideration \r\nThe Group acquired Immago Ltd (today Hansa Biopharma Ltd) on July 19, 2016. The agreed \r\nupon purchase price was GBP 170,000. An additional GBP 70,000 milestone payment is to be \r\npaid if a clinical study based on the acquired technology is initiated in Europe or the U.S. The \r\nestimated payment date is July 2024, resulting in a fair value of the contingent liability on \r\nDecember 31, 2022 amounting to SEK 757,000 (2021: SEK 722,000). \r\nThe estimated future cash flow is discounted using a 10% risk adjusted interest rate. See further \r\ndiscussions in Note 20. \r\nNote 19 Capital Management \r\nThe Board of Directors&#8217; policy is to maintain a strong capital base to maintain investor, creditor \r\nand market confidence, and a continuous advancement of Hansa&#8217;s product pipeline and \r\nbusiness in general. Hansa has financed its operations mostly from shareholders equity through \r\nthe issuance of shares. As of December 31, 2022, The Group&#8217;s cash position (including short- \r\nterm investments) amounted to SEK 1,496 million. The adequacy of available funds will depend on many factors, including growth of Idefirix sales, \r\nprogress in research and development programs, the magnitude of those programs, \r\ncommitments to existing and new collaborators, the ability to establish commercial and licensing \r\narrangements, capital expenditures, market developments, and any potential future \r\nacquisitions. Accordingly, Hansa may require additional funds and may attempt to raise \r\nadditional funds through equity or debt financings, collaborative agreements with partners, or \r\nfrom other sources. \r\nThe Board of Directors monitors the share and capital structure to ensure that Hansa&#8217;s capital \r\nresources support the strategic goals. Neither the Company nor any of its subsidiaries are \r\nsubject to externally imposed capital requirements. Managed capital is all reported equity. \r\nNote 20 Financial Risk and Financial Instruments \r\nThe Group has exposure to the following risks arising from financial instruments: \r\nA. Liquidity risk \r\nB. Market risk \r\nC. Credit risk \r\nRisk management framework \r\nThe Group&#8217;s board of directors has overall responsibility for the establishment and oversight of \r\nthe Group&#8217;s risk management framework. The Group&#8217;s risk management policies are \r\nestablished to identify and analyze the risks faced by the Group, to set appropriate risk limits \r\nand controls and to monitor risks and adherence to limits. Risk management policies and \r\nsystems are reviewed to reflect changes in market conditions and the Group&#8217;s activities. The \r\nGroup, through its training and management standards and procedures, aims to maintain a \r\ndisciplined and constructive control environment in which all employees understand their roles \r\nand obligations. The Group&#8217;s audit committee oversees how management monitors compliance \r\nwith the Group&#8217;s risk management policies and procedures and reviews the adequacy of the \r\nrisk management framework in relation to the risks faced by the Group. The Group&#8217;s audit \r\ncommittee is assisted in its oversight role by corporate finance function. Corporate finance \r\nfunction undertakes both regular and ad hoc reviews of risk management controls and \r\nprocedures, the results of which are reported to the audit committee. \r\nLiquidity Risk \r\nLiquidity risk is the risk that the Group will encounter difficulty in meeting the obligations \r\nassociated with its financial liabilities that are settled by delivering cash or another financial \r\nasset. The Group&#8217;s approach to managing liquidity is to ensure, as far as possible, that it will \r\nhave sufficient liquidity to meet its liabilities when they are due, under both normal and stressed \r\nconditions, without incurring unacceptable losses or risking damage to the Group&#8217;s reputation. \r\nThe Board of Directors is responsible for the long-term financing strategy and for the acquisition \r\nof capital. The management of financial risks in the day-to-day operations is handled by the \r\nCFO and the corporate finance function. \r\nTo secure short-term liquidity, Hansa&#8217;s treasury policy prescribes that an appropriate level of \r\nliquidity in the form of cash and cash equivalents shall be held in an amount sufficient to cover \r\nthe expected Group financial obligations over at least the next nine-month period. This principle \r\nshall be checked and assured every time a new investment decision is taken. On the reporting \r\ndate, this goal was fulfilled. \r\nCash and cash equivalents on December 31, 2022, amounted to SEK 1,496 million. Cash and \r\ncash equivalents on the reporting date consisted of bank deposits. \r\nShort term investments were mainly invested in interest funds and amounted to SEK 238 million \r\nas of December 31, 2021. The Group sold all its investments in interest funds during the year \r\n2022 &#8211; see further information in the Cash Flow Statement. \r\nSet forth below is a term-based analysis of the Group&#8217;s remaining contractual financial liabilities: \r\nAs of December 31, 2022 \r\n(in thousands of SEK) \r\nNominal \r\nAmount 0&#8722;3 months 3&#8722;12 months 1&#8722;5 years 5&#8722;7 years \r\nLong-term loan 1,458,800 820,575 638,225 \r\nContingent consideration 887 &#8212; &#8212; 887 \r\nNon-current leasing \r\nliabilities \r\n22,582 &#8212; &#8212; 22,582 \r\nCurrent leasing liabilities 7,962 1,990 5,971 &#8212; \r\nTrade payables 62,476 62,476 &#8212; &#8212; \r\nAccrued expenses (see \r\nnote 11) \r\n52,099 52,099 &#8212; &#8212; \r\nTotal 1,604,805 116,565 5,971 844,044 638,225 As of December 31, 2021 \r\n(in thousands of SEK) Nominal Amount 0&#8722;3 months 3&#8722;12 month 1&#8722;5 years \r\nContingent consideration 846 &#8212; &#8212; 846 \r\nNon-current leasing liabilities 30,544 &#8212; &#8212; 30,544 \r\nCurrent leasing liabilities 7,929 1,986 5,943 &#8212; \r\nTrade payables 53,360 53,360 &#8212; &#8212; \r\nAccrued expenses (see note 11) 28,041 28,041 &#8212; &#8212; \r\nTotal 120,720 83,387 5,943  31,390\r\nMarket Risk \r\nMarket risk is the risk that changes in market prices, e.g. foreign exchange rates, interest rates \r\nand equity prices will affect the Group&#8217;s income or the value of its holdings of financial \r\ninstruments. The objective of market risk management is to manage and control market risk \r\nexposures within acceptable parameters, while optimizing the return. \r\nCurrency risk \r\nThe Group is exposed to transactional foreign currency risk to the extent that there is a \r\nmismatch between the currencies in which sales, purchases, receivables and borrowings are \r\ndenominated and the respective functional currencies of Group companies. The functional \r\ncurrencies of Group companies are primarily the SEK, GBP and USD. The currencies in which \r\ntransactions are primarily denominated are SEK, EUR, GBP and USD. In 2022, the Company \r\ntook up a long-term loan in the amount of USD 70 million. The Company is exposed to USD \r\ncurrency risk related to such loan as per the contractual repayment dates. Refer to Note 21 for \r\nfurther information on the loan. \r\nTo manage the currency risk exposure, the Group may in its normal course of business, hold \r\nfunds in foreign currency or enter into currency forward contracts or similar instruments to \r\nbenefit from trends in exchange rates on the basis of a sophisticated analysis considering \r\nexchange rate forecasts published by banks or other analysts as well as short and mid-term \r\ncurrency needs of the Group. \r\nAll cash and investments shall only be made and held in Swedish Krona. In case of investments \r\nin funds or the like, an investment can only be made if the currency fluctuation risk is fully \r\nhedged by the fund. \r\nAs an exception to the above, the Group may hold cash in foreign currency in the normal course \r\nof business to pay any trade payables in foreign currencies. Subsidiaries will hold cash in their \r\nlocal currency within their normal course of business. The Group also has minimal amounts in \r\ntrade and other receivables in foreign currencies. \r\nThe Group is exposed to translation risk that arise from consolidation of foreign subsidiaries. \r\nThe Group net assets on December 31, 2022, relating to Hansa Biopharma Inc. amounted to \r\nUSD 574k (full year 2021: USD 210k) and the Group net assets relating to Hansa Biopharma \r\nLtd. amounted to GBP 102k (full year 2021: GBP 50k). \r\nSensitivity analysis \r\nThe Company purchases services mainly in USD, GBP, DKK and EUR. A weakening of the \r\nSwedish krona in relation to these currencies therefore leads to increased costs for the Group, \r\nall else remaining the same. In addition, the Group receives licensing revenue which are paid in \r\nUSD and GBP. A strengthening of the Swedish krona in relation to USD and GBP therefore \r\nleads to reduced revenue for the Group expressed in SEK, all else remaining the same. \r\nA weakening of the SEK in relation to EUR, USD, GBP and DKK by an average of 10% would \r\nhave negatively affected the Group&#8217;s earnings before tax by approximately SEK 14.6 million, \r\nSEK 4.4 million, SEK 2.5 million, and SEK 0.5 million, respectively. This analysis assumes that \r\nall other variables, in particular interest rates, remain constant and ignores any impact of \r\nforecast sales and purchases. \r\nThe Company has taken up a long-term loan in the amount of USD 70 million in 2022. As of \r\nDecember 31, 2022, the carrying amount of such loan is SEK 762.6 million. A strengthening of \r\nthe USD by 10% would have resulted in an increase in long-term liabilities in the amount of \r\napproximately SEK 76.3 million. \r\nThe sensitivity analysis is based on approximated cash flows in foreign currencies. Income and \r\nexpenses of foreign operations are translated into Swedish kronor at an average exchange rate \r\nthat approximates the exchange rates presented at each transaction date. \r\nInterest rate risk \r\nThe interest rate risk consists of the risk that a change in market interest rates will have a \r\nnegative effect on earnings. The Group&#8217;s exposure to interest rate risks is considered to be low \r\nas the Group only has very limited interest-bearing liabilities. There is certain exposure to \r\ninterest rate risks in cash and cash equivalents in the form of bank deposits and holdings of \r\nshort-term interest fund. \r\nThe Group sold all its investments in interest funds during the year &#8211; see further information in \r\nthe Cash Flow Statement. \r\nIn 2022, the Company took up a long-term loan in the amount of USD 70 million. The Company \r\nis not exposed to any material interest rate risk with regard to such loan as the repayment \r\namount is fixed at twice the principal loan amount. Credit riskCredit risk is the risk of financial loss to the Group if a customer or counterparty to a financial \r\ninstrument fails to meet its contractual obligations and arises principally from the Group&#8217;s \r\nreceivables from customers and investments in debt securities. The carrying amounts of \r\nfinancial assets and unbilled revenues represent the maximum credit exposure. \r\nThe Group&#8217;s credit risk is primarily related to bank deposits. However, this risk is considered to \r\nbe low since the bank deposits are held with four Swedish banks with good credit ratings. See \r\nfurther discussions in Note 2. According to the Group&#8217;s treasury policy, The Company may only \r\nhold bank deposits with, or initiate payments through, Swedish and foreign banks under the \r\nsupervision of the Swedish Financial Supervisory Authority or similar foreign agency. \r\nThe Group has risk related to its trade receivables. The Company determined that the country \r\nrisk premium was the appropriate factor to use as the default rate as this factor represents the \r\nexpected losses from default on the sovereign debt. The Company concluded these factors \r\ncould be generalized to its receivables from the Product sold in these geographies due to direct \r\nor indirect involvement of the respective governments. \r\nThe Group has also risk related to other receivables that consist mainly of advance payments to \r\nsuppliers. The credit risk is considered to be low as the Group uses trading history as an \r\nevaluation factor and the amounts outstanding at year end 2022 are immaterial. \r\nThe maximum credit exposure of financial assets amounted to SEK 1,505,412 and SEK \r\n662,473 for the periods ended December 31, 2022, and 2021, respectively. \r\nInvestment policy \r\nThe Group may invest a portion of its funds in bank deposits, bonds, investment funds and the \r\nlike with maturity of more than 35 days, while managing the interest rate risk exposure, credit \r\nrisk exposure as well as the cluster risk. As a general principle, the Group may only invest in \r\ninvestment grade issuers, measured at the day of the investment. \r\nTherefore, the following applies: \r\n1) Minimum credit rating of one of the following rating agencies (or comparable): \r\nS&amp;P Rating Moody&#8217;s rating \r\nUp to one year A-2 P2 \r\nMore than one year A A \r\n2) The maximum amount invested with one counterparty or issuer is limited to 30% of total \r\nfunds at the time a new investment decision is taken. This limit might be increased to up to 50% \r\nupon prior approval by the Audit Committee. \r\n3) The duration management within the portfolio of investments is the responsibility of the CFO. \r\nThe maximum maturity of an individual investment shall not exceed two years. \r\nAt year-end 2021, SEK 198 million of the Group&#8217;s short-term investments were invested in an \r\ninvestment grade fixed income fund denominated in SEK that invests primarily in Swedish \r\ninterest-bearing securities with a remaining duration of maximum 360 days. Another SEK 40 \r\nmillion was invested in a housing bond fund which invests in investment grade assets \r\ndenominated in SEK. The Group sold all its investments in interest funds during the year &#8211; see \r\nfurther information in the Cash Flow Statement. \r\nCarrying amounts of financial assets and financial liabilities \r\nThe table below shows the carrying amounts for financial assets and financial liabilities broken \r\ndown by measurement categories under IFRS 9. \r\nFinancial assets valued \r\nat amortized cost \r\nFinancial assets valued at fair value \r\nthrough the income statement \r\n(in thousands of SEK) 2022 2021 2022 2021 \r\nFinancial assets: \r\nShort term investments &#8212; &#8212; &#8212; 237,619 \r\nTrade receivables 8,360 9,712 &#8212; &#8212; \r\nOther receivables 874 1,419 &#8212; &#8212; \r\nCash and cash equivalents 1,496,179 651,342 &#8212; &#8212; \r\nTotal financial assets 1,505,412 662,473 &#8212; 237,619 \r\nFinancial liabilities valued \r\nat amortized cost \r\nFinancial liabilities valued at fair \r\nvalue through the consolidated \r\nstatement of profit or loss and \r\nother comprehensive income \r\n(in thousands of SEK) 2022 2021 2022 2021 \r\nFinancial liabilities: \r\nLong-term loan 762,601 &#8212; &#8212; &#8212; \r\nContingent consideration &#8212; &#8212; 757 722 \r\nTrade payables 62,476 53,360 &#8212; &#8212; \r\nAccrued expenses (see note 11) 52,099 28,041 &#8212; &#8212; \r\nTotal financial liabilities 877,176 81,401 757 722Levels of financial assets and financial liabilities per valuation hierarchy Management considers the carrying amounts for all financial assets and financial liabilities to be \r\na reasonable approximation of their fair value. \r\nThe table below presents the carrying amount of financial assets and financial liabilities per \r\nvaluation hierarchy in IFRS 13. \r\n(In thousands of SEK) \r\nValuation \r\nHierarchy 2022 2021 \r\nFinancial asset: \r\nHoldings of short-term investments Level 2 &#8212; 237,619 \r\nContingent consideration Level 3 757 722 \r\nThe table below presents a reconciliation between the opening and closing balances for the \r\ncontingent consideration valuated in accordance with Level 3. \r\nAs of December 31, \r\n(In thousands of SEK) 2022 2021 \r\nOpening balance January 1 722 663 \r\nCurrency differences 89 42 \r\nInterest (expense) / income (54) 17 \r\nTotal financial liabilities 757 722 \r\nThe contingent consideration will be at minimum 0 and at maximum GBP 70,000. \r\nThe Group&#8217;s best estimate on December 31, 2022, is that the contingent consideration will be \r\npaid in 2024. The previous estimate made on December 31, 2021, was that the contingent \r\nconsideration would be paid in 2023. The fair value of the contingent consideration is estimated \r\nbased on management assessment when a clinical study utilizing the relevant technology is \r\ninitiated in Europe or the U.S resulting in a milestone payment under the share purchase \r\nagreement. The estimated future cash flow is discounted using a market interest rate. \r\nAs of December 31, 2021, the maturity profile of our investments in interest funds had maturities \r\nof less than one year. The fair value of the securities was based on quotes received from the \r\ncounterparty managing the funds. The Group sold all its investments in interest funds during \r\nthe year 2022 &#8211; see further in the Cash Flow Statement. \r\nNote 21 Long-term loan \r\nOn July 18, 2022, the Company entered into a $70.0 million funding agreement with NovaQuest. \r\nThe funding was accounted for as liability classified debt as the Company has an unavoidable \r\nobligation to settle the funding in cash. The debt is accounted for at amortized cost. \r\nThe net proceeds from the funding were $69.2 million after the deduction of transaction costs. \r\nThe transaction costs were capitalized and offset against the carrying value of the debt and will \r\nbe amortized over the term of the debt. \r\nThe debt is secured by certain of the Company&#8217;s intellectual property and assets. \r\nUnder the terms of the debt, the Company will make quarterly mid-single-digit royalty percentage \r\npayments to NovaQuest on future worldwide annual net sales of imlifidase, commencing upon \r\napproval of imlifidase in the U.S. in kidney transplantation or anti-GBM. In addition, Hansa will \r\nmake certain milestone payments to NovaQuest upon U.S. approval of imlifidase in kidney \r\ntransplantation or anti-GBM. Total payments by Hansa to NovaQuest are capped at $140 \r\nmillion. The agreement also provides for time-based catch-up payments within the payment cap \r\nif specified payment amounts have not been received by NovaQuest by specified dates, with the \r\nlast potential catch-up payment due on December 31, 2028. \r\nThe Company will record the difference between the principal and the total payments as interest \r\nexpense over the forecasted term of the debt by applying the effective-interest-rate method. \r\nBased on the actual repayment pattern, the Company will recalculate the effective interest each \r\nreporting period until the debt is satisfied. \r\nOn 31 December 2022, the loan amounted to SEK 762.6 million, thereof SEK 41.2 million in \r\naccrued interest. \r\nNote 22 Finance Income and Expenses \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nInterest income on bank deposits measured at amortized cost 8,833 67 \r\nNet exchange rate variances 18,415 &#8212; \r\nFinance income 27,248 67 \r\nInterest expense on long-term loan at amortized cost (42,470) &#8212; \r\nInterest expenses, other (1,196) (694) \r\nChanges in the fair value of interest funds during the year (4,973) (525) \r\nFinance costs (48,639) (1,219) \r\nNet finance costs/income (21,391) (1,152)Note 23 Share capital and number of shares \r\nYears Ended December 31, \r\nNumber of shares 2022 2021 \r\nOutstanding as of January 1 44,473,452 44,473,452 \r\nEffect of conversion of C to A in June 114,666 &#8212; \r\nEffect of conversion of C to A shares in October 7,733 &#8212; \r\nEffect of new share issue in December 7,848,111 &#8212; \r\nOutstanding as of December 31 52,443,962 44,473,452 \r\nThe Group&#8217;s shares have a par value of SEK 1. \r\nHolders of ordinary shares are entitled to dividends which are determined after they become \r\nshareholders. Each ordinary share entitles the holder to one vote per share. \r\nNote 24 Share Premium \r\nThe share premium reserve is comprised of the amount received, attributable to shareholders&#8217; \r\nequity, in excess of the nominal amount of the shares issued, reduced by any amount allocated \r\nto external expenses directly attributable to the offerings. The share premium reserve can be \r\ndistributed. \r\nNote 25 Treasury shares included in equity \r\nNumber of Shares Amount, In thousands of SEK \r\n2022 2021 2022 2021 \r\nAs of January 1, 1,861,909 1,421,457 1,862 1,421 \r\nAdditions 850,769 440,452 851 440 \r\nExercise of share rights (122,399) &#8212; (122) &#8212; \r\nAs of December 31, 2,590,279 1,861,909 2,590 1,862 \r\nTreasury shares have a par value of SEK 1. \r\nThe year 2022 additions of Class C shares result from the new issue and subsequent \r\nrepurchase of Class C shares related to the funding of the long-term incentive plan (LTIP) 2022, \r\nas approved at the 2022 AGM. Class C shares correspond to treasury shares held by the \r\nCompany and are reserved to fund the respective LTIP programs. Each Class C share entitles \r\nthe holder to 0.1 vote per share. \r\nNote 26 Reserves \r\nTreasury share reserve \r\nThe treasury share reserve comprises own shares repurchased by the Group. Please refer to \r\nNote 14 related to the Group&#8217;s LTIP programs and respective vesting dates. \r\nTranslation reserve \r\nThe translation reserve comprises all foreign exchange differences arising on translation of \r\nfinancial statements from foreign business prepared in currency other than the reporting \r\ncurrency for the financial statements of the Group. The Group presents their financial \r\nstatements in Swedish Kronor. \r\nNote 27 Royalty Agreements \r\nRoyalty agreement with researchers \r\nThe Company is a party to two separate royalty agreements (the &#8220;Royalty Agreements&#8221;) with \r\ncertain researchers and an affiliated entity (collectively, the &#8220;Counterparties&#8221;) of certain patents \r\nrelated to methods of use of imlifidase. Under each agreement, in consideration of the assignment \r\nof these patents, the Counterparties are entitled to receive a low single-digit royalty percentage \r\nof the Company&#8217;s net income related to the utilization of the patents, in each case as defined in \r\nthe applicable agreement, and a low-teens percentage of any once-only considerations, \r\nmilestones, royalties, license income, consideration for transfer of patents, patent applications \r\nand other intellectual property rights and other payments received by the Company related to the \r\nexploitation of rights related to these patents, in each case subject to certain specified reductions. \r\nOn April 20, 2021, the Company received a request for arbitration from the Counterparties \r\nclaiming they were entitled to 10% of the upfront payment the Company received under its 2020 \r\ncollaboration agreement with Sarepta as well as entitlement to participate in payments the \r\nCompany may receive under the Sarepta agreement in the future. \r\nIn the third quarter 2022, the Company and the Counterparties settled the dispute by entering into \r\nan amendment and settlement agreement (the &#8220;Agreement&#8221;), which covers all compensation \r\nobligations under the Royalty Agreements.  Under the Agreement, the Royalty Agreements will \r\nbe treated as one agreement with respect to the Researchers' right to consideration entitling the \r\nCounterparties to low single-digit royalties on net sales as well as mid-single-digit participation in \r\nany once-only consideration received by Hansa in respect of imlifidase. The settlement also \r\nincludes a one-off settlement payment. Note 28 Other operating income and expenses \r\nYears Ended December 31, \r\n2022 2021 \r\nTotal other operating income &#8212; &#8212; \r\nOther operating expenses \r\nForeign currency losses on receivables/liabilities from operating \r\nactivities (12,469) (7,398) \r\nOther operating expenses (8,063) &#8212; \r\nTotal other operating expenses (20,532)  (7,398)\r\nNote 29 Operating expenses by nature \r\nThe table below presents an analysis of operating expenses presented in profit or loss in \r\nclassification based on the nature of the expenses: \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nPersonnel expenses (315,924) (266,611) \r\nThird party expenses (358,222) (283,387) \r\nDepreciation and amortization expenses (9,959) (8,606) \r\nOther operating expenses (20,532) (6,827) \r\nTotal operating expenses (704,637) (565,431) \r\nFollowing table summarizes amortization and depreciation expenses from note 4, 5 and 6 \r\nabove presented by function in profit or loss and other comprehensive income (loss). \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nResearch and development expenses 7,027 5,639 \r\nSales, general and administrative expenses 2,932 2,967 \r\nTotal 9,959 8,606 \r\nNote 30 Supporting information to the cash flows \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nCash and cash equivalents consist of: \r\nCash and bank deposits 1,496,179 651,342 \r\nTotal according to statement of financial position 1,496,179 651,342 \r\nTotal according to cash flow analysis 1,496,179 651,342 \r\nReconciliation of liabilities arising from financing activities: \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nOpening balance January 1, 35,379 5,045 \r\nTermination of lease agreement (25) (308) \r\nNew lease agreements &#8212; 35,499 \r\nPayment of lease liabilities (6,863) (4,857) \r\nNet present value of long-term loan 687,221 &#8212; \r\nAccrued interest on long-term loan 41,152 &#8212; \r\nUnrealized currency differences on long-term loan 34,228 &#8212; \r\nClosing balance December 31, 791,092  35,379\r\nNote 31 Subsequent events \r\nThere are no subsequent events to report. Note 14 Employees and accrued personnel cost \r\n2022 Guidelines for remuneration to senior executives \r\nThe 2022 guidelines proposed by the Board of Directors entail that executive management is \r\noffered a remuneration which is competitive and on market terms. The level of the \r\nremuneration for the individual manager shall be based on factors such as position, expertise, \r\nexperience, and performance. The remuneration consists of a fixed salary and pension benefits \r\nand, in addition, may consist of variable salary, share based long-term incentive programs, \r\nseverance remuneration and non-monetary benefits. The variable salary is based on the \r\nachievement of quantitative and qualitative targets and should not exceed 75 percent of the \r\nannual fixed salary. Salary during the notice of termination period and severance remuneration \r\ncan be a maximum amount of 18 months salaries. \r\nPlease refer to the Governance section in this Annual Report 2022 or visit the Company&#8217;s \r\nwebsite at www.hansabiopharma.com for information on the 2022 guidelines for remuneration \r\nto senior executives. \r\nTotal personnel expenses recorded in the Parent Company are presented below in different \r\nbreak-downs: \r\nParent Company 2022 \r\nTotal personnel expenses recorded in the Parent Company broken down to senior \r\nmanagement and other employees \r\n(in thousands of SEK) \r\nSenior \r\nmanagement Other employees \r\nTotal \r\nParent Company \r\nSalaries, bonuses and other benefits 36,927 129,428 166,354 \r\nSocial security contribution 11,423 23,008 34,431 \r\nPension cost, contribution plan 2,812 20,550 23,362 \r\nShare-based compensation 32,844 20,121 52,965 \r\nTotal personnel expenses 84,005 193,107 277,113 Personnel expenses recorded in the Parent Company related to Senior management \r\n(in thousands of SEK) \r\nBase \r\nsalary / \r\nDirectors&#8217; \r\nfees \r\nVariable \r\ncompen- \r\nsation \r\nTotal \r\nSalaries, \r\nbonuses \r\nand other \r\nbenefits \r\nSocial \r\nsecurity \r\ncontri- \r\nbutions \r\nPension \r\ncost \r\nShare- \r\nbased \r\ncompen- \r\nsation Total \r\nChairman of the Board \r\nof Directors \r\nUlf Wiinberg** \r\n471 &#8211; 471 148 &#8211; &#8211; 619 \r\nChairman of the Board \r\nof Directors \r\nPeter Nicklin*** \r\n479 &#8211; 479 46 &#8211; &#8211; 525 \r\nDirector \r\nAnders Gersel \r\nPedersen \r\n350 &#8211; 350 36 &#8211; &#8211; 386 \r\nDirector \r\nAndreas Eggert \r\n440 &#8211; 440 138 &#8211; &#8211; 578 \r\nDirector \r\nEva Nilsag&#229;rd \r\n450 &#8211; 450 141 &#8211; &#8211; 591 \r\nDirector \r\nHilary Malone \r\n531 &#8211; 531 167 &#8211; &#8211; 698 \r\nDirector \r\nMats Blom \r\n375 &#8211; 375 118 &#8211; &#8211; 493 \r\nCEO \r\nS&#248;ren Tulstrup \r\n*7,586 4,024 11,610 3,648 &#8211; 11,223 26,481 \r\nOther senior executives \r\n(5 persons) \r\n15,435 6,786 22,221 6,982 2,812 21,622 53,635 \r\nTotal 26,117 10,810 36,927 11,423 2,812 32,844 84,005 \r\n* Includes 1,694 KSEK, representing 30% of base salary, intended for own pension contribution \r\n** Chairman of the board until AGM 2022. \r\n***  Chairman of the board from AGM 2022.  \r\nParent Company 2021 \r\nTotal personnel expenses recorded in Parent Company broken down to senior \r\nmanagement and other employees \r\n(in thousands of SEK) \r\nSenior \r\nmanagement Other employees \r\nTotal \r\nParent Company \r\nSalaries, bonuses, and other benefits 32,282 103,374 135,656 \r\nSocial security contribution 10,040 19,302 29,342 \r\nPension cost, contribution plan 2 723 14,835 17,557 \r\nShare-based compensation 33,860 22,764 56,624 \r\nTotal personnel expenses 78,905 160,274 239,180 \r\nPersonnel expenses recorded in the Parent Company related to Senior management \r\n(in thousands of \r\nSEK) \r\nBase \r\nsalary / \r\nDirectors&#8217; \r\nfees \r\nVariable \r\ncompen- \r\nsation \r\nOther \r\nbenefits \r\nTotal \r\nSalaries, \r\nbonuses \r\nand other \r\nbenefits \r\nSocial \r\nsecurity \r\ncontri- \r\nbutions \r\nPension \r\ncost \r\nShare- \r\nbased \r\ncompen- \r\nsation \r\n(in \r\nthousand \r\ns of SEK) \r\nChairman of the \r\nBoard of Directors \r\nUlf Wiinberg \r\n946 &#8211; &#8211; 946 297 &#8211; &#8211; 1,243 \r\nDirector \r\nBirgit Stattin- \r\nNorinder** \r\n134 &#8211; &#8211; 134 14 &#8211; &#8211; 147 \r\nDirector \r\nAnders Gersel- \r\nPedersen \r\n352 &#8211; &#8211; 352 36 &#8211; &#8211; 388 \r\nDirector \r\nAndreas Eggert \r\n415 &#8211; &#8211; 415 130 &#8211; &#8211; 545 \r\nDirector Eva \r\nNilsag&#229;rd \r\n425 &#8211; &#8211; 425 133 &#8211; &#8211; 558 \r\nDirector \r\nHilary Malone*** \r\n319 &#8211; &#8211; 319 100 &#8211; &#8211; 420 \r\nDirector \r\nMats Blom \r\n364 &#8211; &#8211; 364 114 &#8211; &#8211; 478 \r\nCEO \r\nS&#248;ren Tulstrup \r\n*7,010 3,444 128 10,582 3,325 &#8211; 12,049 25,955 \r\nOther senior \r\nexecutives \r\n(5 persons)** \r\n12,877 5,579 291 18,746 5,890 2,723 21,811 49,171 \r\nTotal 22,840 9,023 419 32,282 10,040 2,723 33,860 78,905 \r\n* Includes 1,619 KSEK, representing 30% of base salary, intended for own pension contribution \r\n** Board member until AGM 2021. \r\n***  Board member from AGM 2021. Average number of employees \r\n2022 2021 \r\nNumber \r\nOf which \r\nare men Number \r\nOf which \r\nare men \r\nTotal Group 144 37% 116 40% \r\nParent Company \r\nSweden 135 37% 109 40% \r\nSubsidiaries \r\nUK 4 75% 4 75% \r\nUS 5 25% 3 25% \r\nTotal subsidiaries 9 &#8211; 7 &#8211; \r\nBreakdown of senior management according to gender \r\nShare of women \r\n2022 2021 \r\nTotal Group \r\nBoard of Directors 33% 33% \r\nOther senior management 17% 17% \r\nParent Company \r\nBoard of Directors 33% 33% \r\nOther senior management 17% 17%  \r\nBenefits to senior executives \r\nSenior management of the Company includes the Board of Directors, the CEO and the other \r\nmembers of the executive management. \r\nRemuneration to Board of Directors \r\nFees are payable to the chairman of the Board of Directors and other directors pursuant to a \r\nresolution adopted by the annual general meeting (&#8220;AGM&#8221;). The 2022 AGM resolved that fees \r\npaid to directors for work during 2022 will be SEK 900,000 to the chair of the Board of Directors \r\nand SEK 300,000 to each of the other directors, SEK 150,000 to the chair and SEK 75,000 \r\neach to the other directors who are members of the Audit Committee, SEK 40,000 to the chair \r\nand SEK 25,000 each to other directors who are members of the Remuneration Committee, \r\nUSD 20,000 to the chair of the U.S. committee and SEK 25,000 each to directors who are \r\nmembers of the Scientific Committee. There are no contracts regarding severance \r\ncompensation or other benefits for the chair of the Board of Directors or other directors. \r\nSalaries and other remuneration to the CEO \r\nSalaries, bonuses, and other benefits \r\nPlease refer to the Company&#8217;s Remuneration Report elsewhere in this 2022 Annual Report for \r\nfurther information on the CEOs compensation. \r\nNotice of termination periods and severance compensation \r\nIf notice of termination of employment is made by the Company, the notice period may not \r\nexceed six months. Fixed cash salary during the period of notice and any severance pay may \r\ntogether not exceed an amount equivalent to the fixed cash salary for 18 months for the CEO, \r\ni.e., 6 plus 12 months. \r\nPension contributions \r\nThe CEO is responsible for his pension provision, thus the Company has no direct pension cost \r\nfor the CEO. \r\nSalaries and other remuneration to other members of executive management \r\nSalaries and other remuneration to the other members of the executive management is \r\ndetermined by the CEO and approved by the chair of the Board of Directors. In 2022, executive \r\nmanagement comprised of six people including the CEO. \r\nNotice period of termination and severance payments \r\nFixed cash salary during the period of notice and any severance pay may together not exceed \r\nan amount equivalent to the fixed cash salary for 6 months, and in exceptional cases, 12 \r\nmonths for the other members of the executive management. When termination is made by the \r\nexecutive officer the period of notice may not exceed six months. \r\nDuring their notice period, other members of executive management are entitled to full salary \r\nand other employment benefits. \r\nPension contributions \r\nHansa provides pension contributions and benefits in accordance with local statutory \r\nrequirements and in accordance with the Company&#8217;s insurance and pension policy. \r\nShare-based compensation \r\nThe share-based compensation recorded and presented by the Parent Company amounted to \r\nSEK 52,965 and SEK 56,624k for the years ended on December 31, 2022 and 2021, \r\nrespectively. The total amount of LTIP expenses pushed down from the parent company to the \r\nsubsidiaries at year end 2022, that relates to the years 2018 to 2021, amounted to SEK \r\n11,399k, resulting in net amount of SEK 41,566k as presented in the Parent Company&#180;s Cash \r\nFlow Statement for the year ended December 31, 2022. Please refer to Note 14 for the Group \r\nfor further information on Hansa&#8217;s LTIP programs. Note 30 Audit fees &#8211; Group and Parent Company \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nGroup \r\nKPMG AB: \r\nAuditing services 2,565 9,892* \r\nOther services closely related to audit services 385 300 \r\nTax services &#8212; &#8212; \r\nWilkins Kennedy Audit Services \r\nAuditing services 110 68 \r\nParent Company \r\nKPMG AB: \r\nAuditing services 2,565 9,842 \r\nOther services closely related to audit services 385 300 \r\nTax services &#8212; &#8212; \r\n*Thereof PCAOB Audit services related to the preparation for Dual listing on NASDAQ, USA, in 2021 \r\namounts to 8,832. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of notes and other explanatory information [text block]","Documentation":"The disclosure of notes and other explanatory information as part of a complete set of financial statements.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642591,"FileId":7831,"Sequence":260,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9","ElementIdentifier":"a0a5d66a-fa6c-47ed-a1cc-38bfc8a775db","ElementType":2,"TagName":"ifrs-full:DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Hansa Biopharma AB (Hansa, the Company; and together with its subsidiaries, the Group) is a commercial-stage biopharmaceutical company pioneering the development and \r\ncommercialization of innovative, life-saving and life-altering treatments for patients with rare \r\nimmunological conditions.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of nature of entity's operations and principal activities","Documentation":"The description of the nature of the entity's operations and principal activities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642592,"FileId":7831,"Sequence":261,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9","ElementIdentifier":"26e0a63c-5242-44cd-b3e8-8cd741c02862","ElementType":2,"TagName":"ifrs-full:NameOfReportingEntityOrOtherMeansOfIdentification","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Hansa Biopharma AB","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Name of reporting entity or other means of identification","Documentation":"The name of the reporting entity or other means of identification.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642612,"FileId":7831,"Sequence":262,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9","ElementIdentifier":"bd988800-ade4-443d-abff-2c23758335be","ElementType":2,"TagName":"ifrs-full:LegalFormOfEntity","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"public limited liability company","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Legal form of entity","Documentation":"Information about the legal structure under which the entity operates.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642611,"FileId":7831,"Sequence":263,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9","ElementIdentifier":"88a0828d-9b5b-4f17-81a3-ea42308a2d78","ElementType":2,"TagName":"ifrs-full:AddressOfRegisteredOfficeOfEntity","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Lund, Sweden","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Address of entity's registered office","Documentation":"The address at which the entity's office is registered.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642610,"FileId":7831,"Sequence":264,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9","ElementIdentifier":"07db90ec-40e6-46e8-a29d-382dc7b34874","ElementType":2,"TagName":"ifrs-full:CountryOfIncorporation","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Sweden","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Country of incorporation","Documentation":"The country in which the entity is incorporated.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642609,"FileId":7831,"Sequence":265,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9","ElementIdentifier":"5ee9bac8-970a-4064-b5e6-263a3ae7eaee","ElementType":2,"TagName":"ifrs-full:DomicileOfEntity","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Sweden","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Domicile of entity","Documentation":"The country of domicile of the entity. [Refer: Country of domicile [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642608,"FileId":7831,"Sequence":266,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9","ElementIdentifier":"dece4406-4eab-428c-a6e8-cd29d8dce452","ElementType":2,"TagName":"ifrs-full:DisclosureOfSummaryOfSignificantAccountingPoliciesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 2 Basis of Presentation and Summary of Significant Accounting Policies \r\nBasis of accounting \r\nThe consolidated financial statements are reported in Swedish Krona, Hansa Biopharma AB&#8217;s \r\nfunctional currency, and prepared in accordance with International Financial Reporting \r\nStandards (IFRS), issued by the International Accounting Standards Board (IASB) and the \r\ninterpretations issued by the IASB&#8217;s International Financial Reporting Interpretation Committee.  \r\nThe consolidated financial statements provide a general overview of the Group&#8217;s activities and \r\nthe results achieved. They present fairly the entity&#8217;s financial position, its financial performance, \r\nand cash flows, on a going concern basis. The accounting policies described in Note 2 and 3 of \r\nthe Group&#8217;s consolidated financial statements have been applied in preparing the consolidated \r\nfinancial statements as of and for the year ended December 31, 2022, and for the comparative \r\ninformation as of and for the year ended December 31, 2021.The significant accounting policies \r\napplied in the preparation of the above consolidated financial statements are set out below. \r\nThe preparation of consolidated financial statements requires management to exercise its \r\njudgment in the process of applying the Group&#8217;s accounting policies. The areas involving a \r\nhigher degree of judgment or complexity, or areas where assumptions and estimates that are \r\nsignificant to the consolidated financial statements are disclosed in Note 3. \r\nThese consolidated financial statements of the Group as of December 31, 2022, and for the \r\nyear then ended were approved by the Board of Directors of the Group and authorized for issue \r\non March 30, 2023. \r\nChanges in Accounting Policies and Disclosures \r\nSeveral amendments to and interpretations of IFRS applied for the first time in 2022, which has \r\nnot had an impact on the accounting policies applied by the Group. Thus, the accounting \r\npolicies applied when preparing these consolidated financial statements have been applied \r\nconsistently to all the periods presented, unless otherwise stated. \r\nBasis of Consolidation \r\nThe consolidated financial statements include Hansa Biopharma AB, Lund Sweden, and \r\nsubsidiaries over which the Group has control. Control is achieved when the Group: \r\n&gt; has power over the investee; \r\n&gt; is exposed, or has rights, to variable returns from its involvement with the investee; and \r\n&gt; has the ability to use its power to affect its returns. \r\nThe Group reassesses whether it controls an investee if facts and circumstances indicate that \r\nthere are changes to one or more of the three elements of control listed above. If the Group \r\ndoes not have a majority of the voting rights of an investee, it has power over the investee when \r\nthe voting rights are sufficient to give it the practical ability to direct the relevant activities of the \r\ninvestee unilaterally. \r\nThe Group considers all relevant facts and circumstances in assessing whether the Group&#8217;s \r\nvoting rights in an investee are sufficient to give it power, including: \r\n&gt; the size of the Group&#8217;s holding of voting rights relative to the size and dispersion of holdings \r\nof the other vote holders; \r\n&gt; potential voting rights held by the Group; \r\n&gt; rights arising from other contractual arrangements; and \r\n&gt; any additional facts and circumstances that indicate that the Group has, or does not have, the \r\ncurrent ability to direct the relevant activities at the time that decisions need to be made, \r\nincluding voting patterns at previous shareholders&#8217; meetings. \r\nConsolidation of a subsidiary begins when the Group obtains control over the subsidiary and \r\nceases when the Group loses control of the subsidiary. Specifically, income and expenses of a \r\nsubsidiary acquired or disposed of during the year are included in the consolidated statement of \r\nprofit or loss and other comprehensive income (loss) from the date the Group gains control until \r\nthe date when the Group ceases to control the subsidiary. \r\nAdjustments are made to the financial statements of subsidiaries to bring their accounting \r\npolicies in line with the Group&#8217;s accounting policies. All intra group transactions, balances, \r\nincome and expenses are eliminated in full in consolidation. Unrealized losses are also \r\neliminated unless the transaction provides evidence of an impairment of the transferred asset.  \r\n\r\nThe Group holds investments either directly or indirectly in the following subsidiaries:  \r\nShare ownership percentage (%) \r\nSubsidiaries \r\nRegistered \r\noffice/Country 2022 2021 \r\nCartela R&amp;D AB Lund, Sweden 100 100 \r\nHansa Biopharma Ltd Cheltenham, \r\nUK \r\n100 100 \r\nHansa Biopharma Inc Delaware, \r\nUSA \r\n100 100 \r\n*Hansa Biopharma Australia Pty Ltd Australia 100  100\r\n*Dormant company \r\nBecause the functional currency for Hansa Biopharma Ltd and Hansa Biopharma Inc is the UK \r\nPound Sterling and the United States Dollar, respectively, the Group has foreign currency \r\nexposure. See &#8220;Functional and Presentation Currency&#8221; section that follows and Note 20, \r\n&#8220;Financial Risk and Financial Instruments.&#8221; \r\nFunctional and Presentation Currency \r\nThe presentation currency of the consolidated financial statements is Swedish Kronor (SEK). \r\nThe functional currency, which is the currency that best reflects the economic environment in \r\nwhich the subsidiaries of the Group operate and conduct their transactions, is separately \r\ndetermined for the Group&#8217;s subsidiaries and is used to measure their financial position and \r\noperating results. \r\nTransactions in currencies other than the functional currency of a subsidiary are recorded at the \r\nrates of exchange prevailing at the date of the transaction. Monetary assets and liabilities in \r\ncurrencies other than the functional currency are remeasured at the rates of exchange \r\nprevailing on the date of the consolidated statements of financial position and the related \r\ntranslation gains and losses are recognized in the Consolidated statement of profit or loss and \r\nother comprehensive income. Non-monetary items that are carried at cost are translated using \r\nthe rate of exchange prevailing at the date of the transaction. Non-monetary items that are \r\ncarried at fair value are translated using the exchange rate prevailing when the fair value was \r\ndetermined, and the related translation gains and losses are reported in the Consolidated \r\nstatement of profit or loss and other comprehensive income. \r\nUpon consolidation, the results of operations of subsidiaries whose functional currency is other \r\nthan the SEK are translated into SEK at the monthly average exchange rates and assets and \r\nliabilities are translated at the year-end exchange rates. Translation adjustments are recognized \r\ndirectly in other comprehensive income. \r\nMeasurement of Fair Values \r\nThe Group&#8217;s accounting policies and disclosures require the measurement of fair values, for \r\nboth financial and non-financial assets and liabilities. The Group has an established control \r\nframework with respect to the measurement of fair values. This includes the use of valuation \r\nspecialists that have responsibility for overseeing certain significant fair value measurements, \r\nincluding Level 3 fair values, and reports directly to the chief financial officer. If third party \r\ninformation, such as broker quotes or pricing services, is used to measure fair values, then the \r\nGroup assesses the evidence obtained from the valuation specialists to support the conclusion \r\nthat these valuations meet the requirements of the Standards, including the level in the fair \r\nvalue hierarchy in which the valuations should be classified. Significant valuation issues are \r\nreported to the Group&#8217;s audit committee. \r\nWhen measuring the fair value of an asset or a liability, the Group uses observable market data \r\nas far as possible. Fair values are categorized into different levels in a fair value hierarchy \r\nbased on the inputs used in the valuation techniques as follows: \r\n&gt; Level 1: quoted prices (unadjusted) in active markets for identical assets or liabilities. \r\n&gt; Level 2: inputs other than quoted prices included in Level 1 that are observable for the asset \r\nor liability, either directly (i.e., as prices) or indirectly (i.e., derived from prices). \r\n&gt; Level 3: inputs for the asset or liability that are not based on observable market data \r\n(unobservable inputs). \r\nIf the inputs used to measure the fair value of an asset or a liability fall into different levels of the \r\nfair value hierarchy, then the fair value measurement is categorized in its entirety in the same \r\nlevel of the fair value hierarchy as the lowest level input that is significant to the entire \r\nmeasurement. The Group recognizes transfers between levels of the fair value hierarchy at the \r\nend of the reporting period during which the change has occurred. \r\nRevenue \r\nRevenue is recognized when control of the promised goods or services is transferred to the \r\ncustomer, and in an amount that reflects the consideration the Group received or expects to \r\nreceive in exchange for those goods or services. \r\nThe Group derives its revenues primarily from products and contractual arrangements. The \r\nGroup determines revenue recognition through the following steps: \r\n&gt; (1) Identification of the contract, or contracts, with a customer. \r\n&gt; (2) Identification of the performance obligation(s) in the contract. \r\n&gt; (3) Determination of the transaction price. \r\n&gt; (4) Allocation of the transaction price to the performance obligations in the contract. \r\n&gt; (5) Recognition of revenue when, or as, the Group satisfies a performance obligation.  \r\n\r\nProduct revenue \r\nProduct revenue is recognized net of any sales and value added taxes and sales deductions \r\nbased on contractually agreed payment terms. The control passes according to contractual \r\nterms. The amount of consideration the Group receives and revenue the Group recognizes \r\nvaries based on actual or estimated rebates, discounts, returns and charge backs. The Group \r\nadjusts its estimate of revenue at the earlier of when the most likely amount of consideration the \r\nGroup expects to receive changes or when the consideration becomes fixed. \r\nSales returns are generally estimated and recorded based on historical sales and returns \r\ninformation. Sales returns allowances represent a reserve for products that may be returned \r\ndue to expiration, damage or potential other reasons typically calculated as a percent of gross \r\nrevenues. For the periods ended December 31, 2022, and 2021, there have been no sales \r\nreturns. \r\nContract revenue \r\nThe Group accounts for a contract when it has approval and commitment from both parties, the \r\nrights of the parties are identified, payment terms are identified, the contract has commercial \r\nsubstance and collectability of consideration is probable. \r\nIn determining the proper revenue recognition method, the performance obligation(s) under an \r\nagreement is reviewed and evaluated if such obligation(s) be accounted for as more than one \r\nperformance obligation. \r\nFor certain contracts, a service of combining a license and related tasks into a single \r\nperformance obligation may be provided. In such a case, the entire contract is accounted for as \r\none performance obligation. Certain contracts may promise to provide a distinct license with \r\ndistinct services within a contract, in which case the contract is separated into more than one \r\nperformance obligation. If a contract is separated into more than one performance obligation, \r\nthe total transaction price is allocated to each performance obligation in an amount based on \r\nthe estimated relative standalone selling price of the promised goods or services underlying \r\neach performance obligation. Non-refundable upfront payments and substantive development \r\nand sales milestone payments are typically recognized over the remaining performance period \r\nbased on the progress towards satisfying its identified performance obligation. \r\nGrant revenue \r\nBecause the Group carries out extensive research and development activities, the Group may \r\nbenefit from various grants, research and development incentives and payroll tax rebates from \r\ncertain governmental agencies. These grants, research and development incentives and payroll \r\ntax rebates generally aim to partly reimburse approved expenditures incurred in research and \r\ndevelopment efforts of the Group and are credited to the consolidated statement of profit or loss \r\nand other comprehensive income, under the line other operating income, when the relevant \r\nexpenditure has been incurred and there is reasonable assurance that the grants or research \r\nand development incentives are receivable. \r\nResearch and Development Expenses \r\nResearch cost are expensed as incurred. Development cost are typically expensed as incurred, \r\nunless capitalized. Costs of research and development equipment with alternative future uses \r\nare capitalized and depreciated over the equipment&#8217;s useful life. \r\nResearch and development expenses primarily include costs for third-party services in \r\nconnection with clinical studies and research projects, costs for producing substance to be used \r\nin such studies and projects, personnel expenses for the Group&#8217;s research and development \r\ngroups, and depreciation of equipment used for research and development activities. In \r\naddition, research and development expenses contain expenses for producing pharmaceutical \r\nmaterial which may be used for commercialization subject to regulatory approval, and which \r\nwas produced prior to obtaining regulatory approval or evidence being available that regulatory \r\napproval can reasonably be expected. \r\nExpenditures on research activities are recognized in the consolidated statement of profit or \r\nloss and other comprehensive income (loss) as incurred. Development expenditures are \r\ncapitalized only if the expenditure can be measured reliably, the product or process is \r\ntechnically and commercially feasible, future economic benefits are probable, and the Group \r\nintends to and has sufficient resources to complete development and to use or sell the asset. \r\nOtherwise, it is recognized in the consolidated statement of profit or loss and other \r\ncomprehensive income (loss) as incurred. Subsequent to initial recognition, development \r\nexpenditure is measured at cost less accumulated amortization and any accumulated \r\nimpairment losses. \r\nGenerally, expenditures are not capitalized before the pharmaceutical authorities have given \r\napproval due to the level of uncertainty associated with the approval process. In 2022, Hansa \r\nstarted to capitalize certain development cost related to fulfilment of the EMA post-approval \r\ncommitments related to its conditional approval of imlifidase in the EU as it met all requirements \r\nunder IAS 38. Please refer to Note 4 for further information. \r\nSales, General and Administrative Expenses \r\nSales, general and administrative expenses consist primarily of (i) personnel expenses relating \r\nto salaries and related costs for personnel, including share-based compensation, of our \r\nemployees in executive, commercial, finance, business development and support functions, (ii) \r\nfees relating to professional services for commercialization, marketing, selling, medical affairs, \r\ncorporate management, legal, finance, human resources, business development, licensing and \r\ninvestor relations, (iii) board expenses consisting of directors&#8217; fees and travel expenses for \r\nboard members, and (iv) other general and administrative expenses, including leasing costs, \r\noffice expenses and travel costs. General and administrative expenses are recognized in the \r\nconsolidated statement of profit or loss and other comprehensive income (loss) in the period to \r\nwhich they relate.  \r\n\r\nPensions \r\nPlans where the Group&#8217;s obligations are limited to the contribution the Group has undertaken to \r\npay are classified as &#8220;defined contribution pension plans&#8221;. In such cases, the size of the \r\nemployee&#8217;s pension is dependent upon the contribution which the Group pays into the plan, or \r\nto an insurance company, and the return on capital which the contribution generates. \r\nConsequently, it is the employee who bears the actuarial risk (that the benefits will be lower \r\nthan anticipated) and the investment risk (that the invested assets will be insufficient to generate \r\nthe anticipated benefits). The Group&#8217;s obligations regarding fees paid to defined contribution \r\nplans are reported as an expense in the consolidated statement of profit or loss and other \r\ncomprehensive income (loss) when they are earned by the employees performing their services \r\non behalf of the Group during a given period of time. \r\nEmployee Benefits \r\nShort-term employee benefits \r\nShort-term employee benefits are expensed as the related service is provided. A liability is \r\nrecognized for the amount expected to be paid if the Group has a present legal or constructive \r\nobligation to pay this amount as a result of past service provided by the employee and the \r\nobligation can be estimated reliably. \r\nLong-term employee benefits \r\nThe Group&#8217;s net obligation in respect of long-term employee benefits is the amount of future \r\nbenefit that employees have earned in return for their service in the current and prior periods. \r\nThat benefit is discounted to determine its present value. Remeasurements are recognized in \r\nprofit or loss in the period in which they arise. \r\nTermination benefits \r\nTermination benefits are expensed at the earlier of when the Group can no longer withdraw the \r\noffer of those benefits and when the Group recognizes costs for a restructuring. If benefits are \r\nnot expected to be settled wholly within 12 months of the reporting date, then they are \r\ndiscounted. \r\nShare-based Payments \r\nThe Company has provided share-based payment awards through long-term incentive \r\nprograms for certain employees whereby participants are provided ordinary shares of the \r\nCompany after the vesting period, either through share rights or employee stock options, if \r\ncertain performance conditions are met. Vesting is based on market or non-market performance \r\nconditions. For awards that vest upon achieving a market condition, the Company&#8217;s share price \r\nmust achieve certain thresholds. For awards that vest upon achieving non-market conditions, \r\nthe Company must achieve certain pre-defined business objectives related to financial, portfolio \r\nand/or commercial targets. \r\nThe awards are classified as equity-settled share-based payments since the only settlement \r\nalternative is in shares of the Company. For equity-settled programs, the fair value of the \r\ninstruments is determined at the grant date and is subsequently not remeasured. The share- \r\nbased payment expense is recognized over the vesting period with a corresponding entry \r\nrecognized directly in equity. Social security costs relating to share- based compensation are \r\nrecognized as expense in profit or loss over the same vesting period, based on the fair value of \r\nthe equity instruments at each reporting date. An amount corresponding to the recognized \r\nexpense is recognized as a liability. \r\nThe fair value of the options is calculated based on the Black-Scholes model and expensed \r\nover the vesting period. During the vesting period, the expense is adjusted in order to account \r\nfor the number of options that are expected to vest. \r\nFor share rights that vest upon achieving market conditions, the Company determines the value \r\nof the awards using the Monte Carlo model at the grant date because different share price \r\nrealizations result in different values for the award. The effect of a market condition is reflected \r\nin the grant-date fair value of an award. The share-based payment expense is recognized over \r\nthe three-year vesting period provided that the service is rendered, regardless of when, if ever, \r\nthe market condition is satisfied. \r\nFor share rights with a non-market performance condition, the Company valued the awards \r\nusing Black-Scholes model. The exercise price of the share rights has been set using a volume \r\nweighted average of the Company&#8217;s share price over a certain period before grant date. For the \r\nestimation of expected future volatility, the average 90-day historical volatility was estimated for \r\nthe Company and, as a benchmark, for several peers over periods between one and seven \r\nyears. The yield curve for Swedish government bonds is used to determine the risk-free interest \r\nrate. After the value of the awards were determined, the Company estimated the probability of \r\nachieving the non-market conditions and adjusted the number of awards that would expense \r\nover the amortization period. The Company re-evaluates the probability of achieving the non- \r\nmarket conditions each reporting period. \r\nOther operating income and expenses \r\nOther income \r\nOther income includes foreign currency gain on receivables from operating activities and gain \r\nfrom disposal of assets. \r\nOther expenses \r\nOther expenses include foreign currency loss on receivables from operating activities and loss \r\nfrom disposals of assets. \r\nFinance Income and Expenses \r\nFinance income and expenses comprise of interest income and expenses, amortization of \r\nsecurities, and realized and unrealized exchange rate gains and losses on transactions \r\ndenominated in foreign currencies.  \r\n\r\nInterest income or expense is recognized using the effective interest method. The effective \r\ninterest rate is the rate that exactly discounts estimated future cash payments or receipts \r\nthrough the expected life of the financial instrument to the gross carrying amount of the financial \r\nasset; or the amortized cost of the financial liability. In calculating interest income and expense, \r\nthe effective interest rate is applied to the gross carrying amount of the asset (when the asset is \r\nnot credit-impaired) or to the amortized cost of the liability. However, for financial assets that \r\nhave become credit-impaired subsequent to initial recognition, interest income is calculated by \r\napplying the effective interest rate to the amortized cost of the financial asset. If the asset is no \r\nlonger credit-impaired, then the calculation of interest income reverts to the gross basis. \r\nIncome Taxes \r\nTax for the year, which consists of current tax for the year and changes in deferred tax, is \r\nrecognized in the Consolidated statement of profit or loss and other comprehensive income \r\n(loss) by the portion attributable to the profit or loss for the year and recognized directly in equity \r\nor other comprehensive income by the portion attributable to entries directly in equity and in \r\nother comprehensive income. The current tax payable or receivable is recognized in the \r\nconsolidated statement of financial position, stated as tax computed on this year&#8217;s taxable \r\nincome, adjusted for prepaid tax. \r\nWhen computing the current tax for the year, the tax rates and tax rules enacted or substantially \r\nenacted at the reporting date are used. Current tax payable is based on taxable profit or loss for \r\nthe year. Taxable profit or loss differs from net profit or loss as reported in the consolidated \r\nstatement of profit or loss and other comprehensive income (loss) because it excludes items of \r\nincome or expense that are taxable or deductible in prior or future years. In addition, taxable \r\nprofit or loss excludes items that are never taxable or deductible. \r\nDeferred tax is recognized according to the balance sheet liability method of all temporary \r\ndifferences between carrying amounts and tax-based values of assets and liabilities, apart from \r\ndeferred tax on all temporary differences occurring on initial recognition of goodwill or on initial \r\nrecognition of a transaction which is not a business combination, and for which the temporary \r\ndifference found at the time of initial recognition neither affects profit or loss nor taxable income. \r\nDeferred tax liabilities are recognized on all temporary differences related to investments in \r\nsubsidiaries and/or associates, unless the Group is able to control when the deferred tax is \r\nrealized, and it is probable that the deferred tax will not become due and payable as current tax \r\nin the foreseeable future. \r\nDeferred tax assets, including the tax base of tax loss carry forwards, are recognized in the \r\nstatement of financial position at their estimated realizable value, either as a set-off against \r\ndeferred tax liabilities or as net tax assets for offset against future positive taxable income. \r\nDeferred tax assets are only offset against deferred tax liabilities if the entity has a legally \r\nenforceable right to set off, and the deferred tax assets and deferred tax liabilities relate to \r\nincome taxes levied by the same tax jurisdiction. Deferred tax is calculated based on the \r\nplanned use of each asset and the settlement of each liability, respectively. \r\nDeferred tax is measured using the tax rates and tax rules in the relevant countries that, based \r\non acts in force or acts in reality in force at the reporting date are expected to apply when the \r\ndeferred tax is expected to crystallize as current tax. Changes in deferred tax resulting from \r\nchanged tax rates or tax rules are recognized in the consolidated statement of profit or loss and \r\nother comprehensive income (loss) unless the deferred tax is attributable to transactions \r\npreviously recognized directly in equity or other comprehensive income. In the latter case, such \r\nchanges are also recognized in equity or other comprehensive income. On every reporting date, \r\nit is assessed whether sufficient taxable income is likely to arise in the future for the deferred tax \r\nasset to be utilized. \r\nProperty and Equipment \r\nProperty and equipment are measured at cost less accumulated depreciation and any \r\naccumulated impairment losses. Cost comprises the acquisition price, costs directly attributable \r\nto the acquisition and preparation costs of the asset until the time when it is ready to be used in \r\noperation. Subsequent costs are included in the carrying amount of the asset or recognized as \r\na separate asset, as appropriate, only when it is probable that future economic benefits \r\nassociated with the assets will flow to the Group and the costs of the items can be measured \r\nreliably. All repair and maintenance costs are charged to the consolidated statement of profit or \r\nloss and other comprehensive income (loss) during the financial periods in which they are \r\nincurred. \r\nEquipment acquired for research and development activities with alternative use, which is \r\nexpected to be used for more than one year, is capitalized and depreciated over the estimated \r\nuseful life as research and development costs. Equipment acquired for research and \r\ndevelopment activities, which has no alternative use, is recognized as research and \r\ndevelopment costs when incurred. \r\nIf the acquisition or use of the asset involves an obligation to incur costs of decommissioning or \r\nrestoration of the asset, the estimated related costs are recognized as a provision and as part of \r\nthe relevant asset&#8217;s cost, respectively.  \r\n\r\nThe basis for depreciation is cost less estimated residual value. The residual value of an asset \r\nis the estimated amount that an entity would currently obtain from disposal of the asset, after \r\ndeducting the estimated costs of disposal, if the asset were already of the age and in the \r\ncondition expected at the end of its useful life. If significant parts of an item of property and \r\nequipment have different useful lives, then they are accounted for as separate items (major \r\ncomponents) of property and equipment. Depreciation commences when the asset is available \r\nfor use, which is when it is in the location and condition necessary for it to be capable of \r\noperating in the manner intended. \r\nDepreciation is calculated on a straight-line basis, based on an asset&#8217;s expected useful life, \r\nbeing within the following ranges: \r\nProperty and equipment 3&#8722;10 years \r\nRight-of-use assets 3&#8722;4 years \r\nDepreciation methods, useful lives and residual values are reviewed at each reporting date and \r\nadjusted if appropriate. \r\nDepreciation and impairment losses of property and equipment is recognized in the \r\nConsolidated statement of profit or loss and other comprehensive income (loss) as research \r\nand development costs or as selling, general and administrative expenses, as appropriate. \r\nGains and losses on disposal of property and equipment are recognized in the Consolidated \r\nstatement of profit or loss and other comprehensive income (loss) at its net proceeds, as either \r\nother income or other expenses, as appropriate. \r\nIntangible Assets \r\nInternally generated intangible assets \r\nDevelopment expenditure is capitalized only if all respective requirements under IAS 38 are fully \r\nmet, particularly, the expenditure can be measured reliably, the product or process is technically \r\nand commercially feasible, future economic benefits are probable and the Group intends to and \r\nhas sufficient resources to complete the development and to use or sell the asset. Otherwise, it \r\nis recognized in profit or loss as incurred. Subsequent to initial recognition, capitalized \r\ndevelopment expenditure is measured at cost less accumulated amortization and any \r\naccumulated impairment losses. \r\nSubsequent expenditure is capitalized only when it increases the future economic benefits \r\nembodied in the specific asset to which it relates. All other expenditure, including expenditure \r\non internally generated goodwill and brands, is recognized in profit or loss as incurred. \r\nIn 2022, Hansa started to capitalize certain development cost related to fulfilment of the EMA \r\npost-approval commitments related to its conditional approval of imlifidase in the EU as it met all \r\nrequirements under IAS 38. Please refer to Note 4 for further information. \r\nAmortization is calculated to write off the cost of intangible assets less their estimated residual \r\nvalue using the straight-line method over their estimated useful life and is generally recognized \r\nin consolidated statement of profit or loss and other comprehensive income (loss). \r\nThe estimated useful lives for current and comparative periods are as follows: \r\nDevelopment costs: 10 years \r\nAmortization methods, useful lives and residual values are reviewed at each reporting date and \r\nadjusted if appropriate. \r\nAcquired intangible assets \r\nAcquired intangible assets held by the Group consists of patents and in-process development \r\nprojects acquired in a business combination. The intangible assets were originally recognized at \r\nthe acquisition date fair value. Subsequently, they are measured at cost less accumulated \r\namortization and any impairment. Amortization is calculated to write off the cost of development \r\nprojects, less their estimated residual values, using the straight- line method over their \r\nestimated useful lives and commence when the projects start to generate revenue, being within \r\nthe following range: \r\nPatents: Until expiry date \r\nIn-process development projects: 10&#8722;15 years \r\nImpairment \r\nIf circumstances or changes in the Group&#8217;s operations indicate that the carrying amount of non- \r\ncurrent assets in a cash-generating unit may not be recoverable, management reviews the \r\nasset for impairment. An annual impairment test is also performed for assets yet to be brought \r\ninto use, i.e. per December 31, 2022 in-process development projects and capitalized \r\ndevelopment cost relating to imlifidase. The basis for the review is the recoverable amount of \r\nthe assets, determined as the greater of the fair value less costs of disposal or its value in use. \r\nSuch review uses an analysis of current market value (market cap of the Company) as the fair \r\nvalue less cost of disposal. If the carrying amount of an asset is greater than the recoverable \r\namount, the asset is written down to the recoverable amount. An impairment loss is recognized \r\nin the consolidated statement of profit or loss and other comprehensive income (loss) when the \r\nimpairment is identified. The Group assesses at the end of each reporting period whether there \r\nis any indication that an asset may be impaired. If any such indication exists, the Group will \r\nestimate the recoverable amount of the asset.  \r\n\r\nInventories \r\nInventories are assets: \r\n(a) held for sale in the ordinary course of business; \r\n(b) in the process of production for such sale; or \r\n(c) in the form of materials or supplies to be consumed in the production process or in the \r\nrendering of services. \r\nCosts related to the manufacturing of inventories which occurred after the receipt of regulatory \r\napproval for the respective product are capitalized, otherwise, they are expensed as research \r\nand development expenses when incurred. \r\nThe cost of inventories includes all costs of purchase, costs of conversion and other costs \r\nincurred in bringing the inventories to their present location and condition. Inventories are \r\nvalued at the lower of cost and net realizable value. Cost is determined based on the first-in \r\nfirst-out (&#8220;FIFO&#8221;) costing method. The Company regularly reviews the net realizable value and \r\nadjusts the carrying inventory amounts for any excess, obsolete or slow-moving inventory. \r\nUnbilled revenues &amp; refund liabilities \r\nUnbilled revenues primarily relate to the Group&#8217;s right to consider product sold but not billed at \r\nthe reporting date. The unbilled revenues are transferred to trade receivables when the rights \r\nbecome unconditional. This usually occurs when the Group issues an invoice to the customer. \r\nRefund liabilities primarily relate to the Group&#8217;s actual or estimated rebates, discounts, return \r\nand charge back obligations. The refund liabilities are transferred to trade payables when the \r\nobligation becomes unconditional. This usually occurs when the Group receives an invoice \r\nfrom third party, typically the healthcare sponsor in the country where the sale occurred. \r\nTrade receivables \r\nTrade receivables are recorded at net realizable value after consideration of an allowance for \r\nexpected credit losses. The Company generally maintains allowances for estimated \r\nuncollectible receivables based on historical experience and, where such historical experience \r\ndoes not exist, on country-specific default rates. The adequacy of the allowance is evaluated on \r\nan ongoing and periodic basis and adjustments are made in the period in which a change in \r\ncondition occurs. \r\nPlease refer to section &#8220;Financial instruments&#8221; below for further information.  \r\nCash and Cash Equivalents \r\nCash and cash equivalents comprise of on-demand deposits with financial institutions. Cash \r\nand cash equivalents are measured at amortized cost. \r\nShareholders&#8217; Equity \r\nThe share premium reserve is comprised of the amount received, attributable to shareholders&#8217; \r\nequity, in excess of the nominal amount of the shares issued, reduced by any amount allocated \r\nexternal expenses directly attributable to the offerings. The share premium reserve can be \r\ndistributed. \r\nShareholders are entitled to dividends which are determined after they become shareholders. \r\nShareholdings entitle a shareholder to one vote per share at general meetings. \r\nThe year 2022 additions of Class C shares refer to the new issue and subsequent repurchase \r\nof Class C shares related to the funding of the long-term incentive plan (LTIP) 2022, as \r\napproved by the 2022 AGM. \r\nThe treasury shares reserves comprise own shares repurchased by the Group. \r\nThe translation reserve comprises all foreign exchange differences arising on translation of \r\nfinancial statements from foreign business prepared in currency other than the reporting \r\ncurrency for the financial statements of the Group. \r\nRetained earnings/accumulated deficit, including profit/loss for the year, includes profits \r\nearned/losses incurred by the Group and its subsidiaries. Previous allocations to statutory \r\nreserves, excluding transferred share premium reserves, are included in this shareholders&#8217; \r\nequity item. \r\nNo dividend was paid for the periods ended December 31, 2022, or 2021. \r\nLeases \r\nThe Group leases various offices, laboratory facilities, equipment and vehicles. Rental contracts \r\nare typically made for fixed periods of three to four years, but certain contracts may have \r\nextension options. \r\nContracts may contain both lease and non-lease components. The Group allocates the \r\nconsideration in the contract to the lease and non-lease components based on their relative \r\nstand-alone prices. For leases of real estate, it has elected not to separate lease and non-lease \r\ncomponents and instead accounts for these as a single lease component. Lease terms are \r\nnegotiated on an individual basis and contain a wide range of different terms and conditions. \r\nThe lease agreements do not impose any covenants other than the security interests in the \r\nleased assets that are held by the lessor. Leases are recognized as right-of-use assets and \r\ncorresponding liabilities at the date at which the underlying assets are available for use by the \r\nGroup. Leased assets and lease liabilities arising from a lease are initially measured at present \r\nvalue. Lease liabilities include the net present value of the lease payments, and they are \r\ndiscounted using the lessee&#8217;s incremental borrowing rate.  \r\n\r\nSubsequent to initial recognition, the right-of-use is measured at amortized cost using the \r\neffective interest method. \r\nLeased assets are generally depreciated over the shorter of the asset&#8217;s useful life and the lease \r\nterm on a straight-line basis. If the Group is reasonably certain to exercise a purchase option, \r\nthe right-of-use assets are depreciated over the underlying asset&#8217;s useful life. Payments \r\nassociated with short-term leases of equipment and all leases of low-value assets are \r\nrecognized on a straight-line basis as an expense in the consolidated statement of profit or loss \r\nand other comprehensive income. Short-term leases are leases with a lease term of twelve \r\nmonths or less. Low-value assets comprise mainly of IT equipment and small items of office \r\nfurniture. \r\nExtension and termination options are included in a number of property and equipment leases \r\nacross the Group. These are used to maximize operational flexibility in terms of managing the \r\nassets used in the Group&#8217;s operations. \r\nTrade Payables \r\nTrade payables are measured in the consolidated statement of financial position at amortized \r\ncost. \r\nOther Liabilities \r\nOther liabilities comprise payables to public authorities, and short-term employee benefits. \r\nOther liabilities are measured at their either amortized cost or historical cost which is reasonable \r\napproximation of their fair value. \r\nFinancial Instruments \r\nFinancial instruments which are recognized in the consolidated statement of financial position \r\ninclude, on the assets side, cash and equivalents, short term investments, other receivables, \r\ntrade receivables and listed shares. On the liability side, long-term loan, trade payables and \r\ncontingent consideration. \r\nTrade receivables are initially recognized when they are originated. Regular-way purchases and \r\nsales of financial assets are recognized on the settlement date. Other financial assets and \r\nfinancial liabilities are recognized when the Group becomes party to the instrument&#8217;s contractual \r\nterms. \r\nFinancial instruments are initially recognized at fair value with the addition/deduction for \r\ntransaction expenses, except for instruments that are continuously measured at fair value \r\nthrough the consolidated statement of profit or loss and other comprehensive income (loss) for \r\nwhich transaction expenses are instead expensed when they arise. Trade receivables (without \r\na significant financing component) are initially valued at the transaction price as determined in \r\naccordance with IFRS 15. \r\nOn initial recognition, a financial asset is classified as measured at: amortized cost, fair value \r\nthrough other comprehensive income (debt instrument investment), fair value through other \r\ncomprehensive income (equity investment), or fair value through the consolidated statement of \r\nprofit or loss and other comprehensive income (loss). \r\nHoldings of units in interest funds are reported at fair value through the consolidated statement \r\nof profit or loss and other comprehensive income (loss). The shares (seen from the fund&#8217;s \r\nperspective) constitute financial liabilities and as such do not give rise to solely payments of \r\nprincipal and interest and do therefore not fulfil the amortized cost requirements. \r\nOther financial assets that are held within the framework of a business model with a goal to \r\nobtain the contractual cash flows at the same time as the cash flows from the assets and \r\nconsist solely of payments of principal and interest (SPPI) are recognized at amortized cost. \r\nFinancial liabilities are classified as valued at amortized cost or valued at fair value through the \r\nconsolidated statement of profit or loss and other comprehensive income (loss). Financial \r\nliabilities that are measured at fair value through the consolidated statement of profit or loss and \r\nother comprehensive income (loss) consist of contingent consideration, not yet paid. Other \r\nfinancial liabilities are valued at amortized cost. \r\nFinancial assets are derecognized when the rights to receive cash flows from the financial \r\nassets have expired or have been transferred and the Group has transferred substantially all \r\nthe risks and rewards of ownership. \r\nThe Group derecognizes a financial liability from the consolidated statement of financial position \r\nwhen, and only when, it is extinguished. That is, when the obligations specified in the contract is \r\neither discharged or cancelled or has expired. The Group also removes a financial liability from \r\nthe statement of financial position when the contractual terms are modified and the cash flows \r\nfrom the modified debt are significantly different. In that case, a new financial liability is reported \r\nat fair value based on the modified terms. \r\nImpairment of financial assets \r\nFor financial assets valued at amortized cost, a reserve must be booked for expected credit \r\nlosses according to IFRS 9. The loss reserve for trade receivable is valued at an amount \r\ncorresponding to the expected losses for the remaining term. In addition, the  loss reserve for \r\ndeposits in banks is insignificant since the Group&#8217;s deposits are held with Swedish banks with \r\ngood credit rating and the deposits may be withdrawn upon request.  \r\n\r\nStatement of Cash Flow \r\nThe cash flow statement is presented using the indirect method with basis in the net result. \r\nCash flow from operating activities is stated as the net result adjusted for net financial items, \r\nnon-cash operating items such as depreciation, amortization, impairment losses, share-based \r\ncompensation expenses, provisions, and for changes in working capital, interest paid and \r\nreceived, and corporate taxes paid. Working capital mainly comprises changes in receivables, \r\ndeferred revenue, provisions paid and other payables excluding the items included in cash and \r\ncash equivalents. Changes in non-current assets and liabilities are included in working capital, if \r\nrelated to the main revenue-producing activities of the Group. \r\nCash flow from investing activities is comprised of cash flow from the purchase and sale of \r\nintangible assets and property and equipment and financial assets as well as purchase and sale \r\nof marketable securities. \r\nCash flow from financing activities is comprised of cash flow from the issuance of shares, if any, \r\nand payment of long-term loans including instalments on lease liabilities. \r\nCash and cash equivalents, consist of bank deposits. The cash flow statement cannot be \r\nderived solely from the financial statements. \r\nSegment Reporting \r\nThe Group is managed and operated as one operating and reportable segment. No separate \r\noperating segments or reportable segments have been identified in relation to product \r\ncandidates or geographical markets. Accordingly, except for entity wide disclosures, no \r\nsegment information on business segments or geographical markets is disclosed. \r\nEarnings per Share \r\nBasic Earnings per Share (EPS) is calculated by dividing profit or loss attributable to ordinary \r\nequity holders of the parent entity by the weighted average number of ordinary shares \r\noutstanding during the period. Diluted earnings per share is calculated as profit or loss \r\nattributable to ordinary equity holders of the parent entity divided by the weighted average \r\nnumber of ordinary shares outstanding during the period, both adjusted for the effects of all \r\ndilutive potential ordinary shares. If the result is a net loss, no adjustment is made for the \r\ndilutive effect, as such effect would be anti-dilutive. \r\nTreasury Shares \r\nThe treasury shares reserves comprise own shares repurchased by the Group. The total \r\namount paid to acquire treasury shares including directly attributable costs and the proceeds \r\nfrom the sale of treasury shares are recognized in treasury share reserve. \r\nNew Accounting Policies and Disclosures effective 2022 \r\nIn the year ended December 31, 2022, the Group has applied the below amendments to IFRS \r\nand interpretations issued by the Board, as applicable. Their adoption has not had any material \r\nimpact on the disclosure or on the amounts reported in these consolidated financial statements. \r\nAmendments to IFRS 3 Business Combinations \r\nAmendments to IFRS 3 to update the references to the Conceptual Framework for Financial \r\nReporting. The amendment also adds an exception for the recognition of liabilities and \r\ncontingent liabilities within the scope of IAS 37 Provisions, Contingent liabilities and Contingent \r\nAssets and Interpretation 21 Levies. The amendments also confirm that contingent assets \r\nshould not be recognized at the acquisition date. The amendments are effective for periods \r\nbeginning on January 1, 2022. \r\nAmendment to IAS 37 Provisions, Contingent Liabilities and Contingent Assets \r\nThe amendment to IAS 37 clarifies that the direct costs of fulfilling a contract include both the \r\nincremental costs of fulfilling the contract and an allocation of other costs directly related to \r\nfulfilling contracts. The amendment is effective for periods beginning on January 1, 2022. \r\nAmendments to IAS 16 Property, Plant and Equipment \r\nThe amendment to IAS 16 prohibits an entity from deducting from the cost of an item of \r\nproperty, plant and equipment any proceeds received from selling items produced while the \r\nentity is preparing the asset for its intended use. The amendment is effective for periods \r\nbeginning on January 1, 2022. \r\nStandards, amendments, and interpretations in issue \r\nThe adoption of the following mentioned standards, amendments and interpretations in future \r\nyears are not expected to have a material impact on the Group&#8217;s financial statements: \r\nEffective date periods beginning on or after \r\nIAS 1 Presentation of Financial Statements: Amendments in \r\nrelation to the classification of liabilities as current or non- \r\ncurrent \r\nJanuary 1, 2024 \r\nDisclosure of Accounting Policies (Amendments to IAS 1 and \r\nIFRS Practice Statement 2). \r\nJanuary 1, 2023 \r\nDeferred Tax related to Assets and Liabilities arising from a \r\nSingle Transaction (Amendments to IAS 12) \r\nJanuary 1, 2023 \r\nDefinition of Accounting Estimates (Amendments to IAS 8) January 1, 2023 \r\nThe Group has not elected to early adopt any of the above standards, amendments and \r\ninterpretations in the years ended December 31, 2022, and 2021. The Group plans to adopt \r\nthese standards on the effective dates.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of significant accounting policies [text block]","Documentation":"The entire disclosure for significant accounting policies applied by the entity.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642607,"FileId":7831,"Sequence":267,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9","ElementIdentifier":"de1254d0-e5ab-41f4-96b3-7249a774b2d5","ElementType":2,"TagName":"ifrs-full:StatementOfIFRSCompliance","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"The consolidated financial statements are reported in Swedish Krona, Hansa Biopharma AB&#8217;s \r\nfunctional currency, and prepared in accordance with International Financial Reporting \r\nStandards (IFRS), issued by the International Accounting Standards Board (IASB) and the \r\ninterpretations issued by the IASB&#8217;s International Financial Reporting Interpretation Committee. New Accounting Policies and Disclosures effective 2022 In the year ended December 31, 2022, the Group has applied the below amendments to IFRS \r\nand interpretations issued by the Board, as applicable. Their adoption has not had any material \r\nimpact on the disclosure or on the amounts reported in these consolidated financial statements. \r\nAmendments to IFRS 3 Business Combinations \r\nAmendments to IFRS 3 to update the references to the Conceptual Framework for Financial \r\nReporting. The amendment also adds an exception for the recognition of liabilities and \r\ncontingent liabilities within the scope of IAS 37 Provisions, Contingent liabilities and Contingent \r\nAssets and Interpretation 21 Levies. The amendments also confirm that contingent assets \r\nshould not be recognized at the acquisition date. The amendments are effective for periods \r\nbeginning on January 1, 2022. \r\nAmendment to IAS 37 Provisions, Contingent Liabilities and Contingent Assets \r\nThe amendment to IAS 37 clarifies that the direct costs of fulfilling a contract include both the \r\nincremental costs of fulfilling the contract and an allocation of other costs directly related to \r\nfulfilling contracts. The amendment is effective for periods beginning on January 1, 2022. \r\nAmendments to IAS 16 Property, Plant and Equipment \r\nThe amendment to IAS 16 prohibits an entity from deducting from the cost of an item of \r\nproperty, plant and equipment any proceeds received from selling items produced while the \r\nentity is preparing the asset for its intended use. The amendment is effective for periods \r\nbeginning on January 1, 2022. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Statement of IFRS compliance [text block]","Documentation":"An explicit and unreserved statement of compliance with all the requirements of IFRSs.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642606,"FileId":7831,"Sequence":268,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9","ElementIdentifier":"72cd9756-72ae-4d5c-b206-79217ab569a4","ElementType":2,"TagName":"ifrs-full:DateOfEndOfReportingPeriod2013","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"December 31, 2022","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Date of end of reporting period","Documentation":"The date of the end of the reporting period.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:dateItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":false},{"Id":3642605,"FileId":7831,"Sequence":269,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9","ElementIdentifier":"73d9a5d0-f65f-4712-a311-eabd2dd64c70","ElementType":2,"TagName":"ifrs-full:DisclosureOfAuthorisationOfFinancialStatementsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"These consolidated financial statements of the Group as of December 31, 2022, and for the year then ended were approved by the Board of Directors of the Group and authorized for issue \r\non March 30, 2023.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of authorisation of financial statements [text block]","Documentation":"The disclosure of the authorisation of financial statements for issue.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642604,"FileId":7831,"Sequence":270,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9","ElementIdentifier":"e4d33990-3716-4297-bfa6-7664129084f3","ElementType":2,"TagName":"ifrs-full:DisclosureOfChangesInAccountingPoliciesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Changes in Accounting Policies and Disclosures Several amendments to and interpretations of IFRS applied for the first time in 2022, which has \r\nnot had an impact on the accounting policies applied by the Group. Thus, the accounting \r\npolicies applied when preparing these consolidated financial statements have been applied \r\nconsistently to all the periods presented, unless otherwise stated.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of changes in accounting policies [text block]","Documentation":"The disclosure of changes made to accounting policies by the entity.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642613,"FileId":7831,"Sequence":271,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9","ElementIdentifier":"a06d4f99-70e5-45f1-960a-8b4d1960c742","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForSubsidiariesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Basis of Consolidation The consolidated financial statements include Hansa Biopharma AB, Lund Sweden, and \r\nsubsidiaries over which the Group has control. Control is achieved when the Group: \r\n&gt; has power over the investee; \r\n&gt; is exposed, or has rights, to variable returns from its involvement with the investee; and \r\n&gt; has the ability to use its power to affect its returns. \r\nThe Group reassesses whether it controls an investee if facts and circumstances indicate that \r\nthere are changes to one or more of the three elements of control listed above. If the Group \r\ndoes not have a majority of the voting rights of an investee, it has power over the investee when \r\nthe voting rights are sufficient to give it the practical ability to direct the relevant activities of the \r\ninvestee unilaterally. \r\nThe Group considers all relevant facts and circumstances in assessing whether the Group&#8217;s \r\nvoting rights in an investee are sufficient to give it power, including: \r\n&gt; the size of the Group&#8217;s holding of voting rights relative to the size and dispersion of holdings \r\nof the other vote holders; \r\n&gt; potential voting rights held by the Group; \r\n&gt; rights arising from other contractual arrangements; and \r\n&gt; any additional facts and circumstances that indicate that the Group has, or does not have, the \r\ncurrent ability to direct the relevant activities at the time that decisions need to be made, \r\nincluding voting patterns at previous shareholders&#8217; meetings. \r\nConsolidation of a subsidiary begins when the Group obtains control over the subsidiary and \r\nceases when the Group loses control of the subsidiary. Specifically, income and expenses of a \r\nsubsidiary acquired or disposed of during the year are included in the consolidated statement of \r\nprofit or loss and other comprehensive income (loss) from the date the Group gains control until \r\nthe date when the Group ceases to control the subsidiary. \r\nAdjustments are made to the financial statements of subsidiaries to bring their accounting \r\npolicies in line with the Group&#8217;s accounting policies. All intra group transactions, balances, \r\nincome and expenses are eliminated in full in consolidation. Unrealized losses are also \r\neliminated unless the transaction provides evidence of an impairment of the transferred asset.  \r\n\r\nThe Group holds investments either directly or indirectly in the following subsidiaries:  \r\nShare ownership percentage (%) \r\nSubsidiaries \r\nRegistered \r\noffice/Country 2022 2021 \r\nCartela R&amp;D AB Lund, Sweden 100 100 \r\nHansa Biopharma Ltd Cheltenham, \r\nUK \r\n100 100 \r\nHansa Biopharma Inc Delaware, \r\nUSA \r\n100 100 \r\n*Hansa Biopharma Australia Pty Ltd Australia 100  100\r\n*Dormant company","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for subsidiaries [text block]","Documentation":"The description of the entity's accounting policy for subsidiaries. [Refer: Subsidiaries [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642603,"FileId":7831,"Sequence":272,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9","ElementIdentifier":"40286291-8030-4dfc-bc32-092c3018d7a2","ElementType":2,"TagName":"ifrs-full:DisclosureOfBasisOfConsolidationExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Basis of Consolidation The consolidated financial statements include Hansa Biopharma AB, Lund Sweden, and \r\nsubsidiaries over which the Group has control. Control is achieved when the Group: \r\n&gt; has power over the investee; \r\n&gt; is exposed, or has rights, to variable returns from its involvement with the investee; and \r\n&gt; has the ability to use its power to affect its returns. \r\nThe Group reassesses whether it controls an investee if facts and circumstances indicate that \r\nthere are changes to one or more of the three elements of control listed above. If the Group \r\ndoes not have a majority of the voting rights of an investee, it has power over the investee when \r\nthe voting rights are sufficient to give it the practical ability to direct the relevant activities of the \r\ninvestee unilaterally. \r\nThe Group considers all relevant facts and circumstances in assessing whether the Group&#8217;s \r\nvoting rights in an investee are sufficient to give it power, including: \r\n&gt; the size of the Group&#8217;s holding of voting rights relative to the size and dispersion of holdings \r\nof the other vote holders; \r\n&gt; potential voting rights held by the Group; \r\n&gt; rights arising from other contractual arrangements; and \r\n&gt; any additional facts and circumstances that indicate that the Group has, or does not have, the \r\ncurrent ability to direct the relevant activities at the time that decisions need to be made, \r\nincluding voting patterns at previous shareholders&#8217; meetings. \r\nConsolidation of a subsidiary begins when the Group obtains control over the subsidiary and \r\nceases when the Group loses control of the subsidiary. Specifically, income and expenses of a \r\nsubsidiary acquired or disposed of during the year are included in the consolidated statement of \r\nprofit or loss and other comprehensive income (loss) from the date the Group gains control until \r\nthe date when the Group ceases to control the subsidiary. \r\nAdjustments are made to the financial statements of subsidiaries to bring their accounting \r\npolicies in line with the Group&#8217;s accounting policies. All intra group transactions, balances, \r\nincome and expenses are eliminated in full in consolidation. Unrealized losses are also \r\neliminated unless the transaction provides evidence of an impairment of the transferred asset.  \r\n\r\nThe Group holds investments either directly or indirectly in the following subsidiaries:  \r\nShare ownership percentage (%) \r\nSubsidiaries \r\nRegistered \r\noffice/Country 2022 2021 \r\nCartela R&amp;D AB Lund, Sweden 100 100 \r\nHansa Biopharma Ltd Cheltenham, \r\nUK \r\n100 100 \r\nHansa Biopharma Inc Delaware, \r\nUSA \r\n100 100 \r\n*Hansa Biopharma Australia Pty Ltd Australia 100  100\r\n*Dormant company \r\nBecause the functional currency for Hansa Biopharma Ltd and Hansa Biopharma Inc is the UK \r\nPound Sterling and the United States Dollar, respectively, the Group has foreign currency \r\nexposure. See &#8220;Functional and Presentation Currency&#8221; section that follows and Note 20, \r\n&#8220;Financial Risk and Financial Instruments.&#8221; ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of basis of consolidation [text block]","Documentation":"The disclosure of the basis used for consolidation.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642601,"FileId":7831,"Sequence":273,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae","ElementIdentifier":"925b1e55-6d71-4599-b6ff-ff3cc2aa55ef","ElementType":2,"TagName":"ifrs-full:DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"The Group holds investments either directly or indirectly in the following subsidiaries:  Share ownership percentage (%) \r\nSubsidiaries \r\nRegistered \r\noffice/Country 2022 2021 \r\nCartela R&amp;D AB Lund, Sweden 100 100 \r\nHansa Biopharma Ltd Cheltenham, \r\nUK \r\n100 100 \r\nHansa Biopharma Inc Delaware, \r\nUSA \r\n100 100 \r\n*Hansa Biopharma Australia Pty Ltd Australia 100  100\r\n*Dormant company","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of subsidiaries [text block]","Documentation":"The disclosure of subsidiaries. [Refer: Subsidiaries [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642600,"FileId":7831,"Sequence":274,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae","ElementIdentifier":"17192265-4198-49cb-b9f9-e234678f7d8d","ElementType":2,"TagName":"ifrs-full:DisclosureOfInterestsInOtherEntitiesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"The Group holds investments either directly or indirectly in the following subsidiaries:  Share ownership percentage (%) \r\nSubsidiaries \r\nRegistered \r\noffice/Country 2022 2021 \r\nCartela R&amp;D AB Lund, Sweden 100 100 \r\nHansa Biopharma Ltd Cheltenham, \r\nUK \r\n100 100 \r\nHansa Biopharma Inc Delaware, \r\nUSA \r\n100 100 \r\n*Hansa Biopharma Australia Pty Ltd Australia 100  100\r\n*Dormant company","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of interests in other entities [text block]","Documentation":"The entire disclosure for interests in other entities.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642599,"FileId":7831,"Sequence":275,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae","ElementIdentifier":"47eb41fb-62c8-4135-91a7-418e9fc7a6f5","ElementType":2,"TagName":"ifrs-full:DisclosureOfRelatedPartyExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"The Group holds investments either directly or indirectly in the following subsidiaries: Share ownership percentage (%) \r\nSubsidiaries \r\nRegistered \r\noffice/Country 2022 2021 \r\nCartela R&amp;D AB Lund, Sweden 100 100 \r\nHansa Biopharma Ltd Cheltenham, \r\nUK \r\n100 100 \r\nHansa Biopharma Inc Delaware, \r\nUSA \r\n100 100 \r\n*Hansa Biopharma Australia Pty Ltd Australia 100  100\r\n*Dormant company Note 14 Staff Costs \r\nTotal personnel expenses recorded in the Group broken down to senior management, which \r\nincludes the Board of Directors and executive management, and other employees: \r\nYear Ended December 31, 2022 \r\n(in thousands of SEK) \r\nSenior \r\nManagement Other Employees Total \r\nSalaries, bonuses, and other benefits 36,927 153,642 190,569 \r\nSocial security contribution 11,423 24,636 36,059 \r\nPension cost, contribution plan 2,812 21,307 24,118 \r\nShare-based compensation 32,844 25,382 58,226 \r\nTotal personnel expenses 84,005 224,967 308,972 \r\nYear Ended December 31, 2021 \r\n(in thousands of SEK) \r\nSenior \r\nManagement Other Employees Total \r\nSalaries, bonuses, and other benefits 32,282 122,304 154,586 \r\nSocial security contribution 10,040 20,518 30,558 \r\nPension cost, contribution plan 2,723 15,381 18,104 \r\nShare-based compensation 33,860 22,764 56,624 \r\nTotal personnel expenses 78,905 180,967 259,872  Note 27 Royalty Agreements \r\nRoyalty agreement with researchers \r\nThe Company is a party to two separate royalty agreements (the &#8220;Royalty Agreements&#8221;) with \r\ncertain researchers and an affiliated entity (collectively, the &#8220;Counterparties&#8221;) of certain patents \r\nrelated to methods of use of imlifidase. Under each agreement, in consideration of the assignment \r\nof these patents, the Counterparties are entitled to receive a low single-digit royalty percentage \r\nof the Company&#8217;s net income related to the utilization of the patents, in each case as defined in \r\nthe applicable agreement, and a low-teens percentage of any once-only considerations, \r\nmilestones, royalties, license income, consideration for transfer of patents, patent applications \r\nand other intellectual property rights and other payments received by the Company related to the \r\nexploitation of rights related to these patents, in each case subject to certain specified reductions. \r\nOn April 20, 2021, the Company received a request for arbitration from the Counterparties \r\nclaiming they were entitled to 10% of the upfront payment the Company received under its 2020 \r\ncollaboration agreement with Sarepta as well as entitlement to participate in payments the \r\nCompany may receive under the Sarepta agreement in the future. \r\nIn the third quarter 2022, the Company and the Counterparties settled the dispute by entering into \r\nan amendment and settlement agreement (the &#8220;Agreement&#8221;), which covers all compensation \r\nobligations under the Royalty Agreements.  Under the Agreement, the Royalty Agreements will \r\nbe treated as one agreement with respect to the Researchers' right to consideration entitling the \r\nCounterparties to low single-digit royalties on net sales as well as mid-single-digit participation in \r\nany once-only consideration received by Hansa in respect of imlifidase. The settlement also \r\nincludes a one-off settlement payment. Personnel expenses recorded in the Parent Company related to Senior management \r\n(in thousands of SEK) \r\nBase \r\nsalary / \r\nDirectors&#8217; \r\nfees \r\nVariable \r\ncompen- \r\nsation \r\nTotal \r\nSalaries, \r\nbonuses \r\nand other \r\nbenefits \r\nSocial \r\nsecurity \r\ncontri- \r\nbutions \r\nPension \r\ncost \r\nShare- \r\nbased \r\ncompen- \r\nsation Total \r\nChairman of the Board \r\nof Directors \r\nUlf Wiinberg** \r\n471 &#8211; 471 148 &#8211; &#8211; 619 \r\nChairman of the Board \r\nof Directors \r\nPeter Nicklin*** \r\n479 &#8211; 479 46 &#8211; &#8211; 525 \r\nDirector \r\nAnders Gersel \r\nPedersen \r\n350 &#8211; 350 36 &#8211; &#8211; 386 \r\nDirector \r\nAndreas Eggert \r\n440 &#8211; 440 138 &#8211; &#8211; 578 \r\nDirector \r\nEva Nilsag&#229;rd \r\n450 &#8211; 450 141 &#8211; &#8211; 591 \r\nDirector \r\nHilary Malone \r\n531 &#8211; 531 167 &#8211; &#8211; 698 \r\nDirector \r\nMats Blom \r\n375 &#8211; 375 118 &#8211; &#8211; 493 \r\nCEO \r\nS&#248;ren Tulstrup \r\n*7,586 4,024 11,610 3,648 &#8211; 11,223 26,481 \r\nOther senior executives \r\n(5 persons) \r\n15,435 6,786 22,221 6,982 2,812 21,622 53,635 \r\nTotal 26,117 10,810 36,927 11,423 2,812 32,844 84,005 \r\n* Includes 1,694 KSEK, representing 30% of base salary, intended for own pension contribution \r\n** Chairman of the board until AGM 2022. \r\n***  Chairman of the board from AGM 2022. Personnel expenses recorded in the Parent Company related to Senior management \r\n(in thousands of \r\nSEK) \r\nBase \r\nsalary / \r\nDirectors&#8217; \r\nfees \r\nVariable \r\ncompen- \r\nsation \r\nOther \r\nbenefits \r\nTotal \r\nSalaries, \r\nbonuses \r\nand other \r\nbenefits \r\nSocial \r\nsecurity \r\ncontri- \r\nbutions \r\nPension \r\ncost \r\nShare- \r\nbased \r\ncompen- \r\nsation \r\n(in \r\nthousand \r\ns of SEK) \r\nChairman of the \r\nBoard of Directors \r\nUlf Wiinberg \r\n946 &#8211; &#8211; 946 297 &#8211; &#8211; 1,243 \r\nDirector \r\nBirgit Stattin- \r\nNorinder** \r\n134 &#8211; &#8211; 134 14 &#8211; &#8211; 147 \r\nDirector \r\nAnders Gersel- \r\nPedersen \r\n352 &#8211; &#8211; 352 36 &#8211; &#8211; 388 \r\nDirector \r\nAndreas Eggert \r\n415 &#8211; &#8211; 415 130 &#8211; &#8211; 545 \r\nDirector Eva \r\nNilsag&#229;rd \r\n425 &#8211; &#8211; 425 133 &#8211; &#8211; 558 \r\nDirector \r\nHilary Malone*** \r\n319 &#8211; &#8211; 319 100 &#8211; &#8211; 420 \r\nDirector \r\nMats Blom \r\n364 &#8211; &#8211; 364 114 &#8211; &#8211; 478 \r\nCEO \r\nS&#248;ren Tulstrup \r\n*7,010 3,444 128 10,582 3,325 &#8211; 12,049 25,955 \r\nOther senior \r\nexecutives \r\n(5 persons)** \r\n12,877 5,579 291 18,746 5,890 2,723 21,811 49,171 \r\nTotal 22,840 9,023 419 32,282 10,040 2,723 33,860 78,905 \r\n* Includes 1,619 KSEK, representing 30% of base salary, intended for own pension contribution \r\n** Board member until AGM 2021. \r\n***  Board member from AGM 2021. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of related party [text block]","Documentation":"The entire disclosure for related parties.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642598,"FileId":7831,"Sequence":276,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae","ElementIdentifier":"e853df68-4d62-4d55-b164-a569b56d7a52","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForFunctionalCurrencyExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Functional and Presentation Currency The presentation currency of the consolidated financial statements is Swedish Kronor (SEK). \r\nThe functional currency, which is the currency that best reflects the economic environment in \r\nwhich the subsidiaries of the Group operate and conduct their transactions, is separately \r\ndetermined for the Group&#8217;s subsidiaries and is used to measure their financial position and \r\noperating results. \r\nTransactions in currencies other than the functional currency of a subsidiary are recorded at the \r\nrates of exchange prevailing at the date of the transaction. Monetary assets and liabilities in \r\ncurrencies other than the functional currency are remeasured at the rates of exchange \r\nprevailing on the date of the consolidated statements of financial position and the related \r\ntranslation gains and losses are recognized in the Consolidated statement of profit or loss and \r\nother comprehensive income. Non-monetary items that are carried at cost are translated using \r\nthe rate of exchange prevailing at the date of the transaction. Non-monetary items that are \r\ncarried at fair value are translated using the exchange rate prevailing when the fair value was \r\ndetermined, and the related translation gains and losses are reported in the Consolidated \r\nstatement of profit or loss and other comprehensive income. \r\nUpon consolidation, the results of operations of subsidiaries whose functional currency is other \r\nthan the SEK are translated into SEK at the monthly average exchange rates and assets and \r\nliabilities are translated at the year-end exchange rates. Translation adjustments are recognized \r\ndirectly in other comprehensive income. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for functional currency [text block]","Documentation":"The description of the entity's accounting policy for the currency of the primary economic environment in which the entity operates.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642597,"FileId":7831,"Sequence":277,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae","ElementIdentifier":"121f25cb-1948-4312-b652-a76f799d4a5c","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForForeignCurrencyTranslationExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Transactions in currencies other than the functional currency of a subsidiary are recorded at the rates of exchange prevailing at the date of the transaction. Monetary assets and liabilities in \r\ncurrencies other than the functional currency are remeasured at the rates of exchange \r\nprevailing on the date of the consolidated statements of financial position and the related \r\ntranslation gains and losses are recognized in the Consolidated statement of profit or loss and \r\nother comprehensive income. Non-monetary items that are carried at cost are translated using \r\nthe rate of exchange prevailing at the date of the transaction. Non-monetary items that are \r\ncarried at fair value are translated using the exchange rate prevailing when the fair value was \r\ndetermined, and the related translation gains and losses are reported in the Consolidated \r\nstatement of profit or loss and other comprehensive income. \r\nUpon consolidation, the results of operations of subsidiaries whose functional currency is other \r\nthan the SEK are translated into SEK at the monthly average exchange rates and assets and \r\nliabilities are translated at the year-end exchange rates. Translation adjustments are recognized directly in other comprehensive income. \r\nMeasurement of Fair Values \r\nThe Group&#8217;s accounting policies and disclosures require the measurement of fair values, for \r\nboth financial and non-financial assets and liabilities. The Group has an established control \r\nframework with respect to the measurement of fair values. This includes the use of valuation \r\nspecialists that have responsibility for overseeing certain significant fair value measurements, \r\nincluding Level 3 fair values, and reports directly to the chief financial officer. If third party \r\ninformation, such as broker quotes or pricing services, is used to measure fair values, then the \r\nGroup assesses the evidence obtained from the valuation specialists to support the conclusion \r\nthat these valuations meet the requirements of the Standards, including the level in the fair \r\nvalue hierarchy in which the valuations should be classified. Significant valuation issues are \r\nreported to the Group&#8217;s audit committee. \r\nWhen measuring the fair value of an asset or a liability, the Group uses observable market data \r\nas far as possible. Fair values are categorized into different levels in a fair value hierarchy \r\nbased on the inputs used in the valuation techniques as follows: \r\n&gt; Level 1: quoted prices (unadjusted) in active markets for identical assets or liabilities. \r\n&gt; Level 2: inputs other than quoted prices included in Level 1 that are observable for the asset \r\nor liability, either directly (i.e., as prices) or indirectly (i.e., derived from prices). \r\n&gt; Level 3: inputs for the asset or liability that are not based on observable market data \r\n(unobservable inputs). \r\nIf the inputs used to measure the fair value of an asset or a liability fall into different levels of the \r\nfair value hierarchy, then the fair value measurement is categorized in its entirety in the same \r\nlevel of the fair value hierarchy as the lowest level input that is significant to the entire \r\nmeasurement. The Group recognizes transfers between levels of the fair value hierarchy at the \r\nend of the reporting period during which the change has occurred.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for foreign currency translation [text block]","Documentation":"The description of the entity's accounting policy for foreign currency translation.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642596,"FileId":7831,"Sequence":278,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae","ElementIdentifier":"6e5c5383-1fc4-4c96-902c-1e36e17b793b","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForFairValueMeasurementExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Measurement of Fair Values The Group&#8217;s accounting policies and disclosures require the measurement of fair values, for \r\nboth financial and non-financial assets and liabilities. The Group has an established control \r\nframework with respect to the measurement of fair values. This includes the use of valuation \r\nspecialists that have responsibility for overseeing certain significant fair value measurements, \r\nincluding Level 3 fair values, and reports directly to the chief financial officer. If third party \r\ninformation, such as broker quotes or pricing services, is used to measure fair values, then the \r\nGroup assesses the evidence obtained from the valuation specialists to support the conclusion \r\nthat these valuations meet the requirements of the Standards, including the level in the fair \r\nvalue hierarchy in which the valuations should be classified. Significant valuation issues are \r\nreported to the Group&#8217;s audit committee. \r\nWhen measuring the fair value of an asset or a liability, the Group uses observable market data \r\nas far as possible. Fair values are categorized into different levels in a fair value hierarchy \r\nbased on the inputs used in the valuation techniques as follows: \r\n&gt; Level 1: quoted prices (unadjusted) in active markets for identical assets or liabilities. \r\n&gt; Level 2: inputs other than quoted prices included in Level 1 that are observable for the asset \r\nor liability, either directly (i.e., as prices) or indirectly (i.e., derived from prices). \r\n&gt; Level 3: inputs for the asset or liability that are not based on observable market data \r\n(unobservable inputs). \r\nIf the inputs used to measure the fair value of an asset or a liability fall into different levels of the \r\nfair value hierarchy, then the fair value measurement is categorized in its entirety in the same \r\nlevel of the fair value hierarchy as the lowest level input that is significant to the entire \r\nmeasurement. The Group recognizes transfers between levels of the fair value hierarchy at the end of the reporting period during which the change has occurred. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for fair value measurement [text block]","Documentation":"The description of the entity's accounting policy for fair value measurement. [Refer: At fair value [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642595,"FileId":7831,"Sequence":279,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae","ElementIdentifier":"e7a86659-eaeb-412c-a980-ae99da21d08e","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForRecognitionOfRevenue","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Revenue Revenue is recognized when control of the promised goods or services is transferred to the \r\ncustomer, and in an amount that reflects the consideration the Group received or expects to \r\nreceive in exchange for those goods or services. \r\nThe Group derives its revenues primarily from products and contractual arrangements. The \r\nGroup determines revenue recognition through the following steps: \r\n&gt; (1) Identification of the contract, or contracts, with a customer. \r\n&gt; (2) Identification of the performance obligation(s) in the contract. \r\n&gt; (3) Determination of the transaction price. \r\n&gt; (4) Allocation of the transaction price to the performance obligations in the contract. \r\n&gt; (5) Recognition of revenue when, or as, the Group satisfies a performance obligation.  \r\n\r\nProduct revenue \r\nProduct revenue is recognized net of any sales and value added taxes and sales deductions \r\nbased on contractually agreed payment terms. The control passes according to contractual \r\nterms. The amount of consideration the Group receives and revenue the Group recognizes \r\nvaries based on actual or estimated rebates, discounts, returns and charge backs. The Group \r\nadjusts its estimate of revenue at the earlier of when the most likely amount of consideration the \r\nGroup expects to receive changes or when the consideration becomes fixed. \r\nSales returns are generally estimated and recorded based on historical sales and returns \r\ninformation. Sales returns allowances represent a reserve for products that may be returned \r\ndue to expiration, damage or potential other reasons typically calculated as a percent of gross \r\nrevenues. For the periods ended December 31, 2022, and 2021, there have been no sales \r\nreturns. \r\nContract revenue \r\nThe Group accounts for a contract when it has approval and commitment from both parties, the \r\nrights of the parties are identified, payment terms are identified, the contract has commercial \r\nsubstance and collectability of consideration is probable. \r\nIn determining the proper revenue recognition method, the performance obligation(s) under an \r\nagreement is reviewed and evaluated if such obligation(s) be accounted for as more than one \r\nperformance obligation. \r\nFor certain contracts, a service of combining a license and related tasks into a single \r\nperformance obligation may be provided. In such a case, the entire contract is accounted for as \r\none performance obligation. Certain contracts may promise to provide a distinct license with \r\ndistinct services within a contract, in which case the contract is separated into more than one \r\nperformance obligation. If a contract is separated into more than one performance obligation, \r\nthe total transaction price is allocated to each performance obligation in an amount based on \r\nthe estimated relative standalone selling price of the promised goods or services underlying \r\neach performance obligation. Non-refundable upfront payments and substantive development \r\nand sales milestone payments are typically recognized over the remaining performance period \r\nbased on the progress towards satisfying its identified performance obligation. \r\nGrant revenue \r\nBecause the Group carries out extensive research and development activities, the Group may \r\nbenefit from various grants, research and development incentives and payroll tax rebates from \r\ncertain governmental agencies. These grants, research and development incentives and payroll \r\ntax rebates generally aim to partly reimburse approved expenditures incurred in research and \r\ndevelopment efforts of the Group and are credited to the consolidated statement of profit or loss \r\nand other comprehensive income, under the line other operating income, when the relevant \r\nexpenditure has been incurred and there is reasonable assurance that the grants or research \r\nand development incentives are receivable. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for recognition of revenue [text block]","Documentation":"The description of the entity's accounting policy for recognising revenue. [Refer: Revenue]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642594,"FileId":7831,"Sequence":280,"PageIdentifier":"d5586305-7924-43e1-8336-e68aac1613b4","ElementIdentifier":"b9ae9baa-7fe2-4470-813d-ad0970969464","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForGovernmentGrants","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Grant revenue Because the Group carries out extensive research and development activities, the Group may \r\nbenefit from various grants, research and development incentives and payroll tax rebates from \r\ncertain governmental agencies. These grants, research and development incentives and payroll \r\ntax rebates generally aim to partly reimburse approved expenditures incurred in research and \r\ndevelopment efforts of the Group and are credited to the consolidated statement of profit or loss \r\nand other comprehensive income, under the line other operating income, when the relevant \r\nexpenditure has been incurred and there is reasonable assurance that the grants or research and development incentives are receivable.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for government grants [text block]","Documentation":"The description of the entity's accounting policy for government grants, including the methods of presentation adopted in the financial statements. [Refer: Government [member]; Government grants]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642593,"FileId":7831,"Sequence":281,"PageIdentifier":"d5586305-7924-43e1-8336-e68aac1613b4","ElementIdentifier":"b9e56945-d2fc-4113-ba29-bc90f63a23dd","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForResearchAndDevelopmentExpenseExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Research and Development Expenses Research cost are expensed as incurred. Development cost are typically expensed as incurred, \r\nunless capitalized. Costs of research and development equipment with alternative future uses \r\nare capitalized and depreciated over the equipment&#8217;s useful life. \r\nResearch and development expenses primarily include costs for third-party services in \r\nconnection with clinical studies and research projects, costs for producing substance to be used \r\nin such studies and projects, personnel expenses for the Group&#8217;s research and development \r\ngroups, and depreciation of equipment used for research and development activities. In \r\naddition, research and development expenses contain expenses for producing pharmaceutical \r\nmaterial which may be used for commercialization subject to regulatory approval, and which \r\nwas produced prior to obtaining regulatory approval or evidence being available that regulatory \r\napproval can reasonably be expected. \r\nExpenditures on research activities are recognized in the consolidated statement of profit or \r\nloss and other comprehensive income (loss) as incurred. Development expenditures are \r\ncapitalized only if the expenditure can be measured reliably, the product or process is \r\ntechnically and commercially feasible, future economic benefits are probable, and the Group \r\nintends to and has sufficient resources to complete development and to use or sell the asset. \r\nOtherwise, it is recognized in the consolidated statement of profit or loss and other \r\ncomprehensive income (loss) as incurred. Subsequent to initial recognition, development \r\nexpenditure is measured at cost less accumulated amortization and any accumulated \r\nimpairment losses. \r\nGenerally, expenditures are not capitalized before the pharmaceutical authorities have given \r\napproval due to the level of uncertainty associated with the approval process. In 2022, Hansa \r\nstarted to capitalize certain development cost related to fulfilment of the EMA post-approval \r\ncommitments related to its conditional approval of imlifidase in the EU as it met all requirements \r\nunder IAS 38. Please refer to Note 4 for further information.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for research and development expense [text block]","Documentation":"The description of the entity's accounting policy for research and development expense. [Refer: Research and development expense]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642614,"FileId":7831,"Sequence":282,"PageIdentifier":"d5586305-7924-43e1-8336-e68aac1613b4","ElementIdentifier":"466438f3-db20-4045-8b10-21290cf993d7","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForExpensesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Research and Development Expenses Research cost are expensed as incurred. Development cost are typically expensed as incurred, \r\nunless capitalized. Costs of research and development equipment with alternative future uses \r\nare capitalized and depreciated over the equipment&#8217;s useful life. \r\nResearch and development expenses primarily include costs for third-party services in \r\nconnection with clinical studies and research projects, costs for producing substance to be used \r\nin such studies and projects, personnel expenses for the Group&#8217;s research and development \r\ngroups, and depreciation of equipment used for research and development activities. In \r\naddition, research and development expenses contain expenses for producing pharmaceutical \r\nmaterial which may be used for commercialization subject to regulatory approval, and which \r\nwas produced prior to obtaining regulatory approval or evidence being available that regulatory \r\napproval can reasonably be expected. \r\nExpenditures on research activities are recognized in the consolidated statement of profit or \r\nloss and other comprehensive income (loss) as incurred. Development expenditures are \r\ncapitalized only if the expenditure can be measured reliably, the product or process is \r\ntechnically and commercially feasible, future economic benefits are probable, and the Group \r\nintends to and has sufficient resources to complete development and to use or sell the asset. \r\nOtherwise, it is recognized in the consolidated statement of profit or loss and other \r\ncomprehensive income (loss) as incurred. Subsequent to initial recognition, development \r\nexpenditure is measured at cost less accumulated amortization and any accumulated \r\nimpairment losses. \r\nGenerally, expenditures are not capitalized before the pharmaceutical authorities have given \r\napproval due to the level of uncertainty associated with the approval process. In 2022, Hansa \r\nstarted to capitalize certain development cost related to fulfilment of the EMA post-approval \r\ncommitments related to its conditional approval of imlifidase in the EU as it met all requirements \r\nunder IAS 38. Please refer to Note 4 for further information. \r\nSales, General and Administrative Expenses \r\nSales, general and administrative expenses consist primarily of (i) personnel expenses relating \r\nto salaries and related costs for personnel, including share-based compensation, of our \r\nemployees in executive, commercial, finance, business development and support functions, (ii) \r\nfees relating to professional services for commercialization, marketing, selling, medical affairs, \r\ncorporate management, legal, finance, human resources, business development, licensing and \r\ninvestor relations, (iii) board expenses consisting of directors&#8217; fees and travel expenses for \r\nboard members, and (iv) other general and administrative expenses, including leasing costs, \r\noffice expenses and travel costs. General and administrative expenses are recognized in the \r\nconsolidated statement of profit or loss and other comprehensive income (loss) in the period to \r\nwhich they relate.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for expenses [text block]","Documentation":"The description of the entity's accounting policy for expenses.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642661,"FileId":7831,"Sequence":283,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c","ElementIdentifier":"722be307-4072-44c7-9bb0-70630cc5c3d1","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForEmployeeBenefitsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Pensions Plans where the Group&#8217;s obligations are limited to the contribution the Group has undertaken to \r\npay are classified as &#8220;defined contribution pension plans&#8221;. In such cases, the size of the \r\nemployee&#8217;s pension is dependent upon the contribution which the Group pays into the plan, or \r\nto an insurance company, and the return on capital which the contribution generates. \r\nConsequently, it is the employee who bears the actuarial risk (that the benefits will be lower \r\nthan anticipated) and the investment risk (that the invested assets will be insufficient to generate \r\nthe anticipated benefits). The Group&#8217;s obligations regarding fees paid to defined contribution \r\nplans are reported as an expense in the consolidated statement of profit or loss and other \r\ncomprehensive income (loss) when they are earned by the employees performing their services \r\non behalf of the Group during a given period of time. \r\nEmployee Benefits \r\nShort-term employee benefits \r\nShort-term employee benefits are expensed as the related service is provided. A liability is \r\nrecognized for the amount expected to be paid if the Group has a present legal or constructive \r\nobligation to pay this amount as a result of past service provided by the employee and the \r\nobligation can be estimated reliably. \r\nLong-term employee benefits \r\nThe Group&#8217;s net obligation in respect of long-term employee benefits is the amount of future \r\nbenefit that employees have earned in return for their service in the current and prior periods. \r\nThat benefit is discounted to determine its present value. Remeasurements are recognized in \r\nprofit or loss in the period in which they arise. \r\nTermination benefits \r\nTermination benefits are expensed at the earlier of when the Group can no longer withdraw the \r\noffer of those benefits and when the Group recognizes costs for a restructuring. If benefits are \r\nnot expected to be settled wholly within 12 months of the reporting date, then they are \r\ndiscounted. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for employee benefits [text block]","Documentation":"The description of the entity's accounting policy for employee benefits. Employee benefits are all forms of consideration given by an entity in exchange for services rendered by employees or for the termination of employment.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642662,"FileId":7831,"Sequence":284,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c","ElementIdentifier":"5f309d5d-5436-435c-b00b-e6b0325d1490","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForTerminationBenefits","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Termination benefits Termination benefits are expensed at the earlier of when the Group can no longer withdraw the \r\noffer of those benefits and when the Group recognizes costs for a restructuring. If benefits are \r\nnot expected to be settled wholly within 12 months of the reporting date, then they are discounted. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for termination benefits [text block]","Documentation":"The description of the entity's accounting policy for termination benefits. [Refer: Termination benefits expense]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642663,"FileId":7831,"Sequence":285,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c","ElementIdentifier":"8fdce6e3-3144-4257-88e0-d3048304ebce","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForSharebasedPaymentTransactionsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Share-based Payments The Company has provided share-based payment awards through long-term incentive \r\nprograms for certain employees whereby participants are provided ordinary shares of the \r\nCompany after the vesting period, either through share rights or employee stock options, if \r\ncertain performance conditions are met. Vesting is based on market or non-market performance \r\nconditions. For awards that vest upon achieving a market condition, the Company&#8217;s share price \r\nmust achieve certain thresholds. For awards that vest upon achieving non-market conditions, \r\nthe Company must achieve certain pre-defined business objectives related to financial, portfolio \r\nand/or commercial targets. \r\nThe awards are classified as equity-settled share-based payments since the only settlement \r\nalternative is in shares of the Company. For equity-settled programs, the fair value of the \r\ninstruments is determined at the grant date and is subsequently not remeasured. The share- \r\nbased payment expense is recognized over the vesting period with a corresponding entry \r\nrecognized directly in equity. Social security costs relating to share- based compensation are \r\nrecognized as expense in profit or loss over the same vesting period, based on the fair value of \r\nthe equity instruments at each reporting date. An amount corresponding to the recognized \r\nexpense is recognized as a liability. \r\nThe fair value of the options is calculated based on the Black-Scholes model and expensed \r\nover the vesting period. During the vesting period, the expense is adjusted in order to account \r\nfor the number of options that are expected to vest. \r\nFor share rights that vest upon achieving market conditions, the Company determines the value \r\nof the awards using the Monte Carlo model at the grant date because different share price \r\nrealizations result in different values for the award. The effect of a market condition is reflected \r\nin the grant-date fair value of an award. The share-based payment expense is recognized over \r\nthe three-year vesting period provided that the service is rendered, regardless of when, if ever, \r\nthe market condition is satisfied. \r\nFor share rights with a non-market performance condition, the Company valued the awards \r\nusing Black-Scholes model. The exercise price of the share rights has been set using a volume \r\nweighted average of the Company&#8217;s share price over a certain period before grant date. For the \r\nestimation of expected future volatility, the average 90-day historical volatility was estimated for \r\nthe Company and, as a benchmark, for several peers over periods between one and seven \r\nyears. The yield curve for Swedish government bonds is used to determine the risk-free interest \r\nrate. After the value of the awards were determined, the Company estimated the probability of \r\nachieving the non-market conditions and adjusted the number of awards that would expense \r\nover the amortization period. The Company re-evaluates the probability of achieving the non- \r\nmarket conditions each reporting period. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for share-based payment transactions [text block]","Documentation":"The description of the entity's accounting policy for transactions in which the entity: (a) receives goods or services from the supplier of those goods or services (including an employee) in a share-based payment arrangement; or (b) incurs an obligation to settle the transaction with the supplier in a share-based payment arrangement when another group entity receives those goods or services. [Refer: Share-based payment arrangements [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642730,"FileId":7831,"Sequence":286,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c","ElementIdentifier":"83b330e2-0cd7-4fc6-9970-6c0046c22c57","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForInterestIncomeAndExpenseExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Finance Income and Expenses Finance income and expenses comprise of interest income and expenses, amortization of \r\nsecurities, and realized and unrealized exchange rate gains and losses on transactions \r\ndenominated in foreign currencies.  \r\n\r\nInterest income or expense is recognized using the effective interest method. The effective \r\ninterest rate is the rate that exactly discounts estimated future cash payments or receipts \r\nthrough the expected life of the financial instrument to the gross carrying amount of the financial \r\nasset; or the amortized cost of the financial liability. In calculating interest income and expense, \r\nthe effective interest rate is applied to the gross carrying amount of the asset (when the asset is \r\nnot credit-impaired) or to the amortized cost of the liability. However, for financial assets that \r\nhave become credit-impaired subsequent to initial recognition, interest income is calculated by \r\napplying the effective interest rate to the amortized cost of the financial asset. If the asset is no \r\nlonger credit-impaired, then the calculation of interest income reverts to the gross basis.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for interest income and expense [text block]","Documentation":"The description of the entity's accounting policy for income and expense arising from interest.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642729,"FileId":7831,"Sequence":287,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c","ElementIdentifier":"dc7ce5f6-9859-4220-a90b-815cc94a1509","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForFinanceCostsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Finance Income and Expenses Finance income and expenses comprise of interest income and expenses, amortization of \r\nsecurities, and realized and unrealized exchange rate gains and losses on transactions \r\ndenominated in foreign currencies.  \r\n\r\nInterest income or expense is recognized using the effective interest method. The effective \r\ninterest rate is the rate that exactly discounts estimated future cash payments or receipts \r\nthrough the expected life of the financial instrument to the gross carrying amount of the financial \r\nasset; or the amortized cost of the financial liability. In calculating interest income and expense, \r\nthe effective interest rate is applied to the gross carrying amount of the asset (when the asset is \r\nnot credit-impaired) or to the amortized cost of the liability. However, for financial assets that \r\nhave become credit-impaired subsequent to initial recognition, interest income is calculated by \r\napplying the effective interest rate to the amortized cost of the financial asset. If the asset is no \r\nlonger credit-impaired, then the calculation of interest income reverts to the gross basis.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for finance costs [text block]","Documentation":"The description of the entity's accounting policy for finance costs. [Refer: Finance costs]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642728,"FileId":7831,"Sequence":288,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c","ElementIdentifier":"f7565809-16fb-44ed-8ec8-86edabd3084f","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForFinanceIncomeAndCostsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Finance Income and Expenses Finance income and expenses comprise of interest income and expenses, amortization of \r\nsecurities, and realized and unrealized exchange rate gains and losses on transactions \r\ndenominated in foreign currencies.  \r\n\r\nInterest income or expense is recognized using the effective interest method. The effective \r\ninterest rate is the rate that exactly discounts estimated future cash payments or receipts \r\nthrough the expected life of the financial instrument to the gross carrying amount of the financial \r\nasset; or the amortized cost of the financial liability. In calculating interest income and expense, \r\nthe effective interest rate is applied to the gross carrying amount of the asset (when the asset is \r\nnot credit-impaired) or to the amortized cost of the liability. However, for financial assets that \r\nhave become credit-impaired subsequent to initial recognition, interest income is calculated by \r\napplying the effective interest rate to the amortized cost of the financial asset. If the asset is no \r\nlonger credit-impaired, then the calculation of interest income reverts to the gross basis. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for finance income and costs [text block]","Documentation":"The description of the entity's accounting policy for finance income and costs. [Refer: Finance income (cost)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642727,"FileId":7831,"Sequence":289,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9","ElementIdentifier":"693e2684-6901-4ae0-8054-f8874301a385","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForIncomeTaxExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Income Taxes Tax for the year, which consists of current tax for the year and changes in deferred tax, is \r\nrecognized in the Consolidated statement of profit or loss and other comprehensive income \r\n(loss) by the portion attributable to the profit or loss for the year and recognized directly in equity \r\nor other comprehensive income by the portion attributable to entries directly in equity and in \r\nother comprehensive income. The current tax payable or receivable is recognized in the \r\nconsolidated statement of financial position, stated as tax computed on this year&#8217;s taxable \r\nincome, adjusted for prepaid tax. \r\nWhen computing the current tax for the year, the tax rates and tax rules enacted or substantially \r\nenacted at the reporting date are used. Current tax payable is based on taxable profit or loss for \r\nthe year. Taxable profit or loss differs from net profit or loss as reported in the consolidated \r\nstatement of profit or loss and other comprehensive income (loss) because it excludes items of \r\nincome or expense that are taxable or deductible in prior or future years. In addition, taxable \r\nprofit or loss excludes items that are never taxable or deductible. \r\nDeferred tax is recognized according to the balance sheet liability method of all temporary \r\ndifferences between carrying amounts and tax-based values of assets and liabilities, apart from \r\ndeferred tax on all temporary differences occurring on initial recognition of goodwill or on initial \r\nrecognition of a transaction which is not a business combination, and for which the temporary \r\ndifference found at the time of initial recognition neither affects profit or loss nor taxable income. \r\nDeferred tax liabilities are recognized on all temporary differences related to investments in \r\nsubsidiaries and/or associates, unless the Group is able to control when the deferred tax is \r\nrealized, and it is probable that the deferred tax will not become due and payable as current tax \r\nin the foreseeable future. \r\nDeferred tax assets, including the tax base of tax loss carry forwards, are recognized in the \r\nstatement of financial position at their estimated realizable value, either as a set-off against \r\ndeferred tax liabilities or as net tax assets for offset against future positive taxable income. \r\nDeferred tax assets are only offset against deferred tax liabilities if the entity has a legally \r\nenforceable right to set off, and the deferred tax assets and deferred tax liabilities relate to \r\nincome taxes levied by the same tax jurisdiction. Deferred tax is calculated based on the \r\nplanned use of each asset and the settlement of each liability, respectively. \r\nDeferred tax is measured using the tax rates and tax rules in the relevant countries that, based \r\non acts in force or acts in reality in force at the reporting date are expected to apply when the \r\ndeferred tax is expected to crystallize as current tax. Changes in deferred tax resulting from \r\nchanged tax rates or tax rules are recognized in the consolidated statement of profit or loss and \r\nother comprehensive income (loss) unless the deferred tax is attributable to transactions \r\npreviously recognized directly in equity or other comprehensive income. In the latter case, such \r\nchanges are also recognized in equity or other comprehensive income. On every reporting date, \r\nit is assessed whether sufficient taxable income is likely to arise in the future for the deferred tax \r\nasset to be utilized.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for income tax [text block]","Documentation":"The description of the entity's accounting policy for income tax.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642726,"FileId":7831,"Sequence":290,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9","ElementIdentifier":"30ee1b32-5c67-4776-8a1d-a82583be844c","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForDeferredIncomeTaxExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Deferred tax is recognized according to the balance sheet liability method of all temporary differences between carrying amounts and tax-based values of assets and liabilities, apart from \r\ndeferred tax on all temporary differences occurring on initial recognition of goodwill or on initial \r\nrecognition of a transaction which is not a business combination, and for which the temporary \r\ndifference found at the time of initial recognition neither affects profit or loss nor taxable income. \r\nDeferred tax liabilities are recognized on all temporary differences related to investments in \r\nsubsidiaries and/or associates, unless the Group is able to control when the deferred tax is \r\nrealized, and it is probable that the deferred tax will not become due and payable as current tax \r\nin the foreseeable future. \r\nDeferred tax assets, including the tax base of tax loss carry forwards, are recognized in the \r\nstatement of financial position at their estimated realizable value, either as a set-off against \r\ndeferred tax liabilities or as net tax assets for offset against future positive taxable income. \r\nDeferred tax assets are only offset against deferred tax liabilities if the entity has a legally \r\nenforceable right to set off, and the deferred tax assets and deferred tax liabilities relate to \r\nincome taxes levied by the same tax jurisdiction. Deferred tax is calculated based on the \r\nplanned use of each asset and the settlement of each liability, respectively. \r\nDeferred tax is measured using the tax rates and tax rules in the relevant countries that, based \r\non acts in force or acts in reality in force at the reporting date are expected to apply when the \r\ndeferred tax is expected to crystallize as current tax. Changes in deferred tax resulting from \r\nchanged tax rates or tax rules are recognized in the consolidated statement of profit or loss and \r\nother comprehensive income (loss) unless the deferred tax is attributable to transactions \r\npreviously recognized directly in equity or other comprehensive income. In the latter case, such \r\nchanges are also recognized in equity or other comprehensive income. On every reporting date, \r\nit is assessed whether sufficient taxable income is likely to arise in the future for the deferred tax asset to be utilized.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for deferred income tax [text block]","Documentation":"The description of the entity's accounting policy for deferred income tax. [Refer: Deferred tax expense (income)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642725,"FileId":7831,"Sequence":291,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9","ElementIdentifier":"c021b88b-0dae-4c3e-92f9-bf0b6e233e76","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForPropertyPlantAndEquipmentExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Property and Equipment Property and equipment are measured at cost less accumulated depreciation and any \r\naccumulated impairment losses. Cost comprises the acquisition price, costs directly attributable \r\nto the acquisition and preparation costs of the asset until the time when it is ready to be used in \r\noperation. Subsequent costs are included in the carrying amount of the asset or recognized as \r\na separate asset, as appropriate, only when it is probable that future economic benefits \r\nassociated with the assets will flow to the Group and the costs of the items can be measured \r\nreliably. All repair and maintenance costs are charged to the consolidated statement of profit or \r\nloss and other comprehensive income (loss) during the financial periods in which they are \r\nincurred. \r\nEquipment acquired for research and development activities with alternative use, which is \r\nexpected to be used for more than one year, is capitalized and depreciated over the estimated \r\nuseful life as research and development costs. Equipment acquired for research and \r\ndevelopment activities, which has no alternative use, is recognized as research and \r\ndevelopment costs when incurred. \r\nIf the acquisition or use of the asset involves an obligation to incur costs of decommissioning or \r\nrestoration of the asset, the estimated related costs are recognized as a provision and as part of \r\nthe relevant asset&#8217;s cost, respectively.  \r\n\r\nThe basis for depreciation is cost less estimated residual value. The residual value of an asset \r\nis the estimated amount that an entity would currently obtain from disposal of the asset, after \r\ndeducting the estimated costs of disposal, if the asset were already of the age and in the \r\ncondition expected at the end of its useful life. If significant parts of an item of property and \r\nequipment have different useful lives, then they are accounted for as separate items (major \r\ncomponents) of property and equipment. Depreciation commences when the asset is available \r\nfor use, which is when it is in the location and condition necessary for it to be capable of \r\noperating in the manner intended. \r\nDepreciation is calculated on a straight-line basis, based on an asset&#8217;s expected useful life, \r\nbeing within the following ranges: \r\nProperty and equipment 3&#8722;10 years \r\nRight-of-use assets 3&#8722;4 years \r\nDepreciation methods, useful lives and residual values are reviewed at each reporting date and \r\nadjusted if appropriate. \r\nDepreciation and impairment losses of property and equipment is recognized in the \r\nConsolidated statement of profit or loss and other comprehensive income (loss) as research \r\nand development costs or as selling, general and administrative expenses, as appropriate. \r\nGains and losses on disposal of property and equipment are recognized in the Consolidated \r\nstatement of profit or loss and other comprehensive income (loss) at its net proceeds, as either \r\nother income or other expenses, as appropriate.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for property, plant and equipment [text block]","Documentation":"The description of the entity's accounting policy for property, plant and equipment. [Refer: Property, plant and equipment]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642724,"FileId":7831,"Sequence":292,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839","ElementIdentifier":"ed7cc515-c9ca-4e79-b055-f6b7c1d547ab","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForDepreciationExpenseExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"The basis for depreciation is cost less estimated residual value. The residual value of an asset is the estimated amount that an entity would currently obtain from disposal of the asset, after \r\ndeducting the estimated costs of disposal, if the asset were already of the age and in the \r\ncondition expected at the end of its useful life. If significant parts of an item of property and \r\nequipment have different useful lives, then they are accounted for as separate items (major \r\ncomponents) of property and equipment. Depreciation commences when the asset is available \r\nfor use, which is when it is in the location and condition necessary for it to be capable of \r\noperating in the manner intended. \r\nDepreciation is calculated on a straight-line basis, based on an asset&#8217;s expected useful life, \r\nbeing within the following ranges: \r\nProperty and equipment 3&#8722;10 years \r\nRight-of-use assets 3&#8722;4 years \r\nDepreciation methods, useful lives and residual values are reviewed at each reporting date and \r\nadjusted if appropriate. \r\nDepreciation and impairment losses of property and equipment is recognized in the \r\nConsolidated statement of profit or loss and other comprehensive income (loss) as research \r\nand development costs or as selling, general and administrative expenses, as appropriate. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for depreciation expense [text block]","Documentation":"The description of the entity's accounting policy for depreciation expense. [Refer: Depreciation and amortisation expense]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642723,"FileId":7831,"Sequence":293,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839","ElementIdentifier":"6419fb6b-9b6e-4734-a73e-637fff70e0e4","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForIntangibleAssetsAndGoodwillExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Intangible Assets Internally generated intangible assets \r\nDevelopment expenditure is capitalized only if all respective requirements under IAS 38 are fully \r\nmet, particularly, the expenditure can be measured reliably, the product or process is technically \r\nand commercially feasible, future economic benefits are probable and the Group intends to and \r\nhas sufficient resources to complete the development and to use or sell the asset. Otherwise, it \r\nis recognized in profit or loss as incurred. Subsequent to initial recognition, capitalized \r\ndevelopment expenditure is measured at cost less accumulated amortization and any \r\naccumulated impairment losses. \r\nSubsequent expenditure is capitalized only when it increases the future economic benefits \r\nembodied in the specific asset to which it relates. All other expenditure, including expenditure \r\non internally generated goodwill and brands, is recognized in profit or loss as incurred. \r\nIn 2022, Hansa started to capitalize certain development cost related to fulfilment of the EMA \r\npost-approval commitments related to its conditional approval of imlifidase in the EU as it met all \r\nrequirements under IAS 38. Please refer to Note 4 for further information. \r\nAmortization is calculated to write off the cost of intangible assets less their estimated residual \r\nvalue using the straight-line method over their estimated useful life and is generally recognized \r\nin consolidated statement of profit or loss and other comprehensive income (loss). \r\nThe estimated useful lives for current and comparative periods are as follows: \r\nDevelopment costs: 10 years \r\nAmortization methods, useful lives and residual values are reviewed at each reporting date and \r\nadjusted if appropriate. \r\nAcquired intangible assets \r\nAcquired intangible assets held by the Group consists of patents and in-process development \r\nprojects acquired in a business combination. The intangible assets were originally recognized at \r\nthe acquisition date fair value. Subsequently, they are measured at cost less accumulated \r\namortization and any impairment. Amortization is calculated to write off the cost of development \r\nprojects, less their estimated residual values, using the straight- line method over their \r\nestimated useful lives and commence when the projects start to generate revenue, being within \r\nthe following range: \r\nPatents: Until expiry date \r\nIn-process development projects: 10&#8722;15 years \r\nImpairment \r\nIf circumstances or changes in the Group&#8217;s operations indicate that the carrying amount of non- \r\ncurrent assets in a cash-generating unit may not be recoverable, management reviews the \r\nasset for impairment. An annual impairment test is also performed for assets yet to be brought \r\ninto use, i.e. per December 31, 2022 in-process development projects and capitalized \r\ndevelopment cost relating to imlifidase. The basis for the review is the recoverable amount of \r\nthe assets, determined as the greater of the fair value less costs of disposal or its value in use. \r\nSuch review uses an analysis of current market value (market cap of the Company) as the fair \r\nvalue less cost of disposal. If the carrying amount of an asset is greater than the recoverable \r\namount, the asset is written down to the recoverable amount. An impairment loss is recognized \r\nin the consolidated statement of profit or loss and other comprehensive income (loss) when the \r\nimpairment is identified. The Group assesses at the end of each reporting period whether there \r\nis any indication that an asset may be impaired. If any such indication exists, the Group will \r\nestimate the recoverable amount of the asset.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for intangible assets and goodwill [text block]","Documentation":"The description of the entity's accounting policy for intangible assets and goodwill. [Refer: Intangible assets and goodwill]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642722,"FileId":7831,"Sequence":294,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839","ElementIdentifier":"250674f9-27c3-4fcf-bb96-0999764427b3","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForIntangibleAssetsOtherThanGoodwillExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Intangible Assets Internally generated intangible assets \r\nDevelopment expenditure is capitalized only if all respective requirements under IAS 38 are fully \r\nmet, particularly, the expenditure can be measured reliably, the product or process is technically \r\nand commercially feasible, future economic benefits are probable and the Group intends to and \r\nhas sufficient resources to complete the development and to use or sell the asset. Otherwise, it \r\nis recognized in profit or loss as incurred. Subsequent to initial recognition, capitalized \r\ndevelopment expenditure is measured at cost less accumulated amortization and any \r\naccumulated impairment losses. \r\nSubsequent expenditure is capitalized only when it increases the future economic benefits \r\nembodied in the specific asset to which it relates. All other expenditure, including expenditure \r\non internally generated goodwill and brands, is recognized in profit or loss as incurred. \r\nIn 2022, Hansa started to capitalize certain development cost related to fulfilment of the EMA \r\npost-approval commitments related to its conditional approval of imlifidase in the EU as it met all \r\nrequirements under IAS 38. Please refer to Note 4 for further information. \r\nAmortization is calculated to write off the cost of intangible assets less their estimated residual \r\nvalue using the straight-line method over their estimated useful life and is generally recognized \r\nin consolidated statement of profit or loss and other comprehensive income (loss). \r\nThe estimated useful lives for current and comparative periods are as follows: \r\nDevelopment costs: 10 years \r\nAmortization methods, useful lives and residual values are reviewed at each reporting date and \r\nadjusted if appropriate. \r\nAcquired intangible assets \r\nAcquired intangible assets held by the Group consists of patents and in-process development \r\nprojects acquired in a business combination. The intangible assets were originally recognized at \r\nthe acquisition date fair value. Subsequently, they are measured at cost less accumulated \r\namortization and any impairment. Amortization is calculated to write off the cost of development \r\nprojects, less their estimated residual values, using the straight- line method over their \r\nestimated useful lives and commence when the projects start to generate revenue, being within \r\nthe following range: \r\nPatents: Until expiry date \r\nIn-process development projects: 10&#8722;15 years ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for intangible assets other than goodwill [text block]","Documentation":"The description of the entity's accounting policy for intangible assets other than goodwill. [Refer: Intangible assets other than goodwill]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642731,"FileId":7831,"Sequence":295,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839","ElementIdentifier":"27439c25-c660-4c26-b507-f78822f155c9","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForImpairmentOfNonfinancialAssetsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Impairment If circumstances or changes in the Group&#8217;s operations indicate that the carrying amount of non- \r\ncurrent assets in a cash-generating unit may not be recoverable, management reviews the \r\nasset for impairment. An annual impairment test is also performed for assets yet to be brought \r\ninto use, i.e. per December 31, 2022 in-process development projects and capitalized \r\ndevelopment cost relating to imlifidase. The basis for the review is the recoverable amount of \r\nthe assets, determined as the greater of the fair value less costs of disposal or its value in use. \r\nSuch review uses an analysis of current market value (market cap of the Company) as the fair \r\nvalue less cost of disposal. If the carrying amount of an asset is greater than the recoverable \r\namount, the asset is written down to the recoverable amount. An impairment loss is recognized \r\nin the consolidated statement of profit or loss and other comprehensive income (loss) when the \r\nimpairment is identified. The Group assesses at the end of each reporting period whether there \r\nis any indication that an asset may be impaired. If any such indication exists, the Group will estimate the recoverable amount of the asset.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for impairment of non-financial assets [text block]","Documentation":"The description of the entity's accounting policy for the impairment of non-financial assets. [Refer: Financial assets]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642721,"FileId":7831,"Sequence":296,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839","ElementIdentifier":"2e9b37bd-ddad-4ccb-b076-65e0e4cf4e8f","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForImpairmentOfAssetsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Impairment If circumstances or changes in the Group&#8217;s operations indicate that the carrying amount of non- \r\ncurrent assets in a cash-generating unit may not be recoverable, management reviews the \r\nasset for impairment. An annual impairment test is also performed for assets yet to be brought \r\ninto use, i.e. per December 31, 2022 in-process development projects and capitalized \r\ndevelopment cost relating to imlifidase. The basis for the review is the recoverable amount of \r\nthe assets, determined as the greater of the fair value less costs of disposal or its value in use. \r\nSuch review uses an analysis of current market value (market cap of the Company) as the fair \r\nvalue less cost of disposal. If the carrying amount of an asset is greater than the recoverable \r\namount, the asset is written down to the recoverable amount. An impairment loss is recognized \r\nin the consolidated statement of profit or loss and other comprehensive income (loss) when the \r\nimpairment is identified. The Group assesses at the end of each reporting period whether there \r\nis any indication that an asset may be impaired. If any such indication exists, the Group will estimate the recoverable amount of the asset.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for impairment of assets [text block]","Documentation":"The description of the entity's accounting policy for the impairment of assets.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642719,"FileId":7831,"Sequence":297,"PageIdentifier":"5b6511f0-6cf3-473a-9516-ae68d012d291","ElementIdentifier":"c80ec462-abf6-4181-bed8-0a62f9be5acb","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForMeasuringInventories","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Inventories Inventories are assets: \r\n(a) held for sale in the ordinary course of business; \r\n(b) in the process of production for such sale; or \r\n(c) in the form of materials or supplies to be consumed in the production process or in the \r\nrendering of services. \r\nCosts related to the manufacturing of inventories which occurred after the receipt of regulatory \r\napproval for the respective product are capitalized, otherwise, they are expensed as research \r\nand development expenses when incurred. \r\nThe cost of inventories includes all costs of purchase, costs of conversion and other costs \r\nincurred in bringing the inventories to their present location and condition. Inventories are \r\nvalued at the lower of cost and net realizable value. Cost is determined based on the first-in \r\nfirst-out (&#8220;FIFO&#8221;) costing method. The Company regularly reviews the net realizable value and \r\nadjusts the carrying inventory amounts for any excess, obsolete or slow-moving inventory. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for measuring inventories [text block]","Documentation":"The description of the entity's accounting policy for measuring inventories. [Refer: Inventories]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642718,"FileId":7831,"Sequence":298,"PageIdentifier":"5b6511f0-6cf3-473a-9516-ae68d012d291","ElementIdentifier":"bc564959-e75e-4bc5-9090-c884540dd6f8","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForTradeAndOtherReceivablesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Trade receivables \r\nTrade receivables are recorded at net realizable value after consideration of an allowance for \r\nexpected credit losses. The Company generally maintains allowances for estimated \r\nuncollectible receivables based on historical experience and, where such historical experience \r\ndoes not exist, on country-specific default rates. The adequacy of the allowance is evaluated on \r\nan ongoing and periodic basis and adjustments are made in the period in which a change in \r\ncondition occurs. \r\nPlease refer to section &#8220;Financial instruments&#8221; below for further information. Trade receivables are initially recognized when they are originated. Regular-way purchases and \r\nsales of financial assets are recognized on the settlement date. Other financial assets and \r\nfinancial liabilities are recognized when the Group becomes party to the instrument&#8217;s contractual \r\nterms. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for trade and other receivables [text block]","Documentation":"The description of the entity's accounting policy for trade and other receivables. [Refer: Trade and other receivables]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642717,"FileId":7831,"Sequence":299,"PageIdentifier":"5b6511f0-6cf3-473a-9516-ae68d012d291","ElementIdentifier":"43876ceb-0622-4711-b681-0a158ed85da5","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyToDetermineComponentsOfCashAndCashEquivalents","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Cash and cash equivalents are measured at amortized cost.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for determining components of cash and cash equivalents [text block]","Documentation":"The description of the entity's accounting policy used to determine the components of cash and cash equivalents. [Refer: Cash and cash equivalents]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642716,"FileId":7831,"Sequence":300,"PageIdentifier":"5b6511f0-6cf3-473a-9516-ae68d012d291","ElementIdentifier":"b05276d2-b21b-47aa-8475-2d4679b974eb","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForIssuedCapitalExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Shareholders&#8217; Equity The share premium reserve is comprised of the amount received, attributable to shareholders&#8217; \r\nequity, in excess of the nominal amount of the shares issued, reduced by any amount allocated \r\nexternal expenses directly attributable to the offerings. The share premium reserve can be \r\ndistributed. \r\nShareholders are entitled to dividends which are determined after they become shareholders. \r\nShareholdings entitle a shareholder to one vote per share at general meetings. \r\nThe year 2022 additions of Class C shares refer to the new issue and subsequent repurchase \r\nof Class C shares related to the funding of the long-term incentive plan (LTIP) 2022, as \r\napproved by the 2022 AGM. \r\nThe treasury shares reserves comprise own shares repurchased by the Group. \r\nThe translation reserve comprises all foreign exchange differences arising on translation of \r\nfinancial statements from foreign business prepared in currency other than the reporting \r\ncurrency for the financial statements of the Group. \r\nRetained earnings/accumulated deficit, including profit/loss for the year, includes profits \r\nearned/losses incurred by the Group and its subsidiaries. Previous allocations to statutory \r\nreserves, excluding transferred share premium reserves, are included in this shareholders&#8217; \r\nequity item. \r\nNo dividend was paid for the periods ended December 31, 2022, or 2021.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for issued capital [text block]","Documentation":"The description of the entity's accounting policy for issued capital. [Refer: Issued capital]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642715,"FileId":7831,"Sequence":301,"PageIdentifier":"5b6511f0-6cf3-473a-9516-ae68d012d291","ElementIdentifier":"62d7b1f6-2656-4217-a5dc-ca95a4ee38af","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForLeasesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Leases The Group leases various offices, laboratory facilities, equipment and vehicles. Rental contracts \r\nare typically made for fixed periods of three to four years, but certain contracts may have \r\nextension options. \r\nContracts may contain both lease and non-lease components. The Group allocates the \r\nconsideration in the contract to the lease and non-lease components based on their relative \r\nstand-alone prices. For leases of real estate, it has elected not to separate lease and non-lease \r\ncomponents and instead accounts for these as a single lease component. Lease terms are \r\nnegotiated on an individual basis and contain a wide range of different terms and conditions. \r\nThe lease agreements do not impose any covenants other than the security interests in the \r\nleased assets that are held by the lessor. Leases are recognized as right-of-use assets and \r\ncorresponding liabilities at the date at which the underlying assets are available for use by the \r\nGroup. Leased assets and lease liabilities arising from a lease are initially measured at present \r\nvalue. Lease liabilities include the net present value of the lease payments, and they are \r\ndiscounted using the lessee&#8217;s incremental borrowing rate.  \r\n\r\nSubsequent to initial recognition, the right-of-use is measured at amortized cost using the \r\neffective interest method. \r\nLeased assets are generally depreciated over the shorter of the asset&#8217;s useful life and the lease \r\nterm on a straight-line basis. If the Group is reasonably certain to exercise a purchase option, \r\nthe right-of-use assets are depreciated over the underlying asset&#8217;s useful life. Payments \r\nassociated with short-term leases of equipment and all leases of low-value assets are \r\nrecognized on a straight-line basis as an expense in the consolidated statement of profit or loss \r\nand other comprehensive income. Short-term leases are leases with a lease term of twelve \r\nmonths or less. Low-value assets comprise mainly of IT equipment and small items of office \r\nfurniture. \r\nExtension and termination options are included in a number of property and equipment leases \r\nacross the Group. These are used to maximize operational flexibility in terms of managing the \r\nassets used in the Group&#8217;s operations. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for leases [text block]","Documentation":"The description of the entity's accounting policy for leases. A lease is an agreement whereby the lessor conveys to the lessee in return for a payment or series of payments the right to use an asset for an agreed period of time.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642714,"FileId":7831,"Sequence":302,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7","ElementIdentifier":"20641599-1c07-4a81-b0fa-4e7a34e1260a","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForTradeAndOtherPayablesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Trade Payables Trade payables are measured in the consolidated statement of financial position at amortized \r\ncost. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for trade and other payables [text block]","Documentation":"The description of the entity's accounting policy for trade and other payables. [Refer: Trade and other payables]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642713,"FileId":7831,"Sequence":303,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7","ElementIdentifier":"3395e358-70c6-4405-ba16-00b5d6961131","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForFinancialAssetsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Financial Instruments Financial instruments which are recognized in the consolidated statement of financial position \r\ninclude, on the assets side, cash and equivalents, short term investments, other receivables, \r\ntrade receivables and listed shares. On the liability side, long-term loan, trade payables and \r\ncontingent consideration. \r\nTrade receivables are initially recognized when they are originated. Regular-way purchases and \r\nsales of financial assets are recognized on the settlement date. Other financial assets and \r\nfinancial liabilities are recognized when the Group becomes party to the instrument&#8217;s contractual \r\nterms. \r\nFinancial instruments are initially recognized at fair value with the addition/deduction for \r\ntransaction expenses, except for instruments that are continuously measured at fair value \r\nthrough the consolidated statement of profit or loss and other comprehensive income (loss) for \r\nwhich transaction expenses are instead expensed when they arise. Trade receivables (without \r\na significant financing component) are initially valued at the transaction price as determined in \r\naccordance with IFRS 15. \r\nOn initial recognition, a financial asset is classified as measured at: amortized cost, fair value \r\nthrough other comprehensive income (debt instrument investment), fair value through other \r\ncomprehensive income (equity investment), or fair value through the consolidated statement of \r\nprofit or loss and other comprehensive income (loss). \r\nHoldings of units in interest funds are reported at fair value through the consolidated statement \r\nof profit or loss and other comprehensive income (loss). The shares (seen from the fund&#8217;s \r\nperspective) constitute financial liabilities and as such do not give rise to solely payments of \r\nprincipal and interest and do therefore not fulfil the amortized cost requirements. \r\nOther financial assets that are held within the framework of a business model with a goal to \r\nobtain the contractual cash flows at the same time as the cash flows from the assets and \r\nconsist solely of payments of principal and interest (SPPI) are recognized at amortized cost. \r\nFinancial liabilities are classified as valued at amortized cost or valued at fair value through the \r\nconsolidated statement of profit or loss and other comprehensive income (loss). Financial \r\nliabilities that are measured at fair value through the consolidated statement of profit or loss and \r\nother comprehensive income (loss) consist of contingent consideration, not yet paid. Other \r\nfinancial liabilities are valued at amortized cost. \r\nFinancial assets are derecognized when the rights to receive cash flows from the financial \r\nassets have expired or have been transferred and the Group has transferred substantially all \r\nthe risks and rewards of ownership. \r\nThe Group derecognizes a financial liability from the consolidated statement of financial position \r\nwhen, and only when, it is extinguished. That is, when the obligations specified in the contract is \r\neither discharged or cancelled or has expired. The Group also removes a financial liability from \r\nthe statement of financial position when the contractual terms are modified and the cash flows \r\nfrom the modified debt are significantly different. In that case, a new financial liability is reported \r\nat fair value based on the modified terms.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for financial assets [text block]","Documentation":"The description of the entity's accounting policy for financial assets. [Refer: Financial assets]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642712,"FileId":7831,"Sequence":304,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7","ElementIdentifier":"d2a99996-8935-45a3-a3a3-09e279b4b1ff","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForFinancialInstrumentsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Financial Instruments Financial instruments which are recognized in the consolidated statement of financial position \r\ninclude, on the assets side, cash and equivalents, short term investments, other receivables, \r\ntrade receivables and listed shares. On the liability side, long-term loan, trade payables and \r\ncontingent consideration. \r\nTrade receivables are initially recognized when they are originated. Regular-way purchases and \r\nsales of financial assets are recognized on the settlement date. Other financial assets and \r\nfinancial liabilities are recognized when the Group becomes party to the instrument&#8217;s contractual \r\nterms. \r\nFinancial instruments are initially recognized at fair value with the addition/deduction for \r\ntransaction expenses, except for instruments that are continuously measured at fair value \r\nthrough the consolidated statement of profit or loss and other comprehensive income (loss) for \r\nwhich transaction expenses are instead expensed when they arise. Trade receivables (without \r\na significant financing component) are initially valued at the transaction price as determined in \r\naccordance with IFRS 15. \r\nOn initial recognition, a financial asset is classified as measured at: amortized cost, fair value \r\nthrough other comprehensive income (debt instrument investment), fair value through other \r\ncomprehensive income (equity investment), or fair value through the consolidated statement of \r\nprofit or loss and other comprehensive income (loss). \r\nHoldings of units in interest funds are reported at fair value through the consolidated statement \r\nof profit or loss and other comprehensive income (loss). The shares (seen from the fund&#8217;s \r\nperspective) constitute financial liabilities and as such do not give rise to solely payments of \r\nprincipal and interest and do therefore not fulfil the amortized cost requirements. \r\nOther financial assets that are held within the framework of a business model with a goal to \r\nobtain the contractual cash flows at the same time as the cash flows from the assets and \r\nconsist solely of payments of principal and interest (SPPI) are recognized at amortized cost. \r\nFinancial liabilities are classified as valued at amortized cost or valued at fair value through the \r\nconsolidated statement of profit or loss and other comprehensive income (loss). Financial \r\nliabilities that are measured at fair value through the consolidated statement of profit or loss and \r\nother comprehensive income (loss) consist of contingent consideration, not yet paid. Other \r\nfinancial liabilities are valued at amortized cost. \r\nFinancial assets are derecognized when the rights to receive cash flows from the financial \r\nassets have expired or have been transferred and the Group has transferred substantially all \r\nthe risks and rewards of ownership. \r\nThe Group derecognizes a financial liability from the consolidated statement of financial position \r\nwhen, and only when, it is extinguished. That is, when the obligations specified in the contract is \r\neither discharged or cancelled or has expired. The Group also removes a financial liability from \r\nthe statement of financial position when the contractual terms are modified and the cash flows \r\nfrom the modified debt are significantly different. In that case, a new financial liability is reported \r\nat fair value based on the modified terms.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for financial instruments [text block]","Documentation":"The description of the entity's accounting policy for financial instruments. [Refer: Financial instruments, class [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642711,"FileId":7831,"Sequence":305,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7","ElementIdentifier":"ff2d49b0-da93-423b-b7b8-2c427ad9ba55","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForBorrowingsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Financial InstrumentsFinancial instruments which are recognized in the consolidated statement of financial position \r\ninclude, on the assets side, cash and equivalents, short term investments, other receivables, \r\ntrade receivables and listed shares. On the liability side, long-term loan, trade payables and \r\ncontingent consideration. Financial instruments are initially recognized at fair value with the addition/deduction for transaction expenses, except for instruments that are continuously measured at fair value \r\nthrough the consolidated statement of profit or loss and other comprehensive income (loss) for \r\nwhich transaction expenses are instead expensed when they arise. Trade receivables (without \r\na significant financing component) are initially valued at the transaction price as determined in \r\naccordance with IFRS 15. Financial liabilities are classified as valued at amortized cost or valued at fair value through theconsolidated statement of profit or loss and other comprehensive income (loss). Financial \r\nliabilities that are measured at fair value through the consolidated statement of profit or loss and \r\nother comprehensive income (loss) consist of contingent consideration, not yet paid. Other \r\nfinancial liabilities are valued at amortized cost. The Group derecognizes a financial liability from the consolidated statement of financial position \r\nwhen, and only when, it is extinguished. That is, when the obligations specified in the contract is \r\neither discharged or cancelled or has expired. The Group also removes a financial liability from \r\nthe statement of financial position when the contractual terms are modified and the cash flows \r\nfrom the modified debt are significantly different. In that case, a new financial liability is reported \r\nat fair value based on the modified terms. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for borrowings [text block]","Documentation":"The description of the entity's accounting policy for borrowings. [Refer: Borrowings]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642720,"FileId":7831,"Sequence":306,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7","ElementIdentifier":"4a718bb4-6179-4403-a334-504847cd3083","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForFinancialInstrumentsAtFairValueThroughProfitOrLossExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Financial instruments are initially recognized at fair value with the addition/deduction for transaction expenses, except for instruments that are continuously measured at fair value \r\nthrough the consolidated statement of profit or loss and other comprehensive income (loss) for \r\nwhich transaction expenses are instead expensed when they arise. Trade receivables (without \r\na significant financing component) are initially valued at the transaction price as determined in \r\naccordance with IFRS 15. \r\nOn initial recognition, a financial asset is classified as measured at: amortized cost, fair value \r\nthrough other comprehensive income (debt instrument investment), fair value through other \r\ncomprehensive income (equity investment), or fair value through the consolidated statement of \r\nprofit or loss and other comprehensive income (loss). \r\nHoldings of units in interest funds are reported at fair value through the consolidated statement \r\nof profit or loss and other comprehensive income (loss). The shares (seen from the fund&#8217;s \r\nperspective) constitute financial liabilities and as such do not give rise to solely payments of \r\nprincipal and interest and do therefore not fulfil the amortized cost requirements. \r\nOther financial assets that are held within the framework of a business model with a goal to \r\nobtain the contractual cash flows at the same time as the cash flows from the assets and \r\nconsist solely of payments of principal and interest (SPPI) are recognized at amortized cost. \r\nFinancial liabilities are classified as valued at amortized cost or valued at fair value through the \r\nconsolidated statement of profit or loss and other comprehensive income (loss). Financial \r\nliabilities that are measured at fair value through the consolidated statement of profit or loss and \r\nother comprehensive income (loss) consist of contingent consideration, not yet paid. Other \r\nfinancial liabilities are valued at amortized cost.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for financial instruments at fair value through profit or loss [text block]","Documentation":"The description of the entity's accounting policy for financial instruments at fair value through profit or loss. [Refer: At fair value [member]; Financial instruments, class [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642733,"FileId":7831,"Sequence":307,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7","ElementIdentifier":"0a09b347-3ece-4e8d-936e-ce97ad724c02","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForFinancialLiabilitiesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Financial liabilities are classified as valued at amortized cost or valued at fair value through the consolidated statement of profit or loss and other comprehensive income (loss). Financial \r\nliabilities that are measured at fair value through the consolidated statement of profit or loss and \r\nother comprehensive income (loss) consist of contingent consideration, not yet paid. Other \r\nfinancial liabilities are valued at amortized cost.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for financial liabilities [text block]","Documentation":"The description of the entity's accounting policy for financial liabilities. [Refer: Financial liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642744,"FileId":7831,"Sequence":308,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7","ElementIdentifier":"3ca8bf03-233d-4059-b311-0037109babb2","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForDerecognitionOfFinancialInstrumentsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Financial assets are derecognized when the rights to receive cash flows from the financial assets have expired or have been transferred and the Group has transferred substantially all \r\nthe risks and rewards of ownership. The Group derecognizes a financial liability from the consolidated statement of financial position \r\nwhen, and only when, it is extinguished. That is, when the obligations specified in the contract is \r\neither discharged or cancelled or has expired. The Group also removes a financial liability from \r\nthe statement of financial position when the contractual terms are modified and the cash flows \r\nfrom the modified debt are significantly different. In that case, a new financial liability is reported \r\nat fair value based on the modified terms.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for derecognition of financial instruments [text block]","Documentation":"The description of the entity's accounting policy for the derecognition of financial instruments. [Refer: Financial instruments, class [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642734,"FileId":7831,"Sequence":309,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7","ElementIdentifier":"1e44d0a0-2286-459b-ac20-2db1a7bfef0f","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForImpairmentOfFinancialAssetsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Impairment of financial assets For financial assets valued at amortized cost, a reserve must be booked for expected credit \r\nlosses according to IFRS 9. The loss reserve for trade receivable is valued at an amount \r\ncorresponding to the expected losses for the remaining term. In addition, the  loss reserve for \r\ndeposits in banks is insignificant since the Group&#8217;s deposits are held with Swedish banks with \r\ngood credit rating and the deposits may be withdrawn upon request.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for impairment of financial assets [text block]","Documentation":"The description of the entity's accounting policy for the impairment of financial assets. [Refer: Financial assets]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642754,"FileId":7831,"Sequence":310,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3","ElementIdentifier":"99eeabc9-7154-4e0b-96c0-159e6db8adb5","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForCashFlowsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Statement of Cash Flow The cash flow statement is presented using the indirect method with basis in the net result. \r\nCash flow from operating activities is stated as the net result adjusted for net financial items, \r\nnon-cash operating items such as depreciation, amortization, impairment losses, share-based \r\ncompensation expenses, provisions, and for changes in working capital, interest paid and \r\nreceived, and corporate taxes paid. Working capital mainly comprises changes in receivables, \r\ndeferred revenue, provisions paid and other payables excluding the items included in cash and \r\ncash equivalents. Changes in non-current assets and liabilities are included in working capital, if \r\nrelated to the main revenue-producing activities of the Group. \r\nCash flow from investing activities is comprised of cash flow from the purchase and sale of \r\nintangible assets and property and equipment and financial assets as well as purchase and sale \r\nof marketable securities. \r\nCash flow from financing activities is comprised of cash flow from the issuance of shares, if any, \r\nand payment of long-term loans including instalments on lease liabilities. \r\nCash and cash equivalents, consist of bank deposits. The cash flow statement cannot be \r\nderived solely from the financial statements.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for cash flows [text block]","Documentation":"The description of the entity's accounting policy for cash flows.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642753,"FileId":7831,"Sequence":311,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3","ElementIdentifier":"ef964532-5383-48de-bc31-f5a62917e1de","ElementType":2,"TagName":"ifrs-full:DisclosureOfEntitysReportableSegmentsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Segment Reporting The Group is managed and operated as one operating and reportable segment. No separate \r\noperating segments or reportable segments have been identified in relation to product \r\ncandidates or geographical markets. Accordingly, except for entity wide disclosures, no \r\nsegment information on business segments or geographical markets is disclosed.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of entity's operating segments [text block]","Documentation":"The entire disclosure for operating segments.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642752,"FileId":7831,"Sequence":312,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3","ElementIdentifier":"fef1b599-181b-4070-b031-7bb20f93f457","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForSegmentReportingExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Segment Reporting The Group is managed and operated as one operating and reportable segment. No separate \r\noperating segments or reportable segments have been identified in relation to product \r\ncandidates or geographical markets. Accordingly, except for entity wide disclosures, no \r\nsegment information on business segments or geographical markets is disclosed.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for segment reporting [text block]","Documentation":"The description of the entity's accounting policy for segment reporting.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642751,"FileId":7831,"Sequence":313,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3","ElementIdentifier":"d3e3c889-e0d2-46a1-88fa-139d83332723","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForEarningsPerShareExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Earnings per Share Basic Earnings per Share (EPS) is calculated by dividing profit or loss attributable to ordinary \r\nequity holders of the parent entity by the weighted average number of ordinary shares \r\noutstanding during the period. Diluted earnings per share is calculated as profit or loss \r\nattributable to ordinary equity holders of the parent entity divided by the weighted average \r\nnumber of ordinary shares outstanding during the period, both adjusted for the effects of all \r\ndilutive potential ordinary shares. If the result is a net loss, no adjustment is made for the \r\ndilutive effect, as such effect would be anti-dilutive.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for earnings per share [text block]","Documentation":"The description of the entity's accounting policy for earnings per share.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642750,"FileId":7831,"Sequence":314,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3","ElementIdentifier":"97ec5e4b-d571-4536-9174-20d808cb7477","ElementType":2,"TagName":"ifrs-full:DescriptionOfAccountingPolicyForTreasurySharesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Treasury Shares The treasury shares reserves comprise own shares repurchased by the Group. The total \r\namount paid to acquire treasury shares including directly attributable costs and the proceeds \r\nfrom the sale of treasury shares are recognized in treasury share reserve. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Description of accounting policy for treasury shares [text block]","Documentation":"The description of the entity's accounting policy for treasury shares. [Refer: Treasury shares]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642749,"FileId":7831,"Sequence":315,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3","ElementIdentifier":"c6fb908d-9a60-454b-9b8e-1878c06b3188","ElementType":2,"TagName":"ifrs-full:DescriptionOfExpectedImpactOfInitialApplicationOfNewStandardsOrInterpretations","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"New Accounting Policies and Disclosures effective 2022 In the year ended December 31, 2022, the Group has applied the below amendments to IFRS \r\nand interpretations issued by the Board, as applicable. Their adoption has not had any material \r\nimpact on the disclosure or on the amounts reported in these consolidated financial statements. \r\nAmendments to IFRS 3 Business Combinations \r\nAmendments to IFRS 3 to update the references to the Conceptual Framework for Financial \r\nReporting. The amendment also adds an exception for the recognition of liabilities and \r\ncontingent liabilities within the scope of IAS 37 Provisions, Contingent liabilities and Contingent \r\nAssets and Interpretation 21 Levies. The amendments also confirm that contingent assets \r\nshould not be recognized at the acquisition date. The amendments are effective for periods \r\nbeginning on January 1, 2022. \r\nAmendment to IAS 37 Provisions, Contingent Liabilities and Contingent Assets \r\nThe amendment to IAS 37 clarifies that the direct costs of fulfilling a contract include both the \r\nincremental costs of fulfilling the contract and an allocation of other costs directly related to \r\nfulfilling contracts. The amendment is effective for periods beginning on January 1, 2022. \r\nAmendments to IAS 16 Property, Plant and Equipment \r\nThe amendment to IAS 16 prohibits an entity from deducting from the cost of an item of \r\nproperty, plant and equipment any proceeds received from selling items produced while the \r\nentity is preparing the asset for its intended use. The amendment is effective for periods \r\nbeginning on January 1, 2022.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of expected impact of initial application of new standards or interpretations [text block]","Documentation":"The disclosure of the known or reasonably estimable information relevant to assessing the possible impact that the application of a new IFRS, that has been issued but is not yet effective, will have.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":false},{"Id":3642748,"FileId":7831,"Sequence":316,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3","ElementIdentifier":"75610fb5-b46a-407e-b40d-3837d9f89456","ElementType":2,"TagName":"ifrs-full:DescriptionOfInitialApplicationOfStandardsOrInterpretations","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Standards, amendments, and interpretations in issue The adoption of the following mentioned standards, amendments and interpretations in future \r\nyears are not expected to have a material impact on the Group&#8217;s financial statements: \r\nEffective date periods beginning on or after \r\nIAS 1 Presentation of Financial Statements: Amendments in \r\nrelation to the classification of liabilities as current or non- \r\ncurrent \r\nJanuary 1, 2024 \r\nDisclosure of Accounting Policies (Amendments to IAS 1 and \r\nIFRS Practice Statement 2). \r\nJanuary 1, 2023 \r\nDeferred Tax related to Assets and Liabilities arising from a \r\nSingle Transaction (Amendments to IAS 12) \r\nJanuary 1, 2023 \r\nDefinition of Accounting Estimates (Amendments to IAS 8) January 1, 2023 \r\nThe Group has not elected to early adopt any of the above standards, amendments and \r\ninterpretations in the years ended December 31, 2022, and 2021. The Group plans to adopt these standards on the effective dates.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of initial application of standards or interpretations [text block]","Documentation":"The disclosure of the initial application of an IFRS. [Refer: IFRSs [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":false},{"Id":3642747,"FileId":7831,"Sequence":317,"PageIdentifier":"99ab4fa7-2bd6-4e84-9e25-f6023ffce9f2","ElementIdentifier":"e1a05d07-7cd4-462c-a852-c9a554bef28d","ElementType":2,"TagName":"ifrs-full:DisclosureOfAccountingJudgementsAndEstimatesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 3 Use of judgements and estimates \r\nIn the application of the Group&#8217;s accounting policies, management is required to make \r\njudgements, estimates and assumptions about the carrying amounts of assets and liabilities that \r\nare not readily apparent from other sources. Judgements and estimates applied are based on \r\nhistorical experience and other factors that are relevant, and which are available at the reporting \r\ndate. Uncertainty concerning judgements and estimates could result in outcomes, that require a \r\nmaterial adjustment to assets and liabilities in future periods. \r\nEstimates and underlying assumptions are reviewed on an ongoing basis. Revisions to \r\naccounting estimates are recognized in the period in which the estimate is revised if the revision \r\naffects only that period, or in the period of the revision and future periods if the revision affects \r\nboth current and future periods. While the application of critical accounting estimates is subject \r\nto material estimation uncertainties, management&#8217;s ongoing revisions of critical accounting \r\nestimates have not revealed any material impact in any of the years ended December 31, 2022, \r\nand 2021. \r\nSignificant judgements made in the application of the Group&#8217;s accounting policies \r\nSignificant judgements that management has made in the process of applying the Group&#8217;s \r\naccounting principles are described below. \r\nRevenue \r\nRevenue is primarily generated from product sales and license agreements, which typically \r\ninvolve multiple promises, and thus require significant judgements by the Group on certain \r\nareas including: \r\n&gt; Determining whether the promises in the agreements are distinct performance obligations; \r\n&gt; Identifying and constraining variable consideration in the transaction price including milestone \r\npayments; \r\n&gt; Allocating transaction price to identified performance obligations based on their relative stand- \r\nalone selling prices; \r\n&gt; Determining whether performance obligations are satisfied over time, or at a point in time; and \r\n&gt; Classification of licenses as &#8220;Right-to-Use&#8221; or &#8220;Right-to-Access&#8221;. \r\nRegarding the classification of licenses as &#8220;Right-to-Use&#8221; or &#8220;Right-to-Access&#8221;, the Group \r\nconsiders whether it is obligated or expected to perform research and development activities \r\nthat significantly affect the licensee&#8217;s ability to benefit from product candidates. If the Group is \r\ncontractually obligated or is expected to perform research and development activities affecting \r\nthe stand-alone functionality of the product candidate, the license is classified as &#8220;right-to- \r\naccess&#8221;. The licensed products have been considered &#8220;rights-to-access&#8221; since the Group is \r\nrequired to perform activities that significantly affect the licensee&#8217;s ability to benefit from the \r\nproducts. \r\nShare-Based Payment \r\nIFRS 2, &#8220;Share-Based Payment&#8221; requires an entity to reflect in its consolidated statement of \r\nprofit or loss and other comprehensive income (loss) and consolidated statement of financial \r\nposition, the effects of share-based payment transactions. Share-based compensation costs are \r\nrecognized as research and development expenses or selling, general and administrative \r\nexpenses, as appropriate, over the vesting period, based on management&#8217;s best estimate of the \r\nnumber of awards that will ultimately vest, which is subject to uncertainty. In addition, share- \r\nbased compensation costs are measured according to the grant date fair values of the \r\ninstruments granted. Estimating fair values requires the Group to apply generally accepted \r\nvaluation models and apply these models consistently according to the terms and conditions of \r\nthe specific share-based compensation programs. Depending on the instrument, the Group \r\napplies the Black Scholes or the Monte Carlo model to determine the fair value of the awards \r\ngranted. Subjective judgements and assumptions, which are subject to estimation uncertainties, \r\nneed to be exercised in determining the appropriate input to the valuation model.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of accounting judgements and estimates [text block]","Documentation":"The disclosure of judgements that management has made in the process of applying the entity's accounting policies that have the most significant effect on amounts recognised in the financial statements along with information about the assumptions that the entity makes about the future, and other major sources of estimation uncertainty at the end of the reporting period, that have a significant risk of resulting in a material adjustment to the carrying amounts of assets and liabilities within the next year. [Refer: Carrying amount [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642746,"FileId":7831,"Sequence":318,"PageIdentifier":"99ab4fa7-2bd6-4e84-9e25-f6023ffce9f2","ElementIdentifier":"b6e3cceb-345c-4c3e-afae-de1b4aae6c16","ElementType":2,"TagName":"ifrs-full:DisclosureOfIntangibleAssetsAndGoodwillExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 4 Intangible Assets \r\nInternally generated intangible assets \r\nExpenditure on research activities is recognized as an expense in the period in which it is incurred. \r\nAn internally&#8209;generated intangible asset arising from development (or from the development \r\nphase of an internal project) is recognized if, and only if, all of the following have been \r\ndemonstrated in accordance with IAS 38: \r\n&gt; the technical feasibility of completing the intangible asset so that it will be available for use or \r\nsale; \r\n&gt; the intention to complete the intangible asset and use or sell it; \r\n&gt; the ability to use or sell the intangible asset; \r\n&gt; how the intangible asset will generate probable future economic benefits; \r\n&gt; the availability of adequate technical, financial and other resources to complete the \r\ndevelopment and to use or sell the intangible asset; \r\n&gt; and the ability to measure reliably the expenditure attributable to the intangible asset during \r\nits development. \r\nThe amount initially recognized for internally&#8209;generated intangible assets is the sum of the \r\nexpenditure incurred from the date when the intangible asset first meets ALL the recognition \r\ncriteria listed above. Where no internally&#8209;generated intangible asset can be recognized, \r\ndevelopment expenditures are recognized in the statement of profit and loss and other \r\ncomprehensive income in the period in which they are incurred. \r\nThe Company assessed that with respect to Idefirix \r\n&#174; \r\n(imlifidase) and its conditional approval by \r\nEMA in enabling kidney transplantation in highly sensitized patients it does meet all the above \r\ncriteria as of Q4-2022. Going forward, the Company will on a quarterly basis re-assess whether \r\nor not it continues to meet all above criteria and continue to capitalize respective cost for as \r\nlong as all criteria are met.  \r\n\r\nFor the year ending December 31, 2022 the Company capitalized development cost in the \r\namount of SEK 20.9 million related to performing its Idefirix \r\n&#174; \r\n(imlifidase) EMA post-approval \r\ncommitments. Capitalized development cost mainly include fees paid to 3 \r\nrd \r\nparty service \r\nproviders, personnel expenses of Hansa staff and approportionate finance cost. \r\nDue to uncertainties inherent to the development and registration with the relevant healthcare \r\nauthorities of imlifidase in any other indications, the Company estimates that the conditions for \r\ncapitalization are not yet met and thus does not capitalize any development cost related to such \r\nother indications. \r\nSubsequent to initial recognition, internally-generated intangible assets are reported at cost less \r\naccumulated amortization and accumulated impairment losses, on the same basis as intangible \r\nassets that are acquired separately. \r\nCapitalized internal development expenditures for imlifidase&#8217;s previous production process were \r\ncompletely amortized during the year 2018 and written-off in 2022.  \r\nAcquired intangible assets \r\nPatents \r\nThe HBP-assay patent cost is amortized over the finite useful life of the underlying patent in the \r\namount of SEK 559 k for the year 2022 (2021: SEK 559 k). The patent cost is amortized over \r\nsales, general and administration line item in the consolidated statement of profit or loss and \r\nother comprehensive income. \r\nHBP-assay is a method of analysis used to predict severe sepsis in emergency clinics. A first version \r\nhas been launched, primarily intended for research purposes and interested specialists. The HBP- \r\nassay has been licensed to a cooperating partner, Axis-Shield Diagnostics Ltd. (Axis-Shield), which is \r\ncurrently developing a fully commercial product. The Company receives milestone compensation and \r\nadditional royalty revenue upon the sale of the sublicensed technology. \r\nIn-process development projects \r\nCertain projects pending in the Group are a combination of acquired development projects and \r\ncontinued activities in these projects. Of the total acquisition cost for acquired in-process \r\ndevelopment projects, approximately 75% relates to imlifidase and 25% relates to HBP-assay. \r\nThe acquired intangible asset relating to imlifidase presented as in-process development \r\nprojects will be amortized over the estimated useful life of the underlying asset. Following the \r\nfirst commercial sale of imlifidase in Q1-2021 the Group started to amortize the SEK 25,136 k \r\nfrom the period of first sale in Q1-2021. The estimated useful life is 12 years. \r\nAcquired in-process development projects are assessed for possible impairment at least on an \r\nannual basis and the impairment assessment on December 31, 2022, and 2021 demonstrated \r\nthat there was no need for impairment. The estimated recoverable amount supported by \r\nexternal and internal valuation reports by far exceeds the assets&#8217; carrying amount, resulting in \r\nno impairment charges for the year 2022 and 2021. \r\nInternally generated Acquired intangible assets \r\n(in thousands of SEK) \r\nCapatalized \r\ndevelopment costs Patents \r\nIn-process \r\ndevelopment \r\nprojects \r\nTotal Intangible \r\nAssets \r\nCost: \r\nOpening balance \r\nJanuary 1, 2022 \r\n4,485 12,339 25,136 41,960 \r\nWrite-off (4,485) (4,485) \r\nInternally developed 20,853 &#8212; &#8212; 20,853 \r\nEffects of movements in \r\nexchange rates \r\n&#8212; 162 &#8212; 162 \r\nClosing balance \r\nDecember 31, 2022 \r\n20,853 12,501 25,136 58,490 \r\nAmortization: \r\nOpening balance \r\nJanuary 1, 2022 \r\n(4,485) (6,619) (2,094) (13,199) \r\nWrite-off 4,485 4,485 \r\nAmortization for the year &#8212; (758) (2,094) (2,852) \r\nEffects of movements in \r\nexchange rates \r\n&#8212; (58) &#8212; (58) \r\nClosing balance \r\nDecember 31, 2022 \r\n&#8212; (7,435) (4,188) (11,624) \r\nCarrying amounts: \r\nAt January 1, 2022 &#8212; 5,720 23,042 28,761 \r\nAt December 31, 2022 20,853 5,066 20,948 46,866  \r\n\r\nInternally generated Acquired intangible assets \r\n(in thousands of SEK) \r\nCapitalized \r\ndevelopment \r\nexpenditures Patents \r\nIn-process \r\ndevelopment \r\nprojects \r\nTotal Intangible \r\nAssets \r\nCost: \r\nOpening balance \r\nJanuary 1, 2021 \r\n4,485 1, 069 25,136 41,690 \r\nEffects of movements in \r\nexchange rates \r\n&#8212; 270 &#8212; 270 \r\nClosing balance \r\nDecember 31, 2021 \r\n4,485 12,339 25,136 41,960 \r\nAmortization: \r\nOpening balance \r\nJanuary 1, 2021 \r\n(4,485) (5,794) &#8212; (10,280) \r\nAmortization for the year &#8212; (747) (2,094) (2,841) \r\nEffects of movements in \r\nexchange rates \r\n&#8212; (78) &#8212; (78) \r\nClosing balance \r\nDecember 31, 2021 \r\n(4,485) (6,619) (2,094) (13,199) \r\nCarrying amounts: \r\nAt January 1, 2021 &#8212; 6,275 25,136 31,410 \r\nAt December 31, 2021 &#8212; 5,720 23,042 28,761","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of intangible assets and goodwill [text block]","Documentation":"The disclosure of intangible assets and goodwill. [Refer: Intangible assets and goodwill]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642755,"FileId":7831,"Sequence":319,"PageIdentifier":"99ab4fa7-2bd6-4e84-9e25-f6023ffce9f2","ElementIdentifier":"6c2ec5ce-d0a7-4588-b119-8e0485680e12","ElementType":2,"TagName":"ifrs-full:DisclosureOfIntangibleAssetsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 4 Intangible Assets \r\nInternally generated intangible assets \r\nExpenditure on research activities is recognized as an expense in the period in which it is incurred. \r\nAn internally&#8209;generated intangible asset arising from development (or from the development \r\nphase of an internal project) is recognized if, and only if, all of the following have been \r\ndemonstrated in accordance with IAS 38: \r\n&gt; the technical feasibility of completing the intangible asset so that it will be available for use or \r\nsale; \r\n&gt; the intention to complete the intangible asset and use or sell it; \r\n&gt; the ability to use or sell the intangible asset; \r\n&gt; how the intangible asset will generate probable future economic benefits; \r\n&gt; the availability of adequate technical, financial and other resources to complete the \r\ndevelopment and to use or sell the intangible asset; \r\n&gt; and the ability to measure reliably the expenditure attributable to the intangible asset during \r\nits development. \r\nThe amount initially recognized for internally&#8209;generated intangible assets is the sum of the \r\nexpenditure incurred from the date when the intangible asset first meets ALL the recognition \r\ncriteria listed above. Where no internally&#8209;generated intangible asset can be recognized, \r\ndevelopment expenditures are recognized in the statement of profit and loss and other \r\ncomprehensive income in the period in which they are incurred. \r\nThe Company assessed that with respect to Idefirix \r\n&#174; \r\n(imlifidase) and its conditional approval by \r\nEMA in enabling kidney transplantation in highly sensitized patients it does meet all the above \r\ncriteria as of Q4-2022. Going forward, the Company will on a quarterly basis re-assess whether \r\nor not it continues to meet all above criteria and continue to capitalize respective cost for as \r\nlong as all criteria are met.  \r\n\r\nFor the year ending December 31, 2022 the Company capitalized development cost in the \r\namount of SEK 20.9 million related to performing its Idefirix \r\n&#174; \r\n(imlifidase) EMA post-approval \r\ncommitments. Capitalized development cost mainly include fees paid to 3 \r\nrd \r\nparty service \r\nproviders, personnel expenses of Hansa staff and approportionate finance cost. \r\nDue to uncertainties inherent to the development and registration with the relevant healthcare \r\nauthorities of imlifidase in any other indications, the Company estimates that the conditions for \r\ncapitalization are not yet met and thus does not capitalize any development cost related to such \r\nother indications. \r\nSubsequent to initial recognition, internally-generated intangible assets are reported at cost less \r\naccumulated amortization and accumulated impairment losses, on the same basis as intangible \r\nassets that are acquired separately. \r\nCapitalized internal development expenditures for imlifidase&#8217;s previous production process were \r\ncompletely amortized during the year 2018 and written-off in 2022.  \r\nAcquired intangible assets \r\nPatents \r\nThe HBP-assay patent cost is amortized over the finite useful life of the underlying patent in the \r\namount of SEK 559 k for the year 2022 (2021: SEK 559 k). The patent cost is amortized over \r\nsales, general and administration line item in the consolidated statement of profit or loss and \r\nother comprehensive income. \r\nHBP-assay is a method of analysis used to predict severe sepsis in emergency clinics. A first version \r\nhas been launched, primarily intended for research purposes and interested specialists. The HBP- \r\nassay has been licensed to a cooperating partner, Axis-Shield Diagnostics Ltd. (Axis-Shield), which is \r\ncurrently developing a fully commercial product. The Company receives milestone compensation and \r\nadditional royalty revenue upon the sale of the sublicensed technology. \r\nIn-process development projects \r\nCertain projects pending in the Group are a combination of acquired development projects and \r\ncontinued activities in these projects. Of the total acquisition cost for acquired in-process \r\ndevelopment projects, approximately 75% relates to imlifidase and 25% relates to HBP-assay. \r\nThe acquired intangible asset relating to imlifidase presented as in-process development \r\nprojects will be amortized over the estimated useful life of the underlying asset. Following the \r\nfirst commercial sale of imlifidase in Q1-2021 the Group started to amortize the SEK 25,136 k \r\nfrom the period of first sale in Q1-2021. The estimated useful life is 12 years. \r\nAcquired in-process development projects are assessed for possible impairment at least on an \r\nannual basis and the impairment assessment on December 31, 2022, and 2021 demonstrated \r\nthat there was no need for impairment. The estimated recoverable amount supported by \r\nexternal and internal valuation reports by far exceeds the assets&#8217; carrying amount, resulting in \r\nno impairment charges for the year 2022 and 2021. \r\nInternally generated Acquired intangible assets \r\n(in thousands of SEK) \r\nCapatalized \r\ndevelopment costs Patents \r\nIn-process \r\ndevelopment \r\nprojects \r\nTotal Intangible \r\nAssets \r\nCost: \r\nOpening balance \r\nJanuary 1, 2022 \r\n4,485 12,339 25,136 41,960 \r\nWrite-off (4,485) (4,485) \r\nInternally developed 20,853 &#8212; &#8212; 20,853 \r\nEffects of movements in \r\nexchange rates \r\n&#8212; 162 &#8212; 162 \r\nClosing balance \r\nDecember 31, 2022 \r\n20,853 12,501 25,136 58,490 \r\nAmortization: \r\nOpening balance \r\nJanuary 1, 2022 \r\n(4,485) (6,619) (2,094) (13,199) \r\nWrite-off 4,485 4,485 \r\nAmortization for the year &#8212; (758) (2,094) (2,852) \r\nEffects of movements in \r\nexchange rates \r\n&#8212; (58) &#8212; (58) \r\nClosing balance \r\nDecember 31, 2022 \r\n&#8212; (7,435) (4,188) (11,624) \r\nCarrying amounts: \r\nAt January 1, 2022 &#8212; 5,720 23,042 28,761 \r\nAt December 31, 2022 20,853 5,066 20,948 46,866  \r\n\r\nInternally generated Acquired intangible assets \r\n(in thousands of SEK) \r\nCapitalized \r\ndevelopment \r\nexpenditures Patents \r\nIn-process \r\ndevelopment \r\nprojects \r\nTotal Intangible \r\nAssets \r\nCost: \r\nOpening balance \r\nJanuary 1, 2021 \r\n4,485 1, 069 25,136 41,690 \r\nEffects of movements in \r\nexchange rates \r\n&#8212; 270 &#8212; 270 \r\nClosing balance \r\nDecember 31, 2021 \r\n4,485 12,339 25,136 41,960 \r\nAmortization: \r\nOpening balance \r\nJanuary 1, 2021 \r\n(4,485) (5,794) &#8212; (10,280) \r\nAmortization for the year &#8212; (747) (2,094) (2,841) \r\nEffects of movements in \r\nexchange rates \r\n&#8212; (78) &#8212; (78) \r\nClosing balance \r\nDecember 31, 2021 \r\n(4,485) (6,619) (2,094) (13,199) \r\nCarrying amounts: \r\nAt January 1, 2021 &#8212; 6,275 25,136 31,410 \r\nAt December 31, 2021 &#8212; 5,720 23,042 28,761","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of intangible assets [text block]","Documentation":"The entire disclosure for intangible assets.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642745,"FileId":7831,"Sequence":320,"PageIdentifier":"03e7816c-f73b-40e1-acd0-f23f56b0d4cd","ElementIdentifier":"d204b934-0c03-45de-8879-568d10acd2a1","ElementType":2,"TagName":"ifrs-full:DisclosureOfImpairmentOfAssetsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Capitalized internal development expenditures for imlifidase&#8217;s previous production process were \r\ncompletely amortized during the year 2018 and written-off in 2022. Acquired in-process development projects are assessed for possible impairment at least on an \r\nannual basis and the impairment assessment on December 31, 2022, and 2021 demonstrated \r\nthat there was no need for impairment. The estimated recoverable amount supported by \r\nexternal and internal valuation reports by far exceeds the assets&#8217; carrying amount, resulting in \r\nno impairment charges for the year 2022 and 2021. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of impairment of assets [text block]","Documentation":"The entire disclosure for the impairment of assets.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642743,"FileId":7831,"Sequence":321,"PageIdentifier":"c3b59d6d-792a-479f-aca0-406c91a3e339","ElementIdentifier":"694b0f21-4c9a-40f5-8c95-ea89c743b333","ElementType":2,"TagName":"ifrs-full:DisclosureOfPropertyPlantAndEquipmentExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 5 Property and Equipment \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nCost: \r\nOpening balance January 1 14,451 11,871 \r\nReclassification (2,403) &#8212; \r\nAdjusted opening balance 12,048 11,871 \r\nAdditions during the year 3,332 2,580 \r\nClosing balance December 31 15,380 14,451 \r\nAccumulated depreciation and impairment losses: \r\nOpening balance January (8,019) (6,665) \r\nReclassification 2,403 &#8212; \r\nAdjusted opening balance (5,616) (6,665) \r\nDepreciation during the period (1,651) (1,354) \r\nClosing balance December (7,267) (8,019) \r\nCarrying amounts: \r\nAt January 1 6,432 5,206 \r\nAt December 31 8,113 6,432","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of property, plant and equipment [text block]","Documentation":"The entire disclosure for property, plant and equipment.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642742,"FileId":7831,"Sequence":322,"PageIdentifier":"aedc4de6-1d84-4ab2-9ba3-252b6e62fa9a","ElementIdentifier":"8099858c-41fc-4c69-8173-4ba6abc04cb6","ElementType":2,"TagName":"ifrs-full:DisclosureOfQuantitativeInformationAboutRightofuseAssetsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 6 Right-of-Use Assets, Lease Liabilities \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nLeased assets: \r\nBuildings 27,250 34,446 \r\nEquipment 135 271 \r\nVehicles 338 556 \r\n27,723 35,273 \r\nLease liabilities: \r\nNon-current 21,326 28,491 \r\nCurrent 7,165 6,888 \r\n28,491 35,379 \r\nFor the years ended December 31, 2022, and 2021, there were SEK 0.- and SEK 36,071k \r\nrespectively, in additions of right-of-use assets. \r\nDepreciation charge of leased assets for the period \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nBuildings (7,195) (4,646) \r\nEquipment (135) (169) \r\nVehicles (220) (174) \r\n(7,550) (4,989) \r\nInterest expense (included in finance cost) amounted to SEK 1,123k. Expenses related to low- \r\nvalue leases and short-term leases amounted to SEK 1,918k. Total cash outflow of leases \r\namounted to SEK 9,904k. \r\nMost of the Group&#8217;s operational leasing agreements involve leases of real property and \r\npremises on which the business operations are conducted. The initial duration of the lease for \r\nthe Lund, Sweden, headquarters offices is three years from January 1, 2019. The agreement is \r\nautomatically extended with two years at a time unless cancellation is made no later than nine \r\nmonths before the end of the contract period. There are no variable fees included in the leases. \r\nThe lease term covered by the extension option was not included in the lease term when the \r\nlease was originally recognized as the Group did not consider that the exercise of the option \r\nwould be reasonably certain. \r\nThe Group has entered into lease agreements with respect to office space, IT and office \r\nequipment. The leases are non-cancellable for various periods up to 2023.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of quantitative information about right-of-use assets [text block]","Documentation":"The disclosure of quantitative information about right-of-use assets. [Refer: Right-of-use assets]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":false},{"Id":3642741,"FileId":7831,"Sequence":323,"PageIdentifier":"aedc4de6-1d84-4ab2-9ba3-252b6e62fa9a","ElementIdentifier":"76f1d60e-bef0-48cf-937c-587dcda0cd5f","ElementType":2,"TagName":"ifrs-full:DisclosureOfLeasesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 6 Right-of-Use Assets, Lease Liabilities \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nLeased assets: \r\nBuildings 27,250 34,446 \r\nEquipment 135 271 \r\nVehicles 338 556 \r\n27,723 35,273 \r\nLease liabilities: \r\nNon-current 21,326 28,491 \r\nCurrent 7,165 6,888 \r\n28,491 35,379 \r\nFor the years ended December 31, 2022, and 2021, there were SEK 0.- and SEK 36,071k \r\nrespectively, in additions of right-of-use assets. \r\nDepreciation charge of leased assets for the period \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nBuildings (7,195) (4,646) \r\nEquipment (135) (169) \r\nVehicles (220) (174) \r\n(7,550) (4,989) \r\nInterest expense (included in finance cost) amounted to SEK 1,123k. Expenses related to low- \r\nvalue leases and short-term leases amounted to SEK 1,918k. Total cash outflow of leases \r\namounted to SEK 9,904k. \r\nMost of the Group&#8217;s operational leasing agreements involve leases of real property and \r\npremises on which the business operations are conducted. The initial duration of the lease for \r\nthe Lund, Sweden, headquarters offices is three years from January 1, 2019. The agreement is \r\nautomatically extended with two years at a time unless cancellation is made no later than nine \r\nmonths before the end of the contract period. There are no variable fees included in the leases. \r\nThe lease term covered by the extension option was not included in the lease term when the \r\nlease was originally recognized as the Group did not consider that the exercise of the option \r\nwould be reasonably certain. \r\nThe Group has entered into lease agreements with respect to office space, IT and office \r\nequipment. The leases are non-cancellable for various periods up to 2023.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of leases [text block]","Documentation":"The entire disclosure for leases.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642740,"FileId":7831,"Sequence":324,"PageIdentifier":"aedc4de6-1d84-4ab2-9ba3-252b6e62fa9a","ElementIdentifier":"c3b1c978-a3ff-454d-9f29-fc28cca0cf39","ElementType":2,"TagName":"ifrs-full:DisclosureOfInventoriesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 7 Inventories \r\nInventories include material, labour and overhead and consisted of the following: \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nRaw materials and supplies 3,783 3,141 \r\nWork in process 13,455 8,282 \r\nPackaging material 502 311 \r\nFinished goods 3,814 1,882 \r\nTotal inventories, gross 21,555 13,616 \r\nLess: provision for excess &amp; obsolete inventories (20,582) (13,374) \r\nTotal inventories, net 973 242 \r\nIn 2022, the Company recorded a provision for excess and obsolete inventories in the amount \r\nof SEK 20.6 million (2021: SEK 13,4m) to account for the potential expiry of inventories ahead \r\nof their commercial use.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of inventories [text block]","Documentation":"The entire disclosure for inventories.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642739,"FileId":7831,"Sequence":325,"PageIdentifier":"813f98f4-14d4-49ed-a1f8-056fbeba8556","ElementIdentifier":"96114ffe-b9f4-4536-b7fd-3b1dd836d06d","ElementType":2,"TagName":"ifrs-full:DisclosureOfTradeAndOtherReceivablesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 8 Trade Receivables, unbilled revenues and refund liabilities \r\nTrade receivables and unbilled revenues \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nTrade receivables, net of provisions 8,360 9,712 \r\nUnbilled revenue, net of provisions 34,600 &#8212; \r\nTotal trade receivables and unbilled revenues 42,959 9,712 \r\nTrade receivables primarily consist of receivables from product sales to healthcare \r\norganisations in European countries. During the periods ended December 31, 2022, and \r\nDecember 31, 2021 respectively, the Company did not incur any losses from defaults related to \r\nits trade receivables. \r\nUnbilled revenues primarily relate to product sales to healthcare organisations in European \r\ncountries with the Group&#8217;s right to consider product sold despite not billed at the reporting date. \r\nDuring the periods ended December 31, 2022, and December 31, 2021 respectively, the \r\nCompany did not incur any losses from defaults related to its unbilled revenues. \r\nA provision for expected credit losses amounting to SEK 78k was recorded for 2022 (2021: SEK \r\n0), see further discussion about credit risk in Note 20. \r\nRefund liabilities \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nVolume discounts 14,039 &#8212; \r\nAll other 12,974 \r\nTotal refund liabilities 27,013 &#8212; \r\nRefund liabilities primarily consist of the Group&#8217;s actual or estimated rebates, discounts, return \r\nand charge back obligations to its customers. Note 10 Other receivables \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nVAT receivables 21,179 9,827 \r\nAdvance payments to suppliers 9,262 11,292 \r\nOther receivables 874 1,419 \r\nTotal 31,315 22,538 ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of trade and other receivables [text block]","Documentation":"The disclosure of trade and other receivables. [Refer: Trade and other receivables]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642738,"FileId":7831,"Sequence":326,"PageIdentifier":"813f98f4-14d4-49ed-a1f8-056fbeba8556","ElementIdentifier":"6f6aac00-d748-495a-a978-16c87b29a107","ElementType":2,"TagName":"ifrs-full:DisclosureOfPrepaymentsAndOtherAssetsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 9 Prepaid expenses and accrued income \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nInsurances 1,137 829 \r\nHealthcare conference 2,604 124 \r\nSoftware 1,777 1,177 \r\nPension 1,770 1,644 \r\nRent 2,385 2,512 \r\nLegal expenses 9,989 8,325 \r\nLicense fees 3,857 230 \r\nR&amp;D expenses 7,587 3,769 \r\nOther 2,171 2,279 \r\nTotal 33,278  20,889","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of prepayments and other assets [text block]","Documentation":"The disclosure of prepayments and other assets. [Refer: Other assets; Prepayments]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642737,"FileId":7831,"Sequence":327,"PageIdentifier":"7e7c14f1-f5c5-4291-8838-deeb17c70aae","ElementIdentifier":"2e524886-adb6-4bcb-a24d-7da73717eae3","ElementType":2,"TagName":"ifrs-full:DisclosureOfAccruedExpensesAndOtherLiabilitiesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 11 Accrued Expenses \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nAnnual leave accrual 18,267 15,879 \r\nAccrued social security contribution on salaries 5,243 4,395 \r\nAccrued short term incentives, incl. related social security contributions 33,138 24,146 \r\nR&amp;D project costs 26,701 7,791 \r\nLicense fees 5,500 &#8212; \r\nConsulting fees 16,845 17,600 \r\nOther 3,052 2,651 \r\nClosing balance December 31 108,747  72,462Note 27 Royalty Agreements \r\nRoyalty agreement with researchers \r\nThe Company is a party to two separate royalty agreements (the &#8220;Royalty Agreements&#8221;) with \r\ncertain researchers and an affiliated entity (collectively, the &#8220;Counterparties&#8221;) of certain patents \r\nrelated to methods of use of imlifidase. Under each agreement, in consideration of the assignment \r\nof these patents, the Counterparties are entitled to receive a low single-digit royalty percentage \r\nof the Company&#8217;s net income related to the utilization of the patents, in each case as defined in \r\nthe applicable agreement, and a low-teens percentage of any once-only considerations, \r\nmilestones, royalties, license income, consideration for transfer of patents, patent applications \r\nand other intellectual property rights and other payments received by the Company related to the \r\nexploitation of rights related to these patents, in each case subject to certain specified reductions. \r\nOn April 20, 2021, the Company received a request for arbitration from the Counterparties \r\nclaiming they were entitled to 10% of the upfront payment the Company received under its 2020 \r\ncollaboration agreement with Sarepta as well as entitlement to participate in payments the \r\nCompany may receive under the Sarepta agreement in the future. \r\nIn the third quarter 2022, the Company and the Counterparties settled the dispute by entering into \r\nan amendment and settlement agreement (the &#8220;Agreement&#8221;), which covers all compensation \r\nobligations under the Royalty Agreements.  Under the Agreement, the Royalty Agreements will \r\nbe treated as one agreement with respect to the Researchers' right to consideration entitling the \r\nCounterparties to low single-digit royalties on net sales as well as mid-single-digit participation in \r\nany once-only consideration received by Hansa in respect of imlifidase. The settlement also \r\nincludes a one-off settlement payment. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of accrued expenses and other liabilities [text block]","Documentation":"The disclosure of accrued expenses and other liabilities. [Refer: Accruals; Other liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642736,"FileId":7831,"Sequence":328,"PageIdentifier":"7e7c14f1-f5c5-4291-8838-deeb17c70aae","ElementIdentifier":"24ce5d39-aa88-4da7-a735-7096048e2573","ElementType":2,"TagName":"ifrs-full:DisclosureOfOtherLiabilitiesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 12 Other liabilities&#8212;Current \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nPersonnel related liabilities 18,121 13,358 \r\nVAT liabilities 158 190 \r\nClosing balance December 31 18,278  13,548Note 18 Contingent Consideration \r\nThe Group acquired Immago Ltd (today Hansa Biopharma Ltd) on July 19, 2016. The agreed \r\nupon purchase price was GBP 170,000. An additional GBP 70,000 milestone payment is to be \r\npaid if a clinical study based on the acquired technology is initiated in Europe or the U.S. The \r\nestimated payment date is July 2024, resulting in a fair value of the contingent liability on \r\nDecember 31, 2022 amounting to SEK 757,000 (2021: SEK 722,000). \r\nThe estimated future cash flow is discounted using a 10% risk adjusted interest rate. See further \r\ndiscussions in Note 20. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of other liabilities [text block]","Documentation":"The disclosure of other liabilities. [Refer: Other liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642735,"FileId":7831,"Sequence":329,"PageIdentifier":"7e7c14f1-f5c5-4291-8838-deeb17c70aae","ElementIdentifier":"718197e9-9042-41ab-a059-ee9c73d9c158","ElementType":2,"TagName":"ifrs-full:DisclosureOfOtherCurrentLiabilitiesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 12 Other liabilities&#8212;Current \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nPersonnel related liabilities 18,121 13,358 \r\nVAT liabilities 158 190 \r\nClosing balance December 31 18,278  13,548","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of other current liabilities [text block]","Documentation":"The disclosure of other current liabilities. [Refer: Other current liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642710,"FileId":7831,"Sequence":330,"PageIdentifier":"7e7c14f1-f5c5-4291-8838-deeb17c70aae","ElementIdentifier":"08238283-19c3-4327-a1c5-41ae677dd045","ElementType":2,"TagName":"ifrs-full:DisclosureOfRevenueExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 13 Revenue \r\nThe Group&#8217;s revenue from its contracts with customers is primarily generated from product \r\nsales and three license agreements, as further described below. Revenue has been recognized \r\nin the consolidated statement of profit or loss and other comprehensive income (loss) with the \r\nfollowing amounts: \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nRevenue from contracts with customers: \r\nProduct sales 86,735 15,017 \r\nContract revenue, Axis-Shield agreement 2,892 2,624 \r\nCost reimbursement, Axis-Shield agreement 624 527 \r\nContract revenue, Sarepta, AskBio agreements 64,273 15,710 \r\nTotal revenue 154,525 33,878 \r\nThe revenue with external customers is split as follows by geography: \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nGeography: \r\nSweden 4,678 &#8212; \r\nNorth America 64,273 15,710 \r\nEurope (ex Sweden) 85,573 18,168 \r\nTotal revenue 154,525 33,878 \r\nPerformance Obligations Satisfied Over Time \r\nThe transaction price is allocated to each performance obligation according to their stand-alone \r\nselling prices and is recognized when control of the goods or services are transferred to the \r\ncustomer, either over time or at a point in time, depending on the specific terms and conditions \r\nin the contracts. \r\nFor the Group&#8217;s current licensing arrangements, our professionals are required to be committed \r\nthroughout the development period. Therefore, promises such as the license, materials or \r\nprofessional support are one performance obligation. Accordingly, upfront payments are \r\nrecognized over time.  \r\n\r\nVariable Consideration \r\nIn the transaction price, variable consideration, including milestone payments, is only included \r\nto the extent that it is highly probable that a significant reversal in the amount of cumulative \r\nrevenue recognized will not occur when the uncertainty associated with the variable \r\nconsideration is subsequently resolved. Therefore, royalties and milestone payments from \r\nlicensing arrangements are constrained for the periods ended December 31, 2022, and 2021, \r\nwith the exception of the Axis-Shield minimum royalty payment. \r\nProduct sales \r\nFor the period ended December 31, 2022, the Group recorded product sales of SEK 86.7 \r\nmillion (2021: SEK 15.0 million). Product sales are recognized net of any sales and value-added \r\ntaxes and sales deductions based on contractually agreed payment terms. \r\nLicense Agreement with Sarepta \r\nOn July 1, 2020, the Company executed an agreement with Sarepta. Sarepta was granted an \r\nexclusive, worldwide license to develop and promote imlifidase, in addition to access to the \r\nGroup&#8217;s materials and professional support as a pre-treatment to enable Sarepta&#8217;s gene \r\ntherapy treatment in Duchenne muscular dystrophy (DMD) and Limb-girdle muscular dystrophy \r\n(LGMD). The pre-treatment is intended for patients with pre-existing neutralizing antibodies \r\n(NAb-positive patients) to adeno-associated virus (AAV), the technology that is the basis for \r\nSarepta&#8217;s gene therapy products. \r\nSarepta is responsible for conducting preclinical and clinical studies with imlifidase and any \r\nsubsequent potential filings for regulatory approvals. Sarepta will also be responsible for the \r\npromotion of imlifidase as a pre-treatment to Sarepta&#8217;s gene therapies following potential \r\napproval. \r\nUnder the terms of the agreement, the Company received a $10.0 million (SEK 81.9 million) \r\nnon-refundable upfront payment in July 2020 and is eligible for a total of up to $397.5 million in \r\ndevelopment, regulatory and sales milestone payments. The Company will record all sales of \r\nimlifidase and earn high single-digit to mid-teens royalties on Sarepta&#8217;s incremental gene \r\ntherapy sales when treating NAb-positive patients enabled by pre-treatment with imlifidase. \r\nThe exclusive worldwide license to develop and promote imlifidase was determined to be not \r\ndistinct as Sarepta cannot benefit from the license without the Group&#8217;s materials and \r\nprofessional support and therefore the license and related support that includes the \r\nrequirements to provide the Group&#8217;s materials and professional support are one performance \r\nobligation. \r\nThe upfront payment will be recognized over the development period, currently estimated at 51 \r\nmonths, as the Group fulfils its performance obligation under the Agreement. The Company \r\nconcluded that labour hours expended by the Group&#8217;s professionals was the appropriate \r\nmeasure of the transfer of control of the combined promises of the license, Hansa materials and \r\nprofessional services as it is the measure that is most indicative of the performance obligation \r\nsatisfied. \r\nFor the milestone payments associated with the development and regulatory milestones, the \r\nGroup concluded that the successful completion of the development and regulatory activities \r\nare not probable at this time since the project is still in preclinical stage and therefore will not \r\nrecognize any of these milestones for the Group&#8217;s December 31, 2022, financial reporting \r\nperiod. Revenue from performance-based and sales-based milestones and sales-based \r\nroyalties will be constraint because it is not probable that a reversal of revenue will not occur if \r\nthese were recognized. \r\nFor the period ended December 31, 2022, the Group recorded contract revenue in the amount \r\nof SEK 26.8 million (2021: SEK 15.7 million) related to its agreement with Sarepta in connection \r\nwith the upfront payment received in July 2020. \r\nLicense Agreement with AskBio \r\nOn January 3, 2022, Hansa announced a collaboration agreement with AskBio (subsidiary of \r\nBayer AG), a fully integrated AAV gene therapy company dedicated to developing medicines \r\nthat improve the quality of life for patients with genetic diseases. \r\nThe collaboration was initiated during the first quarter of 2022. It is designed to evaluate the \r\npotential use of imlifidase as a pre-treatment, prior to the administration of AskBio&#8217;s gene \r\ntherapy in Pompe disease, in a preclinical and clinical feasibility program for patients with pre- \r\nexisting NAbs to the adeno-associated viral vector used in AskBio&#8217;s gene therapy. \r\nUnder terms of the agreement, Hansa received a USD 5 million payment upon execution of the \r\nagreement and AskBio has the exclusive option to negotiate a full development and \r\ncommercialization agreement following evaluation of the results from an initial phase 1/2 study. \r\nThe upfront payment will be recognized over the development period, currently estimated at 24 \r\nmonths from start of the collaboration, as the Group fulfils its performance obligation under the \r\nAgreement. The Company concluded that delivery of Hansa materials was the appropriate \r\nmeasure of the transfer of control of the combined promises of the Hansa materials and \r\nprofessional services as it is the measure that is most indicative of the performance obligation \r\nsatisfied. \r\nFor the period ended December 31, 2022, the Group recorded contract revenue in the amount \r\nof SEK 37.5 million related to its agreement with AskBio in connection with the upfront payment \r\nreceived in January 2022. \r\n \r\nLicense Agreement with Axis-Shield \r\nIn 2022, the Group recorded contract revenue in the amount of SEK 2.9 million (2021: SEK 2.6 \r\nmillion) under its agreement with Axis-Shield related to a minimum royalty payment of $250,000 \r\nand a commercial milestone payment of $60,000. The agreement entails a license to access the \r\nGroup&#8217;s intellectual property regarding HBP analysis during the license period. The agreement \r\nrequires the Group to conduct activities that substantially affect the intellectual property rights \r\nduring the license period, which in turn affects Axis-Shield as a license holder. Royalty \r\npayments are accrued and recognized as income during the period to which the royalty refers. \r\nThe minimum royalty amount was received in February 2021, initially recorded as a deferred \r\nrevenue and recognized as revenue over the reporting period on a straight-line basis. The \r\ncommercial milestone relates to achieved sales. Since it is a sales-based milestone it has been \r\nrecognized as revenue when the sales occurred and the Company became entitled to receive \r\nthe milestone payment. \r\nIn addition, the Group recorded revenue related to reimbursable costs upon rendering services \r\nrelated to maintaining licensed patents in an amount of SEK 0.6 million (2021: SEK 0.5 million). \r\nDeferred revenue \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nOpening balance January 1, 71,981 79,432 \r\nAddition under existing contracts 90,251 18,168 \r\nAddition under new contracts (AskBio agreement) 45,750 &#8212; \r\nRevenue recognized (154,525) (33,878) \r\nAdjustments, foreign exchange 16,473 8,259 \r\nClosing balance December 31, 69,930  71,981\r\nRevenue may vary from period to period as revenue comprises product sales, royalties, \r\nmilestone payments, deferred revenue, and reimbursement of certain expenses.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of revenue [text block]","Documentation":"The entire disclosure for revenue.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642709,"FileId":7831,"Sequence":331,"PageIdentifier":"7e7c14f1-f5c5-4291-8838-deeb17c70aae","ElementIdentifier":"675b5a47-027b-44c3-9070-b4c5a36fb5e6","ElementType":2,"TagName":"ifrs-full:DisclosureOfRevenueFromContractsWithCustomersExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 13 Revenue \r\nThe Group&#8217;s revenue from its contracts with customers is primarily generated from product \r\nsales and three license agreements, as further described below. Revenue has been recognized \r\nin the consolidated statement of profit or loss and other comprehensive income (loss) with the \r\nfollowing amounts: \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nRevenue from contracts with customers: \r\nProduct sales 86,735 15,017 \r\nContract revenue, Axis-Shield agreement 2,892 2,624 \r\nCost reimbursement, Axis-Shield agreement 624 527 \r\nContract revenue, Sarepta, AskBio agreements 64,273 15,710 \r\nTotal revenue 154,525 33,878 \r\nThe revenue with external customers is split as follows by geography: \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nGeography: \r\nSweden 4,678 &#8212; \r\nNorth America 64,273 15,710 \r\nEurope (ex Sweden) 85,573 18,168 \r\nTotal revenue 154,525 33,878 \r\nPerformance Obligations Satisfied Over Time \r\nThe transaction price is allocated to each performance obligation according to their stand-alone \r\nselling prices and is recognized when control of the goods or services are transferred to the \r\ncustomer, either over time or at a point in time, depending on the specific terms and conditions \r\nin the contracts. \r\nFor the Group&#8217;s current licensing arrangements, our professionals are required to be committed \r\nthroughout the development period. Therefore, promises such as the license, materials or \r\nprofessional support are one performance obligation. Accordingly, upfront payments are \r\nrecognized over time.  \r\n\r\nVariable Consideration \r\nIn the transaction price, variable consideration, including milestone payments, is only included \r\nto the extent that it is highly probable that a significant reversal in the amount of cumulative \r\nrevenue recognized will not occur when the uncertainty associated with the variable \r\nconsideration is subsequently resolved. Therefore, royalties and milestone payments from \r\nlicensing arrangements are constrained for the periods ended December 31, 2022, and 2021, \r\nwith the exception of the Axis-Shield minimum royalty payment. \r\nProduct sales \r\nFor the period ended December 31, 2022, the Group recorded product sales of SEK 86.7 \r\nmillion (2021: SEK 15.0 million). Product sales are recognized net of any sales and value-added \r\ntaxes and sales deductions based on contractually agreed payment terms. \r\nLicense Agreement with Sarepta \r\nOn July 1, 2020, the Company executed an agreement with Sarepta. Sarepta was granted an \r\nexclusive, worldwide license to develop and promote imlifidase, in addition to access to the \r\nGroup&#8217;s materials and professional support as a pre-treatment to enable Sarepta&#8217;s gene \r\ntherapy treatment in Duchenne muscular dystrophy (DMD) and Limb-girdle muscular dystrophy \r\n(LGMD). The pre-treatment is intended for patients with pre-existing neutralizing antibodies \r\n(NAb-positive patients) to adeno-associated virus (AAV), the technology that is the basis for \r\nSarepta&#8217;s gene therapy products. \r\nSarepta is responsible for conducting preclinical and clinical studies with imlifidase and any \r\nsubsequent potential filings for regulatory approvals. Sarepta will also be responsible for the \r\npromotion of imlifidase as a pre-treatment to Sarepta&#8217;s gene therapies following potential \r\napproval. \r\nUnder the terms of the agreement, the Company received a $10.0 million (SEK 81.9 million) \r\nnon-refundable upfront payment in July 2020 and is eligible for a total of up to $397.5 million in \r\ndevelopment, regulatory and sales milestone payments. The Company will record all sales of \r\nimlifidase and earn high single-digit to mid-teens royalties on Sarepta&#8217;s incremental gene \r\ntherapy sales when treating NAb-positive patients enabled by pre-treatment with imlifidase. \r\nThe exclusive worldwide license to develop and promote imlifidase was determined to be not \r\ndistinct as Sarepta cannot benefit from the license without the Group&#8217;s materials and \r\nprofessional support and therefore the license and related support that includes the \r\nrequirements to provide the Group&#8217;s materials and professional support are one performance \r\nobligation. \r\nThe upfront payment will be recognized over the development period, currently estimated at 51 \r\nmonths, as the Group fulfils its performance obligation under the Agreement. The Company \r\nconcluded that labour hours expended by the Group&#8217;s professionals was the appropriate \r\nmeasure of the transfer of control of the combined promises of the license, Hansa materials and \r\nprofessional services as it is the measure that is most indicative of the performance obligation \r\nsatisfied. \r\nFor the milestone payments associated with the development and regulatory milestones, the \r\nGroup concluded that the successful completion of the development and regulatory activities \r\nare not probable at this time since the project is still in preclinical stage and therefore will not \r\nrecognize any of these milestones for the Group&#8217;s December 31, 2022, financial reporting \r\nperiod. Revenue from performance-based and sales-based milestones and sales-based \r\nroyalties will be constraint because it is not probable that a reversal of revenue will not occur if \r\nthese were recognized. \r\nFor the period ended December 31, 2022, the Group recorded contract revenue in the amount \r\nof SEK 26.8 million (2021: SEK 15.7 million) related to its agreement with Sarepta in connection \r\nwith the upfront payment received in July 2020. \r\nLicense Agreement with AskBio \r\nOn January 3, 2022, Hansa announced a collaboration agreement with AskBio (subsidiary of \r\nBayer AG), a fully integrated AAV gene therapy company dedicated to developing medicines \r\nthat improve the quality of life for patients with genetic diseases. \r\nThe collaboration was initiated during the first quarter of 2022. It is designed to evaluate the \r\npotential use of imlifidase as a pre-treatment, prior to the administration of AskBio&#8217;s gene \r\ntherapy in Pompe disease, in a preclinical and clinical feasibility program for patients with pre- \r\nexisting NAbs to the adeno-associated viral vector used in AskBio&#8217;s gene therapy. \r\nUnder terms of the agreement, Hansa received a USD 5 million payment upon execution of the \r\nagreement and AskBio has the exclusive option to negotiate a full development and \r\ncommercialization agreement following evaluation of the results from an initial phase 1/2 study. \r\nThe upfront payment will be recognized over the development period, currently estimated at 24 \r\nmonths from start of the collaboration, as the Group fulfils its performance obligation under the \r\nAgreement. The Company concluded that delivery of Hansa materials was the appropriate \r\nmeasure of the transfer of control of the combined promises of the Hansa materials and \r\nprofessional services as it is the measure that is most indicative of the performance obligation \r\nsatisfied. \r\nFor the period ended December 31, 2022, the Group recorded contract revenue in the amount \r\nof SEK 37.5 million related to its agreement with AskBio in connection with the upfront payment \r\nreceived in January 2022. \r\n \r\nLicense Agreement with Axis-Shield \r\nIn 2022, the Group recorded contract revenue in the amount of SEK 2.9 million (2021: SEK 2.6 \r\nmillion) under its agreement with Axis-Shield related to a minimum royalty payment of $250,000 \r\nand a commercial milestone payment of $60,000. The agreement entails a license to access the \r\nGroup&#8217;s intellectual property regarding HBP analysis during the license period. The agreement \r\nrequires the Group to conduct activities that substantially affect the intellectual property rights \r\nduring the license period, which in turn affects Axis-Shield as a license holder. Royalty \r\npayments are accrued and recognized as income during the period to which the royalty refers. \r\nThe minimum royalty amount was received in February 2021, initially recorded as a deferred \r\nrevenue and recognized as revenue over the reporting period on a straight-line basis. The \r\ncommercial milestone relates to achieved sales. Since it is a sales-based milestone it has been \r\nrecognized as revenue when the sales occurred and the Company became entitled to receive \r\nthe milestone payment. \r\nIn addition, the Group recorded revenue related to reimbursable costs upon rendering services \r\nrelated to maintaining licensed patents in an amount of SEK 0.6 million (2021: SEK 0.5 million). \r\nDeferred revenue \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nOpening balance January 1, 71,981 79,432 \r\nAddition under existing contracts 90,251 18,168 \r\nAddition under new contracts (AskBio agreement) 45,750 &#8212; \r\nRevenue recognized (154,525) (33,878) \r\nAdjustments, foreign exchange 16,473 8,259 \r\nClosing balance December 31, 69,930  71,981\r\nRevenue may vary from period to period as revenue comprises product sales, royalties, \r\nmilestone payments, deferred revenue, and reimbursement of certain expenses.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of revenue from contracts with customers [text block]","Documentation":"The entire disclosure for revenue from contracts with customers.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642708,"FileId":7831,"Sequence":332,"PageIdentifier":"ad864339-01a7-481a-9542-7dd3d908c0a3","ElementIdentifier":"306b63b3-e2ca-4723-94fc-1145411cf493","ElementType":2,"TagName":"ifrs-full:DisclosureOfDeferredIncomeExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Deferred revenue As of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nOpening balance January 1, 71,981 79,432 \r\nAddition under existing contracts 90,251 18,168 \r\nAddition under new contracts (AskBio agreement) 45,750 &#8212; \r\nRevenue recognized (154,525) (33,878) \r\nAdjustments, foreign exchange 16,473 8,259 \r\nClosing balance December 31, 69,930  71,981\r\nRevenue may vary from period to period as revenue comprises product sales, royalties, milestone payments, deferred revenue, and reimbursement of certain expenses.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of deferred income [text block]","Documentation":"The disclosure of deferred income. [Refer: Deferred income including contract liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642696,"FileId":7831,"Sequence":333,"PageIdentifier":"ad864339-01a7-481a-9542-7dd3d908c0a3","ElementIdentifier":"452492de-325d-4975-b35b-38be87886ade","ElementType":2,"TagName":"ifrs-full:DisclosureOfEmployeeBenefitsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 14 Staff Costs \r\nTotal personnel expenses recorded in the Group broken down to senior management, which \r\nincludes the Board of Directors and executive management, and other employees: \r\nYear Ended December 31, 2022 \r\n(in thousands of SEK) \r\nSenior \r\nManagement Other Employees Total \r\nSalaries, bonuses, and other benefits 36,927 153,642 190,569 \r\nSocial security contribution 11,423 24,636 36,059 \r\nPension cost, contribution plan 2,812 21,307 24,118 \r\nShare-based compensation 32,844 25,382 58,226 \r\nTotal personnel expenses 84,005 224,967 308,972 \r\nYear Ended December 31, 2021 \r\n(in thousands of SEK) \r\nSenior \r\nManagement Other Employees Total \r\nSalaries, bonuses, and other benefits 32,282 122,304 154,586 \r\nSocial security contribution 10,040 20,518 30,558 \r\nPension cost, contribution plan 2,723 15,381 18,104 \r\nShare-based compensation 33,860 22,764 56,624 \r\nTotal personnel expenses 78,905 180,967 259,872 Personnel expenses recorded in the Parent Company related to Senior management \r\n(in thousands of SEK) \r\nBase \r\nsalary / \r\nDirectors&#8217; \r\nfees \r\nVariable \r\ncompen- \r\nsation \r\nTotal \r\nSalaries, \r\nbonuses \r\nand other \r\nbenefits \r\nSocial \r\nsecurity \r\ncontri- \r\nbutions \r\nPension \r\ncost \r\nShare- \r\nbased \r\ncompen- \r\nsation Total \r\nChairman of the Board \r\nof Directors \r\nUlf Wiinberg** \r\n471 &#8211; 471 148 &#8211; &#8211; 619 \r\nChairman of the Board \r\nof Directors \r\nPeter Nicklin*** \r\n479 &#8211; 479 46 &#8211; &#8211; 525 \r\nDirector \r\nAnders Gersel \r\nPedersen \r\n350 &#8211; 350 36 &#8211; &#8211; 386 \r\nDirector \r\nAndreas Eggert \r\n440 &#8211; 440 138 &#8211; &#8211; 578 \r\nDirector \r\nEva Nilsag&#229;rd \r\n450 &#8211; 450 141 &#8211; &#8211; 591 \r\nDirector \r\nHilary Malone \r\n531 &#8211; 531 167 &#8211; &#8211; 698 \r\nDirector \r\nMats Blom \r\n375 &#8211; 375 118 &#8211; &#8211; 493 \r\nCEO \r\nS&#248;ren Tulstrup \r\n*7,586 4,024 11,610 3,648 &#8211; 11,223 26,481 \r\nOther senior executives \r\n(5 persons) \r\n15,435 6,786 22,221 6,982 2,812 21,622 53,635 \r\nTotal 26,117 10,810 36,927 11,423 2,812 32,844 84,005 \r\n* Includes 1,694 KSEK, representing 30% of base salary, intended for own pension contribution \r\n** Chairman of the board until AGM 2022. \r\n***  Chairman of the board from AGM 2022. Personnel expenses recorded in the Parent Company related to Senior management \r\n(in thousands of \r\nSEK) \r\nBase \r\nsalary / \r\nDirectors&#8217; \r\nfees \r\nVariable \r\ncompen- \r\nsation \r\nOther \r\nbenefits \r\nTotal \r\nSalaries, \r\nbonuses \r\nand other \r\nbenefits \r\nSocial \r\nsecurity \r\ncontri- \r\nbutions \r\nPension \r\ncost \r\nShare- \r\nbased \r\ncompen- \r\nsation \r\n(in \r\nthousand \r\ns of SEK) \r\nChairman of the \r\nBoard of Directors \r\nUlf Wiinberg \r\n946 &#8211; &#8211; 946 297 &#8211; &#8211; 1,243 \r\nDirector \r\nBirgit Stattin- \r\nNorinder** \r\n134 &#8211; &#8211; 134 14 &#8211; &#8211; 147 \r\nDirector \r\nAnders Gersel- \r\nPedersen \r\n352 &#8211; &#8211; 352 36 &#8211; &#8211; 388 \r\nDirector \r\nAndreas Eggert \r\n415 &#8211; &#8211; 415 130 &#8211; &#8211; 545 \r\nDirector Eva \r\nNilsag&#229;rd \r\n425 &#8211; &#8211; 425 133 &#8211; &#8211; 558 \r\nDirector \r\nHilary Malone*** \r\n319 &#8211; &#8211; 319 100 &#8211; &#8211; 420 \r\nDirector \r\nMats Blom \r\n364 &#8211; &#8211; 364 114 &#8211; &#8211; 478 \r\nCEO \r\nS&#248;ren Tulstrup \r\n*7,010 3,444 128 10,582 3,325 &#8211; 12,049 25,955 \r\nOther senior \r\nexecutives \r\n(5 persons)** \r\n12,877 5,579 291 18,746 5,890 2,723 21,811 49,171 \r\nTotal 22,840 9,023 419 32,282 10,040 2,723 33,860 78,905 \r\n* Includes 1,619 KSEK, representing 30% of base salary, intended for own pension contribution \r\n** Board member until AGM 2021. \r\n***  Board member from AGM 2021. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of employee benefits [text block]","Documentation":"The entire disclosure for employee benefits.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642682,"FileId":7831,"Sequence":334,"PageIdentifier":"ad864339-01a7-481a-9542-7dd3d908c0a3","ElementIdentifier":"645cd9eb-ae2c-4e07-ad53-6227e65244af","ElementType":2,"TagName":"ifrs-full:DisclosureOfSharebasedPaymentArrangementsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Share-based payments Long-term incentive program 2018 (LTIP 2018) \r\nAt Hansa&#8217;s Annual General Meeting (AGM) on May 29, 2018, shareholders resolved to adopt a \r\nlong-term incentive program (LTIP 2018). Participants in the program were given the \r\nopportunity to acquire equity-based awards (warrants) at market value and/or receive share \r\nrights free of charge which, provided that certain conditions are met, may give the right to \r\nacquire shares in the Company.  \r\n\r\nWarrants under LTIP 2018 \r\nEach warrant gives the participant the right to exercise the warrant for subscription of one \r\nordinary share in the Company at a price equal to the market value of the share at the time of \r\nthe issuance of the warrants (SEK 223.10) adjusted upwards in the amount of 7% annually \r\nduring the three-year vesting period, i.e., SEK 273.31. Provided the participant remains an \r\nemployee of the Group, subscription for shares in accordance with the terms of the warrants \r\nmay take place during the period from June 12, 2021 through June 12, 2022. \r\nThe warrants were sold to the participants on market terms at a price established on the basis \r\nof an estimated market value of the warrants using the Black Scholes model. In connection with \r\nthe warrants program participants (except the CEO) received a subsidy of maximum 25% of the \r\npurchase price. \r\nShould the participant&#8217;s employment cease before the awards are exercised, the Group is \r\nentitled to repurchase the awards at market value less any subsidy provided to the participant. \r\nA total of 6,701 warrants were sold under the program in June 2018. \r\nThe Group used the following inputs when valuing the warrants under LTIP 2018 based on \r\nBlack Scholes model: \r\nIssuance June \r\n2018 \r\nUnderlying volume-weighted average share price, SEK 223.10 \r\nRisk-free interest rate, (%) (0.178) \r\nExpected volatility, (%) 43 \r\nExpected dividend, SEK &#8212; \r\nCalculated fair value per warrant, SEK 53.41 \r\nYears Ended December 31, \r\n2022 2021 \r\nWarrants, Opening balance January 1 6,701 6,701 \r\nWarrants expired or redeemed in advance during the period (6,701) &#8212; \r\nWarrants, Closing balance December 31 0 6,701 \r\nRecorded share-based compensation expenses, thousands of SEK 0 5 \r\nShare rights under LTIP 2018 \r\nEach share right provides a participant the right to acquire one ordinary share in the Company \r\nfree-of-charge provided certain pre-defined conditions are met in accordance with the terms of \r\nLTIP 2018. A share right may be exercised if the performance condition is met and provided \r\nthat the participant, with certain exceptions, from the date of the start of participation in LTIP \r\n2018 up until and including the date three years thereafter (the Vesting Period) maintains his or \r\nher employment within the Group. \r\nThe single performance condition is: TSR during the Vesting Period compared to a starting \r\nvalue of SEK 222.10 (allotment June 2018), SEK 278.70 (allotment November 2018) and \r\nSEK178.60 (allotment May 2019). The performance condition is set at a &#8220;minimum level&#8221; of 25% \r\nand &#8220;maximum level&#8221; of 100%, whereby the number of shares granted to participants is \r\nincreased lineally between the minimum level and maximum level in line with the TSR \r\nappreciation. \r\nA total of 260,710 share rights were allotted to participants, of which 105,460 were allotted in \r\nJune 2018, 72,671 were allotted in November 2018 and 82,579 were allotted in May 2019. \r\nThe Group used the following inputs when valuing the share rights under LTIP 2018 based on \r\nMonte Carlo simulation: \r\nAllotment \r\nJune 15, 2018 \r\nAllotment \r\nNov 30, 2018 \r\nAllotment \r\nMay 14, 2019 \r\nStarting value (base-line share price) for TSR \r\ncalculation, SEK \r\n221.10 278.70 178.60 \r\nRisk-free interest rate, (%) (0.36) (0.28) (0.55) \r\nExpected volatility, (%) 43 43 43 \r\nExpected dividend, SEK &#8212; &#8212; &#8212; \r\nCalculated fair value per share right, SEK 94.08 117.43 76.02 \r\nYears Ended December 31, \r\n2022 2021 \r\nShare rights, Opening balance January 1 60,086 223,778 \r\nShare rights expired or forfeited during the period (60,086) (163,692) \r\nShare rights, Closing balance December 31 0 60,086 \r\nRecorded share-based compensation expenses, thousands of SEK 294 912  \r\n\r\nLong-term incentive program 2019 (LTIP 2019) \r\nAt Hansa&#8217;s AGM on May 22, 2019, shareholders resolved to adopt a long-term incentive \r\nprogram, LTIP 2019. Under the terms of LTIP 2019, participants in the program could receive \r\nperformance-based share rights (share rights) free of charge and/or share options, as further \r\ndescribed below. \r\nShare rights under LTIP 2019 \r\nEach share right provides a participant the right to acquire one ordinary share in the Company \r\nfree-of-charge provided certain pre-defined performance conditions are met and provided that \r\nthe participant, with certain exceptions, from the date of the start of participation in LTIP 2019 \r\nup until and including the date three years thereafter (the Vesting Period) maintains his or her \r\nemployment within the Group. \r\nThe final number of ordinary shares a participant is entitled to receive is, amongst other terms, \r\nconditional upon meeting the following performance conditions during the Vesting Period: \r\n&gt; Condition 1 (accounting for 22%): Obtain market approval in the EU by the EMA \r\n&gt; Condition 2 (accounting for 22%): At least 10 patients enrolled in US RCT (ConfIdes) \r\n&gt; Condition 3 (accounting for 56%): TSR of at least 25% against the baseline share price at the \r\ndate of allotment. \r\nIn December 2021, Hansa&#8217;s Board of Directors in line with the terms and conditions of the LTIP \r\n2019 resolved to adjust Condition 2 from the previous condition &#8220;Imlifidase U.S. approval&#8220; to the \r\nnew condition &#8222;At least 10 patients enrolled in US RCT (ConfIdes)&#8221;. \r\nA total of 306,303 share rights were allotted to participants, of which 288,727 were allotted in \r\nJune 2019, and 17,576 were allotted in October 2019. \r\nThe Group used the following inputs when valuing the share rights under LTIP 2019 based on \r\nMonte Carlo simulation: \r\nAllotment \r\nJune 17, 2019 \r\nAllotment \r\nOct 24, 2019 \r\nStarting value (base-line share price) for TSR calculation, SEK 178.38 129.28 \r\nRisk-free interest rate, (%) (0.59) (0.41) \r\nExpected volatility, (%) 43 43 \r\nExpected dividend, SEK &#8212; &#8212; \r\nCalculated fair value per share right, SEK 122.12 89.00 \r\nYears Ended December 31, \r\n2022 2021 \r\nShare rights, Opening balance January 1 278,181 287,555 \r\nShare rights lapsed or forfeited during the period (155,781) (9,374) \r\nShare rights vested during the period 122,400 &#8212; \r\nShare rights, Closing balance December 31 0 278,181 \r\nRecorded share-based compensation expenses, thousands of SEK 3,509 12,906 \r\nShare options under LTIP 2019 \r\nThe share option program consists of two option series: Series 1&#8212;Warrants, and Series 2&#8212; \r\nEmployee stock options. \r\nEach warrant or employee stock option entitles the holder to receive one new ordinary share in \r\nthe Company at an exercise price corresponding to 110% of the volume weighted average \r\nshare price during the 10 trading days immediately prior to the offer to subscribe for the \r\ninstruments, and provided that the participant, with certain exceptions, from the date of the start \r\nof participation in LTIP 2019 up until and including the date three years thereafter (the Vesting \r\nPeriod) maintains his or her employment within the Group. \r\nLTIP 2019, Warrants \r\nA total of 11,000 warrants were sold to participants in June 2019. In connection with the \r\nwarrants program participants (except the CEO) received a subsidy of up to 100% of the \r\npurchase price. \r\nThe Group used the following inputs when valuing the warrants under LTIP 2019 based on \r\nBlack Scholes model: \r\nIssuance \r\nJune 17, 2019 \r\nUnderlying volume-weighted average share price, SEK 178.38 \r\nExercise price, SEK 196.20 \r\nRisk-free interest rate, (%) (0.59) \r\nWarrant term, years 3 \r\nExpected volatility, (%) 43 \r\nExpected dividend, SEK &#8212; \r\nCalculated fair value per warrant, SEK 45.54 \r\n\r\nYears Ended December 31, \r\n2022 2021 \r\nWarrants, Opening balance January 1 11,000 11,000 \r\nWarrants expired or redeemed in advance during the period (11,000) &#8212; \r\nWarrants, Closing balance December 31 0 11,000 \r\nRecorded share-based compensation expenses, thousands of SEK 28 97 \r\nLTIP 2019, Employee Stock Options (ESOs) \r\nA total of 149,148 ESOs were issued to participants in June 2019. \r\nThe Group used the following inputs when valuing the ESOs under LTIP 2019 based on Black \r\nScholes model: \r\nIssuance \r\nJune 17, 2019 \r\nUnderlying volume-weighted average share price, SEK 178.38 \r\nExercise price, SEK 196.20 \r\nRisk-free interest rate, (%) (0.59) \r\nESO term, years 3 \r\nExpected volatility, (%) 43 \r\nExpected dividend, SEK &#8212; \r\nCalculated fair value per ESO, SEK 45.19 \r\nYears Ended December 31, \r\n2022 2021 \r\nESO, Opening balance January 1 149,148 149,148 \r\nESO forfeited or expired during the period &#8212; &#8212; \r\nESO, Closing balance December 31 149,148 149,148 \r\nRecorded share-based compensation expenses, thousands of SEK 930 690 \r\nLong-term incentive program 2020 (LTIP 2020) \r\nAt Hansa&#8217;s AGM on June 23, 2020, shareholders resolved to adopt a long-term incentive \r\nprogram, LTIP 2020. Under the terms of LTIP 2020 participants in the program may receive \r\nshare rights free of charge and/or ESOs as further described below. \r\nShare rights under LTIP 2020 \r\nEach share right entitles a participant to acquire one ordinary share in the Company at no cost \r\nprovided certain pre-defined performance conditions are met and the employment is maintained \r\nwithin the Group during the vesting period. Each share right carries a vesting period of three \r\nyears commencing on the day of its allotment to a participant (the Vesting Period). \r\nThe final number of ordinary shares a participant is entitled to receive is, amongst other terms, \r\nconditional upon meeting the following performance conditions during the Vesting Period: \r\n&gt; Condition 1 (accounting for 22%): The U.S. randomized controlled trial (ConfIdeS) has \r\nenrolled 64 patients; \r\n&gt; Condition 2 (accounting for 11%): Top-line data read out of the ongoing Phase 2 study in \r\neither AMR or GBS is completed with data providing a solid scientific rational for a path \r\nforward; \r\n&gt; Condition 3 (accounting for 11%): At least 70% of the targeted transplantation centers in \r\nEurope have been initiated; \r\n&gt; Condition 4 (accounting for 56%): TSR of at least 25% against the baseline share price at the \r\ndate of allotment. \r\nIn December 2021, Hansa&#8217;s Board of Directors in line with the terms and conditions of the LTIP \r\n2020 resolved to adjust Condition 1 from the previous condition &#8220;The U.S. randomized \r\ncontrolled trial is completed during the Vesting Period&#8220; to the new condition &#8222;US RCT study \r\n(ConfIdeS) fully enrolled&#8221;. In December 2022, , Hansa&#8217;s Board of Directors in line with the terms \r\nand conditions of the LTIP 2020 resolved to adjust (a) Condition 1 from the previous condition \r\n&#8220;US RCT study (ConfIdeS) fully enrolled&#8221; to the new condition &#8220;The U.S. randomized controlled \r\ntrial (ConfIdeS) has enrolled 64 patients&#8221;, and (b) Condition 2 from the previous condition &#8220;Top- \r\nline data read out of the ongoing Phase 2 study in either AMR or GBS is completed with data \r\nproviding a solid scientific rational to continue either of the two programs&#8221; to the new condition \r\n&#8220;Top-line data read out of the ongoing Phase 2 study in either AMR or GBS is completed with \r\ndata providing a solid scientific rational for a path forward&#8221;. \r\nA total of 417,556 share rights were allotted to participants, of which 401,556 were allotted in \r\nJuly 2020 and 16,000 were allotted in February 2021.  \r\n\r\nThe Group used the following inputs when valuing the share rights under LTIP 2020 based on \r\nMonte Carlo simulation: \r\nAllotment \r\nJuly 23,2020 \r\nAllotment \r\nFeb 12, 2021 \r\nStarting value (base-line share price) for TSR calculation, SEK 252.60 252.60 \r\nRisk-free interest rate, (%) (0.33) (0.25) \r\nExpected volatility, (%) 43 43 \r\nExpected dividend, SEK &#8212; &#8212; \r\nCalculated fair value per share right, SEK 173.26 120.07 \r\nYears Ended December 31, \r\n2022 2021 \r\nShare rights, Opening balance January 1 400,556 389,556 \r\nAllotted to participants February 12, 2021 16,000 \r\nShare rights forfeited (2,245) (5,000) \r\nShare Rights, Closing balance December 31 398,311 400,556 \r\nRecorded share-based compensation expenses, thousands of SEK 21,607 21,205 \r\nEmployee Stock Options under LTIP 2020 \r\nEach ESO entitles the holder to receive one new ordinary share in the Company at an exercise \r\nprice corresponding to 125% of the volume weighted average share price during the 10 trading \r\ndays immediately prior to the offer to subscribe for the instruments, and provided that the \r\nparticipant, with certain exceptions, from the date of the start of participation in LTIP 2020 up \r\nuntil and including the date three years thereafter (the Vesting Period) maintains his or her \r\nemployment within the Group. \r\nA total of 507,520 ESOs were issued to participants of which 487,520 were issued in July 2020 \r\nand 20,000 were issued in February 2021. \r\nThe Group used the following inputs when valuing the ESOs under LTIP 2020 based on Black \r\nScholes model: \r\nIssuance \r\nJuly 23,2020 \r\nIssuance \r\nFeb 12, 2021 \r\nUnderlying volume-weighted average share price, SEK 252.60 185.13 \r\nExercise price, SEK 315.75 315.75 \r\nRisk-free interest rate, (%) (0.33) (0.25) \r\nESO term, years 3 3 \r\nExpected volatility, (%) 43 43 \r\nExpected dividend, SEK &#8212; &#8212; \r\nCalculated fair value per ESO, SEK 53.05 27.25 \r\nYears Ended December 31, \r\n2022 2021 \r\nESO, Opening balance January 1 497,520 477,520 \r\nESO allotted to participants February 12, 2021 20,000 \r\nESO forfeited (10,000) &#8212; \r\nESO, Closing balance December 31 487,520 497,520 \r\nRecorded share-based compensation expenses, thousands of SEK 7,808 7,658 \r\nLong-term incentive program 2021 (LTIP 2021) \r\nAt Hansa&#8217;s AGM on May 12, 2021, shareholders resolved to adopt a long-term incentive \r\nprogram, LTIP 2021. Under the terms of LTIP 2021 participants in the program may receive \r\nshare rights free of charge and/or ESOs as further described below. \r\nShare rights under LTIP 2021 \r\nEach share right entitles a participant to acquire one ordinary share in the Company at no cost \r\nprovided certain pre-defined performance conditions are met and the employment is maintained \r\nwithin the Group during the vesting period. Each share right carries a vesting period of three \r\nyears commencing on the day of its allotment to a participant (the Vesting Period).  \r\n\r\nThe final number of ordinary shares a participant is entitled to receive is, amongst other terms, \r\nconditional upon meeting the following performance conditions during the Vesting Period: \r\n&gt; Condition 1 (accounting for 22%): U.S. FDA has accepted a BLA filing for approval of \r\nimlifidase in the U.S.; \r\n&gt; Condition 2 (accounting for 11%): A phase 3 study in either AMR or GBS is initiated or a filing \r\nfor regulatory approval is accepted by either the FDA or EMA for one of these indications or \r\nanti-GBM; \r\n&gt; Condition 3 (accounting for 11%): At least 80% of the targeted transplantation centers in \r\nEurope have been initiated; and \r\n&gt; Condition 4 (accounting for 56%): TSR of at least 25% against the baseline share price at the \r\ndate of allotment. \r\nA total of 557,000 share rights were allotted to participants in June 2021. \r\nAllotment \r\nJune 7, 2021 \r\nStarting value (base-line share price) for TSR calculation, SEK 153.75 \r\nRisk-free interest rate, (%) (0.18) \r\nExpected volatility, (%) 46.9 \r\nExpected dividend, SEK &#8212; \r\nCalculated fair value per share right, SEK 98.94 \r\nYears Ended December 31, \r\n2022 2021 \r\nShare rights, Opening balance January 1 557,000 &#8212; \r\nAllotted to participants June 7, 2021 557,000 \r\nShare rights forfeited (5,737) &#8212; \r\nShare Rights, Closing balance December 31 551,263 557,000 \r\nRecorded share-based compensation expenses, thousands of SEK 7,948 11,722 \r\nEmployee Stock Options under LTIP 2021 \r\nEach ESO entitles the holder to receive one new ordinary share in the Company at an exercise \r\nprice corresponding to 125% of the volume weighted average share price during the 30 trading \r\ndays immediately prior to the offer to subscribe for the instruments, and provided that the \r\nparticipant, with certain exceptions, from the date of the start of participation in LTIP 2021 up \r\nuntil and including the date three years thereafter (the Vesting Period) maintains his or her \r\nemployment within the Group. \r\nA total of 430,000 ESOs were issued to participants in June 2021. \r\nThe Group used the following inputs when valuing the ESOs under LTIP 2021 based on Black \r\nScholes model: \r\nIssuance \r\nJune 7, 2021 \r\nUnderlying volume-weighted average share price, SEK 153.70 \r\nExercise price, SEK 192.20 \r\nRisk-free interest rate, (%) (0.04) \r\nESO term, years 4.5 \r\nExpected volatility, (%) 46.9 \r\nExpected dividend, SEK &#8212; \r\nCalculated fair value per ESO, SEK 42.98 \r\nYears Ended December 31, \r\n2022 2021 \r\nESO, Opening balance January 1 430,000 &#8212; \r\nESO allotted to participants June 7, 2021 430,000 \r\nESO forfeited &#8212; &#8212; \r\nESO, Closing balance December 31 430,000 430,000 \r\nRecorded share-based compensation expenses, thousands of SEK 5,892 3,738  \r\n\r\nLong-term incentive program 2022 (LTIP 2022) \r\nAt Hansa&#8217;s AGM on June 30, 2022, shareholders resolved to adopt a long-term incentive \r\nprogram, LTIP 2022. Under the terms of LTIP 2022 participants in the program may receive \r\nshare rights free of charge and/or ESOs as further described below. \r\nShare rights under LTIP 2022 \r\nEach share right entitles a participant to acquire one ordinary share in the Company at no cost \r\nprovided certain pre-defined performance conditions are met and the employment is maintained \r\nwithin the Group during the vesting period. Each share right carries a vesting period of three \r\nyears commencing on the day of its allotment to a participant (the Vesting Period). \r\nThe final number of ordinary shares a participant is entitled to receive is, amongst other terms, \r\nconditional upon meeting the following performance conditions during the Vesting Period: \r\n&gt; Condition 1 (accounting for 22%): U.S. FDA has approved imlifidase in the U.S.; \r\n&gt; Condition 2 (accounting for 11%): Imlifidase has been approved, or a Marketing Authorization \r\nApplication/Biologics License Application has been submitted, in any jurisdiction in an \r\nindication outside kidney transplant; \r\n&gt; Condition 3 (accounting for 11%): At least 80% of the targeted transplantation centers in \r\nEurope have had repeat business \r\n&gt; Condition 4 (accounting for 56%): TSR of at least 25% against the baseline share price at the \r\ndate of allotment. \r\nA maximum of 624,615 share rights can be allotted under LTIP 2022. As of December 31, 2022, \r\na total of 543,000 share rights have initially been allotted to participants. \r\nThe Group used the following inputs when valuing the share rights under LTIP 2022 based on \r\nMonte Carlo simulation: \r\nAllotment \r\nJuly 20, 2022 \r\nStarting value (base-line share price) for TSR calculation, SEK 56.0 \r\nRisk-free interest rate, (%) (1.87) \r\nExpected volatility, (%) 58.6 \r\nExpected dividend, SEK &#8212; \r\nCalculated fair value per share right, SEK 80.29 \r\nYear Ended \r\nDecember 31, 2022 \r\nShare rights, Opening balance January 1 &#8212; \r\nAllotted to participants July 20, 2022, 543,000 \r\nShare rights forfeited &#8212; \r\nShare Rights, Closing balance December 31 543,000 \r\nRecorded share-based compensation expenses, thousands of SEK 7,277 \r\nEmployee Stock Options under LTIP 2022 \r\nEach ESO entitles the holder to receive one new ordinary share in the Company at an exercise \r\nprice corresponding to 125% of the volume weighted average share price during the 30 trading \r\ndays immediately prior to the offer to subscribe for the instruments, and provided that the \r\nparticipant, with certain exceptions, from the date of the start of participation in LTIP 2022 up \r\nuntil and including the date three years thereafter (the Vesting Period) maintains his or her \r\nemployment within the Group. \r\nA maximum of 452,307 ESOs can be allotted under LTIP 2022. As of December 31, 2022, a \r\ntotal of 384,000 have initially been allotted to participants.  \r\n\r\nThe Group used the following inputs when valuing the ESOs under LTIP 2022 based on Black \r\nScholes model: \r\nIssuance \r\nJuly 20, 2022 \r\nUnderlying volume-weighted average share price, SEK 56.01 \r\nExercise price, SEK 70.0 \r\nRisk-free interest rate, (%) (1.86) \r\nESO term, years 4.5 \r\nExpected volatility, (%) 58.6 \r\nExpected dividend, SEK &#8212; \r\nCalculated fair value per ESO, SEK 52.45 \r\nYear Ended \r\nDecember 31, 2022 \r\nESO, Opening balance January 1 &#8212; \r\nESO allotted to participants July 20, 2022 384,000 \r\nESO forfeited &#8212; \r\nESO, Closing balance December 31 384,000 \r\nRecorded share-based compensation expenses, thousands of SEK  2,934","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of share-based payment arrangements [text block]","Documentation":"The entire disclosure for share-based payment arrangements.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642681,"FileId":7831,"Sequence":335,"PageIdentifier":"1398a467-0899-460c-89ad-70ddbf9647c7","ElementIdentifier":"427ea710-8793-4596-a2b4-9533d0460c5c","ElementType":2,"TagName":"ifrs-full:DisclosureOfProvisionsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 15 Provisions \r\nProvisions relate to social security contributions linked to outstanding share or option rights in \r\nthe Group&#8217;s ongoing incentive programs. The social security contributions are expected to be \r\nincurred after vesting if and when plan participants realize value under their specific rights under \r\nthe LTIP programs. Please refer to Note 14 related to the Group&#8217;s LTIP programs and \r\nrespective vesting dates. \r\nThe decrease in provisions for 2022 was mainly driven by impact of the decrease in the \r\nCompany&#8217;s share price that resulted in lower provision for social security contributions under the \r\nLTIP programs. \r\nAs of December 31, \r\n2022 2021 \r\nOpening balance January 1 7,357 14,426 \r\nChange in provision related to LTIP 2018 &#8212; (2,999) \r\nChange in provision related to LTIP 2019 (2,910) (4,516) \r\nChange in provision related to LTIP 2020 (216) (1,194) \r\nChange in provision related to LTIP 2021 (357) 1,866 \r\nChange in provision related to LTIP 2022 1,318 &#8212; \r\nChange in pension provision &#8212; (226) \r\nClosing balance December 31 5,192  7,357","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of provisions [text block]","Documentation":"The disclosure of provisions. [Refer: Provisions]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642680,"FileId":7831,"Sequence":336,"PageIdentifier":"1398a467-0899-460c-89ad-70ddbf9647c7","ElementIdentifier":"1c8db194-a337-48b3-9cae-6f89d5bb2f26","ElementType":2,"TagName":"ifrs-full:DisclosureOfOtherProvisionsContingentLiabilitiesAndContingentAssetsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 15 Provisions \r\nProvisions relate to social security contributions linked to outstanding share or option rights in \r\nthe Group&#8217;s ongoing incentive programs. The social security contributions are expected to be \r\nincurred after vesting if and when plan participants realize value under their specific rights under \r\nthe LTIP programs. Please refer to Note 14 related to the Group&#8217;s LTIP programs and \r\nrespective vesting dates. \r\nThe decrease in provisions for 2022 was mainly driven by impact of the decrease in the \r\nCompany&#8217;s share price that resulted in lower provision for social security contributions under the \r\nLTIP programs. \r\nAs of December 31, \r\n2022 2021 \r\nOpening balance January 1 7,357 14,426 \r\nChange in provision related to LTIP 2018 &#8212; (2,999) \r\nChange in provision related to LTIP 2019 (2,910) (4,516) \r\nChange in provision related to LTIP 2020 (216) (1,194) \r\nChange in provision related to LTIP 2021 (357) 1,866 \r\nChange in provision related to LTIP 2022 1,318 &#8212; \r\nChange in pension provision &#8212; (226) \r\nClosing balance December 31 5,192  7,357","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of other provisions, contingent liabilities and contingent assets [text block]","Documentation":"The entire disclosure for other provisions, contingent liabilities and contingent assets.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642679,"FileId":7831,"Sequence":337,"PageIdentifier":"1398a467-0899-460c-89ad-70ddbf9647c7","ElementIdentifier":"f3d629fe-36c4-4449-bb40-809b0b3343d1","ElementType":2,"TagName":"ifrs-full:DisclosureOfIncomeTaxExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 16 Income Taxes \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nDeferred Taxes, opening balance January 1 426 424 \r\nTax income in the consolidated statement of profit or loss and other \r\ncomprehensive income \r\n(41) (39) \r\nCurrency differences for the year 20 41 \r\nDeferred Taxes, closing balance December 31 405  426\r\nLosses carried forward in 2022 \r\nDeferred tax assets have not been recognized regarding temporary differences and losses \r\ncarried forward since it is not probable that such can be set off against taxable profits in the \r\nforeseeable future. \r\nThe Group&#8217;s losses carried forward in 2022 amounted to SEK 2,361,926,000 (2021: SEK \r\n1,855,521,000). The losses carried forward is, in all material respects, attributable to Swedish \r\ncompanies and therefore has no due date.  \r\n\r\nA reconciliation of Hansa&#8217;s effective tax rate relative to the Swedish statutory tax rate is as \r\nfollows: \r\n2022 2021 \r\n% \r\n(in thousands \r\nof SEK) % \r\n(in thousands \r\nof SEK) \r\nResult before tax &#8212; (609,979) &#8212; (548,130) \r\nTax according to current tax rate 20.6 125,656 20.6 112,915 \r\nEffect of other tax rates for foreign \r\nsubsidiaries \r\n0 (21) 0 (14) \r\nNon-deductible expenses (3.6) (21,920) (2.4) (13,103) \r\nIncrease in loss carry-forwards without \r\ncorresponding capitalization of deferred tax \r\n(17.2) (104,869) (18.2) (99,951) \r\nReported effective tax (0.2) (1,155) &#8212; (152) \r\nThe corporate tax rate in Sweden is 20.6%, from January 1, 2021.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of income tax [text block]","Documentation":"The entire disclosure for income taxes.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642678,"FileId":7831,"Sequence":338,"PageIdentifier":"1398a467-0899-460c-89ad-70ddbf9647c7","ElementIdentifier":"14009ed2-066a-430b-b6e5-48acadc0304e","ElementType":2,"TagName":"ifrs-full:DisclosureOfDeferredTaxesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"(in thousands of SEK) 2022 2021 \r\nDeferred Taxes, opening balance January 1 426 424 \r\nTax income in the consolidated statement of profit or loss and other \r\ncomprehensive income \r\n(41) (39) \r\nCurrency differences for the year 20 41 \r\nDeferred Taxes, closing balance December 31 405  426","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of deferred taxes [text block]","Documentation":"The disclosure of deferred taxes. [Refer: Deferred tax liabilities; Deferred tax assets]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642677,"FileId":7831,"Sequence":339,"PageIdentifier":"168a0759-2d43-4180-91ad-f0ce3ee7958a","ElementIdentifier":"1218a6f1-ed7f-4bb3-aaab-45f022a28442","ElementType":2,"TagName":"ifrs-full:DisclosureOfEarningsPerShareExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 17 Earnings per share \r\nYears Ended December 31, \r\n(in SEK) 2022 2021 \r\nLoss per share, basic and diluted (13.60) (12.33) \r\nDiluted net loss per share is computed using the weighted-average number of ordinary shares \r\noutstanding during the period, plus the dilutive effect of potential ordinary shares. Diluted net \r\nloss per share does not differ from basic net loss per share since potential ordinary shares from \r\nthe conversion of share rights, stock options and warrants are antidilutive for all periods \r\npresented and are, therefore, excluded from the calculation. For the year ended December 31, \r\n2022, and 2021, share rights to receive 1,492,574 and 1,295,823 ordinary shares, respectively, \r\noptions to purchase 1,450,668 and 1,076,668 ordinary shares, respectively, were not included \r\nin the computation of diluted loss per share since their inclusion would be antidilutive. \r\nThe calculation of the numerator and denominator used in the above stated calculations of loss \r\nper share are stated below. \r\nLoss attributable to ordinary shareholders, basic and diluted \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nLoss for the year attributable to owners of the parent (611,134) (548,280) \r\nLoss attributable to ordinary shareholders, basic and diluted (611,134) (548,280) \r\nWeighted average number of ordinary shares, basic and diluted \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nOutstanding ordinary shares January 1 44,473,452 44,473,452 \r\nEffect of conversion of C to A shares in June 2022 62,202 &#8212; \r\nEffect of conversion of C to A shares in October 2022 1,314 &#8212; \r\nEffect of issue of ordinary shares in December 2022 387,030 &#8212; \r\nWeighted average number of ordinary shares, basic and diluted 44,923,998  44,473,452","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of earnings per share [text block]","Documentation":"The entire disclosure for earnings per share.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642676,"FileId":7831,"Sequence":340,"PageIdentifier":"168a0759-2d43-4180-91ad-f0ce3ee7958a","ElementIdentifier":"f1c6633f-a5c8-4471-a3c9-77d1e1fbdd4f","ElementType":2,"TagName":"ifrs-full:DisclosureOfContingentLiabilitiesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 18 Contingent Consideration \r\nThe Group acquired Immago Ltd (today Hansa Biopharma Ltd) on July 19, 2016. The agreed \r\nupon purchase price was GBP 170,000. An additional GBP 70,000 milestone payment is to be \r\npaid if a clinical study based on the acquired technology is initiated in Europe or the U.S. The \r\nestimated payment date is July 2024, resulting in a fair value of the contingent liability on \r\nDecember 31, 2022 amounting to SEK 757,000 (2021: SEK 722,000). \r\nThe estimated future cash flow is discounted using a 10% risk adjusted interest rate. See further \r\ndiscussions in Note 20. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of contingent liabilities [text block]","Documentation":"The disclosure of contingent liabilities. [Refer: Contingent liabilities [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642675,"FileId":7831,"Sequence":341,"PageIdentifier":"168a0759-2d43-4180-91ad-f0ce3ee7958a","ElementIdentifier":"4d0d29e6-69ec-46cb-8cce-f369037389d2","ElementType":2,"TagName":"ifrs-full:DisclosureOfOtherNoncurrentAssetsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 18 Contingent Consideration \r\nThe Group acquired Immago Ltd (today Hansa Biopharma Ltd) on July 19, 2016. The agreed \r\nupon purchase price was GBP 170,000. An additional GBP 70,000 milestone payment is to be \r\npaid if a clinical study based on the acquired technology is initiated in Europe or the U.S. The \r\nestimated payment date is July 2024, resulting in a fair value of the contingent liability on \r\nDecember 31, 2022 amounting to SEK 757,000 (2021: SEK 722,000). \r\nThe estimated future cash flow is discounted using a 10% risk adjusted interest rate. See further \r\ndiscussions in Note 20.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of other non-current assets [text block]","Documentation":"The disclosure of other non-current assets. [Refer: Other non-current assets]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642674,"FileId":7831,"Sequence":342,"PageIdentifier":"168a0759-2d43-4180-91ad-f0ce3ee7958a","ElementIdentifier":"df1cfc6b-ef25-475e-a42b-ec18a33bb978","ElementType":2,"TagName":"ifrs-full:DisclosureOfObjectivesPoliciesAndProcessesForManagingCapitalExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 19 Capital Management \r\nThe Board of Directors&#8217; policy is to maintain a strong capital base to maintain investor, creditor \r\nand market confidence, and a continuous advancement of Hansa&#8217;s product pipeline and \r\nbusiness in general. Hansa has financed its operations mostly from shareholders equity through \r\nthe issuance of shares. As of December 31, 2022, The Group&#8217;s cash position (including short- \r\nterm investments) amounted to SEK 1,496 million.  \r\n\r\nThe adequacy of available funds will depend on many factors, including growth of Idefirix sales, \r\nprogress in research and development programs, the magnitude of those programs, \r\ncommitments to existing and new collaborators, the ability to establish commercial and licensing \r\narrangements, capital expenditures, market developments, and any potential future \r\nacquisitions. Accordingly, Hansa may require additional funds and may attempt to raise \r\nadditional funds through equity or debt financings, collaborative agreements with partners, or \r\nfrom other sources. \r\nThe Board of Directors monitors the share and capital structure to ensure that Hansa&#8217;s capital \r\nresources support the strategic goals. Neither the Company nor any of its subsidiaries are \r\nsubject to externally imposed capital requirements. Managed capital is all reported equity.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of objectives, policies and processes for managing capital [text block]","Documentation":"The disclosure of information that enables users of financial statements to evaluate the entity's objectives, policies and processes for managing capital.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642673,"FileId":7831,"Sequence":343,"PageIdentifier":"83a72221-54e9-42e1-b7d6-2c9eb4069eee","ElementIdentifier":"e1fde811-1928-41d4-85aa-fd4ab199834d","ElementType":2,"TagName":"ifrs-full:DisclosureOfFinancialRiskManagementExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 20 Financial Risk and Financial Instruments \r\nThe Group has exposure to the following risks arising from financial instruments: \r\nA. Liquidity risk \r\nB. Market risk \r\nC. Credit risk \r\nRisk management framework \r\nThe Group&#8217;s board of directors has overall responsibility for the establishment and oversight of \r\nthe Group&#8217;s risk management framework. The Group&#8217;s risk management policies are \r\nestablished to identify and analyze the risks faced by the Group, to set appropriate risk limits \r\nand controls and to monitor risks and adherence to limits. Risk management policies and \r\nsystems are reviewed to reflect changes in market conditions and the Group&#8217;s activities. The \r\nGroup, through its training and management standards and procedures, aims to maintain a \r\ndisciplined and constructive control environment in which all employees understand their roles \r\nand obligations. The Group&#8217;s audit committee oversees how management monitors compliance \r\nwith the Group&#8217;s risk management policies and procedures and reviews the adequacy of the \r\nrisk management framework in relation to the risks faced by the Group. The Group&#8217;s audit \r\ncommittee is assisted in its oversight role by corporate finance function. Corporate finance \r\nfunction undertakes both regular and ad hoc reviews of risk management controls and \r\nprocedures, the results of which are reported to the audit committee. \r\nLiquidity Risk \r\nLiquidity risk is the risk that the Group will encounter difficulty in meeting the obligations \r\nassociated with its financial liabilities that are settled by delivering cash or another financial \r\nasset. The Group&#8217;s approach to managing liquidity is to ensure, as far as possible, that it will \r\nhave sufficient liquidity to meet its liabilities when they are due, under both normal and stressed \r\nconditions, without incurring unacceptable losses or risking damage to the Group&#8217;s reputation. \r\nThe Board of Directors is responsible for the long-term financing strategy and for the acquisition \r\nof capital. The management of financial risks in the day-to-day operations is handled by the \r\nCFO and the corporate finance function. \r\nTo secure short-term liquidity, Hansa&#8217;s treasury policy prescribes that an appropriate level of \r\nliquidity in the form of cash and cash equivalents shall be held in an amount sufficient to cover \r\nthe expected Group financial obligations over at least the next nine-month period. This principle \r\nshall be checked and assured every time a new investment decision is taken. On the reporting \r\ndate, this goal was fulfilled. \r\nCash and cash equivalents on December 31, 2022, amounted to SEK 1,496 million. Cash and \r\ncash equivalents on the reporting date consisted of bank deposits. \r\nShort term investments were mainly invested in interest funds and amounted to SEK 238 million \r\nas of December 31, 2021. The Group sold all its investments in interest funds during the year \r\n2022 &#8211; see further information in the Cash Flow Statement. \r\nSet forth below is a term-based analysis of the Group&#8217;s remaining contractual financial liabilities: \r\nAs of December 31, 2022 \r\n(in thousands of SEK) \r\nNominal \r\nAmount 0&#8722;3 months 3&#8722;12 months 1&#8722;5 years 5&#8722;7 years \r\nLong-term loan 1,458,800 820,575 638,225 \r\nContingent consideration 887 &#8212; &#8212; 887 \r\nNon-current leasing \r\nliabilities \r\n22,582 &#8212; &#8212; 22,582 \r\nCurrent leasing liabilities 7,962 1,990 5,971 &#8212; \r\nTrade payables 62,476 62,476 &#8212; &#8212; \r\nAccrued expenses (see \r\nnote 11) \r\n52,099 52,099 &#8212; &#8212; \r\nTotal 1,604,805 116,565 5,971 844,044 638,225  \r\n\r\nAs of December 31, 2021 \r\n(in thousands of SEK) Nominal Amount 0&#8722;3 months 3&#8722;12 month 1&#8722;5 years \r\nContingent consideration 846 &#8212; &#8212; 846 \r\nNon-current leasing liabilities 30,544 &#8212; &#8212; 30,544 \r\nCurrent leasing liabilities 7,929 1,986 5,943 &#8212; \r\nTrade payables 53,360 53,360 &#8212; &#8212; \r\nAccrued expenses (see note 11) 28,041 28,041 &#8212; &#8212; \r\nTotal 120,720 83,387 5,943  31,390\r\nMarket Risk \r\nMarket risk is the risk that changes in market prices, e.g. foreign exchange rates, interest rates \r\nand equity prices will affect the Group&#8217;s income or the value of its holdings of financial \r\ninstruments. The objective of market risk management is to manage and control market risk \r\nexposures within acceptable parameters, while optimizing the return. \r\nCurrency risk \r\nThe Group is exposed to transactional foreign currency risk to the extent that there is a \r\nmismatch between the currencies in which sales, purchases, receivables and borrowings are \r\ndenominated and the respective functional currencies of Group companies. The functional \r\ncurrencies of Group companies are primarily the SEK, GBP and USD. The currencies in which \r\ntransactions are primarily denominated are SEK, EUR, GBP and USD. In 2022, the Company \r\ntook up a long-term loan in the amount of USD 70 million. The Company is exposed to USD \r\ncurrency risk related to such loan as per the contractual repayment dates. Refer to Note 21 for \r\nfurther information on the loan. \r\nTo manage the currency risk exposure, the Group may in its normal course of business, hold \r\nfunds in foreign currency or enter into currency forward contracts or similar instruments to \r\nbenefit from trends in exchange rates on the basis of a sophisticated analysis considering \r\nexchange rate forecasts published by banks or other analysts as well as short and mid-term \r\ncurrency needs of the Group. \r\nAll cash and investments shall only be made and held in Swedish Krona. In case of investments \r\nin funds or the like, an investment can only be made if the currency fluctuation risk is fully \r\nhedged by the fund. \r\nAs an exception to the above, the Group may hold cash in foreign currency in the normal course \r\nof business to pay any trade payables in foreign currencies. Subsidiaries will hold cash in their \r\nlocal currency within their normal course of business. The Group also has minimal amounts in \r\ntrade and other receivables in foreign currencies. \r\nThe Group is exposed to translation risk that arise from consolidation of foreign subsidiaries. \r\nThe Group net assets on December 31, 2022, relating to Hansa Biopharma Inc. amounted to \r\nUSD 574k (full year 2021: USD 210k) and the Group net assets relating to Hansa Biopharma \r\nLtd. amounted to GBP 102k (full year 2021: GBP 50k). \r\nSensitivity analysis \r\nThe Company purchases services mainly in USD, GBP, DKK and EUR. A weakening of the \r\nSwedish krona in relation to these currencies therefore leads to increased costs for the Group, \r\nall else remaining the same. In addition, the Group receives licensing revenue which are paid in \r\nUSD and GBP. A strengthening of the Swedish krona in relation to USD and GBP therefore \r\nleads to reduced revenue for the Group expressed in SEK, all else remaining the same. \r\nA weakening of the SEK in relation to EUR, USD, GBP and DKK by an average of 10% would \r\nhave negatively affected the Group&#8217;s earnings before tax by approximately SEK 14.6 million, \r\nSEK 4.4 million, SEK 2.5 million, and SEK 0.5 million, respectively. This analysis assumes that \r\nall other variables, in particular interest rates, remain constant and ignores any impact of \r\nforecast sales and purchases. \r\nThe Company has taken up a long-term loan in the amount of USD 70 million in 2022. As of \r\nDecember 31, 2022, the carrying amount of such loan is SEK 762.6 million. A strengthening of \r\nthe USD by 10% would have resulted in an increase in long-term liabilities in the amount of \r\napproximately SEK 76.3 million. \r\nThe sensitivity analysis is based on approximated cash flows in foreign currencies. Income and \r\nexpenses of foreign operations are translated into Swedish kronor at an average exchange rate \r\nthat approximates the exchange rates presented at each transaction date. \r\nInterest rate risk \r\nThe interest rate risk consists of the risk that a change in market interest rates will have a \r\nnegative effect on earnings. The Group&#8217;s exposure to interest rate risks is considered to be low \r\nas the Group only has very limited interest-bearing liabilities. There is certain exposure to \r\ninterest rate risks in cash and cash equivalents in the form of bank deposits and holdings of \r\nshort-term interest fund. \r\nThe Group sold all its investments in interest funds during the year &#8211; see further information in \r\nthe Cash Flow Statement. \r\nIn 2022, the Company took up a long-term loan in the amount of USD 70 million. The Company \r\nis not exposed to any material interest rate risk with regard to such loan as the repayment \r\namount is fixed at twice the principal loan amount.  \r\n\r\nCredit risk \r\nCredit risk is the risk of financial loss to the Group if a customer or counterparty to a financial \r\ninstrument fails to meet its contractual obligations and arises principally from the Group&#8217;s \r\nreceivables from customers and investments in debt securities. The carrying amounts of \r\nfinancial assets and unbilled revenues represent the maximum credit exposure. \r\nThe Group&#8217;s credit risk is primarily related to bank deposits. However, this risk is considered to \r\nbe low since the bank deposits are held with four Swedish banks with good credit ratings. See \r\nfurther discussions in Note 2. According to the Group&#8217;s treasury policy, The Company may only \r\nhold bank deposits with, or initiate payments through, Swedish and foreign banks under the \r\nsupervision of the Swedish Financial Supervisory Authority or similar foreign agency. \r\nThe Group has risk related to its trade receivables. The Company determined that the country \r\nrisk premium was the appropriate factor to use as the default rate as this factor represents the \r\nexpected losses from default on the sovereign debt. The Company concluded these factors \r\ncould be generalized to its receivables from the Product sold in these geographies due to direct \r\nor indirect involvement of the respective governments. \r\nThe Group has also risk related to other receivables that consist mainly of advance payments to \r\nsuppliers. The credit risk is considered to be low as the Group uses trading history as an \r\nevaluation factor and the amounts outstanding at year end 2022 are immaterial. \r\nThe maximum credit exposure of financial assets amounted to SEK 1,505,412 and SEK \r\n662,473 for the periods ended December 31, 2022, and 2021, respectively. \r\nInvestment policy \r\nThe Group may invest a portion of its funds in bank deposits, bonds, investment funds and the \r\nlike with maturity of more than 35 days, while managing the interest rate risk exposure, credit \r\nrisk exposure as well as the cluster risk. As a general principle, the Group may only invest in \r\ninvestment grade issuers, measured at the day of the investment. \r\nTherefore, the following applies: \r\n1) Minimum credit rating of one of the following rating agencies (or comparable): \r\nS&amp;P Rating Moody&#8217;s rating \r\nUp to one year A-2 P2 \r\nMore than one year A A \r\n2) The maximum amount invested with one counterparty or issuer is limited to 30% of total \r\nfunds at the time a new investment decision is taken. This limit might be increased to up to 50% \r\nupon prior approval by the Audit Committee. \r\n3) The duration management within the portfolio of investments is the responsibility of the CFO. \r\nThe maximum maturity of an individual investment shall not exceed two years. \r\nAt year-end 2021, SEK 198 million of the Group&#8217;s short-term investments were invested in an \r\ninvestment grade fixed income fund denominated in SEK that invests primarily in Swedish \r\ninterest-bearing securities with a remaining duration of maximum 360 days. Another SEK 40 \r\nmillion was invested in a housing bond fund which invests in investment grade assets \r\ndenominated in SEK. The Group sold all its investments in interest funds during the year &#8211; see \r\nfurther information in the Cash Flow Statement. \r\nCarrying amounts of financial assets and financial liabilities \r\nThe table below shows the carrying amounts for financial assets and financial liabilities broken \r\ndown by measurement categories under IFRS 9. \r\nFinancial assets valued \r\nat amortized cost \r\nFinancial assets valued at fair value \r\nthrough the income statement \r\n(in thousands of SEK) 2022 2021 2022 2021 \r\nFinancial assets: \r\nShort term investments &#8212; &#8212; &#8212; 237,619 \r\nTrade receivables 8,360 9,712 &#8212; &#8212; \r\nOther receivables 874 1,419 &#8212; &#8212; \r\nCash and cash equivalents 1,496,179 651,342 &#8212; &#8212; \r\nTotal financial assets 1,505,412 662,473 &#8212; 237,619 \r\nFinancial liabilities valued \r\nat amortized cost \r\nFinancial liabilities valued at fair \r\nvalue through the consolidated \r\nstatement of profit or loss and \r\nother comprehensive income \r\n(in thousands of SEK) 2022 2021 2022 2021 \r\nFinancial liabilities: \r\nLong-term loan 762,601 &#8212; &#8212; &#8212; \r\nContingent consideration &#8212; &#8212; 757 722 \r\nTrade payables 62,476 53,360 &#8212; &#8212; \r\nAccrued expenses (see note 11) 52,099 28,041 &#8212; &#8212; \r\nTotal financial liabilities 877,176 81,401 757  722\r\n\r\nLevels of financial assets and financial liabilities per valuation hierarchy \r\nManagement considers the carrying amounts for all financial assets and financial liabilities to be \r\na reasonable approximation of their fair value. \r\nThe table below presents the carrying amount of financial assets and financial liabilities per \r\nvaluation hierarchy in IFRS 13. \r\n(In thousands of SEK) \r\nValuation \r\nHierarchy 2022 2021 \r\nFinancial asset: \r\nHoldings of short-term investments Level 2 &#8212; 237,619 \r\nContingent consideration Level 3 757 722 \r\nThe table below presents a reconciliation between the opening and closing balances for the \r\ncontingent consideration valuated in accordance with Level 3. \r\nAs of December 31, \r\n(In thousands of SEK) 2022 2021 \r\nOpening balance January 1 722 663 \r\nCurrency differences 89 42 \r\nInterest (expense) / income (54) 17 \r\nTotal financial liabilities 757 722 \r\nThe contingent consideration will be at minimum 0 and at maximum GBP 70,000. \r\nThe Group&#8217;s best estimate on December 31, 2022, is that the contingent consideration will be \r\npaid in 2024. The previous estimate made on December 31, 2021, was that the contingent \r\nconsideration would be paid in 2023. The fair value of the contingent consideration is estimated \r\nbased on management assessment when a clinical study utilizing the relevant technology is \r\ninitiated in Europe or the U.S resulting in a milestone payment under the share purchase \r\nagreement. The estimated future cash flow is discounted using a market interest rate. \r\nAs of December 31, 2021, the maturity profile of our investments in interest funds had maturities \r\nof less than one year. The fair value of the securities was based on quotes received from the \r\ncounterparty managing the funds. The Group sold all its investments in interest funds during \r\nthe year 2022 &#8211; see further in the Cash Flow Statement.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of financial risk management [text block]","Documentation":"The disclosure of the entity's financial risk management practices and policies.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642672,"FileId":7831,"Sequence":344,"PageIdentifier":"83a72221-54e9-42e1-b7d6-2c9eb4069eee","ElementIdentifier":"30093b67-1015-4d80-a6d8-b8d689d44512","ElementType":2,"TagName":"ifrs-full:DisclosureOfFinancialInstrumentsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 20 Financial Risk and Financial Instruments \r\nThe Group has exposure to the following risks arising from financial instruments: \r\nA. Liquidity risk \r\nB. Market risk \r\nC. Credit risk \r\nRisk management framework \r\nThe Group&#8217;s board of directors has overall responsibility for the establishment and oversight of \r\nthe Group&#8217;s risk management framework. The Group&#8217;s risk management policies are \r\nestablished to identify and analyze the risks faced by the Group, to set appropriate risk limits \r\nand controls and to monitor risks and adherence to limits. Risk management policies and \r\nsystems are reviewed to reflect changes in market conditions and the Group&#8217;s activities. The \r\nGroup, through its training and management standards and procedures, aims to maintain a \r\ndisciplined and constructive control environment in which all employees understand their roles \r\nand obligations. The Group&#8217;s audit committee oversees how management monitors compliance \r\nwith the Group&#8217;s risk management policies and procedures and reviews the adequacy of the \r\nrisk management framework in relation to the risks faced by the Group. The Group&#8217;s audit \r\ncommittee is assisted in its oversight role by corporate finance function. Corporate finance \r\nfunction undertakes both regular and ad hoc reviews of risk management controls and \r\nprocedures, the results of which are reported to the audit committee. \r\nLiquidity Risk \r\nLiquidity risk is the risk that the Group will encounter difficulty in meeting the obligations \r\nassociated with its financial liabilities that are settled by delivering cash or another financial \r\nasset. The Group&#8217;s approach to managing liquidity is to ensure, as far as possible, that it will \r\nhave sufficient liquidity to meet its liabilities when they are due, under both normal and stressed \r\nconditions, without incurring unacceptable losses or risking damage to the Group&#8217;s reputation. \r\nThe Board of Directors is responsible for the long-term financing strategy and for the acquisition \r\nof capital. The management of financial risks in the day-to-day operations is handled by the \r\nCFO and the corporate finance function. \r\nTo secure short-term liquidity, Hansa&#8217;s treasury policy prescribes that an appropriate level of \r\nliquidity in the form of cash and cash equivalents shall be held in an amount sufficient to cover \r\nthe expected Group financial obligations over at least the next nine-month period. This principle \r\nshall be checked and assured every time a new investment decision is taken. On the reporting \r\ndate, this goal was fulfilled. \r\nCash and cash equivalents on December 31, 2022, amounted to SEK 1,496 million. Cash and \r\ncash equivalents on the reporting date consisted of bank deposits. \r\nShort term investments were mainly invested in interest funds and amounted to SEK 238 million \r\nas of December 31, 2021. The Group sold all its investments in interest funds during the year \r\n2022 &#8211; see further information in the Cash Flow Statement. \r\nSet forth below is a term-based analysis of the Group&#8217;s remaining contractual financial liabilities: \r\nAs of December 31, 2022 \r\n(in thousands of SEK) \r\nNominal \r\nAmount 0&#8722;3 months 3&#8722;12 months 1&#8722;5 years 5&#8722;7 years \r\nLong-term loan 1,458,800 820,575 638,225 \r\nContingent consideration 887 &#8212; &#8212; 887 \r\nNon-current leasing \r\nliabilities \r\n22,582 &#8212; &#8212; 22,582 \r\nCurrent leasing liabilities 7,962 1,990 5,971 &#8212; \r\nTrade payables 62,476 62,476 &#8212; &#8212; \r\nAccrued expenses (see \r\nnote 11) \r\n52,099 52,099 &#8212; &#8212; \r\nTotal 1,604,805 116,565 5,971 844,044 638,225  \r\n\r\nAs of December 31, 2021 \r\n(in thousands of SEK) Nominal Amount 0&#8722;3 months 3&#8722;12 month 1&#8722;5 years \r\nContingent consideration 846 &#8212; &#8212; 846 \r\nNon-current leasing liabilities 30,544 &#8212; &#8212; 30,544 \r\nCurrent leasing liabilities 7,929 1,986 5,943 &#8212; \r\nTrade payables 53,360 53,360 &#8212; &#8212; \r\nAccrued expenses (see note 11) 28,041 28,041 &#8212; &#8212; \r\nTotal 120,720 83,387 5,943  31,390\r\nMarket Risk \r\nMarket risk is the risk that changes in market prices, e.g. foreign exchange rates, interest rates \r\nand equity prices will affect the Group&#8217;s income or the value of its holdings of financial \r\ninstruments. The objective of market risk management is to manage and control market risk \r\nexposures within acceptable parameters, while optimizing the return. \r\nCurrency risk \r\nThe Group is exposed to transactional foreign currency risk to the extent that there is a \r\nmismatch between the currencies in which sales, purchases, receivables and borrowings are \r\ndenominated and the respective functional currencies of Group companies. The functional \r\ncurrencies of Group companies are primarily the SEK, GBP and USD. The currencies in which \r\ntransactions are primarily denominated are SEK, EUR, GBP and USD. In 2022, the Company \r\ntook up a long-term loan in the amount of USD 70 million. The Company is exposed to USD \r\ncurrency risk related to such loan as per the contractual repayment dates. Refer to Note 21 for \r\nfurther information on the loan. \r\nTo manage the currency risk exposure, the Group may in its normal course of business, hold \r\nfunds in foreign currency or enter into currency forward contracts or similar instruments to \r\nbenefit from trends in exchange rates on the basis of a sophisticated analysis considering \r\nexchange rate forecasts published by banks or other analysts as well as short and mid-term \r\ncurrency needs of the Group. \r\nAll cash and investments shall only be made and held in Swedish Krona. In case of investments \r\nin funds or the like, an investment can only be made if the currency fluctuation risk is fully \r\nhedged by the fund. \r\nAs an exception to the above, the Group may hold cash in foreign currency in the normal course \r\nof business to pay any trade payables in foreign currencies. Subsidiaries will hold cash in their \r\nlocal currency within their normal course of business. The Group also has minimal amounts in \r\ntrade and other receivables in foreign currencies. \r\nThe Group is exposed to translation risk that arise from consolidation of foreign subsidiaries. \r\nThe Group net assets on December 31, 2022, relating to Hansa Biopharma Inc. amounted to \r\nUSD 574k (full year 2021: USD 210k) and the Group net assets relating to Hansa Biopharma \r\nLtd. amounted to GBP 102k (full year 2021: GBP 50k). \r\nSensitivity analysis \r\nThe Company purchases services mainly in USD, GBP, DKK and EUR. A weakening of the \r\nSwedish krona in relation to these currencies therefore leads to increased costs for the Group, \r\nall else remaining the same. In addition, the Group receives licensing revenue which are paid in \r\nUSD and GBP. A strengthening of the Swedish krona in relation to USD and GBP therefore \r\nleads to reduced revenue for the Group expressed in SEK, all else remaining the same. \r\nA weakening of the SEK in relation to EUR, USD, GBP and DKK by an average of 10% would \r\nhave negatively affected the Group&#8217;s earnings before tax by approximately SEK 14.6 million, \r\nSEK 4.4 million, SEK 2.5 million, and SEK 0.5 million, respectively. This analysis assumes that \r\nall other variables, in particular interest rates, remain constant and ignores any impact of \r\nforecast sales and purchases. \r\nThe Company has taken up a long-term loan in the amount of USD 70 million in 2022. As of \r\nDecember 31, 2022, the carrying amount of such loan is SEK 762.6 million. A strengthening of \r\nthe USD by 10% would have resulted in an increase in long-term liabilities in the amount of \r\napproximately SEK 76.3 million. \r\nThe sensitivity analysis is based on approximated cash flows in foreign currencies. Income and \r\nexpenses of foreign operations are translated into Swedish kronor at an average exchange rate \r\nthat approximates the exchange rates presented at each transaction date. \r\nInterest rate risk \r\nThe interest rate risk consists of the risk that a change in market interest rates will have a \r\nnegative effect on earnings. The Group&#8217;s exposure to interest rate risks is considered to be low \r\nas the Group only has very limited interest-bearing liabilities. There is certain exposure to \r\ninterest rate risks in cash and cash equivalents in the form of bank deposits and holdings of \r\nshort-term interest fund. \r\nThe Group sold all its investments in interest funds during the year &#8211; see further information in \r\nthe Cash Flow Statement. \r\nIn 2022, the Company took up a long-term loan in the amount of USD 70 million. The Company \r\nis not exposed to any material interest rate risk with regard to such loan as the repayment \r\namount is fixed at twice the principal loan amount.  \r\n\r\nCredit risk \r\nCredit risk is the risk of financial loss to the Group if a customer or counterparty to a financial \r\ninstrument fails to meet its contractual obligations and arises principally from the Group&#8217;s \r\nreceivables from customers and investments in debt securities. The carrying amounts of \r\nfinancial assets and unbilled revenues represent the maximum credit exposure. \r\nThe Group&#8217;s credit risk is primarily related to bank deposits. However, this risk is considered to \r\nbe low since the bank deposits are held with four Swedish banks with good credit ratings. See \r\nfurther discussions in Note 2. According to the Group&#8217;s treasury policy, The Company may only \r\nhold bank deposits with, or initiate payments through, Swedish and foreign banks under the \r\nsupervision of the Swedish Financial Supervisory Authority or similar foreign agency. \r\nThe Group has risk related to its trade receivables. The Company determined that the country \r\nrisk premium was the appropriate factor to use as the default rate as this factor represents the \r\nexpected losses from default on the sovereign debt. The Company concluded these factors \r\ncould be generalized to its receivables from the Product sold in these geographies due to direct \r\nor indirect involvement of the respective governments. \r\nThe Group has also risk related to other receivables that consist mainly of advance payments to \r\nsuppliers. The credit risk is considered to be low as the Group uses trading history as an \r\nevaluation factor and the amounts outstanding at year end 2022 are immaterial. \r\nThe maximum credit exposure of financial assets amounted to SEK 1,505,412 and SEK \r\n662,473 for the periods ended December 31, 2022, and 2021, respectively. \r\nInvestment policy \r\nThe Group may invest a portion of its funds in bank deposits, bonds, investment funds and the \r\nlike with maturity of more than 35 days, while managing the interest rate risk exposure, credit \r\nrisk exposure as well as the cluster risk. As a general principle, the Group may only invest in \r\ninvestment grade issuers, measured at the day of the investment. \r\nTherefore, the following applies: \r\n1) Minimum credit rating of one of the following rating agencies (or comparable): \r\nS&amp;P Rating Moody&#8217;s rating \r\nUp to one year A-2 P2 \r\nMore than one year A A \r\n2) The maximum amount invested with one counterparty or issuer is limited to 30% of total \r\nfunds at the time a new investment decision is taken. This limit might be increased to up to 50% \r\nupon prior approval by the Audit Committee. \r\n3) The duration management within the portfolio of investments is the responsibility of the CFO. \r\nThe maximum maturity of an individual investment shall not exceed two years. \r\nAt year-end 2021, SEK 198 million of the Group&#8217;s short-term investments were invested in an \r\ninvestment grade fixed income fund denominated in SEK that invests primarily in Swedish \r\ninterest-bearing securities with a remaining duration of maximum 360 days. Another SEK 40 \r\nmillion was invested in a housing bond fund which invests in investment grade assets \r\ndenominated in SEK. The Group sold all its investments in interest funds during the year &#8211; see \r\nfurther information in the Cash Flow Statement. \r\nCarrying amounts of financial assets and financial liabilities \r\nThe table below shows the carrying amounts for financial assets and financial liabilities broken \r\ndown by measurement categories under IFRS 9. \r\nFinancial assets valued \r\nat amortized cost \r\nFinancial assets valued at fair value \r\nthrough the income statement \r\n(in thousands of SEK) 2022 2021 2022 2021 \r\nFinancial assets: \r\nShort term investments &#8212; &#8212; &#8212; 237,619 \r\nTrade receivables 8,360 9,712 &#8212; &#8212; \r\nOther receivables 874 1,419 &#8212; &#8212; \r\nCash and cash equivalents 1,496,179 651,342 &#8212; &#8212; \r\nTotal financial assets 1,505,412 662,473 &#8212; 237,619 \r\nFinancial liabilities valued \r\nat amortized cost \r\nFinancial liabilities valued at fair \r\nvalue through the consolidated \r\nstatement of profit or loss and \r\nother comprehensive income \r\n(in thousands of SEK) 2022 2021 2022 2021 \r\nFinancial liabilities: \r\nLong-term loan 762,601 &#8212; &#8212; &#8212; \r\nContingent consideration &#8212; &#8212; 757 722 \r\nTrade payables 62,476 53,360 &#8212; &#8212; \r\nAccrued expenses (see note 11) 52,099 28,041 &#8212; &#8212; \r\nTotal financial liabilities 877,176 81,401 757  722\r\n\r\nLevels of financial assets and financial liabilities per valuation hierarchy \r\nManagement considers the carrying amounts for all financial assets and financial liabilities to be \r\na reasonable approximation of their fair value. \r\nThe table below presents the carrying amount of financial assets and financial liabilities per \r\nvaluation hierarchy in IFRS 13. \r\n(In thousands of SEK) \r\nValuation \r\nHierarchy 2022 2021 \r\nFinancial asset: \r\nHoldings of short-term investments Level 2 &#8212; 237,619 \r\nContingent consideration Level 3 757 722 \r\nThe table below presents a reconciliation between the opening and closing balances for the \r\ncontingent consideration valuated in accordance with Level 3. \r\nAs of December 31, \r\n(In thousands of SEK) 2022 2021 \r\nOpening balance January 1 722 663 \r\nCurrency differences 89 42 \r\nInterest (expense) / income (54) 17 \r\nTotal financial liabilities 757 722 \r\nThe contingent consideration will be at minimum 0 and at maximum GBP 70,000. \r\nThe Group&#8217;s best estimate on December 31, 2022, is that the contingent consideration will be \r\npaid in 2024. The previous estimate made on December 31, 2021, was that the contingent \r\nconsideration would be paid in 2023. The fair value of the contingent consideration is estimated \r\nbased on management assessment when a clinical study utilizing the relevant technology is \r\ninitiated in Europe or the U.S resulting in a milestone payment under the share purchase \r\nagreement. The estimated future cash flow is discounted using a market interest rate. \r\nAs of December 31, 2021, the maturity profile of our investments in interest funds had maturities \r\nof less than one year. The fair value of the securities was based on quotes received from the \r\ncounterparty managing the funds. The Group sold all its investments in interest funds during \r\nthe year 2022 &#8211; see further in the Cash Flow Statement.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of financial instruments [text block]","Documentation":"The entire disclosure for financial instruments.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642671,"FileId":7831,"Sequence":345,"PageIdentifier":"83a72221-54e9-42e1-b7d6-2c9eb4069eee","ElementIdentifier":"c51787e5-55d8-4c55-b879-3639870689f0","ElementType":2,"TagName":"ifrs-full:DisclosureOfLiquidityRiskExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Liquidity Risk Liquidity risk is the risk that the Group will encounter difficulty in meeting the obligations \r\nassociated with its financial liabilities that are settled by delivering cash or another financial \r\nasset. The Group&#8217;s approach to managing liquidity is to ensure, as far as possible, that it will \r\nhave sufficient liquidity to meet its liabilities when they are due, under both normal and stressed \r\nconditions, without incurring unacceptable losses or risking damage to the Group&#8217;s reputation. \r\nThe Board of Directors is responsible for the long-term financing strategy and for the acquisition \r\nof capital. The management of financial risks in the day-to-day operations is handled by the \r\nCFO and the corporate finance function. \r\nTo secure short-term liquidity, Hansa&#8217;s treasury policy prescribes that an appropriate level of \r\nliquidity in the form of cash and cash equivalents shall be held in an amount sufficient to cover \r\nthe expected Group financial obligations over at least the next nine-month period. This principle \r\nshall be checked and assured every time a new investment decision is taken. On the reporting \r\ndate, this goal was fulfilled. \r\nCash and cash equivalents on December 31, 2022, amounted to SEK 1,496 million. Cash and \r\ncash equivalents on the reporting date consisted of bank deposits. \r\nShort term investments were mainly invested in interest funds and amounted to SEK 238 million \r\nas of December 31, 2021. The Group sold all its investments in interest funds during the year \r\n2022 &#8211; see further information in the Cash Flow Statement. \r\nSet forth below is a term-based analysis of the Group&#8217;s remaining contractual financial liabilities: \r\nAs of December 31, 2022 \r\n(in thousands of SEK) \r\nNominal \r\nAmount 0&#8722;3 months 3&#8722;12 months 1&#8722;5 years 5&#8722;7 years \r\nLong-term loan 1,458,800 820,575 638,225 \r\nContingent consideration 887 &#8212; &#8212; 887 \r\nNon-current leasing \r\nliabilities \r\n22,582 &#8212; &#8212; 22,582 \r\nCurrent leasing liabilities 7,962 1,990 5,971 &#8212; \r\nTrade payables 62,476 62,476 &#8212; &#8212; \r\nAccrued expenses (see \r\nnote 11) \r\n52,099 52,099 &#8212; &#8212; \r\nTotal 1,604,805 116,565 5,971 844,044 638,225  \r\n\r\nAs of December 31, 2021 \r\n(in thousands of SEK) Nominal Amount 0&#8722;3 months 3&#8722;12 month 1&#8722;5 years \r\nContingent consideration 846 &#8212; &#8212; 846 \r\nNon-current leasing liabilities 30,544 &#8212; &#8212; 30,544 \r\nCurrent leasing liabilities 7,929 1,986 5,943 &#8212; \r\nTrade payables 53,360 53,360 &#8212; &#8212; \r\nAccrued expenses (see note 11) 28,041 28,041 &#8212; &#8212; \r\nTotal 120,720 83,387 5,943  31,390","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of liquidity risk [text block]","Documentation":"The disclosure of liquidity risk. [Refer: Liquidity risk [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642670,"FileId":7831,"Sequence":346,"PageIdentifier":"83a72221-54e9-42e1-b7d6-2c9eb4069eee","ElementIdentifier":"7328cbbd-2db4-46b4-a32b-b8ad171f7716","ElementType":2,"TagName":"ifrs-full:DisclosureOfCashAndCashEquivalentsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Cash and cash equivalents on December 31, 2022, amounted to SEK 1,496 million. Cash and cash equivalents on the reporting date consisted of bank deposits.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of cash and cash equivalents [text block]","Documentation":"The disclosure of cash and cash equivalents. [Refer: Cash and cash equivalents]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642669,"FileId":7831,"Sequence":347,"PageIdentifier":"14f92b7c-6b92-4b7d-b3ce-99ff59f089b4","ElementIdentifier":"746d5c9b-2754-4fb5-8d9f-43f4ec5a55dc","ElementType":2,"TagName":"ifrs-full:DisclosureOfMarketRiskExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Market Risk Market risk is the risk that changes in market prices, e.g. foreign exchange rates, interest rates \r\nand equity prices will affect the Group&#8217;s income or the value of its holdings of financial \r\ninstruments. The objective of market risk management is to manage and control market risk \r\nexposures within acceptable parameters, while optimizing the return. \r\nCurrency risk \r\nThe Group is exposed to transactional foreign currency risk to the extent that there is a \r\nmismatch between the currencies in which sales, purchases, receivables and borrowings are \r\ndenominated and the respective functional currencies of Group companies. The functional \r\ncurrencies of Group companies are primarily the SEK, GBP and USD. The currencies in which \r\ntransactions are primarily denominated are SEK, EUR, GBP and USD. In 2022, the Company \r\ntook up a long-term loan in the amount of USD 70 million. The Company is exposed to USD \r\ncurrency risk related to such loan as per the contractual repayment dates. Refer to Note 21 for \r\nfurther information on the loan. \r\nTo manage the currency risk exposure, the Group may in its normal course of business, hold \r\nfunds in foreign currency or enter into currency forward contracts or similar instruments to \r\nbenefit from trends in exchange rates on the basis of a sophisticated analysis considering \r\nexchange rate forecasts published by banks or other analysts as well as short and mid-term \r\ncurrency needs of the Group. \r\nAll cash and investments shall only be made and held in Swedish Krona. In case of investments \r\nin funds or the like, an investment can only be made if the currency fluctuation risk is fully \r\nhedged by the fund. \r\nAs an exception to the above, the Group may hold cash in foreign currency in the normal course \r\nof business to pay any trade payables in foreign currencies. Subsidiaries will hold cash in their \r\nlocal currency within their normal course of business. The Group also has minimal amounts in \r\ntrade and other receivables in foreign currencies. \r\nThe Group is exposed to translation risk that arise from consolidation of foreign subsidiaries. \r\nThe Group net assets on December 31, 2022, relating to Hansa Biopharma Inc. amounted to \r\nUSD 574k (full year 2021: USD 210k) and the Group net assets relating to Hansa Biopharma \r\nLtd. amounted to GBP 102k (full year 2021: GBP 50k). \r\nSensitivity analysis \r\nThe Company purchases services mainly in USD, GBP, DKK and EUR. A weakening of the \r\nSwedish krona in relation to these currencies therefore leads to increased costs for the Group, \r\nall else remaining the same. In addition, the Group receives licensing revenue which are paid in \r\nUSD and GBP. A strengthening of the Swedish krona in relation to USD and GBP therefore \r\nleads to reduced revenue for the Group expressed in SEK, all else remaining the same. \r\nA weakening of the SEK in relation to EUR, USD, GBP and DKK by an average of 10% would \r\nhave negatively affected the Group&#8217;s earnings before tax by approximately SEK 14.6 million, \r\nSEK 4.4 million, SEK 2.5 million, and SEK 0.5 million, respectively. This analysis assumes that \r\nall other variables, in particular interest rates, remain constant and ignores any impact of \r\nforecast sales and purchases. \r\nThe Company has taken up a long-term loan in the amount of USD 70 million in 2022. As of \r\nDecember 31, 2022, the carrying amount of such loan is SEK 762.6 million. A strengthening of \r\nthe USD by 10% would have resulted in an increase in long-term liabilities in the amount of \r\napproximately SEK 76.3 million. \r\nThe sensitivity analysis is based on approximated cash flows in foreign currencies. Income and \r\nexpenses of foreign operations are translated into Swedish kronor at an average exchange rate \r\nthat approximates the exchange rates presented at each transaction date. \r\nInterest rate risk \r\nThe interest rate risk consists of the risk that a change in market interest rates will have a \r\nnegative effect on earnings. The Group&#8217;s exposure to interest rate risks is considered to be low \r\nas the Group only has very limited interest-bearing liabilities. There is certain exposure to \r\ninterest rate risks in cash and cash equivalents in the form of bank deposits and holdings of \r\nshort-term interest fund. \r\nThe Group sold all its investments in interest funds during the year &#8211; see further information in \r\nthe Cash Flow Statement. \r\nIn 2022, the Company took up a long-term loan in the amount of USD 70 million. The Company \r\nis not exposed to any material interest rate risk with regard to such loan as the repayment \r\namount is fixed at twice the principal loan amount.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of market risk [text block]","Documentation":"The disclosure of market risk. [Refer: Market risk [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642668,"FileId":7831,"Sequence":348,"PageIdentifier":"00876a52-59c9-4884-9205-c91a7b611377","ElementIdentifier":"1756cba4-6809-444f-999e-fe345c1aa53d","ElementType":2,"TagName":"ifrs-full:DisclosureOfCreditRiskExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Credit risk Credit risk is the risk of financial loss to the Group if a customer or counterparty to a financial \r\ninstrument fails to meet its contractual obligations and arises principally from the Group&#8217;s \r\nreceivables from customers and investments in debt securities. The carrying amounts of \r\nfinancial assets and unbilled revenues represent the maximum credit exposure. \r\nThe Group&#8217;s credit risk is primarily related to bank deposits. However, this risk is considered to \r\nbe low since the bank deposits are held with four Swedish banks with good credit ratings. See \r\nfurther discussions in Note 2. According to the Group&#8217;s treasury policy, The Company may only \r\nhold bank deposits with, or initiate payments through, Swedish and foreign banks under the \r\nsupervision of the Swedish Financial Supervisory Authority or similar foreign agency. \r\nThe Group has risk related to its trade receivables. The Company determined that the country \r\nrisk premium was the appropriate factor to use as the default rate as this factor represents the \r\nexpected losses from default on the sovereign debt. The Company concluded these factors \r\ncould be generalized to its receivables from the Product sold in these geographies due to direct \r\nor indirect involvement of the respective governments. \r\nThe Group has also risk related to other receivables that consist mainly of advance payments to \r\nsuppliers. The credit risk is considered to be low as the Group uses trading history as an \r\nevaluation factor and the amounts outstanding at year end 2022 are immaterial. \r\nThe maximum credit exposure of financial assets amounted to SEK 1,505,412 and SEK \r\n662,473 for the periods ended December 31, 2022, and 2021, respectively. \r\nInvestment policy \r\nThe Group may invest a portion of its funds in bank deposits, bonds, investment funds and the \r\nlike with maturity of more than 35 days, while managing the interest rate risk exposure, credit \r\nrisk exposure as well as the cluster risk. As a general principle, the Group may only invest in \r\ninvestment grade issuers, measured at the day of the investment. \r\nTherefore, the following applies: \r\n1) Minimum credit rating of one of the following rating agencies (or comparable): \r\nS&amp;P Rating Moody&#8217;s rating \r\nUp to one year A-2 P2 \r\nMore than one year A A \r\n2) The maximum amount invested with one counterparty or issuer is limited to 30% of total \r\nfunds at the time a new investment decision is taken. This limit might be increased to up to 50% \r\nupon prior approval by the Audit Committee. \r\n3) The duration management within the portfolio of investments is the responsibility of the CFO. \r\nThe maximum maturity of an individual investment shall not exceed two years. \r\nAt year-end 2021, SEK 198 million of the Group&#8217;s short-term investments were invested in an \r\ninvestment grade fixed income fund denominated in SEK that invests primarily in Swedish \r\ninterest-bearing securities with a remaining duration of maximum 360 days. Another SEK 40 \r\nmillion was invested in a housing bond fund which invests in investment grade assets \r\ndenominated in SEK. The Group sold all its investments in interest funds during the year &#8211; see \r\nfurther information in the Cash Flow Statement.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of credit risk [text block]","Documentation":"The disclosure of credit risk. [Refer: Credit risk [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642667,"FileId":7831,"Sequence":349,"PageIdentifier":"00876a52-59c9-4884-9205-c91a7b611377","ElementIdentifier":"5082d79f-bd9b-49b8-b9f6-ab696537beb9","ElementType":2,"TagName":"ifrs-full:DisclosureOfFinancialInstrumentsAtFairValueThroughProfitOrLossExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Carrying amounts of financial assets and financial liabilities The table below shows the carrying amounts for financial assets and financial liabilities broken \r\ndown by measurement categories under IFRS 9. \r\nFinancial assets valued \r\nat amortized cost \r\nFinancial assets valued at fair value \r\nthrough the income statement \r\n(in thousands of SEK) 2022 2021 2022 2021 \r\nFinancial assets: \r\nShort term investments &#8212; &#8212; &#8212; 237,619 \r\nTrade receivables 8,360 9,712 &#8212; &#8212; \r\nOther receivables 874 1,419 &#8212; &#8212; \r\nCash and cash equivalents 1,496,179 651,342 &#8212; &#8212; \r\nTotal financial assets 1,505,412 662,473 &#8212; 237,619 \r\nFinancial liabilities valued \r\nat amortized cost \r\nFinancial liabilities valued at fair \r\nvalue through the consolidated \r\nstatement of profit or loss and \r\nother comprehensive income \r\n(in thousands of SEK) 2022 2021 2022 2021 \r\nFinancial liabilities: \r\nLong-term loan 762,601 &#8212; &#8212; &#8212; \r\nContingent consideration &#8212; &#8212; 757 722 \r\nTrade payables 62,476 53,360 &#8212; &#8212; \r\nAccrued expenses (see note 11) 52,099 28,041 &#8212; &#8212; \r\nTotal financial liabilities 877,176 81,401 757  722","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of financial instruments at fair value through profit or loss [text block]","Documentation":"The disclosure of financial instruments measured at fair value through profit or loss. [Refer: At fair value [member]; Financial instruments, class [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642666,"FileId":7831,"Sequence":350,"PageIdentifier":"00876a52-59c9-4884-9205-c91a7b611377","ElementIdentifier":"c535546e-e32d-4184-a19e-605a35c4e760","ElementType":2,"TagName":"ifrs-full:DisclosureOfFairValueOfFinancialInstrumentsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Carrying amounts of financial assets and financial liabilities The table below shows the carrying amounts for financial assets and financial liabilities broken \r\ndown by measurement categories under IFRS 9. \r\nFinancial assets valued \r\nat amortized cost \r\nFinancial assets valued at fair value \r\nthrough the income statement \r\n(in thousands of SEK) 2022 2021 2022 2021 \r\nFinancial assets: \r\nShort term investments &#8212; &#8212; &#8212; 237,619 \r\nTrade receivables 8,360 9,712 &#8212; &#8212; \r\nOther receivables 874 1,419 &#8212; &#8212; \r\nCash and cash equivalents 1,496,179 651,342 &#8212; &#8212; \r\nTotal financial assets 1,505,412 662,473 &#8212; 237,619 \r\nFinancial liabilities valued \r\nat amortized cost \r\nFinancial liabilities valued at fair \r\nvalue through the consolidated \r\nstatement of profit or loss and \r\nother comprehensive income \r\n(in thousands of SEK) 2022 2021 2022 2021 \r\nFinancial liabilities: \r\nLong-term loan 762,601 &#8212; &#8212; &#8212; \r\nContingent consideration &#8212; &#8212; 757 722 \r\nTrade payables 62,476 53,360 &#8212; &#8212; \r\nAccrued expenses (see note 11) 52,099 28,041 &#8212; &#8212; \r\nTotal financial liabilities 877,176 81,401 757  722\r\n\r\nLevels of financial assets and financial liabilities per valuation hierarchy \r\nManagement considers the carrying amounts for all financial assets and financial liabilities to be \r\na reasonable approximation of their fair value. \r\nThe table below presents the carrying amount of financial assets and financial liabilities per \r\nvaluation hierarchy in IFRS 13. \r\n(In thousands of SEK) \r\nValuation \r\nHierarchy 2022 2021 \r\nFinancial asset: \r\nHoldings of short-term investments Level 2 &#8212; 237,619 \r\nContingent consideration Level 3 757 722 \r\nThe table below presents a reconciliation between the opening and closing balances for the \r\ncontingent consideration valuated in accordance with Level 3. \r\nAs of December 31, \r\n(In thousands of SEK) 2022 2021 \r\nOpening balance January 1 722 663 \r\nCurrency differences 89 42 \r\nInterest (expense) / income (54) 17 \r\nTotal financial liabilities 757 722 \r\nThe contingent consideration will be at minimum 0 and at maximum GBP 70,000. \r\nThe Group&#8217;s best estimate on December 31, 2022, is that the contingent consideration will be \r\npaid in 2024. The previous estimate made on December 31, 2021, was that the contingent \r\nconsideration would be paid in 2023. The fair value of the contingent consideration is estimated \r\nbased on management assessment when a clinical study utilizing the relevant technology is \r\ninitiated in Europe or the U.S resulting in a milestone payment under the share purchase \r\nagreement. The estimated future cash flow is discounted using a market interest rate. \r\nAs of December 31, 2021, the maturity profile of our investments in interest funds had maturities \r\nof less than one year. The fair value of the securities was based on quotes received from the \r\ncounterparty managing the funds. The Group sold all its investments in interest funds during \r\nthe year 2022 &#8211; see further in the Cash Flow Statement.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of fair value of financial instruments [text block]","Documentation":"The disclosure of the fair value of financial instruments. [Refer: Financial instruments, class [member]; At fair value [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642665,"FileId":7831,"Sequence":351,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36","ElementIdentifier":"cdc1e679-5256-472c-82e3-998a25c728cc","ElementType":2,"TagName":"ifrs-full:DisclosureOfFairValueMeasurementExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Levels of financial assets and financial liabilities per valuation hierarchy Management considers the carrying amounts for all financial assets and financial liabilities to be \r\na reasonable approximation of their fair value. \r\nThe table below presents the carrying amount of financial assets and financial liabilities per \r\nvaluation hierarchy in IFRS 13. \r\n(In thousands of SEK) \r\nValuation \r\nHierarchy 2022 2021 \r\nFinancial asset: \r\nHoldings of short-term investments Level 2 &#8212; 237,619 \r\nContingent consideration Level 3 757 722 \r\nThe table below presents a reconciliation between the opening and closing balances for the \r\ncontingent consideration valuated in accordance with Level 3. \r\nAs of December 31, \r\n(In thousands of SEK) 2022 2021 \r\nOpening balance January 1 722 663 \r\nCurrency differences 89 42 \r\nInterest (expense) / income (54) 17 \r\nTotal financial liabilities 757 722 \r\nThe contingent consideration will be at minimum 0 and at maximum GBP 70,000. \r\nThe Group&#8217;s best estimate on December 31, 2022, is that the contingent consideration will be \r\npaid in 2024. The previous estimate made on December 31, 2021, was that the contingent \r\nconsideration would be paid in 2023. The fair value of the contingent consideration is estimated \r\nbased on management assessment when a clinical study utilizing the relevant technology is \r\ninitiated in Europe or the U.S resulting in a milestone payment under the share purchase \r\nagreement. The estimated future cash flow is discounted using a market interest rate. \r\nAs of December 31, 2021, the maturity profile of our investments in interest funds had maturities \r\nof less than one year. The fair value of the securities was based on quotes received from the \r\ncounterparty managing the funds. The Group sold all its investments in interest funds during \r\nthe year 2022 &#8211; see further in the Cash Flow Statement.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of fair value measurement [text block]","Documentation":"The entire disclosure for fair value measurement.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642664,"FileId":7831,"Sequence":352,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36","ElementIdentifier":"d918b481-5a43-4b8d-ade0-716bd60bf922","ElementType":2,"TagName":"ifrs-full:DisclosureOfBorrowingsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 21 Long-term loan \r\nOn July 18, 2022, the Company entered into a $70.0 million funding agreement with NovaQuest. \r\nThe funding was accounted for as liability classified debt as the Company has an unavoidable \r\nobligation to settle the funding in cash. The debt is accounted for at amortized cost. \r\nThe net proceeds from the funding were $69.2 million after the deduction of transaction costs. \r\nThe transaction costs were capitalized and offset against the carrying value of the debt and will \r\nbe amortized over the term of the debt. \r\nThe debt is secured by certain of the Company&#8217;s intellectual property and assets. \r\nUnder the terms of the debt, the Company will make quarterly mid-single-digit royalty percentage \r\npayments to NovaQuest on future worldwide annual net sales of imlifidase, commencing upon \r\napproval of imlifidase in the U.S. in kidney transplantation or anti-GBM. In addition, Hansa will \r\nmake certain milestone payments to NovaQuest upon U.S. approval of imlifidase in kidney \r\ntransplantation or anti-GBM. Total payments by Hansa to NovaQuest are capped at $140 \r\nmillion. The agreement also provides for time-based catch-up payments within the payment cap \r\nif specified payment amounts have not been received by NovaQuest by specified dates, with the \r\nlast potential catch-up payment due on December 31, 2028. \r\nThe Company will record the difference between the principal and the total payments as interest \r\nexpense over the forecasted term of the debt by applying the effective-interest-rate method. \r\nBased on the actual repayment pattern, the Company will recalculate the effective interest each \r\nreporting period until the debt is satisfied. \r\nOn 31 December 2022, the loan amounted to SEK 762.6 million, thereof SEK 41.2 million in \r\naccrued interest.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of borrowings [text block]","Documentation":"The disclosure of borrowings. [Refer: Borrowings]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642683,"FileId":7831,"Sequence":353,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36","ElementIdentifier":"6d152c47-06e3-4564-970d-9cca469fe728","ElementType":2,"TagName":"ifrs-full:DisclosureOfBorrowingCostsExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 21 Long-term loan \r\nOn July 18, 2022, the Company entered into a $70.0 million funding agreement with NovaQuest. \r\nThe funding was accounted for as liability classified debt as the Company has an unavoidable \r\nobligation to settle the funding in cash. The debt is accounted for at amortized cost. \r\nThe net proceeds from the funding were $69.2 million after the deduction of transaction costs. \r\nThe transaction costs were capitalized and offset against the carrying value of the debt and will \r\nbe amortized over the term of the debt. \r\nThe debt is secured by certain of the Company&#8217;s intellectual property and assets. \r\nUnder the terms of the debt, the Company will make quarterly mid-single-digit royalty percentage \r\npayments to NovaQuest on future worldwide annual net sales of imlifidase, commencing upon \r\napproval of imlifidase in the U.S. in kidney transplantation or anti-GBM. In addition, Hansa will \r\nmake certain milestone payments to NovaQuest upon U.S. approval of imlifidase in kidney \r\ntransplantation or anti-GBM. Total payments by Hansa to NovaQuest are capped at $140 \r\nmillion. The agreement also provides for time-based catch-up payments within the payment cap \r\nif specified payment amounts have not been received by NovaQuest by specified dates, with the \r\nlast potential catch-up payment due on December 31, 2028. \r\nThe Company will record the difference between the principal and the total payments as interest \r\nexpense over the forecasted term of the debt by applying the effective-interest-rate method. \r\nBased on the actual repayment pattern, the Company will recalculate the effective interest each \r\nreporting period until the debt is satisfied. \r\nOn 31 December 2022, the loan amounted to SEK 762.6 million, thereof SEK 41.2 million in \r\naccrued interest.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of borrowing costs [text block]","Documentation":"The entire disclosure for borrowing costs.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642684,"FileId":7831,"Sequence":354,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36","ElementIdentifier":"786d2aa9-74c9-4f14-a520-e476b8e24690","ElementType":2,"TagName":"ifrs-full:DisclosureOfOtherNoncurrentLiabilitiesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 21 Long-term loan \r\nOn July 18, 2022, the Company entered into a $70.0 million funding agreement with NovaQuest. \r\nThe funding was accounted for as liability classified debt as the Company has an unavoidable \r\nobligation to settle the funding in cash. The debt is accounted for at amortized cost. \r\nThe net proceeds from the funding were $69.2 million after the deduction of transaction costs. \r\nThe transaction costs were capitalized and offset against the carrying value of the debt and will \r\nbe amortized over the term of the debt. \r\nThe debt is secured by certain of the Company&#8217;s intellectual property and assets. \r\nUnder the terms of the debt, the Company will make quarterly mid-single-digit royalty percentage \r\npayments to NovaQuest on future worldwide annual net sales of imlifidase, commencing upon \r\napproval of imlifidase in the U.S. in kidney transplantation or anti-GBM. In addition, Hansa will \r\nmake certain milestone payments to NovaQuest upon U.S. approval of imlifidase in kidney \r\ntransplantation or anti-GBM. Total payments by Hansa to NovaQuest are capped at $140 \r\nmillion. The agreement also provides for time-based catch-up payments within the payment cap \r\nif specified payment amounts have not been received by NovaQuest by specified dates, with the \r\nlast potential catch-up payment due on December 31, 2028. \r\nThe Company will record the difference between the principal and the total payments as interest \r\nexpense over the forecasted term of the debt by applying the effective-interest-rate method. \r\nBased on the actual repayment pattern, the Company will recalculate the effective interest each \r\nreporting period until the debt is satisfied. \r\nOn 31 December 2022, the loan amounted to SEK 762.6 million, thereof SEK 41.2 million in \r\naccrued interest.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of other non-current liabilities [text block]","Documentation":"The disclosure of other non-current liabilities. [Refer: Other non-current liabilities]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642685,"FileId":7831,"Sequence":355,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36","ElementIdentifier":"d6aaa890-a9eb-485c-9572-6ed6730c188b","ElementType":2,"TagName":"ifrs-full:DisclosureOfInterestIncomeExpenseExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 21 Long-term loan \r\nOn July 18, 2022, the Company entered into a $70.0 million funding agreement with NovaQuest. \r\nThe funding was accounted for as liability classified debt as the Company has an unavoidable \r\nobligation to settle the funding in cash. The debt is accounted for at amortized cost. \r\nThe net proceeds from the funding were $69.2 million after the deduction of transaction costs. \r\nThe transaction costs were capitalized and offset against the carrying value of the debt and will \r\nbe amortized over the term of the debt. \r\nThe debt is secured by certain of the Company&#8217;s intellectual property and assets. \r\nUnder the terms of the debt, the Company will make quarterly mid-single-digit royalty percentage \r\npayments to NovaQuest on future worldwide annual net sales of imlifidase, commencing upon \r\napproval of imlifidase in the U.S. in kidney transplantation or anti-GBM. In addition, Hansa will \r\nmake certain milestone payments to NovaQuest upon U.S. approval of imlifidase in kidney \r\ntransplantation or anti-GBM. Total payments by Hansa to NovaQuest are capped at $140 \r\nmillion. The agreement also provides for time-based catch-up payments within the payment cap \r\nif specified payment amounts have not been received by NovaQuest by specified dates, with the \r\nlast potential catch-up payment due on December 31, 2028. \r\nThe Company will record the difference between the principal and the total payments as interest \r\nexpense over the forecasted term of the debt by applying the effective-interest-rate method. \r\nBased on the actual repayment pattern, the Company will recalculate the effective interest each \r\nreporting period until the debt is satisfied. \r\nOn 31 December 2022, the loan amounted to SEK 762.6 million, thereof SEK 41.2 million in \r\naccrued interest. \r\nNote 22 Finance Income and Expenses \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nInterest income on bank deposits measured at amortized cost 8,833 67 \r\nNet exchange rate variances 18,415 &#8212; \r\nFinance income 27,248 67 \r\nInterest expense on long-term loan at amortized cost (42,470) &#8212; \r\nInterest expenses, other (1,196) (694) \r\nChanges in the fair value of interest funds during the year (4,973) (525) \r\nFinance costs (48,639) (1,219) \r\nNet finance costs/income (21,391)  (1,152)","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of interest income (expense) [text block]","Documentation":"The disclosure of interest income and expense. [Refer: Interest income (expense)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642686,"FileId":7831,"Sequence":356,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36","ElementIdentifier":"409e8dc3-67c5-41ed-b927-508bbc542a52","ElementType":2,"TagName":"ifrs-full:DisclosureOfInterestExpenseExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 21 Long-term loan \r\nOn July 18, 2022, the Company entered into a $70.0 million funding agreement with NovaQuest. \r\nThe funding was accounted for as liability classified debt as the Company has an unavoidable \r\nobligation to settle the funding in cash. The debt is accounted for at amortized cost. \r\nThe net proceeds from the funding were $69.2 million after the deduction of transaction costs. \r\nThe transaction costs were capitalized and offset against the carrying value of the debt and will \r\nbe amortized over the term of the debt. \r\nThe debt is secured by certain of the Company&#8217;s intellectual property and assets. \r\nUnder the terms of the debt, the Company will make quarterly mid-single-digit royalty percentage \r\npayments to NovaQuest on future worldwide annual net sales of imlifidase, commencing upon \r\napproval of imlifidase in the U.S. in kidney transplantation or anti-GBM. In addition, Hansa will \r\nmake certain milestone payments to NovaQuest upon U.S. approval of imlifidase in kidney \r\ntransplantation or anti-GBM. Total payments by Hansa to NovaQuest are capped at $140 \r\nmillion. The agreement also provides for time-based catch-up payments within the payment cap \r\nif specified payment amounts have not been received by NovaQuest by specified dates, with the \r\nlast potential catch-up payment due on December 31, 2028. \r\nThe Company will record the difference between the principal and the total payments as interest \r\nexpense over the forecasted term of the debt by applying the effective-interest-rate method. \r\nBased on the actual repayment pattern, the Company will recalculate the effective interest each \r\nreporting period until the debt is satisfied. \r\nOn 31 December 2022, the loan amounted to SEK 762.6 million, thereof SEK 41.2 million in \r\naccrued interest. \r\nNote 22 Finance Income and Expenses \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nInterest income on bank deposits measured at amortized cost 8,833 67 \r\nNet exchange rate variances 18,415 &#8212; \r\nFinance income 27,248 67 \r\nInterest expense on long-term loan at amortized cost (42,470) &#8212; \r\nInterest expenses, other (1,196) (694) \r\nChanges in the fair value of interest funds during the year (4,973) (525) \r\nFinance costs (48,639) (1,219) \r\nNet finance costs/income (21,391)  (1,152)","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of interest expense [text block]","Documentation":"The disclosure of interest expense. [Refer: Interest expense]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642706,"FileId":7831,"Sequence":357,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36","ElementIdentifier":"787e1c4d-ee18-4a14-b28e-fdab88034aa8","ElementType":2,"TagName":"ifrs-full:DisclosureOfFinanceIncomeExpenseExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 22 Finance Income and Expenses \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nInterest income on bank deposits measured at amortized cost 8,833 67 \r\nNet exchange rate variances 18,415 &#8212; \r\nFinance income 27,248 67 \r\nInterest expense on long-term loan at amortized cost (42,470) &#8212; \r\nInterest expenses, other (1,196) (694) \r\nChanges in the fair value of interest funds during the year (4,973) (525) \r\nFinance costs (48,639) (1,219) \r\nNet finance costs/income (21,391)  (1,152)","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of finance income (cost) [text block]","Documentation":"The disclosure of finance income (cost). [Refer: Finance income (cost)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642705,"FileId":7831,"Sequence":358,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36","ElementIdentifier":"4b45c22c-13d3-4074-8ca3-29761e55773a","ElementType":2,"TagName":"ifrs-full:DisclosureOfFinanceIncomeExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 22 Finance Income and Expenses \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nInterest income on bank deposits measured at amortized cost 8,833 67 \r\nNet exchange rate variances 18,415 &#8212; \r\nFinance income 27,248 67 \r\nInterest expense on long-term loan at amortized cost (42,470) &#8212; \r\nInterest expenses, other (1,196) (694) \r\nChanges in the fair value of interest funds during the year (4,973) (525) \r\nFinance costs (48,639) (1,219) \r\nNet finance costs/income (21,391)  (1,152)","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of finance income [text block]","Documentation":"The disclosure of finance income. [Refer: Finance income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642704,"FileId":7831,"Sequence":359,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36","ElementIdentifier":"4020ef7e-3453-4d49-9ec7-4394e8cc959b","ElementType":2,"TagName":"ifrs-full:DisclosureOfFinanceCostExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 22 Finance Income and Expenses \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nInterest income on bank deposits measured at amortized cost 8,833 67 \r\nNet exchange rate variances 18,415 &#8212; \r\nFinance income 27,248 67 \r\nInterest expense on long-term loan at amortized cost (42,470) &#8212; \r\nInterest expenses, other (1,196) (694) \r\nChanges in the fair value of interest funds during the year (4,973) (525) \r\nFinance costs (48,639) (1,219) \r\nNet finance costs/income (21,391)  (1,152)","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of finance cost [text block]","Documentation":"The disclosure of finance cost. [Refer: Finance costs]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642703,"FileId":7831,"Sequence":360,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36","ElementIdentifier":"3269a636-053d-4c9f-8a51-e75be120ab67","ElementType":2,"TagName":"ifrs-full:DisclosureOfInterestIncomeExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 22 Finance Income and Expenses \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nInterest income on bank deposits measured at amortized cost 8,833 67 \r\nNet exchange rate variances 18,415 &#8212; \r\nFinance income 27,248 67 \r\nInterest expense on long-term loan at amortized cost (42,470) &#8212; \r\nInterest expenses, other (1,196) (694) \r\nChanges in the fair value of interest funds during the year (4,973) (525) \r\nFinance costs (48,639) (1,219) \r\nNet finance costs/income (21,391)  (1,152)","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of interest income [text block]","Documentation":"The disclosure of interest income. [Refer: Interest income]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642702,"FileId":7831,"Sequence":361,"PageIdentifier":"531153d3-485c-430e-9b6f-f0bfd11b317e","ElementIdentifier":"7e310d39-5567-4345-8445-e9551f3b57ee","ElementType":2,"TagName":"ifrs-full:DisclosureOfShareCapitalReservesAndOtherEquityInterestExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 23 Share capital and number of shares \r\nYears Ended December 31, \r\nNumber of shares 2022 2021 \r\nOutstanding as of January 1 44,473,452 44,473,452 \r\nEffect of conversion of C to A in June 114,666 &#8212; \r\nEffect of conversion of C to A shares in October 7,733 &#8212; \r\nEffect of new share issue in December 7,848,111 &#8212; \r\nOutstanding as of December 31 52,443,962 44,473,452 \r\nThe Group&#8217;s shares have a par value of SEK 1. \r\nHolders of ordinary shares are entitled to dividends which are determined after they become \r\nshareholders. Each ordinary share entitles the holder to one vote per share. \r\nNote 24 Share Premium \r\nThe share premium reserve is comprised of the amount received, attributable to shareholders&#8217; \r\nequity, in excess of the nominal amount of the shares issued, reduced by any amount allocated \r\nto external expenses directly attributable to the offerings. The share premium reserve can be \r\ndistributed.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of share capital, reserves and other equity interest [text block]","Documentation":"The entire disclosure for share capital, reserves and other equity interest.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642701,"FileId":7831,"Sequence":362,"PageIdentifier":"531153d3-485c-430e-9b6f-f0bfd11b317e","ElementIdentifier":"69bebb73-125f-4671-92e1-9e01409ae277","ElementType":2,"TagName":"ifrs-full:DisclosureOfIssuedCapitalExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 23 Share capital and number of shares \r\nYears Ended December 31, \r\nNumber of shares 2022 2021 \r\nOutstanding as of January 1 44,473,452 44,473,452 \r\nEffect of conversion of C to A in June 114,666 &#8212; \r\nEffect of conversion of C to A shares in October 7,733 &#8212; \r\nEffect of new share issue in December 7,848,111 &#8212; \r\nOutstanding as of December 31 52,443,962 44,473,452 \r\nThe Group&#8217;s shares have a par value of SEK 1. \r\nHolders of ordinary shares are entitled to dividends which are determined after they become \r\nshareholders. Each ordinary share entitles the holder to one vote per share.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of issued capital [text block]","Documentation":"The disclosure of issued capital. [Refer: Issued capital]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642700,"FileId":7831,"Sequence":363,"PageIdentifier":"531153d3-485c-430e-9b6f-f0bfd11b317e","ElementIdentifier":"abc5106f-8090-46e7-b7e4-5104dffd09fd","ElementType":2,"TagName":"ifrs-full:DisclosureOfTreasurySharesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 25 Treasury shares included in equity \r\nNumber of Shares Amount, In thousands of SEK \r\n2022 2021 2022 2021 \r\nAs of January 1, 1,861,909 1,421,457 1,862 1,421 \r\nAdditions 850,769 440,452 851 440 \r\nExercise of share rights (122,399) &#8212; (122) &#8212; \r\nAs of December 31, 2,590,279 1,861,909 2,590 1,862 \r\nTreasury shares have a par value of SEK 1. \r\nThe year 2022 additions of Class C shares result from the new issue and subsequent \r\nrepurchase of Class C shares related to the funding of the long-term incentive plan (LTIP) 2022, \r\nas approved at the 2022 AGM. Class C shares correspond to treasury shares held by the \r\nCompany and are reserved to fund the respective LTIP programs. Each Class C share entitles \r\nthe holder to 0.1 vote per share.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of treasury shares [text block]","Documentation":"The disclosure of treasury shares. [Refer: Treasury shares]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642699,"FileId":7831,"Sequence":364,"PageIdentifier":"531153d3-485c-430e-9b6f-f0bfd11b317e","ElementIdentifier":"5e9f7712-4e06-4e34-9522-913e31001893","ElementType":2,"TagName":"ifrs-full:DisclosureOfReservesAndOtherEquityInterestExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 26 Reserves \r\nTreasury share reserve \r\nThe treasury share reserve comprises own shares repurchased by the Group. Please refer to \r\nNote 14 related to the Group&#8217;s LTIP programs and respective vesting dates. \r\nTranslation reserve \r\nThe translation reserve comprises all foreign exchange differences arising on translation of \r\nfinancial statements from foreign business prepared in currency other than the reporting \r\ncurrency for the financial statements of the Group. The Group presents their financial \r\nstatements in Swedish Kronor.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of reserves within equity [text block]","Documentation":"The disclosure of reserves within equity. [Refer: Other reserves [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642698,"FileId":7831,"Sequence":365,"PageIdentifier":"531153d3-485c-430e-9b6f-f0bfd11b317e","ElementIdentifier":"636b80b6-8081-4a1b-b0e1-ac96e8b7b62f","ElementType":2,"TagName":"ifrs-full:DisclosureOfEffectOfChangesInForeignExchangeRatesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 26 Reserves \r\nTreasury share reserve \r\nThe treasury share reserve comprises own shares repurchased by the Group. Please refer to \r\nNote 14 related to the Group&#8217;s LTIP programs and respective vesting dates. \r\nTranslation reserve \r\nThe translation reserve comprises all foreign exchange differences arising on translation of \r\nfinancial statements from foreign business prepared in currency other than the reporting \r\ncurrency for the financial statements of the Group. The Group presents their financial \r\nstatements in Swedish Kronor.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of effect of changes in foreign exchange rates [text block]","Documentation":"The entire disclosure for the effect of changes in foreign exchange rates.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642707,"FileId":7831,"Sequence":366,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7","ElementIdentifier":"16c67b77-6bf3-4b83-9974-cbaae28fc04f","ElementType":2,"TagName":"ifrs-full:DisclosureOfOtherOperatingIncomeExpenseExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 28 Other operating income and expenses \r\nYears Ended December 31, \r\n2022 2021 \r\nTotal other operating income &#8212; &#8212; \r\nOther operating expenses \r\nForeign currency losses on receivables/liabilities from operating \r\nactivities (12,469) (7,398) \r\nOther operating expenses (8,063) &#8212; \r\nTotal other operating expenses (20,532)  (7,398)","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of other operating income (expense) [text block]","Documentation":"The disclosure of other operating income or expense. [Refer: Other operating income (expense)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642697,"FileId":7831,"Sequence":367,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7","ElementIdentifier":"c43bd8ee-1868-4bbc-8c2e-89db30c5558a","ElementType":2,"TagName":"ifrs-full:DisclosureOfOtherOperatingIncomeExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 28 Other operating income and expenses \r\nYears Ended December 31, \r\n2022 2021 \r\nTotal other operating income &#8212; &#8212; \r\nOther operating expenses \r\nForeign currency losses on receivables/liabilities from operating \r\nactivities (12,469) (7,398) \r\nOther operating expenses (8,063) &#8212; \r\nTotal other operating expenses (20,532)  (7,398)","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of other operating income [text block]","Documentation":"The disclosure of other operating income. [Refer: Other operating income (expense)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642695,"FileId":7831,"Sequence":368,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7","ElementIdentifier":"5e2ace77-6e6a-4068-a7e0-f3ddf8e6e923","ElementType":2,"TagName":"ifrs-full:DisclosureOfOtherOperatingExpenseExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 28 Other operating income and expenses \r\nYears Ended December 31, \r\n2022 2021 \r\nTotal other operating income &#8212; &#8212; \r\nOther operating expenses \r\nForeign currency losses on receivables/liabilities from operating \r\nactivities (12,469) (7,398) \r\nOther operating expenses (8,063) &#8212; \r\nTotal other operating expenses (20,532)  (7,398)","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of other operating expense [text block]","Documentation":"The disclosure of other operating expense. [Refer: Other operating income (expense)]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642694,"FileId":7831,"Sequence":369,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7","ElementIdentifier":"b5a4dd07-04a6-48ce-929e-4f723f63aea2","ElementType":2,"TagName":"ifrs-full:DisclosureOfDepreciationAndAmortisationExpenseExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 29 Operating expenses by nature \r\nThe table below presents an analysis of operating expenses presented in profit or loss in \r\nclassification based on the nature of the expenses: \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nPersonnel expenses (315,924) (266,611) \r\nThird party expenses (358,222) (283,387) \r\nDepreciation and amortization expenses (9,959) (8,606) \r\nOther operating expenses (20,532) (6,827) \r\nTotal operating expenses (704,637) (565,431) \r\nFollowing table summarizes amortization and depreciation expenses from note 4, 5 and 6 \r\nabove presented by function in profit or loss and other comprehensive income (loss). \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nResearch and development expenses 7,027 5,639 \r\nSales, general and administrative expenses 2,932 2,967 \r\nTotal 9,959 8,606","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of depreciation and amortisation expense [text block]","Documentation":"The disclosure of depreciation and amortisation expense. [Refer: Depreciation and amortisation expense]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642693,"FileId":7831,"Sequence":370,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7","ElementIdentifier":"f5ca726b-4f66-4406-8fc8-80784a68ad9d","ElementType":2,"TagName":"ifrs-full:DisclosureOfExpensesByNatureExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 29 Operating expenses by nature \r\nThe table below presents an analysis of operating expenses presented in profit or loss in \r\nclassification based on the nature of the expenses: \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nPersonnel expenses (315,924) (266,611) \r\nThird party expenses (358,222) (283,387) \r\nDepreciation and amortization expenses (9,959) (8,606) \r\nOther operating expenses (20,532) (6,827) \r\nTotal operating expenses (704,637) (565,431) \r\nFollowing table summarizes amortization and depreciation expenses from note 4, 5 and 6 \r\nabove presented by function in profit or loss and other comprehensive income (loss). \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nResearch and development expenses 7,027 5,639 \r\nSales, general and administrative expenses 2,932 2,967 \r\nTotal 9,959 8,606","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of expenses by nature [text block]","Documentation":"The disclosure of expenses by nature. [Refer: Expenses, by nature]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642692,"FileId":7831,"Sequence":371,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7","ElementIdentifier":"df71459c-aaf6-4418-8d4e-be775c149680","ElementType":2,"TagName":"ifrs-full:DisclosureOfResearchAndDevelopmentExpenseExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 29 Operating expenses by nature \r\nThe table below presents an analysis of operating expenses presented in profit or loss in \r\nclassification based on the nature of the expenses: \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nPersonnel expenses (315,924) (266,611) \r\nThird party expenses (358,222) (283,387) \r\nDepreciation and amortization expenses (9,959) (8,606) \r\nOther operating expenses (20,532) (6,827) \r\nTotal operating expenses (704,637) (565,431) \r\nFollowing table summarizes amortization and depreciation expenses from note 4, 5 and 6 \r\nabove presented by function in profit or loss and other comprehensive income (loss). \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nResearch and development expenses 7,027 5,639 \r\nSales, general and administrative expenses 2,932 2,967 \r\nTotal 9,959 8,606","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of research and development expense [text block]","Documentation":"The disclosure of research and development expense. [Refer: Research and development expense]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642691,"FileId":7831,"Sequence":372,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7","ElementIdentifier":"f9c32430-b496-4731-9fd5-1650f0a153e8","ElementType":2,"TagName":"ifrs-full:DisclosureOfExpensesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 29 Operating expenses by nature \r\nThe table below presents an analysis of operating expenses presented in profit or loss in \r\nclassification based on the nature of the expenses: \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nPersonnel expenses (315,924) (266,611) \r\nThird party expenses (358,222) (283,387) \r\nDepreciation and amortization expenses (9,959) (8,606) \r\nOther operating expenses (20,532) (6,827) \r\nTotal operating expenses (704,637) (565,431) \r\nFollowing table summarizes amortization and depreciation expenses from note 4, 5 and 6 \r\nabove presented by function in profit or loss and other comprehensive income (loss). \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nResearch and development expenses 7,027 5,639 \r\nSales, general and administrative expenses 2,932 2,967 \r\nTotal 9,959 8,606","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of expenses [text block]","Documentation":"The disclosure of expenses.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642690,"FileId":7831,"Sequence":373,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7","ElementIdentifier":"55a0bb24-eac6-4338-a1cf-9b195e512235","ElementType":2,"TagName":"ifrs-full:DisclosureOfGeneralAndAdministrativeExpenseExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 29 Operating expenses by nature \r\nThe table below presents an analysis of operating expenses presented in profit or loss in \r\nclassification based on the nature of the expenses: \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nPersonnel expenses (315,924) (266,611) \r\nThird party expenses (358,222) (283,387) \r\nDepreciation and amortization expenses (9,959) (8,606) \r\nOther operating expenses (20,532) (6,827) \r\nTotal operating expenses (704,637) (565,431) \r\nFollowing table summarizes amortization and depreciation expenses from note 4, 5 and 6 \r\nabove presented by function in profit or loss and other comprehensive income (loss). \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nResearch and development expenses 7,027 5,639 \r\nSales, general and administrative expenses 2,932 2,967 \r\nTotal 9,959 8,606","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of general and administrative expense [text block]","Documentation":"The disclosure of general and administrative expenses. [Refer: Administrative expenses]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642689,"FileId":7831,"Sequence":374,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7","ElementIdentifier":"c73adb93-0ebc-46f1-9930-9907eb722720","ElementType":2,"TagName":"ifrs-full:DisclosureOfCashFlowStatementExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 30 Supporting information to the cash flows \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nCash and cash equivalents consist of: \r\nCash and bank deposits 1,496,179 651,342 \r\nTotal according to statement of financial position 1,496,179 651,342 \r\nTotal according to cash flow analysis 1,496,179 651,342 \r\nReconciliation of liabilities arising from financing activities: \r\nAs of December 31, \r\n(in thousands of SEK) 2022 2021 \r\nOpening balance January 1, 35,379 5,045 \r\nTermination of lease agreement (25) (308) \r\nNew lease agreements &#8212; 35,499 \r\nPayment of lease liabilities (6,863) (4,857) \r\nNet present value of long-term loan 687,221 &#8212; \r\nAccrued interest on long-term loan 41,152 &#8212; \r\nUnrealized currency differences on long-term loan 34,228 &#8212; \r\nClosing balance December 31, 791,092  35,379","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of cash flow statement [text block]","Documentation":"The entire disclosure for a statement of cash flows.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642688,"FileId":7831,"Sequence":375,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7","ElementIdentifier":"b2ddcece-dab6-4d0f-89e0-d10cc891158c","ElementType":2,"TagName":"ifrs-full:DisclosureOfEventsAfterReportingPeriodExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 31 Subsequent events \r\nThere are no subsequent events to report.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of events after reporting period [text block]","Documentation":"The entire disclosure for events after the reporting period.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642687,"FileId":7831,"Sequence":376,"PageIdentifier":"5e3893c3-9df4-4d81-8f87-8434e9e41e10","ElementIdentifier":"7d6f0daf-f0ca-40e2-9351-63621b33ab2a","ElementType":2,"TagName":"ifrs-full:DisclosureOfInformationAboutKeyManagementPersonnelExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Personnel expenses recorded in the Parent Company related to Senior management \r\n(in thousands of SEK) \r\nBase \r\nsalary / \r\nDirectors&#8217; \r\nfees \r\nVariable \r\ncompen- \r\nsation \r\nTotal \r\nSalaries, \r\nbonuses \r\nand other \r\nbenefits \r\nSocial \r\nsecurity \r\ncontri- \r\nbutions \r\nPension \r\ncost \r\nShare- \r\nbased \r\ncompen- \r\nsation Total \r\nChairman of the Board \r\nof Directors \r\nUlf Wiinberg** \r\n471 &#8211; 471 148 &#8211; &#8211; 619 \r\nChairman of the Board \r\nof Directors \r\nPeter Nicklin*** \r\n479 &#8211; 479 46 &#8211; &#8211; 525 \r\nDirector \r\nAnders Gersel \r\nPedersen \r\n350 &#8211; 350 36 &#8211; &#8211; 386 \r\nDirector \r\nAndreas Eggert \r\n440 &#8211; 440 138 &#8211; &#8211; 578 \r\nDirector \r\nEva Nilsag&#229;rd \r\n450 &#8211; 450 141 &#8211; &#8211; 591 \r\nDirector \r\nHilary Malone \r\n531 &#8211; 531 167 &#8211; &#8211; 698 \r\nDirector \r\nMats Blom \r\n375 &#8211; 375 118 &#8211; &#8211; 493 \r\nCEO \r\nS&#248;ren Tulstrup \r\n*7,586 4,024 11,610 3,648 &#8211; 11,223 26,481 \r\nOther senior executives \r\n(5 persons) \r\n15,435 6,786 22,221 6,982 2,812 21,622 53,635 \r\nTotal 26,117 10,810 36,927 11,423 2,812 32,844 84,005 \r\n* Includes 1,694 KSEK, representing 30% of base salary, intended for own pension contribution \r\n** Chairman of the board until AGM 2022. \r\n***  Chairman of the board from AGM 2022. Personnel expenses recorded in the Parent Company related to Senior management \r\n(in thousands of \r\nSEK) \r\nBase \r\nsalary / \r\nDirectors&#8217; \r\nfees \r\nVariable \r\ncompen- \r\nsation \r\nOther \r\nbenefits \r\nTotal \r\nSalaries, \r\nbonuses \r\nand other \r\nbenefits \r\nSocial \r\nsecurity \r\ncontri- \r\nbutions \r\nPension \r\ncost \r\nShare- \r\nbased \r\ncompen- \r\nsation \r\n(in \r\nthousand \r\ns of SEK) \r\nChairman of the \r\nBoard of Directors \r\nUlf Wiinberg \r\n946 &#8211; &#8211; 946 297 &#8211; &#8211; 1,243 \r\nDirector \r\nBirgit Stattin- \r\nNorinder** \r\n134 &#8211; &#8211; 134 14 &#8211; &#8211; 147 \r\nDirector \r\nAnders Gersel- \r\nPedersen \r\n352 &#8211; &#8211; 352 36 &#8211; &#8211; 388 \r\nDirector \r\nAndreas Eggert \r\n415 &#8211; &#8211; 415 130 &#8211; &#8211; 545 \r\nDirector Eva \r\nNilsag&#229;rd \r\n425 &#8211; &#8211; 425 133 &#8211; &#8211; 558 \r\nDirector \r\nHilary Malone*** \r\n319 &#8211; &#8211; 319 100 &#8211; &#8211; 420 \r\nDirector \r\nMats Blom \r\n364 &#8211; &#8211; 364 114 &#8211; &#8211; 478 \r\nCEO \r\nS&#248;ren Tulstrup \r\n*7,010 3,444 128 10,582 3,325 &#8211; 12,049 25,955 \r\nOther senior \r\nexecutives \r\n(5 persons)** \r\n12,877 5,579 291 18,746 5,890 2,723 21,811 49,171 \r\nTotal 22,840 9,023 419 32,282 10,040 2,723 33,860 78,905 \r\n* Includes 1,619 KSEK, representing 30% of base salary, intended for own pension contribution \r\n** Board member until AGM 2021. \r\n***  Board member from AGM 2021. Average number of employees \r\n2022 2021 \r\nNumber \r\nOf which \r\nare men Number \r\nOf which \r\nare men \r\nTotal Group 144 37% 116 40% \r\nParent Company \r\nSweden 135 37% 109 40% \r\nSubsidiaries \r\nUK 4 75% 4 75% \r\nUS 5 25% 3 25% \r\nTotal subsidiaries 9 &#8211; 7 &#8211; \r\nBreakdown of senior management according to gender \r\nShare of women \r\n2022 2021 \r\nTotal Group \r\nBoard of Directors 33% 33% \r\nOther senior management 17% 17% \r\nParent Company \r\nBoard of Directors 33% 33% \r\nOther senior management 17% 17%  \r\nBenefits to senior executives \r\nSenior management of the Company includes the Board of Directors, the CEO and the other \r\nmembers of the executive management. \r\nRemuneration to Board of Directors \r\nFees are payable to the chairman of the Board of Directors and other directors pursuant to a \r\nresolution adopted by the annual general meeting (&#8220;AGM&#8221;). The 2022 AGM resolved that fees \r\npaid to directors for work during 2022 will be SEK 900,000 to the chair of the Board of Directors \r\nand SEK 300,000 to each of the other directors, SEK 150,000 to the chair and SEK 75,000 \r\neach to the other directors who are members of the Audit Committee, SEK 40,000 to the chair \r\nand SEK 25,000 each to other directors who are members of the Remuneration Committee, \r\nUSD 20,000 to the chair of the U.S. committee and SEK 25,000 each to directors who are \r\nmembers of the Scientific Committee. There are no contracts regarding severance \r\ncompensation or other benefits for the chair of the Board of Directors or other directors. \r\nSalaries and other remuneration to the CEO \r\nSalaries, bonuses, and other benefits \r\nPlease refer to the Company&#8217;s Remuneration Report elsewhere in this 2022 Annual Report for \r\nfurther information on the CEOs compensation. \r\nNotice of termination periods and severance compensation \r\nIf notice of termination of employment is made by the Company, the notice period may not \r\nexceed six months. Fixed cash salary during the period of notice and any severance pay may \r\ntogether not exceed an amount equivalent to the fixed cash salary for 18 months for the CEO, \r\ni.e., 6 plus 12 months. \r\nPension contributions \r\nThe CEO is responsible for his pension provision, thus the Company has no direct pension cost \r\nfor the CEO. \r\nSalaries and other remuneration to other members of executive management \r\nSalaries and other remuneration to the other members of the executive management is \r\ndetermined by the CEO and approved by the chair of the Board of Directors. In 2022, executive \r\nmanagement comprised of six people including the CEO. \r\nNotice period of termination and severance payments \r\nFixed cash salary during the period of notice and any severance pay may together not exceed \r\nan amount equivalent to the fixed cash salary for 6 months, and in exceptional cases, 12 \r\nmonths for the other members of the executive management. When termination is made by the \r\nexecutive officer the period of notice may not exceed six months. \r\nDuring their notice period, other members of executive management are entitled to full salary \r\nand other employment benefits. \r\nPension contributions \r\nHansa provides pension contributions and benefits in accordance with local statutory \r\nrequirements and in accordance with the Company&#8217;s insurance and pension policy. ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of information about key management personnel [text block]","Documentation":"The disclosure of information about key management personnel. [Refer: Key management personnel of entity or parent [member]]","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642851,"FileId":7831,"Sequence":377,"PageIdentifier":"20a04b27-842f-4a81-a267-bd478aab0451","ElementIdentifier":"aefe9719-43e3-41a2-bdfe-761864854fb1","ElementType":2,"TagName":"ifrs-full:DisclosureOfInformationAboutEmployeesExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Average number of employees \r\n2022 2021 \r\nNumber \r\nOf which \r\nare men Number \r\nOf which \r\nare men \r\nTotal Group 144 37% 116 40% \r\nParent Company \r\nSweden 135 37% 109 40% \r\nSubsidiaries \r\nUK 4 75% 4 75% \r\nUS 5 25% 3 25% \r\nTotal subsidiaries 9 &#8211; 7 &#8211; \r\nBreakdown of senior management according to gender \r\nShare of women \r\n2022 2021 \r\nTotal Group \r\nBoard of Directors 33% 33% \r\nOther senior management 17% 17% \r\nParent Company \r\nBoard of Directors 33% 33% \r\nOther senior management 17% 17% ","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of information about employees [text block]","Documentation":"The disclosure of information about employees.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true},{"Id":3642946,"FileId":7831,"Sequence":378,"PageIdentifier":"772ec21a-f8db-4f60-ba33-702483ee5769","ElementIdentifier":"d5c36418-6167-443e-bee5-e43923c68944","ElementType":2,"TagName":"ifrs-full:DisclosureOfAuditorsRemunerationExplanatory","ContextRef":"P01_01_2022To12_31_2022","Period":"01-Jan-2022 - 31-Dec-2022","Unit":"","CurrencyName":"","Decimal":"0","Scale":"Actuals","Value":"Note 30 Audit fees &#8211; Group and Parent Company \r\nYears Ended December 31, \r\n(in thousands of SEK) 2022 2021 \r\nGroup \r\nKPMG AB: \r\nAuditing services 2,565 9,892* \r\nOther services closely related to audit services 385 300 \r\nTax services &#8212; &#8212; \r\nWilkins Kennedy Audit Services \r\nAuditing services 110 68 \r\nParent Company \r\nKPMG AB: \r\nAuditing services 2,565 9,842 \r\nOther services closely related to audit services 385 300 \r\nTax services &#8212; &#8212; \r\n*Thereof PCAOB Audit services related to the preparation for Dual listing on NASDAQ, USA, in 2021 \r\namounts to 8,832.","Dimension":"","Member":"","CurrencyCode":"","UnitDenominator":"","Sign":"","IsHiddenElement":false,"Label":"Disclosure of auditors' remuneration [text block]","Documentation":"The disclosure of compensation to the entity's auditors.","SecondaryLabel":"","SecondaryDocumentation":"","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":true,"Format":"","FootNote":"","status":0,"IsExtendedElement":0,"IsTextBlock":true,"IsMandatoryTag":true}];
  $scope.presentationData = [{"Id":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfFinancialPosition","ParentId":"","Name":"1001 - Statement - Consolidated statement of financial position","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_StatementOfFinancialPositionAbstract","ParentId":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfFinancialPosition","Name":"ifrs-full:StatementOfFinancialPositionAbstract","Order":"","Label":"Statement of financial position placeholder - this item MUST be used as a starting point for the statement of financial position","Documentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_AssetsAbstract","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_StatementOfFinancialPositionAbstract","Name":"ifrs-full:AssetsAbstract","Order":"1","Label":"Assets [abstract]","Documentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentAssetsAbstract","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_AssetsAbstract","Name":"ifrs-full:NoncurrentAssetsAbstract","Order":"2","Label":"Non-current assets [abstract]","Documentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_IntangibleAssetsAndGoodwill","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentAssetsAbstract","Name":"ifrs-full:IntangibleAssetsAndGoodwill","Order":"3","Label":"Intangible assets and goodwill","Documentation":"The amount of intangible assets and goodwill held by the entity. [Refer: Goodwill; Intangible assets other than goodwill]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_PropertyPlantAndEquipment","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentAssetsAbstract","Name":"ifrs-full:PropertyPlantAndEquipment","Order":"4","Label":"Property, plant and equipment","Documentation":"The amount of tangible assets that: (a) are held for use in the production or supply of goods or services, for rental to others, or for administrative purposes; and (b) are expected to be used during more than one period.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_RightofuseAssets","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentAssetsAbstract","Name":"ifrs-full:RightofuseAssets","Order":"5","Label":"Right-of-use assets","Documentation":"The amount of assets that represent a lessee's right to use an underlying asset for the lease term. Underlying asset is an asset that is the subject of a lease, for which the right to use that asset has been provided by a lessor to a lessee.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentAssets","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentAssetsAbstract","Name":"ifrs-full:NoncurrentAssets","Order":"6","Label":"Total non-current assets","Documentation":"The amount of assets that do not meet the definition of current assets. [Refer: Current assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentAssetsAbstract","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_AssetsAbstract","Name":"ifrs-full:CurrentAssetsAbstract","Order":"7","Label":"Current assets [abstract]","Documentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_Inventories","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentAssetsAbstract","Name":"ifrs-full:Inventories","Order":"8","Label":"Current inventories","Documentation":"The amount of current inventories. [Refer: Inventories]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentTradeReceivables","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentAssetsAbstract","Name":"ifrs-full:CurrentTradeReceivables","Order":"9","Label":"Current trade receivables","Documentation":"The amount of current trade receivables. [Refer: Trade receivables]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentAssetsAbstract","Name":"ifrs-full:CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets","Order":"10","Label":"Current prepayments and current accrued income other than current contract assets","Documentation":"The amount of current prepayments and current accrued income, other than current contract assets. [Refer: Prepayments; Accrued income other than contract assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_OtherCurrentReceivables","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentAssetsAbstract","Name":"ifrs-full:OtherCurrentReceivables","Order":"11","Label":"Other current receivables","Documentation":"The amount of current other receivables. [Refer: Other receivables]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentInvestments","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentAssetsAbstract","Name":"ifrs-full:CurrentInvestments","Order":"12","Label":"Current investments","Documentation":"The amount of current investments.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CashAndCashEquivalents","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentAssetsAbstract","Name":"ifrs-full:CashAndCashEquivalents","Order":"13","Label":"Cash and cash equivalents","Documentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentAssets","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentAssetsAbstract","Name":"ifrs-full:CurrentAssets","Order":"14","Label":"Total current assets","Documentation":"The amount of assets that the entity (a) expects to realise or intends to sell or consume in its normal operating cycle; (b) holds primarily for the purpose of trading; (c) expects to realise within twelve months after the reporting period; or (d) classifies as cash or cash equivalents (as defined in IAS 7) unless the asset is restricted from being exchanged or used to settle a liability for at least twelve months after the reporting period. [Refer: Assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_Assets","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_AssetsAbstract","Name":"ifrs-full:Assets","Order":"15","Label":"Total assets","Documentation":"The amount of a present economic resource controlled by the entity as a result of past events. Economic resource is a right that has the potential to produce economic benefits.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAndLiabilitiesAbstract","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_StatementOfFinancialPositionAbstract","Name":"ifrs-full:EquityAndLiabilitiesAbstract","Order":"16","Label":"Equity and liabilities [abstract]","Documentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAbstract","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAndLiabilitiesAbstract","Name":"ifrs-full:EquityAbstract","Order":"17","Label":"Equity [abstract]","Documentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_IssuedCapital","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAbstract","Name":"ifrs-full:IssuedCapital","Order":"18","Label":"Issued capital","Documentation":"The nominal value of capital issued.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_SharePremium","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAbstract","Name":"ifrs-full:SharePremium","Order":"19","Label":"Share premium","Documentation":"The amount received or receivable from the issuance of the entity's shares in excess of nominal value.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_TreasuryShares","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAbstract","Name":"ifrs-full:TreasuryShares","Order":"20","Label":"Treasury shares","Documentation":"An entity’s own equity instruments, held by the entity or other members of the consolidated group.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_OtherReserves","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAbstract","Name":"ifrs-full:OtherReserves","Order":"21","Label":"Other reserves","Documentation":"A component of equity representing reserves within equity, not including retained earnings. [Refer: Retained earnings]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_RetainedEarnings","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAbstract","Name":"ifrs-full:RetainedEarnings","Order":"22","Label":"Retained earnings","Documentation":"A component of equity representing the entity's cumulative undistributed earnings or deficit.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAttributableToOwnersOfParent","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAbstract","Name":"ifrs-full:EquityAttributableToOwnersOfParent","Order":"23","Label":"Total equity attributable to owners of parent","Documentation":"The amount of equity attributable to the owners of the parent. This specifically excludes non-controlling interest.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentLiabilitiesAbstract","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAndLiabilitiesAbstract","Name":"ifrs-full:NoncurrentLiabilitiesAbstract","Order":"24","Label":"Non-current liabilities [abstract]","Documentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_LongtermBorrowings","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentLiabilitiesAbstract","Name":"ifrs-full:LongtermBorrowings","Order":"25","Label":"Non-current portion of non-current borrowings","Documentation":"The non-current portion of non-current borrowings. [Refer: Borrowings]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentLeaseLiabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentLiabilitiesAbstract","Name":"ifrs-full:NoncurrentLeaseLiabilities","Order":"26","Label":"Non-current lease liabilities","Documentation":"The amount of non-current lease liabilities. [Refer: Lease liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentDeferredIncomeOtherThanNoncurrentContractLiabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentLiabilitiesAbstract","Name":"ifrs-full:NoncurrentDeferredIncomeOtherThanNoncurrentContractLiabilities","Order":"27","Label":"Non-current deferred income other than non-current contract liabilities","Documentation":"The amount of non-current deferred income other than non-current contract liabilities. [Refer: Deferred income other than contract liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_OtherNoncurrentLiabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentLiabilitiesAbstract","Name":"ifrs-full:OtherNoncurrentLiabilities","Order":"28","Label":"Other non-current liabilities","Documentation":"The amount of non-current liabilities that the entity does not separately disclose in the same statement or note. [Refer: Non-current liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentProvisions","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentLiabilitiesAbstract","Name":"ifrs-full:NoncurrentProvisions","Order":"29","Label":"Non-current provisions","Documentation":"The amount of non-current provisions, including provisions for employee benefits. [Refer: Provisions]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_DeferredTaxLiabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentLiabilitiesAbstract","Name":"ifrs-full:DeferredTaxLiabilities","Order":"30","Label":"Deferred tax liabilities","Documentation":"The amounts of income taxes payable in future periods in respect of taxable temporary differences. [Refer: Temporary differences [member]]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentLiabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentLiabilitiesAbstract","Name":"ifrs-full:NoncurrentLiabilities","Order":"31","Label":"Total non-current liabilities","Documentation":"The amount of liabilities that do not meet the definition of current liabilities. [Refer: Current liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLiabilitiesAbstract","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAndLiabilitiesAbstract","Name":"ifrs-full:CurrentLiabilitiesAbstract","Order":"32","Label":"Current liabilities [abstract]","Documentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentTaxLiabilitiesCurrent","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLiabilitiesAbstract","Name":"ifrs-full:CurrentTaxLiabilitiesCurrent","Order":"33","Label":"Current tax liabilities, current","Documentation":"The current amount of current tax liabilities. [Refer: Current tax liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLeaseLiabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLiabilitiesAbstract","Name":"ifrs-full:CurrentLeaseLiabilities","Order":"34","Label":"Current lease liabilities","Documentation":"The amount of current lease liabilities. [Refer: Lease liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_TradeAndOtherCurrentPayables","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLiabilitiesAbstract","Name":"ifrs-full:TradeAndOtherCurrentPayables","Order":"35","Label":"Trade and other current payables","Documentation":"The amount of current trade payables and current other payables. [Refer: Current trade payables; Other current payables]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_OtherCurrentLiabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLiabilitiesAbstract","Name":"ifrs-full:OtherCurrentLiabilities","Order":"36","Label":"Other current liabilities","Documentation":"The amount of current liabilities that the entity does not separately disclose in the same statement or note. [Refer: Current liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentDeferredIncomeOtherThanCurrentContractLiabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLiabilitiesAbstract","Name":"ifrs-full:CurrentDeferredIncomeOtherThanCurrentContractLiabilities","Order":"37","Label":"Current deferred income other than current contract liabilities","Documentation":"The amount of current deferred income other than current contract liabilities. [Refer: Deferred income other than contract liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_OtherCurrentPayables","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLiabilitiesAbstract","Name":"ifrs-full:OtherCurrentPayables","Order":"38","Label":"Other current payables","Documentation":"The amount of current payables that the entity does not separately disclose in the same statement or note.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_AccrualsClassifiedAsCurrent","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLiabilitiesAbstract","Name":"ifrs-full:AccrualsClassifiedAsCurrent","Order":"39","Label":"Accruals classified as current","Documentation":"The amount of accruals classified as current. [Refer: Accruals]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLiabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLiabilitiesAbstract","Name":"ifrs-full:CurrentLiabilities","Order":"40","Label":"Total current liabilities","Documentation":"Expiry date 2023-01-01: The amount of liabilities that: (a) the entity expects to settle in its normal operating cycle; (b) the entity holds primarily for the purpose of trading; (c) are due to be settled within twelve months after the reporting period; or (d) the entity does not have an unconditional right to defer settlement for at least twelve months after the reporting period.\r\nEffective 2023-01-01: The amount of liabilities that: (a) the entity expects to settle in its normal operating cycle; (b) the entity holds primarily for the purpose of trading; (c) are due to be settled within twelve months after the reporting period; or (d) the entity does not have the right at the end of the reporting period to defer settlement for at least twelve months after the reporting period.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_Liabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAndLiabilitiesAbstract","Name":"ifrs-full:Liabilities","Order":"41","Label":"Total liabilities","Documentation":"The amount of a present obligation of the entity to transfer an economic resource as a result of past events. Economic resource is a right that has the potential to produce economic benefits.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAndLiabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAndLiabilitiesAbstract","Name":"ifrs-full:EquityAndLiabilities","Order":"42","Label":"Total equity and liabilities","Documentation":"The amount of the entity's equity and liabilities. [Refer: Equity; Liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss","ParentId":"","Name":"1002 - Statement - Consolidated statement of profit or loss and other comprehensive income (loss)","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","ParentId":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss","Name":"ifrs-full:StatementOfComprehensiveIncomeAbstract","Order":"","Label":"Statement of comprehensive income placeholder - this item MUST be used as a starting point for the statement of comprehensive income if it is disclosed separately or when the statement of profit or loss and other comprehensive income statements are combined in a single statement","Documentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_Revenue","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:Revenue","Order":"1","Label":"Revenue","Documentation":"The income arising in the course of an entity's ordinary activities. Income is increases in assets, or decreases in liabilities, that result in increases in equity, other than those relating to contributions from holders of equity claims.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_CostOfSales","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:CostOfSales","Order":"2","Label":"Cost of sales","Documentation":"The amount of all expenses directly or indirectly attributed to the goods or services sold. Attributed expenses include, but are not limited to, costs previously included in the measurement of inventory that has now been sold, such as depreciation and maintenance of factory buildings and equipment used in the production process, unallocated production overheads, and abnormal amounts of production costs of inventories.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_SellingGeneralAndAdministrativeExpense","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:SellingGeneralAndAdministrativeExpense","Order":"3","Label":"Selling, general and administrative expense","Documentation":"The amount of expense relating to selling, general and administrative activities of the entity.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ResearchAndDevelopmentExpense","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:ResearchAndDevelopmentExpense","Order":"4","Label":"Research and development expense","Documentation":"The amount of expenditure directly attributable to research or development activities, recognised in profit or loss.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_MiscellaneousOtherOperatingExpense","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:MiscellaneousOtherOperatingExpense","Order":"5","Label":"Miscellaneous other operating expense","Documentation":"The amount of miscellaneous other operating expenses. [Refer: Other operating income (expense)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ProfitLossFromOperatingActivities","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:ProfitLossFromOperatingActivities","Order":"6","Label":"Profit (loss) from operating activities","Documentation":"The profit (loss) from operating activities of the entity. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_FinanceIncome","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:FinanceIncome","Order":"7","Label":"Finance income","Documentation":"The amount of income associated with interest and other financing activities of the entity.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_FinanceCosts","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:FinanceCosts","Order":"8","Label":"Finance costs","Documentation":"The amount of costs associated with financing activities of the entity.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ProfitLossBeforeTax","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:ProfitLossBeforeTax","Order":"9","Label":"Profit (loss) before tax","Documentation":"The profit (loss) before tax expense or income. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_IncomeTaxExpenseContinuingOperations","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:IncomeTaxExpenseContinuingOperations","Order":"10","Label":"Tax expense (income)","Documentation":"The aggregate amount included in the determination of profit (loss) for the period in respect of current tax and deferred tax. [Refer: Current tax expense (income); Deferred tax expense (income)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ProfitLoss","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:ProfitLoss","Order":"11","Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ProfitLossAttributableToOwnersOfParent","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:ProfitLossAttributableToOwnersOfParent","Order":"12","Label":"Profit (loss), attributable to owners of parent","Documentation":"The profit (loss) from continuing and discontinued operations attributable to owners of the parent. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_BasicEarningsLossPerShare","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:BasicEarningsLossPerShare","Order":"13","Label":"Basic earnings (loss) per share","Documentation":"The amount of profit (loss) attributable to ordinary equity holders of the parent entity (the numerator) divided by the weighted average number of ordinary shares outstanding during the period (the denominator).","PeriodType":"duration","Balance":"0","Type":"num:perShareItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_DilutedEarningsLossPerShare","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:DilutedEarningsLossPerShare","Order":"14","Label":"Diluted earnings (loss) per share","Documentation":"The amount of profit (loss) attributable to ordinary equity holders of the parent entity (the numerator), divided by the weighted average number of ordinary shares outstanding during the period (the denominator), both adjusted for the effects of all dilutive potential ordinary shares. [Refer: Ordinary shares [member]; Weighted average [member]]","PeriodType":"duration","Balance":"0","Type":"num:perShareItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_WeightedAverageShares","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:WeightedAverageShares","Order":"15","Label":"Weighted average number of ordinary shares used in calculating basic earnings per share","Documentation":"The number of ordinary shares outstanding at the beginning of the period, adjusted by the number of ordinary shares bought back or issued during the period multiplied by a time-weighting factor.","PeriodType":"duration","Balance":"0","Type":"xbrli:sharesItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_AdjustedWeightedAverageShares","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:AdjustedWeightedAverageShares","Order":"16","Label":"Weighted average number of ordinary shares used in calculating diluted earnings per share","Documentation":"The weighted average number of ordinary shares outstanding plus the weighted average number of ordinary shares that would be issued on the conversion of all the dilutive potential ordinary shares into ordinary shares. [Refer: Ordinary shares [member]; Weighted average [member]]","PeriodType":"duration","Balance":"0","Type":"xbrli:sharesItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ProfitLoss","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:ProfitLoss","Order":"17","Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_OtherComprehensiveIncomeAbstract","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:OtherComprehensiveIncomeAbstract","Order":"18","Label":"Other comprehensive income [abstract]","Documentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_OtherComprehensiveIncomeAbstract","Name":"ifrs-full:ComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract","Order":"19","Label":"Components of other comprehensive income that will be reclassified to profit or loss, net of tax [abstract]","Documentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTaxAbstract","Name":"ifrs-full:OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation","Order":"20","Label":"Other comprehensive income, net of tax, exchange differences on translation of foreign operations","Documentation":"The amount of other comprehensive income, net of tax, after reclassification adjustments, related to exchange differences when financial statements of foreign operations are translated. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_OtherComprehensiveIncome","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_OtherComprehensiveIncomeAbstract","Name":"ifrs-full:OtherComprehensiveIncome","Order":"21","Label":"Total other comprehensive income","Documentation":"The amount of income and expense (including reclassification adjustments) that is not recognised in profit or loss as required or permitted by IFRSs. [Refer: IFRSs [member]]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ComprehensiveIncome","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:ComprehensiveIncome","Order":"22","Label":"Total comprehensive income","Documentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_StatementOfComprehensiveIncomeAbstract","Name":"ifrs-full:ComprehensiveIncomeAttributableToOwnersOfParent","Order":"23","Label":"Total comprehensive income, attributable to owners of parent","Documentation":"The amount of comprehensive income attributable to owners of the parent. [Refer: Comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfCashFlow","ParentId":"","Name":"1003 - Statement - Consolidated statement of cash flow","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_StatementOfCashFlowsAbstract","ParentId":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfCashFlow","Name":"ifrs-full:StatementOfCashFlowsAbstract","Order":"","Label":"Statement of cash flows placeholder - this item MUST be used as a starting point for the statement of cash flows","Documentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_StatementOfCashFlowsAbstract","Name":"ifrs-full:CashFlowsFromUsedInOperatingActivitiesAbstract","Order":"1","Label":"Cash flows from (used in) operating activities [abstract]","Documentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_ProfitLoss","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract","Name":"ifrs-full:ProfitLoss","Order":"2","Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract","Name":"ifrs-full:AdjustmentsForReconcileProfitLossAbstract","Order":"3","Label":"Adjustments to reconcile profit (loss) [abstract]","Documentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract","Name":"ifrs-full:AdjustmentsForDepreciationAndAmortisationExpense","Order":"4","Label":"Adjustments for depreciation and amortisation expense","Documentation":"Adjustments for depreciation and amortisation expense to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Depreciation and amortisation expense; Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_OtherAdjustmentsForNoncashItems","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract","Name":"ifrs-full:OtherAdjustmentsForNoncashItems","Order":"5","Label":"Other adjustments for non-cash items","Documentation":"Adjustments for non-cash items to reconcile profit (loss) to net cash flow from (used in) operating activities that the entity does not separately disclose in the same statement or note. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForSharebasedPayments","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract","Name":"ifrs-full:AdjustmentsForSharebasedPayments","Order":"6","Label":"Adjustments for share-based payments","Documentation":"Adjustments for share-based payments to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForIncreaseDecreaseInEmployeeBenefitLiabilities","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract","Name":"ifrs-full:AdjustmentsForIncreaseDecreaseInEmployeeBenefitLiabilities","Order":"7","Label":"Adjustments for increase (decrease) in employee benefit liabilities","Documentation":"Adjustments for increase (decrease) in employee benefit liabilities to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract","Name":"ifrs-full:AdjustmentsForUnrealisedForeignExchangeLossesGains","Order":"8","Label":"Adjustments for unrealised foreign exchange losses (gains)","Documentation":"Adjustments for unrealised foreign exchange losses (gains) to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForReconcileProfitLossAbstract","Name":"ifrs-full:CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital","Order":"9","Label":"Cash flows from (used in) operations before changes in working capital","Documentation":"The cash inflow (outflow) from the entity's operations before changes in working capital.","PeriodType":"duration","Balance":"0","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract","Name":"ifrs-full:AdjustmentsForDecreaseIncreaseInTradeAccountReceivable","Order":"10","Label":"Adjustments for decrease (increase) in trade accounts receivable","Documentation":"Adjustments for decrease (increase) in trade accounts receivable to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract","Name":"ifrs-full:AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables","Order":"11","Label":"Adjustments for decrease (increase) in other operating receivables","Documentation":"Adjustments for decrease (increase) in other operating receivables to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract","Name":"ifrs-full:AdjustmentsForIncreaseDecreaseInTradeAccountPayable","Order":"12","Label":"Adjustments for increase (decrease) in trade accounts payable","Documentation":"Adjustments for increase (decrease) in trade accounts payable to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherOperatingPayables","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract","Name":"ifrs-full:AdjustmentsForIncreaseDecreaseInOtherOperatingPayables","Order":"13","Label":"Adjustments for increase (decrease) in other operating payables","Documentation":"Adjustments for increase (decrease) in other operating payables to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_IncreaseDecreaseInWorkingCapital","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract","Name":"ifrs-full:IncreaseDecreaseInWorkingCapital","Order":"14","Label":"Increase (decrease) in working capital","Documentation":"The increase (decrease) in working capital.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedTotalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract","Name":"ifrs-full:InterestPaidClassifiedAsOperatingActivities","Order":"15","Label":"Interest paid, classified as operating activities","Documentation":"The cash outflow for interest paid, classified as operating activities.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract","Name":"ifrs-full:IncomeTaxesPaidRefundClassifiedAsOperatingActivities","Order":"16","Label":"Income taxes paid (refund), classified as operating activities","Documentation":"The cash flows from income taxes paid or refunded, classified as operating activities. [Refer: Income taxes paid (refund)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperatingActivitiesAbstract","Name":"ifrs-full:CashFlowsFromUsedInOperatingActivities","Order":"17","Label":"Net cash flows from (used in) operating activities","Documentation":"The cash flows from (used in) operating activities, which are the principal revenue-producing activities of the entity and other activities that are not investing or financing activities. [Refer: Revenue]","PeriodType":"duration","Balance":"0","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInInvestingActivitiesAbstract","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_StatementOfCashFlowsAbstract","Name":"ifrs-full:CashFlowsFromUsedInInvestingActivitiesAbstract","Order":"18","Label":"Cash flows from (used in) investing activities [abstract]","Documentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_hnsa_ProceedsFromSaleOfShortTermInvestments","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInInvestingActivitiesAbstract","Name":"hnsa:ProceedsFromSaleOfShortTermInvestments","Order":"19","Label":"Proceeds From Sale Of Short Term Investments","Documentation":"Proceeds from sale of short-term investments.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":1},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInInvestingActivitiesAbstract","Name":"ifrs-full:PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities","Order":"20","Label":"Purchase of property, plant and equipment, classified as investing activities","Documentation":"The cash outflow for the purchases of property, plant and equipment, classified as investing activities. [Refer: Property, plant and equipment]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInInvestingActivities","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInInvestingActivitiesAbstract","Name":"ifrs-full:CashFlowsFromUsedInInvestingActivities","Order":"21","Label":"Net cash flows from (used in) investing activities","Documentation":"The cash flows from (used in) investing activities, which are the acquisition and disposal of long-term assets and other investments not included in cash equivalents.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInFinancingActivitiesAbstract","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_StatementOfCashFlowsAbstract","Name":"ifrs-full:CashFlowsFromUsedInFinancingActivitiesAbstract","Order":"22","Label":"Cash flows from (used in) financing activities [abstract]","Documentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInFinancingActivitiesAbstract","Name":"ifrs-full:ProceedsFromBorrowingsClassifiedAsFinancingActivities","Order":"23","Label":"Proceeds from borrowings, classified as financing activities","Documentation":"The cash inflow from borrowings obtained. [Refer: Borrowings]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_ProceedsFromIssuingShares","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInFinancingActivitiesAbstract","Name":"ifrs-full:ProceedsFromIssuingShares","Order":"24","Label":"Proceeds from issuing shares","Documentation":"The cash inflow from issuing shares.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInFinancingActivitiesAbstract","Name":"ifrs-full:PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities","Order":"25","Label":"Payments of lease liabilities, classified as financing activities","Documentation":"The cash outflow for payment of lease liabilities, classified as financing activities. [Refer: Lease liabilities]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"negatedLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInFinancingActivities","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInFinancingActivitiesAbstract","Name":"ifrs-full:CashFlowsFromUsedInFinancingActivities","Order":"26","Label":"Net cash flows from (used in) financing activities","Documentation":"The cash flows from (used in) financing activities, which are activities that result in changes in the size and composition of the contributed equity and borrowings of the entity.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_StatementOfCashFlowsAbstract","Name":"ifrs-full:IncreaseDecreaseInCashAndCashEquivalents","Order":"27","Label":"Net increase (decrease) in cash and cash equivalents","Documentation":"The increase (decrease) in cash and cash equivalents after the effect of exchange rate changes on cash and cash equivalents held in foreign currencies. [Refer: Cash and cash equivalents; Effect of exchange rate changes on cash and cash equivalents]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashAndCashEquivalents","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_StatementOfCashFlowsAbstract","Name":"ifrs-full:CashAndCashEquivalents","Order":"28","Label":"Cash and cash equivalents at beginning of period","Documentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"periodStartLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_StatementOfCashFlowsAbstract","Name":"ifrs-full:EffectOfExchangeRateChangesOnCashAndCashEquivalents","Order":"29","Label":"Effect of exchange rate changes on cash and cash equivalents","Documentation":"The effect of exchange rate changes on cash and cash equivalents held or due in a foreign currency. [Refer: Cash and cash equivalents]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashAndCashEquivalents","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_StatementOfCashFlowsAbstract","Name":"ifrs-full:CashAndCashEquivalents","Order":"30","Label":"Cash and cash equivalents at end of period","Documentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"periodEndLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfCashFlowParenthetical","ParentId":"","Name":"1004 - Statement - Consolidated statement of cash flow (Parenthetical)","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlowParenthetical_loc_ifrs-full_StatementOfCashFlowsAbstract","ParentId":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfCashFlowParenthetical","Name":"ifrs-full:StatementOfCashFlowsAbstract","Order":"","Label":"Statement of cash flows placeholder - this item MUST be used as a starting point for the statement of cash flows","Documentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlowParenthetical_loc_hnsa_LongTermLoanTransactionCost","ParentId":"ConsolidatedStatementOfCashFlowParenthetical_loc_ifrs-full_StatementOfCashFlowsAbstract","Name":"hnsa:LongTermLoanTransactionCost","Order":"1","Label":"long Term Loan Transaction Cost","Documentation":"Long term loan transaction cost.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":1},{"Id":"ConsolidatedStatementOfCashFlowParenthetical_loc_ifrs-full_ShareIssueRelatedCost","ParentId":"ConsolidatedStatementOfCashFlowParenthetical_loc_ifrs-full_StatementOfCashFlowsAbstract","Name":"ifrs-full:ShareIssueRelatedCost","Order":"2","Label":"Share issue related cost","Documentation":"The amount of cost related to the issuance of shares.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfChangesInEquity","ParentId":"","Name":"1005 - Statement - Consolidated statement of changes in equity","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_StatementOfChangesInEquityAbstract","ParentId":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfChangesInEquity","Name":"ifrs-full:StatementOfChangesInEquityAbstract","Order":"","Label":"Statement of changes in equity placeholder - this item MUST be used as a starting point for the statement of changes in equity","Documentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_StatementOfChangesInEquityTable","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_StatementOfChangesInEquityAbstract","Name":"ifrs-full:StatementOfChangesInEquityTable","Order":"1","Label":"Statement of changes in equity [table]","Documentation":"Schedule disclosing information related to changes in equity.","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrldt:hypercubeItem","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_ComponentsOfEquityAxis","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_StatementOfChangesInEquityTable","Name":"ifrs-full:ComponentsOfEquityAxis","Order":"2","Label":"Components of equity [axis]","Documentation":"The axis of a table defines the relationship between the members in the table and the line items or concepts that complete the table.","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrldt:dimensionItem","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_EquityMember","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_ComponentsOfEquityAxis","Name":"ifrs-full:EquityMember","Order":"3","Label":"Equity [member]","Documentation":"This member stands for the residual interest in the assets of the entity after deducting all its liabilities. It also represents the standard value for the 'Components of equity' axis if no other member is used.","PeriodType":"duration","Balance":"0","Type":"nonnum:domainItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_IssuedCapitalMember","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_EquityMember","Name":"ifrs-full:IssuedCapitalMember","Order":"4","Label":"Issued capital [member]","Documentation":"This member stands for a component of equity representing issued capital.","PeriodType":"duration","Balance":"0","Type":"nonnum:domainItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_SharePremiumMember","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_EquityMember","Name":"ifrs-full:SharePremiumMember","Order":"5","Label":"Share premium [member]","Documentation":"This member stands for the amount received or receivable from issuance of the entity's shares in excess of nominal value.","PeriodType":"duration","Balance":"0","Type":"nonnum:domainItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_TreasurySharesMember","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_EquityMember","Name":"ifrs-full:TreasurySharesMember","Order":"6","Label":"Treasury shares [member]","Documentation":"This member stands for the entity’s own equity instruments, held by the entity or other members of the consolidated group.","PeriodType":"duration","Balance":"0","Type":"nonnum:domainItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_ReserveOfExchangeDifferencesOnTranslationMember","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_EquityMember","Name":"ifrs-full:ReserveOfExchangeDifferencesOnTranslationMember","Order":"7","Label":"Reserve of exchange differences on translation [member]","Documentation":"This member stands for a component of equity representing accumulated exchange differences on the translation of financial statements recognised in other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"0","Type":"nonnum:domainItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_RetainedEarningsMember","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_EquityMember","Name":"ifrs-full:RetainedEarningsMember","Order":"8","Label":"Retained earnings [member]","Documentation":"This member stands for a component of equity representing an entity's cumulative undistributed earnings or deficit.","PeriodType":"duration","Balance":"0","Type":"nonnum:domainItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_EquityAttributableToOwnersOfParentMember","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_EquityMember","Name":"ifrs-full:EquityAttributableToOwnersOfParentMember","Order":"9","Label":"Equity attributable to owners of parent [member]","Documentation":"This member stands for equity attributable to the owners of the parent.","PeriodType":"duration","Balance":"0","Type":"nonnum:domainItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_StatementOfChangesInEquityLineItems","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_StatementOfChangesInEquityTable","Name":"ifrs-full:StatementOfChangesInEquityLineItems","Order":"10","Label":"Statement of changes in equity [line items]","Documentation":"Line items represent concepts included in a table. These concepts are used to disclose reportable information associated with members defined in one or many axes of the table.","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_Equity","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_StatementOfChangesInEquityLineItems","Name":"ifrs-full:Equity","Order":"11","Label":"Equity at beginning of period","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"periodStartLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_ProfitLoss","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_StatementOfChangesInEquityLineItems","Name":"ifrs-full:ProfitLoss","Order":"12","Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_OtherComprehensiveIncome","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_StatementOfChangesInEquityLineItems","Name":"ifrs-full:OtherComprehensiveIncome","Order":"13","Label":"Other comprehensive income","Documentation":"The amount of income and expense (including reclassification adjustments) that is not recognised in profit or loss as required or permitted by IFRSs. [Refer: IFRSs [member]]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_ComprehensiveIncome","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_StatementOfChangesInEquityLineItems","Name":"ifrs-full:ComprehensiveIncome","Order":"14","Label":"Total comprehensive income","Documentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"totalLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_IssueOfEquity","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_StatementOfChangesInEquityLineItems","Name":"ifrs-full:IssueOfEquity","Order":"15","Label":"Issue of equity","Documentation":"The increase in equity through the issue of equity instruments.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_IncreaseDecreaseThroughTreasuryShareTransactions","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_StatementOfChangesInEquityLineItems","Name":"ifrs-full:IncreaseDecreaseThroughTreasuryShareTransactions","Order":"16","Label":"Increase (decrease) through treasury share transactions, equity","Documentation":"The increase (decrease) in equity resulting from treasury share transactions. [Refer: Equity; Treasury shares]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_IncreaseDecreaseThroughExerciseOfOptions","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_StatementOfChangesInEquityLineItems","Name":"ifrs-full:IncreaseDecreaseThroughExerciseOfOptions","Order":"17","Label":"Increase (decrease) through exercise of options, equity","Documentation":"The increase (decrease) in equity resulting from the exercise of options.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_IncreaseDecreaseThroughSharebasedPaymentTransactions","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_StatementOfChangesInEquityLineItems","Name":"ifrs-full:IncreaseDecreaseThroughSharebasedPaymentTransactions","Order":"18","Label":"Increase (decrease) through share-based payment transactions, equity","Documentation":"The increase (decrease) in equity resulting from share-based payment transactions. [Refer: Equity]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_Equity","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_StatementOfChangesInEquityLineItems","Name":"ifrs-full:Equity","Order":"19","Label":"Equity at end of period","Documentation":"The amount of residual interest in the assets of the entity after deducting all its liabilities.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"periodEndLabel","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfChangesInEquityParenthetical","ParentId":"","Name":"1006 - Statement - Consolidated statement of changes in equity (Parenthetical)","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquityParenthetical_loc_ifrs-full_StatementOfChangesInEquityAbstract","ParentId":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfChangesInEquityParenthetical","Name":"ifrs-full:StatementOfChangesInEquityAbstract","Order":"","Label":"Statement of changes in equity placeholder - this item MUST be used as a starting point for the statement of changes in equity","Documentation":"","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquityParenthetical_loc_ifrs-full_ShareIssueRelatedCost","ParentId":"ConsolidatedStatementOfChangesInEquityParenthetical_loc_ifrs-full_StatementOfChangesInEquityAbstract","Name":"ifrs-full:ShareIssueRelatedCost","Order":"1","Label":"Share issue related cost","Documentation":"The amount of cost related to the issuance of shares.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"http://www.hansabiopharma.com/role/TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport","ParentId":"","Name":"1007 - Disclosure - Tags that must be applied if corresponding information is present in a report","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","ParentId":"http://www.hansabiopharma.com/role/TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport","Name":"esef_cor:NotesAccountingPoliciesAndMandatoryTags","Order":"","Label":"Notes, accounting policies and mandatory tags – this item MUST be used as a starting point for markups of disclosures in the notes to the financial statements","Documentation":"","PeriodType":"instant","Balance":"","Type":"xbrli:stringItemType","AbstractText":"TRUE","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","PreferredLabel":"","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_NameOfReportingEntityOrOtherMeansOfIdentification","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:NameOfReportingEntityOrOtherMeansOfIdentification","Order":"1","Label":"Name of reporting entity or other means of identification","Documentation":"The name of the reporting entity or other means of identification.","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_AddressOfRegisteredOfficeOfEntity","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:AddressOfRegisteredOfficeOfEntity","Order":"2","Label":"Address of entity's registered office","Documentation":"The address at which the entity's office is registered.","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_CountryOfIncorporation","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:CountryOfIncorporation","Order":"3","Label":"Country of incorporation","Documentation":"The country in which the entity is incorporated.","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities","Order":"4","Label":"Description of nature of entity's operations and principal activities","Documentation":"The description of the nature of the entity's operations and principal activities.","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DateOfEndOfReportingPeriod2013","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DateOfEndOfReportingPeriod2013","Order":"5","Label":"Date of end of reporting period","Documentation":"The date of the end of the reporting period.","PeriodType":"duration","Balance":"0","Type":"xbrli:dateItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DomicileOfEntity","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DomicileOfEntity","Order":"6","Label":"Domicile of entity","Documentation":"The country of domicile of the entity. [Refer: Country of domicile [member]]","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_LegalFormOfEntity","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:LegalFormOfEntity","Order":"7","Label":"Legal form of entity","Documentation":"Information about the legal structure under which the entity operates.","PeriodType":"duration","Balance":"0","Type":"xbrli:stringItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfNotesAndOtherExplanatoryInformationExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfNotesAndOtherExplanatoryInformationExplanatory","Order":"8","Label":"Disclosure of notes and other explanatory information [text block]","Documentation":"The disclosure of notes and other explanatory information as part of a complete set of financial statements.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory","Order":"9","Label":"Disclosure of general information about financial statements [text block]","Documentation":"The entire disclosure for general information about financial statements.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory","Order":"10","Label":"Disclosure of basis of preparation of financial statements [text block]","Documentation":"The disclosure of the basis used for the preparation of the financial statements.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfSummaryOfSignificantAccountingPoliciesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfSummaryOfSignificantAccountingPoliciesExplanatory","Order":"11","Label":"Disclosure of significant accounting policies [text block]","Documentation":"The entire disclosure for significant accounting policies applied by the entity.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfEntitysReportableSegmentsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfEntitysReportableSegmentsExplanatory","Order":"12","Label":"Disclosure of entity's operating segments [text block]","Documentation":"The entire disclosure for operating segments.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfAuthorisationOfFinancialStatementsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfAuthorisationOfFinancialStatementsExplanatory","Order":"13","Label":"Disclosure of authorisation of financial statements [text block]","Documentation":"The disclosure of the authorisation of financial statements for issue.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfAccountingJudgementsAndEstimatesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfAccountingJudgementsAndEstimatesExplanatory","Order":"14","Label":"Disclosure of accounting judgements and estimates [text block]","Documentation":"The disclosure of judgements that management has made in the process of applying the entity's accounting policies that have the most significant effect on amounts recognised in the financial statements along with information about the assumptions that the entity makes about the future, and other major sources of estimation uncertainty at the end of the reporting period, that have a significant risk of resulting in a material adjustment to the carrying amounts of assets and liabilities within the next year. [Refer: Carrying amount [member]]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfIntangibleAssetsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfIntangibleAssetsExplanatory","Order":"15","Label":"Disclosure of intangible assets [text block]","Documentation":"The entire disclosure for intangible assets.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfIntangibleAssetsAndGoodwillExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfIntangibleAssetsAndGoodwillExplanatory","Order":"16","Label":"Disclosure of intangible assets and goodwill [text block]","Documentation":"The disclosure of intangible assets and goodwill. [Refer: Intangible assets and goodwill]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForIntangibleAssetsAndGoodwillExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForIntangibleAssetsAndGoodwillExplanatory","Order":"17","Label":"Description of accounting policy for intangible assets and goodwill [text block]","Documentation":"The description of the entity's accounting policy for intangible assets and goodwill. [Refer: Intangible assets and goodwill]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfImpairmentOfAssetsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfImpairmentOfAssetsExplanatory","Order":"18","Label":"Disclosure of impairment of assets [text block]","Documentation":"The entire disclosure for the impairment of assets.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfDepreciationAndAmortisationExpenseExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfDepreciationAndAmortisationExpenseExplanatory","Order":"19","Label":"Disclosure of depreciation and amortisation expense [text block]","Documentation":"The disclosure of depreciation and amortisation expense. [Refer: Depreciation and amortisation expense]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfPropertyPlantAndEquipmentExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfPropertyPlantAndEquipmentExplanatory","Order":"20","Label":"Disclosure of property, plant and equipment [text block]","Documentation":"The entire disclosure for property, plant and equipment.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfQuantitativeInformationAboutRightofuseAssetsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfQuantitativeInformationAboutRightofuseAssetsExplanatory","Order":"21","Label":"Disclosure of quantitative information about right-of-use assets [text block]","Documentation":"The disclosure of quantitative information about right-of-use assets. [Refer: Right-of-use assets]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfLeasesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfLeasesExplanatory","Order":"22","Label":"Disclosure of leases [text block]","Documentation":"The entire disclosure for leases.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfInventoriesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfInventoriesExplanatory","Order":"23","Label":"Disclosure of inventories [text block]","Documentation":"The entire disclosure for inventories.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfTradeAndOtherReceivablesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfTradeAndOtherReceivablesExplanatory","Order":"24","Label":"Disclosure of trade and other receivables [text block]","Documentation":"The disclosure of trade and other receivables. [Refer: Trade and other receivables]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfPrepaymentsAndOtherAssetsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfPrepaymentsAndOtherAssetsExplanatory","Order":"25","Label":"Disclosure of prepayments and other assets [text block]","Documentation":"The disclosure of prepayments and other assets. [Refer: Other assets; Prepayments]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfAccruedExpensesAndOtherLiabilitiesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfAccruedExpensesAndOtherLiabilitiesExplanatory","Order":"26","Label":"Disclosure of accrued expenses and other liabilities [text block]","Documentation":"The disclosure of accrued expenses and other liabilities. [Refer: Accruals; Other liabilities]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfOtherCurrentLiabilitiesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfOtherCurrentLiabilitiesExplanatory","Order":"27","Label":"Disclosure of other current liabilities [text block]","Documentation":"The disclosure of other current liabilities. [Refer: Other current liabilities]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfRevenueExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfRevenueExplanatory","Order":"28","Label":"Disclosure of revenue [text block]","Documentation":"The entire disclosure for revenue.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfRevenueFromContractsWithCustomersExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfRevenueFromContractsWithCustomersExplanatory","Order":"29","Label":"Disclosure of revenue from contracts with customers [text block]","Documentation":"The entire disclosure for revenue from contracts with customers.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfDeferredIncomeExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfDeferredIncomeExplanatory","Order":"30","Label":"Disclosure of deferred income [text block]","Documentation":"The disclosure of deferred income. [Refer: Deferred income including contract liabilities]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfInformationAboutEmployeesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfInformationAboutEmployeesExplanatory","Order":"31","Label":"Disclosure of information about employees [text block]","Documentation":"The disclosure of information about employees.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfInformationAboutKeyManagementPersonnelExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfInformationAboutKeyManagementPersonnelExplanatory","Order":"32","Label":"Disclosure of information about key management personnel [text block]","Documentation":"The disclosure of information about key management personnel. [Refer: Key management personnel of entity or parent [member]]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfEmployeeBenefitsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfEmployeeBenefitsExplanatory","Order":"33","Label":"Disclosure of employee benefits [text block]","Documentation":"The entire disclosure for employee benefits.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfSharebasedPaymentArrangementsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfSharebasedPaymentArrangementsExplanatory","Order":"34","Label":"Disclosure of share-based payment arrangements [text block]","Documentation":"The entire disclosure for share-based payment arrangements.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfProvisionsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfProvisionsExplanatory","Order":"35","Label":"Disclosure of provisions [text block]","Documentation":"The disclosure of provisions. [Refer: Provisions]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfOtherProvisionsContingentLiabilitiesAndContingentAssetsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfOtherProvisionsContingentLiabilitiesAndContingentAssetsExplanatory","Order":"36","Label":"Disclosure of other provisions, contingent liabilities and contingent assets [text block]","Documentation":"The entire disclosure for other provisions, contingent liabilities and contingent assets.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfIncomeTaxExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfIncomeTaxExplanatory","Order":"37","Label":"Disclosure of income tax [text block]","Documentation":"The entire disclosure for income taxes.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfDeferredTaxesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfDeferredTaxesExplanatory","Order":"38","Label":"Disclosure of deferred taxes [text block]","Documentation":"The disclosure of deferred taxes. [Refer: Deferred tax liabilities; Deferred tax assets]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfEarningsPerShareExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfEarningsPerShareExplanatory","Order":"39","Label":"Disclosure of earnings per share [text block]","Documentation":"The entire disclosure for earnings per share.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfContingentLiabilitiesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfContingentLiabilitiesExplanatory","Order":"40","Label":"Disclosure of contingent liabilities [text block]","Documentation":"The disclosure of contingent liabilities. [Refer: Contingent liabilities [member]]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfOtherNoncurrentAssetsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfOtherNoncurrentAssetsExplanatory","Order":"41","Label":"Disclosure of other non-current assets [text block]","Documentation":"The disclosure of other non-current assets. [Refer: Other non-current assets]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfObjectivesPoliciesAndProcessesForManagingCapitalExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfObjectivesPoliciesAndProcessesForManagingCapitalExplanatory","Order":"42","Label":"Disclosure of objectives, policies and processes for managing capital [text block]","Documentation":"The disclosure of information that enables users of financial statements to evaluate the entity's objectives, policies and processes for managing capital.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfFinancialRiskManagementExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfFinancialRiskManagementExplanatory","Order":"43","Label":"Disclosure of financial risk management [text block]","Documentation":"The disclosure of the entity's financial risk management practices and policies.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfFinancialInstrumentsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfFinancialInstrumentsExplanatory","Order":"44","Label":"Disclosure of financial instruments [text block]","Documentation":"The entire disclosure for financial instruments.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfCashAndCashEquivalentsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfCashAndCashEquivalentsExplanatory","Order":"45","Label":"Disclosure of cash and cash equivalents [text block]","Documentation":"The disclosure of cash and cash equivalents. [Refer: Cash and cash equivalents]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfLiquidityRiskExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfLiquidityRiskExplanatory","Order":"46","Label":"Disclosure of liquidity risk [text block]","Documentation":"The disclosure of liquidity risk. [Refer: Liquidity risk [member]]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfMarketRiskExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfMarketRiskExplanatory","Order":"47","Label":"Disclosure of market risk [text block]","Documentation":"The disclosure of market risk. [Refer: Market risk [member]]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfCreditRiskExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfCreditRiskExplanatory","Order":"48","Label":"Disclosure of credit risk [text block]","Documentation":"The disclosure of credit risk. [Refer: Credit risk [member]]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfBorrowingsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfBorrowingsExplanatory","Order":"49","Label":"Disclosure of borrowings [text block]","Documentation":"The disclosure of borrowings. [Refer: Borrowings]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfBorrowingCostsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfBorrowingCostsExplanatory","Order":"50","Label":"Disclosure of borrowing costs [text block]","Documentation":"The entire disclosure for borrowing costs.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForBorrowingsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForBorrowingsExplanatory","Order":"51","Label":"Description of accounting policy for borrowings [text block]","Documentation":"The description of the entity's accounting policy for borrowings. [Refer: Borrowings]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfOtherNoncurrentLiabilitiesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfOtherNoncurrentLiabilitiesExplanatory","Order":"52","Label":"Disclosure of other non-current liabilities [text block]","Documentation":"The disclosure of other non-current liabilities. [Refer: Other non-current liabilities]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfFinanceIncomeExpenseExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfFinanceIncomeExpenseExplanatory","Order":"53","Label":"Disclosure of finance income (cost) [text block]","Documentation":"The disclosure of finance income (cost). [Refer: Finance income (cost)]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfFinanceIncomeExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfFinanceIncomeExplanatory","Order":"54","Label":"Disclosure of finance income [text block]","Documentation":"The disclosure of finance income. [Refer: Finance income]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfFinanceCostExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfFinanceCostExplanatory","Order":"55","Label":"Disclosure of finance cost [text block]","Documentation":"The disclosure of finance cost. [Refer: Finance costs]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfInterestIncomeExpenseExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfInterestIncomeExpenseExplanatory","Order":"56","Label":"Disclosure of interest income (expense) [text block]","Documentation":"The disclosure of interest income and expense. [Refer: Interest income (expense)]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfInterestIncomeExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfInterestIncomeExplanatory","Order":"57","Label":"Disclosure of interest income [text block]","Documentation":"The disclosure of interest income. [Refer: Interest income]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfInterestExpenseExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfInterestExpenseExplanatory","Order":"58","Label":"Disclosure of interest expense [text block]","Documentation":"The disclosure of interest expense. [Refer: Interest expense]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfShareCapitalReservesAndOtherEquityInterestExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfShareCapitalReservesAndOtherEquityInterestExplanatory","Order":"59","Label":"Disclosure of share capital, reserves and other equity interest [text block]","Documentation":"The entire disclosure for share capital, reserves and other equity interest.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfIssuedCapitalExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfIssuedCapitalExplanatory","Order":"60","Label":"Disclosure of issued capital [text block]","Documentation":"The disclosure of issued capital. [Refer: Issued capital]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfTreasurySharesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfTreasurySharesExplanatory","Order":"61","Label":"Disclosure of treasury shares [text block]","Documentation":"The disclosure of treasury shares. [Refer: Treasury shares]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfReservesAndOtherEquityInterestExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfReservesAndOtherEquityInterestExplanatory","Order":"62","Label":"Disclosure of reserves within equity [text block]","Documentation":"The disclosure of reserves within equity. [Refer: Other reserves [member]]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfEffectOfChangesInForeignExchangeRatesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfEffectOfChangesInForeignExchangeRatesExplanatory","Order":"63","Label":"Disclosure of effect of changes in foreign exchange rates [text block]","Documentation":"The entire disclosure for the effect of changes in foreign exchange rates.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfFinancialInstrumentsAtFairValueThroughProfitOrLossExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfFinancialInstrumentsAtFairValueThroughProfitOrLossExplanatory","Order":"64","Label":"Disclosure of financial instruments at fair value through profit or loss [text block]","Documentation":"The disclosure of financial instruments measured at fair value through profit or loss. [Refer: At fair value [member]; Financial instruments, class [member]]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfFairValueMeasurementExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfFairValueMeasurementExplanatory","Order":"65","Label":"Disclosure of fair value measurement [text block]","Documentation":"The entire disclosure for fair value measurement.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfFairValueOfFinancialInstrumentsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfFairValueOfFinancialInstrumentsExplanatory","Order":"66","Label":"Disclosure of fair value of financial instruments [text block]","Documentation":"The disclosure of the fair value of financial instruments. [Refer: Financial instruments, class [member]; At fair value [member]]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfOtherOperatingIncomeExpenseExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfOtherOperatingIncomeExpenseExplanatory","Order":"67","Label":"Disclosure of other operating income (expense) [text block]","Documentation":"The disclosure of other operating income or expense. [Refer: Other operating income (expense)]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfOtherOperatingIncomeExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfOtherOperatingIncomeExplanatory","Order":"68","Label":"Disclosure of other operating income [text block]","Documentation":"The disclosure of other operating income. [Refer: Other operating income (expense)]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfOtherOperatingExpenseExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfOtherOperatingExpenseExplanatory","Order":"69","Label":"Disclosure of other operating expense [text block]","Documentation":"The disclosure of other operating expense. [Refer: Other operating income (expense)]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfExpensesByNatureExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfExpensesByNatureExplanatory","Order":"70","Label":"Disclosure of expenses by nature [text block]","Documentation":"The disclosure of expenses by nature. [Refer: Expenses, by nature]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfResearchAndDevelopmentExpenseExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfResearchAndDevelopmentExpenseExplanatory","Order":"71","Label":"Disclosure of research and development expense [text block]","Documentation":"The disclosure of research and development expense. [Refer: Research and development expense]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfExpensesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfExpensesExplanatory","Order":"72","Label":"Disclosure of expenses [text block]","Documentation":"The disclosure of expenses.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfCashFlowStatementExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfCashFlowStatementExplanatory","Order":"73","Label":"Disclosure of cash flow statement [text block]","Documentation":"The entire disclosure for a statement of cash flows.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfEventsAfterReportingPeriodExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfEventsAfterReportingPeriodExplanatory","Order":"74","Label":"Disclosure of events after reporting period [text block]","Documentation":"The entire disclosure for events after the reporting period.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfChangesInAccountingPoliciesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfChangesInAccountingPoliciesExplanatory","Order":"75","Label":"Disclosure of changes in accounting policies [text block]","Documentation":"The disclosure of changes made to accounting policies by the entity.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfBasisOfConsolidationExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfBasisOfConsolidationExplanatory","Order":"76","Label":"Disclosure of basis of consolidation [text block]","Documentation":"The disclosure of the basis used for consolidation.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfInterestsInOtherEntitiesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfInterestsInOtherEntitiesExplanatory","Order":"77","Label":"Disclosure of interests in other entities [text block]","Documentation":"The entire disclosure for interests in other entities.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfRelatedPartyExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfRelatedPartyExplanatory","Order":"78","Label":"Disclosure of related party [text block]","Documentation":"The entire disclosure for related parties.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory","Order":"79","Label":"Disclosure of subsidiaries [text block]","Documentation":"The disclosure of subsidiaries. [Refer: Subsidiaries [member]]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForSubsidiariesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForSubsidiariesExplanatory","Order":"80","Label":"Description of accounting policy for subsidiaries [text block]","Documentation":"The description of the entity's accounting policy for subsidiaries. [Refer: Subsidiaries [member]]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForFunctionalCurrencyExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForFunctionalCurrencyExplanatory","Order":"81","Label":"Description of accounting policy for functional currency [text block]","Documentation":"The description of the entity's accounting policy for the currency of the primary economic environment in which the entity operates.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForForeignCurrencyTranslationExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForForeignCurrencyTranslationExplanatory","Order":"82","Label":"Description of accounting policy for foreign currency translation [text block]","Documentation":"The description of the entity's accounting policy for foreign currency translation.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForFairValueMeasurementExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForFairValueMeasurementExplanatory","Order":"83","Label":"Description of accounting policy for fair value measurement [text block]","Documentation":"The description of the entity's accounting policy for fair value measurement. [Refer: At fair value [member]]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForRecognitionOfRevenue","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForRecognitionOfRevenue","Order":"84","Label":"Description of accounting policy for recognition of revenue [text block]","Documentation":"The description of the entity's accounting policy for recognising revenue. [Refer: Revenue]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForGovernmentGrants","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForGovernmentGrants","Order":"85","Label":"Description of accounting policy for government grants [text block]","Documentation":"The description of the entity's accounting policy for government grants, including the methods of presentation adopted in the financial statements. [Refer: Government [member]; Government grants]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForResearchAndDevelopmentExpenseExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForResearchAndDevelopmentExpenseExplanatory","Order":"86","Label":"Description of accounting policy for research and development expense [text block]","Documentation":"The description of the entity's accounting policy for research and development expense. [Refer: Research and development expense]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForExpensesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForExpensesExplanatory","Order":"87","Label":"Description of accounting policy for expenses [text block]","Documentation":"The description of the entity's accounting policy for expenses.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfGeneralAndAdministrativeExpenseExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfGeneralAndAdministrativeExpenseExplanatory","Order":"88","Label":"Disclosure of general and administrative expense [text block]","Documentation":"The disclosure of general and administrative expenses. [Refer: Administrative expenses]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForEmployeeBenefitsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForEmployeeBenefitsExplanatory","Order":"89","Label":"Description of accounting policy for employee benefits [text block]","Documentation":"The description of the entity's accounting policy for employee benefits. Employee benefits are all forms of consideration given by an entity in exchange for services rendered by employees or for the termination of employment.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForTerminationBenefits","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForTerminationBenefits","Order":"90","Label":"Description of accounting policy for termination benefits [text block]","Documentation":"The description of the entity's accounting policy for termination benefits. [Refer: Termination benefits expense]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForSharebasedPaymentTransactionsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForSharebasedPaymentTransactionsExplanatory","Order":"91","Label":"Description of accounting policy for share-based payment transactions [text block]","Documentation":"The description of the entity's accounting policy for transactions in which the entity: (a) receives goods or services from the supplier of those goods or services (including an employee) in a share-based payment arrangement; or (b) incurs an obligation to settle the transaction with the supplier in a share-based payment arrangement when another group entity receives those goods or services. [Refer: Share-based payment arrangements [member]]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForFinanceIncomeAndCostsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForFinanceIncomeAndCostsExplanatory","Order":"92","Label":"Description of accounting policy for finance income and costs [text block]","Documentation":"The description of the entity's accounting policy for finance income and costs. [Refer: Finance income (cost)]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForFinanceCostsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForFinanceCostsExplanatory","Order":"93","Label":"Description of accounting policy for finance costs [text block]","Documentation":"The description of the entity's accounting policy for finance costs. [Refer: Finance costs]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForInterestIncomeAndExpenseExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForInterestIncomeAndExpenseExplanatory","Order":"94","Label":"Description of accounting policy for interest income and expense [text block]","Documentation":"The description of the entity's accounting policy for income and expense arising from interest.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForIncomeTaxExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForIncomeTaxExplanatory","Order":"95","Label":"Description of accounting policy for income tax [text block]","Documentation":"The description of the entity's accounting policy for income tax.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForDeferredIncomeTaxExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForDeferredIncomeTaxExplanatory","Order":"96","Label":"Description of accounting policy for deferred income tax [text block]","Documentation":"The description of the entity's accounting policy for deferred income tax. [Refer: Deferred tax expense (income)]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForPropertyPlantAndEquipmentExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForPropertyPlantAndEquipmentExplanatory","Order":"97","Label":"Description of accounting policy for property, plant and equipment [text block]","Documentation":"The description of the entity's accounting policy for property, plant and equipment. [Refer: Property, plant and equipment]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForDepreciationExpenseExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForDepreciationExpenseExplanatory","Order":"98","Label":"Description of accounting policy for depreciation expense [text block]","Documentation":"The description of the entity's accounting policy for depreciation expense. [Refer: Depreciation and amortisation expense]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForIntangibleAssetsOtherThanGoodwillExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForIntangibleAssetsOtherThanGoodwillExplanatory","Order":"99","Label":"Description of accounting policy for intangible assets other than goodwill [text block]","Documentation":"The description of the entity's accounting policy for intangible assets other than goodwill. [Refer: Intangible assets other than goodwill]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForImpairmentOfAssetsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForImpairmentOfAssetsExplanatory","Order":"100","Label":"Description of accounting policy for impairment of assets [text block]","Documentation":"The description of the entity's accounting policy for the impairment of assets.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForImpairmentOfNonfinancialAssetsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForImpairmentOfNonfinancialAssetsExplanatory","Order":"101","Label":"Description of accounting policy for impairment of non-financial assets [text block]","Documentation":"The description of the entity's accounting policy for the impairment of non-financial assets. [Refer: Financial assets]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForMeasuringInventories","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForMeasuringInventories","Order":"102","Label":"Description of accounting policy for measuring inventories [text block]","Documentation":"The description of the entity's accounting policy for measuring inventories. [Refer: Inventories]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForTradeAndOtherReceivablesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForTradeAndOtherReceivablesExplanatory","Order":"103","Label":"Description of accounting policy for trade and other receivables [text block]","Documentation":"The description of the entity's accounting policy for trade and other receivables. [Refer: Trade and other receivables]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyToDetermineComponentsOfCashAndCashEquivalents","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyToDetermineComponentsOfCashAndCashEquivalents","Order":"104","Label":"Description of accounting policy for determining components of cash and cash equivalents [text block]","Documentation":"The description of the entity's accounting policy used to determine the components of cash and cash equivalents. [Refer: Cash and cash equivalents]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForIssuedCapitalExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForIssuedCapitalExplanatory","Order":"105","Label":"Description of accounting policy for issued capital [text block]","Documentation":"The description of the entity's accounting policy for issued capital. [Refer: Issued capital]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForLeasesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForLeasesExplanatory","Order":"106","Label":"Description of accounting policy for leases [text block]","Documentation":"The description of the entity's accounting policy for leases. A lease is an agreement whereby the lessor conveys to the lessee in return for a payment or series of payments the right to use an asset for an agreed period of time.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForTradeAndOtherPayablesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForTradeAndOtherPayablesExplanatory","Order":"107","Label":"Description of accounting policy for trade and other payables [text block]","Documentation":"The description of the entity's accounting policy for trade and other payables. [Refer: Trade and other payables]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfOtherLiabilitiesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfOtherLiabilitiesExplanatory","Order":"108","Label":"Disclosure of other liabilities [text block]","Documentation":"The disclosure of other liabilities. [Refer: Other liabilities]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForFinancialInstrumentsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForFinancialInstrumentsExplanatory","Order":"109","Label":"Description of accounting policy for financial instruments [text block]","Documentation":"The description of the entity's accounting policy for financial instruments. [Refer: Financial instruments, class [member]]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForFinancialInstrumentsAtFairValueThroughProfitOrLossExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForFinancialInstrumentsAtFairValueThroughProfitOrLossExplanatory","Order":"110","Label":"Description of accounting policy for financial instruments at fair value through profit or loss [text block]","Documentation":"The description of the entity's accounting policy for financial instruments at fair value through profit or loss. [Refer: At fair value [member]; Financial instruments, class [member]]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForDerecognitionOfFinancialInstrumentsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForDerecognitionOfFinancialInstrumentsExplanatory","Order":"111","Label":"Description of accounting policy for derecognition of financial instruments [text block]","Documentation":"The description of the entity's accounting policy for the derecognition of financial instruments. [Refer: Financial instruments, class [member]]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForFinancialAssetsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForFinancialAssetsExplanatory","Order":"112","Label":"Description of accounting policy for financial assets [text block]","Documentation":"The description of the entity's accounting policy for financial assets. [Refer: Financial assets]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForFinancialLiabilitiesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForFinancialLiabilitiesExplanatory","Order":"113","Label":"Description of accounting policy for financial liabilities [text block]","Documentation":"The description of the entity's accounting policy for financial liabilities. [Refer: Financial liabilities]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForImpairmentOfFinancialAssetsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForImpairmentOfFinancialAssetsExplanatory","Order":"114","Label":"Description of accounting policy for impairment of financial assets [text block]","Documentation":"The description of the entity's accounting policy for the impairment of financial assets. [Refer: Financial assets]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForCashFlowsExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForCashFlowsExplanatory","Order":"115","Label":"Description of accounting policy for cash flows [text block]","Documentation":"The description of the entity's accounting policy for cash flows.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForSegmentReportingExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForSegmentReportingExplanatory","Order":"116","Label":"Description of accounting policy for segment reporting [text block]","Documentation":"The description of the entity's accounting policy for segment reporting.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForEarningsPerShareExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForEarningsPerShareExplanatory","Order":"117","Label":"Description of accounting policy for earnings per share [text block]","Documentation":"The description of the entity's accounting policy for earnings per share.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfAccountingPolicyForTreasurySharesExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfAccountingPolicyForTreasurySharesExplanatory","Order":"118","Label":"Description of accounting policy for treasury shares [text block]","Documentation":"The description of the entity's accounting policy for treasury shares. [Refer: Treasury shares]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_StatementOfIFRSCompliance","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:StatementOfIFRSCompliance","Order":"119","Label":"Statement of IFRS compliance [text block]","Documentation":"An explicit and unreserved statement of compliance with all the requirements of IFRSs.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfInitialApplicationOfStandardsOrInterpretations","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfInitialApplicationOfStandardsOrInterpretations","Order":"120","Label":"Disclosure of initial application of standards or interpretations [text block]","Documentation":"The disclosure of the initial application of an IFRS. [Refer: IFRSs [member]]","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DescriptionOfExpectedImpactOfInitialApplicationOfNewStandardsOrInterpretations","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DescriptionOfExpectedImpactOfInitialApplicationOfNewStandardsOrInterpretations","Order":"121","Label":"Disclosure of expected impact of initial application of new standards or interpretations [text block]","Documentation":"The disclosure of the known or reasonably estimable information relevant to assessing the possible impact that the application of a new IFRS, that has been issued but is not yet effective, will have.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_ifrs-full_DisclosureOfAuditorsRemunerationExplanatory","ParentId":"TagsThatMustBeAppliedIfCorrespondingInformationIsPresentInAReport_loc_esef_cor_NotesAccountingPoliciesAndMandatoryTags","Name":"ifrs-full:DisclosureOfAuditorsRemunerationExplanatory","Order":"122","Label":"Disclosure of auditors' remuneration [text block]","Documentation":"The disclosure of compensation to the entity's auditors.","PeriodType":"duration","Balance":"0","Type":"nonnum:textBlockItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","PreferredLabel":"label","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0}];
  $scope.calculationData = [{"Id":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfFinancialPosition","ParentId":"","Name":"1001 - Statement - Consolidated statement of financial position","Weight":"","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_Assets","ParentId":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfFinancialPosition","Name":"ifrs-full:Assets","Weight":"","Order":"","Label":"Assets","Documentation":"The amount of a present economic resource controlled by the entity as a result of past events. Economic resource is a right that has the potential to produce economic benefits.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentAssets","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_Assets","Name":"ifrs-full:NoncurrentAssets","Weight":"1","Order":"1","Label":"Non-current assets","Documentation":"The amount of assets that do not meet the definition of current assets. [Refer: Current assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_PropertyPlantAndEquipment","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentAssets","Name":"ifrs-full:PropertyPlantAndEquipment","Weight":"1","Order":"2","Label":"Property, plant and equipment","Documentation":"The amount of tangible assets that: (a) are held for use in the production or supply of goods or services, for rental to others, or for administrative purposes; and (b) are expected to be used during more than one period.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_IntangibleAssetsAndGoodwill","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentAssets","Name":"ifrs-full:IntangibleAssetsAndGoodwill","Weight":"1","Order":"3","Label":"Intangible assets and goodwill","Documentation":"The amount of intangible assets and goodwill held by the entity. [Refer: Goodwill; Intangible assets other than goodwill]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_RightofuseAssets","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentAssets","Name":"ifrs-full:RightofuseAssets","Weight":"1","Order":"4","Label":"Right-of-use assets","Documentation":"The amount of assets that represent a lessee's right to use an underlying asset for the lease term. Underlying asset is an asset that is the subject of a lease, for which the right to use that asset has been provided by a lessor to a lessee.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentAssets","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_Assets","Name":"ifrs-full:CurrentAssets","Weight":"1","Order":"5","Label":"Current assets","Documentation":"The amount of assets that the entity (a) expects to realise or intends to sell or consume in its normal operating cycle; (b) holds primarily for the purpose of trading; (c) expects to realise within twelve months after the reporting period; or (d) classifies as cash or cash equivalents (as defined in IAS 7) unless the asset is restricted from being exchanged or used to settle a liability for at least twelve months after the reporting period. [Refer: Assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentTradeReceivables","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentAssets","Name":"ifrs-full:CurrentTradeReceivables","Weight":"1","Order":"6","Label":"Current trade receivables","Documentation":"The amount of current trade receivables. [Refer: Trade receivables]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentAssets","Name":"ifrs-full:CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets","Weight":"1","Order":"7","Label":"Current prepayments and current accrued income other than current contract assets","Documentation":"The amount of current prepayments and current accrued income, other than current contract assets. [Refer: Prepayments; Accrued income other than contract assets]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_OtherCurrentReceivables","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentAssets","Name":"ifrs-full:OtherCurrentReceivables","Weight":"1","Order":"8","Label":"Other current receivables","Documentation":"The amount of current other receivables. [Refer: Other receivables]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentInvestments","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentAssets","Name":"ifrs-full:CurrentInvestments","Weight":"1","Order":"9","Label":"Current investments","Documentation":"The amount of current investments.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CashAndCashEquivalents","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentAssets","Name":"ifrs-full:CashAndCashEquivalents","Weight":"1","Order":"10","Label":"Cash and cash equivalents","Documentation":"The amount of cash on hand and demand deposits, along with short-term, highly liquid investments that are readily convertible to known amounts of cash and that are subject to an insignificant risk of changes in value. [Refer: Cash; Cash equivalents]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_Inventories","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentAssets","Name":"ifrs-full:Inventories","Weight":"1","Order":"11","Label":"Current inventories","Documentation":"The amount of current inventories. [Refer: Inventories]","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAndLiabilities","ParentId":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfFinancialPosition","Name":"ifrs-full:EquityAndLiabilities","Weight":"","Order":"","Label":"Equity and liabilities","Documentation":"The amount of the entity's equity and liabilities. [Refer: Equity; Liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAttributableToOwnersOfParent","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAndLiabilities","Name":"ifrs-full:EquityAttributableToOwnersOfParent","Weight":"1","Order":"12","Label":"Equity attributable to owners of parent","Documentation":"The amount of equity attributable to the owners of the parent. This specifically excludes non-controlling interest.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_SharePremium","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAttributableToOwnersOfParent","Name":"ifrs-full:SharePremium","Weight":"1","Order":"13","Label":"Share premium","Documentation":"The amount received or receivable from the issuance of the entity's shares in excess of nominal value.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_TreasuryShares","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAttributableToOwnersOfParent","Name":"ifrs-full:TreasuryShares","Weight":"-1","Order":"14","Label":"Treasury shares","Documentation":"An entity’s own equity instruments, held by the entity or other members of the consolidated group.","PeriodType":"instant","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_OtherReserves","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAttributableToOwnersOfParent","Name":"ifrs-full:OtherReserves","Weight":"1","Order":"15","Label":"Other reserves","Documentation":"A component of equity representing reserves within equity, not including retained earnings. [Refer: Retained earnings]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_RetainedEarnings","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAttributableToOwnersOfParent","Name":"ifrs-full:RetainedEarnings","Weight":"1","Order":"16","Label":"Retained earnings","Documentation":"A component of equity representing the entity's cumulative undistributed earnings or deficit.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_IssuedCapital","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAttributableToOwnersOfParent","Name":"ifrs-full:IssuedCapital","Weight":"1","Order":"17","Label":"Issued capital","Documentation":"The nominal value of capital issued.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_Liabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_EquityAndLiabilities","Name":"ifrs-full:Liabilities","Weight":"1","Order":"18","Label":"Liabilities","Documentation":"The amount of a present obligation of the entity to transfer an economic resource as a result of past events. Economic resource is a right that has the potential to produce economic benefits.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentLiabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_Liabilities","Name":"ifrs-full:NoncurrentLiabilities","Weight":"1","Order":"19","Label":"Non-current liabilities","Documentation":"The amount of liabilities that do not meet the definition of current liabilities. [Refer: Current liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentLeaseLiabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentLiabilities","Name":"ifrs-full:NoncurrentLeaseLiabilities","Weight":"1","Order":"20","Label":"Non-current lease liabilities","Documentation":"The amount of non-current lease liabilities. [Refer: Lease liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_OtherNoncurrentLiabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentLiabilities","Name":"ifrs-full:OtherNoncurrentLiabilities","Weight":"1","Order":"21","Label":"Other non-current liabilities","Documentation":"The amount of non-current liabilities that the entity does not separately disclose in the same statement or note. [Refer: Non-current liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentDeferredIncomeOtherThanNoncurrentContractLiabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentLiabilities","Name":"ifrs-full:NoncurrentDeferredIncomeOtherThanNoncurrentContractLiabilities","Weight":"1","Order":"22","Label":"Non-current deferred income other than non-current contract liabilities","Documentation":"The amount of non-current deferred income other than non-current contract liabilities. [Refer: Deferred income other than contract liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentProvisions","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentLiabilities","Name":"ifrs-full:NoncurrentProvisions","Weight":"1","Order":"23","Label":"Non-current provisions","Documentation":"The amount of non-current provisions, including provisions for employee benefits. [Refer: Provisions]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_DeferredTaxLiabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentLiabilities","Name":"ifrs-full:DeferredTaxLiabilities","Weight":"1","Order":"24","Label":"Deferred tax liabilities","Documentation":"The amounts of income taxes payable in future periods in respect of taxable temporary differences. [Refer: Temporary differences [member]]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_LongtermBorrowings","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_NoncurrentLiabilities","Name":"ifrs-full:LongtermBorrowings","Weight":"1","Order":"25","Label":"Non-current portion of non-current borrowings","Documentation":"The non-current portion of non-current borrowings. [Refer: Borrowings]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLiabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_Liabilities","Name":"ifrs-full:CurrentLiabilities","Weight":"1","Order":"26","Label":"Current liabilities","Documentation":"Expiry date 2023-01-01: The amount of liabilities that: (a) the entity expects to settle in its normal operating cycle; (b) the entity holds primarily for the purpose of trading; (c) are due to be settled within twelve months after the reporting period; or (d) the entity does not have an unconditional right to defer settlement for at least twelve months after the reporting period.\r\nEffective 2023-01-01: The amount of liabilities that: (a) the entity expects to settle in its normal operating cycle; (b) the entity holds primarily for the purpose of trading; (c) are due to be settled within twelve months after the reporting period; or (d) the entity does not have the right at the end of the reporting period to defer settlement for at least twelve months after the reporting period.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_TradeAndOtherCurrentPayables","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLiabilities","Name":"ifrs-full:TradeAndOtherCurrentPayables","Weight":"1","Order":"27","Label":"Trade and other current payables","Documentation":"The amount of current trade payables and current other payables. [Refer: Current trade payables; Other current payables]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_OtherCurrentLiabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLiabilities","Name":"ifrs-full:OtherCurrentLiabilities","Weight":"1","Order":"28","Label":"Other current liabilities","Documentation":"The amount of current liabilities that the entity does not separately disclose in the same statement or note. [Refer: Current liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentDeferredIncomeOtherThanCurrentContractLiabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLiabilities","Name":"ifrs-full:CurrentDeferredIncomeOtherThanCurrentContractLiabilities","Weight":"1","Order":"29","Label":"Current deferred income other than current contract liabilities","Documentation":"The amount of current deferred income other than current contract liabilities. [Refer: Deferred income other than contract liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_AccrualsClassifiedAsCurrent","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLiabilities","Name":"ifrs-full:AccrualsClassifiedAsCurrent","Weight":"1","Order":"30","Label":"Accruals classified as current","Documentation":"The amount of accruals classified as current. [Refer: Accruals]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLeaseLiabilities","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLiabilities","Name":"ifrs-full:CurrentLeaseLiabilities","Weight":"1","Order":"31","Label":"Current lease liabilities","Documentation":"The amount of current lease liabilities. [Refer: Lease liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentTaxLiabilitiesCurrent","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLiabilities","Name":"ifrs-full:CurrentTaxLiabilitiesCurrent","Weight":"1","Order":"32","Label":"Current tax liabilities, current","Documentation":"The current amount of current tax liabilities. [Refer: Current tax liabilities]","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_OtherCurrentPayables","ParentId":"ConsolidatedStatementOfFinancialPosition_loc_ifrs-full_CurrentLiabilities","Name":"ifrs-full:OtherCurrentPayables","Weight":"1","Order":"33","Label":"Other current payables","Documentation":"The amount of current payables that the entity does not separately disclose in the same statement or note.","PeriodType":"instant","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss","ParentId":"","Name":"1002 - Statement - Consolidated statement of profit or loss and other comprehensive income (loss)","Weight":"","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ProfitLoss","ParentId":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss","Name":"ifrs-full:ProfitLoss","Weight":"","Order":"","Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ProfitLossBeforeTax","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ProfitLoss","Name":"ifrs-full:ProfitLossBeforeTax","Weight":"1","Order":"1","Label":"Profit (loss) before tax","Documentation":"The profit (loss) before tax expense or income. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_FinanceIncome","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ProfitLossBeforeTax","Name":"ifrs-full:FinanceIncome","Weight":"1","Order":"2","Label":"Finance income","Documentation":"The amount of income associated with interest and other financing activities of the entity.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_FinanceCosts","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ProfitLossBeforeTax","Name":"ifrs-full:FinanceCosts","Weight":"-1","Order":"3","Label":"Finance costs","Documentation":"The amount of costs associated with financing activities of the entity.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ProfitLossFromOperatingActivities","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ProfitLossBeforeTax","Name":"ifrs-full:ProfitLossFromOperatingActivities","Weight":"1","Order":"4","Label":"Profit (loss) from operating activities","Documentation":"The profit (loss) from operating activities of the entity. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_Revenue","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ProfitLossFromOperatingActivities","Name":"ifrs-full:Revenue","Weight":"1","Order":"5","Label":"Revenue","Documentation":"The income arising in the course of an entity's ordinary activities. Income is increases in assets, or decreases in liabilities, that result in increases in equity, other than those relating to contributions from holders of equity claims.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_CostOfSales","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ProfitLossFromOperatingActivities","Name":"ifrs-full:CostOfSales","Weight":"-1","Order":"6","Label":"Cost of sales","Documentation":"The amount of all expenses directly or indirectly attributed to the goods or services sold. Attributed expenses include, but are not limited to, costs previously included in the measurement of inventory that has now been sold, such as depreciation and maintenance of factory buildings and equipment used in the production process, unallocated production overheads, and abnormal amounts of production costs of inventories.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_SellingGeneralAndAdministrativeExpense","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ProfitLossFromOperatingActivities","Name":"ifrs-full:SellingGeneralAndAdministrativeExpense","Weight":"-1","Order":"7","Label":"Selling, general and administrative expense","Documentation":"The amount of expense relating to selling, general and administrative activities of the entity.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ResearchAndDevelopmentExpense","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ProfitLossFromOperatingActivities","Name":"ifrs-full:ResearchAndDevelopmentExpense","Weight":"-1","Order":"8","Label":"Research and development expense","Documentation":"The amount of expenditure directly attributable to research or development activities, recognised in profit or loss.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_MiscellaneousOtherOperatingExpense","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ProfitLossFromOperatingActivities","Name":"ifrs-full:MiscellaneousOtherOperatingExpense","Weight":"-1","Order":"9","Label":"Miscellaneous other operating expense","Documentation":"The amount of miscellaneous other operating expenses. [Refer: Other operating income (expense)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_IncomeTaxExpenseContinuingOperations","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ProfitLoss","Name":"ifrs-full:IncomeTaxExpenseContinuingOperations","Weight":"-1","Order":"10","Label":"Tax expense (income)","Documentation":"The aggregate amount included in the determination of profit (loss) for the period in respect of current tax and deferred tax. [Refer: Current tax expense (income); Deferred tax expense (income)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent","ParentId":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss","Name":"ifrs-full:ComprehensiveIncomeAttributableToOwnersOfParent","Weight":"","Order":"","Label":"Comprehensive income, attributable to owners of parent","Documentation":"The amount of comprehensive income attributable to owners of the parent. [Refer: Comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ComprehensiveIncome","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent","Name":"ifrs-full:ComprehensiveIncome","Weight":"1","Order":"11","Label":"Comprehensive income","Documentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_OtherComprehensiveIncome","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ComprehensiveIncome","Name":"ifrs-full:OtherComprehensiveIncome","Weight":"1","Order":"12","Label":"Other comprehensive income","Documentation":"The amount of income and expense (including reclassification adjustments) that is not recognised in profit or loss as required or permitted by IFRSs. [Refer: IFRSs [member]]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_OtherComprehensiveIncome","Name":"ifrs-full:OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation","Weight":"1","Order":"13","Label":"Other comprehensive income, net of tax, exchange differences on translation of foreign operations","Documentation":"The amount of other comprehensive income, net of tax, after reclassification adjustments, related to exchange differences when financial statements of foreign operations are translated. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ProfitLoss","ParentId":"ConsolidatedStatementOfProfitOrLossAndOtherComprehensiveIncomeLoss_loc_ifrs-full_ComprehensiveIncome","Name":"ifrs-full:ProfitLoss","Weight":"1","Order":"14","Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfCashFlow","ParentId":"","Name":"1003 - Statement - Consolidated statement of cash flow","Weight":"","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents","ParentId":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfCashFlow","Name":"ifrs-full:IncreaseDecreaseInCashAndCashEquivalents","Weight":"","Order":"","Label":"Increase (decrease) in cash and cash equivalents after effect of exchange rate changes","Documentation":"The increase (decrease) in cash and cash equivalents after the effect of exchange rate changes on cash and cash equivalents held in foreign currencies. [Refer: Cash and cash equivalents; Effect of exchange rate changes on cash and cash equivalents]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInInvestingActivities","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents","Name":"ifrs-full:CashFlowsFromUsedInInvestingActivities","Weight":"1","Order":"1","Label":"Cash flows from (used in) investing activities","Documentation":"The cash flows from (used in) investing activities, which are the acquisition and disposal of long-term assets and other investments not included in cash equivalents.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInInvestingActivities","Name":"ifrs-full:PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities","Weight":"-1","Order":"2","Label":"Purchase of property, plant and equipment, classified as investing activities","Documentation":"The cash outflow for the purchases of property, plant and equipment, classified as investing activities. [Refer: Property, plant and equipment]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_HNSA_ProceedsFromSaleOfShortTermInvestments","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInInvestingActivities","Name":"hnsa:ProceedsFromSaleOfShortTermInvestments","Weight":"1","Order":"3","Label":"Proceeds From Sale Of Short Term Investments","Documentation":"Proceeds from sale of short-term investments.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":1},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInFinancingActivities","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents","Name":"ifrs-full:CashFlowsFromUsedInFinancingActivities","Weight":"1","Order":"4","Label":"Cash flows from (used in) financing activities","Documentation":"The cash flows from (used in) financing activities, which are activities that result in changes in the size and composition of the contributed equity and borrowings of the entity.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInFinancingActivities","Name":"ifrs-full:PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities","Weight":"-1","Order":"5","Label":"Payments of lease liabilities, classified as financing activities","Documentation":"The cash outflow for payment of lease liabilities, classified as financing activities. [Refer: Lease liabilities]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInFinancingActivities","Name":"ifrs-full:ProceedsFromBorrowingsClassifiedAsFinancingActivities","Weight":"1","Order":"6","Label":"Proceeds from borrowings, classified as financing activities","Documentation":"The cash inflow from borrowings obtained. [Refer: Borrowings]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_ProceedsFromIssuingShares","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInFinancingActivities","Name":"ifrs-full:ProceedsFromIssuingShares","Weight":"1","Order":"7","Label":"Proceeds from issuing shares","Documentation":"The cash inflow from issuing shares.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents","Name":"ifrs-full:CashFlowsFromUsedInOperatingActivities","Weight":"1","Order":"8","Label":"Cash flows from (used in) operating activities","Documentation":"The cash flows from (used in) operating activities, which are the principal revenue-producing activities of the entity and other activities that are not investing or financing activities. [Refer: Revenue]","PeriodType":"duration","Balance":"0","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_IncreaseDecreaseInWorkingCapital","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:IncreaseDecreaseInWorkingCapital","Weight":"-1","Order":"9","Label":"Increase (decrease) in working capital","Documentation":"The increase (decrease) in working capital.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_IncreaseDecreaseInWorkingCapital","Name":"ifrs-full:AdjustmentsForDecreaseIncreaseInTradeAccountReceivable","Weight":"-1","Order":"10","Label":"Adjustments for decrease (increase) in trade accounts receivable","Documentation":"Adjustments for decrease (increase) in trade accounts receivable to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_IncreaseDecreaseInWorkingCapital","Name":"ifrs-full:AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables","Weight":"-1","Order":"11","Label":"Adjustments for decrease (increase) in other operating receivables","Documentation":"Adjustments for decrease (increase) in other operating receivables to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_IncreaseDecreaseInWorkingCapital","Name":"ifrs-full:AdjustmentsForIncreaseDecreaseInTradeAccountPayable","Weight":"-1","Order":"12","Label":"Adjustments for increase (decrease) in trade accounts payable","Documentation":"Adjustments for increase (decrease) in trade accounts payable to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherOperatingPayables","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_IncreaseDecreaseInWorkingCapital","Name":"ifrs-full:AdjustmentsForIncreaseDecreaseInOtherOperatingPayables","Weight":"-1","Order":"13","Label":"Adjustments for increase (decrease) in other operating payables","Documentation":"Adjustments for increase (decrease) in other operating payables to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital","Weight":"1","Order":"14","Label":"Cash flows from (used in) operations before changes in working capital","Documentation":"The cash inflow (outflow) from the entity's operations before changes in working capital.","PeriodType":"duration","Balance":"0","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_ProfitLoss","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital","Name":"ifrs-full:ProfitLoss","Weight":"1","Order":"15","Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital","Name":"ifrs-full:AdjustmentsForDepreciationAndAmortisationExpense","Weight":"1","Order":"16","Label":"Adjustments for depreciation and amortisation expense","Documentation":"Adjustments for depreciation and amortisation expense to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Depreciation and amortisation expense; Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForSharebasedPayments","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital","Name":"ifrs-full:AdjustmentsForSharebasedPayments","Weight":"1","Order":"17","Label":"Adjustments for share-based payments","Documentation":"Adjustments for share-based payments to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForIncreaseDecreaseInEmployeeBenefitLiabilities","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital","Name":"ifrs-full:AdjustmentsForIncreaseDecreaseInEmployeeBenefitLiabilities","Weight":"1","Order":"18","Label":"Adjustments for increase (decrease) in employee benefit liabilities","Documentation":"Adjustments for increase (decrease) in employee benefit liabilities to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital","Name":"ifrs-full:AdjustmentsForUnrealisedForeignExchangeLossesGains","Weight":"1","Order":"19","Label":"Adjustments for unrealised foreign exchange losses (gains)","Documentation":"Adjustments for unrealised foreign exchange losses (gains) to reconcile profit (loss) to net cash flow from (used in) operating activities. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_OtherAdjustmentsForNoncashItems","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital","Name":"ifrs-full:OtherAdjustmentsForNoncashItems","Weight":"1","Order":"20","Label":"Other adjustments for non-cash items","Documentation":"Adjustments for non-cash items to reconcile profit (loss) to net cash flow from (used in) operating activities that the entity does not separately disclose in the same statement or note. [Refer: Profit (loss)]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:InterestPaidClassifiedAsOperatingActivities","Weight":"-1","Order":"21","Label":"Interest paid, classified as operating activities","Documentation":"The cash outflow for interest paid, classified as operating activities.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities","ParentId":"ConsolidatedStatementOfCashFlow_loc_ifrs-full_CashFlowsFromUsedInOperatingActivities","Name":"ifrs-full:IncomeTaxesPaidRefundClassifiedAsOperatingActivities","Weight":"-1","Order":"22","Label":"Income taxes paid (refund), classified as operating activities","Documentation":"The cash flows from income taxes paid or refunded, classified as operating activities. [Refer: Income taxes paid (refund)]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfChangesInEquity","ParentId":"","Name":"1005 - Statement - Consolidated statement of changes in equity","Weight":"","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_ComprehensiveIncome","ParentId":"http://www.hansabiopharma.com/role/ConsolidatedStatementOfChangesInEquity","Name":"ifrs-full:ComprehensiveIncome","Weight":"","Order":"","Label":"Comprehensive income","Documentation":"The amount of change in equity resulting from transactions and other events, other than those changes resulting from transactions with owners in their capacity as owners.","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_ProfitLoss","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_ComprehensiveIncome","Name":"ifrs-full:ProfitLoss","Weight":"1","Order":"1","Label":"Profit (loss)","Documentation":"The total of income less expenses from continuing and discontinued operations, excluding the components of other comprehensive income. [Refer: Other comprehensive income]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_OtherComprehensiveIncome","ParentId":"ConsolidatedStatementOfChangesInEquity_loc_ifrs-full_ComprehensiveIncome","Name":"ifrs-full:OtherComprehensiveIncome","Weight":"1","Order":"2","Label":"Other comprehensive income","Documentation":"The amount of income and expense (including reclassification adjustments) that is not recognised in profit or loss as required or permitted by IFRSs. [Refer: IFRSs [member]]","PeriodType":"duration","Balance":"credit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0}];
  $scope.periodData = ["2022-12-31","2021-12-31","2020-12-31","2022-01-01 - 2022-12-31","2021-01-01 - 2021-12-31","2021-01-01 - 2021-12-31 (ifrs-full:RetainedEarningsMember)","2021-01-01 - 2021-12-31 (ifrs-full:EquityAttributableToOwnersOfParentMember)","2022-01-01 - 2022-12-31 (ifrs-full:RetainedEarningsMember)","2022-01-01 - 2022-12-31 (ifrs-full:EquityAttributableToOwnersOfParentMember)","2021-01-01 - 2021-12-31 (ifrs-full:ReserveOfExchangeDifferencesOnTranslationMember)","2022-01-01 - 2022-12-31 (ifrs-full:ReserveOfExchangeDifferencesOnTranslationMember)"];
  $scope.periodValueData = [["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[1687406000,1687406000,0,1012808000,1012808000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[82702000,82702000,0,70466000,70466000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,8113000,8113000,0,6432000,6432000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,46866000,46866000,0,28761000,28761000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,27723000,27723000,0,35273000,35273000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[1604704000,1604704000,0,942342000,942342000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,42959000,42959000,0,9712000,9712000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,33278000,33278000,0,20889000,20889000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,31315000,31315000,0,22538000,22538000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-",0,237619000,237619000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,1496179000,1496179000,0,651342000,651342000,0,1139362000,1139362000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,973000,973000,0,242000,242000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[1687407000,1687406000,-1000,1012808000,1012808000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[602911000,602912000,1000,757572000,757573000,1000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,3021541000,3021541000,0,2572925000,2572925000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,2590000,2590000,0,1862000,1862000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,13000,13000,0,127000,127000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,-2471087000,-2471087000,0,-1859953000,-1859953000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,55034000,55034000,0,46335000,46335000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[1084494000,1084495000,1000,255235000,255235000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[819781000,819781000,0,84016000,84016000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,21326000,21326000,0,28491000,28491000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,757000,757000,0,722000,722000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,29500000,29500000,0,47020000,47020000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,5192000,5192000,0,7357000,7357000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,405000,405000,0,426000,426000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,762601000,762601000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[264713000,264713000,0,171219000,171219000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,62476000,62476000,0,53360000,53360000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,18278000,18278000,0,13548000,13548000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,40430000,40430000,0,24961000,24961000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,108747000,108747000,0,72462000,72462000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,7165000,7165000,0,6888000,6888000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,604000,604000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],[0,27013000,27013000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",-611134000,-611134000,0,-548282000,-548282000,0,0,-548282000,-548282000,0,-548282000,-548282000,0,-611134000,-611134000,0,-611134000,-611134000,"-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",-609979000,-609979000,0,-548130000,-548130000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,27248000,27248000,0,67000,67000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,48639000,48639000,0,1219000,1219000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",-588589000,-588588000,1000,-546978000,-546978000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,154525000,154525000,0,33878000,33878000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,38477000,38477000,0,15425000,15425000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,337861000,337861000,0,327269000,327269000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,346244000,346244000,0,230764000,230764000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,20532000,20532000,0,7398000,7398000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,1155000,1155000,0,152000,152000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",-611248000,-611248000,0,-548018000,-548018000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",-611248000,-611248000,0,-548018000,-548018000,0,-548282000,-548282000,0,-548018000,-548018000,0,-611134000,-611134000,0,-611248000,-611248000,0,264000,264000,0,-114000,-114000,0],["-","-","-","-","-","-","-","-","-",-114000,-114000,0,264000,264000,0,"-","-","-",0,264000,264000,"-","-","-",0,-114000,-114000,0,264000,264000,0,-114000,-114000],["-","-","-","-","-","-","-","-","-",0,-114000,-114000,0,264000,264000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",-611134000,-611134000,0,-548282000,-548282000,0,0,-548282000,-548282000,0,-548282000,-548282000,0,-611134000,-611134000,0,-611134000,-611134000,"-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",844261000,844261000,0,-488424000,-488424000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",229313000,229313000,0,-2399000,-2399000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,3331000,3331000,0,2399000,2399000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,232644000,232644000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",1117681000,1117681000,0,-4857000,-4857000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,6888000,6888000,0,4857000,4857000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,728373000,728373000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,396196000,396196000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",-502733000,-502733000,0,-481167000,-481168000,-1000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",-21432000,-21432000,0,-2887000,-2887000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,-33247000,-33247000,0,-9602000,-9602000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,-21897000,-21897000,0,-29756000,-29756000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,9116000,9116000,0,28577000,28577000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,67460000,67460000,0,13668000,13668000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",-527701000,-527701000,0,-483284000,-483284000,0,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",-611134000,-611134000,0,-548282000,-548282000,0,0,-548282000,-548282000,0,-548282000,-548282000,0,-611134000,-611134000,0,-611134000,-611134000,"-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,12054000,12054000,0,8606000,8606000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,58226000,58226000,0,56624000,56624000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-",0,-226000,-226000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,34006000,34006000,0,-6000,-6000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,-20853000,-20853000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,-5101000,-5101000,0,627000,627000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",0,1565000,1565000,0,143000,143000,"-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",-611248000,-611248000,0,-548018000,-548018000,0,-548282000,-548282000,0,-548018000,-548018000,0,-611134000,-611134000,0,-611248000,-611248000,0,264000,264000,0,-114000,-114000,0],["-","-","-","-","-","-","-","-","-",-611134000,-611134000,0,-548282000,-548282000,0,0,-548282000,-548282000,0,-548282000,-548282000,0,-611134000,-611134000,0,-611134000,-611134000,"-","-","-","-","-","-"],["-","-","-","-","-","-","-","-","-",-114000,-114000,0,264000,264000,0,"-","-","-",0,264000,264000,"-","-","-",0,-114000,-114000,0,264000,264000,0,-114000,-114000]];
  $scope.definitionData = [{"Id":"http://www.hansabiopharma.com/role/Anchoring","ParentId":"","Name":"Anchoring","Order":"","Label":"","Documentation":"","PeriodType":"","Balance":"","Type":"","AbstractText":"","Nillable":"","SubstitutionGroup":"","IsReferenceExist":"0","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"Anchoring_CashFlowsFromUsedInInvestingActivities","ParentId":"http://www.hansabiopharma.com/role/Anchoring","Name":"ifrs-full:CashFlowsFromUsedInInvestingActivities","Order":"","Label":"Cash flows from (used in) investing activities","Documentation":"The cash flows from (used in) investing activities, which are the acquisition and disposal of long-term assets and other investments not included in cash equivalents.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"Anchoring_ProceedsFromSaleOfShortTermInvestments","ParentId":"Anchoring_CashFlowsFromUsedInInvestingActivities","Name":"hnsa:ProceedsFromSaleOfShortTermInvestments","Order":"1.0","Label":"Proceeds From Sale Of Short Term Investments","Documentation":"Proceeds from sale of short-term investments.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"Anchoring_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges","ParentId":"http://www.hansabiopharma.com/role/Anchoring","Name":"ifrs-full:IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges","Order":"","Label":"Increase (decrease) in cash and cash equivalents before effect of exchange rate changes","Documentation":"The increase (decrease) in cash and cash equivalents before the effect of exchange rate changes on cash and cash equivalents held in foreign currencies. [Refer: Cash and cash equivalents; Effect of exchange rate changes on cash and cash equivalents]","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"0","Nillable":"TRUE","SubstitutionGroup":"xbrli:item","IsReferenceExist":"1","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0},{"Id":"Anchoring_LongTermLoanTransactionCost","ParentId":"Anchoring_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges","Name":"hnsa:LongTermLoanTransactionCost","Order":"1.0","Label":"long Term Loan Transaction Cost","Documentation":"Long term loan transaction cost.","PeriodType":"duration","Balance":"debit","Type":"xbrli:monetaryItemType","AbstractText":"false","Nillable":"true","SubstitutionGroup":"xbrli:item","IsReferenceExist":"0","SecondaryLabel":"","SecondaryDocumentation":"","IsExtendedElement":0}];
  // $scope.pageData = <!PAGE DATA!>;
  $scope.referenceData = [{"ElementName":"DividendsProposedOrDeclaredBeforeFinancialStatementsAuthorisedForIssueButNotRecognisedAsDistributionToOwners","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"137","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_137_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_o&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"56","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_56&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_o&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"56","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_56&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxExpenseContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"61","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_61&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"61","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_61&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanOneYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"61","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_61_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"103","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_103&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"102","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_102&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionsForEmployeeBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EmployeeBenefitsExpense","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"102","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_102&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EmployeeBenefitsExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"99","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_99&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EmployeeBenefitsExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"104","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_104&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Goodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationAndAmortisationExpense","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"102","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_102&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationAndAmortisationExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"99","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_99&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationAndAmortisationExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"104","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_104&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"66","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_66&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Assets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossBeforeTax","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"103","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_103&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossBeforeTax","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"102","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_102&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfShareCapitalReservesAndOtherEquityInterestExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNotesAndOtherExplanatoryInformationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReservesAndOtherEquityInterestExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityAndLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"51","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_51&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Equity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Equity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DistributionCosts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"103","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_103&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DistributionCosts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"99","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_99&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossProfit","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"103","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_103&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherExpenseByFunction","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"103","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_103&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherExpenseByFunction","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"99","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_99&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIncome","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"103","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_103&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIncome","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"102","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_102&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdministrativeExpense","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"103","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_103&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdministrativeExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"99","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_99&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostOfSales","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"99","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_99&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostOfSales","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"103","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_103&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherExpenseByNature","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"102","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_102&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherExpenseByNature","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"99","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_99&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInInventoriesOfFinishedGoodsAndWorkInProgress","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"102","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_102&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInInventoriesOfFinishedGoodsAndWorkInProgress","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"99","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_99&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RawMaterialsAndConsumablesUsed","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"102","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_102&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RawMaterialsAndConsumablesUsed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"99","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_99&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"99","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_99&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherShorttermProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentProvisionsForEmployeeBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherLongtermProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentProvisionsForEmployeeBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersAndOtherChangesEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LegalFormOfEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_138_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_138_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DomicileOfEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_138_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AddressOfRegisteredOfficeOfEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_138_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPresentationCurrency","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"51","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_51_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfUltimateParentOfGroup","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_138_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfParentEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_138_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_h&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_h&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherCurrentReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_h&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherCurrentReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherContributionsByOwners","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d_iii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IssueOfEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d_iii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherDistributionsToOwners","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d_iii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncomeAttributableToNoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncomeAttributableToOwnersOfParent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaid","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_107&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementOfIFRSCompliance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfMeasurementBasesUsedInPreparingFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfOtherAccountingPoliciesRelevantToUnderstandingOfFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfManagementJudgementsInApplyingEntitysAccountingPoliciesWithSignificantEffectOnRecognisedAmounts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_122&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAssumptionAboutFutureWithSignificantRiskOfResultingInMaterialAdjustments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_125&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAssumptionAboutFutureWithSignificantRiskOfResultingInMaterialAdjustments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=14&code=ifrs-tx-2021-en-r&anchor=para_10&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_138_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfDepartureFromIFRS","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_20_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfDepartureFromIFRS","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_20_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ManagementConclusionOnFairPresentationAsConsequenceOfDeparture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_20_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfUncertaintiesOfEntitysAbilityToContinueAsGoingConcern","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationWhyFinancialStatementsNotPreparedOnGoingConcernBasis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonForUsingLongerOrShorterReportingPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_36_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyFinancialStatementsAreNotEntirelyComparable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_36_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonForReclassificationOrChangesInPresentation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"41","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_41_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfReclassificationOrChangesInPresentation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"41","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_41_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyReclassificationOfComparativeAmountsIsImpracticable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_42_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LevelOfRoundingUsedInFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"51","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_51_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfReportingEntityOrOtherMeansOfIdentification","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"51","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_51_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfChangeInNameOfReportingEntityOrOtherMeansOfIdentificationFromEndOfPrecedingReportingPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"51","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_51_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"51","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_51_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_q&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SharePremium","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityAttributableToOwnersOfParent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_r&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetainedEarnings","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherReserves","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TreasuryShares","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TreasuryShares","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"32","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=32&code=ifrs-tx-2021-en-r&anchor=para_34&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherEquityInterest","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IssuedCapital","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Inventories","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Inventories","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"68","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_68&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNoncurrentFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_m&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNoncurrentFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_m&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_m&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndCashEquivalents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPayables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_k&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherPayables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_k&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherCurrentPayables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_k&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTaxLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_n&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTaxAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_n&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"66","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_66&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"69","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_69&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"69","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_69&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfClassesOfShareCapitalExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndPurposeOfReservesWithinEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfOtherEquityInterest","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_80&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PeriodCoveredByFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"51","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_51_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceCosts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherGainsLosses","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"102","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_102&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherGainsLosses","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"103","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_103&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SharesInEntityHeldByEntityOrByItsSubsidiariesOrAssociates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_a_vi&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfSharesAuthorised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_a_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfSharesIssuedButNotFullyPaid","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_a_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfSharesIssuedAndFullyPaid","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_a_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ParValuePerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_a_iii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RightsPreferencesAndRestrictionsAttachingToClassOfShareCapital","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_a_v&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SharesReservedForIssueUnderOptionsAndContractsForSaleOfShares","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_a_vii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementOfChangesInEquityTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComponentsOfEquityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityAttributableToOwnersOfParentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IssuedCapitalMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SharePremiumMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TreasurySharesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherEquityInterestMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetainedEarningsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncontrollingInterestsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfClassesOfShareCapitalTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfShareCapitalAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfShareCapitalMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReservesWithinEquityTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReservesWithinEquityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfSharesOutstanding","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_a_iv&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactThatSharesHaveNoParValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_a_iii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_l&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_l&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Provisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_l&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInOwnershipInterestsInSubsidiariesThatDoNotResultInLossOfControl","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d_iii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Accruals","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccrualsClassifiedAsCurrent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccrualsClassifiedAsNoncurrent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPayablesToRelatedParties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPayablesToTradeSuppliers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentReceivablesDueFromRelatedParties","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherCurrentPayablesToRelatedParties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherCurrentPayablesToTradeSuppliers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherCurrentPayablesToTradeSuppliers","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_70&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherCurrentReceivablesDueFromRelatedParties","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherPayablesToRelatedParties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherPayablesToTradeSuppliers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherReceivablesDueFromRelatedParties","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureOfRequirementInIFRSAndConclusionWhyRequirementIsInConflictWithFairPresentation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_23_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAdjustmentsThatWouldBeNecessaryToAchieveFairPresentation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_23_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusiness","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_138_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactAndBasisForPreparationOfFinancialStatementsWhenNotGoingConcernBasis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Liabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTaxAssetsNoncurrent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_n&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTaxLiabilitiesNoncurrent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_n&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughSharebasedPaymentTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d_iii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTaxAssetsCurrent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_n&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTaxLiabilitiesCurrent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_n&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherReservesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherReservesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReclassificationsOrChangesInPresentationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"41","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_41&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReclassificationsOrChangesInPresentationTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"41","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_41&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassifiedItemsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"41","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_41&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassifiedItemsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"41","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_41&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountOfReclassificationsOrChangesInPresentation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"41","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_41_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnExchangeDifferencesOnTranslationBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnExchangeDifferencesOnTranslationNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermMiscellaneousOtherProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermMiscellaneousOtherProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MiscellaneousOtherProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_p&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsAndLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_125&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsAndLiabilitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_125&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentInventories","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InventoriesTotal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InventoryWritedown2011","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfInventoryWritedown","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAssetsAndLiabilitiesWithSignificantRiskOfMaterialAdjustmentExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_125&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfAssetsWithSignificantRiskOfMaterialAdjustmentsWithinNextFinancialYear","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_125_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfLiabilitiesWithSignificantRiskOfMaterialAdjustmentsWithinNextFinancialYear","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_125_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsWithSignificantRiskOfMaterialAdjustmentsWithinNextFinancialYear","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_125_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesWithSignificantRiskOfMaterialAdjustmentsWithinNextFinancialYear","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_125_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestatedMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_20_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"61","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_61_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAssetsAndLiabilitiesWithSignificantRiskOfMaterialAdjustmentTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_125&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PreviouslyStatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetrospectiveApplicationAndRetrospectiveRestatementAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToChangesInAccountingPolicyAndCorrectionsOfPriorPeriodErrorsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInNumberOfSharesOutstanding","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_a_iv&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LengthOfLifeOfLimitedLifeEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_138_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CumulativePreferenceDividendsNotRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"137","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_137_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFinancialEffectOfDepartureFromIFRS","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_20_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfNecessaryAdjustmentToProvideComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_42_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_j&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherReversalsOfProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnLitigationSettlements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseOfRestructuringActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnDisposalsOfInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnDisposalsOfPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfObjectivesPoliciesAndProcessesForManagingCapitalExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_134&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossArisingFromDifferenceBetweenCarryingAmountOfFinancialLiabilityExtinguishedAndConsiderationPaid","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=19&code=ifrs-tx-2021-en-r&anchor=para_11&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInDividendsPayableThroughChangeInFairValueOfNoncashAssetsHeldForDistributionToOwners","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=17&code=ifrs-tx-2021-en-r&anchor=para_16_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncashAssetsDeclaredForDistributionToOwnersBeforeFinancialStatementsAuthorisedForIssue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=17&code=ifrs-tx-2021-en-r&anchor=para_17_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPayable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=17&code=ifrs-tx-2021-en-r&anchor=para_16_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfNoncashAssetsHeldForDistributionToOwnersDeclaredBeforeFinancialStatementsAuthorisedForIssue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=17&code=ifrs-tx-2021-en-r&anchor=para_17_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncashAssetsDeclaredForDistributionToOwnersBeforeFinancialStatementsAuthorisedForIssueAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=17&code=ifrs-tx-2021-en-r&anchor=para_17_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"QualitativeInformationAboutEntitysObjectivesPoliciesAndProcessesForManagingCapital","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_135_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SummaryOfQuantitativeDataAboutWhatEntityManagesAsCapital","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInEntitysObjectivesPoliciesAndProcessesForManagingCapitalAndWhatEntityManagesAsCapital","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_135_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationWhetherEntityCompliedWithAnyExternallyImposedCapitalRequirements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_135_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutConsequencesOfNoncomplianceWithExternallyImposedCapitalRequirements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_135_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SummaryQuantitativeDataAboutPuttableFinancialInstrumentsClassifiedAsEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"136A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_136A_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutObjectivesPoliciesAndProcessesForManagingEntitysObligationToRepurchaseOrRedeemPuttableFinancialInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"136A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_136A_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedCashOutflowOnRedemptionOrRepurchaseOfPuttableFinancialInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"136A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_136A_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutHowExpectedCashOutflowOnRedemptionOrRepurchaseWasDetermined","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"136A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_136A_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfObjectivesPoliciesAndProcessesForManagingCapitalTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"136","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_136&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"86","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2021-en-r&anchor=para_86_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"86","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2021-en-r&anchor=para_86_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgesOfNetInvestmentInForeignOperationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"86","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2021-en-r&anchor=para_86_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnDisposalsOfOtherNoncurrentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityReclassifiedIntoFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_80A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"102","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2021-en-r&anchor=para_102&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxHedgesOfNetInvestmentsInForeignOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"102","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2021-en-r&anchor=para_102_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxHedgesOfNetInvestmentsInForeignOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"102","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2021-en-r&anchor=para_102_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"102","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2021-en-r&anchor=para_102&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAnalysisOfOtherComprehensiveIncomeByItemExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromOperatingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"32","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=32&code=ifrs-tx-2021-en-r&anchor=para_IE33&doctype=Illustrative%20Examples","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsClassifiedAsExpense","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"32","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"40","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=32&code=ifrs-tx-2021-en-r&anchor=para_40&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DifferenceBetweenCarryingAmountOfDividendsPayableAndCarryingAmountOfNoncashAssetsDistributed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"15","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=17&code=ifrs-tx-2021-en-r&anchor=para_15&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"102","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2021-en-r&anchor=para_102_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"102","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2021-en-r&anchor=para_102_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTradeReceivables","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTradeReceivables","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"68","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_68&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossArisingFromDerecognitionOfFinancialAssetsMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82_aa&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsProposedOrDeclaredBeforeFinancialStatementsAuthorisedForIssueButNotRecognisedAsDistributionToOwnersPerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"137","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_137_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WritedownsReversalsOfPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WritedownsReversalsOfInventories","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAmountsToBeRecoveredOrSettledAfterTwelveMonthsForClassesOfAssetsAndLiabilitiesThatContainAmountsToBeRecoveredOrSettledBothNoMoreAndMoreThanTwelveMonthsAfterReportingDateExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"61","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_61&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAmountsToBeRecoveredOrSettledAfterTwelveMonthsForClassesOfAssetsAndLiabilitiesThatContainAmountsToBeRecoveredOrSettledBothNoMoreAndMoreThanTwelveMonthsAfterReportingDateTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"61","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_61&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseByNature","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"99","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_99&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAssetsOtherThanAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"66","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_66&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsRecognisedAsDistributionsToOwnersPerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_107&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentLiabilitiesOtherThanLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"69","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_69&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTermsOfSharesReservedForIssueUnderOptionsAndContractsForSaleOfShares","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_a_vii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepartureFromRequirementOfIFRSAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_20_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToDepartureFromRequirementOfIFRSMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_20_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsOnLitigationSettlements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LossesOnLitigationSettlements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfProvisionsForCostOfRestructuring","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsOnDisposalsOfInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LossesOnDisposalsOfInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsOnDisposalsOfPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LossesOnDisposalsOfPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalRequirementsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"136","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_136&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalRequirementsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"136","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_136&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesReclassifiedIntoEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_80A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTimingAndReasonOfReclassificationBetweenFinancialLiabilitiesAndEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_80A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAnalysisOfOtherComprehensiveIncomeByItemTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentTradeReceivables","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPrepayments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNoncurrentReceivables","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPrepayments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeReceivables","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentReceivables","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Prepayments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherReceivables","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReportedIfInComplianceWithRequirementOfIFRSMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_20_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionalPaidinCapitalMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfGoodwillExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatutoryReserveMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalReserveMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalRedemptionReserveMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MergerReserveMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MiscellaneousOtherReservesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfEquityComponentOfConvertibleInstrumentsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedOtherComprehensiveIncomeMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIntangibleAssetsAndGoodwillExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfProvisionsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIssuedCapitalExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfBorrowingsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCommitmentsAndContingentLiabilitiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCommitmentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDerivativeFinancialInstrumentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDeferredTaxesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfExpensesByNatureExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfExpensesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherOperatingIncomeExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherOperatingIncomeExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherOperatingExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfGeneralAndAdministrativeExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfLeasePrepaymentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDividendsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinanceIncomeExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinanceIncomeExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinanceCostExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCashAndCashEquivalentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutEmployeesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherCurrentAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherNoncurrentAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherCurrentLiabilitiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherNoncurrentLiabilitiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherLiabilitiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDiscontinuedOperationsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInvestmentsAccountedForUsingEquityMethodExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTradeAndOtherReceivablesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTradeAndOtherPayablesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfResearchAndDevelopmentExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAuditorsRemunerationExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutKeyManagementPersonnelExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTaxReceivablesAndPayablesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAuthorisationOfFinancialStatementsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTreasurySharesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDepreciationAndAmortisationExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterestExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfPrepaymentsAndOtherAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAccruedExpensesAndOtherLiabilitiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfGoingConcernExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAccountingJudgementsAndEstimatesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethodExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDeferredIncomeExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRestrictedCashAndCashEquivalentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNoncontrollingInterestsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfProfitLossFromOperatingActivitiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCostOfSalesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfBasisOfConsolidationExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfChangesInAccountingPoliciesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInvestmentContractsLiabilitiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDeferredAcquisitionCostsArisingFromInsuranceContractsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReinsuranceExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfClaimsAndBenefitsPaidExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNetAssetValueAttributableToUnitholdersExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInsurancePremiumRevenueExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSubordinatedLiabilitiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialInstrumentsAtFairValueThroughProfitOrLossExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialInstrumentsDesignatedAtFairValueThroughProfitOrLossExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialRiskManagementExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfLoansAndAdvancesToCustomersExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfLoansAndAdvancesToBanksExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueOfFinancialInstrumentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsHeldForTradingExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialLiabilitiesHeldForTradingExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialInstrumentsHeldForTradingExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFeeAndCommissionIncomeExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDepositsFromCustomersExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTradingIncomeExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCollateralExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCashAndBankBalancesAtCentralBanksExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCreditRiskExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMarketRiskExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfLiquidityRiskExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDebtSecuritiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDepositsFromBanksExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterestIncomeExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReclassificationOfFinancialInstrumentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterestIncomeExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAllowanceForCreditLossesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRepurchaseAndReverseRepurchaseAgreementsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTreasuryShareTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAdditionalInformationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentReceivablesFromTaxesOtherThanIncomeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToMeasureFairValueOfNoncashAssetsDeclaredForDistributionToOwnersBeforeFinancialStatementsAuthorisedForIssue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=17&code=ifrs-tx-2021-en-r&anchor=para_17_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentReceivablesFromTaxesOtherThanIncomeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceivablesFromTaxesOtherThanIncomeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentValueAddedTaxReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentValueAddedTaxReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ValueAddedTaxReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPayablesOnSocialSecurityAndTaxesOtherThanIncomeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPayablesOnSocialSecurityAndTaxesOtherThanIncomeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PayablesOnSocialSecurityAndTaxesOtherThanIncomeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentValueAddedTaxPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentValueAddedTaxPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ValueAddedTaxPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermEmployeeBenefitsAccruals","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_81A_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncomeAttributableToNoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81B","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_81B_b_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncomeAttributableToOwnersOfParent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81B","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_81B_b_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_81A_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossAttributableToNoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81B","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_81B_a_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossAttributableToOwnersOfParent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81B","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_81B_a_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82_ea&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfBreakdownOfAssetsAndLiabilitiesAggregatedIntoSingleLineInvestmentBalanceTransitionFromProportionateConsolidationToEquityMethodExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"11","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C5","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=11&code=ifrs-tx-2021-en-r&anchor=para_C5&doctype=Appendix&subtype=C","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationBetweenInvestmentDerecognisedAndAssetsAndLiabilitiesRecognisedTransitionFromAccountingForInvestmentAtCostOrInAccordanceWithIFRS9ToAccountingForAssetsAndLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"11","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=11&code=ifrs-tx-2021-en-r&anchor=para_C12_b&doctype=Appendix&subtype=C","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationBetweenInvestmentDerecognisedAndAssetsAndLiabilitiesRecognisedTransitionFromEquityMethodToAccountingForAssetsAndLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"11","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=11&code=ifrs-tx-2021-en-r&anchor=para_C10&doctype=Appendix&subtype=C","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=10&code=ifrs-tx-2021-en-r&anchor=para_22&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToComponentsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToExchangeDifferencesOnTranslationOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangesInRevaluationSurplusOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToHedgesOfNetInvestmentsInForeignOperationsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfRemeasurementsOfDefinedBenefitPlansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevaluationSurplusMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetainedEarningsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfExchangeDifferencesOnTranslationMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfCashFlowHedgesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfSharebasedPaymentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsInAssociatesAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAssetsLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesDueToCentralBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RecognisedLiabilitiesDefinedBenefitPlan","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RecognisedAssetsDefinedBenefitPlan","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNonfinancialLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentNonfinancialLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNonfinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNoncurrentNonfinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentNonfinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNoncurrentNonfinancialLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPortionOfLongtermBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Borrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentLeasePrepayments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentRecognisedAssetsDefinedBenefitPlan","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentRestrictedCashAndCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentDerivativeFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentRestrictedCashAndCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentDerivativeFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPrepaymentsAndOtherCurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentInvestments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentRecognisedAssetsDefinedBenefitPlan","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestrictedCashAndCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativeFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoansAndAdvancesToBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoansAndAdvancesToCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndBankBalancesAtCentralBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReverseRepurchaseAgreementsAndCashCollateralOnSecuritiesBorrowed","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsForRiskOfPolicyholders","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentDerivativeFinancialLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentRecognisedLiabilitiesDefinedBenefitPlan","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentGovernmentGrants","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNoncurrentLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNoncurrentPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAdvances","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentDividendPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentDerivativeFinancialLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentRecognisedLiabilitiesDefinedBenefitPlan","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAccruedExpensesAndOtherCurrentLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAdvances","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentDividendPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentGovernmentGrants","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativeFinancialLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepositsFromBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepositsFromCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SubordinatedLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DebtSecurities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RepurchaseAgreementsAndCashCollateralOnSecuritiesLent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentContractsLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalReserve","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfEquityComponentOfConvertibleInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedOtherComprehensiveIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalRedemptionReserve","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MergerReserve","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatutoryReserve","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionalPaidinCapital","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Advances","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ItemsInCourseOfCollectionFromOtherBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ItemsInCourseOfTransmissionToOtherBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsInJointVenturesAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermDepositsNotClassifiedAsCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermDeposits","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityInstrumentsHeld","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DebtInstrumentsHeld","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnCashFlowHedgesBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxCashFlowHedges","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxGainsLossesOnRevaluation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxHedgesOfNetInvestmentsInForeignOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnExchangeDifferencesOnTranslationBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnCashFlowHedgesNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxCashFlowHedges","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxHedgesOfNetInvestmentsInForeignOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnExchangeDifferencesOnTranslationNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_IG6&doctype=Implementation%20Guidance","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_IG6&doctype=Implementation%20Guidance","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherWorkPerformedByEntityAndCapitalised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_IG6&doctype=Implementation%20Guidance","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetainedEarnings","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_IG6&doctype=Implementation%20Guidance","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxCashFlowHedges","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxCashFlowHedges","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxGainsLossesOnRevaluation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxGainsLossesOnRevaluation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfRemeasurementsOfDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfCashFlowHedges","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfSharebasedPayments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsOnChangeInFairValueOfDerivatives","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LossesOnChangeInFairValueOfDerivatives","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RoyaltyExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ServicesExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RentalExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIncomeExpenseFromSubsidiariesJointlyControlledEntitiesAndAssociates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeCost","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RepairsAndMaintenanceExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherOperatingIncomeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DistributionAndAdministrativeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueAndOperatingIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OperatingExpenseExcludingCostOfSales","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SalesAndMarketingExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxExpenseOtherThanIncomeTaxExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnChangeInFairValueOfDerivatives","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherFinanceIncomeCost","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FeeAndCommissionIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FeeAndCommissionExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FeeAndCommissionIncomeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradingIncomeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInAccumulatedDeferredTaxRecognisedInOtherComprehensiveIncomeDueToChangeInTaxRate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeAttributableToOwnersOfParent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeAttributableToNoncontrollingInterests","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIndividuallyImmaterialComponentsOfOtherComprehensiveIncomeNetOfTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIndividuallyImmaterialComponentsOfOtherComprehensiveIncomeBeforeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToOtherIndividuallyImmaterialComponentsOfOtherComprehensiveIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughExerciseOfWarrantsEquity","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsRecognisedAsDistributionsToNoncontrollingInterests","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangeInEquityOfSubsidiaries","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughAcquisitionOfSubsidiary","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughDisposalOfSubsidiary","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarnings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransferToStatutoryReserve","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughAppropriationOfRetainedEarnings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughExerciseOfOptions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughConversionOfConvertibleInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IssueOfConvertibleInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseIncreaseThroughTaxOnSharebasedPaymentTransactions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransactionsWithOwners","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfTreasuryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SaleOrIssueOfTreasuryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CancellationOfTreasuryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReductionOfIssuedCapital","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareIssueRelatedCost","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfSharesIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDecommissioningRestorationAndRehabilitationProvisionsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForMiningRightsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForMiningAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForStrippingCostsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForOilAndGasAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForEmployeeBenefitsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForSegmentReportingExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForForeignCurrencyTranslationExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForPropertyPlantAndEquipmentExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForIntangibleAssetsOtherThanGoodwillExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForIntangibleAssetsAndGoodwillExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForInvestmentPropertyExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForConstructionInProgressExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForBusinessCombinationsAndGoodwillExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForGoodwillExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForBusinessCombinationsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForEarningsPerShareExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForIncomeTaxExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForLeasesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForTradeAndOtherReceivablesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForTradeAndOtherPayablesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForSubsidiariesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForTransactionsWithRelatedPartiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForIssuedCapitalExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForTreasurySharesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDividendsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForProvisionsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForImpairmentOfAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForImpairmentOfFinancialAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForImpairmentOfNonfinancialAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForBorrowingsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForBorrowingCostsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForResearchAndDevelopmentExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFinancialAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFinancialLiabilitiesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFinancialInstrumentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDerivativeFinancialInstrumentsAndHedgingExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDerivativeFinancialInstrumentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForHedgingExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForNoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDiscontinuedOperationsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForNoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleAndDiscontinuedOperationsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethodExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForInvestmentInAssociatesAndJointVenturesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForRestrictedCashAndCashEquivalentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForExpensesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFinanceIncomeAndCostsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFinanceCostsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForSharebasedPaymentTransactionsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFairValueMeasurementExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForCashFlowsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDepreciationExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFunctionalCurrencyExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForTransactionsWithNoncontrollingInterestsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForEnvironmentRelatedExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForBiologicalAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForReinsuranceExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDeferredAcquisitionCostsArisingFromInsuranceContractsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFinancialInstrumentsAtFairValueThroughProfitOrLossExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFinancialGuaranteesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForOffsettingOfFinancialInstrumentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDerecognitionOfFinancialInstrumentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFeeAndCommissionIncomeAndExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForRepurchaseAndReverseRepurchaseAgreementsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForCollateralExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForInterestIncomeAndExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForTradingIncomeAndExpenseExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForReclassificationOfFinancialInstrumentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForInvestmentInAssociates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForInvestmentsInJointVentures","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForTerminationBenefits","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FuelAndEnergyExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransportationExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsAndNotLaterThanTenYearsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTenYearsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DirectorsRemunerationExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfessionalFeesExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualCapitalCommitments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AuthorisedCapitalCommitmentsButNotContractedFor","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalCommitments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanTwoYearsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoYearsAndNotLaterThanThreeYearsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsAndNotLaterThanFourYearsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFourYearsAndNotLaterThanFiveYearsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoYearsAndNotLaterThanFiveYearsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPortionOfNoncurrentLoansReceived","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentLoansReceivedAndCurrentPortionOfNoncurrentLoansReceived","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoansReceived","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPortionOfNoncurrentSecuredBankLoansReceived","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentSecuredBankLoansReceivedAndCurrentPortionOfNoncurrentSecuredBankLoansReceived","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SecuredBankLoansReceived","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPortionOfNoncurrentUnsecuredBankLoansReceived","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentUnsecuredBankLoansReceivedAndCurrentPortionOfNoncurrentUnsecuredBankLoansReceived","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnsecuredBankLoansReceived","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPortionOfNoncurrentBondsIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentBondsIssuedAndCurrentPortionOfNoncurrentBondsIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BondsIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPortionOfOtherNoncurrentBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentBorrowingsAndCurrentPortionOfOtherNoncurrentBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPortionOfNoncurrentNotesAndDebenturesIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentNotesAndDebenturesIssuedAndCurrentPortionOfNoncurrentNotesAndDebenturesIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotesAndDebenturesIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPortionOfNoncurrentCommercialPapersIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentCommercialPapersIssuedAndCurrentPortionOfNoncurrentCommercialPapersIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommercialPapersIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAdvancesToSuppliers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPrepaidExpenses","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentInterestReceivable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentInterestReceivable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestReceivable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentInterestPayable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentInterestPayable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestPayable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AuditorsRemuneration","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AuditorsRemunerationForAuditServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AuditorsRemunerationForTaxServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AuditorsRemunerationForOtherServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnDisposalsOfNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsOnDisposalsOfNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LossesOnDisposalsOfNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MiscellaneousOtherOperatingIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MiscellaneousOtherOperatingExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RentalIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromReimbursementsUnderInsurancePolicies","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherFinanceCost","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherFinanceIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnCashAndCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnBankLoansAndOverdrafts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnBonds","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseDueToUnwindingOfDiscountOnProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInNumberOfOrdinarySharesIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmortisationExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClosingForeignExchangeRate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AverageForeignExchangeRate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfEmployees","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AverageNumberOfEmployees","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseFromSharebasedPaymentTransactionsWithEmployees","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseFromCashsettledSharebasedPaymentTransactionsInWhichGoodsOrServicesReceivedDidNotQualifyForRecognitionAsAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherDebtInstrumentsHeld","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GovernmentDebtInstrumentsHeld","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CorporateDebtInstrumentsHeld","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BankDebtInstrumentsHeld","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetbackedDebtInstrumentsHeld","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsumerLoans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CorporateLoans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BankBalancesAtCentralBanksOtherThanMandatoryReserveDeposits","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MandatoryReserveDepositsAtCentralBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DatedSubordinatedLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UndatedSubordinatedLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BalancesOnCurrentAccountsFromCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BalancesOnTermDepositsFromCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BalancesOnDemandDepositsFromCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BalancesOnOtherDepositsFromCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OptionContractMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FuturesContractMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SwapContractMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ForwardContractMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnDepositsFromBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnDepositsFromCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnDebtInstrumentsIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnOtherFinancialLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnFinancialLiabilitiesHeldForTrading","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnFinancialLiabilitiesDesignatedAtFairValueThroughProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnRepurchaseAgreementsAndCashCollateralOnSecuritiesLent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnCashAndBankBalancesAtCentralBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnLoansAndAdvancesToBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnLoansAndAdvancesToCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnDebtInstrumentsHeld","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnOtherFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnFinancialAssetsHeldForTrading","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnFinancialAssetsDesignatedAtFairValueThroughProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnReverseRepurchaseAgreementsAndCashCollateralOnSecuritiesBorrowed","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BrokerageFeeIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PortfolioAndOtherManagementFeeIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditrelatedFeeAndCommissionIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherFeeAndCommissionIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BrokerageFeeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherFeeAndCommissionExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradingIncomeExpenseOnForeignExchangeContracts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradingIncomeExpenseOnDerivativeFinancialInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradingIncomeExpenseOnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradingIncomeExpenseOnDebtInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherTradingIncomeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermEmployeeBenefitsExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CorporateLoansMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneMonthAndNotLaterThanTwoMonthsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoMonthsAndNotLaterThanThreeMonthsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanSixMonthsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotionalAmount","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OnDemandMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossBeforeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_IG6&doctype=Implementation%20Guidance","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossBeforeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_IG6&doctype=Implementation%20Guidance","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_81A_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_81A_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatEntityDoesNotHaveLegalOrConstructiveObligationToNegativeNetAssetsTransitionFromProportionateConsolidationToEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"11","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=11&code=ifrs-tx-2021-en-r&anchor=para_C4&doctype=Appendix&subtype=C","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CumulativeUnrecognisedShareOfLossesOfJointVenturesTransitionFromProportionateConsolidationToEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"11","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=11&code=ifrs-tx-2021-en-r&anchor=para_C4&doctype=Appendix&subtype=C","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatUnadjustedComparativeInformationHasBeenPreparedOnDifferentBasis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C6B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=10&code=ifrs-tx-2021-en-r&anchor=para_C6B&doctype=Appendix&subtype=C","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfBasisOfPreparationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C6B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=10&code=ifrs-tx-2021-en-r&anchor=para_C6B&doctype=Appendix&subtype=C","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IdentificationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C6B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=10&code=ifrs-tx-2021-en-r&anchor=para_C6B&doctype=Appendix&subtype=C","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OrdinarySharesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PreferenceSharesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_79_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RawMaterials","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Merchandise","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProductionSupplies","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WorkInProgress","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinishedGoods","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsRecognisedAsDistributionsToOwnersOfParent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsRecognisedAsDistributionsToOwnersOfParentRelatingToPriorYears","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsRecognisedAsDistributionsToOwnersOfParentRelatingToCurrentYear","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnLiabilitiesDueToCentralBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GovernmentGrants","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOfEndOfReportingPeriod2013","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"51","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_51_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromFinesAndPenalties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForCustomerAcquisitionCostsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceLeaseReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinanceLeaseReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinanceLeaseReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsOnDisposalsOfInvestmentProperties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LossesOnDisposalsOfInvestmentProperties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnDisposalsOfInvestmentProperties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyServiceChargeIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyServiceChargeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyServiceChargeIncomeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyManagementExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyDevelopmentAndProjectManagementIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyDevelopmentAndProjectManagementExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RentalIncomeFromInvestmentPropertyNetOfDirectOperatingExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BankAndSimilarCharges","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyTaxExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossTradeReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLossTradeReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTradeReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyIntendedForSaleInOrdinaryCourseOfBusiness","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentDepositsFromCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentDepositsFromCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RentDeferredIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RentDeferredIncomeClassifiedAsCurrent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RentDeferredIncomeClassifiedAsNoncurrent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetentionPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentRetentionPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentRetentionPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceivablesFromSaleOfProperties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceivablesFromRentalOfProperties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentReceivablesFromSaleOfProperties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentReceivablesFromRentalOfProperties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentReceivablesFromSaleOfProperties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentReceivablesFromRentalOfProperties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingCostsIncurred","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingCostsRecognisedAsExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestCostsCapitalised","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestCostsIncurred","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsAndNotLaterThanFourMonthsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFourMonthsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeReceivablesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentPropertyUnderConstructionOrDevelopment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentPropertyCompleted","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfInvestmentPropertyAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentPropertyUnderConstructionOrDevelopmentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentPropertyCompletedMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentPropertyMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForRecognitionOfRevenue","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRevenueExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_10_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherRevenue","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromConstructionContracts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromDividends","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromInterest","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfDataServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfInterconnectionServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfInternetAndDataServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfInternetServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfLandLineTelephoneServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfMobileTelephoneServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfOtherTelecommunicationServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfTelecommunicationServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfTelephoneServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRoyalties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfCopper","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfCrudeOil","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfGold","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfGoods","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfNaturalGas","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfOilAndGasProducts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfPetroleumAndPetrochemicalProducts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfSilver","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfTelecommunicationEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LicenceFeeIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SellingGeneralAndAdministrativeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForTaxesOtherThanIncomeTaxExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForWarrantsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfTransportServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfPassengerTransportServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfCargoAndMailTransportServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OperatingExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FuelExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EnergyExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnDeposits","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForCustomerLoyaltyProgrammesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForRepairsAndMaintenanceExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDeferredIncomeTaxExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanThreeMonthsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillNotBeReclassifiedToProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillNotBeReclassifiedToProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSummaryOfSignificantAccountingPoliciesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForEmissionRightsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfInformationTechnologyServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfInformationTechnologyMaintenanceAndSupportServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfInformationTechnologyConsultingServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfAdvertisingServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfPrintingServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MediaProductionExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProgrammingAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentProgrammingAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentProgrammingAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForProgrammingAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfElectricity","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EnergyTransmissionCharges","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PayablesForPurchaseOfEnergy","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPayablesForPurchaseOfEnergy","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPayablesForPurchaseOfEnergy","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForRegulatoryDeferralAccountsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForServiceConcessionArrangementsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TravelExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommunicationExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DonationsAndSubsidiesExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostOfMerchandiseSold","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostOfPurchasedEnergySold","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PayablesForPurchaseOfNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPayablesForPurchaseOfNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPayablesForPurchaseOfNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForContingentLiabilitiesAndContingentAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrencySwapContractMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateSwapContractMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfPublications","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CirculationRevenue","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SubscriptionCirculationRevenue","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NonsubscriptionCirculationRevenue","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfBooks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfProfitLossOfAssociatesAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfProfitLossOfJointVenturesAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsLessCurrentLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfAgriculturalProduce","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfSugar","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfAlcoholAndAlcoholicDrinks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromHotelOperations","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRoomOccupancyServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfFoodAndBeverage","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfGamingServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostOfSalesHotelOperations","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostOfSalesRoomOccupancyServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostOfSalesFoodAndBeverage","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FranchiseFeeIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForFranchiseFeesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForDiscountsAndRebatesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UtilitiesExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SellingExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GeneralAndAdministrativeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdvertisingExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceivablesDueFromAssociates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentReceivablesDueFromAssociates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentReceivablesDueFromAssociates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceivablesDueFromJointVentures","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentReceivablesDueFromJointVentures","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentReceivablesDueFromJointVentures","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentExciseTaxPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExciseTaxPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentExciseTaxPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentDebtInstrumentsIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentDebtInstrumentsIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetDebt","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForExceptionalItemsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossLoansAndAdvances","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLossLoansAndAdvances","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossLoansAndAdvances","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainOnRecoveryOfLoansAndAdvancesPreviouslyWrittenOff","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BankAcceptanceAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BankAcceptanceLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativeFinancialAssetsHeldForTrading","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativeFinancialAssetsHeldForHedging","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativeFinancialLiabilitiesHeldForTrading","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativeFinancialLiabilitiesHeldForHedging","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OccupancyExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoansToGovernment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoansToGovernmentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetAssetsLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromOperatingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherWorkPerformedByEntityAndCapitalised","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossBeforeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossBeforeTax","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForInsuranceContracts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IdentificationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"11","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C13B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=11&code=ifrs-tx-2021-en-r&anchor=para_C13B&doctype=Appendix&subtype=C","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatUnadjustedComparativeInformationHasBeenPreparedOnDifferentBasis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"11","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C13B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=11&code=ifrs-tx-2021-en-r&anchor=para_C13B&doctype=Appendix&subtype=C","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfBasisOfPreparationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"11","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C13B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=11&code=ifrs-tx-2021-en-r&anchor=para_C13B&doctype=Appendix&subtype=C","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRevenueExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_98_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6.5.13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_6.5.13_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnChangeInValueOfTimeValueOfOptionsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountRemovedFromReserveOfChangeInValueOfForeignCurrencyBasisSpreadsAndIncludedInInitialCostOrOtherCarryingAmountOfNonfinancialAssetLiabilityOrFirmCommitmentForWhichFairValueHedgeAccountingIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6.5.16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_6.5.16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangeInValueOfForeignCurrencyBasisSpreadsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxGainsLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxGainsLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfCashFlowHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6.5.11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_6.5.11&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangeInValueOfTimeValueOfOptionsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnChangeInValueOfForwardElementsOfForwardContractsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountRemovedFromReserveOfChangeInValueOfForwardElementsOfForwardContractsAndIncludedInInitialCostOrOtherCarryingAmountOfNonfinancialAssetLiabilityOrFirmCommitmentForWhichFairValueHedgeAccountingIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6.5.16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_6.5.16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangesInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiabilityOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsRemovedFromEquityAndAdjustedAgainstFairValueOfFinancialAssetsOnReclassificationOutOfFairValueThroughOtherComprehensiveIncomeMeasurementCategoryBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"5.6.5","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_5.6.5&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfTimeValueOfOptions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfTimeValueOfOptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6.5.15","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_6.5.15&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnChangeInValueOfTimeValueOfOptionsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxChangeInValueOfForwardElementsOfForwardContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxChangeInValueOfForwardElementsOfForwardContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfForeignCurrencyBasisSpreads","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfForeignCurrencyBasisSpreads","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfForwardElementsOfForwardContractsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfForwardElementsOfForwardContractsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6.5.16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_6.5.16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfForwardElementsOfForwardContracts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfForwardElementsOfForwardContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6.5.16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_6.5.16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnChangeInValueOfForeignCurrencyBasisSpreadsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxChangeInValueOfTimeValueOfOptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxChangeInValueOfTimeValueOfOptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnChangeInValueOfForeignCurrencyBasisSpreadsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsRemovedFromEquityAndAdjustedAgainstFairValueOfFinancialAssetsOnReclassificationOutOfFairValueThroughOtherComprehensiveIncomeMeasurementCategoryNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"5.6.5","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_5.6.5&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfForwardElementsOfForwardContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfForwardElementsOfForwardContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnChangeInValueOfForeignCurrencyBasisSpreadsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentNoncashAssetsPledgedAsCollateralForWhichTransfereeHasRightByContractOrCustomToSellOrRepledgeCollateral","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"3.2.23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_3.2.23_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CumulativeGainLossPreviouslyRecognisedInOtherComprehensiveIncomeArisingFromReclassificationOfFinancialAssetsOutOfFairValueThroughOtherComprehensiveIncomeIntoFairValueThroughProfitOrLossMeasurementCategory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82_cb&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfGainsAndLossesFromInvestmentsInEquityInstrumentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxHedgesOfNetInvestmentsInForeignOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6.5.13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_6.5.13_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfGainsAndLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangeInValueOfForwardElementsOfForwardContractsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfCashFlowHedges","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6.5.11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_6.5.11&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6.5.14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_6.5.14&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfGainsAndLossesFromInvestmentsInEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82_ba&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncashAssetsPledgedAsCollateralForWhichTransfereeHasRightByContractOrCustomToSellOrRepledgeCollateral","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"3.2.23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_3.2.23_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesArisingFromDifferenceBetweenPreviousCarryingAmountAndFairValueOfFinancialAssetsReclassifiedAsMeasuredAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82_ca&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgingGainsLossesForHedgeOfGroupOfItemsWithOffsettingRiskPositions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6.6.4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_6.6.4&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnChangeInValueOfForwardElementsOfForwardContractsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnChangeInValueOfTimeValueOfOptionsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnChangeInValueOfForwardElementsOfForwardContractsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfForeignCurrencyBasisSpreadsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfForeignCurrencyBasisSpreadsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6.5.16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_6.5.16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxGainsLossesFromInvestmentsInEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxGainsLossesFromInvestmentsInEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfTimeValueOfOptionsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfTimeValueOfOptionsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6.5.15","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_6.5.15&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfTimeValueOfOptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfTimeValueOfOptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToHedgesOfInvestmentsInEquityInstrumentsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxChangeInValueOfForeignCurrencyBasisSpreads","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxChangeInValueOfForeignCurrencyBasisSpreads","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxHedgesOfNetInvestmentsInForeignOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6.5.13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_6.5.13_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6.5.13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_6.5.13_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRevenueCalculatedUsingEffectiveInterestMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnChangeInValueOfForeignCurrencyBasisSpreadsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfForeignCurrencyBasisSpreads","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInValueOfForeignCurrencyBasisSpreads","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6.5.16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_6.5.16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnChangeInValueOfForwardElementsOfForwardContractsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountRemovedFromReserveOfCashFlowHedgesAndIncludedInInitialCostOrOtherCarryingAmountOfNonfinancialAssetLiabilityOrFirmCommitmentForWhichFairValueHedgeAccountingIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6.5.11","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_6.5.11_d_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnChangeInValueOfTimeValueOfOptionsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfGainsAndLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiabilityMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfGainsAndLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstrumentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6.5.14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_6.5.14&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentNoncashAssetsPledgedAsCollateralForWhichTransfereeHasRightByContractOrCustomToSellOrRepledgeCollateral","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"3.2.23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_3.2.23_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxGainsLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxGainsLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToInvestmentsInEquityInstrumentsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountRemovedFromReserveOfChangeInValueOfTimeValueOfOptionsAndIncludedInInitialCostOrOtherCarryingAmountOfNonfinancialAssetLiabilityOrFirmCommitmentForWhichFairValueHedgeAccountingIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6.5.15","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_6.5.15_b_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfGainsAndLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxChangeInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForDesignationOrDedesignationOfFinancialAssetsAsMeasuredAtFairValueThroughProfitOrLossWhenApplyingAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForDesignationOrDedesignationOfFinancialLiabilitiesAsMeasuredAtFairValueThroughProfitOrLossWhenApplyingAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialLiabilitiesAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialLiabilitiesAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationCarryingAmountAfterApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationCarryingAmountImmediatelyBeforeApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationMeasurementCategoryAfterApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationMeasurementCategoryImmediatelyBeforeApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsThatWereDesignatedAsMeasuredAtFairValueThroughProfitOrLossBeforeApplicationOfAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationThatAreNoLongerSoDesignated","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationCarryingAmountAfterApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationCarryingAmountImmediatelyBeforeApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationMeasurementCategoryAfterApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAffectedByAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationMeasurementCategoryImmediatelyBeforeApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesThatWereDesignatedAsMeasuredAtFairValueThroughProfitOrLossBeforeApplicationOfAmendmentsToIFRS9ForPrepaymentFeaturesWithNegativeCompensationThatAreNoLongerSoDesignated","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.34_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsAffectedByAmendmentsToIFRS9MadeByIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsAffectedByAmendmentsToIFRS9MadeByIFRS17Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByAmendmentsToIFRS9MadeByIFRS17ClassificationImmediatelyBeforeApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByAmendmentsToIFRS9MadeByIFRS17MeasurementCategoryImmediatelyBeforeApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByAmendmentsToIFRS9MadeByIFRS17CarryingAmountImmediatelyBeforeApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByAmendmentsToIFRS9MadeByIFRS17MeasurementCategoryAfterApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByAmendmentsToIFRS9MadeByIFRS17CarryingAmountAfterApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialLiabilitiesAffectedByAmendmentsToIFRS9MadeByIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialLiabilitiesAffectedByAmendmentsToIFRS9MadeByIFRS17Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAffectedByAmendmentsToIFRS9MadeByIFRS17ClassificationImmediatelyBeforeApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAffectedByAmendmentsToIFRS9MadeByIFRS17MeasurementCategoryImmediatelyBeforeApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAffectedByAmendmentsToIFRS9MadeByIFRS17CarryingAmountImmediatelyBeforeApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAffectedByAmendmentsToIFRS9MadeByIFRS17MeasurementCategoryAfterApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAffectedByAmendmentsToIFRS9MadeByIFRS17CarryingAmountAfterApplyingAmendments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesThatWereDesignatedAsMeasuredAtFairValueThroughProfitOrLossBeforeApplicationOfAmendmentsToIFRS9MadeByIFRS17ButAreNoLongerSoDesignated","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForDesignationOrDedesignationOfFinancialLiabilitiesAsMeasuredAtFairValueThroughProfitOrLossWhenApplyingAmendmentsToIFRS9MadeByIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.2.42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.2.42&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeExpensesFromReinsuranceContractsHeldRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82_bc&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToFinanceIncomeExpensesFromReinsuranceContractsHeldOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsIssuedThatAreLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_ma&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82_bb&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceServiceExpensesFromInsuranceContractsIssued","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82_ab&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLossMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillNotBeReclassifiedToProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillNotBeReclassifiedToProfitOrLossMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRevenueCalculatedUsingEffectiveInterestMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82_a_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceContractsHeldThatAreLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_ma&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeExpensesFromReinsuranceContractsHeldOtherThanFinanceIncomeExpenses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82_ac&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsIssuedThatAreAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_da&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRevenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_82_a_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceContractsHeldThatAreAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_54_da&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForHeldtomaturityInvestmentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_117_b&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveForCatastropheMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_108&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfGainsAndLossesOnRemeasuringAvailableforsaleFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_78_e&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveForEqualisationMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_108&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveForCatastrophe","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-b&anchor=para_78_e&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAvailableforsaleAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_10_e&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveForEqualisation","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-b&anchor=para_78_e&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnRemeasuringAvailableforsaleFinancialAssetsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_91_a&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentNoncashAssetsPledgedAsCollateralForWhichTransfereeHasRightByContractOrCustomToSellOrRepledgeCollateral","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2017-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsUnderReinsuranceCeded","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-b&anchor=para_55&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseForPolicyholderClaimsAndBenefitsWithoutReductionForReinsuranceHeld","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-b&anchor=para_85&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForLoansAndReceivablesExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_117_b&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncashAssetsPledgedAsCollateralForWhichTransfereeHasRightByContractOrCustomToSellOrRepledgeCollateral","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2017-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToAvailableforsaleFinancialAssetsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_90&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-b&anchor=para_55&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForAvailableforsaleFinancialAssetsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_117_b&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnLoansAndReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_112_c&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnAvailableforsaleFinancialAssetsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_92&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfDiscretionaryParticipationFeaturesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_108&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromContractsWithReinsurers","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-b&anchor=para_85&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-b&anchor=para_55&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnAvailableforsaleFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_112_c&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_91_a&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_7&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpensesArisingFromReinsuranceHeld","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-b&anchor=para_85&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfGainsAndLossesOnRemeasuringAvailableforsaleFinancialAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_108&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_91_b&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_7&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfDiscretionaryParticipationFeatures","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-b&anchor=para_78_e&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromInsuranceContractsIssuedWithoutReductionForReinsuranceHeld","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-b&anchor=para_85&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnRemeasuringAvailableforsaleFinancialAssetsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_91_b&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnHeldtomaturityInvestments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_112_c&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentNoncashAssetsPledgedAsCollateralForWhichTransfereeHasRightByContractOrCustomToSellOrRepledgeCollateral","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2017-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnAvailableforsaleFinancialAssetsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2017-en-b&anchor=para_92&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetEarnedPremium","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-b&anchor=para_85&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClaimsAndBenefitsPaidNetOfReinsuranceRecoveries","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-b&anchor=para_85&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInProvisionForUnearnedPremium","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-b&anchor=para_85&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PremiumsWrittenNetOfReinsurance","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-b&anchor=para_85&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInInsuranceLiabilitiesNetOfReinsurance","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-b&anchor=para_85&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionAndAdministrationExpenseRelatedToInsuranceContracts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-b&anchor=para_85&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAttributionOfExpensesByNatureToTheirFunctionTable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"104","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_104&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAttributionOfExpensesByNatureToTheirFunctionTable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAttributionOfExpensesByNatureToTheirFunctionExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"104","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_104&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAttributionOfExpensesByNatureToTheirFunctionExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AttributionOfExpensesByNatureToTheirFunctionAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"104","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_104&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AttributionOfExpensesByNatureToTheirFunctionAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LineItemsByFunctionMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"104","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_104&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LineItemsByFunctionMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostOfSalesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"104","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_104&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostOfSalesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SellingGeneralAndAdministrativeExpenseMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"104","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_104&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SellingGeneralAndAdministrativeExpenseMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDepositaryReceiptsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDepositaryReceiptsTable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfSharesRepresentedByOneDepositaryReceipt","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnderlyingEquityInstrumentAndDepositaryReceiptsAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnderlyingEquityInstrumentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AllTypesOfDepositaryReceiptsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CumulativeEffectAtDateOfInitialApplicationAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OpeningBalanceBeforeAdjustmentCumulativeEffectAtDateOfInitialApplicationMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OpeningBalanceAfterAdjustmentCumulativeEffectAtDateOfInitialApplicationMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsCumulativeEffectAtDateOfInitialApplicationMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseFromSharebasedPaymentTransactionsWithPartiesOtherThanEmployees","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_112_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ForeignExchangeGain","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_35&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ForeignExchangeLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_35&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_35&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetForeignExchangeGain","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_35&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetForeignExchangeLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_35&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOtherThanTranslationOfForeignOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslationOtherThanTranslationOfForeignOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToExchangeDifferencesOnTranslationOtherThanTranslationOfForeignOperationsIncludedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccruedIncomeIncludingContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccruedIncomeIncludingContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccruedIncomeOtherThanContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccruedIncomeOtherThanContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAccruedIncomeIncludingCurrentContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAccruedIncomeIncludingCurrentContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAccruedIncomeIncludingNoncurrentContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAccruedIncomeIncludingNoncurrentContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAccruedIncomeOtherThanCurrentContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAccruedIncomeOtherThanCurrentContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAccruedIncomeOtherThanNoncurrentContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAccruedIncomeOtherThanNoncurrentContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrepaymentsAndAccruedIncomeIncludingContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrepaymentsAndAccruedIncomeIncludingContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrepaymentsAndAccruedIncomeOtherThanContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrepaymentsAndAccruedIncomeOtherThanContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccrualsAndDeferredIncomeIncludingContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccrualsAndDeferredIncomeIncludingContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPrepaymentsAndCurrentAccruedIncomeIncludingCurrentContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPrepaymentsAndCurrentAccruedIncomeIncludingCurrentContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAccrualsAndCurrentDeferredIncomeIncludingCurrentContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAccrualsAndCurrentDeferredIncomeIncludingCurrentContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPrepaymentsAndNoncurrentAccruedIncomeIncludingNoncurrentContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPrepaymentsAndNoncurrentAccruedIncomeIncludingNoncurrentContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPrepaymentsAndNoncurrentAccruedIncomeOtherThanNoncurrentContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentPrepaymentsAndNoncurrentAccruedIncomeOtherThanNoncurrentContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAccrualsAndNoncurrentDeferredIncomeIncludingNoncurrentContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAccrualsAndNoncurrentDeferredIncomeIncludingNoncurrentContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredIncomeIncludingContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredIncomeIncludingContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentDeferredIncomeIncludingCurrentContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentDeferredIncomeIncludingCurrentContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentDeferredIncomeIncludingNoncurrentContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentDeferredIncomeIncludingNoncurrentContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredIncomeOtherThanContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredIncomeOtherThanContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentDeferredIncomeOtherThanCurrentContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentDeferredIncomeOtherThanCurrentContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentDeferredIncomeOtherThanNoncurrentContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentDeferredIncomeOtherThanNoncurrentContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractLiabilitiesForPerformanceObligationsSatisfiedOverTime","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractLiabilitiesForPerformanceObligationsSatisfiedOverTime","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentContractLiabilitiesForPerformanceObligationsSatisfiedOverTime","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentContractLiabilitiesForPerformanceObligationsSatisfiedOverTime","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentContractLiabilitiesForPerformanceObligationsSatisfiedOverTime","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentContractLiabilitiesForPerformanceObligationsSatisfiedOverTime","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Advances","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAdvances","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAdvances","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WarrantLiability","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentWarrantLiability","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentWarrantLiability","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WarrantReserve","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetainedEarningsExcludingProfitLossForReportingPeriod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetainedEarningsProfitLossForReportingPeriod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IssuedCapitalOrdinaryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IssuedCapitalPreferenceShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_78_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslationOfForeignOperationsAndHedgesOfNetInvestmentsInForeignOperations","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WarrantReserveMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetainedEarningsProfitLossForReportingPeriodMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetainedEarningsExcludingProfitLossForReportingPeriodMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_108&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslationOfForeignOperationsAndHedgesOfNetInvestmentsInForeignOperations","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_91_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToExchangeDifferencesOnTranslationOfForeignOperationsAndHedgesOfNetInvestmentsInForeignOperationsIncludedInOtherComprehensiveIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassificationOfLiabilitiesAsCurrentOrNoncurrentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"139U","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_139U&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnnualImprovements201820AmendmentsToIFRS9Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.1.9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.1.9&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatNewOrAmendedIFRSStandardIsAppliedEarly","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"139U","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=1&code=ifrs-tx-2021-en-r&anchor=para_139U&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatNewOrAmendedIFRSStandardIsAppliedEarly","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.1.9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.1.9&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnnualImprovementsToIFRSStandards201820Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.1.9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.1.9&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateBenchmarkReformPhase2Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.1.10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.1.10&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateBenchmarkReformPhase2Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2021-en-r&anchor=para_108H&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatNewOrAmendedIFRSStandardIsAppliedEarly","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"9","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7.1.10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=9&code=ifrs-tx-2021-en-r&anchor=para_7.1.10&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatNewOrAmendedIFRSStandardIsAppliedEarly","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"39","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=39&code=ifrs-tx-2021-en-r&anchor=para_108H&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Inventories","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_36_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InventoryWritedown2011","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_36_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfInventoryWritedown","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_36_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInventoriesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS02_g36-39__IAS02_g36-39_TI","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForMeasuringInventories","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_36_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InventoryCostFormulas","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_36_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostOfInventoriesRecognisedAsExpenseDuringPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_36_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InventoriesPledgedAsSecurityForLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_36_h&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CircumstancesLeadingToReversalsOfInventoryWritedown","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_36_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InventoriesAtFairValueLessCostsToSell","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_36_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentOreStockpiles","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentOreStockpiles","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentCrudeOil","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPetroleumAndPetrochemicalProducts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentNaturalGas","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RawMaterials","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherInventories","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Merchandise","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinishedGoods","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WorkInProgress","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProductionSupplies","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SpareParts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentRawMaterialsAndCurrentProductionSupplies","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentMaterialsAndSuppliesToBeConsumedInProductionProcessOrRenderingServices","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentInventoriesHeldForSale","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFuel","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InventoriesAtNetRealisableValue","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_36&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAgriculturalProduce","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFoodAndBeverage","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentPackagingAndStorageMaterials","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentInventoriesInTransit","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=2&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndCashEquivalents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_18_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermDepositsClassifiedAsCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermInvestmentsClassifiedAsCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCashAndCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInCashAndCashEquivalents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BankOverdraftsClassifiedAsCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BalancesWithBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BankingArrangementsClassifiedAsCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashOnHand","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCashFlowStatementExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"Presentation of a statement of cash flows","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS07_g10-17_TI","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_10&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_50_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_10&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_50_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_39&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_39&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherInflowsOutflowsOfCashClassifiedAsOperatingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_14&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInOperatingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_10&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInOperatingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_50_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectOfExchangeRateChangesOnCashAndCashEquivalents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectOfExchangeRateChangesOnCashAndCashEquivalents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_28&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestReceivedClassifiedAsOperatingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_31&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaidClassifiedAsFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_31&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsReceivedClassifiedAsOperatingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_31&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsReceivedClassifiedAsInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_31&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestReceivedClassifiedAsInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_31&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestPaidClassifiedAsOperatingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_31&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaidClassifiedAsOperatingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_31&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestPaidClassifiedAsFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_31&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxesPaidRefundClassifiedAsInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxesPaidRefundClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_14_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxesPaidRefundClassifiedAsOperatingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxesPaidRefundClassifiedAsOperatingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_14_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxesPaidRefundClassifiedAsFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxesPaidRefundClassifiedAsFinancingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_14_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndCashEquivalentsHeldByEntityUnavailableForUseByGroup","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"48","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_48&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForReconcileProfitLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInTradeAccountPayable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInInventories","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInOtherOperatingPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInTradeAccountReceivable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForUnrealisedForeignExchangeLossesGains","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDepreciationAndAmortisationExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForUndistributedProfitsOfAssociates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncomeTaxExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherAdjustmentsForNoncashItems","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForSharebasedPayments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForFairValueGainsLosses","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsFromContractsHeldForDealingOrTradingPurpose","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_14_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceiptsFromContractsHeldForDealingOrTradingPurpose","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_14_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCashReceiptsFromOperatingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_14&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCashPaymentsFromOperatingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_14&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherAdjustmentsForWhichCashEffectsAreInvestingOrFinancingCashFlow","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsOfOtherEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromIssuingOtherEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromIssuingShares","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsToAcquireOrRedeemEntitysShares","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsToAndOnBehalfOfEmployees","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_14_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsToSuppliersForGoodsAndServices","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_14_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromOtherLongtermAssetsClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromSalesOfIntangibleAssetsClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromBorrowingsClassifiedAsFinancingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfOtherLongtermAssetsClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceiptsFromRoyaltiesFeesCommissionsAndOtherRevenue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_14_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceiptsFromSalesOfGoodsAndRenderingOfServices","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_14_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RepaymentsOfBorrowingsClassifiedAsFinancingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashPaymentsForFutureContractsForwardContractsOptionContractsAndSwapContractsClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashReceiptsFromFutureContractsForwardContractsOptionContractsAndSwapContractsClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16_h&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCashPaymentsToAcquireInterestsInJointVenturesClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCashPaymentsToAcquireEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCashReceiptsFromSalesOfEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCashReceiptsFromSalesOfInterestsInJointVenturesClassifiedAsInvestingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_21&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_21&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForFinanceCosts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherAdjustmentsToReconcileProfitLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestPaidClassifiedAsInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_31&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Cash","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfInvestingAndFinancingTransactionsNotRequireUseOfCashOrCashEquivalents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"43","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_43&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxesPaidRefund","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherDifferencesToCashAndCashEquivalentsInStatementOfCashFlows","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAdditionalInformationAboutUnderstandingFinancialPositionsAndLiquidityOfEntityExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyToDetermineComponentsOfCashAndCashEquivalents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"46","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_46&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsiderationPaidReceived","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"40","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_40_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UndrawnBorrowingFacilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_50_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInIncreasesInOperatingCapacity","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_50_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromChangesInOwnershipInterestsInSubsidiaries","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42A","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromChangesInOwnershipInterestsInSubsidiaries","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42B","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42B&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsFromChangesInOwnershipInterestsInSubsidiaries","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42A","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsFromChangesInOwnershipInterestsInSubsidiaries","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42B","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42B&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PortionOfConsiderationPaidReceivedConsistingOfCashAndCashEquivalents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"40","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_40_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommentaryByManagementOnSignificantCashAndCashEquivalentBalancesHeldByEntityThatAreNotAvailableForUseByGroup","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"48","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_48&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInOperations","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"A Statement of cash flows for an entity other than a financial institution","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS07_IE_A__IAS07_IE_A_TI","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceiptsFromRentsAndSubsequentSalesOfSuchAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_14&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsToManufactureOrAcquireAssetsHeldForRentalToOthersAndSubsequentlyHeldForSale","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_14&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInMaintainingOperatingCapacity","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_50_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndCashEquivalentsClassifiedAsPartOfDisposalGroupHeldForSale","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxesPaidClassifiedAsOperatingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceCostsPaidClassifiedAsOperatingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_31&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"A Statement of cash flows for an entity other than a financial institution","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS07_IE_A__IAS07_IE_A_TI","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxesRefundClassifiedAsOperatingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeReceivedClassifiedAsOperatingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_31&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromSaleOrIssueOfTreasuryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromExerciseOfOptions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromIssueOfPreferenceShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromNoncurrentBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RepaymentsOfNoncurrentBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromCurrentBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RepaymentsOfCurrentBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInIncreaseDecreaseInCurrentBorrowings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromIssueOfBondsNotesAndDebentures","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RepaymentsOfBondsNotesAndDebentures","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsForShareIssueCosts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsForDebtIssueCosts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromContributionsOfNoncontrollingInterests","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromIssueOfSubordinatedLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RepaymentsOfSubordinatedLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsForExplorationAndEvaluationExpenses","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_14&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_14&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsToSuppliersForGoodsAndServicesAndToAndOnBehalfOfEmployees","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_14&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInDepositsFromCustomers","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInDepositsFromBanks","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInInsuranceReinsuranceAndInvestmentContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForInterestExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForInterestIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDividendIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForFinanceIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForFinanceIncomeCost","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDeferredTaxExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsToReconcileProfitLossOtherThanChangesInWorkingCapital","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInWorkingCapital","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInOtherAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInOtherLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInOtherCurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInOtherCurrentLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInEmployeeBenefitLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDepreciationAndAmortisationExpenseAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForAmortisationExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDepreciationExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForImpairmentLossRecognisedInProfitOrLossGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTradeAndOtherReceivables","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossInventories","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromDisposalOfExplorationAndEvaluationAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfExplorationAndEvaluationAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromDisposalOfMiningAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfMiningAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInDecreaseIncreaseInRestrictedCashAndCashEquivalents","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsReceivedFromInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsReceivedFromAssociatesClassifiedAsInvestingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsReceivedFromJointVenturesClassifiedAsInvestingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfInterestsInAssociates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromSalesOfInterestsInAssociates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfInterestsInInvestmentsAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromSalesOfInvestmentsAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAdvancesAndLoansMadeToRelatedParties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToRelatedParties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfInvestmentProperty","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromSalesOfInvestmentProperty","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfBiologicalAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromSalesOfBiologicalAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromDisposalOfNoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleAndDiscontinuedOperations","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsUsedInExplorationAndDevelopmentActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInDecreaseIncreaseInShorttermDepositsAndInvestments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InflowsOfCashFromInvestingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OutflowsOfCashFromInvestingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfOilAndGasAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromDisposalOfOilAndGasAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndCashEquivalentsInSubsidiaryOrBusinessesAcquiredOrDisposed2013","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"40","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_40_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsOtherThanCashOrCashEquivalentsInSubsidiaryOrBusinessesAcquiredOrDisposed2013","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"40","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_40_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesInSubsidiaryOrBusinessesAcquiredOrDisposed2013","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"40","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_40_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseInOtherProvisionsArisingFromPassageOfTime","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossExplorationAndEvaluationAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromIssueOfOrdinaryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsForDevelopmentProjectExpenditure","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAcquisitionOfEntityByMeansOfEquityIssue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfConversionOfDebtToEquity","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForGainsLossesOnChangeInFairValueLessCostsToSellBiologicalAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInBiologicalAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAdvancesAndLoansFromRelatedParties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashRepaymentsOfAdvancesAndLoansFromRelatedParties","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossLoansAndAdvances","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInRepurchaseAgreementsAndCashCollateralOnSecuritiesLent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInReverseRepurchaseAgreementsAndCashCollateralOnSecuritiesBorrowed","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInFinancialAssetsHeldForTrading","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInFinancialLiabilitiesHeldForTrading","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInDerivativeFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInDerivativeFinancialLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermBorrowingsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"C Reconciliation of liabilities arising from financing activities","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS07_IE_C__IAS07_IE_C_TI","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesArisingFromFinancingActivitiesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44D","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44D&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesArisingFromFinancingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44D","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44D&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfLiabilitiesArisingFromFinancingActivitiesExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44D","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44D&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughFinancingCashFlowsLiabilitiesArisingFromFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44B","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44B_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughEffectOfChangesInForeignExchangeRatesLiabilitiesArisingFromFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44B","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44B_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationThatEnablesUsersOfFinancialStatementsToEvaluateChangesInLiabilitiesArisingFromFinancingActivitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44A","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesArisingFromFinancingActivitiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44D","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44D&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeaseLiabilitiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"C Reconciliation of liabilities arising from financing activities","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS07_IE_C__IAS07_IE_C_TI","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughNewLeasesLiabilitiesArisingFromFinancingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"A Statement of cash flows for an entity other than a financial institution","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS07_IE_A__IAS07_IE_A_TI","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermBorrowingsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"C Reconciliation of liabilities arising from financing activities","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS07_IE_C__IAS07_IE_C_TI","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughObtainingOrLosingControlOfSubsidiariesOrOtherBusinessesLiabilitiesArisingFromFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44B","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44B_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesLiabilitiesArisingFromFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44B","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44B_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInFairValuesLiabilitiesArisingFromFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44B","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44B_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsHeldToHedgeLiabilitiesArisingFromFinancingActivitiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"C Reconciliation of liabilities arising from financing activities","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS07_IE_C__IAS07_IE_C_TI","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfLiabilitiesArisingFromFinancingActivitiesTable","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44D","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44D&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInLiabilitiesArisingFromFinancingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44B","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44B&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeaseLiabilitiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44C","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44C&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermBorrowingsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44C","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44C&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsHeldToHedgeLiabilitiesArisingFromFinancingActivitiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44C","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44C&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermBorrowingsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44C","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44C&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughNewLeasesLiabilitiesArisingFromFinancingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44B","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44B&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInOperations","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAcquisitionOfAssetsByAssumingDirectlyRelatedLiabilitiesOrByMeansOfLease","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_44_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromDisposalOrMaturityOfAvailableforsaleFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceiptsFromPremiumsAndClaimsAnnuitiesAndOtherPolicyBenefits","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-b&anchor=para_14_e&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchaseOfAvailableforsaleFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsForPremiumsAndClaimsAnnuitiesAndOtherPolicyBenefits","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-b&anchor=para_14_e&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForUnrealisedForeignExchangeLossesGains","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"A Statement of cash flows for an entity other than a financial institution","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS07_IE_A__IAS07_IE_A_TI","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInAccruedIncomeIncludingContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInAccruedIncomeOtherThanContractAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInDeferredIncomeIncludingContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForIncreaseDecreaseInDeferredIncomeOtherThanContractLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDecreaseIncreaseInPrepaidExpenses","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromExerciseOfWarrants","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"//eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_f_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_29_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"49","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_49_b_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PreviouslyStatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_f_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PreviouslyStatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_29_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PreviouslyStatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"49","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_49_b_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetrospectiveApplicationAndRetrospectiveRestatementAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_f_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetrospectiveApplicationAndRetrospectiveRestatementAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_29_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetrospectiveApplicationAndRetrospectiveRestatementAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"49","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_49_b_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToChangesInAccountingPolicyAndCorrectionsOfPriorPeriodErrorsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_f_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToChangesInAccountingPolicyAndCorrectionsOfPriorPeriodErrorsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_29_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToChangesInAccountingPolicyAndCorrectionsOfPriorPeriodErrorsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"49","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_49_b_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialEffectOfChangesInAccountingPolicyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_f_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialEffectOfChangesInAccountingPolicyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_29_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfChangesInAccountingPoliciesAccountingEstimatesAndErrorsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"Accounting policies","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS08_g7-31_TI","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialEffectOfCorrectionsOfAccountingErrorsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"49","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_49_b_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialEffectOfCorrectionsOfAccountingErrorsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"49","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_49_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInitialApplicationOfStandardsOrInterpretations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfVoluntaryChangeInAccountingPolicy","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_29&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndAmountOfChangeInAccountingEstimate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_39&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatAmountOfChangeInAccountingEstimateIsImpracticable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"40","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_40&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAmountAndCorrectionOfAccountingErrorsInPriorPeriodsEstimate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"49","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_49_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreationDateAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_f_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreationDateAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_29_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreationDateAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"49","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_49_b_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DefaultFinancialStatementsDateMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_f_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DefaultFinancialStatementsDateMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_29_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DefaultFinancialStatementsDateMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"49","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_49_b_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfReasonWhyItIsImpracticableToDetermineAmountsOfAdjustmentsRelatedToChangeInAccountingPolicy","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_h&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfReasonWhyItIsImpracticableToDetermineAmountsOfAdjustmentsRelatedToChangeInAccountingPolicy","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_29_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfReasonWhyItIsImpracticableToDetermineAmountsForCorrectionRelatedToPriorPeriodErrors","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"49","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_49_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_f_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToChangesInAccountingPolicyRequiredByIFRSsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToVoluntaryChangesInAccountingPolicyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_29_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToVoluntaryChangesInAccountingPolicyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_29_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNotAppliedNewStandardsOrInterpretations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_30_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExpectedImpactOfInitialApplicationOfNewStandardsOrInterpretations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_30_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TitleOfNewIFRS","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_31_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfImpendingChangeInAccountingPolicy","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_31_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DiscussionOfImpactThatInitialApplicationOfIFRSIsExpectedToHaveOnFinancialStatements","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_31_e_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatImpactIsNotKnownOrReasonablyEstimable","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_31_e_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExpectedImpactOfInitialApplicationOfNewStandardsOrInterpretationsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_30_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NewIFRSsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_30_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NewIFRSsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_30_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInAccountingEstimate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_39&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TitleOfInitiallyAppliedIFRS","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionWhetherChangeInAccountingPolicyIsMadeInAccordanceWithTransitionalProvisionsOfInitiallyAppliedIFRS","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfChangeInAccountingPolicy","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTransitionalProvisionsOfInitiallyAppliedIFRS","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTransitionalProvisionsOfInitiallyAppliedIFRSThatMightHaveEffectOnFuturePeriods","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfVoluntaryChangeInAccountingPolicy","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_29_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsWhyApplyingNewAccountingPolicyProvidesReliableAndMoreRelevantInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_29_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfChangesInAccountingEstimatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_39&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfChangesInAccountingEstimatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_39&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccountingEstimatesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_39&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccountingEstimatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_39&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInitialApplicationOfStandardsOrInterpretationsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InitiallyAppliedIFRSsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InitiallyAppliedIFRSsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfVoluntaryChangeInAccountingPolicyTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_29&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"VoluntaryChangesInAccountingPolicyAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_29&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"VoluntaryChangesInAccountingPolicyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_29&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateAsAtWhichEntityPlansToApplyNewIFRSInitially","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_31_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateByWhichApplicationOfNewIFRSIsRequired","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=8&code=ifrs-tx-2021-en-r&anchor=para_31_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEventsAfterReportingPeriodExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS10_g17-22_TI","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNonadjustingEventsAfterReportingPeriodExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_21&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfBodyOfAuthorisation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactThatEntitysOwnersOrOthersHavePowerToAmendFinancialStatementsAfterIssue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfNonadjustingEventAfterReportingPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_21_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFinancialEffectOfNonadjustingEventAfterReportingPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_21_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNonadjustingEventsAfterReportingPeriodTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_21&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NonadjustingEventsAfterReportingPeriodAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_21&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NonadjustingEventsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_21&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MajorBusinessCombinationMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_22_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalOfMajorSubsidiaryMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_22_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnnouncementOfPlanToDiscontinueOperationMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_22_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MajorPurchasesOfAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_22_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherDisposalsOfAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_22_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpropriationOfMajorAssetsByGovernmentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_22_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DestructionOfMajorProductionPlantMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_22_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnnouncingOrCommencingImplementationOfMajorRestructuringMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_22_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AbnormallyLargeChangesInAssetPricesOrForeignExchangeRatesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_22_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInTaxRatesOrTaxLawsEnactedOrAnnouncedMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_22_h&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EnteringIntoSignificantCommitmentsOrContingentLiabilitiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_22_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommencementOfMajorLitigationMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_22_j&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsProposedOrDeclaredBeforeFinancialStatementsAuthorisedForIssueButNotRecognisedAsDistributionToOwners","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_13&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MajorOrdinaryShareTransactionsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_22_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassificationOfAssetsAsHeldForSaleMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_22_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PotentialOrdinaryShareTransactionsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_22_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOfAuthorisationForIssueOfFinancialStatements2013","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"10","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=10&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_g_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_g_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxExpenseContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_79&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxExpenseContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxExpenseContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIncomeTaxExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS12_g79-88_TI","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfChangesInApplicableTaxRatesToPreviousAccountingPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNatureOfPotentialIncomeTaxConsequencesThatWouldResultFromPaymentOfDividendExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_82A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTaxExpenseIncome","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_80_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForCurrentTaxOfPriorPeriod","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_80_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComponentsOfDeferredTaxExpenseIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_80&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxExpenseIncomeRelatingToOriginationAndReversalOfTemporaryDifferences","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_80_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxExpenseIncomeRelatingToTaxRateChangesOrImpositionOfNewTaxes","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_80_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxBenefitArisingFromPreviouslyUnrecognisedTaxLossTaxCreditOrTemporaryDifferenceOfPriorPeriodUsedToReduceCurrentTaxExpense","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_80_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxBenefitArisingFromPreviouslyUnrecognisedTaxLossTaxCreditOrTemporaryDifferenceOfPriorPeriodUsedToReduceDeferredTaxExpense","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_80_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxExpenseArisingFromWritedownOrReversalOfWritedownOfDeferredTaxAsset","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_80_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxExpenseIncomeRelatingToChangesInAccountingPoliciesAndErrorsIncludedInProfitOrLoss","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_80_h&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExpiryDateOfTemporaryDifferencesUnusedTaxLossesAndUnusedTaxCredits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_g_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTemporaryDifferenceUnusedTaxLossesAndUnusedTaxCreditsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTemporaryDifferenceUnusedTaxLossesAndUnusedTaxCreditsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TemporaryDifferenceUnusedTaxLossesAndUnusedTaxCreditsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TemporaryDifferenceUnusedTaxLossesAndUnusedTaxCreditsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TemporaryDifferenceMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnusedTaxLossesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnusedTaxCreditsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxExpenseRelatingToGainLossOnDiscontinuance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_h_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxExpenseRelatingToProfitLossFromOrdinaryActivitiesOfDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_h_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccountingProfit","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccountingProfit","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTaxRelatingToItemsChargedOrCreditedDirectlyToEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxExpenseIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_g_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TemporaryDifferencesAssociatedWithInvestmentsInSubsidiariesBranchesAndAssociatesAndInterestsInJointVentures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxConsequencesOfDividendsProposedOrDeclaredBeforeFinancialStatementsAuthorisedForIssueNotRecognisedAsLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangeInAmountRecognisedForPreacquisitionDeferredTaxAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_j&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfEventOrChangeInCircumstancesThatCausedRecognitionOfDeferredTaxBenefitsAcquiredInBusinessCombinationAfterAcquisitionDate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_k&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEvidenceSupportingRecognitionOfDeferredTaxAssetsDependentOnFutureTaxableProfitsAndEntityHasSufferedALossInCurrentOrPrecedingPeriodExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_82&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxEffectOfRevenuesExemptFromTaxation2011","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxEffectFromChangeInTaxRate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxExpenseIncomeAtApplicableTaxRate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherTaxEffectsForReconciliationBetweenAccountingProfitAndTaxExpenseIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxEffectOfForeignTaxRates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxEffectOfTaxLosses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxEffectOfExpenseNotDeductibleInDeterminingTaxableProfitTaxLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxRateEffectOfTaxLosses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ApplicableTaxRate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxRateEffectOfForeignTaxRates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxRateEffectOfExpenseNotDeductibleInDeterminingTaxableProfitTaxLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxRateEffectOfRevenuesExemptFromTaxation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AverageEffectiveTaxRate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherTaxRateEffectsForReconciliationBetweenAccountingProfitAndTaxExpenseIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxRateEffectFromChangeInTaxRate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAmountsOfPotentialIncomeTaxConsequencesPracticablyDeterminableExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_82A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnusedTaxLossesForWhichNoDeferredTaxAssetRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnusedTaxCreditsForWhichNoDeferredTaxAssetRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeductibleTemporaryDifferencesForWhichNoDeferredTaxAssetIsRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAndDeferredTaxRelatingToItemsChargedOrCreditedDirectlyToEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxRelatingToItemsChargedOrCreditedDirectlyToEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxExpenseIncomeRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_g_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxAssetWhenUtilisationIsDependentOnFutureTaxableProfitsInExcessOfProfitsFromReversalOfTaxableTemporaryDifferencesAndEntityHasSufferedLossInJurisdictionToWhichDeferredTaxAssetRelates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_82&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetDeferredTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_g_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AllowanceForCreditLossesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInDeferredTaxLiabilityAsset","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxRateEffectOfAdjustmentsForCurrentTaxOfPriorPeriods","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxEffectOfImpairmentOfGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetDeferredTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_g_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnrealisedForeignExchangeGainsLossesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherTemporaryDifferencesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughBusinessCombinationsDeferredTaxLiabilityAsset","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughLossOfControlOfSubsidiaryDeferredTaxLiabilityAsset","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesDeferredTaxLiabilityAsset","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxRateEffectOfImpairmentOfGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_c_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForDeferredTaxOfPriorPeriods","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_80&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentTaxExpenseIncomeAndAdjustmentsForCurrentTaxOfPriorPeriods","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_80&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToComponentsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToCashFlowHedgesOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToExchangeDifferencesOnTranslationOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangesInRevaluationSurplusOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToHedgesOfNetInvestmentsInForeignOperationsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfWhetherThereArePotentialIncomeTaxConsequencesNotPracticablyDeterminable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_82A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangeInValueOfForeignCurrencyBasisSpreadsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangeInValueOfTimeValueOfOptionsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangesInFairValueOfFinancialLiabilityAttributableToChangeInCreditRiskOfLiabilityOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToChangeInValueOfForwardElementsOfForwardContractsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToHedgesOfInvestmentsInEquityInstrumentsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToInvestmentsInEquityInstrumentsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToFinanceIncomeExpensesFromReinsuranceContractsHeldOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToAvailableforsaleFinancialAssetsOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2017-en-b&anchor=para_81_ab&doctype=Standard&forcepdf=true","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToExchangeDifferencesOnTranslationOtherThanTranslationOfForeignOperationsIncludedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToExchangeDifferencesOnTranslationOfForeignOperationsAndHedgesOfNetInvestmentsInForeignOperationsIncludedInOtherComprehensiveIncome","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=12&code=ifrs-tx-2021-en-r&anchor=para_81_ab&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e_vi&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e_v&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevaluationSurplusMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_39&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LandAndBuildingsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfPropertyPlantAndEquipmentExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS16_g73-79_TI","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MachineryMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FixturesAndFittingsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OfficeEquipmentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37_h&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OfficeEquipment","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37_h&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Machinery","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LandAndBuildings","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FixturesAndFittings","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualCommitmentsForAcquisitionOfPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"74","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_74_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e_iii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsOtherThanThroughBusinessCombinationsPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalsPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e_vii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"75","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_75_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"viii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e_viii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MeasurementBasesPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationMethodPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentPledgedAsSecurity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"74","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_74_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfPropertyPlantAndEquipmentTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfPropertyPlantAndEquipmentAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Land","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Ships","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Aircraft","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MotorVehicles","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LandMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShipsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AircraftMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MotorVehiclesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutPropertyPlantAndEquipmentExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevaluationSurplus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_39&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossCarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAmortisationAndImpairmentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAmortisationAndImpairmentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"75","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_75_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExistenceOfRestrictionsOnTitlePropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"74","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_74_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentRestrictionsOnTitle","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"74","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_74_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInOtherComprehensiveIncomePropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e_iv&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfPropertyPlantAndEquipmentMateriallyDifferentFromCarryingAmount","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_79_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentCarryingAmountOfAssetsRetiredFromActiveUse","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_79_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentGrossCarryingAmountFullyDepreciated","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_79_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentCarryingAmountAtCostOfRevaluedAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"77","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_77_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentCarryingAmountOfRevaluedAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"77","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_77&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentExpendituresRecognisedForConstructions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"74","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_74_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentRevaluationSurplus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"77","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_77_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectiveDatesOfRevaluationPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"77","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_77_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfIndependentValuerUsedForRevaluationPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"77","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_77_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentTemporarilyIdle","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_79_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughClassifiedAsHeldForSalePropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInOtherComprehensiveIncomePropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e_iv&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevaluationIncreaseDecreasePropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e_iv&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevaluationIncreaseDecreasePropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"77","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_77_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"ix","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e_ix&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRestrictionsOnDistributionOfRevaluationSurplusToShareholdersPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"77","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_77_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MiningAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OilAndGasAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MiningAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MiningPropertyMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OilAndGasAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherPropertyPlantAndEquipmentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"VehiclesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConstructionInProgressMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConstructionInProgress","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Vehicles","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BuildingsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Buildings","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeaseholdImprovementsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommunicationAndNetworkEquipmentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComputerEquipmentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalsAndRetirementsPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughLossOfControlOfSubsidiaryPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetirementsPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersFromToInvestmentPropertyPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersFromConstructionInProgressPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersAndOtherChangesPropertyPlantAndEquipment","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetworkInfrastructureMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAndAmortisationMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedImpairmentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAndAmortisationMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"75","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_75_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatUnadjustedComparativeInformationHasBeenPreparedOnDifferentBasis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_80A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfBasisOfPreparationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_80A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IdentificationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_80A&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PowerGeneratingAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BearerPlantsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BearerPlants","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_37_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationRatePropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UsefulLifeMeasuredAsPeriodOfTimePropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UsefulLifeMeasuredInProductionOrOtherSimilarUnitsPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfUsefulLifePropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"73","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_73_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CompensationFromThirdPartiesForItemsOfPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"74","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-b&anchor=para_74_d&doctype=Standard&book=b","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CompensationFromThirdPartiesForItemsOfPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"74A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_74A_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsIncludedInProfitOrLossInAccordanceWithParagraph20AOfIAS16ThatRelateToItemsProducedThatAreNotOutputOfEntitysOrdinaryActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"74A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_74A_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostIncludedInProfitOrLossInAccordanceWithParagraph20AOfIAS16ThatRelatesToItemsProducedThatAreNotOutputOfEntitysOrdinaryActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"74A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_74A_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInStatementOfComprehensiveIncomeThatIncludesProceedsAndCostIncludedInProfitOrLossInAccordanceWithParagraph20AOfIAS16","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"74A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_74A_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OwneroccupiedPropertyMeasuredUsingInvestmentPropertyFairValueModelMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_29B&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OwneroccupiedPropertyMeasuredUsingInvestmentPropertyFairValueModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_29B&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentProceedsBeforeIntendedUseMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_81N&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatNewOrAmendedIFRSStandardIsAppliedEarly","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"81N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=16&code=ifrs-tx-2021-en-r&anchor=para_81N&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEmployeeBenefitsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"Scope","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS19_g2-7_TI","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialGainsLossesArisingFromChangesInDemographicAssumptionsNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_c_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialGainsLossesArisingFromChangesInFinancialAssumptionsNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_c_iii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetbackedSecuritiesAmountContributedToFairValueOfPlanAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndCashEquivalentsAmountContributedToFairValueOfPlanAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentServiceCostNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DebtInstrumentsAmountContributedToFairValueOfPlanAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DefinedBenefitPlansThatShareRisksBetweenEntitiesUnderCommonControlMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"149","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_149&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativesAmountContributedToFairValueOfPlanAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAgreedAllocationOfDeficitOrSurplusOfMultiemployerOrStatePlanOnEntitysWithdrawalFromPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"148","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_148_c_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAgreedAllocationOfDeficitOrSurplusOfMultiemployerOrStatePlanOnWindupOfPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"148","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_148_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAnyOtherEntitysResponsibilitiesForGovernanceOfPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"139","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_139_a_iii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAssetliabilityMatchingStrategiesUsedByPlanOrEntityToManageRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"146","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_146&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfContractualAgreementOrStatedPolicyForChargingNetDefinedBenefitCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"149","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_149_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCrossreferenceToDisclosuresAboutPlansThatShareRisksBetweenEntitiesUnderCommonControlInAnotherGroupEntitysFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"150","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_150&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExtentToWhichEntityCanBeLiableToMultiemployerOrStatePlanForOtherEntitiesObligations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"148","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_148_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatMultiemployerPlanIsDefinedBenefitPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"148","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_148_d_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFundingArrangementsAndFundingPolicyThatAffectFutureContributions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"147","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_147_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFundingArrangementsAndFundingPolicyThatAffectFutureContributions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"148","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_148_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfBenefitsProvidedByPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"139","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_139_a_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPlanAmendmentsCurtailmentsAndSettlements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"139","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_139_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingContributionOfDefinedBenefitPlansThatShareRisksBetweenVariousEntities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"149","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_149_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhySufficientInformationIsNotAvailableToAccountForMultiemployerPlanAsDefinedBenefitPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"148","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_148_d_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypeOfPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"139","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_139_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAdditionalInformationAboutDefinedBenefitPlansExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"137","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_137&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAnalysisOfPresentValueOfDefinedBenefitObligationThatDistinguishesNatureCharacteristicsAndRisksExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"137","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_137&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectOfAssetCeilingMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"140","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_140_a_iii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityInstrumentsAmountContributedToFairValueOfPlanAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimateOfContributionsExpectedToBePaidToPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"147","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_147_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimateOfContributionsExpectedToBePaidToPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"148","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_148_d_iii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesNetDefinedBenefitLiabilityAsset","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentFundsAmountContributedToFairValueOfPlanAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LevelOfParticipationOfEntityComparedWithOtherParticipatingEntities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"148","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_148_d_v&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MultiemployerDefinedBenefitPlansMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_33_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MultiemployerDefinedBenefitPlansMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_34_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherAssetsAmountContributedToFairValueOfPlanAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PlanAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"140","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_140_a_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PostemploymentBenefitExpenseDefinedContributionPlans","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_53&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PresentValueOfDefinedBenefitObligationMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"140","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_140_a_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyAmountContributedToFairValueOfPlanAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StateDefinedBenefitPlansMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StructuredDebtAmountContributedToFairValueOfPlanAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142_h&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TerminationBenefitsExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"171","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_171&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherLongtermBenefits","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"158","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_158&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfExpectedRatesOfInflation","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"144","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_144&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfExpectedRatesOfPensionIncreases","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"144","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_144&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfExpectedRatesOfSalaryIncreases","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"144","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_144&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfMedicalCostTrendRates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"144","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_144&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherMaterialActuarialAssumptions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"144","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_144&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfDiscountRates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"144","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_144&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfExpectedRatesOfInflationMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfExpectedRatesOfPensionIncreasesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfExpectedRatesOfSalaryIncreasesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfMedicalCostTrendRatesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherMaterialActuarialAssumptionsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfDiscountRatesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisForActuarialAssumptionsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisForActuarialAssumptionsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueOfPlanAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueOfPlanAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Level1OfFairValueHierarchyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Level2And3OfFairValueHierarchyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LevelsOfFairValueHierarchyAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AllLevelsOfFairValueHierarchyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInReimbursementRightsAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContributionsToPlanByPlanParticipantsNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContributionsToPlanNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContributionsToPlanByEmployerNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsFromPlanNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsInRespectOfSettlementsNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PaymentsInRespectOfSettlementsReimbursementRights","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughBenefitsPaidReimbursementRightsAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DefinedBenefitPlansMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDefinedBenefitPlansExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDefinedBenefitPlansTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DefinedBenefitPlansAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAmountsOfOtherAssetsUsedByEntityIncludedInFairValueOfPlanAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"143","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_143&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAmountsOfPropertyOccupiedByEntityIncludedInFairValueOfPlanAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"143","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_143&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAmountsOfEntitysOwnFinancialInstrumentsIncludedInFairValueOfPlanAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"143","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_143&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInformationAboutSurplusOrDeficitOfMultiemployerPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"148","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_148_d_iv&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImplicationsOfSurplusOrDeficitOnMultiemployerPlanForEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"148","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_148_d_iv&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisUsedToDetermineSurplusOrDeficitOfMultiemployerPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"148","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_148_d_iv&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangesInMethodsAndAssumptionsUsedInPreparingSensitivityAnalysisForActuarialAssumptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInMethodsAndAssumptionsUsedInPreparingSensitivityAnalysisForActuarialAssumptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRegulatoryFrameworkInWhichPlanOperates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"139","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_139_a_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfEffectOfRegulatoryFrameworkOnPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"139","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_139_a_ii&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnChangesInEffectOfLimitingNetDefinedBenefitAssetToAssetCeiling","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_c_iv&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnChangesInEffectOfLimitingReimbursementRightsToAssetCeiling","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_c_iv&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminedMaximumEconomicBenefitAvailable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_c_iv&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsAndAssumptionsUsedInPreparingSensitivityAnalysisForActuarialAssumptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLimitationsOfMethodsUsedInPreparingSensitivityAnalysisForActuarialAssumptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReimbursementRightsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"140","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_140_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReimbursementRightsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"140","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_140_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReimbursementRightsAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"140","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_140_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLinkBetweenReimbursementRightAndRelatedObligation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"140","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_140_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSignificantConcentrationsOfRiskRelatedToPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"139","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_139_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRisksToWhichPlanExposesEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"139","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_139_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutMaturityProfileOfDefinedBenefitObligationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"147","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_147_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNetDefinedBenefitLiabilityAssetTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"140","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_140_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilityAssetOfDefinedBenefitPlans","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"140","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_140_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetDefinedBenefitLiabilityAssetAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"140","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_140_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetDefinedBenefitLiabilityAssetMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"140","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_140_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNetDefinedBenefitLiabilityAssetExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"140","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_140_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnRemeasurementOfReimbursementRights","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnRemeasurementOfNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PastServiceCostAndGainsLossesArisingFromSettlementsNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PastServiceCostNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesArisingFromSettlementsNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInDefinedBenefitObligationDueToReasonablyPossibleIncreaseInActuarialAssumption","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleDecreaseInActuarialAssumption","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleIncreaseInActuarialAssumption","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInDefinedBenefitObligationDueToReasonablyPossibleDecreaseInActuarialAssumption","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughBusinessCombinationsAndDisposalsReimbursementRights","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_h&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughBusinessCombinationsAndDisposalsNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_h&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesReimbursementRightsAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInForeignExchangeRatesNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeReimbursementRights","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseIncomeNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PostemploymentBenefitExpenseDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"5","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_5&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherEmployeeExpense","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"5","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_5&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SocialSecurityContributions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_9&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WagesAndSalaries","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_9&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherShorttermEmployeeBenefits","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_9&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReturnOnReimbursementRights","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReturnOnPlanAssetsNetDefinedBenefitLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_c_i&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PlanAssetsAtFairValue","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"57","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_57_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SurplusDeficitInPlan","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"57","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_57_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DefinedBenefitObligationAtPresentValue","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"57","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_57_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentLiabilityArisingFromPostemploymentBenefitObligationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"152","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_152&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialGainsLossesArisingFromExperienceAdjustmentsNetDefinedBenefitLiabilityAsset","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfMortalityRates","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"144","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_144&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfMortalityRatesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfRetirementAgeMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfLifeExpectancyAfterRetirementMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"145","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_145&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DefinedBenefitPlansOtherThanMultiemployerPlansStatePlansAndPlansThatShareRisksBetweenEntitiesUnderCommonControlMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CharacteristicsOfDefinedBenefitPlansAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CharacteristicsOfDefinedBenefitPlansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FlatSalaryPensionDefinedBenefitPlansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinalSalaryPensionDefinedBenefitPlansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PostemploymentMedicalDefinedBenefitPlansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PensionDefinedBenefitPlansMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryEnvironmentsAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryEnvironmentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FundingArrangementsOfDefinedBenefitPlansAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FundingArrangementsOfDefinedBenefitPlansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WhollyUnfundedDefinedBenefitPlansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WhollyOrPartlyFundedDefinedBenefitPlansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GeographicalAreasAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GeographicalAreasMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReportableSegmentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"138","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_138_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageDurationOfDefinedBenefitObligation2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"147","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_147_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfLifeExpectancyAfterRetirement2019","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"144","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_144&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialAssumptionOfRetirementAge2019","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"144","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_144&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"QualifyingInsurancePoliciesAmountContributedToFairValueOfPlanAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndCashEquivalentsPercentageContributedToFairValueOfPlanAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityInstrumentsPercentageContributedToFairValueOfPlanAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DebtInstrumentsPercentageContributedToFairValueOfPlanAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RealEstatePercentageContributedToFairValueOfPlanAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142_d&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativesPercentageContributedToFairValueOfPlanAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142_e&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentFundsPercentageContributedToFairValueOfPlanAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142_f&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetbackedSecuritiesPercentageContributedToFairValueOfPlanAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142_g&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StructuredDebtPercentageContributedToFairValueOfPlanAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142_h&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"QualifyingInsurancePoliciesPercentageContributedToFairValueOfPlanAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherAssetsPercentageContributedToFairValueOfPlanAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"142","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_142&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimateOfBenefitPaymentsExpectedToBePaidFromDefinedBenefitPlan","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"147","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_147_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"147","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_147_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"147","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_147_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInNetDefinedBenefitLiabilityAssetResultingFromExpenseIncomeInProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInNetDefinedBenefitLiabilityAssetResultingFromAdministrationCostsNotReflectedInReturnOnPlanAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInNetDefinedBenefitLiabilityAssetResultingFromMiscellaneousOtherChanges","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"141","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_141&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PostemploymentBenefitExpenseDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdministrationCostsNotReflectedInReturnOnPlanAssetsDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentServiceCostDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseIncomeDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PastServiceCostAndLossesGainsArisingFromSettlementsDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PastServiceCostDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesArisingFromSettlementsDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReturnOnPlanAssetsExcludingInterestIncomeOrExpenseNetOfTaxDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialGainsLossesArisingFromChangesInDemographicAssumptionsNetOfTaxDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialGainsLossesArisingFromChangesInFinancialAssumptionsNetOfTaxDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialGainsLossesArisingFromExperienceAdjustmentsNetOfTaxDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnChangesInEffectOfLimitingNetDefinedBenefitAssetToAssetCeilingExcludingInterestIncomeOrExpenseNetOfTaxDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReturnOnPlanAssetsExcludingInterestIncomeOrExpenseBeforeTaxDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialGainsLossesArisingFromChangesInDemographicAssumptionsBeforeTaxDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialGainsLossesArisingFromChangesInFinancialAssumptionsBeforeTaxDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialGainsLossesArisingFromExperienceAdjustmentsBeforeTaxDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnChangesInEffectOfLimitingNetDefinedBenefitAssetToAssetCeilingExcludingInterestIncomeOrExpenseBeforeTaxDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDefinedContributionPlansExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_28&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PostemploymentBenefitExpenseInProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"5","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_5&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"QualifyingInsurancePoliciesAmountContributedToFairValueOfPlanAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_8&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"QualifyingInsurancePoliciesPercentageContributedToFairValueOfPlanAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_8&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"19","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=19&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfGovernmentGrantsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"20","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=20&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS20_g39-39_TI","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndExtentOfGovernmentGrantsRecognisedInFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"20","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=20&code=ifrs-tx-2021-en-r&anchor=para_39_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndicationOfOtherFormsOfGovernmentAssistanceWithDirectBenefitsForEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"20","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=20&code=ifrs-tx-2021-en-r&anchor=para_39_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfUnfulfilledConditionsAndOtherContingenciesAttachingToGovernmentAssistance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"20","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=20&code=ifrs-tx-2021-en-r&anchor=para_39_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromGovernmentGrantsClassifiedAsFinancingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"20","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=20&code=ifrs-tx-2021-en-r&anchor=para_28&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForGovernmentGrants","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"20","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=20&code=ifrs-tx-2021-en-r&anchor=para_39_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromGovernmentGrantsClassifiedAsInvestingActivities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"20","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=20&code=ifrs-tx-2021-en-r&anchor=para_28&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromGovernmentGrants","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"20","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=20&code=ifrs-tx-2021-en-r&anchor=para_39_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPresentationCurrency","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&anchor=para_53&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfExchangeDifferencesOnTranslationMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"52","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&anchor=para_52_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnExchangeDifferencesOnTranslationBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"48","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&anchor=para_48&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnExchangeDifferencesOnTranslationNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"48","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&anchor=para_48&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyPresentationCurrencyIsDifferentFromFunctionalCurrency","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&anchor=para_53&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFunctionalCurrency","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&anchor=para_53&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFunctionalCurrency","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"57","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&anchor=para_57_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfChangesInForeignExchangeRatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS21_g51-57_TI","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonForChangeInFunctionalCurrency","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&anchor=para_54&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnExchangeDifferencesOnTranslationRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"52","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&anchor=para_52_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfExchangeDifferencesOnTranslation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"52","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&anchor=para_52_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCurrencyInWhichSupplementaryInformationIsDisplayed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"57","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&anchor=para_57_b&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodsOfTranslationUsedToDetermineSupplementaryInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"57","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&anchor=para_57_c&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetForeignExchangeLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"52","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&anchor=para_52_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetForeignExchangeGain","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"52","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&anchor=para_52_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrencyInWhichInformationIsDisplayedAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"57","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&anchor=para_57_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FunctionalOrPresentationCurrencyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"57","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&anchor=para_57_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrencyInWhichSupplementaryInformationIsDisplayedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"57","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&anchor=para_57_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ForeignExchangeGain","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"52","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&anchor=para_52_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ForeignExchangeLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"21","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"52","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=21&code=ifrs-tx-2021-en-r&anchor=para_52_a&doctype=Standard","URIDate":"24/03/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfBorrowingCostsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"23","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=23&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS23_g26-26_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingCostsCapitalised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"23","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=23&code=ifrs-tx-2021-en-r&anchor=para_26_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalisationRateOfBorrowingCostsEligibleForCapitalisation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"23","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=23&code=ifrs-tx-2021-en-r&anchor=para_26_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfUltimateParentOfGroup","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_13&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfParentEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_13&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfRelationshipsBetweenParentsAndEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_13&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfMostSeniorParentEntityProducingPubliclyAvailableFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_13&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRelatedPartyExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"Disclosures","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS24_g13-24_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTransactionsBetweenRelatedPartiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_18&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"KeyManagementPersonnelCompensation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTransactionsBetweenRelatedPartiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_19&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CategoriesOfRelatedPartiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_19&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RelatedPartiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_19&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"KeyManagementPersonnelOfEntityOrParentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_19_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherRelatedPartiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_19_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTransactionsWithRelatedParty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_18&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfRelatedPartyRelationship","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_18&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionsForDoubtfulDebtsRelatedToOutstandingBalancesOfRelatedPartyTransaction","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_18_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseRecognisedDuringPeriodForBadAndDoubtfulDebtsForRelatedPartyTransaction","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_18_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfDetailsOfGuaranteesGivenOrReceivedOfOutstandingBalancesForRelatedPartyTransaction","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_18_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfTermsAndConditionsOfOutstandingBalancesForRelatedPartyTransaction","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_18_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SubsidiariesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_19_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_19_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchasesOfGoodsRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromSaleOfGoodsRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchasesOfPropertyAndOtherAssetsRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SalesOfPropertyAndOtherAssetsRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ServicesReceivedRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromRenderingOfServicesRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeasesAsLessorRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeasesAsLesseeRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOfResearchAndDevelopmentFromEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOfResearchAndDevelopmentToEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersUnderLicenseAgreementsFromEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersUnderLicenseAgreementsToEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersUnderFinanceAgreementsFromEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersUnderFinanceAgreementsToEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionOfGuaranteesOrCollateralByEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionOfGuaranteesOrCollateralToEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SettlementOfLiabilitiesByEntityOnBehalfOfRelatedPartyRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_j&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SettlementOfLiabilitiesOnBehalfOfEntityByRelatedPartyRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_j&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ParticipationInDefinedBenefitPlanThatSharesRisksBetweenGroupEntitiesRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_22&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsPayableRelatedPartyTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsPayableRelatedPartyTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_18_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsReceivableRelatedPartyTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_20&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsReceivableRelatedPartyTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_18_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ParentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_19_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointControlOrSignificantInfluenceMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_19_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"KeyManagementPersonnelCompensationPostemploymentBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_17_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"KeyManagementPersonnelCompensationTerminationBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_17_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"KeyManagementPersonnelCompensationSharebasedPayment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_17_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"KeyManagementPersonnelCompensationOtherLongtermBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_17_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"KeyManagementPersonnelCompensationShorttermEmployeeBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_17_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesWhereEntityIsVenturerMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_19_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhetherEntityAppliesExemptionInIAS2425","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_26&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfGovernmentAndNatureOfRelationshipWithGovernment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_26_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndAmountOfSignificantTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"26","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_26_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfOtherTransactionsThatAreCollectivelySignificant","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"26","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_26_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommitmentsMadeByEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureThatRelatedPartyTransactionsWereMadeOnTermsEquivalentToThoseThatPrevailInArmsLengthTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OutstandingCommitmentsMadeByEntityRelatedPartyTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_18_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OutstandingCommitmentsMadeOnBehalfOfEntityRelatedPartyTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_18_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommitmentsMadeOnBehalfOfEntityRelatedPartyTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_21_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForRelatedPartiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_19&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAmountsIncurredByEntityForProvisionOfKeyManagementPersonnelServicesProvidedBySeparateManagementEntitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_18A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAmountsIncurredByEntityForProvisionOfKeyManagementPersonnelServicesProvidedBySeparateManagementEntitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_18A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SeparateManagementEntitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_18A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SeparateManagementEntitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_18A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountIncurredByEntityForProvisionOfKeyManagementPersonnelServicesProvidedBySeparateManagementEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"24","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=24&code=ifrs-tx-2021-en-r&anchor=para_18A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxExpenseContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"viii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_b_viii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherExpenseByFunction","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_b_vii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_b_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdministrativeExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_b_vi&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisOfValuationOfAssetsAvailableForBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfDetailsOfInvestmentExceedingEitherFivePerCentOfNetAssetsAvailableForBenefitsOrFivePerCentOfAnyClassOrTypeOfSecurity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfDetailsOfAnyInvestmentInEmployer","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_a_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EmployerContributions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EmployeeContributions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BenefitsPaidOrPayable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_b_v&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitsLossesOnDisposalOfInvestmentsAndChangesInValueOfInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"ix","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_b_ix&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersFromToOtherRetirementBenefitPlans","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"x","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_b_x&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFundingPolicy","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActuarialPresentValueOfPromisedRetirementBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSignificantActuarialAssumptionsMadeAndMethodUsedToCalculateActuarialPresentValueOfPromisedRetirementBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRetirementBenefitPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_36&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NamesOfEmployersAndEmployeeGroupsCovered","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_36_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfParticipantsOfRetirementBenefitPlanReceivingBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_36_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhetherParticipantsContributeToRetirementBenefitPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_36_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypeOfRetirementBenefitPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_36_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRetirementBenefitsPromisedToParticipants","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_36_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAnyRetirementBenefitPlanTerminationTerms","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_36_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfChangesInDescriptionOfRetirementBenefitPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_36_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesOtherThanActuarialPresentValueOfPromisedRetirementBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_a_v&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsOfBenefitPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsLiabilitiesOfBenefitPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInNetAssetsAvailableForBenefits","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_35_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfOtherParticipantsOfRetirementBenefitPlan","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"26","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=26&code=ifrs-tx-2021-en-r&anchor=para_36_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SeparateMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_4&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsolidatedAndSeparateFinancialStatementsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_4&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsolidatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_4&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfConsolidatedAndSeparateFinancialStatementsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS27_g15-17_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfIdentificationOfFinancialStatementsToWhichSeparateFinancialStatementsRelate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOfEntityWhoseConsolidatedFinancialStatementsHaveBeenProducedForPublicUse","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyConsolidatedFinancialStatementsHaveNotBeenPrepared","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfEntityWhoseConsolidatedFinancialStatementsHaveBeenProducedForPublicUse","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfEntityWhoseConsolidatedFinancialStatementsHaveBeenProducedForPublicUse","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AddressWhereConsolidatedFinancialStatementsAreObtainable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfJointVenturesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfJointVenturesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInAssociatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInAssociatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInSubsidiariesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForAssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForJointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForSubsidiariesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantInvestmentsInAssociatesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantInvestmentsInSubsidiariesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SubsidiariesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfJointVenturesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfJointVenturesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInAssociatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInAssociatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInSubsidiariesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForAssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForJointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForSubsidiariesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantInvestmentsInAssociatesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantInvestmentsInSubsidiariesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SubsidiariesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOrResidenceOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOrResidenceOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOrResidenceOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOrResidenceOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsWhySeparateFinancialStatementsArePreparedIfNotRequiredByLaw","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsInJointVentures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_10&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsInSubsidiaries","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_10&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsInAssociates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_10&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodUsedToAccountForInvestmentsInJointVentures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodUsedToAccountForInvestmentsInSubsidiaries","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodUsedToAccountForInvestmentsInAssociates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodUsedToAccountForInvestmentsInJointVentures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodUsedToAccountForInvestmentsInSubsidiaries","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodUsedToAccountForInvestmentsInAssociates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingPowerHeldInAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingPowerHeldInSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingRightsHeldInJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_17_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingPowerHeldInAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingPowerHeldInSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingRightsHeldInJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatInvestmentEntityPreparesSeparateFinancialStatementsAsItsOnlyFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_16A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IdentificationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_18I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatUnadjustedComparativeInformationHasBeenPreparedOnDifferentBasis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_18I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfBasisOfPreparationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_18I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsInSubsidiariesJointVenturesAndAssociates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"27","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=27&code=ifrs-tx-2021-en-r&anchor=para_10&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfHyperinflationaryReportingExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"29","Section":"Disclosures","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=29&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS29_g39-40_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IdentityOfPriceIndex","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=29&code=ifrs-tx-2021-en-r&anchor=para_39_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PriceIndexMovements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=29&code=ifrs-tx-2021-en-r&anchor=para_39_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LevelOfPriceIndex","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=29&code=ifrs-tx-2021-en-r&anchor=para_39_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnNetMonetaryPosition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=29&code=ifrs-tx-2021-en-r&anchor=para_9&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactThatFinancialStatementsAndCorrespondingFiguresForPreviousPeriodsHaveBeenRestatedForChangesInGeneralPurchasingPowerOfFunctionalCurrency","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=29&code=ifrs-tx-2021-en-r&anchor=para_39_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasesOfFinancialStatementsThatHaveBeenRestatedForChangesInGeneralPurchasingPowerOfFunctionalCurrency","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=29&code=ifrs-tx-2021-en-r&anchor=para_39_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTransactionsAfterReportingPeriodWithSignificantChangeInNumberOfPotentialOrdinarySharesOutstanding","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_70_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageShares","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_70_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInstrumentsWithPotentialFutureDilutiveEffectNotIncludedInCalculationOfDilutedEarningsPerShareExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_70_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"66","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_66&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerShareFromDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"68","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_68&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEarningsPerShareExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS33_g70-73A_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTransactionsAfterReportingPeriodWithSignificantChangeInNumberOfOrdinarySharesOutstanding","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_70_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustedWeightedAverageShares","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_70_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossAttributableToOrdinaryEquityHoldersOfParentEntityIncludingDilutiveEffects","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_70_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromContinuingOperationsAttributableToOrdinaryEquityHoldersOfParentEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_70_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromDiscontinuedOperationsAttributableToOrdinaryEquityHoldersOfParentEntityIncludingDilutiveEffects","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_70_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromContinuingOperationsAttributableToOrdinaryEquityHoldersOfParentEntityIncludingDilutiveEffects","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_70_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromDiscontinuedOperationsAttributableToOrdinaryEquityHoldersOfParentEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_70_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossAttributableToOrdinaryEquityHoldersOfParentEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_70_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerShareFromContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"66","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_66&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"66","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_66&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerShareFromContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"66","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_66&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EarningsPerShareTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"66","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_66&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfOrdinarySharesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"66","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_66&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OrdinarySharesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"66","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_66&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerShareFromDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"68","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_68&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutiveEffectOfConvertibleInstrumentsOnNumberOfOrdinaryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_70_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutiveEffectOfShareOptionsOnNumberOfOrdinaryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_70_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAdjustmentsBetweenDenominatorsUsedToCalculateBasicAndDilutedEarningsPerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_70_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EarningsPerShareExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"66","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_66&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentToProfitLossForPreferenceShareDividends","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"Example 12 Calculation and presentation of basic and diluted earnings per share (comprehensive example)","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS33_ex12_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentToProfitLossForPreferenceShareDividends","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_70_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerShareFromContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_67&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerShareFromDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_67&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_67&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerShareFromContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_67&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerShareFromDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_67&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_67&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerShareIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_67&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerShareIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_67&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerShareFromContinuingOperationsIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_67&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerShareFromContinuingOperationsIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_67&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerShareFromDiscontinuedOperationsIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_67&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerShareFromDiscontinuedOperationsIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_67&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerInstrumentParticipatingEquityInstrumentsOtherThanOrdinaryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"A14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_A14&doctype=Appendix&subtype=A","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerInstrumentFromContinuingOperationsParticipatingEquityInstrumentsOtherThanOrdinaryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"A14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_A14&doctype=Appendix&subtype=A","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerInstrumentFromDiscontinuedOperationsParticipatingEquityInstrumentsOtherThanOrdinaryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"A14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_A14&doctype=Appendix&subtype=A","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerInstrumentParticipatingEquityInstrumentsOtherThanOrdinaryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"A14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_A14&doctype=Appendix&subtype=A","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerInstrumentFromContinuingOperationsParticipatingEquityInstrumentsOtherThanOrdinaryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"A14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_A14&doctype=Appendix&subtype=A","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerInstrumentFromDiscontinuedOperationsParticipatingEquityInstrumentsOtherThanOrdinaryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"A14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_A14&doctype=Appendix&subtype=A","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageNumberOfInstrumentsUsedInCalculatingBasicEarningsLossPerInstrumentParticipatingEquityInstrumentsOtherThanOrdinaryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"A14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_A14&doctype=Appendix&subtype=A","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageNumberOfInstrumentsUsedInCalculatingDilutedEarningsLossPerInstrumentParticipatingEquityInstrumentsOtherThanOrdinaryShares","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"A14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_A14&doctype=Appendix&subtype=A","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossAttributableToParticipatingEquityInstrumentsOtherThanOrdinarySharesUsedInCalculatingBasicEarningsLossPerInstrument","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"A14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_A14&doctype=Appendix&subtype=A","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossAttributableToParticipatingEquityInstrumentsOtherThanOrdinarySharesUsedInCalculatingBasicEarningsLossPerInstrument","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_70_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromContinuingOperationsAttributableToParticipatingEquityInstrumentsOtherThanOrdinarySharesUsedInCalculatingBasicEarningsLossPerInstrument","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"A14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_A14&doctype=Appendix&subtype=A","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromDiscontinuedOperationsAttributableToParticipatingEquityInstrumentsOtherThanOrdinarySharesUsedInCalculatingBasicEarningsLossPerInstrument","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"A14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_A14&doctype=Appendix&subtype=A","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossAttributableToParticipatingEquityInstrumentsOtherThanOrdinarySharesUsedInCalculatingDilutedEarningsLossPerInstrument","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"A14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_A14&doctype=Appendix&subtype=A","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromContinuingOperationsAttributableToParticipatingEquityInstrumentsOtherThanOrdinarySharesUsedInCalculatingDilutedEarningsLossPerInstrument","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"A14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_A14&doctype=Appendix&subtype=A","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromDiscontinuedOperationsAttributableToParticipatingEquityInstrumentsOtherThanOrdinarySharesUsedInCalculatingDilutedEarningsLossPerInstrument","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"A14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_A14&doctype=Appendix&subtype=A","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsToReconcileProfitLossAttributableToOwnersOfParentToNumeratorUsedInCalculatingBasicEarningsPerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_70_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsToProfitLossForInterestAndDividendsOnEquityInstrumentsOtherThanPreferenceSharesAndParticipatingEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_70_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseToProfitLossToReflectDilutiveEffectResultingFromAssumedConversionOfPotentialOrdinaryShares","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"33","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=33&code=ifrs-tx-2021-en-r&anchor=para_70_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterimFinancialReportingExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":"Content of an interim financial report","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS34_g5-25_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfComplianceWithIFRSsIfAppliedForInterimFinancialReport","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2021-en-r&anchor=para_19&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndAmountOfChangeInEstimateDuringFinalInterimPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2021-en-r&anchor=para_26&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAccountingPoliciesAndMethodsOfComputationFollowedInInterimFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2021-en-r&anchor=para_16A_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfSeasonalityOrCyclicalityOfInterimOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2021-en-r&anchor=para_16A_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndAmountOfItemsAffectingAssetsLiabilitiesEquityNetIncomeOrCashFlowsThatAreUnusualBecauseOfTheirNatureSizeOrIncidence","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2021-en-r&anchor=para_16A_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndAmountOfChangesInEstimatesOfAmountsReportedInPriorInterimPeriodsOrPriorFinancialYears","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2021-en-r&anchor=para_16A_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfIssuancesRepurchasesAndRepaymentsOfDebtAndEquitySecurities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2021-en-r&anchor=para_16A_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaidOrdinaryShares","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2021-en-r&anchor=para_16A_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfMaterialEventsSubsequentToEndOfInterimPeriodThatHaveNotBeenReflected","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2021-en-r&anchor=para_16A_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfChangesInCompositionOfEntityDuringInterimPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2021-en-r&anchor=para_16A_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSignificantEventsAndTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"15","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2021-en-r&anchor=para_15&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaidOtherShares","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2021-en-r&anchor=para_16A_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaidOrdinarySharesPerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2021-en-r&anchor=para_16A_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaidOtherSharesPerShare","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2021-en-r&anchor=para_16A_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCrossreferenceToDisclosuresPresentedOutsideInterimFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"34","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=34&code=ifrs-tx-2021-en-r&anchor=para_16A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"126","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_126&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"126","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_126&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsOtherThanGoodwillMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Goodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Goodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_135_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfImpairmentLossAndReversalOfImpairmentLossExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"126","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_126&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"126","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_126_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"129","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_129_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"126","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_126_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"129","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_129_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfImpairmentLossAndReversalOfImpairmentLossTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"126","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_126&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GoodwillMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfImpairmentOfAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS36_g126-137_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"126","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_126_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"129","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_129_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"126","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_126_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"129","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_129_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfGoodwillNotAllocatedToCashgeneratingUnitExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"133","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_133&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfMainEventsAndCircumstancesThatLedToRecognitionOfImpairmentLossesAndReversalsOfImpairmentLosses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"131","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_131_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfMainEventsAndCircumstancesThatLedToRecognitionOfImpairmentLossesAndReversalsOfImpairmentLosses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfMainClassesOfAssetsAffectedByImpairmentLossesOrReversalsOfImpairmentLosses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"131","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_131_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactThatCarryingAmountOfGoodwillOrIntangibleAssetsWithIndefiniteUsefulLivesIsNotSignificant","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_135&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationForEachMaterialImpairmentLossRecognisedOrReversedForIndividualAssetOrCashgeneratingUnitExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfIndividualAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_c_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReportableSegmentToWhichIndividualAssetBelongs","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_c_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCashgeneratingUnit","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_d_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCurrentAndFormerWayOfAggregatingAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_d_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationWhetherRecoverableAmountOfAssetIsFairValueLessCostsToSellOrValueInUse","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfDiscountRatesUsedInCurrentEstimateOfValueInUse","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfKeyAssumptionsOnWhichManagementHasBasedCashFlowProjections","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_d_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfKeyAssumptionsOnWhichManagementHasBasedCashFlowProjections","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_135_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfManagementsApproachToDeterminingValuesAssignedToKeyAssumptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_d_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfManagementsApproachToDeterminingValuesAssignedToKeyAssumptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_135_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfManagementsApproachToDeterminingValuesAssignedToKeyAssumptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_e_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfPeriodOverWhichManagementHasProjectedCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_d_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfPeriodOverWhichManagementHasProjectedCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_e_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfGrowthRateUsedToExtrapolateCashFlowProjections","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_d_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfGrowthRateUsedToExtrapolateCashFlowProjections","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfDiscountRatesAppliedToCashFlowProjections","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_d_v&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfDiscountRatesAppliedToCashFlowProjections","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_e_v&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountByWhichUnitsRecoverableAmountExceedsItsCarryingAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_f_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountByWhichUnitsRecoverableAmountExceedsItsCarryingAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_135_e_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfValueAssignedToKeyAssumption","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_f_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfValueAssignedToKeyAssumption","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_135_e_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountByWhichValueAssignedToKeyAssumptionMustChangeInOrderForUnitsRecoverableAmountToBeEqualToCarryingAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_f_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountByWhichValueAssignedToKeyAssumptionMustChangeInOrderForUnitsRecoverableAmountToBeEqualToCarryingAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_135_e_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndividualAssetsOrCashgeneratingUnitsWithSignificantAmountOfGoodwillOrIntangibleAssetsWithIndefiniteUsefulLivesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForCashgeneratingUnitsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForCashgeneratingUnitsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_135&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfKeyAssumptionsOnWhichManagementHasBasedDeterminationOfFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_e_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfValuationTechniquesUsedToMeasureFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherImpairedAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnallocatedGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"133","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_133&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregateNotSignificantIndividualAssetsOrCashgeneratingUnitsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_135&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactThatAggregateCarryingAmountOfGoodwillOrIntangibleAssetsWithIndefiniteUsefulLivesAllocatedToRecoverableAmountsIsSignificant","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_135&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationForEachMaterialImpairmentLossRecognisedOrReversedForIndividualAssetOrCashgeneratingUnitTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndividualAssetsOrCashgeneratingUnitsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndividualAssetsOrCashgeneratingUnitsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForIndividualAssetsOrCashgeneratingUnitsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangingWayCashgeneratingUnitIsIdentified","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_d_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfDiscountRatesUsedInPreviousEstimateOfValueInUse","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationForIndividualAssetOrCashgeneratingUnitWithSignificantAmountOfGoodwillOrIntangibleAssetsWithIndefiniteUsefulLivesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationForIndividualAssetOrCashgeneratingUnitWithSignificantAmountOfGoodwillOrIntangibleAssetsWithIndefiniteUsefulLivesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndividualAssetsOrCashgeneratingUnitsWithSignificantAmountOfGoodwillOrIntangibleAssetsWithIndefiniteUsefulLivesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInStatementOfComprehensiveIncomeInWhichImpairmentLossesRecognisedInProfitOrLossAreIncluded","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"126","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_126_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInStatementOfComprehensiveIncomeInWhichImpairmentLossesRecognisedInProfitOrLossAreReversed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"126","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_126_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsWithIndefiniteUsefulLife","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsWithIndefiniteUsefulLife","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_135_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfJustificationForUsingGrowthRateThatExceedsLongtermAverageGrowthRate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_d_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLevelOfFairValueHierarchyWithinWhichFairValueMeasurementIsCategorised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"iiA","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_e_iiA&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_d_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_d_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_d_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_d_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_d_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfImpairmentLossRecognisedOrReversedByClassOfAssetsAndByReportableSegment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_d_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfImpairmentLossRecognisedOrReversedTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_d_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisOnWhichUnitsRecoverableAmountHasBeenDetermined","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplorationAndEvaluationAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsAccountedForUsingEquityMethodMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangeInValuationTechniqueUsedToMeasureFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"iiB","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_e_iiB&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangeInValuationTechniqueUsedToMeasureFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"134","SubParagraph":null,"Clause":"iiB","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_134_e_iiB&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DiscountRateUsedInCurrentMeasurementOfFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_f_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RecoverableAmountOfAssetOrCashgeneratingUnit","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfValuationTechniquesUsedToMeasureFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_f_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfKeyAssumptionsOnWhichManagementHasBasedDeterminationOfFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_f_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DiscountRateUsedInPreviousMeasurementOfFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_f_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangeInValuationTechniqueUsedToMeasureFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_f_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangeInValuationTechniqueUsedToMeasureFairValueLessCostsOfDisposal","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_f_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLevelOfFairValueHierarchyWithinWhichFairValueMeasurementIsCategorised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"36","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=36&code=ifrs-tx-2021-en-r&anchor=para_130_f_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfContingentLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"86","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_86&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherProvisionsContingentLiabilitiesAndContingentAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS37_g84-92_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermRestructuringProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_70&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermWarrantyProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"Example 1 Warranties","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex1__IAS37_IE_C_ex1_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermLegalProceedingsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"Example 10 A court case","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex10__IAS37_IE_C_ex10_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LegalProceedingsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"Example 10 A court case","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex10__IAS37_IE_C_ex10_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermWarrantyProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"Example 1 Warranties","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex1__IAS37_IE_C_ex1_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WarrantyProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"Example 1 Warranties","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex1__IAS37_IE_C_ex1_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermRestructuringProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_70&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermLegalProceedingsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"Example 10 A court case","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex10__IAS37_IE_C_ex10_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestructuringProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_70&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionalProvisionsOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionUsedOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnusedProvisionReversedOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEstimatedFinancialEffectOfContingentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_89&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfContingentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_89&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutContingentAssetsThatDisclosureIsNotPracticable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_91&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutContingentLiabilitiesThatDisclosureIsNotPracticable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_91&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfReasonForNondisclosureOfInformationRegardingProvision","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfReasonForNondisclosureOfInformationRegardingContingentLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfReasonForNondisclosureOfInformationRegardingContingentAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherProvisionsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfProvisionsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfObligationOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_85_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExpectedTimingOfOutflowsOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_85_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndicationOfUncertaintiesOfAmountOrTimingOfOutflowsOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_85_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetRecognisedForExpectedReimbursementOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_85_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedReimbursementOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_85_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherProvisionsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestructuringProvisionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"70","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_70&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LegalProceedingsProvisionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"Example 10 A court case","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex10__IAS37_IE_C_ex10_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MiscellaneousOtherProvisionsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfContingentLiabilitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"86","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_86&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfContingentLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"86","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_86&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentLiabilitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"88","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_88&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WarrantyContingentLiabilityMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"88","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_88&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestructuringContingentLiabilityMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"88","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_88&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LegalProceedingsContingentLiabilityMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"88","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_88&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OnerousContractsContingentLiabilityMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"88","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_88&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentLiabilityForDecommissioningRestorationAndRehabilitationCostsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"88","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_88&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherContingentLiabilitiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"88","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_88&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfObligationContingentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"86","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_86&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFinancialEffectOfContingentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"86","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_86_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfPossibilityOfReimbursementContingentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"86","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_86_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndicationOfUncertaintiesOfAmountOrTimingOfOutflowsContingentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"86","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_86_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOtherProvisionsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RefundsProvisionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"Example 4 Refunds policy","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex4__IAS37_IE_C_ex4_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentRefundsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"Example 4 Refunds policy","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex4__IAS37_IE_C_ex4_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentRefundsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"Example 4 Refunds policy","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex4__IAS37_IE_C_ex4_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RefundsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"Example 4 Refunds policy","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex4__IAS37_IE_C_ex4_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermProvisionForDecommissioningRestorationAndRehabilitationCosts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"D Examples: disclosures","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_D__IAS37_IE_D_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangeInDiscountRateOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInExistingProvisionsOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMajorAssumptionsMadeConcerningFutureEventsOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_85_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTimeValueOfMoneyAdjustmentOtherProvisions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentLiabilitiesOfJointVentureMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"88","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_88&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfContingentLiabilitiesOfAssociatesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"88","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_88&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermProvisionForDecommissioningRestorationAndRehabilitationCosts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"D Examples: disclosures","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_D__IAS37_IE_D_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionForDecommissioningRestorationAndRehabilitationCosts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"D Examples: disclosures","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_D__IAS37_IE_D_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionForDecommissioningRestorationAndRehabilitationCostsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"D Examples: disclosures","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_D__IAS37_IE_D_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatedFinancialEffectOfContingentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"86","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_86_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatedFinancialEffectOfContingentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_89&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NewProvisionsOtherProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxContingentLiabilityMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"88","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_88&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherEnvironmentRelatedContingentLiabilityMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"88","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_88&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentLiabilityForGuaranteesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"88","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_88&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionForTaxesOtherThanIncomeTaxMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionForCreditCommitmentsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesOtherProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersAndOtherChangesOtherProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherEnvironmentRelatedProvisionMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughLossOfControlOfSubsidiaryOtherProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughTransferToLiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSaleOtherProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsOtherProvisions","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"84","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_84&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OnerousContractsProvisionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"66","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_66&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermOnerousContractsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"66","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_66&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermOnerousContractsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"66","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_66&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OnerousContractsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"66","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_66&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RefundsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"87","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_87&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentRefundsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"87","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_87&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RefundsProvisionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"87","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_87&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentRefundsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"87","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_87&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LegalProceedingsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"87","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_87&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermLegalProceedingsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"87","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_87&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermLegalProceedingsProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"87","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_87&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LegalProceedingsProvisionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"87","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_87&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermWarrantyProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"87","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_87&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermWarrantyProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"87","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_87&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WarrantyProvision","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"87","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_87&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WarrantyProvisionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"87","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_87&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionForDecommissioningRestorationAndRehabilitationCostsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"87","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_87&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionForDecommissioningRestorationAndRehabilitationCosts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"87","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_87&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermProvisionForDecommissioningRestorationAndRehabilitationCosts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"87","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_87&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermProvisionForDecommissioningRestorationAndRehabilitationCosts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"87","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_87&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WarrantyProvisionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"Example 1 Warranties","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS37_IE_C_ex1__IAS37_IE_C_ex1_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OnerousContractsCostOfFulfillingContractMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_105&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatNewOrAmendedIFRSStandardIsAppliedEarly","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"37","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=37&code=ifrs-tx-2021-en-r&anchor=para_105&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevaluationSurplus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"85","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_85&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossCarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAmortisationAndImpairmentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsOtherThanGoodwillMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsWithIndefiniteUsefulLife","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_122_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIntangibleAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS38_g118-128_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e_vii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmortisationMethodIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsOtherThanThroughBusinessCombinationsIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmortisationIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e_vi&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalsIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LineItemsIncludingAmortisationOfIntangibleAssetsIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLossIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e_v&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualCommitmentsForAcquisitionOfIntangibleAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_122_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionAndCarryingAmountOfIntangibleAssetsMaterialToEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_122_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIntangibleAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfIntangibleAssetsOtherThanGoodwillAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsAcquiredByWayOfGovernmentGrantAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_122_c_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsAcquiredByWayOfGovernmentGrant","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_122_c_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsWhoseTitleIsRestricted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_122_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsPledgedAsSecurityForLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_122_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ResearchAndDevelopmentExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"126","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_126&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutIntangibleAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevaluationIncreaseDecreaseIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsOtherThanGoodwillRevaluationSurplus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_124_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsOtherThanGoodwillCarryingAmountOfRevaluedAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_124_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsOtherThanGoodwillCarryingAmountAtCostOfRevaluedAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_124_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectiveDatesOfRevaluationIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_124_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFullyAmortisedIntangibleAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_128_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSignificantIntangibleAssetsControlledByEntityButNotRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_128_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAssetsAcquiredByWayOfGovernmentGrantAndInitiallyRecognisedAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_122_c_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughClassifiedAsHeldForSaleIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInOtherComprehensiveIncomeIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInOtherComprehensiveIncomeIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfRestrictionsOnDistributionOfRevaluationSurplusForIntangibleAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_124_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsMaterialToEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_122_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsAndGoodwillMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"viii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e_viii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e_vii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalsIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"viii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e_viii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BrandNames","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MastheadsAndPublishingTitles","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComputerSoftware","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LicencesAndFranchises","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CopyrightsPatentsAndOtherIndustrialPropertyRightsServiceAndOperatingRights","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RecipesFormulaeModelsDesignsAndPrototypes","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsUnderDevelopment","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BrandNamesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MastheadsAndPublishingTitlesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComputerSoftwareMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LicencesAndFranchisesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CopyrightsPatentsAndOtherIndustrialPropertyRightsServiceAndOperatingRightsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RecipesFormulaeModelsDesignsAndPrototypesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsUnderDevelopmentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInIntangibleAssetsAndGoodwillExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInIntangibleAssetsAndGoodwillTable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfIntangibleAssetsAndGoodwillAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughClassifiedAsHeldForSaleIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionAndCarryingAmountOfIntangibleAssetsWithIndefiniteUsefulLife","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_122_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MiningRightsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIntangibleAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIntangibleAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleExplorationAndEvaluationAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CustomerrelatedIntangibleAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalisedDevelopmentExpenditureMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ValueOfBusinessAcquiredMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetirementsIntangibleAssetsOtherThanGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RetirementsIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalsAndRetirementsIntangibleAssetsOtherThanGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalsAndRetirementsIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughLossOfControlOfSubsidiaryIntangibleAssetsOtherThanGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersIntangibleAssetsOtherThanGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersAndOtherChangesIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughLossOfControlOfSubsidiaryIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersIntangibleAssetsAndGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersAndOtherChangesIntangibleAssetsOtherThanGoodwill","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIntangibleAssetsWithIndefiniteUsefulLifeExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_122_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIntangibleAssetsWithIndefiniteUsefulLifeTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_122_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsWithIndefiniteUsefulLifeAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_122_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsWithIndefiniteUsefulLifeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_122_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIntangibleAssetsMaterialToEntityExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_122_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIntangibleAssetsMaterialToEntityTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_122_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsMaterialToEntityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_122_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsMaterialToEntityMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_122_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GSMLicencesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UMTSLicencesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LTELicencesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAndAmortisationMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedImpairmentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodsOfGenerationAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodsOfGenerationMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternallyGeneratedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotInternallyGeneratedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AirportLandingRightsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatUnadjustedComparativeInformationHasBeenPreparedOnDifferentBasis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_130I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfBasisOfPreparationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_130I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IdentificationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_130I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TechnologybasedIntangibleAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BroadcastingRightsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ServiceConcessionRightsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LicencesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FranchisesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GamingLicencesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmortisationRateIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UsefulLifeMeasuredAsPeriodOfTimeIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UsefulLifeMeasuredInProductionOrOtherSimilarUnitsIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfUsefulLifeIntangibleAssetsOtherThanGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_118_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RemainingAmortisationPeriodOfIntangibleAssetsMaterialToEntity2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"38","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=38&code=ifrs-tx-2021-en-r&anchor=para_122_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"76","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_76&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"76","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_76&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"76","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_76&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfContractualObligationsToPurchaseConstructOrDevelopInvestmentPropertyOrForRepairsMaintenanceOrEnhancements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"75","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_75_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfRestrictionsOnRemittanceOfIncomeAndDisposalProceedsOfInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"75","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_75_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExtentToWhichFairValueOfInvestmentPropertyIsBasedOnValuationByIndependentValuer","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"75","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_75_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsOtherThanThroughBusinessCombinationsInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"76","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_76_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsOtherThanThroughBusinessCombinationsInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_d_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"76","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_76&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFairValueAdjustmentInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"76","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_76_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"76","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_76_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_d_vi&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"76","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_76_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_d_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInvestmentPropertyTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_32A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInvestmentPropertyExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS40_g74-79_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MeasurementAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_32A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AtCostMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_32A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AtFairValueMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_32A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedMeasurementMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_32A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"viii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_d_viii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"76","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_76_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutInvestmentPropertyExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_32A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransferFromToInventoriesAndOwnerOccupiedPropertyInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"76","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_76_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransferFromToInventoriesAndOwnerOccupiedPropertyInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_d_vii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLossInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"76","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_76_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLossInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_d_v&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"76","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_76_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_d_v&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsFromAcquisitionsInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"76","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_76_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsFromAcquisitionsInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_d_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsFromSubsequentExpenditureRecognisedAsAssetInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"76","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_76_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsFromSubsequentExpenditureRecognisedAsAssetInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_d_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_d_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"76","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_76&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationWhyFairValueCannotBeReliablyMeasuredForInvestmentPropertyCostModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_e_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CumulativeChangeInFairValueRecognisedInProfitOrLossOnSalesOfInvestmentPropertyBetweenPoolsOfAssetsMeasuredUsingDifferentModels","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"75","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_75_f_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DirectOperatingExpenseFromInvestmentPropertyGeneratingRentalIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"75","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_75_f_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ModelUsedToMeasureInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"75","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_75_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RentalIncomeFromInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"75","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_75_f_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughClassifiedAsHeldForSaleInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"76","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_76_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughClassifiedAsHeldForSaleInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_d_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalsInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"76","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_76_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalsInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_d_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantAdjustmentsToValuationObtainedExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"77","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_77&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangeOfEstimatesWithinWhichFairValueIsLikelyToLieForInvestmentPropertyCostModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_e_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInvestmentPropertyWhereFairValueInformationIsUnreliableCostModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_e_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationMethodInvestmentPropertyCostModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCriteriaUsedToDistinguishInvestmentPropertyFromOwneroccupiedPropertyAndFromPropertyHeldSaleInOrdinaryCourseOfBusiness","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"75","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_75_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DirectOperatingExpenseFromInvestmentPropertyNotGeneratingRentalIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"75","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_75_f_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueModelMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_32A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestrictionsOnRealisabilityOfInvestmentPropertyOrRemittanceOfIncomeAndProceedsOfDisposalOfInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"75","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_75_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAndAmortisationMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedImpairmentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossCarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAmortisationAndImpairmentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DirectOperatingExpenseFromInvestmentProperty","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"75","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_75_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransferFromInvestmentPropertyUnderConstructionOrDevelopmentInvestmentProperty","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"76","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_76&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransferFromInvestmentPropertyUnderConstructionOrDevelopmentInvestmentProperty","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AtCostOrInAccordanceWithIFRS16WithinFairValueModelMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_78&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInvestmentPropertyAtCostOrInAccordanceWithIFRS16WithinFairValueModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_78_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfDisposalOfInvestmentPropertyCarriedAtCostOrInAccordanceWithIFRS16WithinFairValueModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_78_d_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhyFairValueCannotBeReliablyMeasuredForInvestmentPropertyAtCostOrInAccordanceWithIFRS16WithinFairValueModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnDisposalsOfInvestmentPropertyCarriedAtCostOrInAccordanceWithIFRS16WithinFairValueModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_78_d_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentPropertyCarriedAtCostOrInAccordanceWithIFRS16WithinFairValueModelAtTimeOfSale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_78_d_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangeOfEstimatesWithinWhichFairValueIsLikelyToLieForInvestmentPropertyAtCostOrInAccordanceWithIFRS16WithinFairValueModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_78_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationRateInvestmentPropertyCostModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UsefulLifeMeasuredAsPeriodOfTimeInvestmentPropertyCostModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfUsefulLifeInvestmentPropertyCostModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"40","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"79","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=40&code=ifrs-tx-2021-en-r&anchor=para_79_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossCarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_54_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAmortisationAndImpairmentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_54_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_54_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MeasurementAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AtCostMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AtCostMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AtFairValueMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedMeasurementMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"41","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_41&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationMethodBiologicalAssetsAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_54_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationWhyFairValueCannotBeReliablyMeasuredForBiologicalAssetsAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_54_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersAndOtherChangesBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFairValueAdjustmentBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalsBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseDueToHarvestBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInBiologicalAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInBiologicalAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnInitialRecognitionOfBiologicalAssetsForCurrentPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"40","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_40&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNonfinancialMeasuresOrEstimatesOfBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"46","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_46_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfActivitiesOfBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"46","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_46_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommitmentsForDevelopmentOrAcquisitionOfBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"49","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_49_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFinancialRiskManagementRelatedToAgriculturalActivity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"49","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_49_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangeOfEstimatesWithinWhichFairValueIsLikelyToLieForBiologicalAssetsAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_54_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBiologicalAssetsWhereFairValueInformationIsUnreliable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_54_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalOfImpairmentLossRecognisedInProfitOrLossBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_55_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_55_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_55_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfChangeForBiologicalAssetForWhichFairValueBecomesReliablyMeasurable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"56","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_56_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBiologicalAssetsPreviouslyMeasuredAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"56","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_56_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationWhyFairValueBecomesReliableForBiologicalAssetsPreviouslyMeasuredAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"56","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_56_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfSignificantDecreaseInLevelOfGovernmentGrantsForAgriculturalActivity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"57","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_57_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndExtentOfGovernmentGrantsForAgriculturalActivityRecognisedInFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"57","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_57_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfUnfulfilledConditionsAndOtherContingenciesAttachedToGovernmentGrantForAgriculturalActivity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"57","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_57_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsWhoseTitleIsRestricted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"49","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_49_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfBiologicalAssetsAndGovernmentGrantsForAgriculturalActivityExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IAS41_g39-57_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFairValueAdjustmentAttributableToPhysicalChangesBiologicalAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"51","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_51&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFairValueAdjustmentAttributableToPhysicalChangesBiologicalAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"Example 1 XYZ Dairy Ltd","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS41_IE_ex1__IAS41_IE_ex1_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFairValueAdjustmentAttributableToPriceChangesBiologicalAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"51","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_51&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFairValueAdjustmentAttributableToPriceChangesBiologicalAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"Example 1 XYZ Dairy Ltd","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&doctype=Illustrative%20Examples&dita_xref=IAS41_IE_ex1__IAS41_IE_ex1_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughClassifiedAsHeldForSaleBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnChangeInFairValueEstimatesOfBiologicalAssetsForCurrentPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"40","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_40&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsPledgedAsSecurityForLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"49","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_49_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedDepreciationAndAmortisationMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_54_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedImpairmentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_54_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutBiologicalAssetsExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"43","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_43&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutBiologicalAssetsTable","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"43","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_43&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsByTypeAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"43","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_43&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsTypeMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"43","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_43&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsumableBiologicalAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"43","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_43&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BearerBiologicalAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"43","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_43&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsByAgeAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"43","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_43&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsAgeMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"43","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_43&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MatureBiologicalAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"43","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_43&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImmatureBiologicalAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"43","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_43&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"43","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_43&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsByGroupAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"41","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_41&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsGroupMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"41","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_41&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LivingAnimalsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"41","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_41&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PlantsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"41","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_41&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentBiologicalAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentBiologicalAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutAgriculturalProduceExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"46","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_46_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutAgriculturalProduceTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"46","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_46_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AgriculturalProduceByGroupAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"46","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_46_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AgriculturalProduceGroupMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"46","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_46_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OutputOfAgriculturalProduce","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"46","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_46_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AreaOfLandUsedForAgriculture","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"46","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_46_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfLivingAnimals","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"46","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_46_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromGovernmentGrantsRelatedToAgriculturalActivity","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"57","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_57_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsFromSubsequentExpenditureRecognisedAsAssetBiologicalAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsFromPurchasesBiologicalAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BiologicalAssetsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsOtherThanThroughBusinessCombinationsBiologicalAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationRateBiologicalAssetsAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_54_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UsefulLifeMeasuredAsPeriodOfTimeBiologicalAssetsAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_54_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UsefulLifeMeasuredInProductionOrOtherSimilarUnitsBiologicalAssetsAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_54_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfUsefulLifeBiologicalAssetsAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"54","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_54_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnnualImprovements201820AmendmentsToIAS41Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"65","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_65&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatNewOrAmendedIFRSStandardIsAppliedEarly","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"65","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_65&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnnualImprovementsToIFRSStandards201820Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IAS","Topic":null,"SubTopic":null,"Number":"41","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"65","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IAS&num=41&code=ifrs-tx-2021-en-r&anchor=para_65&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRedemptionProhibitionTransferBetweenFinancialLiabilitiesAndEquityExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"2","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=2&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRIC02_g13-13_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TimingAndReasonForTransferBetweenFinancialLiabilitiesAndEquityAttributableToChangeInRedemptionProhibition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=2&code=ifrs-tx-2021-en-r&anchor=para_13&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransferBetweenFinancialLiabilitiesAndEquityAttributableToChangeInRedemptionProhibition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=2&code=ifrs-tx-2021-en-r&anchor=para_13&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterestInFundsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"5","Section":"Consensus","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=5&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRIC05_g7-13_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestrictionsOnAccessToAssetsInFunds","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=5&code=ifrs-tx-2021-en-r&anchor=para_11&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfInterestInFunds","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRIC","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRIC&num=5&code=ifrs-tx-2021-en-r&anchor=para_11&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevaluationSurplusMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_IG10&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Equity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_24_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Equity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_32_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_32_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_24_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_24_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_32_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfComparativeInformationPreparedUnderPreviousGAAPExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_24&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfTransitionOnReportedFinancialPosition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfTransitionOnReportedFinancialPerformance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfTransitionOnReportedCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfTransitionOnReportedCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PreviousGAAPMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_24&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PreviousGAAPMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_30&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PreviousGAAPMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_29&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialEffectOfTransitionFromPreviousGAAPToIFRSsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_24&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IFRSsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_24&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectOfTransitionToIFRSsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_24&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfComparativeInformationPreparedUnderPreviousGAAPTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_24&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFirstTimeAdoptionExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"Presentation and disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS01_g20-33_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactThatFinancialStatementsForPreviousPeriodsNotPresented","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_28&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentToCarryingAmountsReportedUnderPreviousGAAP","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_31_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeemedCostOfInvestmentsForWhichDeemedCostIsFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_31_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeemedCostOfInvestmentsForWhichDeemedCostIsPreviousGAAPCarryingAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_31_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOrCrossReferencesToInterimFinancialStatementDisclosuresForFirsttimeAdopter","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_33&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregateOfFairValuesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_30_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregateAdjustmentToCarryingValueReportedUnderPreviousGAAPMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_30_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValuesOfItemsUsedAsDeemedCostExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_30&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactAndBasisOnWhichCarryingAmountsWereDeterminedIfEntityUsesExemptionInIFRS1D8B","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_31B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactAndBasisOnWhichCarryingAmountsDeterminedUnderPreviousGAAPWereAllocatedIfEntityUsesExemptionInIFRS1D8Ab","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_31A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfHowAndWhyEntityHadAndCeasedToHaveFunctionalCurrencyForWhichReliableGeneralPriceIndexIsNotAvailableAndNoExchangeabilityWithStableForeignCurrencyExists","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_31C&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RedesignatedAmountMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_29&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetAssetsLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG63","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_IG63&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRedesignatedFinancialAssetsAndLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_29&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RedesignatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_29&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRedesignatedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_29&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RedesignatedFinancialAssetAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_29&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRedesignatedFinancialAssetsAndLiabilitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_29&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RedesignationAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_29&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValuesOfItemsUsedAsDeemedCostTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_30&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueAsDeemedCostAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_30&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetFairValueUsedAsDeemedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_30&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentFairValueUsedAsDeemedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_30&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentPropertyFairValueUsedAsDeemedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_30&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyEntityStoppedApplyingIFRSs","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_23A_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyEntityIsResumingApplicationOfIFRSs","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_23A_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfReasonsWhyEntityElectedToApplyIFRSsAsIfItHadNeverStoppedApplyingIFRSs","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_23B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfMainAdjustmentsThatWouldMakeHistoricalSummariesOrComparativeInformationPresentedInAccordanceWithPreviousGAAPComplyWithIFRSs","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_22_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatComparativeInformationDoesNotComplyWithIFRS7AndIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"E2","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_E2_b&doctype=Appendix&subtype=E","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisUsedToPrepareComparativeInformationThatDoesNotComplyWithIFRS7AndIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"E2","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_E2_b&doctype=Appendix&subtype=E","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RedesignatedFinancialLiabilityAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_29A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRedesignatedFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_29A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RightofuseAssetFairValueUsedAsDeemedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_30&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RedesignatedFinancialAssetAsAvailableforsale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2017-en-b&anchor=para_29&doctype=Standard&forcepdf=true","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RedesignatedFinancialLiabilityAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2017-en-b&anchor=para_29&doctype=Standard&forcepdf=true","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRedesignatedFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2017-en-b&anchor=para_29&doctype=Standard&forcepdf=true","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnnualImprovementsToIFRSStandards201820Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39AG","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_39AG&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnnualImprovements201820AmendmentsToIFRS1Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39AG","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_39AG&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatNewOrAmendedIFRSStandardIsAppliedEarly","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"1","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39AG","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=1&code=ifrs-tx-2021-en-r&anchor=para_39AG&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangeAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BottomOfRangeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TopOfRangeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNumberAndWeightedAverageExercisePricesOfShareOptionsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSharebasedPaymentArrangementsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"44","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_44&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesFromSharebasedPaymentTransactions2011","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"51","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_51_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfShareOptionsInSharebasedPaymentArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfVestingRequirementsForSharebasedPaymentArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMaximumTermOfOptionsGrantedForSharebasedPaymentArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodOfSettlementForSharebasedPaymentArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTermsAndConditionsOfSharebasedPaymentArrangementExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTermsAndConditionsOfSharebasedPaymentArrangementTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfSharebasedPaymentArrangementsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SharebasedPaymentArrangementsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeterminationOfFairValueOfGoodsOrServicesReceivedOrFairValueOfEquityInstrumentsGrantedOnSharebasedPayments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"46","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_46&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfDirectMeasurementOfFairValueOfGoodsOrServicesReceived","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"48","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_48&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyFairValueOfGoodsOrServicesReceivedCannotEstimateReliable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"49","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_49&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfSharebasedPaymentsOnFinancialPositions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntrinsicValueOfLiabilitiesFromSharebasedPaymentTransactionsForWhichCounterpartysRightToCashOrOtherAssetsVested2011","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"51","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_51_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionalInformationAboutSharebasedPaymentArrangements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"52","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_52&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIndirectMeasurementOfFairValueOfGoodsOrServicesReceivedShareOptionsGrantedDuringPeriodExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIndirectMeasurementOfFairValueOfGoodsOrServicesReceivedOtherEquityInstrumentsGrantedDuringPeriodExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfIndirectMeasurementOfFairValueOfGoodsOrServicesReceivedSharebasedPaymentArrangementsModifiedDuringPeriodExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOfGrantOfSharebasedPaymentArrangement","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_IG23&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfOptionPricingModelShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutHowExpectedVolatilityWasDeterminedShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationWhetherAndHowOtherFeaturesWereIncorporatedIntoMeasurementOfFairValueShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutHowFairWasDeterminedIfNotOnBasisOfObservableMarketOtherEquityInstrumentsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationWhetherAndHowExpectedDividendsWereIncorporatedIntoMeasurementOfFairValueOtherEquityInstrumentsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationWhetherAndHowOtherFeaturesWereIncorporatedIntoMeasurementOfFairValueOtherEquityInstrumentsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfModificationsModifiedSharebasedPaymentArrangements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_c_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncrementalFairValueGrantedModifiedSharebasedPaymentArrangements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_c_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationOnHowIncrementalFairValueGrantedWasMeasuredModifiedSharebasedPaymentArrangements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_c_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseFromEquitysettledSharebasedPaymentTransactionsInWhichGoodsOrServicesReceivedDidNotQualifyForRecognitionAsAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"51","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_51_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfSharebasedPaymentsOnProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageFairValueAtMeasurementDateShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutHowFairValueWasMeasuredShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfInstrumentsOtherEquityInstrumentsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageFairValueAtMeasurementDateOtherEquityInstrumentsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationHowFairValueWasMeasuredOtherEquityInstrumentsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInputsToOptionPricingModelShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExpectedVolatilityShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfOptionLifeShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedDividendShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRiskFreeInterestRateShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfOtherInputsToOptionsPricingModelShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodUsedAndAssumptionsMadeToIncorporateEffectsOfExpectedEarlyExerciseShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseFromSharebasedPaymentTransactionsInWhichGoodsOrServicesReceivedDidNotQualifyForRecognitionAsAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"51","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_51_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfOutstandingShareOptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfOutstandingShareOptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfOutstandingShareOptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_b_vi&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfInstrumentsGrantedInSharebasedPaymentArrangement","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_IG23&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRangeOfExercisePricesOfOutstandingShareOptionsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRangeOfExercisePricesOfOutstandingShareOptionsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfShareOptionsGrantedInSharebasedPaymentArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfShareOptionsForfeitedInSharebasedPaymentArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfShareOptionsExercisedInSharebasedPaymentArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_b_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfShareOptionsExpiredInSharebasedPaymentArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_b_v&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfShareOptionsExercisableInSharebasedPaymentArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_b_vii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNumberAndWeightedAverageRemainingContractualLifeOfOutstandingShareOptionsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNumberAndWeightedAverageRemainingContractualLifeOfOutstandingShareOptionsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangesOfExercisePricesForOutstandingShareOptionsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangesOfExercisePricesForOutstandingShareOptionsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedDividendAsPercentageShareOptionsGranted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfOtherEquityInstrumentsOutstandingInSharebasedPaymentArrangement","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfInstrumentsOtherEquityInstrumentsGranted","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfOtherEquityInstrumentsForfeitedInSharebasedPaymentArrangement","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfOtherEquityInstrumentsExercisedOrVestedInSharebasedPaymentArrangement","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfOtherEquityInstrumentsExpiredInSharebasedPaymentArrangement","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfOtherEquityInstrumentsExercisableInSharebasedPaymentArrangement","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNumberAndWeightedAverageExercisePricesOfOtherEquityInstrumentsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfInstrumentsGrantedInSharebasedPaymentArrangement","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOfGrantOfSharebasedPaymentArrangement","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageRemainingContractualLifeOfOutstandingShareOptions2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfOtherEquityInstrumentsExercisableInSharebasedPaymentArrangement2019","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfOtherEquityInstrumentsExercisedOrVestedInSharebasedPaymentArrangement2019","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfOtherEquityInstrumentsExpiredInSharebasedPaymentArrangement2019","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfOtherEquityInstrumentsForfeitedInSharebasedPaymentArrangement2019","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfOtherEquityInstrumentsGrantedInSharebasedPaymentArrangement2019","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfOtherEquityInstrumentsOutstandingInSharebasedPaymentArrangement2019","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfShareOptionsExercisableInSharebasedPaymentArrangement2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_b_vii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfShareOptionsExercisedInSharebasedPaymentArrangement2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_b_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfShareOptionsExpiredInSharebasedPaymentArrangement2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_b_v&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfShareOptionsForfeitedInSharebasedPaymentArrangement2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfShareOptionsGrantedInSharebasedPaymentArrangement2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfShareOptionsInSharebasedPaymentArrangementExercisedDuringPeriodAtDateOfExercise2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfShareOptionsOutstandingInSharebasedPaymentArrangement2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageExercisePriceOfShareOptionsOutstandingInSharebasedPaymentArrangement2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_b_vi&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageSharePrice2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageSharePriceShareOptionsGranted2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExercisePriceOfOutstandingShareOptions2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"45","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_45_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExercisePriceShareOptionsGranted2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"2","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=2&code=ifrs-tx-2021-en-r&anchor=para_47_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossCarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Goodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfContingentLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentLiabilitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_d_vi&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionalRecognitionGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_d_ii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_d_v&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersAndOtherChangesGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_d_vii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfBusinessCombinationsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfAcquiree","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfVotingEquityInterestsAcquired","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BusinessCombinationsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BusinessCombinationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAcquiree","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfBusinessCombinationsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"Disclosures","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS03_g59-63__IFRS03_g59-63_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IdentifiableAssetsAcquiredLiabilitiesAssumed","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IdentifiableAssetsAcquiredLiabilitiesAssumed","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE72","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_IE72&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE72","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_IE72&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InventoryRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InventoryRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE72","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_IE72&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE72","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_IE72&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IdentifiableIntangibleAssetsRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IdentifiableIntangibleAssetsRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE72","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_IE72&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE72","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_IE72&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentLiabilitiesRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentLiabilitiesRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE72","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_IE72&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutBusinessCombinationsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"Disclosures application of paragraphs 59 and 61","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&doctype=Appendix&subtype=B&dita_xref=IFRS03_gB64-B67_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForBusinessCombinationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForBusinessCombinationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndFinancialEffectOfBusinessCombinationsAfterReportingPeriodBeforeStatementsAuthorisedForIssue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"59","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_59_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndFinancialEffectOfBusinessCombinationsDuringPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"59","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_59_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFinancialEffectOfAdjustmentsRelatedToBusinessCombinations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"61","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_61&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughClassifiedAsHeldForSaleGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_d_iv&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedIndividuallyImmaterialBusinessCombinationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B65","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B65&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowAcquirerObtainedControlOfAcquiree","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactorsThatMakeUpGoodwillRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_e&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitiondateFairValueOfTotalConsiderationTransferred","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_f&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashTransferred","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_f_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherTangibleOrIntangibleAssetsTransferred","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_f_ii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesIncurred","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_f_iii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityInterestsOfAcquirer","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_f_iv&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfArrangementForContingentConsiderationArrangementsAndIndemnificationAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_g_ii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfEstimateOfRangeOfOutcomesFromContingentConsiderationArrangementsAndIndemnificationAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_g_iii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfAcquiredReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_h_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossContractualAmountsReceivableForAcquiredReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_h_ii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BestEstimateAtAcquisitionDateOfContractualCashFlowsNotExpectedToBeCollectedForAcquiredReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_h_iii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsWhyLiabilityCannotBeMeasuredReliably","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_j_ii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GoodwillExpectedDeductibleForTaxPurposes","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_k&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfTransactionsRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_l&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfTransactionsRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_m&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfTransactionsRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_l_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAmountOfAnyGainRecognisedAndLineItemInStatementOfComprehensiveIncomeInWhichGainIsRecognisedInBargainPurchase","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_n_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncontrollingInterestInAcquireeRecognisedAtAcquisitionDate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_o_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfValuationTechniquesAndKeyModelInputsUsedForDeterminingNoncontrollingInterestInAnAcquireeMeasuredAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_o_ii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitiondateFairValueOfEquityInterestInAcquireeHeldByAcquirerImmediatelyBeforeAcquisitionDate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_p_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueOfAcquiree","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_q_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueOfCombinedEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_q_ii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsWhyInitialAccountingForBusinessCombinationIsIncomplete","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_a_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAmountsOfAssetsLiabilitiesEquityInterestsOrItemsOfConsiderationForWhichInitialAccountingIsIncomplete","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_a_ii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndAmountOfAnyMeasurementPeriodAdjustmentsRecognisedForParticularAssetsLiabilitiesNoncontrollingInterestsOrItemsOfConsideration","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_a_iii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAnyChangesInRangeOfOutcomesUndiscountedAndReasonsForThoseChangesForContingentConsideration","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_b_ii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfValuationTechniquesAndKeyModelInputsUsedToMeasureContingentConsideration","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_b_iii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossThatRelatesToIdentifiableAssetsAcquiredOrLiabilitiesAssumedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_e&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationWhichDisclosuresCouldNotBeMadeAndReasonsWhyTheyCannotBeMadeIfInitialAccountingForBusinessCombinationIsIncomplete","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B66","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B66&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsWhyTransactionResultedInGainInBargainPurchase","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_n_ii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionalInformationAboutNatureAndFinancialEffectOfBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"63","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_63&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFactAndExplanationWhyDisclosureOfInformationForEachBusinessCombinationIsImpracticable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_q&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemInStatementOfComprehensiveIncomeInWhichGainOrLossAsResultOfRemeasuringToFairValueEquityInterestIsRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_p_ii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SubsequentRecognitionOfDeferredTaxAssetsGoodwill","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_d_iii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingForTransactionRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_l_ii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsRecognisedForTransactionRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_l_iii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodUsedToDetermineSettlementAmountForPreexistingRelationshipForTransactionRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_l_iv&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfAcquiredReceivablesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_h&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoansAcquiredInBusinessCombinationMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_h&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfContingentLiabilitiesInBusinessCombinationTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfContingentLiabilitiesInBusinessCombinationTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfObligationContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfObligationContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfObligationContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_j_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExpectedTimingOfOutflowsContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExpectedTimingOfOutflowsContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndicationOfUncertaintiesOfAmountOrTimingOfOutflowsContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndicationOfUncertaintiesOfAmountOrTimingOfOutflowsContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndicationOfUncertaintiesOfAmountOrTimingOfOutflowsContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_j_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMajorAssumptionsMadeConcerningFutureEventsContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMajorAssumptionsMadeConcerningFutureEventsContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedReimbursementContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedReimbursementContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetRecognisedForExpectedReimbursementContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetRecognisedForExpectedReimbursementContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInGoodwillTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentLiabilitiesRecognisedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionalLiabilitiesContingentLiabilitiesRecognisedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInExistingLiabilitiesContingentLiabilitiesRecognisedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SettledLiabilitiesContingentLiabilitiesRecognisedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversedUnsettledLiabilitiesContingentLiabilitiesRecognisedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughAdjustmentsArisingFromPassageOfTimeContingentLiabilitiesRecognisedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangeInDiscountRateContingentLiabilitiesRecognisedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInContingentLiabilitiesRecognisedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GoodwillDerecognisedWithoutHavingPreviouslyBeenIncludedInDisposalGroupClassifiedAsHeldForSale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_d_iv&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPrimaryReasonsForBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NumberOfInstrumentsOrInterestsIssuedOrIssuable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_f_iv&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodOfDeterminingFairValueOfInstrumentsOrInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_f_iv&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisForDeterminingAmountOfPaymentForContingentConsiderationArrangementsAndIndemnificationAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_g_ii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExplanationOfFactAndReasonsWhyRangeOfOutcomesFromContingentConsiderationArrangementsAndIndemnificationAssetsCannotBeEstimated","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_g_iii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactThatMaximumAmountOfPaymentForContingentConsiderationArrangementsAndIndemnificationAssetsIsUnlimited","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_g_iii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTransactionsRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombinationTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_l&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransactionsRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombinationAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_l&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransactionsRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombinationMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_l&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionrelatedCostsForTransactionRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_m&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionrelatedCostsRecognisedAsExpenseForTransactionRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_m&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IssueCostsNotRecognisedAsExpenseForTransactionRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_m&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsForAcquisitionRelatedCostsRecognisedAsExpenseForTransactionRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_m&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowIssueCostsNotRecognisedAsExpenseWereRecognisedForTransactionRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_m&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainRecognisedInBargainPurchaseTransaction","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_n_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMeasurementBasisForNoncontrollingInterestInAcquireeRecognisedAtAcquisitionDate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_o_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossOfAcquiree","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_q_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossOfCombinedEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_q_ii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MeasurementPeriodAdjustmentsRecognisedForParticularAssetsLiabilitiesNoncontrollingInterestsOrItemsOfConsideration","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_a_iii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfGainOrLossThatRelatesToIdentifiableAssetsAcquiredOrLiabilitiesAssumedInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_e&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossRecognisedAsResultOfRemeasuringToFairValueEquityInterestInAcquireeHeldByAcquirerBeforeBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_p_ii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInFinancialStatementsForAmountsRecognisedForTransactionRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_l_iii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfAcquiredReceivablesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_h&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAcquiredReceivablesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_h&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ItemsOfContingentLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ItemsOfContingentLiabilitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEstimatedFinancialEffectContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_j_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfPossibilityOfReimbursementContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_j_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DirectFinanceLeasesAcquiredInBusinessCombinationMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_h&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssetsRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAssetsRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentLiabilitiesRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentLiabilitiesRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherPayablesRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxAssetsRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxLiabilitiesRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingsRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NewLiabilitiesContingentLiabilitiesRecognisedInBusinessCombination","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatedFinancialEffectContingentLiabilitiesInBusinessCombination","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_j_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInContingentConsiderationAssetLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_b_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAnyChangesInRecognisedAmountsOfContingentConsideration","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_b_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInGoodwillExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTransactionsRecognisedSeparatelyFromAcquisitionOfAssetsAndAssumptionOfLiabilitiesInBusinessCombinationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_l&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAcquiredReceivablesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_h&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfContingentLiabilitiesInBusinessCombinationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_j&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOfAcquisition2013","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedImpairmentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B67","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B67_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TechnologybasedIntangibleAssetsRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CustomerrelatedIntangibleAssetsRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndCashEquivalentsRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GoodwillRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GoodwillRecognisedAsOfAcquisitionDate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE72","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_IE72&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndemnificationAssetsRecognisedAsOfAcquisitionDate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_g_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentConsiderationRecognisedAsOfAcquisitionDate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_g_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredIncomeIncludingContractLiabilitiesRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractLiabilitiesRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredIncomeOtherThanContractLiabilitiesRecognisedAsOfAcquisitionDate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"3","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=3&code=ifrs-tx-2021-en-r&anchor=para_B64_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountReclassifiedFromProfitOrLossToOtherComprehensiveIncomeApplyingOverlayApproach","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_35D_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountReclassifiedToOtherComprehensiveIncomeFromProfitOrLossApplyingOverlayApproachNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_35D_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnApplicationOfOverlayApproachNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_35D_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxApplicationOfOverlayApproach","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_35D_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountReclassifiedToOtherComprehensiveIncomeFromProfitOrLossApplyingOverlayApproachBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_35D_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnApplicationOfOverlayApproachBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_35D_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxApplicationOfOverlayApproach","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_35D_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToApplicationOfOverlayApproachInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_35D_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfOverlayApproach","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_35D_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfOverlayApproachMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_35D_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatInsurerIsApplyingOverlayApproach","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisForDesignatingFinancialAssetsForOverlayApproach","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfDesignatedFinancialAssetsThatAreHeldOutsideLegalEntityThatIssuesContractsWithinScopeOfIFRS4","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAmountReclassifiedBetweenProfitOrLossAndOtherComprehensiveIncomeApplyingOverlayApproach","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountReportedInProfitOrLossApplyingIFRS9FinancialAssetsToWhichOverlayApproachIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_d_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountThatWouldHaveBeenReportedInProfitOrLossIfIAS39HadBeenAppliedFinancialAssetsToWhichOverlayApproachIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_d_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountReclassifiedFromProfitOrLossToOtherComprehensiveIncomeApplyingOverlayApproachNewlyDesignatedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_f_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountThatWouldHaveBeenReclassifiedFromProfitOrLossToOtherComprehensiveIncomeApplyingOverlayApproachIfFinancialAssetsHadNotBeenDedesignated","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_f_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinancialAssetsThatHaveBeenDedesignatedFromOverlayApproachNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_f_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinancialAssetsThatHaveBeenDedesignatedFromOverlayApproachBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_f_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsToWhichOverlayApproachIsAppliedExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsToWhichOverlayApproachIsAppliedTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsToWhichOverlayApproachIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfOverlayApproachReclassificationOnProfitOrLossExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfOverlayApproachReclassificationOnProfitOrLossTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectOfOverlayApproachReclassificationAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InAccordanceWithIFRS9Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectOfOverlayApproachReclassificationMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutOverlayApproachForAssociatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutOverlayApproachForAssociatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfAmountReportedInProfitOrLossApplyingIFRS9FinancialAssetsToWhichOverlayApproachIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfAmountThatWouldHaveBeenReportedInProfitOrLossIfIAS39HadBeenAppliedFinancialAssetsToWhichOverlayApproachIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfAmountReclassifiedFromProfitOrLossToOtherComprehensiveIncomeApplyingOverlayApproachNewlyDesignatedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfAmountThatWouldHaveBeenReclassifiedFromProfitOrLossToOtherComprehensiveIncomeApplyingOverlayApproachIfFinancialAssetsHadNotBeenDedesignated","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfReclassificationAdjustmentsOnFinancialAssetsThatHaveBeenDedesignatedFromOverlayApproachNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfReclassificationAdjustmentsOnFinancialAssetsThatHaveBeenDedesignatedFromOverlayApproachBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsToWhichOverlayApproachIsAppliedForAssociatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsToWhichOverlayApproachIsAppliedForAssociatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfFinancialAssetsToWhichOverlayApproachIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfOverlayApproachReclassificationOnProfitOrLossForAssociatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfOverlayApproachReclassificationOnProfitOrLossForAssociatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutOverlayApproachForJointVenturesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutOverlayApproachForJointVenturesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsToWhichOverlayApproachIsAppliedForJointVenturesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsToWhichOverlayApproachIsAppliedForJointVenturesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfOverlayApproachReclassificationOnProfitOrLossForJointVenturesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfOverlayApproachReclassificationOnProfitOrLossForJointVenturesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedIndividuallyImmaterialAssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedIndividuallyImmaterialJointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantInvestmentsInAssociatesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForAssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForJointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39L_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39M_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsIncurredDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG39_b&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsIncurredDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfActualClaimsComparedWithPreviousEstimatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39_c_iii&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossAmountArisingFromInsuranceContractsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutFinancialAssetsDescribedInParagraph39EaOfIFRS4ForJointVenturesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsDescribedInParagraph39EaOfIFRS4ThatDoNotHaveLowCreditRiskFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39G_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfNonderivativeInvestmentContractLiabilitiesMeasuredAtFairValueThroughProfitOrLossApplyingIAS39","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfFinancialAssetsDescribedInParagraph39EaOfIFRS4ThatDoNotHaveLowCreditRiskFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfConcentrationsOfInsuranceRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39_c_ii&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveForCatastropheMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG58","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG58&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG37_f&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG37_b&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNetGrossAndReinsurersShareForAmountsArisingFromInsuranceContractsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForExternalCreditGradesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39G_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveForEqualisationMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG58","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG58&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG39_a&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG23_a&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashPaidLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG37_c&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashPaidLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveForCatastrophe","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG58","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG58&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfChangeInActivitiesThatResultedInInsurerNoLongerQualifyingToApplyTemporaryExemptionFromIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39D_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfFinancialAssetsDescribedInParagraph39EaOfIFRS4FairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39G_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutFinancialAssetsDescribedInParagraph39EaOfIFRS4Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39G_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfDeferredTaxLiabilitiesOnLiabilitiesArisingFromContractsWithinScopeOfIFRS4AndNonderivativeInvestmentContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetAmountArisingFromInsuranceContractsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForAssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutTemporaryExemptionFromIFRS9ForJointVenturesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"QualitativeDescriptionOfEffectOnFinancialStatementsOfChangeInActivitiesThatResultedInInsurerNoLongerQualifyingToApplyTemporaryExemptionFromIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39D_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"QualitativeDescriptionOfEffectOnFinancialStatementsOfChangeInActivitiesThatPermittedInsurerToReassessWhetherItsActivitiesArePredominantlyConnectedWithInsurance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39C","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39C_c_iii&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativeLiabilitiesUsedToMitigateRisksArisingFromAssetsBackingContractsWithinScopeOfIFRS4AndNonderivativeInvestmentContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_20E_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfObjectivesPoliciesAndProcessesForManagingRisksArisingFromInsuranceContractsAndMethodsUsedToManageThoseRisks","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NonlifeInsuranceContractsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG39&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionsForFutureNonparticipatingBenefits","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG22_e&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionsForFutureNonparticipatingBenefits","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatEntityElectedToUseExemptionThatPermitsEntityToRetainAccountingPoliciesForFinancialInstrumentsAppliedByAssociateOrJointVentureWhenApplyingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39I&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOnWhichChangeInActivitiesOccurredThatResultedInInsurerNoLongerQualifyingToApplyTemporaryExemptionFromIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39D_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInsuranceContractsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutWhereUserOfFinancialStatementsCanObtainAnyPubliclyAvailableIFRS9InformationThatIsNotProvidedInConsolidatedFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39H&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG39_d&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossRecognisedInProfitOrLossDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowInsurerConcludedThatItQualifiesForTemporaryExemptionFromIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39C&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsRelatingToInsuranceContractsAcquiredInBusinessCombinationsOrPortfolioTransfers","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG23_b&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsRelatingToInsuranceContractsAcquiredInBusinessCombinationsOrPortfolioTransfers","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCreditRiskOfInsuranceContractsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39_d&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfChangesInAssumptionsToMeasureInsuranceAssetsAndInsuranceLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_d&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionsArisingFromLiabilityAdequacyTests","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG22_d&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProvisionsArisingFromLiabilityAdequacyTests","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG39_e&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsArisingFromInsuranceContractsAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmortisationDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG39_c&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmortisationDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsurersShareOfAmountArisingFromInsuranceContractsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsDescribedInParagraph39EaOfIFRS4ThatDoNotHaveLowCreditRiskCarryingAmountApplyingIAS39","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39G_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfAssumptionsToMeasureInsuranceAssetsAndLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsOtherThanThroughBusinessCombinationsReinsuranceAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesReinsuranceAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfDebtInstrumentsIssuedThatAreIncludedInInsurersRegulatoryCapital","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesThatAriseBecauseInsurerIssuesOrFulfilsObligationsArisingFromContractsWithinScopeOfIFRS4AndNonderivativeInvestmentContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39C_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LifeInsuranceContractsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNetGrossAndReinsurersShareForAmountsArisingFromInsuranceContractsTable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DebtInstrumentsIssuedThatAreIncludedInInsurersRegulatoryCapital","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_20E_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughAdjustmentsArisingFromPassageOfTimeReinsuranceAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NonderivativeInvestmentContractLiabilitiesMeasuredAtFairValueThroughProfitOrLossApplyingIAS39","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39C_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG22&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveForEqualisation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG58","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG58&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG37_e&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMarketRiskOfInsuranceContractsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39_d&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInReinsuranceAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG37&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInReinsuranceAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsUnderReinsuranceCeded","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG20_c&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsUnderReinsuranceCeded","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseForPolicyholderClaimsAndBenefitsWithoutReductionForReinsuranceHeld","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG24_c&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseForPolicyholderClaimsAndBenefitsWithoutReductionForReinsuranceHeld","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughShadowAccountingDeferredAcquisitionCostsArisingFromInsuranceContracts","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOnWhichChangeInActivitiesOccurredThatPermittedInsurerToReassessWhetherItsActivitiesArePredominantlyConnectedWithInsurance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39C","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39C_c_ii&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsDescribedInParagraph39EaOfIFRS4CarryingAmountApplyingIAS39","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39G_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39G_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnearnedPremiums","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG22_a&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnearnedPremiums","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39G_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceivablesAndPayablesRelatedToInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG22_g&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceivablesAndPayablesRelatedToInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesArisingFromInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesArisingFromInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG20_a&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesArisingFromInsuranceContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG37_a&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfIncreaseDecreaseInFairValueOfFinancialAssetsDescribedInParagraph39EaOfIFRS4","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseIncomeIncludedInProfitOrLossLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG37_d&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseIncomeIncludedInProfitOrLossLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfChangeInActivitiesThatPermittedInsurerToReassessWhetherItsActivitiesArePredominantlyConnectedWithInsurance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39C","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39C_c_iii&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RemainingUnamortisedGainsAndLossesArisingOnBuyingReinsurance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b_ii&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativeLiabilitiesUsedToMitigateRisksArisingFromContractsWithinScopeOfIFRS4AndNonderivativeInvestmentContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_20E_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoninsuranceAssetsAcquiredByExercisingRightsToRecoveries","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG22_h&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoninsuranceAssetsAcquiredByExercisingRightsToRecoveries","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClaimsReportedByPolicyholders","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG22_b&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClaimsReportedByPolicyholders","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutTemporaryExemptionFromIFRS9ForAssociatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutFinancialAssetsDescribedInParagraph39EaOfIFRS4ForJointVenturesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"QualitativeInformationAboutSensitivityAndInformationAboutThoseTermsAndConditionsOfInsuranceContractsThatHaveMaterialEffect","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39A_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutTemporaryExemptionFromIFRS9ForAssociatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowInsurerDeterminedThatItDidNotEngageInSignificantActivityUnconnectedWithInsurance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39C_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfDiscretionaryParticipationFeaturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG22_f&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfDiscretionaryParticipationFeaturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_34_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfIncreaseDecreaseInFairValueOfFinancialAssetsOtherThanThoseSpecifiedInParagraph39EaOfIFRS4","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAmountsArisingFromInsuranceContractsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_36&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG37&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxLiabilitiesOnLiabilitiesArisingFromContractsWithinScopeOfIFRS4AndNonderivativeInvestmentContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_20E_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityToInsuranceRiskExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39_c_i&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonForReassessmentWhetherInsurersActivitiesArePredominantlyConnectedWithInsurance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39C","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39C_c_i&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedIndividuallyImmaterialAssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39G_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForInternalCreditGradesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39G_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromContractsWithReinsurers","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG24_b&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromContractsWithReinsurers","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNatureAndExtentOfRisksArisingFromInsuranceContractsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"38","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_38&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG37&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatInsurerNoLongerQualifiesToApplyTemporaryExemptionFromIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39D_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG20_b&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfDerivativeLiabilitiesUsedToMitigateRisksArisingFromContractsWithinScopeOfIFRS4AndNonderivativeInvestmentContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughAdjustmentsArisingFromPassageOfTimeLiabilitiesUnderInsuranceContractsAndReinsuranceContractsIssued","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfLiabilitiesConnectedWithInsuranceThatAreNotLiabilitiesArisingFromContractsWithinScopeOfIFRS4","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39C_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForJointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutTemporaryExemptionFromIFRS9ForJointVenturesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpensesArisingFromReinsuranceHeld","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG24_d&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpensesArisingFromReinsuranceHeld","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutFinancialAssetsDescribedInParagraph39EaOfIFRS4Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39G_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfLiquidityRiskOfInsuranceContractsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39_d&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsArisingFromInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInsuranceRiskExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseArisingFromInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmortisationOfGainsAndLossesArisingOnBuyingReinsurance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b_ii&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueOfFinancialAssetsOtherThanThoseSpecifiedInParagraph39EaOfIFRS4","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39E_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfDiscretionaryParticipationFeatures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG22_f&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfDiscretionaryParticipationFeatures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_34_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutExposuresToMarketRiskArisingFromEmbeddedDerivativesContainedInHostInsuranceContract","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SensitivityAnalysisToInsuranceRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39A_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossOnBuyingReinsurance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b_i&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromInsuranceContractsIssuedWithoutReductionForReinsuranceHeld","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG24_a&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromInsuranceContractsIssuedWithoutReductionForReinsuranceHeld","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfLiabilitiesThatAriseBecauseInsurerIssuesOrFulfilsObligationsArisingFromContractsWithinScopeOfIFRS4AndNonderivativeInvestmentContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedIndividuallyImmaterialJointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTypesOfInsuranceContractsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutFinancialAssetsDescribedInParagraph39EaOfIFRS4ForAssociatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantInvestmentsInAssociatesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfFinancialAssetsOtherThanThoseSpecifiedInParagraph39EaOfIFRS4FairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfDerivativeLiabilitiesUsedToMitigateRisksArisingFromAssetsBackingContractsWithinScopeOfIFRS4AndNonderivativeInvestmentContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AcquisitionsThroughBusinessCombinationsReinsuranceAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesOrComponentsOfEquityRelatingToDiscretionaryParticipationFeatures","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG22_f&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesOrComponentsOfEquityRelatingToDiscretionaryParticipationFeatures","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTypesOfInsuranceContractsTable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesReinsuranceAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatInsurerIsApplyingTemporaryExemptionFromIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39C&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueOfFinancialAssetsDescribedInParagraph39EaOfIFRS4","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39E_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutFinancialAssetsDescribedInParagraph39EaOfIFRS4ForAssociatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfInsuranceContractsAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&doctype=Standard&book=b&dita_xref=IFRS04_g36-39M_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfFinancialAssetsDescribedInParagraph39EaOfIFRS4CarryingAmountApplyingIAS39","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsOtherThanThoseSpecifiedInParagraph39EaOfIFRS4FairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39E_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutCreditRiskExposureInherentInFinancialAssetsDescribedInParagraph39EaOfIFRS4","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39G&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeArisingFromInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfFinancialAssetsDescribedInParagraph39EaOfIFRS4ThatDoNotHaveLowCreditRiskCarryingAmountApplyingIAS39","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39J_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsDescribedInParagraph39EaOfIFRS4FairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_39E_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClaimsIncurredButNotReported","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_IG22_c&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClaimsIncurredButNotReported","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateBenchmarkReformPhase2Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatNewOrAmendedIFRSStandardIsAppliedEarly","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"4","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"50","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=4&code=ifrs-tx-2021-en-r&anchor=para_50&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxExpenseRelatingToGainLossOnDiscontinuance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_b_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxExpenseRelatingToProfitLossFromOrdinaryActivitiesOfDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"38","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_38&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssetsHeldForSaleMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"38","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_38&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactsAndCircumstancesOfSaleOrReclassificationAndExpectedDisposalMannerAndTiming","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"41","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_41_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNoncurrentAssetOrDisposalGroupHeldForSaleWhichWereSoldOrReclassified","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"41","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_41_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentInWhichNoncurrentAssetOrDisposalGroupHeldForSaleIsPresented","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"41","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_41_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnSubsequentIncreaseInFairValueLessCostsToSellNotInExcessOfRecognisedCumulativeImpairmentLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"41","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_41_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfChangesInPlanToSellNoncurrentAssetOrDisposalGroupHeldForSaleOnResultsOfOperationsForPriorPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_42&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInOperatingActivitiesContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForDistributionToOwners","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"38","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_38&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForDistributionToOwners","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"5A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_5A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromDiscontinuedOperationsAttributableToOwnersOfParent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossRecognisedOnMeasurementToFairValueLessCostsToSellOrOnDisposalOfAssetsOrDisposalGroupsConstitutingDiscontinuedOperation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndAdjustmentsToAmountsPreviouslyPresentedInDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_35&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContinuingOperationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"Presentation and disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS05_g30-42_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountRecognisedInOtherComprehensiveIncomeAndAccumulatedInEquityRelatingToNoncurrentAssetsOrDisposalGroupsHeldForSale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"38","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_38&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountRecognisedInOtherComprehensiveIncomeAndAccumulatedInEquityRelatingToNoncurrentAssetsOrDisposalGroupsHeldForSale","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"Example 12","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&doctype=Implementation%20Guidance&dita_xref=IFRS05_ex12_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountRecognisedInOtherComprehensiveIncomeAndAccumulatedInEquityRelatingToNoncurrentAssetsOrDisposalGroupsHeldForSaleMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"38","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_38&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountRecognisedInOtherComprehensiveIncomeAndAccumulatedInEquityRelatingToNoncurrentAssetsOrDisposalGroupsHeldForSaleMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"Example 12","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&doctype=Implementation%20Guidance&dita_xref=IFRS05_ex12_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromDiscontinuedOperationsAttributableToNoncontrollingInterests","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"Example 11","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&doctype=Implementation%20Guidance&dita_xref=IFRS05_ex11_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"38","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_38&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInPlanToSellNoncurrentAssetOrDisposalGroupHeldForSale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_42&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectOfChangesInPlanToSellNoncurrentAssetOrDisposalGroupHeldForSaleOnResultsOfOperationsForCurrentPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_42&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInFinancingActivitiesDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInInvestingActivitiesDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInFinancingActivitiesContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInOperatingActivitiesDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInInvestingActivitiesContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromContinuingOperationsAttributableToOwnersOfParent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContinuingAndDiscontinuedOperationsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"Presentation and disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS05_g30-42_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalGroupsClassifiedAsHeldForSaleMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"Presentation and disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS05_g30-42_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisposalGroupsClassifiedAsHeldForSaleMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"38","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_38&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DiscontinuedOperationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"Presentation and disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS05_g30-42_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregateContinuingAndDiscontinuedOperationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"Presentation and disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS05_g30-42_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNoncurrentAssetsHeldForSaleAndDiscontinuedOperationsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"Presentation and disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS05_g30-42_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromContinuingOperationsAttributableToNoncontrollingInterests","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"Example 11","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&doctype=Implementation%20Guidance&dita_xref=IFRS05_ex11_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInCashAndCashEquivalentsDiscontinuedOperations","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsAndLiabilitiesClassifiedAsHeldForSaleAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"38","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_38&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsAndLiabilitiesNotClassifiedAsHeldForSaleMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"38","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_38&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsAndLiabilitiesClassifiedAsHeldForSaleMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"38","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_38&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromDiscontinuedOperationsAttributableToNoncontrollingInterests","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromContinuingOperationsAttributableToNoncontrollingInterests","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAnalysisOfSingleAmountOfDiscontinuedOperationsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAnalysisOfSingleAmountOfDiscontinuedOperationsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncomeFromContinuingOperations","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncomeFromDiscontinuedOperations","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncomeFromContinuingOperationsAttributableToOwnersOfParent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncomeFromDiscontinuedOperationsAttributableToOwnersOfParent","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncomeFromContinuingOperationsAttributableToNoncontrollingInterests","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncomeFromDiscontinuedOperationsAttributableToNoncontrollingInterests","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"5","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=5&code=ifrs-tx-2021-en-r&anchor=para_33_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleExplorationAndEvaluationAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleExplorationAndEvaluationAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TangibleExplorationAndEvaluationAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TangibleExplorationAndEvaluationAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfExplorationAndEvaluationAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS06_g23-25_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForExplorationAndEvaluationExpenditures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2021-en-r&anchor=para_24_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsArisingFromExplorationForAndEvaluationOfMineralResources","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2021-en-r&anchor=para_24_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesArisingFromExplorationForAndEvaluationOfMineralResources","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2021-en-r&anchor=para_24_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeArisingFromExplorationForAndEvaluationOfMineralResources","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2021-en-r&anchor=para_24_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseArisingFromExplorationForAndEvaluationOfMineralResources","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2021-en-r&anchor=para_24_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInExplorationForAndEvaluationOfMineralResourcesClassifiedAsOperatingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2021-en-r&anchor=para_24_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowsFromUsedInExplorationForAndEvaluationOfMineralResourcesClassifiedAsInvestingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"6","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=6&code=ifrs-tx-2021-en-r&anchor=para_24_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42E_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B35&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B35_g&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_6&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG40B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG40B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialLiabilitiesAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a_v&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseForFinancialLiabilitiesNotAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsPledgedAsCollateralForLiabilitiesOrContingentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_14_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfDetailsOfDefaultsDuringPeriodOfPrincipalInterestSinkingFundOrRedemptionTermsOfLoansPayable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_18_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoansPayableInDefault","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_18_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureWhetherLoansPayableInDefaultRemediedOrTermsOfLoansPayableRenegotiatedBeforeAuthorisationForIssueOfFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_18_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialLiabilitiesAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTermAndConditionsOfFinancialAssetsPledgedAsCollateralForLiabilitiesOrContingentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_14_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_6&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"Scope","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS07_g3-5A_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_33&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_34&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_33&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_34&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialLiabilitiesAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialLiabilitiesAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCollateralPermittedToSellOrRepledgeInAbsenceOfDefaultByOwnerOfCollateral","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"15","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_15_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FeeIncomeExpenseArisingFromTrustAndFiduciaryActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_c_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DifferenceBetweenCarryingAmountOfFinancialLiabilityAndAmountContractuallyRequiredToPayAtMaturityToHolderOfObligation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_10_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodsToDetermineAmountOfChangesInFairValueOfFinancialAssetsAndFinancialLiabilitiesAttributableToChangesInCreditRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_11_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsAndFactorsWhyAmountOfChangesInFairValueOfFinancialAssetsAndFinancialLiabilitiesAttributableToChangesInCreditRiskNotFaithfullyRepresent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_11_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCompoundFinancialInstrumentsWithMultipleEmbeddedDerivativesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExposureToRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_33_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfObjectivesPoliciesAndProcessesForManagingRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_33_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInMethodsUsedToMeasureRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_33_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SummaryQuantitativeDataAboutEntitysExposureToRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_34_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConcentrationsOfRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_34_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionalInformationAboutEntityExposureToRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndCarryingAmountOfAssetsObtained","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"38","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_38_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPoliciesForDisposingOfAssetsNotReadilyConvertibleIntoCashOrForUsingThemInItsOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"38","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_38_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SensitivityAnalysisForEachTypeOfMarketRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"40","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_40_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodsAndAssumptionsUsedInPreparingSensitivityAnalysis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"40","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_40_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonForChangeInMethodsAndAssumptionsUsedInPreparingSensitivityAnalysis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"40","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_40_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodsUsedInPreparingSensitivityAnalysisReflectingInterdependenciesBetweenRiskVariables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"41","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_41_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LimitationsThatMayResultInInformationNotFullyReflectingFairValueOfAssetsAndLiabilitiesInvolved","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"41","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_41_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactAndReasonWhySensitivityAnalysisAreUnrepresentative","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAnalysisForDerivativeFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_39_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAnalysisForNonderivativeFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_39_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsHeldAsCollateralPermittedToBeSoldOrRepledgedAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"15","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_15_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsSoldOrRepledgedAsCollateralAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"15","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_15_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfManagingLiquidityRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_39_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialInstrumentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_36&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialInstrumentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_36&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNatureAndExtentOfRisksArisingFromFinancialInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_31&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNatureAndExtentOfRisksArisingFromFinancialInstrumentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_33&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNatureAndExtentOfRisksArisingFromFinancialInstrumentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_34&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanOneMonthMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanOneMonthMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B35_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneMonthAndNotLaterThanThreeMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneMonthAndNotLaterThanThreeMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B35_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsAndNotLaterThanSixMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B35_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanSixMonthsAndNotLaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B35_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyForRecognisingDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_28_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PricesSpecifiedInForwardAgreementsToPurchaseFinancialAssetsForCash","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11D_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetAmountsForPayfloatingReceivefixedInterestRateSwapsForWhichNetCashFlowsAreExchanged","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11D_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualAmountsToBeExchangedInDerivativeFinancialInstrumentForWhichGrossCashFlowsAreExchanged","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11D_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossLoanCommitments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11D_e&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedChangesInFairValueOfFinancialLiabilityAttributableToChangesInCreditRiskOfLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_10_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowManagementDeterminesConcentrations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B8_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_28_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNewTransactionsAggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG14&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInAggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_28_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSharedCharacteristicForConcentration","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B8_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RiskExposureAssociatedWithInstrumentsSharingCharacteristic","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B8_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_32&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrencyRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"Defined terms","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&doctype=Appendix&subtype=A&dita_xref=IFRS07_APPA_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisForFinancialAssetsHeldForManagingLiquidityRiskTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11E&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradingSecuritiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG40B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG40B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityInvestmentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG40B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG40B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfDetailsOfBreachesWhichPermittedLenderToDemandAcceleratedRepaymentDuringPeriodOfPrincipalInterestSinkingFundOrRedemptionTermsOfLoansPayable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_19&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsAndNotLaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityPriceRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG32&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_6&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_6&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtFairValueThroughProfitOrLossDesignatedAsUponInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialLiabilitiesAtFairValueThroughProfitOrLossDesignatedUponInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialLiabilitiesAtFairValueThroughProfitOrLossDesignatedUponInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialLiabilitiesAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialLiabilitiesAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossDesignatedAsUponInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialLiabilitiesAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialLiabilitiesAtFairValueThroughProfitOrLossDesignatedAsUponInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossDesignatedAsUponInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAtFairValueThroughProfitOrLossDesignatedUponInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAtFairValueThroughProfitOrLossDesignatedUponInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodsUsedToMeasureRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_33_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInObjectivesPoliciesAndProcessesForManagingRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_33_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInExposureToRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_33_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsObtained","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"38","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_38_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInMethodsAndAssumptionsUsedInPreparingSensitivityAnalysis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"40","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_40_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativeFinancialLiabilitiesUndiscountedCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_39_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisForDerivativeFinancialLiabilitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_39_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NonderivativeFinancialLiabilitiesUndiscountedCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_39_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisForNonderivativeFinancialLiabilitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_39_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhetherEntityHasObligationToReturnCollateralSoldOrRepledged","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"15","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_15_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtAmortisedCostMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B2","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B2_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B2","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B2_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtAmortisedCostMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B2","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B2_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtFairValueMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B2","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B2_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsOutsideScopeOfIFRS7Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B2","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B2_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesOutsideScopeOfIFRS7Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B2","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B2_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"Defined terms","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&doctype=Appendix&subtype=A&dita_xref=IFRS07_APPA_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherPriceRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"Defined terms","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&doctype=Appendix&subtype=A&dita_xref=IFRS07_APPA_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsHeldForManagingLiquidityRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11E&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoansPayableInBreachWhichPermittedLenderToDemandAcceleratedRepayment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_19&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhetherBreachesWhichPermittedLenderToDemandAcceleratedRepaymentWereRemediedOrTermsOfLoansPayableWereRenegotiatedBeforeFinancialStatementsWereAuthorisedForIssue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_19&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughAmountsRecognisedInProfitOrLossAggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG14&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIncreasesAggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG14&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherDecreasesAggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG14&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiquidityRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_32&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_32&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommodityPriceRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG32&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrepaymentRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG32&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ResidualValueRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG32&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsTransferredDuringPeriodWhichDoNotQualifyForDerecognitionExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42D&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsThatEntityContinuesToRecognise","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42D_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NatureOfRisksAndRewardsOfOwnershipToWhichEntityRemainsExposed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42D_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NatureOfFinancialAssetsTransferredDuringPeriodWhichDoNotQualifyForDerecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42D_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssociatedLiabilitiesThatEntityContinuesToRecognise","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42D_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsTransferredDuringPeriodWhichDoNotQualifyForDerecognitionTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42D&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsWhichDoNotQualifyForDerecognitionAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42D&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsWhichDoNotQualifyForDerecognitionMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42D&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsThatEntityContinuesToRecogniseToExtentOfContinuingInvolvement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42D_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTransfersOfFinancialAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"Transfers of financial assets","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS07_g42A-42S_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfRelationshipBetweenTransferredFinancialAssetsThatAreNotDerecognisedInTheirEntiretyAndAssociatedLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42D_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfTransferredFinancialAssetsThatAreNotDerecognisedInTheirEntirety","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42D_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfContinuingInvolvementInDerecognisedFinancialAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42E&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfContinuingInvolvementInDerecognisedFinancialAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42G&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RecognisedAssetsRepresentingContinuingInvolvementInDerecognisedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42E_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfAssetsRepresentingContinuingInvolvementInDerecognisedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42E_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaximumExposureToLossFromContinuingInvolvement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42E_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UndiscountedCashOutflowRequiredToRepurchaseDerecognisedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42E_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOfDerecognisedFinancialAssetsAtDateOfTransfer","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42G_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromContinuingInvolvementInDerecognisedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42G_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProceedsFromTransferActivity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42G","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42G_c_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"QualitativeInformationAboutContinuingInvolvementInDerecognisedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42E_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfContinuingInvolvementInDerecognisedFinancialAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42E&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfContinuingInvolvementInDerecognisedFinancialAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42G&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOfDerecognisedFinancialAssetsRepresentingGreatestTransferActivity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42G","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42G_c_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationWhenGreatestTransferActivityTookPlace","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42G","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42G_c_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanThreeYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B35_e&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsAndNotLaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B35_f&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SecuritiesLendingMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG40B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG40B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SecuritiesLendingMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CategoriesOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ValueAtRisk","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"41","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_41&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RiskDiversificationEffectMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_32&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WrittenPutOptionsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG40B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG40B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchasedCallOptionsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG40B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG40B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MortgagesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG40B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG40B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsumerLoansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG40B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG40B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContinuingInvolvementInDerecognisedFinancialAssetsByTypeOfInstrumentAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfInstrumentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContinuingInvolvementInDerecognisedFinancialAssetsByTypeOfTransferAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfTransferMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GuaranteesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FactoringOfReceivablesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SecuritisationsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisOfUndiscountedCashOutflowsToRepurchaseDerecognisedFinancialAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42E_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssociatedLiabilitiesThatEntityContinuesToRecogniseToExtentOfContinuingInvolvement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42D_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OriginalAssetsBeforeTransfer","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42D_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfAssociatedFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42D_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfTransferredFinancialAssetsAssociatedFinancialLiabilitiesThatAreNotDerecognisedInTheirEntirety","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42D_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LineItemsOfRecognisedAssetsAndLiabilitiesRepresentingContinuingInvolvementInDerecognisedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42E_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RecognisedLiabilitiesRepresentingContinuingInvolvementInDerecognisedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42E_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfLiabilitiesRepresentingContinuingInvolvementInDerecognisedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42E_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutHowMaximumExposureToLossIsDetermined","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42E_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsPayableToTransfereeInRespectOfTransferredAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42E_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseFromContinuingInvolvementInDerecognisedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42G_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromContinuingInvolvementInDerecognisedFinancialAssetsCumulativelyRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42G_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseFromContinuingInvolvementInDerecognisedFinancialAssetsCumulativelyRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42G_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CategoriesOfFinancialLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisOfUndiscountedCashOutflowsToRepurchaseDerecognisedFinancialAssetsOrAmountsPayableToTransfereeInRespectOfTransferredAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42E_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtFairValueThroughProfitOrLossDesignatedUponInitialRecognitionCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtFairValueThroughProfitOrLossThatMeetDefinitionOfHeldForTradingCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtFairValueThroughProfitOrLossCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossDesignatedUponInitialRecognitionCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfConclusionWhyTransactionPriceWasNotBestEvidenceOfFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_28_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOffsettingOfFinancialAssetsAndFinancialLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"Offsetting financial assets and financial liabilities","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS07_g13A-13F_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13C_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13C_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashCollateralReceivedSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG40D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG40D&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG40D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG40D&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG40D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG40D&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashCollateralPledgedSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG40D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG40D&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CounterpartiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B52","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B52&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsTypeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B52","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B52&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesTypeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B52","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B52&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndividuallyInsignificantCounterpartiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B52","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B52&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B52","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B52&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfFinancialLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B52","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B52&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CounterpartiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B52","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B52&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMeasurementDifferencesForFinancialLiabilitiesSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B42&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMeasurementDifferencesForFinancialAssetsSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B42","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B42&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRightsOfSetoffAssociatedWithFinancialLiabilitiesSubjectToEnforceableMasterNettingArrangementOrSimilarAgreement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13E&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRightsOfSetoffAssociatedWithFinancialAssetsSubjectToEnforceableMasterNettingArrangementOrSimilarAgreement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13E&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOffsettingOfFinancialAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13C&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOffsettingOfFinancialLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13C&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOffsettingOfFinancialLiabilitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13C&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOffsettingOfFinancialAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13C&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfFinancialLiabilitiesSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreementsToIndividualLineItemsInStatementOfFinancialPositionExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B46","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B46&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfFinancialAssetsSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreementsToIndividualLineItemsInStatementOfFinancialPositionExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B46","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B46&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesTypeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B51","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B51&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B51","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B51&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfFinancialLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B51","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B51&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsTypeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B51","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B51&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossFinancialLiabilitiesSetOffAgainstFinancialAssetsSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13C_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossFinancialAssetsSetOffAgainstFinancialLiabilitiesSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13C_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossFinancialLiabilitiesSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13C_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossFinancialAssetsSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13C_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetFinancialLiabilitiesSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13C_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetFinancialAssetsSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13C_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetFinancialLiabilitiesSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreementsInStatementOfFinancialPosition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13C_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetFinancialAssetsSubjectToOffsettingEnforceableMasterNettingArrangementsOrSimilarAgreementsInStatementOfFinancialPosition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13C_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateTypesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_39&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FloatingInterestRateMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_39&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FixedInterestRateMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_39&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialInstrumentsByTypeOfInterestRateExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_39&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialInstrumentsByTypeOfInterestRateTable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_39&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfInterestRatesAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"39","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_39&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutFinancialInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_31&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialInstrumentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_31&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutFinancialInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialInstrumentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialLiabilitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCrossreferenceToDisclosuresAboutNatureAndExtentOfRisksArisingFromFinancialInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B6&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeOnFinancialLiabilitiesAtFairValueThroughProfitOrLossDesignatedUponInitialRecognitionOrSubsequently","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossOnFinancialLiabilitiesAtFairValueThroughProfitOrLossDesignatedUponInitialRecognitionOrSubsequently","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutBorrowingsExplanatory","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutBorrowingsTable","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingsByNameAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingsByNameMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingsInterestRate","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingsInterestRateBasis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingsAdjustmentToInterestRateBasis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingsMaturity","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BorrowingsOriginalCurrency","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangeAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BottomOfRangeMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TopOfRangeMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsAndNotLaterThanSevenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsAndNotLaterThanFourYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFourYearsAndNotLaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoYearsAndNotLaterThanThreeYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsAndNotLaterThanTenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwentyYearsAndNotLaterThanTwentyfiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanSevenYearsAndNotLaterThanTenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsAndNotLaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTenYearsAndNotLaterThanFifteenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BankBorrowingsUndiscountedCashFlows","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11D&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneMonthAndNotLaterThanSixMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsAndNotLaterThanSixMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFifteenYearsAndNotLaterThanTwentyYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BondsIssuedUndiscountedCashFlows","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11D&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanThreeYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanTwoYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherPayablesUndiscountedCashFlows","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11D&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanSixMonthsAndNotLaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsumerLoansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_6&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CorporateLoansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_6&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MortgagesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_6&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashCollateralPledgedSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13C","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13C_d_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashCollateralReceivedSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13C","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13C_d_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13C","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13C_d_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsSubjectToEnforceableMasterNettingArrangementOrSimilarAgreementNotSetOffAgainstFinancialLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13C","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_13C_d_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WrittenPutOptionsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradingSecuritiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_6&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_6&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityInvestmentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_6&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchasedCallOptionsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B33&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrepaymentRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"40","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_40_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommodityPriceRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"40","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_40_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityPriceRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"40","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_40_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ResidualValueRiskMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"40","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_40_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherDecreasesAggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_28_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughAmountsRecognisedInProfitOrLossAggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_28_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherIncreasesAggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_28_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNewTransactionsAggregateDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueYetToBeRecognised","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_28_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisForFinancialAssetsHeldForManagingLiquidityRiskExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11E&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsAtDateOfInitialApplicationOfIFRS9Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsAtDateOfInitialApplicationOfIFRS9Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsMeasurementCategoryImmediatelyBeforeInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsCarryingAmountImmediatelyBeforeInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsMeasurementCategoryImmediatelyAfterInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsCarryingAmountImmediatelyAfterInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialLiabilitiesAtDateOfInitialApplicationOfIFRS9Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialLiabilitiesAtDateOfInitialApplicationOfIFRS9Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesMeasurementCategoryImmediatelyBeforeInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesCarryingAmountImmediatelyBeforeInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesMeasurementCategoryImmediatelyAfterInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesCarryingAmountImmediatelyAfterInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationOnHowEntityAppliedClassificationRequirementsInIFRS9ToFinancialAssetsWhoseClassificationHasChangedAsResultOfApplyingIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42J_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForDesignationOrDedesignationOfFinancialAssetsOrFinancialLiabilitiesAsMeasuredAtFairValueThroughProfitOrLossAtDateOfInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42J_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueGainLossThatWouldHaveBeenRecognisedInProfitOrLossOrOtherComprehensiveIncomeIfFinancialLiabilitiesHadNotBeenReclassifiedFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42M_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutEntitysDefinitionsOfDefault","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35F","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35F_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"viii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a_viii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"viii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a_viii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeExpenseRecognisedForFinancialAssetsReclassifiedIntoMeasuredAtAmortisedCostFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42N_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnHedgeIneffectivenessRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnHedgeIneffectivenessRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MortgagesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24E_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FeeExpenseArisingFromFinancialLiabilitiesNotAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_c_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminesEconomicRelationshipBetweenHedgedItemAndHedgingInstrumentForPurposeOfAssessingHedgeEffectiveness","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_22B_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInFairValueOfFinancialLiabilityAttributableToChangesInCreditRiskOfLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_10A_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialInstrumentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35K","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35K&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialInstrumentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialInstrumentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHedgingInstrumentsUsedToHedgeRiskExposuresAndHowTheyAreUsed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_22B_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditImpairmentOfFinancialInstrumentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditImpairmentOfFinancialInstrumentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialInstrumentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35K","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35K&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialInstrumentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialInstrumentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeExpenseRecognisedForAssetsReclassifiedIntoMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_12C_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfForwardElementsOfForwardContractsThatHedgeTimeperiodRelatedHedgedItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24E_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsPreviouslyDesignatedAtFairValueThroughProfitOrLossReclassifiedVoluntarilyFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsWhoseContractualCashFlowCharacteristicsHaveBeenAssessedBasedOnFactsAndCircumstancesAtInitialRecognitionWithoutTakingIntoAccountExceptionForPrepaymentFeatures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42S","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42S&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesForWhichReserveOfCashFlowHedgesWillNotBeRecoveredInOneOrMoreFuturePeriodsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24E_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AveragePriceOfHedgingInstrument","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_23B_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueOfEachInvestmentInEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncomeExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_11A_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NominalAmountOfHedgingInstrument","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_23B_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NominalAmountOfHedgingInstrument","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24A_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesForWhichHedgedFutureCashFlowsAreNoLongerExpectedToOccurNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C_b_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesForWhichHedgedFutureCashFlowsAreNoLongerExpectedToOccurNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24E_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForExternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForExternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeaseReceivablesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeaseReceivablesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeaseReceivablesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35N&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnHedgeIneffectivenessRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInFairValueOfFinancialAssetsAttributableToChangesInCreditRiskOfFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_9_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfInitialApplicationOfImpairmentRequirementsForFinancialInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42P","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42P&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfCashFlowHedgesContinuingHedges","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowForwardlookingInformationHasBeenIncorporatedIntoDeterminationOfExpectedCreditLosses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35G_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EventsOfReclassificationOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_12B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"viii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a_viii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfFinancialInstrumentOnDiscontinuationOfMeasurementAtFairValueThroughProfitOrLossBecauseCreditDerivativeIsUsedToManageCreditRiskLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24G_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInCreditDerivativeFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24G_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsWithModifiedContractualCashFlowsWhileLossAllowanceMeasuredAtLifetimeExpectedCreditLossesForWhichLossAllowanceChangedDuringReportingPeriodTo12monthExpectedCreditLossesGrossCarryingAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35J_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnCashFlowHedgesNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnCashFlowHedgesNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24E_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaximumExposureToCreditRiskOfFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_9_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgedItemLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossCarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossCarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossCarryingAmountMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35N&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRiskManagementStrategyRelatedToHedgeAccountingExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_22A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOfFinancialAssetsOutOfMeasuredAtAmortisedCostIntoMeasuredAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_12B_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodOfAssessmentOfExpectedCreditLossesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodOfAssessmentOfExpectedCreditLossesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodOfAssessmentOfExpectedCreditLossesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughForeignExchangeAndOtherMovementsFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughForeignExchangeAndOtherMovementsFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsPreviouslyDesignatedAtFairValueThroughProfitOrLossReclassifiedDueToRequirementsOfIFRS9FirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisOfInputsAndAssumptionsAndEstimationTechniquesUsedToDetermineWhetherFinancialAssetIsCreditimpairedFinancialAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35G","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35G_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodOfAssessmentOfExpectedCreditLossesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodOfAssessmentOfExpectedCreditLossesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodOfAssessmentOfExpectedCreditLossesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOfFinancialAssetsOutOfMeasuredAtAmortisedCostIntoMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_12B_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NominalOrPrincipalAmountOfFinancialInstrumentOnDiscontinuationOfMeasurementAtFairValueThroughProfitOrLossBecauseCreditDerivativeIsUsedToManageCreditRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24G_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationOnHowRequirementsForModificationOfContractualCashFlowsOfFinancialAssetsHaveBeenApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35F","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35F_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemInStatementOfFinancialPositionThatIncludesHedgingInstrument","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24A_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedCreditLossesIndividuallyAssessedMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedCreditLossesIndividuallyAssessedMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedCreditLossesIndividuallyAssessedMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfFinancialAssetsReclassifiedOutOfFairValueThroughProfitOrLossAndIntoFairValueThroughOtherComprehensiveIncomeInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42M_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFinancialLiabilitiesOnBasisOfMeasurementCategoryFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42L_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutTermsAndConditionsOfHedgingInstrumentsAndHowTheyAffectFutureCashFlowsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_23A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_21C&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35N&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IndicationOfHowFrequentlyHedgingRelationshipsAreDiscontinuedAndRestarted","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23C","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_23C_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedCreditLossRate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20D&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedCreditLossRate","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35N&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfRiskManagementStrategyRelatedToHedgeAccountingExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_22A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactAndReasonWhyVolumeOfHedgingRelationshipsToWhichExemptionInIFRS723CAppliesIsUnrepresentativeOfNormalVolumes","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24D&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfProvisionMatrixExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35N&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutCollateralHeldAsSecurityAndOtherCreditEnhancementsForCreditimpairedFinancialAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35K","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35K_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfForecastTransactionHedgeAccountingPreviouslyUsedButNoLongerExpectedToOccur","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23F","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_23F&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughForeignExchangeAndOtherMovementsExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughForeignExchangeAndOtherMovementsExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughModificationOfContractualCashFlowsExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsWrittenOffDuringReportingPeriodAndStillSubjectToEnforcementActivityContractualAmountOutstanding","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35L&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFinancialAssetsOnBasisOfMeasurementCategoryFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42L_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgedItemsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnChangeInFairValueOfHedgedItemUsedAsBasisForRecognisingHedgeIneffectiveness","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B_a_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnChangeInFairValueOfHedgedItemUsedAsBasisForRecognisingHedgeIneffectiveness","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOfFinancialAssetsOutOfMeasuredAtFairValueThroughOtherComprehensiveIncomeIntoMeasuredAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_12B_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgingInstrumentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24A_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_21C&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueOfInvestmentsInEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncomeTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_11A_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TwelvemonthExpectedCreditLossesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TwelvemonthExpectedCreditLossesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PastDueStatusMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35N&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutTermsAndConditionsOfHedgingInstrumentsAndHowTheyAffectFutureCashFlowsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_23A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutAmountsThatAffectedStatementOfComprehensiveIncomeAsResultOfHedgeAccountingExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesPreviouslyDesignatedAtFairValueThroughProfitOrLossReclassifiedDueToRequirementsOfIFRS9FirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationOnEntitysWriteoffPolicy","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35F","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35F_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInLossAllowanceAndExplanationOfChangesInGrossCarryingAmountForFinancialInstrumentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInLossAllowanceAndExplanationOfChangesInGrossCarryingAmountForFinancialInstrumentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonForDisposingOfInvestmentsInEquityInstrumentsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_11B_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsCreditimpairedAfterPurchaseOrOriginationMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsCreditimpairedAfterPurchaseOrOriginationMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughOtherComprehensiveIncomeCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCreditRiskExposureTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35N&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForProbabilityOfDefaultMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForProbabilityOfDefaultMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CorporateLoansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfFinancialAssetsReclassifiedAsMeasuredAtAmortisedCostFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42M_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutCreditExposuresDesignatedAsMeasuredAtFairValueThroughProfitOrLossExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24G&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeExpenseRecognisedForFinancialLiabilitiesReclassifiedIntoMeasuredAtAmortisedCostFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42N_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProbabilityOfDefaultAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProbabilityOfDefaultAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashFlowHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnDesignationOfFinancialInstrumentAsMeasuredAtFairValueThroughProfitOrLossBecauseCreditDerivativeIsUsedToManageCreditRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24G_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtAmortisedCostCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfForeignCurrencyBasisSpreadsThatHedgeTransactionRelatedHedgedItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24E_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInModelsOrRiskParametersFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInModelsOrRiskParametersFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfGeneralHedgeAccountingExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"Hedge accounting","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS07_g21A-24G_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOfFinancialAssetsOutOfMeasuredAtFairValueIntoMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_12B_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOfCumulativeGainLossWithinEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_10_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfExchangeDifferencesOnTranslationHedgingRelationshipsForWhichHedgeAccountingIsNoLongerApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisOfInputsAndAssumptionsAndEstimationTechniquesUsedToMeasure12monthAndLifetimeExpectedCreditLosses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35G","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35G_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemInStatementOfComprehensiveIncomeThatIncludesReclassificationAdjustments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C_b_v&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectiveInterestRateDeterminedOnDateOfReclassificationOfFinancialAssetsFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42N_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSourcesOfHedgeIneffectivenessThatEmergedInHedgingRelationship","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_23E&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInFairValueOfFinancialAssetsRelatedCreditDerivativesOrSimilarInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_9_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditDerivativeNominalAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24G_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValueCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodologyUsedToDetermineWhetherPresentingEffectsOfChangesInLiabilitysCreditRiskInOtherComprehensiveIncomeWouldCreateOrEnlargeAccountingMismatchInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_11_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditDerivativeFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24G_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UndiscountedExpectedCreditLossesAtInitialRecognitionOnPurchasedOrOriginatedCreditimpairedFinancialAssetsInitiallyRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a_vi&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentInvestmentsInEquityInstrumentsDesignatedAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueGainLossThatWouldHaveBeenRecognisedInOtherComprehensiveIncomeIfFinancialAssetsHadNotBeenReclassified","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_12D_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_23B_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsRecognisedForInvestmentsInEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncomeHeldAtEndOfReportingPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_11A_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20D&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35N&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedImpairmentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedImpairmentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35N&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfReasonsForChangesInLossAllowanceForFinancialInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B8D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B8D&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughForeignExchangeFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughForeignExchangeFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfCashFlowHedgesHedgingRelationshipsForWhichHedgeAccountingIsNoLongerApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfEffectiveInterestRateDeterminedOnDateOfReclassification","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_12C_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_23B_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInvestmentsInEquityDesignatedAsMeasuredAtFairThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_11A_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsWhoseContractualCashFlowCharacteristicsHaveBeenAssessedBasedOnFactsAndCircumstancesAtInitialRecognitionWithoutTakingIntoAccountRequirementsRelatedToModificationOfTimeValueOfMoneyElement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42R","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42R&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCollateralHeldAsSecurityAndOtherCreditEnhancements2014","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35K","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35K_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CumulativeGainLossOnDisposalOfInvestmentsInEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_11B_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesPreviouslyDesignatedAtFairValueThroughProfitOrLossButNoLongerSoDesignatedFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgingInstrumentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_23A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgingInstrumentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughForeignExchangeExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughForeignExchangeExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgingGainsLossesForHedgeOfGroupOfItemsWithOffsettingRiskPositions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C_b_vi&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsInEquityInstrumentsMeasuredAtFairValueThroughOtherComprehensiveIncomeAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_11A_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialInstrumentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35K","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35K&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaximumExposureToCreditRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35K","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35K_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsArisingFromDerecognitionOfFinancialAssetsMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfChangeInBusinessModelForManagingFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_12B_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutFinancialInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35K","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35K&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialLiabilitiesAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedChangesInFairValueOfFinancialLiabilityAttributableToChangesInCreditRiskOfLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_10A_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonOfDerecognitionOfFinancialAssetsMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughOriginationOrPurchaseFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughOriginationOrPurchaseFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughOriginationOrPurchaseFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsRecognisedForInvestmentsInEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncomeDerecognisedDuringPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_11A_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutAmountsThatAffectedStatementOfComprehensiveIncomeAsResultOfHedgeAccountingTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FeeIncomeArisingFromFinancialAssetsMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_c_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityEstablishesHedgeRatioAndWhatSourcesOfHedgeIneffectivenessAre","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_22B_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtAmortisedCostCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgedItemsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutCreditExposuresDesignatedAsMeasuredAtFairValueThroughProfitOrLossTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24G&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsMeasuredAtFairValueThroughProfitOrLossBecauseCreditDerivativeIsUsedToManageCreditRiskAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24G&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoanCommitmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B8E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B8E&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoanCommitmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutHedgingInstrumentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutGroupsOrPortfoliosOfFinancialInstrumentsWithParticularFeaturesThatCouldAffectLargePortionOfThatGroup","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B8H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B8H&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedChangesInFairValueOfFinancialAssetsAttributableToChangesInCreditRiskOfFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_9_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountByWhichFinancialAssetsRelatedCreditDerivativesOrSimilarInstrumentsMitigateMaximumExposureToCreditRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_9_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInModelsOrRiskParametersExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInModelsOrRiskParametersExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCrossreferenceToDisclosuresAboutHedgeAccountingPresentedOutsideFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_21B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxGainsLossesFromInvestmentsInEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_a_vii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LifetimeExpectedCreditLossesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LifetimeExpectedCreditLossesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRiskManagementStrategyRelatedToHedgeAccountingTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_22A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfFinancialAssetsReclassifiedAsMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_12D_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsWithContractualCashFlowsModifiedDuringReportingPeriodWhileLossAllowanceMeasuredAtLifetimeExpectedCreditLossesAmortisedCostBeforeModification","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35J_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutUltimateRiskManagementStrategyInRelationToHedgingRelationshipsThatEntityFrequentlyResets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23C","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_23C_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfForwardElementsOfForwardContractsThatHedgeTransactionRelatedHedgedItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24E_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfTransfersOfCumulativeGainOrLossWithinEquityOfInvestmentsInEquityDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_11A_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C_b_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24E_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsumerLoansMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfTimeValueOfOptionsThatHedgeTimeperiodRelatedHedgedItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24E_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgesOfNetInvestmentInForeignOperationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgesOfNetInvestmentInForeignOperationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgesOfNetInvestmentInForeignOperationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoMonthsAndNotLaterThanThreeMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20D&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoMonthsAndNotLaterThanThreeMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35N&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProbabilityOfDefaultMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProbabilityOfDefaultMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForInternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20C&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForInternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfForeignCurrencyBasisSpreadsThatHedgeTimeperiodRelatedHedgedItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24E_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOfFinancialAssetsOutOfMeasuredAtFairValueThroughProfitOrLossIntoMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_12B_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCrossreferenceToDisclosuresAboutCreditRiskPresentedOutsideFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35C&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonForUsingPresentationAlternative","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_11A_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCreditRiskExposureExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueGainLossThatWouldHaveBeenRecognisedInProfitOrLossIfFinancialAssetsHadNotBeenReclassifiedOutOfFairValueThroughProfitOrLossAndIntoFairValueThroughOtherComprehensiveIncomeInitialApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42M_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOfReclassificationOfFinancialAssetsDueToChangeInBusinessModel","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_12B_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInEstimationTechniquesOrSignificantAssumptionsMadeWhenApplyingImpairmentRequirementsAndReasonsForThoseChanges","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35G_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsInEquityInstrumentsMeasuredAtFairValueThroughOtherComprehensiveIncomeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_11A_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentsInEquityInstrumentsMeasuredAtFairValueThroughOtherComprehensiveIncomeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedFairValueHedgeAdjustmentRemainingInStatementOfFinancialPositionForHedgedItemThatCeasedToBeAdjustedForHedgingGainsAndLossesAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B_a_v&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedCreditLossesCollectivelyAssessedMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedCreditLossesCollectivelyAssessedMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpectedCreditLossesCollectivelyAssessedMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCreditRiskExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"Credit risk","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS07_g35A-38_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughDerecognitionExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughDerecognitionExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughDerecognitionExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherMovementsFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherMovementsFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherMovementsFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfFinancialInstrumentOnDiscontinuationOfMeasurementAtFairValueThroughProfitOrLossBecauseCreditDerivativeIsUsedToManageCreditRiskAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24G_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnChangeInFairValueOfHedgingInstrumentUsedAsBasisForRecognisingHedgeIneffectiveness","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24A_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOfCumulativeGainLossWithinEquity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_10_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutHowEntityDeterminedRiskComponentDesignatedAsHedgedItemExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_22C_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfFinancialLiabilitiesReclassifiedAsMeasuredAtAmortisedCostFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42M_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AverageRateOfHedgingInstrument","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_23B_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxChangeInValueOfTimeValueOfOptionsThatHedgeTransactionRelatedHedgedItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24E_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditImpairmentOfFinancialInstrumentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditImpairmentOfFinancialInstrumentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughOriginationOrPurchaseExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughOriginationOrPurchaseExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughOriginationOrPurchaseExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInCreditDerivativeNominalAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24G_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgedItemAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfExchangeDifferencesOnTranslationContinuingHedges","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsMeasuredAtFairValueThroughProfitOrLossBecauseCreditDerivativeIsUsedToManageCreditRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24G&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutHedgedItemsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsPurchasedOrOriginatedCreditimpairedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsPurchasedOrOriginatedCreditimpairedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsCreditimpairedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsCreditimpairedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeForFinancialAssetsMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountRemovedFromReserveOfCashFlowHedgesAndIncludedInInitialCostOrOtherCarryingAmountOfNonfinancialAssetLiabilityOrFirmCommitmentForWhichFairValueHedgeAccountingIsApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24E_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemInStatementOfFinancialPositionThatIncludesHedgedItem","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EventsOfReclassificationOfFinancialAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_12B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfFinancialAssetsReclassifiedOutOfFairValueThroughOtherComprehensiveIncomeCategoryIntoAmortisedCostCategory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_12D_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsWithContractualCashFlowsModifiedDuringReportingPeriodWhileLossAllowanceMeasuredAtLifetimeExpectedCreditLossesModificationGainLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35J_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesForWhichHedgedItemAffectedProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C_b_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesForWhichHedgedItemAffectedProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24E_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentInvestmentsInEquityInstrumentsDesignatedAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityReflectsItsRiskManagementStrategyByUsingHedgeAccountingAndDesignatingHedgingRelationshipsThatItFrequentlyResets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23C","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_23C_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnHedgeIneffectiveness","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCollateralHeldAsSecurityAndOtherCreditEnhancementsAndTheirFinancialEffectInRespectOfAmountThatBestRepresentsMaximumExposureFinancialInstrumentsToWhichImpairmentRequirementsInIFRS9AreNotApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_36_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherMovementsExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherMovementsExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherMovementsExposureToCreditRiskOnLoanCommitmentsAndFinancialGuaranteeContracts","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutHedgingInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfProvisionMatrixTable","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35N&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesPreviouslyDesignatedAtFairValueThroughProfitOrLossReclassifiedVoluntarilyFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReclassificationOfFinancialAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_12B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisOfInputsAndAssumptionsAndEstimationTechniquesUsedToDetermineWhetherCreditRiskOfFinancialInstrumentsHaveIncreasedSignificantlySinceInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35G","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35G_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedFairValueHedgeAdjustmentRemainingInStatementOfFinancialPositionForHedgedItemThatCeasedToBeAdjustedForHedgingGainsAndLossesLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B_a_v&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DifferenceBetweenCarryingAmountOfFinancialLiabilityAndAmountContractuallyRequiredToPayAtMaturityToHolderOfObligation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_10A_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PastDueStatusAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35N&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfHedgesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfHedgesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfHedgesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgingInstrumentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_23A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgingInstrumentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsPreviouslyDesignatedAtFairValueThroughProfitOrLossButNoLongerSoDesignatedFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42I_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFinancialAssetsArisingFromChangeInMeasurementAttributeFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42L_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20D&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35N&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueGainLossThatWouldHaveBeenRecognisedInProfitOrLossOrOtherComprehensiveIncomeIfFinancialAssetsHadNotBeenReclassifiedFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42M_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfInputsAssumptionsAndEstimationTechniquesUsedToApplyImpairmentRequirementsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35G&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneMonthAndNotLaterThanTwoMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20D&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneMonthAndNotLaterThanTwoMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35N&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughModificationOfContractualCashFlowsFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectiveInterestRateDeterminedOnDateOfReclassificationOfFinancialLiabilitiesFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42N_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C_b_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24E_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaximumExposureToCreditRiskFinancialInstrumentsToWhichImpairmentRequirementsInIFRS9AreNotApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_36_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedFairValueHedgeAdjustmentOnHedgedItemIncludedInCarryingAmountLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRevenueForFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationOnHowEntityDeterminedWhetherCreditRiskOfFinancialInstrumentsHasIncreasedSignificantlySinceInitialRecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35F","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35F_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LossesArisingFromDerecognitionOfFinancialAssetsMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_20A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutHowDesignatedRiskComponentRelatesToHedgedItemInItsEntiretyExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_22C_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialGuaranteeContractsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B8E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B8E&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialGuaranteeContractsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfInvestmentsInEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_11A_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfInvestmentsInEquityInstrumentsDesignatedAsMeasuredAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgingInstrumentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24A_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueGainsOrLossThatWouldHaveBeenRecognisedInProfitOrLossIfFinancialAssetsHadNotBeenReclassified","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_12D_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfEffectOfChangingBusinessModelForManagingFinancialAssetsOnFinancialStatements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_12B_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfCreditRiskManagementPracticesAndHowTheyRelateToRecognitionAndMeasurementOfExpectedCreditLossesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35F","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35F&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfHowSignificantChangesInGrossCarryingAmountOfFinancialInstrumentsContributedToChangesInLossAllowance","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationOnHowInstrumentsWereGroupedIfExpectedCreditLossesWereMeasuredOnCollectiveBasis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35F","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35F_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInLossAllowanceAndExplanationOfChangesInGrossCarryingAmountForFinancialInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInLossAllowanceAndExplanationOfChangesInGrossCarryingAmountForFinancialInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationOnHowEntityDeterminedThatFinancialAssetsAreCreditimpairedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35F","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35F_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOfFinancialAssetsOutOfMeasuredAtFairValueThroughOtherComprehensiveIncomeIntoMeasuredAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_12B_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountPresentedInOtherComprehensiveIncomeRealisedAtDerecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_10_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFinancialLiabilitiesArisingFromChangeInMeasurementAttributeFirstApplicationOfIFRS9","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"42L","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_42L_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutHedgedItemsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReclassificationOfFinancialAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_12B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSourcesOfHedgeIneffectivenessExpectedToAffectHedgingRelationship","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_23D&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialLiabilitiesAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedFairValueHedgeAdjustmentOnHedgedItemIncludedInCarryingAmountAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24B","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24B_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypeOfMeasurementOfExpectedCreditLossesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypeOfMeasurementOfExpectedCreditLossesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeReceivablesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeReceivablesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeReceivablesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35N","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35N&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfInvestmentsInEquityInstrumentsMeasuredAtFairValueThroughOtherComprehensiveIncomeAtDateOfDerecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_11B_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughWriteoffFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughWriteoffFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughWriteoffFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughDerecognitionFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG20B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG20B&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughDerecognitionFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35I_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughDerecognitionFinancialAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedChangesInFairValueOfFinancialAssetsRelatedCreditDerivativesOrSimilarInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_9_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemInStatementOfComprehensiveIncomeThatIncludesRecognisedHedgeIneffectiveness","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemInStatementOfComprehensiveIncomeThatIncludesRecognisedHedgeIneffectiveness","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24C","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24C_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypeOfMeasurementOfExpectedCreditLossesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypeOfMeasurementOfExpectedCreditLossesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsNotCreditimpairedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsNotCreditimpairedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35M","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_35M&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAtFairValueThroughOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfHedgeIneffectivenessResultingFromSourcesThatEmergedInHedgingRelationship","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_23E&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BankBorrowingsUndiscountedCashFlows","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BondsIssuedUndiscountedCashFlows","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossLeaseLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_B11D_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFifteenYearsAndNotLaterThanTwentyYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsAndNotLaterThanSevenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsAndNotLaterThanTenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFourYearsAndNotLaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneMonthAndNotLaterThanSixMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneMonthAndNotLaterThanThreeMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanThreeYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanTwoYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanSevenYearsAndNotLaterThanTenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanSixMonthsAndNotLaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTenYearsAndNotLaterThanFifteenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTenYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsAndNotLaterThanSixMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsAndNotLaterThanFiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsAndNotLaterThanFourYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwentyYearsAndNotLaterThanTwentyfiveYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoYearsAndNotLaterThanThreeYearsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanOneMonthMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradeAndOtherPayablesUndiscountedCashFlows","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG31A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_IG31A&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutEntitysHedgingRelationshipsDirectlyAffectedByUncertaintyArisingFromInterestRateBenchmarkReformExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24H&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInterestRateBenchmarksToWhichEntitysHedgingRelationshipsAreExposedExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24H_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfExtentOfRiskExposureEntityManagesForHedgingRelationshipsDirectlyAffectedByInterestRateBenchmarkReformExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24H_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityIsManagingProcessToTransitionToAlternativeBenchmarkRatesForHedgingRelationships","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24H_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSignificantAssumptionsOrJudgementsEntityMadeInApplyingAmendmentsForInterestRateBenchmarkReform","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24H_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NominalAmountOfHedgingInstrumentsInHedgingRelationshipsToWhichAmendmentsForInterestRateBenchmarkReformAreApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24H","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24H_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfHowEntityIsManagingTransitionToAlternativeBenchmarkRatesItsProgressAtReportingDateAndRisksToWhichItIsExposedArisingFromFinancialInstrumentsBecauseOfTransitionExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24J_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesToEntitysRiskManagementStrategyArisingFromEntitysExposureToFinancialInstrumentsSubjectToInterestRateBenchmarkReformExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24J_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfQuantitativeInformationAboutFinancialInstrumentsThatHaveYetToTransitionToAlternativeBenchmarkRateExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24J_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"QuantitativeInformationAboutNonderivativeFinancialAssetsThatHaveYetToTransitionToAlternativeBenchmarkRateExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24J","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24J_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"QuantitativeInformationAboutNonderivativeFinancialLiabilitiesThatHaveYetToTransitionToAlternativeBenchmarkRateExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24J","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24J_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"QuantitativeInformationAboutDerivativesThatHaveYetToTransitionToAlternativeBenchmarkRateExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24J","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24J_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateBenchmarksAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24J_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateBenchmarksMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24J_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantInterestRateBenchmarksSubjectToInterestRateBenchmarkReformMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24J_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfQuantitativeInformationAboutFinancialInstrumentsThatHaveYetToTransitionToAlternativeBenchmarkRateTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24J_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutEffectOfInterestRateBenchmarkReformOnEntitysFinancialInstrumentsAndRiskManagementStrategyExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24J","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24J&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutEffectOfInterestRateBenchmarkReformOnEntitysFinancialInstrumentsAndRiskManagementStrategyExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24I","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_24I&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossMeasuredAsSuchInAccordanceWithExemptionForRepurchaseOfOwnFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAtFairValueThroughProfitOrLossMeasuredAsSuchInAccordanceWithExemptionForRepurchaseOfOwnFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossMeasuredAsSuchInAccordanceWithExemptionForRepurchaseOfOwnFinancialLiabilitiesCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAtFairValueThroughProfitOrLossMeasuredAsSuchInAccordanceWithExemptionForRepurchaseOfOwnFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossMeasuredAsSuchInAccordanceWithExemptionForReacquisitionOfOwnEquityInstrumentsCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAtFairValueThroughProfitOrLossMeasuredAsSuchInAccordanceWithExemptionForReacquisitionOfOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossMeasuredAsSuchInAccordanceWithExemptionForReacquisitionOfOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAtFairValueThroughProfitOrLossMeasuredAsSuchInAccordanceWithExemptionForReacquisitionOfOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-r&anchor=para_8_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInternalCreditExposuresTable","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG25&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInternalCreditExposuresTable","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HeldtomaturityInvestmentsCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnalysisOfCreditExposuresUsingInternalCreditGradingSystemExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG23_a&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnalysisOfCreditExposuresUsingInternalCreditGradingSystemExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInFairValueOfFinancialLiabilityAttributableToChangesInCreditRiskOfLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_10_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTradingCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeOnFinancialAssetsReclassifiedOutOfAvailableforsaleFinancialAssetsRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesAllowanceAccountForCreditLossesOfFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsReclassifiedOutOfAvailableforsaleFinancialAssetsAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAvailableforsale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_d&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountByWhichLoansOrReceivablesRelatedCreditDerivativesOrSimilarInstrumentsMitigateMaximumExposureToCreditRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_9_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForExternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24_a&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForExternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCollateralHeldAndOtherCreditEnhancementsFinancialAssetsThatAreIndividuallyDeterminedToBeImpaired","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG29_c&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCollateralHeldAndOtherCreditEnhancementsFinancialAssetsThatAreIndividuallyDeterminedToBeImpaired","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsWhoseFairValuePreviouslyCouldNotBeReliablyMeasuredAtTimeOfDerecognition","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-b&anchor=para_30_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG25_b&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoansAndReceivablesCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnCashFlowHedgesNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_23_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentsForAmountsTransferredToInitialCarryingAmountOfHedgedItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_23_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossCarryingAmountMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG29&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossCarryingAmountMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughNetExchangeDifferencesAllowanceAccountForCreditLossesOfFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsThatAreEitherPastDueOrImpairedTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedChangesInFairValueOfLoansOrReceivablesRelatedCreditDerivativesOrSimilarInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_9_d&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsReclassifiedOutOfFinancialAssetsAtFairValueThroughProfitOrLossRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedChangesInFairValueOfLoanOrReceivableAttributableToChangesInCreditRiskOfFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_9_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UtilisationAllowanceAccountForCreditLossesOfFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionalAllowanceRecognisedInProfitOrLossAllowanceAccountForCreditLossesOfFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsPastDueButNotImpairedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfHedgeAccountingTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_22&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughAdjustmentsArisingFromPassageOfTimeAllowanceAccountForCreditLossesOfFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_a_i&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutHedgesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_22&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentHeldtomaturityInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfHedgeAccountingExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_22&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationIntoFinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnIneffectivenessOfCashFlowHedgesRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_24_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfForecastTransactionHedgeAccountingPreviouslyUsedButNoLongerExpectedToOccur","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_23_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactsAndCircumstancesIndicatingRareSituationForReclassificationOutOfFinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnCashFlowHedgesBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_23_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCollateralHeldAsSecurityAndOtherCreditEnhancements","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfCounterparty","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG23_b&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfCounterparty","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAvailableforsaleCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_d&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_23_d&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnLoansAndReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_a_iv&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFinancialInstrumentsDesignatedAsHedgingInstrument","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_22_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentHeldtomaturityInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutWhetherAndHowEntityIntendsToDisposeOfFinancialInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-b&anchor=para_30_d&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PastDueStatusMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOutOfLoansAndReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentLoansAndReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfExternalCreditExposuresExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfExternalCreditExposuresExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossRecognisedOnFinancialInstrumentsWhoseFairValuePreviouslyCouldNotBeReliablyMeasured","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-b&anchor=para_30_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueGainsLossesOnFinancialAssetsReclassifiedOutOfAvailableforsaleFinancialAssetsNotRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpensesOnFinancialAssetsReclassifiedOutOfFinancialAssetsAtFairValueThroughProfitOrLossRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialInstrumentsDesignatedAsHedgingInstrumentsAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_22_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationIntoAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtAmortisedCostCategoryMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_f&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsNeitherPastDueNorImpairedMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectiveInterestRateOfFinancialAssetsReclassifiedOutOfFinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_f&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgedItemAttributableToHedgedRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_24_a_ii&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RatedCreditExposures","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24_c&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RatedCreditExposures","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AllowanceAccountForCreditLossesOfFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPeriodsWhenCashFlowsExpectedToOccur","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_23_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnRemeasuringAvailableforsaleFinancialAssetsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_a_ii&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInternalCreditRatingsProcess","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG25_a&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInternalCreditRatingsProcess","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FeeIncomeExpenseArisingFromFinancialAssetsOrFinancialLiabilitiesNotAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_c_i&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsIndividuallyAssessedForCreditLossesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedImpairmentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG29_b&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AccumulatedImpairmentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsReclassifiedOutOfAvailableforsaleFinancialAssetsCarryingAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24_a&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypeOfHedge","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_22_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatedCashFlowsOfFinancialAssetsReclassifiedOutOfFinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_f&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeOnImpairedFinancialAssetsAccrued","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_d&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24_a&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationIntoHeldtomaturityInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnIneffectivenessOfHedgesOfNetInvestmentsInForeignOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_24_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPeriodsWhenCashFlowsAffectProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_23_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfExternalCreditExposuresTable","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfExternalCreditExposuresTable","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaximumExposureToCreditRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfOtherInformationUsedToAssessCreditQuality","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG23_d&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfOtherInformationUsedToAssessCreditQuality","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueGainsLossesOnFinancialAssetsReclassifiedOutOfFinancialAssetsAtFairValueThroughProfitOrLossRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_d&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialLiabilitiesAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_f&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentLoansAndReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnAvailableforsaleFinancialAssetsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_a_ii&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsCollectivelyAssessedForCreditLossesMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOutOfFinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOutOfFinancialAssetsAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutCreditQualityOfNeitherPastDueNorImpairedFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestIncomeForFinancialAssetsNotAtFairValueThroughProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInformationWhereFairValueDisclosuresNotRequired","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-b&anchor=para_30_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectiveInterestRateOfFinancialAssetsReclassifiedOutOfAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_f&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanSixMonthsAndNotLaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG28_c&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanSixMonthsAndNotLaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnratedCreditExposures","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24_c&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnratedCreditExposures","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnCashFlowHedgesNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_23_d&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG25_b&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InternalCreditGradesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG29_a&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoMonthsAndNotLaterThanThreeMonthsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForInternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG25_b&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForInternalCreditGradesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInFairValueOfLoansOrReceivablesRelatedCreditDerivativesOrSimilarInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_9_d&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpensesOnFinancialAssetsReclassifiedOutOfAvailableforsaleFinancialAssetsRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnalysisOfCreditExposuresUsingExternalCreditGradingSystemExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG23_a&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnalysisOfCreditExposuresUsingExternalCreditGradingSystemExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueGainsLossesOnFinancialAssetsReclassifiedOutOfFinancialAssetsAtFairValueThroughProfitOrLossNotRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HeldtomaturityInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationIntoLoansAndReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LoansAndReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialLiabilitiesAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_f&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAvailableforsale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_d&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG28_d&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHeldtomaturityInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_a_iii&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditExposure","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24_a&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditExposure","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG25_b&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditExposure","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInternalCreditExposuresExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG25&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInternalCreditExposuresExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsReclassifiedOutOfFinancialAssetsAtFairValueThroughProfitOrLossAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForImpairmentOfFinancialAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsAndNotLaterThanSixMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG28_b&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsAndNotLaterThanSixMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFinancialAssetsThatAreEitherPastDueOrImpairedExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfHedgesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_22&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnalysisOfAgeOfFinancialAssetsThatArePastDueButNotImpaired","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaximumExposureToCreditRiskOfLoansOrReceivables","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_9_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeOnFinancialAssetsReclassifiedOutOfFinancialAssetsAtFairValueThroughProfitOrLossRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatedCashFlowsOfFinancialAssetsReclassifiedOutOfAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_f&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRelationshipBetweenInternalAndExternalRatings","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24_d&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRelationshipBetweenInternalAndExternalRatings","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG25_c&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRelationshipBetweenInternalAndExternalRatings","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PastDueStatusAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossOnFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AnalysisOfFinancialAssetsThatAreIndividuallyDeterminedToBeImpaired","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfHedgesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_22&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnRemeasuringAvailableforsaleFinancialAssetsBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_a_ii&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInAllowanceAccountForCreditLossesOfFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOutOfHeldtomaturityInvestments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFinancialInstrumentsTheirCarryingAmountAndExplanationOfWhyFairValueCannotBeMeasuredReliably","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-b&anchor=para_30_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeMonthsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsRemovedFromEquityAndIncludedInCarryingAmountOfNonfinancialAssetLiabilityWhoseAcquisitionOrIncurrenceWasHedgedHighlyProbableForecastTransactionBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_23_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueOfFinancialAssetsAndFinancialLiabilitiesAndReclassificationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-b&anchor=para_30&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutMarketForFinancialInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-b&anchor=para_30_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHistoricalInformationAboutCounterpartyDefaultRates","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG23_c&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHistoricalInformationAboutCounterpartyDefaultRates","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneMonthAndNotLaterThanTwoMonthsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactThatFinancialInstrumentsWhoseFairValuePreviouslyCouldNotBeReliablyMeasuredAreDerecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2021-en-b&anchor=para_30_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ChangesInFairValueOfLoansOrReceivablesAttributableToChangesInCreditRiskOfFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_9_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRatingAgenciesUsed","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG24_b&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRatingAgenciesUsed","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_36_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanThreeMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG28_a&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanThreeMonthsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsImpairedMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsReclassifiedOutOfFinancialAssetsAtFairValueThroughProfitOrLossCarryingAmount","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueGainsLossesOnFinancialAssetsReclassifiedOutOfAvailableforsaleFinancialAssetsRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_d&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReversalAllowanceAccountForCreditLossesOfFinancialAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_16&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_a_ii&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnHedgingInstrument","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_24_a_i&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentFinancialAssetsAvailableforsale","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_d&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsThatAreIndividuallyDeterminedToBeImpairedFairValueOfCollateralHeldAndOtherCreditEnhancements","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG29_c&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsThatAreIndividuallyDeterminedToBeImpairedFairValueOfCollateralHeldAndOtherCreditEnhancements","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfRisksBeingHedged","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_22_c&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentFinancialLiabilitiesAtAmortisedCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_8_f&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_IG29&doctype=Implementation%20Guidance&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CarryingAmountAccumulatedDepreciationAmortisationAndImpairmentAndGrossCarryingAmountAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"37","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_37_b&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnFinancialAssetsReclassifiedOutOfAvailableforsaleFinancialAssetsRecognisedInOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_e&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOutOfAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12A_a&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationOutOfAvailableforsaleFinancialAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_12&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnAvailableforsaleFinancialAssetsNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"7","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=7&code=ifrs-tx-2017-en-b&anchor=para_20_a_ii&doctype=Standard&book=b","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxExpenseContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_23_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_23_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_32&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_33_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_34&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromInterest","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_23_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromInterest","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationAndAmortisationExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_23_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationAndAmortisationExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Assets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossBeforeTax","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossBeforeTax","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_23_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Liabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_24_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_23_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherMaterialNoncashItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_23_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherMaterialNoncashItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRevenueExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsToNoncurrentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_24_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsToNoncurrentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GeographicalAreasMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_33&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FactorsUsedToIdentifyEntitysReportableSegments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_22_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypesOfProductsAndServicesFromWhichEachReportableSegmentDerivesItsRevenues","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_22_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNecessaryInformationNotAvailableAndDevelopmentCostExcessive","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_32&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNecessaryInformationNotAvailableAndDevelopmentCostExcessive","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_33&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AllOtherSegmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisOfAccountingForTransactionsBetweenReportableSegments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"27","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_27_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfDifferencesBetweenMeasurementsOfReportableSegmentsProfitsOrLossesAndEntitysProfitOrLossBeforeIncomeTaxExpenseOrIncomeAndDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"27","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_27_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfDifferencesBetweenMeasurementsOfReportableSegmentsAssetsAndEntitysAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"27","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_27_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfDifferencesBetweenMeasurementsOfReportableSegmentsLiabilitiesAndEntitysLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"27","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_27_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfChangesFromPriorPeriodsInMeasurementMethodsUsedToDetermineReportedSegmentProfitOrLossAndEffectOfThoseChangesOnMeasureOfSegmentProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"27","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_27_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndEffectOfAnyAsymmetricalAllocationsToReportableSegments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"27","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_27_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfDomicileMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_33_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfDomicileMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_33_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ForeignCountriesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_33_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ForeignCountriesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_33_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEntitysReportableSegmentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS08_g20-24_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EliminationOfIntersegmentAmountsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_IG4&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfProductsAndServicesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_32&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProductsAndServicesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_32&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProductsAndServicesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_32&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfProductsAndServicesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_32&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasisForAttributingRevenuesFromExternalCustomersToIndividualCountries","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_33_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MajorCustomersAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_34&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSegmentsMajorCustomersExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_34&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MajorCustomersMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_34&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMajorCustomersTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_34&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutMajorCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_34&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GovernmentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_34&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfGeographicalAreasTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_33&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GeographicalAreasAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_33&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfGeographicalAreasExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_33&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSourcesOfRevenueForAllOtherSegments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssetsOtherThanFinancialInstrumentsDeferredTaxAssetsPostemploymentBenefitAssetsAndRightsArisingUnderInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_33_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnallocatedAmountsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IG4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_IG4&doctype=Implementation%20Guidance","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfEntitysRevenue","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_34&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentConsolidationItemsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Assets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Liabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRevenueExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfInterestRevenueReportedNetOfInterestExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOperatingSegmentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReportableSegmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfOperatingSegmentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForSegmentConsolidationItemsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OperatingSegmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaterialReconcilingItemsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMaterialReconcilingItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfJudgementsMadeByManagementInApplyingAggregationCriteriaForOperatingSegments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_22_aa&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EliminationOfIntersegmentAmountsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnallocatedAmountsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"8","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=8&code=ifrs-tx-2021-en-r&anchor=para_28&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionalInformationAboutNatureOfAndChangesInRisksAssociatedWithInterestsInStructuredEntitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B25&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedIndividuallyImmaterialAssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_c_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedIndividuallyImmaterialJointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_c_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetbackedFinancingsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B23_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsTransferredToStructuredEntitiesAtTimeOfTransfer","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"27","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_27_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashAndCashEquivalents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B13_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CommitmentsInRelationToJointVentures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_23_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B12","SubParagraph":null,"Clause":"ix","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B12_b_ix&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B12","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B12_b_i&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B12","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B12_b_iii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationAndAmortisationExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B13_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfComparisonBetweenAssetsAndLiabilitiesRecognisedInRelationToStructuredEntitiesAndMaximumExposureToLossFromInterestsInStructuredEntities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_29_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfDifficultiesStructuredEntityExperiencedInFinancingItsActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B26_f&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminedWhichStructuredEntitiesItSponsored","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"27","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_27_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfIntentionsToProvideSupportToStructuredEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"17","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_17&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfIntentionsToProvideSupportToStructuredEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_31&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInStatementOfFinancialPositionInWhichAssetsAndLiabilitiesRecognisedInRelationToStructuredEntitiesAreRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_29_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndExtentOfSignificantRestrictionsOnTransferOfFundsToParent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_22_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndExtentToWhichProtectiveRightsOfNoncontrollingInterestsCanSignificantlyRestrictEntitysAbilityToAccessOrUseAssetsAndSettleLiabilitiesOfGroup","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_13_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfRelationshipWithSubsidiaryWhereParentHasDirectlyOrIndirectlyLessThanHalfOfVotingPower","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_9_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForProvidingSupportToStructuredEntityWithoutHavingContractualObligationToDoSo","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"15","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_15_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForProvidingSupportToStructuredEntityWithoutHavingContractualObligationToDoSo","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_30_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsWhyPresumptionThatInterestOfLessThanTwentyPerCentInAssociateIsOvercome","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_9_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsWhyPresumptionThatInterestOfMoreThanTwentyPerCentInAssociateIsOvercome","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_9_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyEntityWithMoreThanHalfOfVotingPowerDirectlyOrIndirectlyOwnedWhichIsNotSubsidiaryDueToAbsenceOfControl","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_9_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyUsingDifferentReportingDateOrPeriodForSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_11_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSignificantJudgementsAndAssumptionsMadeInDeterminingThatEntityIsAgentOrPrincipal","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_9_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSignificantRestrictionsOnEntitysAbilityToAccessOrUseAssetsAndSettleLiabilitiesOfGroup","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_13_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTermsOfContractualArrangementsThatCouldRequireParentOrSubsidiariesToProvideFinancialSupportToStructuredEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_14&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTermsOfContractualArrangementsThatCouldRequireParentOrSubsidiariesToProvideFinancialSupportToStructuredEntity","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B26_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypesOfIncomeFromStructuredEntities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B26_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfCompositionOfGroupExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"10","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_10_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfConsolidatedAndSeparateFinancialStatementsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"Objective","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS12_g1-4_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFormsOfFundingOfStructuredEntityAndTheirWeightedaverageLifeExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B26_g&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfHowEntityAggregatedInterestsInSimilarEntitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B3","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B3&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutInterestsInStructuredEntityExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_26&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutLiquidityArrangementsGuaranteesOrOtherCommitmentsWithThirdPartiesThatMayAffectFairValueOrRiskOfInterestsInStructuredEntitiesExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B26_e&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterestsInOtherEntitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"1","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_1&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterestsInSubsidiariesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"2","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_2_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterestsInUnconsolidatedStructuredEntitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"2","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_2_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantJudgementsAndAssumptionsMadeInRelationToInterestsInOtherEntitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_7&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsPaidToNoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B10_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DividendsReceived","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B12_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfFactorsInReachingDecisionThatProvisionOfSupportToPreviouslyUnconsolidatedStructuredEntityResultedInObtainingControl","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_16&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfGainsLossesRecognisedWhenControlInSubsidiaryIsLost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedWhenControlInSubsidiaryIsLost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxExpenseContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B13_g&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpense","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B13_f&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B16&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentFundsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B23_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LossesIncurredInRelationToInterestsInStructuredEntities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B26_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_12_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_12_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B12","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B12_b_ii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B12","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B12_b_iv&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B12","SubParagraph":null,"Clause":"viii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B12_b_viii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherCurrentFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B13_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherNoncurrentFinancialLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B13_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PortionOfGainsLossesRecognisedWhenControlOfSubsidiaryIsLostAttributableToRecognisingInvestmentRetainedInFormerSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossAttributableToNoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_12_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromContinuingOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B12","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B12_b_vi&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossFromDiscontinuedOperations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B12","SubParagraph":null,"Clause":"vii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B12_b_vii&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestsHeldByNoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_12_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingRightsHeldByNoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_12_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B12","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B12_b_v&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromInterest","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B13_e&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SecuritisationVehiclesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B23_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B16_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfProfitLossOfContinuingOperationsOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B16_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfProfitLossOfDiscontinuedOperationsOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B16_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfTotalComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B16","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B16_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SubsidiariesWithMaterialNoncontrollingInterestsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_12&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesRecognisedInEntitysFinancialStatementsInRelationToStructuredEntities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_29_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsRecognisedInEntitysFinancialStatementsInRelationToStructuredEntities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_29_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesToWhichSignificantRestrictionsApply","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_13_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsToWhichSignificantRestrictionsApply","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_13_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInAssociatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInAssociatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForAssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantInvestmentsInAssociatesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssociatesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B10_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B10_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B10_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B10_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B10_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Revenue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B10_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ComprehensiveIncome","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B10","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B10_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsolidatedStructuredEntitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"Nature of the risks associated with an entity's interests in consolidated structured entities","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS12_g14-17_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutConsolidatedStructuredEntitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"Nature of the risks associated with an entity's interests in consolidated structured entities","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS12_g14-17_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutConsolidatedStructuredEntitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"Nature of the risks associated with an entity's interests in consolidated structured entities","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS12_g14-17_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForConsolidatedStructuredEntitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"Nature of the risks associated with an entity's interests in consolidated structured entities","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS12_g14-17_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsolidatedStructuredEntitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"Nature of the risks associated with an entity's interests in consolidated structured entities","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS12_g14-17_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentLiabilitiesIncurredInRelationToInterestsInAssociates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_23_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfContingentLiabilitiesIncurredJointlyWithOtherVenturers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_23_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShareOfContingentLiabilitiesOfAssociatesIncurredJointlyWithOtherInvestors","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_23_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentLiabilitiesIncurredByVenturerInRelationToInterestsInJointVentures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_23_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOrResidenceOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfJointOperation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOfJointOperation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_12_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOrResidenceOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_12_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CumulativeUnrecognisedShareOfLossesOfJointVentures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_22_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnrecognisedShareOfLossesOfAssociates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_22_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnrecognisedShareOfLossesOfJointVentures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_22_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CumulativeUnrecognisedShareOfLossesOfAssociates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_22_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisOfPreparationOfSummarisedFinancialInformationOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B15","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B15&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisOfPreparationOfSummarisedFinancialInformationOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B15","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B15&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutHowMaximumExposureToLossFromInterestsInStructuredEntitiesIsDetermined","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_29_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaximumExposureToLossFromInterestsInStructuredEntities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_29_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactAndReasonsWhyMaximumExposureToLossFromInterestsInStructuredEntitiesCannotBeQuantified","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"29","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_29_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfEntitysRelationshipWithJointOperation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfEntitysRelationshipWithJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfEntitysRelationshipWithAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyUsingDifferentReportingDateOrPeriodForJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_22_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyUsingDifferentReportingDateOrPeriodForAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_22_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SupportProvidedToStructuredEntityWithoutHavingContractualObligationToDoSo","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"15","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_15_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypeOfSupportProvidedToStructuredEntityWithoutHavingContractualObligationToDoSo","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"15","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_15_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SupportProvidedToStructuredEntityWithoutHavingContractualObligationToDoSo","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_30_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypeOfSupportProvidedToStructuredEntityWithoutHavingContractualObligationToDoSo","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_30_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromStructuredEntities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"27","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_27_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypesOfIncomeFromStructuredEntities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"27","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_27_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRankingAndAmountsOfPotentialLossesInStructuredEntitiesBorneByPartiesWhoseInterestsRankLowerThanEntitysInterestsExplanatory","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B26_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaximumLimitOfLossesOfStructuredEntitiesWhichEntityIsRequiredToAbsorbBeforeOtherParties","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B26_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfWhetherEntityIsRequiredToAbsorbLossesOfStructuredEntitiesBeforeOtherParties","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B26_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfWhetherInvestmentInJointVentureIsMeasuredUsingEquityMethodOrAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfWhetherInvestmentInAssociateIsMeasuredUsingEquityMethodOrAtFairValue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInOwnershipInterestsInSubsidiariesThatDoNotResultInLossOfControlEquityAttributableToOwnersOfParent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_18&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectsOfChangesInParentsOwnershipInterestInSubsidiaryThatDoNotResultInLossOfControlOnEquityAttributableToOwnersOfParentExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"18","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_18&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterestsInJointArrangementsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"2","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_2_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInterestsInAssociatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"2","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_2_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfJointOperationsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForJointOperationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointOperationsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointOperationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfJointOperationsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfJointVenturesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForJointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"JointVenturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfJointVenturesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfSummarisedFinancialInformationOfJointVentureAccountedForUsingEquityMethodToCarryingAmountOfInterestInJointVentureExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B14_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfSummarisedFinancialInformationOfAssociateAccountedForUsingEquityMethodToCarryingAmountOfInterestInAssociateExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B14","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B14_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInSubsidiariesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForSubsidiariesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantInvestmentsInSubsidiariesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SubsidiariesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfUnconsolidatedStructuredEntitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_e&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForUnconsolidatedStructuredEntitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_e&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnconsolidatedStructuredEntitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_e&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnconsolidatedStructuredEntitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_e&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfUnconsolidatedStructuredEntitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_B4_e&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfInvestmentsInAssociatesWherePriceQuotationsPublished","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfInvestmentInJointVenturesWherePriceQuotationsPublished","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfJointOperation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInJointOperation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_a_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_a_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingPowerHeldInAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_a_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingRightsHeldInJointOperation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_a_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingRightsHeldInJointVenture","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_a_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_21_a_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOfEndOfReportingPeriodOfFinancialStatementsOfJointVenture2013","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_22_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOfEndOfReportingPeriodOfFinancialStatementsOfAssociate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_22_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DateOfEndOfReportingPeriodOfFinancialStatementsOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_11_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CountryOfIncorporationOrResidenceOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19B_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysTotalForUnconsolidatedSubsidiariesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SupportProvidedToSubsidiaryWithoutHavingContractualObligationToDoSo","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19E_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndExtentOfSignificantRestrictionsOnTransferOfFundsToParent","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19D_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfVotingPowerHeldInSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19B_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatInvestmentEntityIsRequiredToApplyExceptionFromConsolidation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInProfitOrLossInWhichGainLossOnCessationOfConsolidationOfSubsidiariesIsRecognised","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_9B_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTermsOfContractualArrangementsThatCouldRequireInvestmentEntityOrItsSubsidiariesToProvideFinancialSupportToUnconsolidatedStructuredEntityControlledByInvestmentEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19F","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19F&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutSignificantJudgementsAndAssumptionsMadeInDeterminingThatEntityIsInvestmentEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_9A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInvestmentEntitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"Investment entity status","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS12_g9A-9B_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForProvidingSupportToSubsidiaryWithoutHavingContractualObligationToDoSo","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19E_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutUnconsolidatedSubsidiariesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnconsolidatedSubsidiariesControlledBySubsidiariesOfInvestmentEntityMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19C","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19C&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnconsolidatedSubsidiariesThatInvestmentEntityControlsDirectlyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForConcludingThatEntityIsInvestmentEntityIfItDoesNotHaveOneOrMoreTypicalCharacteristics","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_9A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCurrentCommitmentsOrIntentionsToProvideSupportToSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19D","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19D_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfRelevantFactorsInReachingDecisionToProvideSupportThatResultedInControllingUnconsolidatedStructuredEntity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19G","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19G&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangeOfInvestmentEntityStatus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_9B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProportionOfOwnershipInterestInSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19B_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfChangeOfInvestmentEntityStatusOnFinancialStatementsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_9B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NameOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19B_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainLossOnCessationOfConsolidationOfSubsidiariesDueToChangeOfInvestmentEntityStatus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_9B_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnconsolidatedSubsidiariesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfSubsidiariesThatCeaseToBeConsolidatedAsOfDateOfChangeOfInvestmentEntityStatus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_9B_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrincipalPlaceOfBusinessOfSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19B_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnconsolidatedStructuredEntitiesControlledByInvestmentEntityMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19F","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19F&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnconsolidatedSubsidiariesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangeOfInvestmentEntityStatus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"9B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_9B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutUnconsolidatedStructuredEntitiesControlledByInvestmentEntityTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19F","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19F&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutUnconsolidatedStructuredEntitiesControlledByInvestmentEntityExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19F","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19F&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnconsolidatedStructuredEntitiesControlledByInvestmentEntityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19F","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19F&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypeOfSupportProvidedToSubsidiaryWithoutHavingContractualObligationToDoSo","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19E","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19E_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutUnconsolidatedSubsidiariesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"12","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"19B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=12&code=ifrs-tx-2021-en-r&anchor=para_19B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueMeasurementExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS13_g91-99_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DiscountedCashFlowMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_B11_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MatrixPricingMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B7","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_B7&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MultiperiodExcessEarningsMethodMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_B11_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotMeasuredAtFairValueInStatementOfFinancialPositionButForWhichFairValueIsDisclosedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"97","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_97&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OptionPricingModelMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_B11_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatChangingOneOrMoreUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsWouldChangeFairValueSignificantlyAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatChangingOneOrMoreUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsWouldChangeFairValueSignificantlyEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatChangingOneOrMoreUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsWouldChangeFairValueSignificantlyLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEffectOnFairValueMeasurementDueToChangeInOneOrMoreUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsWasCalculatedAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEffectOnFairValueMeasurementDueToChangeInOneOrMoreUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsWasCalculatedEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEffectOnFairValueMeasurementDueToChangeInOneOrMoreUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsWasCalculatedLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Assets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AtFairValueMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Equity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Liabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MeasurementAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NonrecurringFairValueMeasurementMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RecurringFairValueMeasurementMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedMeasurementMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Assets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Equity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Level1OfFairValueHierarchyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Level2OfFairValueHierarchyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Level3OfFairValueHierarchyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LevelsOfFairValueHierarchyAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Liabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AllLevelsOfFairValueHierarchyMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Equity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Liabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"Assets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsensusPricingMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE63","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DiscountedCashFlowMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE63","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketComparableCompaniesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE63","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketComparablePricesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE63","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OptionPricingModelMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE63","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangeAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE63","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE63","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TopOfRangeMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE63","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE63","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BottomOfRangeMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE63","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfEntitysOwnEquityInstrumentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfLiabilitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueMeasurementOfAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueMeasurementOfAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueMeasurementOfEquityExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueMeasurementOfEquityTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueMeasurementOfLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfFairValueMeasurementOfLiabilitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EntitysOwnEquityInstrumentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeApproachMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"62","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_62&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketApproachMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"62","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_62&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostApproachMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"62","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_62&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE60","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE60&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgeFundInvestmentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE60","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE60&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentPropertyMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE60","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE60&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssetsHeldForSaleMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE60","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE60&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherEquitySecuritiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE60","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE60&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradingEquitySecuritiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE60","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE60&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DebtSecuritiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE60","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE60&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyDecisionToUseExceptionInIFRS1348Liabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"96","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_96&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfAccountingPolicyDecisionToUseExceptionInIFRS1348Assets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"96","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_96&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangeInValuationTechniqueUsedInFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangeInValuationTechniqueUsedInFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInputsUsedInFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInputsUsedInFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInputsUsedInFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangeInValuationTechniqueUsedInFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangeInValuationTechniqueUsedInFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangeInValuationTechniqueUsedInFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfValuationTechniquesUsedInFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfValuationTechniquesUsedInFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfValuationTechniquesUsedInFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantUnobservableInputsUsedInFairValueMeasurementOfAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantUnobservableInputsUsedInFairValueMeasurementOfAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantUnobservableInputsUsedInFairValueMeasurementOfEquityExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantUnobservableInputsUsedInFairValueMeasurementOfEquityTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantUnobservableInputsUsedInFairValueMeasurementOfLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantUnobservableInputsUsedInFairValueMeasurementOfLiabilitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ValuationTechniquesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ValuationTechniquesUsedInFairValueMeasurementAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangeInValuationTechniqueUsedInFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfWhetherThirdpartyCreditEnhancementIsReflectedInFairValueMeasurement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_98&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfLiabilitiesMeasuredAtFairValueAndIssuedWithInseparableThirdpartyCreditEnhancementExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_98&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfLiabilitiesMeasuredAtFairValueAndIssuedWithInseparableThirdpartyCreditEnhancementTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_98&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesMeasuredAtFairValueAndIssuedWithInseparableThirdpartyCreditEnhancementAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_98&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesMeasuredAtFairValueAndIssuedWithInseparableThirdpartyCreditEnhancementMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_98&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExistenceOfThirdpartyCreditEnhancement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_98&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyNonfinancialAssetIsBeingUsedInMannerDifferentFromHighestAndBestUse","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatHighestAndBestUseOfNonfinancialAssetDiffersFromCurrentUse","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFrequencyAndMethodsForTestingProceduresOfPricingModelsEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_b&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFrequencyAndMethodsForTestingProceduresOfPricingModelsLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_b&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFrequencyAndMethodsForTestingProceduresOfPricingModelsAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_b&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_a_i&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_a_i&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_a_i&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminedThatThirdpartyInformationUsedInFairValueMeasurementWasDevelopedInAccordanceWithIFRS13EntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_d&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminedThatThirdpartyInformationUsedInFairValueMeasurementWasDevelopedInAccordanceWithIFRS13Liabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_d&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminedThatThirdpartyInformationUsedInFairValueMeasurementWasDevelopedInAccordanceWithIFRS13Assets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_d&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowThirdpartyInformationWasTakenIntoAccountWhenMeasuringFairValueEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE64_b&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowThirdpartyInformationWasTakenIntoAccountWhenMeasuringFairValueLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE64_b&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowThirdpartyInformationWasTakenIntoAccountWhenMeasuringFairValueAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE64_b&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInternalReportingProceduresForDiscussingAndAssessingFairValueMeasurementsEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_a_iii&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInternalReportingProceduresForDiscussingAndAssessingFairValueMeasurementsLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_a_iii&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInternalReportingProceduresForDiscussingAndAssessingFairValueMeasurementsAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_a_iii&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInterrelationshipsBetweenUnobservableInputsAndOfHowTheyMightMagnifyOrMitigateEffectOfChangesInUnobservableInputsOnFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInterrelationshipsBetweenUnobservableInputsAndOfHowTheyMightMagnifyOrMitigateEffectOfChangesInUnobservableInputsOnFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSensitivityOfFairValueMeasurementToChangesInUnobservableInputsAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSensitivityOfFairValueMeasurementToChangesInUnobservableInputsEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSensitivityOfFairValueMeasurementToChangesInUnobservableInputsLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInterrelationshipsBetweenUnobservableInputsAndOfHowTheyMightMagnifyOrMitigateEffectOfChangesInUnobservableInputsOnFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInOtherComprehensiveIncomeWhereGainsLossesAreRecognisedFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInOtherComprehensiveIncomeWhereGainsLossesAreRecognisedFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInOtherComprehensiveIncomeWhereGainsLossesAreRecognisedFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInProfitOrLossWhereGainsLossesAreRecognisedFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInProfitOrLossWhereGainsLossesAreRecognisedFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInProfitOrLossWhereGainsLossesAreRecognisedFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInProfitOrLossWhereGainsLossesAttributableToChangeInUnrealisedGainsOrLossesForEntitysOwnEquityInstrumentsHeldAtEndOfPeriodAreRecognisedFairValueMeasurement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInProfitOrLossWhereGainsLossesAttributableToChangeInUnrealisedGainsOrLossesForLiabilitiesHeldAtEndOfPeriodAreRecognisedFairValueMeasurement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossAttributableToChangeInUnrealisedGainsOrLossesForAssetsHeldAtEndOfPeriodFairValueMeasurement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossAttributableToChangeInUnrealisedGainsOrLossesForEntitysOwnEquityInstrumentsHeldAtEndOfPeriodFairValueMeasurement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossAttributableToChangeInUnrealisedGainsOrLossesForLiabilitiesHeldAtEndOfPeriodFairValueMeasurement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInProfitOrLossWhereGainsLossesAttributableToChangeInUnrealisedGainsOrLossesForAssetsHeldAtEndOfPeriodAreRecognisedFairValueMeasurement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToDevelopAndSubstantiateUnobservableInputsUsedInFairValueMeasurementEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_e&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToDevelopAndSubstantiateUnobservableInputsUsedInFairValueMeasurementLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_e&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToDevelopAndSubstantiateUnobservableInputsUsedInFairValueMeasurementAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_e&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfClassOfEntitysOwnEquityInstrumentsMeasuredAtFairValue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE64_a&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfClassOfLiabilitiesMeasuredAtFairValue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE64_a&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfClassOfAssetsMeasuredAtFairValue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE64","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE64_a&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingWhenTransfersBetweenLevelsAreDeemedToHaveOccurredEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingWhenTransfersBetweenLevelsAreDeemedToHaveOccurredLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOutOfLevel1IntoLevel2OfFairValueHierarchyAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOutOfLevel1IntoLevel2OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOutOfLevel1IntoLevel2OfFairValueHierarchyLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOutOfLevel2IntoLevel1OfFairValueHierarchyAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOutOfLevel2IntoLevel1OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOutOfLevel2IntoLevel1OfFairValueHierarchyLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOutOfLevel1IntoLevel2OfFairValueHierarchyAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOutOfLevel1IntoLevel2OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOutOfLevel1IntoLevel2OfFairValueHierarchyLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOutOfLevel2IntoLevel1OfFairValueHierarchyAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOutOfLevel2IntoLevel1OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOutOfLevel2IntoLevel1OfFairValueHierarchyLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingWhenTransfersBetweenLevelsAreDeemedToHaveOccurredAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingWhenTransfersBetweenLevelsAreDeemedToHaveOccurredEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingWhenTransfersBetweenLevelsAreDeemedToHaveOccurredLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersIntoLevel3OfFairValueHierarchyAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersIntoLevel3OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersIntoLevel3OfFairValueHierarchyLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOutOfLevel3OfFairValueHierarchyAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOutOfLevel3OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForTransfersOutOfLevel3OfFairValueHierarchyLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersIntoLevel3OfFairValueHierarchyAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersIntoLevel3OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersIntoLevel3OfFairValueHierarchyLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOutOfLevel3OfFairValueHierarchyAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOutOfLevel3OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransfersOutOfLevel3OfFairValueHierarchyLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingWhenTransfersBetweenLevelsAreDeemedToHaveOccurredAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingWhenTransfersBetweenLevelsAreDeemedToHaveOccurredEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"95","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_95&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingWhenTransfersBetweenLevelsAreDeemedToHaveOccurredLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"95","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_95&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPolicyForDeterminingWhenTransfersBetweenLevelsAreDeemedToHaveOccurredAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"95","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_95&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfProcessForAnalysingChangesInFairValueMeasurementsEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_c&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfProcessForAnalysingChangesInFairValueMeasurementsLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_c&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfProcessForAnalysingChangesInFairValueMeasurementsAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_c&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfToWhomGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresReportsEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_a_ii&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfToWhomGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresReportsLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_a_ii&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfToWhomGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresReportsAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE65","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE65_a_ii&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfValuationProcessesUsedInFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfValuationProcessesUsedInFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfValuationProcessesUsedInFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationSufficientToPermitReconciliationOfClassesDeterminedForFairValueMeasurementToLineItemsInStatementOfFinancialPositionEntitysOwnEquityInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationSufficientToPermitReconciliationOfClassesDeterminedForFairValueMeasurementToLineItemsInStatementOfFinancialPositionLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationSufficientToPermitReconciliationOfClassesDeterminedForFairValueMeasurementToLineItemsInStatementOfFinancialPositionAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IssuesFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IssuesFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchasesFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchasesFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PurchasesFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SalesFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SalesFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SalesFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SettlementsFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SettlementsFairValueMeasurementEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SettlementsFairValueMeasurementLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IssuesFairValueMeasurementAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToDevelopAndSubstantiateUnobservableInputsUsedInFairValueMeasurementEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToDevelopAndSubstantiateUnobservableInputsUsedInFairValueMeasurementLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToDevelopAndSubstantiateUnobservableInputsUsedInFairValueMeasurementAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminedThatThirdpartyInformationUsedInFairValueMeasurementWasDevelopedInAccordanceWithIFRS13EntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminedThatThirdpartyInformationUsedInFairValueMeasurementWasDevelopedInAccordanceWithIFRS13Assets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminedThatThirdpartyInformationUsedInFairValueMeasurementWasDevelopedInAccordanceWithIFRS13Liabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfProcessForAnalysingChangesInFairValueMeasurementsAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfProcessForAnalysingChangesInFairValueMeasurementsEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfProcessForAnalysingChangesInFairValueMeasurementsLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFrequencyAndMethodsForTestingProceduresOfPricingModelsAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFrequencyAndMethodsForTestingProceduresOfPricingModelsLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFrequencyAndMethodsForTestingProceduresOfPricingModelsEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInternalReportingProceduresForDiscussingAndAssessingFairValueMeasurementsAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInternalReportingProceduresForDiscussingAndAssessingFairValueMeasurementsEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfInternalReportingProceduresForDiscussingAndAssessingFairValueMeasurementsLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfToWhomGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresReportsEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfToWhomGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresReportsLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfToWhomGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresReportsAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfGroupWithinEntityThatDecidesEntitysValuationPoliciesAndProceduresLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowThirdpartyInformationWasTakenIntoAccountWhenMeasuringFairValueEntitysOwnEquityInstruments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowThirdpartyInformationWasTakenIntoAccountWhenMeasuringFairValueLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowThirdpartyInformationWasTakenIntoAccountWhenMeasuringFairValueAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfClassOfLiabilitiesMeasuredAtFairValue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfClassOfEntitysOwnEquityInstrumentsMeasuredAtFairValue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfClassOfAssetsMeasuredAtFairValue","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_B6&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BottomOfRangeMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_B6&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_B6&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketComparablePricesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B5","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_B5&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConsensusPricingMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B5","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_B5&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TopOfRangeMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_B6&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangeAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_B6&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketComparableCompaniesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B5","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_B5&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HedgeFundInvestmentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherEquitySecuritiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InvestmentPropertyMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DerivativesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DebtSecuritiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentAssetsHeldForSaleMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TradingEquitySecuritiesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnobservableInputsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnobservableInputsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisOfFairValueMeasurementToChangesInUnobservableInputsAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisOfFairValueMeasurementToChangesInUnobservableInputsAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_B36_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"HistoricalVolatilityForSharesMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_B36_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdjustmentToMidmarketConsensusPriceMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_B36_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentEstimateOfFutureCashOutflowsToBePaidToFulfilObligationMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_B36_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialForecastOfProfitOrLossForCashgeneratingUnitMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_B36_e&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialForecastOfCashFlowsForCashgeneratingUnitMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_B36_e&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageCostOfCapitalMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueMultipleMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConstantPrepaymentRateMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProbabilityOfDefaultMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DiscountRateMeasurementInputMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RentMeasurementInputMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalisationRateMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditSpreadMeasurementInputMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CapitalisationRateMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE63","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnobservableInputsAxis","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnobservableInputsMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageCostOfCapitalMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE63","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueMultipleMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE63","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConstantPrepaymentRateMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE63","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProbabilityOfDefaultMeasurementInputMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE63","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleIncreaseInUnobservableInputAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInProfitOrLossBeforeTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeBeforeTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInProfitOrLossAfterTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeAfterTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleDecreaseInUnobservableInputAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInProfitOrLossBeforeTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeBeforeTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInProfitOrLossAfterTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeAfterTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossBeforeTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeBeforeTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossAfterTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeAfterTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossBeforeTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeBeforeTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossAfterTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeAfterTaxAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatThereWereNoTransfersBetweenLevel1AndLevel2OfFairValueHierarchyAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatThereWereNoTransfersBetweenLevel1Level2OrLevel3OfFairValueHierarchyAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatThereWereNoTransfersBetweenLevel1Level2OrLevel3OfFairValueHierarchyAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossExcludingExchangeDifferencesFairValueMeasurementAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossOnExchangeDifferencesFairValueMeasurementAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeExcludingExchangeDifferencesFairValueMeasurementAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeOnExchangeDifferencesFairValueMeasurementAssets","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisOfFairValueMeasurementToChangesInUnobservableInputsLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisOfFairValueMeasurementToChangesInUnobservableInputsLiabilitiesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleIncreaseInUnobservableInputLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInProfitOrLossBeforeTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeBeforeTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInProfitOrLossAfterTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeAfterTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleDecreaseInUnobservableInputLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInProfitOrLossBeforeTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeBeforeTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInProfitOrLossAfterTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeAfterTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossBeforeTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeBeforeTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossAfterTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeAfterTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossBeforeTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeBeforeTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossAfterTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeAfterTaxLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatThereWereNoTransfersBetweenLevel1AndLevel2OfFairValueHierarchyLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatThereWereNoTransfersBetweenLevel1Level2OrLevel3OfFairValueHierarchyLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatThereWereNoTransfersBetweenLevel1Level2OrLevel3OfFairValueHierarchyLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossExcludingExchangeDifferencesFairValueMeasurementLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossOnExchangeDifferencesFairValueMeasurementLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeExcludingExchangeDifferencesFairValueMeasurementLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeOnExchangeDifferencesFairValueMeasurementLiabilities","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisOfFairValueMeasurementToChangesInUnobservableInputsEntitysOwnEquityInstrumentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisOfFairValueMeasurementToChangesInUnobservableInputsEntitysOwnEquityInstrumentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleIncreaseInUnobservableInputEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInProfitOrLossBeforeTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeBeforeTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInProfitOrLossAfterTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeAfterTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleIncreaseInUnobservableInputEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleDecreaseInUnobservableInputEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInProfitOrLossBeforeTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeBeforeTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInProfitOrLossAfterTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputRecognisedInOtherComprehensiveIncomeAfterTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInFairValueMeasurementDueToReasonablyPossibleDecreaseInUnobservableInputEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossBeforeTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeBeforeTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossAfterTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeAfterTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossBeforeTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeBeforeTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInProfitOrLossAfterTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsRecognisedInOtherComprehensiveIncomeAfterTaxEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseInFairValueMeasurementDueToChangeInMultipleUnobservableInputsToReflectReasonablyPossibleAlternativeAssumptionsEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_h_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatThereWereNoTransfersBetweenLevel1AndLevel2OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatThereWereNoTransfersBetweenLevel1Level2OrLevel3OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatThereWereNoTransfersBetweenLevel1Level2OrLevel3OfFairValueHierarchyEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossExcludingExchangeDifferencesFairValueMeasurementEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInProfitOrLossOnExchangeDifferencesFairValueMeasurementEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeExcludingExchangeDifferencesFairValueMeasurementEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesRecognisedInOtherComprehensiveIncomeOnExchangeDifferencesFairValueMeasurementEntitysOwnEquityInstruments","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_e_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetAssetValueMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE63","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_IE63&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetAssetValueMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeCapitalisationMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContingentConsiderationMember","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantUnobservableInputAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantUnobservableInputLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SignificantUnobservableInputEntitysOwnEquityInstruments","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"13","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=13&code=ifrs-tx-2021-en-r&anchor=para_93_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GasDistributionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE2","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_IE2&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RateOfReturnUsedToReflectTimeValueOfMoneyRegulatoryDeferralAccountBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatRateRegulatorIsRelatedParty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_30_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInForeignExchangeRatesRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInOtherRegulatoryDeferralAccountBalancesRelatedToProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE5","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_IE5&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutActivitiesSubjectToRateRegulationTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"Explanation of activities subject to rate regulation","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS14_g30-31_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TaxationrelatedRegulatoryDeferralAccountBalancesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_34&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughBalancesReversedInCurrentPeriodRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillBeReclassifiedToProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_22_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsAndRegulatoryDeferralAccountDebitBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_21&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountByWhichRegulatoryDeferralAccountDebitBalanceHasBeenReducedBecauseItIsNoLongerFullyRecoverable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_36&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLossAttributableToNoncontrollingInterests","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_B25&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountDebitBalancesAndRelatedDeferredTaxAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_24&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountDebitBalancesAndRelatedDeferredTaxAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_B11_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BottomOfRangeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossIncludingNetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLossAndNetMovementInRelatedDeferredTaxAttributableToOwnersOfParent","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE1","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_IE1&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutAmountsRecognisedInRelationToRegulatoryDeferralAccountBalancesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"Explanation of recognised amounts","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS14_g32-36_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountBalancesNotClassifiedAsDisposalGroupsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_B22&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesOnNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillBeReclassifiedToProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_22_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInForeignExchangeRatesRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfRegulatoryDeferralAccountBalancesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_30_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfRegulatoryDeferralAccountBalancesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersToDisposalGroupsRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE5","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_IE5&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerShareIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_26&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountByWhichRegulatoryDeferralAccountCreditBalanceHasBeenReducedBecauseItIsNoLongerFullyReversible","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_36&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughBalancesRecognisedInCurrentPeriodInStatementOfFinancialPositionRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfIdentityOfRateRegulators","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_30_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInRegulatoryDeferralAccountCreditBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnNetMovementInRegulatoryDeferralAccountBalancesNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_22_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossIncludingNetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLossAndNetMovementInRelatedDeferredTaxAttributableToNoncontrollingInterests","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE1","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_IE1&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfRegulatoryDeferralAccountBalancesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_30_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfRegulatoryDeferralAccountBalancesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughItemsAcquiredInBusinessCombinationRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyRegulatoryDeferralAccountBalanceIsNoLongerFullyRecoverableOrReversible","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_36&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DiscountRateUsedToReflectTimeValueOfMoneyRegulatoryDeferralAccountBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerShareFromContinuingOperationsIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_26&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCrossreferenceToDisclosuresAboutActivitiesSubjectToRateRegulation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"31","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_31&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInDeferredTaxArisingFromRegulatoryDeferralAccountBalancesRelatedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_24&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInDeferredTaxArisingFromRegulatoryDeferralAccountBalancesRelatedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_B12_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_22_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_35&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersToDisposalGroupsRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE5","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_IE5&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_22_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutActivitiesSubjectToRateRegulationExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"Explanation of activities subject to rate regulation","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS14_g30-31_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInCurrentTaxExpenseIncomeDueToRateRegulation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_34&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInRegulatoryDeferralAccountDebitBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowFutureRecoveryOrReversalOfRegulatoryDeferralAccountBalancesIsAffectedByRisksAndUncertainty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_30_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerShareIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_26&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerShareFromContinuingOperationsIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_26&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountBalancesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_B22&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountDebitBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_20_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountDebitBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountDebitBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_35&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughDisposalsRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_22_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountCreditBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"20","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_20_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountCreditBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountCreditBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_35&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisOnWhichRegulatoryDeferralAccountBalancesAreRecognisedAndDerecognisedAndHowTheyAreMeasuredInitiallyAndSubsequently","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_32&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxLiabilityAssociatedWithRegulatoryDeferralAccountBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_24&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxLiabilityAssociatedWithRegulatoryDeferralAccountBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_B11_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInDiscountRatesRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughImpairmentsRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ElectricityDistributionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE2","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_IE2&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLossDirectlyAssociatedWithDiscontinuedOperation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_35&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRegulatoryDeferralAccountsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"Presentation","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS14_g18-26_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRegulatoryDeferralAccountsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS14_g27-36_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE5","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_IE5&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughDisposalsRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TopOfRangeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountBalancesClassifiedAsDisposalGroupsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_B22&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatRegulatoryDeferralAccountBalanceIsNoLongerFullyRecoverableOrReversible","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"36","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_36&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnNetMovementInRegulatoryDeferralAccountBalancesBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_22_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_22_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"IE5","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_IE5&doctype=Illustrative%20Examples","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_22_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountCreditBalancesAndRelatedDeferredTaxLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_24&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountCreditBalancesAndRelatedDeferredTaxLiability","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_B11_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangeAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLossAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_24&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLossAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_B12_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughBalancesRecognisedInCurrentPeriodInStatementOfFinancialPositionRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfRegulatoryRatesettingProcess","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_30_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInDeferredTaxExpenseIncomeDueToRateRegulation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_34&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountCreditBalancesDirectlyRelatedToDisposalGroup","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountBalancesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_B22&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PortionOfGainsLossesRecognisedWhenControlOfSubsidiaryIsLostAttributableToDerecognisingRegulatoryDeferralAccountBalancesInFormerSubsidiary","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_B28&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RegulatoryDeferralAccountDebitBalancesDirectlyRelatedToDisposalGroup","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutAmountsRecognisedInRelationToRegulatoryDeferralAccountBalancesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"Explanation of recognised amounts","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS14_g32-36_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughBalancesRecoveredInCurrentPeriodRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"22","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_22_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxNetMovementInRegulatoryDeferralAccountBalancesRelatedToItemsThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"35","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_35&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BasicEarningsLossPerShareFromDiscontinuedOperationsIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_26&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RateregulatedActivitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_30&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RateregulatedActivitiesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxAssetAssociatedWithRegulatoryDeferralAccountBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"24","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_24&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DeferredTaxAssetAssociatedWithRegulatoryDeferralAccountBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B11","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_B11_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfImpactOfRateRegulationOnCurrentAndDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"34","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_34&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossIncludingNetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLossAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughOtherChangesRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRateregulatedActivitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_30&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRateregulatedActivitiesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughItemsAssumedInBusinessCombinationRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EquityLiabilitiesAndRegulatoryDeferralAccountCreditBalances","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"21","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_21&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureAndExtentOfRateregulatedActivity","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_30_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DilutedEarningsLossPerShareFromDiscontinuedOperationsIncludingNetMovementInRegulatoryDeferralAccountBalancesAndNetMovementInRelatedDeferredTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"26","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_26&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfHowRateRegulatorIsRelated","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"30","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_30_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInDiscountRatesRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetMovementInOtherRegulatoryDeferralAccountBalancesRelatedToProfitOrLoss","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersToDisposalGroupsRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughTransfersToDisposalGroupsRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherRegulatoryDeferralAccountDebitBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherRegulatoryDeferralAccountCreditBalances","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"25","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_25&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GasDistributionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ElectricityDistributionMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossIncludingNetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLossAndNetMovementInRelatedDeferredTaxAttributableToOwnersOfParent","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossIncludingNetMovementInRegulatoryDeferralAccountBalancesRelatedToProfitOrLossAndNetMovementInRelatedDeferredTaxAttributableToNoncontrollingInterests","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"23","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_23&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RemainingRecoveryPeriodOfRegulatoryDeferralAccountDebitBalances2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RemainingReversalPeriodOfRegulatoryDeferralAccountCreditBalances2019","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"14","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=14&code=ifrs-tx-2021-en-r&anchor=para_33_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToRecogniseRevenueFromContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_124_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentContractLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_105&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutMethodsInputsAndAssumptionsUsedForAllocatingTransactionPriceExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"126","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_126_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutMethodsInputsAndAssumptionsUsedForMeasuringObligationsForReturnsRefundsAndOtherSimilarObligationsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"126","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_126_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentReceivablesFromContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_105&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughCumulativeCatchupAdjustmentsToRevenueArisingFromChangeInMeasureOfProgressContractLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_118_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughBusinessCombinationsContractLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_118_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GeographicalAreasAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhenEntityExpectsToRecogniseTransactionPriceAllocatedToRemainingPerformanceObligationsAsRevenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"120","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_120_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TimingOfTransferOfGoodsOrServicesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_f&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProductsAndServicesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseDueToApplicationOfIFRS15Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_C8_a&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughCumulativeCatchupAdjustmentsToRevenueContractAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_118_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfSignificantChangesInContractAssetsAndContractLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_118&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfContractsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatPracticalExpedientAboutIncrementalCostsOfObtainingContractHasBeenUsed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"129","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_129&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfObligationsForReturnsRefundsAndOtherSimilarObligations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_119_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CostsToObtainContractsWithCustomersMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_128_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughCumulativeCatchupAdjustmentsToRevenueArisingFromContractModificationContractAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_118_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CategoriesOfAssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomersMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_128_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TimeandmaterialsContractsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutMethodsInputsAndAssumptionsUsedForAssessingWhetherEstimateOfVariableConsiderationIsConstrainedExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"126","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_126_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TransactionPriceAllocatedToRemainingPerformanceObligations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"120","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_120_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfHowTimingOfSatisfactionOfPerformanceObligationsRelatesToTypicalTimingOfPayment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_117&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GeographicalAreasMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_b&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceivablesFromContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_105&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReceivablesFromContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"116","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_116_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDisaggregationOfRevenueFromContractsWithCustomersExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"114","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_114&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatPracticalExpedientAboutExistenceOfSignificantFinancingComponentHasBeenUsed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"129","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_129&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTransactionPriceAllocatedToRemainingPerformanceObligationsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"120","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_120_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhetherAnyConsiderationFromContractsWithCustomersIsNotIncludedInDisclosureOfTransactionPriceAllocatedToRemainingPerformanceObligations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_122&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughCumulativeCatchupAdjustmentsToRevenueArisingFromChangeInMeasureOfProgressContractAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_118_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfCustomersAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GovernmentCustomersMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PerformanceObligationsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmortisationAssetsRecognisedFromCostsIncurredToObtainOrFulfilContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_128_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughCumulativeCatchupAdjustmentsToRevenueArisingFromChangeInEstimateOfTransactionPriceContractAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_118_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughPerformanceObligationBeingSatisfiedContractLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_118_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LongtermContractsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_e&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GoodsSoldThroughIntermediariesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_g&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughCumulativeCatchupAdjustmentsToRevenueArisingFromChangeInEstimateOfTransactionPriceContractLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_118_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomersTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_128_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"QualitativeAssessmentOfEstimatedEffectOfPracticalExpedientsUsedWhenApplyingIFRS15Retrospectively","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_C6_b&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AllOtherSegmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"115","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_115&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfEffectThatTimingOfSatisfactionOfPerformanceObligationsAndTypicalTimingOfPaymentHaveOnContractAssetsAndContractLiabilitiesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_117&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutRelationshipBetweenDisclosureOfDisaggregatedRevenueFromContractsWithCustomersAndRevenueInformationForReportableSegmentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"115","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_115&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentContractLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_105&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProductsAndServicesAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughImpairmentContractAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_118_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"115","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_115&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CategoriesOfAssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomersAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_128_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SalesChannelsAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_g&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentReceivablesFromContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_105&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDisaggregationOfRevenueFromContractsWithCustomersTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"114","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_114&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PerformanceObligationsSatisfiedAtPointInTimeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_125&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"120","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_120_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SetupCostsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_128_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketsOfCustomersMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfWhenEntityTypicallySatisfiesPerformanceObligations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_119_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"120","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_120_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PerformanceObligationsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhetherPracticalExpedientIsAppliedForDisclosureOfTransactionPriceAllocatedToRemainingPerformanceObligations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"122","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_122&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"113","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_113_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"114","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_114&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfCustomersMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossOnReceivablesOrContractAssetsArisingFromContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"113","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_113_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSignificantJudgementsMadeInEvaluatingWhenCustomerObtainsControlOfPromisedGoodsOrServices","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_125&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentContractAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_105&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReportableSegmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"115","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_115&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPracticalExpedientsUsedWhenApplyingIFRS15Retrospectively","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_C6_a&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GoodsSoldDirectlyToConsumersMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_g&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfJudgementsMadeInDeterminingAmountOfCostsToObtainOrFulfilContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_127_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ImpairmentLossAssetsRecognisedFromCostsIncurredToObtainOrFulfilContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_128_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfPerformanceObligationsToArrangeForAnotherPartyToTransferGoodsOrServices","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_119_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TimingOfTransferOfGoodsOrServicesMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_f&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfPerformanceObligationsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfTransactionPriceAllocatedToRemainingPerformanceObligationsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"120","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_120_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"115","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_115&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhyMethodsUsedToRecogniseRevenueProvideFaithfulDepictionOfTransferOfGoodsOrServices","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_124_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRevenueFromContractsWithCustomersExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"Presentation","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS15_g105-109_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRevenueFromContractsWithCustomersExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS15_g110-129_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueFromPerformanceObligationsSatisfiedOrPartiallySatisfiedInPreviousPeriods","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"116","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_116_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NongovernmentCustomersMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfNatureOfGoodsOrServicesThatEntityHasPromisedToTransfer","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_119_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypesOfWarrantiesAndRelatedObligations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_119_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfReasonsForSignificantChangesInFinancialStatementLineItemsDueToApplicationOfIFRS15","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C8","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_C8_b&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughRightToConsiderationBecomingUnconditionalContractAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_118_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughCumulativeCatchupAdjustmentsToRevenueArisingFromContractModificationContractLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_118_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfContractsAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GoodsOrServicesTransferredOverTimeMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_f&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughBusinessCombinationsContractAssets","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_118_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_105&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"116","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_116_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketsOfCustomersAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_c&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentContractAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_105&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_105&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"116","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_116_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PerformanceObligationsSatisfiedOverTimeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_124&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfJudgementsAndChangesInJudgementsThatSignificantlyAffectDeterminationOfAmountAndTimingOfRevenueFromContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"123","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_123&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomersExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_128_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_128_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutMethodsInputsAndAssumptionsUsedForDeterminingTransactionPriceExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"126","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_126_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueThatWasIncludedInContractLiabilityBalanceAtBeginningOfPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"116","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_116_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractDurationAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_e&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSignificantPaymentTermsInContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_119_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SalesChannelsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_g&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodUsedToDetermineAmortisationOfAssetsRecognisedFromCostsToObtainOrFulfilContractsWithCustomers","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_127_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GoodsOrServicesTransferredAtPointInTimeMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_f&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ShorttermContractsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_e&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PrecontractCostsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_128_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FixedpriceContractsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_d&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughCumulativeCatchupAdjustmentsToRevenueContractLiabilities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_118_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfPerformanceObligationsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractDurationMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"15","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B89","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=15&code=ifrs-tx-2021-en-r&anchor=para_B89_e&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionsToRightofuseAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_53_h&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"97","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_97&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CashOutflowForLeases","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_53_g&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_53&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_53&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrentLeaseLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_47_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DepreciationRightofuseAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_53_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCrossreferenceToDisclosuresAboutLeases","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"52","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_52&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInStatementOfFinancialPositionWhichIncludeLeaseLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_47_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfLineItemsInStatementOfFinancialPositionWhichIncludeRightofuseAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_47_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfRestrictionsOnDistributionOfRevaluationSurplusToShareholdersRightofuseAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"57","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_57&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAdditionalInformationAboutLeasingActivitiesForLesseeExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"59","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_59&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAdditionalInformationAboutLeasingActivitiesForLessorExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_92&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfLeasesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"Presentation","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS16_g47-50_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfLeasesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS16_g51-60_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisOfFinanceLeasePaymentsReceivableExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisOfFinanceLeasePaymentsReceivableTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisOfOperatingLeasePaymentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"97","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_97&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisOfOperatingLeasePaymentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"97","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_97&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfQuantitativeInformationAboutRightofuseAssetsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_53&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfQuantitativeInformationAboutRightofuseAssetsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_53&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DiscountedUnguaranteedResidualValueOfAssetsSubjectToFinanceLease","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectiveDateOfRevaluationRightofuseAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"57","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_57&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseRelatingToLeasesOfLowvalueAssetsForWhichRecognitionExemptionHasBeenUsed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_53_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseRelatingToShorttermLeasesForWhichRecognitionExemptionHasBeenUsed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_53_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpenseRelatingToVariableLeasePaymentsNotIncludedInMeasurementOfLeaseLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_53_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfDifferenceBetweenOperatingLeaseCommitmentsDisclosedApplyingIAS17AndLeaseLiabilitiesRecognisedAtDateOfInitialApplicationOfIFRS16Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_C12_b&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfInvolvementOfIndependentValuerInRevaluationRightofuseAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"57","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_57&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfSignificantChangesInNetInvestmentInFinanceLeaseExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_93&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeOnNetInvestmentInFinanceLease","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_90_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GainsLossesArisingFromSaleAndLeasebackTransactions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_53_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GrossLeaseLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"58","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_58&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromSubleasingRightofuseAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_53_f&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeRelatingToVariableLeasePaymentsForOperatingLeasesThatDoNotDependOnIndexOrRate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_90_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeRelatingToVariableLeasePaymentsNotIncludedInMeasurementOfNetInvestmentInFinanceLease","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_90_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInNetInvestmentInFinanceLease","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"93","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_93&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutExposureArisingFromLeasesNotYetCommencedToWhichLesseeIsCommitted","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"59","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_59_b_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutHowLessorManagesRiskAssociatedWithRightsItRetainsInUnderlyingAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_92_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutLesseesExposureArisingFromExtensionOptionsAndTerminationOptions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"59","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_59_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutLesseesExposureArisingFromResidualValueGuarantees","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"59","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_59_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutLesseesExposureArisingFromVariableLeasePayments","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"59","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_59_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutNatureOfLesseesLeasingActivities","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"59","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_59_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutNatureOfLessorsLeasingActivities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_92_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutPotentialExposureToFutureCashOutflowsNotReflectedInMeasurementOfLeaseLiability","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"59","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_59_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutRestrictionsOrCovenantsImposedByLeasesOnLessee","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"59","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_59_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutRiskManagementStrategyForRightsThatLessorRetainsInUnderlyingAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"92","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_92_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutSaleAndLeasebackTransactions","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"59","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_59_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IntangibleAssetsOtherThanGoodwillMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_53&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestExpenseOnLeaseLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_53_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"97","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_97&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFourYearsAndNotLaterThanFiveYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"97","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_97&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFourYearsAndNotLaterThanFiveYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanTwoYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"97","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_97&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanTwoYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsAndNotLaterThanFourYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"97","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_97&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsAndNotLaterThanFourYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoYearsAndNotLaterThanThreeYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"97","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_97&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoYearsAndNotLaterThanThreeYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeaseCommitmentsForShorttermLeasesForWhichRecognitionExemptionHasBeenUsed","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"55","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_55&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LeaseLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_47_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"97","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_97&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetInvestmentInFinanceLease","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NoncurrentLeaseLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_47_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanOneYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"97","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_97&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanOneYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OperatingLeaseIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_90_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherAssetsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_53&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentByOperatingLeaseStatusAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"95","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_95&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentByOperatingLeaseStatusMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"95","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_95&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_53&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentNotSubjectToOperatingLeasesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"95","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_95&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PropertyPlantAndEquipmentSubjectToOperatingLeasesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"95","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_95&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RightofuseAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"53","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_53_j&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RightofuseAssetsIncreaseDecreaseInRevaluationSurplus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"57","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_57&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RightofuseAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_33&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RightofuseAssetsRevaluationSurplus","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"57","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_57&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RightofuseAssetsRevaluedAssetsAtCost","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"57","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_57&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"47","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_47_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SellingProfitLossOnFinanceLeases","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_90_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatEntityHasChosenPracticalExpedientWhenAssessingWhetherContractIsOrContainsLeaseAtDateOfInitialApplicationOfIFRS16","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C4","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_C4&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatLesseeAccountsForLeasesOfLowvalueAssetsUsingRecognitionExemption","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"60","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_60&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatLesseeAccountsForShorttermLeasesUsingRecognitionExemption","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"60","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_60&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatLesseeUsesPracticalExpedientsWhenApplyingIFRS16RetrospectivelyToLeasesClassifiedAsOperatingLeasesApplyingIAS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C13","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_C13&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UndiscountedFinanceLeasePaymentsToBeReceived","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UndiscountedOperatingLeasePaymentsToBeReceived","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"97","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_97&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"UnearnedFinanceIncomeRelatingToFinanceLeasePaymentsReceivable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageLesseesIncrementalBorrowingRateAppliedToLeaseLiabilitiesRecognisedAtDateOfInitialApplicationOfIFRS16","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C12","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_C12_a&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatLesseeAppliedPracticalExpedientInParagraph46AOfIFRS16ToAllRentConcessionsOccurringAsDirectConsequenceOfCovid19PandemicThatMeetConditionsInParagraph46BOfIFRS16","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"60A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_60A_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutNatureOfContractsToWhichLesseeAppliedPracticalExpedientInParagraph46AOfIFRS16IfItIsNotAppliedToAllRentConcessionsOccurringAsDirectConsequenceOfCovid19PandemicExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"60A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_60A_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountRecognisedInProfitOrLossForReportingPeriodToReflectChangesInLeasePaymentsThatAriseFromRentConcessionsOccurringAsDirectConsequenceOfCovid19PandemicToWhichLesseeAppliedPracticalExpedientInParagraph46AOfIFRS16","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"60A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_60A_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateBenchmarkReformPhase2Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C1B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_C1B&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatNewOrAmendedIFRSStandardIsAppliedEarly","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"16","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C1B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=16&code=ifrs-tx-2021-en-r&anchor=para_C1B&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInAssetsForInsuranceAcquisitionCashFlowsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_105A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsForInsuranceAcquisitionCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_105A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DecreaseThroughImpairmentLossesAssetsForInsuranceAcquisitionCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_105B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseThroughReversalsOfImpairmentLossesAssetsForInsuranceAcquisitionCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105B","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_105B&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInAssetsForInsuranceAcquisitionCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_105A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutExpectedDerecognitionOfAssetsForInsuranceAcquisitionCashFlowsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"109A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_109A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutExpectedDerecognitionOfAssetsForInsuranceAcquisitionCashFlowsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"109A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_109A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"109A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_109A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"109A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_109A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AssetsForInsuranceAcquisitionCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"109A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_109A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfApproachUsedToDetermineRelativeWeightingOfBenefitsProvidedByInsuranceCoverageAndInvestmentreturnServiceInsuranceContractsWithoutDirectParticipationFeatures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_117_c_v&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfApproachUsedToDetermineRelativeWeightingOfBenefitsProvidedByInsuranceCoverageAndInvestmentrelatedServiceInsuranceContractsWithDirectParticipationFeatures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_117_c_v&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRevenueOtherAmounts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_106_a_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRedesignationOfFinancialAssetsAtDateOfInitialApplicationOfIFRS17Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C32&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceServiceResult","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_80_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfActualClaimsComparedWithPreviousEstimatesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughRecognitionOfContractualServiceMarginInProfitOrLossToReflectTransferOfServicesInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"104","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_104_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanThreeYearsAndNotLaterThanFourYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"132","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_132_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFourYearsAndNotLaterThanFiveYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"132","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_132_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsThatAreAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"99","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_99_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInEquityDueToReasonablyPossibleDecreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInEquityDueToReasonablyPossibleDecreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAdditionalInformationRepresentativeOfRiskExposureArisingFromContractsWithinScopeOfIFRS17DuringPeriodExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"123","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_123&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeExpensesFromReinsuranceContractsHeldRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_82&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ThreeYearsBeforeReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_124&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_125&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CreditRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInInsuranceContractsByComponentsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"101","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_101&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfSharedCharacteristicThatIdentifiesConcentrationOfRiskThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInMethodsUsedToMeasureContractsWithinScopeOfIFRS17AndProcessesForEstimatingInputsToThoseMethods","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AllYearsOfInsuranceClaimMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInsuranceRevenueRelatedToContractsThatExistedAtTransitionDateToWhichModifiedRetrospectiveApproachHasBeenAppliedInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"114","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_114_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfWhetherEntityMakesAdjustmentForTimeValueOfMoneyAndEffectOfFinancialRiskWhenUsingPremiumAllocationApproach","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"97","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_97_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsIssuedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_98&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsIssuedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_107&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsIssuedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"109","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_109&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsIssuedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"131","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_131_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsIssuedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"132","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_132_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToMeasureRisksThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_124_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_B135_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FourYearsBeforeReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SummaryQuantitativeInformationAboutExposureToRiskThatArisesFromContractsWithinScopeOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_125_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GeographicalAreasAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"96","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_96_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanFiveYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"132","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_132_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_82&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ClassesOfFinancialAssetsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C32&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NotLaterThanOneYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"132","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_132_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesThatRelateToPastServiceInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"103","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_103_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesThatRelateToPastServiceInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"104","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_104_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatEntityAppliesParagraph20OfIFRS17InDeterminingGroupsOfInsuranceContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"126","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_126&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughIncurredClaimsAndOtherIncurredInsuranceServiceExpensesInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"103","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_103_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TwoYearsBeforeReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatesOfPresentValueOfFutureCashFlowsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"100","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_100_c_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatesOfPresentValueOfFutureCashFlowsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"101","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_101_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCompositionOfUnderlyingItemsForContractsWithDirectParticipationFeatures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"111","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_111&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToFinanceIncomeExpensesFromReinsuranceContractsHeldOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToFinanceIncomeExpensesFromReinsuranceContractsHeldOfOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_82&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsIssuedThatAreLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_78_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsMember2017","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"100","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_100_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsMember2017","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"101","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_101&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsMember2017","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsMember2017","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_107&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsMember2017","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"109","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_109&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutConcentrationsOfRiskThatArisesFromContractsWithinScopeOfIFRS17Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RestatedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"113","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_113_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangeAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"120","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_120&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatesOfPresentValueOfFutureCashOutflowsOtherThanInsuranceAcquisitionCashFlowsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_107_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfContractsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"96","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_96_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatesOfPresentValueOfInsuranceAcquisitionCashFlowsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_107_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutCreditRiskThatArisesFromContractsWithinScopeOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"131","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_131&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNatureAndExtentOfRisksThatAriseFromContractsWithinScopeOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_124&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNatureAndExtentOfRisksThatAriseFromContractsWithinScopeOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_125&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInMethodsUsedToMeasureRisksThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_124_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C32&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutConcentrationsOfRiskThatArisesFromContractsWithinScopeOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_80_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodsUsedToMeasureContractsWithinScopeOfIFRS17Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_117_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangesInMethodsUsedToMeasureContractsWithinScopeOfIFRS17AndProcessesForEstimatingInputsToThoseMethods","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfObjectiveOfMethodUsedAndLimitationsThatMayResultInInformationProvidedSensitivityAnalysisOtherThanSpecifiedInParagraph128aOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"129","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_129_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutExpectedRecognitionOfContractualServiceMarginInProfitOrLossExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"109","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_109&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_124&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_125&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLoss","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"113","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_113_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInsuranceFinanceIncomeOrExpensesInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_105_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanTwoYearsAndNotLaterThanThreeYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"132","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_132_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRevenueContractualServiceMarginRecognisedInProfitOrLossBecauseOfTransferOfServices","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_106_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MethodsUsedToMeasureContractsWithinScopeOfIFRS17Axis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_117_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInEquityDueToReasonablyPossibleIncreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17InsuranceContractsIssuedBeforeMitigationByReinsuranceContractsHeld","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutCreditQualityOfReinsuranceContractsHeldThatAreAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"131","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_131_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInsuranceContractsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"Disclosure","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=IFRS17_g93-132_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInEstimatesThatAdjustContractualServiceMarginInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"104","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_104_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SixYearsBeforeReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_82&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutCreditRiskThatArisesFromContractsWithinScopeOfIFRS17Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"131","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_131&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisForLiquidityRiskThatArisesFromContractsWithinScopeOfIFRS17Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"132","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_132_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"GeographicalAreasMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"96","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_96_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RangesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"120","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_120&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualServiceMargin","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"109","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_109&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInputsToMethodsUsedToMeasureContractsWithinScopeOfIFRS17Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_117_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsByRemainingCoverageAndIncurredClaimsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"100","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_100&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInputsToMethodsUsedToMeasureContractsWithinScopeOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_117_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"99","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_99_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonWhyEntityWasRequiredToChangeBasisOfDisaggregationOfInsuranceFinanceIncomeExpensesBetweenProfitOrLossAndOtherComprehensiveIncomeForContractsWithDirectParticipationFeatures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"113","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_113_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RemainingContractualUndiscountedCashOutflowsInflowsThatAriseFromContractsWithinScopeOfIFRS17ThatAreLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"132","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_132_b_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsOtherThanThoseToWhichPremiumAllocationApproachHasBeenAppliedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"101","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_101&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsOtherThanThoseToWhichPremiumAllocationApproachHasBeenAppliedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsOtherThanThoseToWhichPremiumAllocationApproachHasBeenAppliedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_107&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsOtherThanThoseToWhichPremiumAllocationApproachHasBeenAppliedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"109","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_109&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsUsedToMeasureContractsWithinScopeOfIFRS17AndProcessesForEstimatingInputsToThoseMethods","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_117_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleDecreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSignificantJudgementsAndChangesInJudgementsMadeInApplyingIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_117&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrencyRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_124&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrencyRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_125&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrencyRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"CurrencyRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_124&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_125&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MarketRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceServiceExpensesFromInsuranceContractsIssued","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_80_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsByRemainingCoverageAndIncurredClaimsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"100","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_100&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfBasisForDeterminingFinancialAssetsEligibleForRedesignationAtDateOfInitialApplicationOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C32_a&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_124&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_125&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfRisksMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_B135_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_82&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughPremiumsReceivedForInsuranceContractsIssuedInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_105_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfHowEntityDeterminedMeasurementOfInsuranceContractsAtTransitionDate","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"115","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_115&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInInsuranceContractsByComponentsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"101","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_101&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceFinanceIncomeExpenses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"110","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_110&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NetLiabilitiesOrAssetsForRemainingCoverageExcludingLossComponentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"100","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_100_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InputsToMethodsUsedToMeasureContractsWithinScopeOfIFRS17Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_117_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_80_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughExperienceAdjustmentsInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"104","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_104_b_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualServiceMarginRelatedToContractsThatExistedAtTransitionDateToWhichModifiedRetrospectiveApproachHasBeenAppliedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"114","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_114_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAnalysisOfInsuranceRevenueTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesForIncurredClaimsThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeFromAmountsRecoveredFromReinsurer","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"86","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_86&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"PercentageOfReasonablyPossibleIncreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughIncurredClaimsRecoveredAndOtherInsuranceServiceExpensesRecoveredUnderReinsuranceContractsHeldInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_105_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAnalysisOfInsuranceRevenueExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RiskExposuresMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactAndReasonWhyEntitysExposureToRiskArisingFromContractsWithinScopeOfIFRS17AtEndOfReportingPeriodIsNotRepresentativeOfItsExposureDuringPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"123","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_123&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInvestmentComponentsExcludedFromInsuranceRevenueAndInsuranceServiceExpensesInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"103","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_103_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AdditionalInformationAboutInsuranceContractsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"94","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_94&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInObjectivesPoliciesAndProcessesForManagingRisksThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_124_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_98&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_107&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"109","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_109&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"131","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_131_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"132","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_132_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfRelationshipBetweenSensitivitiesToChangesInRiskExposuresArisingFromInsuranceContractsAndFromFinancialAssetsHeld","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"96","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_96_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughPremiumsPaidForReinsuranceContractsHeldInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_105_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTypesOfContractsAffectedByChangesInMethodsUsedToMeasureContractsWithinScopeOfIFRS17AndProcessesForEstimatingInputsToThoseMethods","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_117_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfInformationAboutExpectedRecognitionOfContractualServiceMarginInProfitOrLossTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"109","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_109&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RiskExposuresAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRevenueAllocationOfPortionOfPremiumsThatRelateToRecoveryOfInsuranceAcquisitionCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_106_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByRedesignationAtDateOfInitialApplicationOfIFRS17MeasurementCategoryImmediatelyBeforeRedesignation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C32","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C32_b_i&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForChangesInMethodsAndAssumptionsUsedInPreparingSensitivityAnalysisToChangesInRiskExposuresThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByRedesignationAtDateOfInitialApplicationOfIFRS17CarryingAmountAfterRedesignation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C32","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C32_b_ii&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInReserveOfGainsAndLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeRelatedToInsuranceContractsToWhichParagraphsC18bC19bC24bAndC24cOfIFRS17HaveBeenApplied","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"116","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_116&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"109","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_109&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"120","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_120&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AggregatedTimeBandsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"132","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_132_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughGainsLossesInPeriodReserveOfGainsAndLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeRelatedToInsuranceContractsToWhichParagraphsC18bC19bC24bAndC24cOfIFRS17HaveBeenApplied","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"116","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_116&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RiskAdjustmentForNonfinancialRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"100","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_100_c_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RiskAdjustmentForNonfinancialRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"101","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_101_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RiskAdjustmentForNonfinancialRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_107_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfMethodsUsedToDetermineInsuranceFinanceIncomeExpensesRecognisedInProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"118","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_118&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisOtherThanSpecifiedInParagraph128aOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"129","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_129&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_82&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OneYearBeforeReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfCriteriaSatisfiedWhenUsingPremiumAllocationApproach","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"97","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_97_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"NineYearsBeforeReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfTechniqueOtherThanConfidenceLevelTechniqueUsedForDeterminingRiskAdjustmentForNonfinancialRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"109","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_109&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"120","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_120&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaturityAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"132","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_132_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAdjustmentsMadeWhenEntityChangedBasisOfDisaggregationOfInsuranceFinanceIncomeExpensesBetweenProfitOrLossAndOtherComprehensiveIncomeForContractsWithDirectParticipationFeaturesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"113","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_113_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EightYearsBeforeReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangeInRiskAdjustmentForNonfinancialRiskThatDoesNotRelateToFutureOrPastServiceInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"104","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_104_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfInsuranceContractsInitiallyRecognisedExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_107&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_124&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_125&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InterestRateRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConcentrationsOfRiskAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfAdjustmentsMadeWhenEntityChangedBasisOfDisaggregationOfInsuranceFinanceIncomeExpensesBetweenProfitOrLossAndOtherComprehensiveIncomeForContractsWithDirectParticipationFeaturesExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"113","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_113_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TopOfRangeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"120","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_120&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_124&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_125&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationAboutEffectOfRegulatoryFrameworksInWhichEntityOperates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"126","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_126&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfBasisOfPreparationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C27","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C27&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InputsToMethodsUsedToMeasureContractsWithinScopeOfIFRS17Axis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_117_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByRedesignationAtDateOfInitialApplicationOfIFRS17MeasurementCategoryAfterRedesignation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C32","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C32_b_ii&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConcentrationsOfRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReportableSegmentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"96","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_96_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"AmountsPayableOnDemandThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"132","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_132_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughEffectsOfGroupsOfOnerousContractsInitiallyRecognisedInPeriodInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_108_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughIncurredClaimsPaidAndOtherInsuranceServiceExpensesPaidForInsuranceContractsIssuedExcludingInsuranceAcquisitionCashFlowsInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_105_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodToRecogniseInsuranceAcquisitionCashFlowsWhenUsingPremiumAllocationApproach","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"97","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_97_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInMethodsAndAssumptionsUsedInPreparingSensitivityAnalysisToChangesInRiskExposuresThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualServiceMarginRelatedToContractsThatExistedAtTransitionDateToWhichFairValueApproachHasBeenAppliedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"114","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_114_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRevenueChangeInRiskAdjustmentForNonfinancialRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_106_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfReasonsForDesignationOrDedesignationOfFinancialAssetsAsMeasuredAtFairValueThroughProfitOrLossAtDateOfInitialApplicationOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C33_b&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfRedesignationOfFinancialAssetsAtDateOfInitialApplicationOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C32&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNatureAndExtentOfRisksThatAriseFromContractsWithinScopeOfIFRS17Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_124&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfNatureAndExtentOfRisksThatAriseFromContractsWithinScopeOfIFRS17Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_125&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInsuranceRevenueNotRelatedToContractsThatExistedAtTransitionDateToWhichModifiedRetrospectiveApproachOrFairValueApproachHasBeenAppliedInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"114","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_114_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfActualClaimsComparedWithPreviousEstimatesTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsLiabilityAssetAtDateOfChangeContractsWithDirectParticipationFeaturesForWhichEntityChangedBasisOfDisaggregationOfInsuranceFinanceIncomeExpensesBetweenProfitOrLossAndOtherComprehensiveIncome","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"113","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_113_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LossComponentMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"100","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_100_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_80_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLossBeforeTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsThatWereDesignatedAsMeasuredAtFairValueThroughProfitOrLossBeforeApplicationOfIFRS17ThatAreNoLongerSoDesignated","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C32","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C32_c&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_124&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_125&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatEntityDoesNotDisclosePreviouslyUnpublishedInformationAboutClaimsDevelopmentThatOccurredEarlierThanFiveYearsBeforeEndOfAnnualReportingPeriodInWhichItFirstAppliesIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C28","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C28&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfApproachUsedToDistinguishChangesInEstimatesOfFutureCashFlowsArisingFromExerciseOfDiscretionFromOtherChangesContractsWithoutDirectParticipationFeatures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_117_c_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughReclassificationAdjustmentsInPeriodReserveOfGainsAndLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeRelatedToInsuranceContractsToWhichParagraphsC18bC19bC24bAndC24cOfIFRS17HaveBeenApplied","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"116","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_116&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfMethodsAndAssumptionsUsedInPreparingSensitivityAnalysisToChangesInRiskExposuresThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InformationOnHowEntityRedesignatedFinancialAssetsWhoseClassificationHasChangedOnInitiallyApplyingIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C33_a&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfInsuranceFinanceIncomeExpenses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"110","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_110&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_B135_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInsuranceAcquisitionCashFlowsInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_105_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConfidenceLevelUsedToDetermineRiskAdjustmentForNonfinancialRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInProfitLossDueToReasonablyPossibleDecreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17InsuranceContractsIssuedBeforeMitigationByReinsuranceContractsHeld","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfApproachUsedToDetermineInvestmentComponents","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_117_c_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SegmentsMember","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"96","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_96_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsThatAreLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"99","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_99_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"91","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_91_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"B135","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_B135_a&doctype=Appendix&subtype=B","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReclassificationAdjustmentsOnFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLossNetOfTax","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_82&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInInsuranceContractsLiabilityAsset","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"99","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_99&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfApproachUsedToDetermineDiscountRates","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_117_c_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughEffectsOfContractsInitiallyRecognisedInPeriodInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"104","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_104_a_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughEffectsOfContractsInitiallyRecognisedInPeriodInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_107&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughEffectOfChangesInRiskOfNonperformanceByIssuerOfReinsuranceContractsHeldInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_105_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"YearsOfInsuranceClaimAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeNetOfTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FiveYearsBeforeReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfRelationshipBetweenAmountsPayableOnDemandThatAriseFromContractsWithinScopeOfIFRS17AndCarryingAmountOfRelatedGroupsOfContracts","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"132","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_132_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectOfAdjustmentsMadeWhenEntityChangedBasisOfDisaggregationOfInsuranceFinanceIncomeExpensesBetweenProfitOrLossAndOtherComprehensiveIncomeForContractsWithDirectParticipationFeaturesMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"113","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_113_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualServiceMarginMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"101","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_101_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualServiceMarginMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_107_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfRelationshipBetweenInsuranceFinanceIncomeExpensesAndInvestmentReturnOnAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"110","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_110&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughAmortisationOfInsuranceAcquisitionCashFlowsInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"103","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_103_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatesOfPresentValueOfFutureCashOutflowsInflowsThatAriseFromContractsWithinScopeOfIFRS17ThatAreLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"132","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_132_b_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfObjectivesPoliciesAndProcessesForManagingRisksThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_124_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInExposuresToRisksThatAriseFromContractsWithinScopeOfIFRS17AndHowTheyArise","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_124_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"TypesOfContractsAxis","Type":"exampleRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"96","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_96_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfApproachUsedToDetermineRiskAdjustmentForNonfinancialRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_117_c_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExposureToRiskThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_125_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRevenueAmountsRelatingToChangesInLiabilityForRemainingCoverage","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_106_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsByComponentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"100","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_100_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsByComponentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"101","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_101&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsByComponentsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_107&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectOnAdjustmentToContractualServiceMarginOfChoiceNotToAdjustContractualServiceMarginForSomeChangesInFulfilmentCashFlowsForContractsWithDirectParticipationFeatures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"112","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_112&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInProfitLossDueToReasonablyPossibleDecreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInProfitLossDueToReasonablyPossibleDecreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FinancialAssetsAffectedByRedesignationAtDateOfInitialApplicationOfIFRS17CarryingAmountImmediatelyBeforeRedesignation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C32","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C32_b_i&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"StatementThatUnadjustedComparativeInformationHasBeenPreparedOnDifferentBasis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C27","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C27&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxFinanceIncomeExpensesFromReinsuranceContractsHeldExcludedFromProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"82","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_82&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatesOfPresentValueOfFutureCashInflowsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_107_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfEffectOfInsuranceContractsInitiallyRecognisedTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_107&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInsuranceRevenueRelatedToContractsThatExistedAtTransitionDateToWhichFairValueApproachHasBeenAppliedInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"114","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_114_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"MaximumExposureToCreditRiskThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"131","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_131_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"YieldUsedToDiscountCashFlowsThatDoNotVaryBasedOnReturnsOnUnderlyingItems","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"120","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_120&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExpensesFromAllocationOfPremiumsPaidToReinsurer","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"86","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_86&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughCashFlowsInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_105_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInsuranceServiceExpensesInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"103","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_103_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeTaxRelatingToInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfMethodMainParametersAndAssumptionsUnderlyingInformationProvidedSensitivityAnalysisOtherThanSpecifiedInParagraph128aOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"129","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_129_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IdentificationOfUnadjustedComparativeInformation","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C27","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C27&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInProfitLossDueToReasonablyPossibleIncreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInProfitLossDueToReasonablyPossibleIncreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceContractsHeldThatAreLiabilities","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_78_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInsuranceServiceResultInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"103","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_103&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInsuranceServiceResultInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"104","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_104&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimatesOfPresentValueOfFutureCashOutflowsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_107_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesInEstimatesThatDoNotAdjustContractualServiceMarginInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"104","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_104_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"100","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_100_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"101","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_101&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_107&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"109","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_109&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ActualClaimsThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherPriceRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_124&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherPriceRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_125&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherPriceRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherPriceRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceContractsHeldMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_98&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceContractsHeldMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_107&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceContractsHeldMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"109","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_109&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceContractsHeldMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"131","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_131_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceContractsHeldMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"132","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_132_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughAdditionalItemsNecessaryToUnderstandChangeInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"105","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_105_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncomeExpensesFromReinsuranceContractsHeldOtherThanFinanceIncomeExpenses","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"86","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_86&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsToWhichPremiumAllocationApproachHasBeenAppliedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"100","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_100_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiabilitiesForIncurredClaimsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"100","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_100_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughInsuranceRevenueInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"103","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_103_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesThatRelateToFutureServiceInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"103","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_103_b_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesThatRelateToFutureServiceInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"104","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_104_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EstimateOfUndiscountedClaimsThatAriseFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiquidityRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_124&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiquidityRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"125","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_125&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LiquidityRiskMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfWhyEntityCameToDifferentConclusionsInNewAssessmentApplyingParagraphs412aOr412AaOfIFRS9AtDateOfInitialApplicationOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C33","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C33_c&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"98","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_98&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_107&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"109","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_109&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"131","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_131_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisaggregationOfInsuranceContractsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"132","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_132_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfYieldCurveUsedToDiscountCashFlowsThatDoNotVaryBasedOnReturnsOnUnderlyingItemsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"120","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_120&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughChangesThatRelateToCurrentServiceInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"104","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_104_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ConfidenceLevelCorrespondingToResultsOfTechniqueOtherThanConfidenceLevelTechniqueUsedForDeterminingRiskAdjustmentForNonfinancialRisk","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"119","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_119&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisToChangesInRiskExposuresThatAriseFromContractsWithinScopeOfIFRS17Table","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"BottomOfRangeMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"120","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_120&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseThroughEffectsOfContractsAcquiredInPeriodInsuranceContractsLiabilityAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"108","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_108_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsByComponentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"100","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_100_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsByComponentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"101","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_101&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsByComponentsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"107","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_107&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfExposuresToRisksThatAriseFromContractsWithinScopeOfIFRS17AndHowTheyArise","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"124","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_124_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInEquityDueToReasonablyPossibleDecreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17InsuranceContractsIssuedBeforeMitigationByReinsuranceContractsHeld","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InputToMethodUsedToMeasureContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"117","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_117_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInInsuranceContractsByRemainingCoverageAndIncurredClaimsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"100","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_100&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfReconciliationOfChangesInInsuranceContractsByRemainingCoverageAndIncurredClaimsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"100","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_100&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceContractsIssuedThatAreAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_78_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRevenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"80","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_80_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRevenue","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_106&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"LaterThanOneYearAndNotLaterThanTwoYearsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"132","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_132_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfSensitivityAnalysisToChangesInRiskExposuresThatAriseFromContractsWithinScopeOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"EffectOfAdjustmentsMadeWhenEntityChangedBasisOfDisaggregationOfInsuranceFinanceIncomeExpensesBetweenProfitOrLossAndOtherComprehensiveIncomeForContractsWithDirectParticipationFeaturesAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"113","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_113_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"SevenYearsBeforeReportingYearMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"130","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_130&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReserveOfGainsAndLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeRelatedToInsuranceContractsToWhichParagraphsC18bC19bC24bAndC24cOfIFRS17HaveBeenApplied","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"116","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_116&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"OtherComprehensiveIncomeBeforeTaxInsuranceFinanceIncomeExpensesFromInsuranceContractsIssuedExcludedFromProfitOrLossThatWillNotBeReclassifiedToProfitOrLoss","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"90","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_90&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"WeightedAverageMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"120","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_120&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityDeterminesConcentrationsOfRiskThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"127","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_127&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ContractualServiceMarginNotRelatedToContractsThatExistedAtTransitionDateToWhichModifiedRetrospectiveApproachOrFairValueApproachHasBeenAppliedMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"114","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_114_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfMaturityAnalysisForLiquidityRiskThatArisesFromContractsWithinScopeOfIFRS17Explanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"132","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_132_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"InsuranceRevenueInsuranceServiceExpensesIncurredDuringPeriodMeasuredAtAmountsExpectedAtBeginningOfPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"106","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_106_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"FairValueOfUnderlyingItemsForContractsWithDirectParticipationFeatures","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"111","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_111&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfHowEntityManagesLiquidityRiskThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"132","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_132_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ReinsuranceContractsHeldThatAreAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"78","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_78_c&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInEquityDueToReasonablyPossibleIncreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInEquityDueToReasonablyPossibleIncreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfYieldCurveUsedToDiscountCashFlowsThatDoNotVaryBasedOnReturnsOnUnderlyingItemsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"120","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_120&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IncreaseDecreaseInProfitLossDueToReasonablyPossibleIncreaseInRiskExposureThatArisesFromContractsWithinScopeOfIFRS17InsuranceContractsIssuedBeforeMitigationByReinsuranceContractsHeld","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"128","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_128_a_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IFRS17Member","Type":"commonPracticeRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C3","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C3&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"IFRS17Member","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C1","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C1&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfFactThatNewOrAmendedIFRSStandardIsAppliedEarly","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"IFRS","Topic":null,"SubTopic":null,"Number":"17","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"C1","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=IFRS&num=17&code=ifrs-tx-2021-en-r&anchor=para_C1&doctype=Appendix&subtype=C","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfServiceConcessionArrangementsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":"Consensus","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2021-en-r&doctype=Standard&dita_xref=SIC29_g6-7_TI","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfServiceConcessionArrangementsTable","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2021-en-r&anchor=para_6&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfServiceConcessionArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2021-en-r&anchor=para_6_a&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfSignificantTermsOfServiceConcessionArrangementThatMayAffectAmountTimingAndCertaintyOfFutureCashFlows","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2021-en-r&anchor=para_6_b&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndExtentOfRightsToUseSpecifiedAssets","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"i","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2021-en-r&anchor=para_6_c_i&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndExtentOfObligationsToProvideOrRightsToExpectProvisionOfServices","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"ii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2021-en-r&anchor=para_6_c_ii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndExtentOfObligationsToAcquireOrBuildItemsOfPropertyPlantAndEquipment","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"iii","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2021-en-r&anchor=para_6_c_iii&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndExtentOfObligationsToDeliverOrRightsToReceiveSpecifiedAssetsAtEndOfConcessionPeriod","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"iv","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2021-en-r&anchor=para_6_c_iv&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndExtentOfRenewalAndTerminationOptions","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"v","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2021-en-r&anchor=para_6_c_v&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationOfNatureAndExtentOfOtherRightsAndObligations","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"vi","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2021-en-r&anchor=para_6_c_vi&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DescriptionOfChangesInServiceConcessionArrangement","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2021-en-r&anchor=para_6_d&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ExplanationHowServiceConcessionArrangementHasBeenClassified","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2021-en-r&anchor=para_6_e&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueRecognisedOnExchangingConstructionServicesForFinancialAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2021-en-r&anchor=para_6A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ServiceConcessionArrangementsAxis","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2021-en-r&anchor=para_6&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ServiceConcessionArrangementsMember","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2021-en-r&anchor=para_6&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"DisclosureOfDetailedInformationAboutServiceConcessionArrangementsExplanatory","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2021-en-r&anchor=para_6&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"RevenueRecognisedOnExchangingConstructionServicesForIntangibleAsset","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2021-en-r&anchor=para_6A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossRecognisedOnExchangingConstructionServicesForFinancialAsset2011","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2021-en-r&anchor=para_6A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null},{"ElementName":"ProfitLossRecognisedOnExchangingConstructionServicesForIntangibleAsset2011","Type":"disclosureRef","Reference":null,"Publisher":null,"Name":"SIC","Topic":null,"SubTopic":null,"Number":"29","Section":"","Footnote":null,"Subsection":null,"IssueDate":"1/1/2021","Paragraph":"6A","SubParagraph":null,"Clause":"","URI":"http://eifrs.ifrs.org/eifrs/xifrs-link?type=SIC&num=29&code=ifrs-tx-2021-en-r&anchor=para_6A&doctype=Standard","URIDate":"24/3/2021","Part":null,"Schedule":null,"Year":null}];
  $scope.mandatoryData = [{"Prefix":"ifrs-full:","ElementName":"NameOfReportingEntityOrOtherMeansOfIdentification","Datatype":" stringItemType","LabelText":"Name of reporting entity or other means of identification","IsUsed":true,"Sequence":261},{"Prefix":"ifrs-full:","ElementName":"ExplanationOfChangeInNameOfReportingEntityOrOtherMeansOfIdentificationFromEndOfPrecedingReportingPeriod","Datatype":" stringItemType","LabelText":"Explanation of change in name of reporting entity or other means of identification from end of preceding reporting period","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DomicileOfEntity","Datatype":" stringItemType","LabelText":"Domicile of entity","IsUsed":true,"Sequence":265},{"Prefix":"ifrs-full:","ElementName":"LegalFormOfEntity","Datatype":" stringItemType","LabelText":"Legal form of entity","IsUsed":true,"Sequence":262},{"Prefix":"ifrs-full:","ElementName":"CountryOfIncorporation","Datatype":" stringItemType","LabelText":"Country of incorporation","IsUsed":true,"Sequence":264},{"Prefix":"ifrs-full:","ElementName":"AddressOfRegisteredOfficeOfEntity","Datatype":" stringItemType","LabelText":"Address of entity's registered office","IsUsed":true,"Sequence":263},{"Prefix":"ifrs-full:","ElementName":"PrincipalPlaceOfBusiness","Datatype":" stringItemType","LabelText":"Principal place of business","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities","Datatype":" stringItemType","LabelText":"Description of nature of entity's operations and principal activities","IsUsed":true,"Sequence":260},{"Prefix":"ifrs-full:","ElementName":"NameOfParentEntity","Datatype":" stringItemType","LabelText":"Name of parent entity","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"NameOfUltimateParentOfGroup","Datatype":" stringItemType","LabelText":"Name of ultimate parent of group","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"LengthOfLifeOfLimitedLifeEntity","Datatype":" stringItemType","LabelText":"Length of life of limited life entity","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"StatementOfIFRSCompliance","Datatype":" textBlockItemType","LabelText":"Statement of IFRS compliance [text block]","IsUsed":true,"Sequence":267},{"Prefix":"ifrs-full:","ElementName":"ExplanationOfDepartureFromIFRS","Datatype":" stringItemType","LabelText":"Explanation of departure from IFRS","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"ExplanationOfFinancialEffectOfDepartureFromIFRS","Datatype":" stringItemType","LabelText":"Explanation of financial effect of departure from IFRS","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfUncertaintiesOfEntitysAbilityToContinueAsGoingConcern","Datatype":" textBlockItemType","LabelText":"Disclosure of uncertainties of entity's ability to continue as going concern [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"ExplanationOfFactAndBasisForPreparationOfFinancialStatementsWhenNotGoingConcernBasis","Datatype":" stringItemType","LabelText":"Explanation of fact and basis for preparation of financial statements when not going concern basis","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"ExplanationWhyFinancialStatementsNotPreparedOnGoingConcernBasis","Datatype":" stringItemType","LabelText":"Explanation of why entity not regarded as going concern","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfReasonForUsingLongerOrShorterReportingPeriod","Datatype":" stringItemType","LabelText":"Description of reason for using longer or shorter reporting period","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfReasonWhyFinancialStatementsAreNotEntirelyComparable","Datatype":" stringItemType","LabelText":"Description of fact that amounts presented in financial statements are not entirely comparable","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfReclassificationsOrChangesInPresentationExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of reclassifications or changes in presentation [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"ExplanationOfAssumptionAboutFutureWithSignificantRiskOfResultingInMaterialAdjustments","Datatype":" stringItemType","LabelText":"Explanation of sources of estimation uncertainty with significant risk of causing material adjustment","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfAssetsAndLiabilitiesWithSignificantRiskOfMaterialAdjustmentExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of assets and liabilities with significant risk of material adjustment [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DividendsRecognisedAsDistributionsToOwnersPerShare","Datatype":" perShareItemType","LabelText":"Dividends recognised as distributions to owners per share","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DividendsProposedOrDeclaredBeforeFinancialStatementsAuthorisedForIssueButNotRecognisedAsDistributionToOwners","Datatype":" monetaryItemType","LabelText":"Dividends proposed or declared before financial statements authorised for issue but not recognised as distribution to owners","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DividendsProposedOrDeclaredBeforeFinancialStatementsAuthorisedForIssueButNotRecognisedAsDistributionToOwnersPerShare","Datatype":" perShareItemType","LabelText":"Dividends proposed or declared before financial statements authorised for issue but not recognised as distribution to owners per share","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfAccountingJudgementsAndEstimatesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of accounting judgements and estimates [text block]","IsUsed":true,"Sequence":317},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfAccruedExpensesAndOtherLiabilitiesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of accrued expenses and other liabilities [text block]","IsUsed":true,"Sequence":327},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfAllowanceForCreditLossesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of allowance for credit losses [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfAuditorsRemunerationExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of auditors' remuneration [text block]","IsUsed":true,"Sequence":378},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfAuthorisationOfFinancialStatementsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of authorisation of financial statements [text block]","IsUsed":true,"Sequence":269},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfAvailableforsaleAssetsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of available-for-sale financial assets [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfBasisOfConsolidationExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of basis of consolidation [text block]","IsUsed":true,"Sequence":272},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfBasisOfPreparationOfFinancialStatementsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of basis of preparation of financial statements [text block]","IsUsed":true,"Sequence":257},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfBiologicalAssetsAndGovernmentGrantsForAgriculturalActivityExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of biological assets, agriculture produce at point of harvest and government grants related to biological assets [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfBorrowingCostsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of borrowing costs [text block]","IsUsed":true,"Sequence":353},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfBorrowingsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of borrowings [text block]","IsUsed":true,"Sequence":352},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfBusinessCombinationsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of business combinations [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfCashAndBankBalancesAtCentralBanksExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of cash and bank balances at central banks [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfCashAndCashEquivalentsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of cash and cash equivalents [text block]","IsUsed":true,"Sequence":346},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfCashFlowStatementExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of cash flow statement [text block]","IsUsed":true,"Sequence":374},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfChangesInAccountingPoliciesAccountingEstimatesAndErrorsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of changes in accounting policies, accounting estimates and errors [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfChangesInAccountingPoliciesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of changes in accounting policies [text block]","IsUsed":true,"Sequence":270},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfClaimsAndBenefitsPaidExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of claims and benefits paid [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfCollateralExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of collateral [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfCommitmentsAndContingentLiabilitiesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of commitments and contingent liabilities [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfCommitmentsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of commitments [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfConsolidatedAndSeparateFinancialStatementsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of separate financial statements [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfContingentLiabilitiesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of contingent liabilities [text block]","IsUsed":true,"Sequence":340},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfCostOfSalesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of cost of sales [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfCreditRiskExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of credit risk [text block]","IsUsed":true,"Sequence":348},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfDebtSecuritiesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of debt instruments [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfDeferredAcquisitionCostsArisingFromInsuranceContractsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of deferred acquisition costs arising from insurance contracts [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfDeferredIncomeExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of deferred income [text block]","IsUsed":true,"Sequence":332},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfDeferredTaxesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of deferred taxes [text block]","IsUsed":true,"Sequence":338},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfDepositsFromBanksExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of deposits from banks [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfDepositsFromCustomersExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of deposits from customers [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfDepreciationAndAmortisationExpenseExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of depreciation and amortisation expense [text block]","IsUsed":true,"Sequence":369},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfDerivativeFinancialInstrumentsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of derivative financial instruments [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfDiscontinuedOperationsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of discontinued operations [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfDividendsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of dividends [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfEarningsPerShareExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of earnings per share [text block]","IsUsed":true,"Sequence":339},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfEffectOfChangesInForeignExchangeRatesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of effect of changes in foreign exchange rates [text block]","IsUsed":true,"Sequence":365},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfEmployeeBenefitsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of employee benefits [text block]","IsUsed":true,"Sequence":333},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfEntitysReportableSegmentsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of entity's operating segments [text block]","IsUsed":true,"Sequence":311},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfEventsAfterReportingPeriodExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of events after reporting period [text block]","IsUsed":true,"Sequence":375},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfExpensesByNatureExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of expenses by nature [text block]","IsUsed":true,"Sequence":370},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfExpensesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of expenses [text block]","IsUsed":true,"Sequence":372},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfExplorationAndEvaluationAssetsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of exploration and evaluation assets [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfFairValueMeasurementExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of fair value measurement [text block]","IsUsed":true,"Sequence":351},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfFairValueOfFinancialInstrumentsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of fair value of financial instruments [text block]","IsUsed":true,"Sequence":350},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfFeeAndCommissionIncomeExpenseExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of fee and commission income (expense) [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfFinanceCostExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of finance cost [text block]","IsUsed":true,"Sequence":359},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfFinanceIncomeExpenseExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of finance income (cost) [text block]","IsUsed":true,"Sequence":357},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfFinanceIncomeExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of finance income [text block]","IsUsed":true,"Sequence":358},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfFinancialAssetsHeldForTradingExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of financial assets held for trading [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfFinancialInstrumentsAtFairValueThroughProfitOrLossExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of financial instruments at fair value through profit or loss [text block]","IsUsed":true,"Sequence":349},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfFinancialInstrumentsDesignatedAtFairValueThroughProfitOrLossExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of financial instruments designated at fair value through profit or loss [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfFinancialInstrumentsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of financial instruments [text block]","IsUsed":true,"Sequence":344},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfFinancialInstrumentsHeldForTradingExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of financial instruments held for trading [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfFinancialLiabilitiesHeldForTradingExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of financial liabilities held for trading [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfFinancialRiskManagementExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of financial risk management [text block]","IsUsed":true,"Sequence":343},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfFirstTimeAdoptionExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of first-time adoption [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfGeneralAndAdministrativeExpenseExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of general and administrative expense [text block]","IsUsed":true,"Sequence":373},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfGeneralInformationAboutFinancialStatementsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of general information about financial statements [text block]","IsUsed":true,"Sequence":258},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfGoingConcernExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of going concern [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfGoodwillExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of goodwill [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfGovernmentGrantsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of government grants [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfHyperinflationaryReportingExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of hyperinflationary reporting [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfImpairmentOfAssetsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of impairment of assets [text block]","IsUsed":true,"Sequence":320},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfIncomeTaxExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of income tax [text block]","IsUsed":true,"Sequence":337},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfInformationAboutEmployeesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of information about employees [text block]","IsUsed":true,"Sequence":377},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfInformationAboutKeyManagementPersonnelExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of information about key management personnel [text block]","IsUsed":true,"Sequence":376},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfInsuranceContractsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of insurance contracts [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfInsurancePremiumRevenueExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of insurance premium revenue [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfIntangibleAssetsAndGoodwillExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of intangible assets and goodwill [text block]","IsUsed":true,"Sequence":318},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfIntangibleAssetsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of intangible assets [text block]","IsUsed":true,"Sequence":319},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfInterestExpenseExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of interest expense [text block]","IsUsed":true,"Sequence":356},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfInterestIncomeExpenseExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of interest income (expense) [text block]","IsUsed":true,"Sequence":355},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfInterestIncomeExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of interest income [text block]","IsUsed":true,"Sequence":360},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfInterestsInOtherEntitiesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of interests in other entities [text block]","IsUsed":true,"Sequence":274},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfInterimFinancialReportingExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of interim financial reporting [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfInventoriesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of inventories [text block]","IsUsed":true,"Sequence":324},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfInvestmentContractsLiabilitiesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of investment contracts liabilities [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfInvestmentPropertyExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of investment property [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfInvestmentsAccountedForUsingEquityMethodExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of investments accounted for using equity method [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethodExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of investments other than investments accounted for using equity method [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfIssuedCapitalExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of issued capital [text block]","IsUsed":true,"Sequence":362},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfJointVenturesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of joint ventures [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfLeasePrepaymentsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of lease prepayments [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfLeasesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of leases [text block]","IsUsed":true,"Sequence":323},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfLiquidityRiskExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of liquidity risk [text block]","IsUsed":true,"Sequence":345},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfLoansAndAdvancesToBanksExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of loans and advances to banks [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfLoansAndAdvancesToCustomersExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of loans and advances to customers [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfMarketRiskExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of market risk [text block]","IsUsed":true,"Sequence":347},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfNetAssetValueAttributableToUnitholdersExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of net asset value attributable to unit-holders [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfNoncontrollingInterestsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of non-controlling interests [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfNoncurrentAssetsHeldForSaleAndDiscontinuedOperationsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of non-current assets held for sale and discontinued operations [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfNoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of non-current assets or disposal groups classified as held for sale [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfNotesAndOtherExplanatoryInformationExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of notes and other explanatory information [text block]","IsUsed":true,"Sequence":259},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfObjectivesPoliciesAndProcessesForManagingCapitalExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of objectives, policies and processes for managing capital [text block]","IsUsed":true,"Sequence":342},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfOtherAssetsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of other assets [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfOtherCurrentAssetsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of other current assets [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfOtherCurrentLiabilitiesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of other current liabilities [text block]","IsUsed":true,"Sequence":329},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfOtherLiabilitiesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of other liabilities [text block]","IsUsed":true,"Sequence":328},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfOtherNoncurrentAssetsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of other non-current assets [text block]","IsUsed":true,"Sequence":341},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfOtherNoncurrentLiabilitiesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of other non-current liabilities [text block]","IsUsed":true,"Sequence":354},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfOtherOperatingExpenseExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of other operating expense [text block]","IsUsed":true,"Sequence":368},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfOtherOperatingIncomeExpenseExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of other operating income (expense) [text block]","IsUsed":true,"Sequence":366},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfOtherOperatingIncomeExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of other operating income [text block]","IsUsed":true,"Sequence":367},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfOtherProvisionsContingentLiabilitiesAndContingentAssetsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of other provisions, contingent liabilities and contingent assets [text block]","IsUsed":true,"Sequence":336},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfPrepaymentsAndOtherAssetsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of prepayments and other assets [text block]","IsUsed":true,"Sequence":326},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfProfitLossFromOperatingActivitiesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of profit (loss) from operating activities [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfPropertyPlantAndEquipmentExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of property, plant and equipment [text block]","IsUsed":true,"Sequence":321},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfProvisionsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of provisions [text block]","IsUsed":true,"Sequence":335},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfReclassificationOfFinancialInstrumentsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of reclassification of financial instruments [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfRegulatoryDeferralAccountsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of regulatory deferral accounts [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfReinsuranceExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of reinsurance [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfRelatedPartyExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of related party [text block]","IsUsed":true,"Sequence":275},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfRepurchaseAndReverseRepurchaseAgreementsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of repurchase and reverse repurchase agreements [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfResearchAndDevelopmentExpenseExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of research and development expense [text block]","IsUsed":true,"Sequence":371},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfReservesAndOtherEquityInterestExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of reserves within equity [text block]","IsUsed":true,"Sequence":364},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfRestrictedCashAndCashEquivalentsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of restricted cash and cash equivalents [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfRevenueExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of revenue [text block]","IsUsed":true,"Sequence":330},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfRevenueFromContractsWithCustomersExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of revenue from contracts with customers [text block]","IsUsed":true,"Sequence":331},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfServiceConcessionArrangementsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of service concession arrangements [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfSharebasedPaymentArrangementsExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of share-based payment arrangements [text block]","IsUsed":true,"Sequence":334},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfShareCapitalReservesAndOtherEquityInterestExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of share capital, reserves and other equity interest [text block]","IsUsed":true,"Sequence":361},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfSignificantInvestmentsInAssociatesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of associates [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfSignificantInvestmentsInSubsidiariesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of subsidiaries [text block]","IsUsed":true,"Sequence":273},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfSubordinatedLiabilitiesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of subordinated liabilities [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfSummaryOfSignificantAccountingPoliciesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of significant accounting policies [text block]","IsUsed":true,"Sequence":266},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfTaxReceivablesAndPayablesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of tax receivables and payables [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfTradeAndOtherPayablesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of trade and other payables [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfTradeAndOtherReceivablesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of trade and other receivables [text block]","IsUsed":true,"Sequence":325},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfTradingIncomeExpenseExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of trading income (expense) [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DisclosureOfTreasurySharesExplanatory","Datatype":" textBlockItemType","LabelText":"Disclosure of treasury shares [text block]","IsUsed":true,"Sequence":363},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForAvailableforsaleFinancialAssetsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for available-for-sale financial assets [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForBiologicalAssetsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for biological assets [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForBorrowingCostsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for borrowing costs [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForBorrowingsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for borrowings [text block]","IsUsed":true,"Sequence":305},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForBusinessCombinationsAndGoodwillExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for business combinations and goodwill [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForBusinessCombinationsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for business combinations [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForCashFlowsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for cash flows [text block]","IsUsed":true,"Sequence":310},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForCollateralExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for collateral [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForConstructionInProgressExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for construction in progress [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForContingentLiabilitiesAndContingentAssetsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for contingent liabilities and contingent assets [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForCustomerAcquisitionCostsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for customer acquisition costs [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForCustomerLoyaltyProgrammesExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for customer loyalty programmes [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForDecommissioningRestorationAndRehabilitationProvisionsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for decommissioning, restoration and rehabilitation provisions [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForDeferredAcquisitionCostsArisingFromInsuranceContractsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for deferred acquisition costs arising from insurance contracts [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForDeferredIncomeTaxExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for deferred income tax [text block]","IsUsed":true,"Sequence":290},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForDepreciationExpenseExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for depreciation expense [text block]","IsUsed":true,"Sequence":292},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForDerecognitionOfFinancialInstrumentsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for derecognition of financial instruments [text block]","IsUsed":true,"Sequence":308},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForDerivativeFinancialInstrumentsAndHedgingExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for derivative financial instruments and hedging [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForDerivativeFinancialInstrumentsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for derivative financial instruments [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForDiscontinuedOperationsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for discontinued operations [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForDiscountsAndRebatesExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for discounts and rebates [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForDividendsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for dividends [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForEarningsPerShareExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for earnings per share [text block]","IsUsed":true,"Sequence":313},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForEmissionRightsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for emission rights [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForEmployeeBenefitsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for employee benefits [text block]","IsUsed":true,"Sequence":283},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForEnvironmentRelatedExpenseExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for environment related expense [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForExceptionalItemsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for exceptional items [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForExpensesExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for expenses [text block]","IsUsed":true,"Sequence":282},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForExplorationAndEvaluationExpenditures","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for exploration and evaluation expenditures [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForFairValueMeasurementExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for fair value measurement [text block]","IsUsed":true,"Sequence":278},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForFeeAndCommissionIncomeAndExpenseExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for fee and commission income and expense [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForFinanceCostsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for finance costs [text block]","IsUsed":true,"Sequence":287},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForFinanceIncomeAndCostsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for finance income and costs [text block]","IsUsed":true,"Sequence":288},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForFinancialAssetsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for financial assets [text block]","IsUsed":true,"Sequence":303},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForFinancialGuaranteesExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for financial guarantees [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForFinancialInstrumentsAtFairValueThroughProfitOrLossExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for financial instruments at fair value through profit or loss [text block]","IsUsed":true,"Sequence":306},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForFinancialInstrumentsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for financial instruments [text block]","IsUsed":true,"Sequence":304},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForFinancialLiabilitiesExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for financial liabilities [text block]","IsUsed":true,"Sequence":307},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForForeignCurrencyTranslationExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for foreign currency translation [text block]","IsUsed":true,"Sequence":277},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForFranchiseFeesExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for franchise fees [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForFunctionalCurrencyExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for functional currency [text block]","IsUsed":true,"Sequence":276},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForGoodwillExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for goodwill [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForGovernmentGrants","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for government grants [text block]","IsUsed":true,"Sequence":280},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForHedgingExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for hedging [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForHeldtomaturityInvestmentsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for held-to-maturity investments [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForImpairmentOfAssetsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for impairment of assets [text block]","IsUsed":true,"Sequence":296},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForImpairmentOfFinancialAssetsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for impairment of financial assets [text block]","IsUsed":true,"Sequence":309},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForImpairmentOfNonfinancialAssetsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for impairment of non-financial assets [text block]","IsUsed":true,"Sequence":295},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForIncomeTaxExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for income tax [text block]","IsUsed":true,"Sequence":289},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForInsuranceContracts","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for insurance contracts and related assets, liabilities, income and expense [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForIntangibleAssetsAndGoodwillExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for intangible assets and goodwill [text block]","IsUsed":true,"Sequence":293},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForIntangibleAssetsOtherThanGoodwillExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for intangible assets other than goodwill [text block]","IsUsed":true,"Sequence":294},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForInterestIncomeAndExpenseExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for interest income and expense [text block]","IsUsed":true,"Sequence":286},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForInvestmentInAssociates","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for investment in associates [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForInvestmentInAssociatesAndJointVenturesExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for investment in associates and joint ventures [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForInvestmentPropertyExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for investment property [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForInvestmentsInJointVentures","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for investments in joint ventures [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethodExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for investments other than investments accounted for using equity method [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForIssuedCapitalExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for issued capital [text block]","IsUsed":true,"Sequence":300},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForLeasesExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for leases [text block]","IsUsed":true,"Sequence":301},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForLoansAndReceivablesExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for loans and receivables [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForMeasuringInventories","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for measuring inventories [text block]","IsUsed":true,"Sequence":297},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForMiningAssetsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for mining assets [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForMiningRightsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for mining rights [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForNoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleAndDiscontinuedOperationsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for non-current assets or disposal groups classified as held for sale and discontinued operations [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForNoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for non-current assets or disposal groups classified as held for sale [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForOffsettingOfFinancialInstrumentsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for offsetting of financial instruments [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForOilAndGasAssetsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for oil and gas assets [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForProgrammingAssetsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for programming assets [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForPropertyPlantAndEquipmentExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for property, plant and equipment [text block]","IsUsed":true,"Sequence":291},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForProvisionsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for provisions [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForReclassificationOfFinancialInstrumentsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for reclassification of financial instruments [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForRecognisingDifferenceBetweenFairValueAtInitialRecognitionAndAmountDeterminedUsingValuationTechniqueExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for recognising in profit or loss difference between fair value at initial recognition and transaction price [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForRecognitionOfRevenue","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for recognition of revenue [text block]","IsUsed":true,"Sequence":279},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForRegulatoryDeferralAccountsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for regulatory deferral accounts [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForReinsuranceExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for reinsurance [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForRepairsAndMaintenanceExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for repairs and maintenance [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForRepurchaseAndReverseRepurchaseAgreementsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for repurchase and reverse repurchase agreements [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForResearchAndDevelopmentExpenseExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for research and development expense [text block]","IsUsed":true,"Sequence":281},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForRestrictedCashAndCashEquivalentsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for restricted cash and cash equivalents [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForSegmentReportingExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for segment reporting [text block]","IsUsed":true,"Sequence":312},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForServiceConcessionArrangementsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for service concession arrangements [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForSharebasedPaymentTransactionsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for share-based payment transactions [text block]","IsUsed":true,"Sequence":285},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForStrippingCostsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for stripping costs [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForSubsidiariesExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for subsidiaries [text block]","IsUsed":true,"Sequence":271},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForTaxesOtherThanIncomeTaxExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for taxes other than income tax [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForTerminationBenefits","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for termination benefits [text block]","IsUsed":true,"Sequence":284},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForTradeAndOtherPayablesExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for trade and other payables [text block]","IsUsed":true,"Sequence":302},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForTradeAndOtherReceivablesExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for trade and other receivables [text block]","IsUsed":true,"Sequence":298},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForTradingIncomeAndExpenseExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for trading income and expense [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForTransactionsWithNoncontrollingInterestsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for transactions with non-controlling interests [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForTransactionsWithRelatedPartiesExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for transactions with related parties [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForTreasurySharesExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for treasury shares [text block]","IsUsed":true,"Sequence":314},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyForWarrantsExplanatory","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for warrants [text block]","IsUsed":false,"Sequence":0},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfAccountingPolicyToDetermineComponentsOfCashAndCashEquivalents","Datatype":" textBlockItemType","LabelText":"Description of accounting policy for determining components of cash and cash equivalents [text block]","IsUsed":true,"Sequence":299},{"Prefix":"ifrs-full:","ElementName":"DescriptionOfOtherAccountingPoliciesRelevantToUnderstandingOfFinancialStatements","Datatype":" textBlockItemType","LabelText":"Description of other accounting policies relevant to understanding of financial statements [text block]","IsUsed":false,"Sequence":0}];
  $scope.textblockMetricsData = {"TotalTextblock":122,"TotalMandatory":118,"TotalNonMandatory":4,"TotalExtendedTextblock":0,"TotalUnusedTextblock":134};
  $scope.continuationData = [{"Id":1017749,"FileId":7831,"ContinuationId":"TextSelection_5040546","Sequence":68,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9"},{"Id":1017750,"FileId":7831,"ContinuationId":"TextSelection_5038816","Sequence":68,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9"},{"Id":1017751,"FileId":7831,"ContinuationId":"TextSelection_5038904","Sequence":68,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9"},{"Id":1017752,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038904_1","Sequence":68,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9"},{"Id":1017753,"FileId":7831,"ContinuationId":"TextSelection_5038908","Sequence":68,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9"},{"Id":1017754,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038816_1","Sequence":68,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9"},{"Id":1017755,"FileId":7831,"ContinuationId":"TextSelection_5038819","Sequence":68,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9"},{"Id":1017756,"FileId":7831,"ContinuationId":"TextSelection_5038942","Sequence":68,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9"},{"Id":1017757,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038942_1","Sequence":68,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9"},{"Id":1017758,"FileId":7831,"ContinuationId":"TextSelection_5038860","Sequence":68,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9"},{"Id":1017759,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038860_1","Sequence":68,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9"},{"Id":1017760,"FileId":7831,"ContinuationId":"TextSelection_5038898","Sequence":68,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9"},{"Id":1017761,"FileId":7831,"ContinuationId":"TextSelection_5038964","Sequence":68,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9"},{"Id":1017762,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038898_1","Sequence":68,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9"},{"Id":1017763,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038964_1","Sequence":68,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9"},{"Id":1017764,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038819_1","Sequence":68,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9"},{"Id":1017765,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_1","Sequence":68,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9"},{"Id":1017770,"FileId":7831,"ContinuationId":"TextSelection_5038818","Sequence":68,"PageIdentifier":"89569a06-7807-49d2-9dbb-0ab1afaa88b9"},{"Id":1017766,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038819_2","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017767,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_2","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017768,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038898_2","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017769,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038964_2","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017784,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_1","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017798,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_2","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017799,"FileId":7831,"ContinuationId":"TextSelection_5038955","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017825,"FileId":7831,"ContinuationId":"TextSelection_5038951","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017826,"FileId":7831,"ContinuationId":"TextSelection_5038958","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017827,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038964_3","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017828,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038964_4","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017829,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038958_1","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017830,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038951_1","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017831,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038898_4","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017832,"FileId":7831,"ContinuationId":"TextSelection_5038861","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017833,"FileId":7831,"ContinuationId":"TextSelection_5038933","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017834,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038933_1","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017835,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038898_3","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017836,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038861_1","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017837,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038862_1","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017838,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038933_2","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017839,"FileId":7831,"ContinuationId":"TextSelection_5038863","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017840,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038863_1","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017841,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038819_3","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017842,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_3","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017847,"FileId":7831,"ContinuationId":"TextSelection_5038862","Sequence":69,"PageIdentifier":"d13968c0-6e4a-42f6-a429-53d283be62ae"},{"Id":1017821,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038864_1","Sequence":70,"PageIdentifier":"d5586305-7924-43e1-8336-e68aac1613b4"},{"Id":1017822,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038863_4","Sequence":70,"PageIdentifier":"d5586305-7924-43e1-8336-e68aac1613b4"},{"Id":1017823,"FileId":7831,"ContinuationId":"TextSelection_5038864","Sequence":70,"PageIdentifier":"d5586305-7924-43e1-8336-e68aac1613b4"},{"Id":1017824,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038863_3","Sequence":70,"PageIdentifier":"d5586305-7924-43e1-8336-e68aac1613b4"},{"Id":1017843,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038819_4","Sequence":70,"PageIdentifier":"d5586305-7924-43e1-8336-e68aac1613b4"},{"Id":1017844,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_4","Sequence":70,"PageIdentifier":"d5586305-7924-43e1-8336-e68aac1613b4"},{"Id":1017845,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038863_2","Sequence":70,"PageIdentifier":"d5586305-7924-43e1-8336-e68aac1613b4"},{"Id":1017846,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_3","Sequence":70,"PageIdentifier":"d5586305-7924-43e1-8336-e68aac1613b4"},{"Id":1017800,"FileId":7831,"ContinuationId":"TextSelection_5038960","Sequence":70,"PageIdentifier":"d5586305-7924-43e1-8336-e68aac1613b4"},{"Id":1017801,"FileId":7831,"ContinuationId":"TextSelection_5038865","Sequence":70,"PageIdentifier":"d5586305-7924-43e1-8336-e68aac1613b4"},{"Id":1017802,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038865_1","Sequence":70,"PageIdentifier":"d5586305-7924-43e1-8336-e68aac1613b4"},{"Id":1017803,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038960_1","Sequence":70,"PageIdentifier":"d5586305-7924-43e1-8336-e68aac1613b4"},{"Id":1017804,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038819_5","Sequence":70,"PageIdentifier":"d5586305-7924-43e1-8336-e68aac1613b4"},{"Id":1017805,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_5","Sequence":70,"PageIdentifier":"d5586305-7924-43e1-8336-e68aac1613b4"},{"Id":1017806,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038819_6","Sequence":71,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c"},{"Id":1017807,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_6","Sequence":71,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c"},{"Id":1017808,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_4","Sequence":71,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c"},{"Id":1017809,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_5","Sequence":71,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c"},{"Id":1017810,"FileId":7831,"ContinuationId":"TextSelection_5038867","Sequence":71,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c"},{"Id":1017811,"FileId":7831,"ContinuationId":"TextSelection_5038892","Sequence":71,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c"},{"Id":1017812,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038892_1","Sequence":71,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c"},{"Id":1017813,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038867_1","Sequence":71,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c"},{"Id":1017814,"FileId":7831,"ContinuationId":"TextSelection_5038868","Sequence":71,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c"},{"Id":1017815,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038868_1","Sequence":71,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c"},{"Id":1017816,"FileId":7831,"ContinuationId":"TextSelection_5038869","Sequence":71,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c"},{"Id":1017817,"FileId":7831,"ContinuationId":"TextSelection_5038870","Sequence":71,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c"},{"Id":1017818,"FileId":7831,"ContinuationId":"TextSelection_5038962","Sequence":71,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c"},{"Id":1017819,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038869_1","Sequence":71,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c"},{"Id":1017820,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038870_1","Sequence":71,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c"},{"Id":1017746,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_7","Sequence":71,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c"},{"Id":1017747,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038819_7","Sequence":71,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c"},{"Id":1017748,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038962_1","Sequence":71,"PageIdentifier":"0d69ff09-64c3-4149-aa76-2e63907a505c"},{"Id":1017733,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038819_8","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017673,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_8","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017674,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038869_2","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017675,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038870_2","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017676,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038962_2","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017677,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_6","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017678,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038869_3","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017679,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038870_3","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017680,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038962_3","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017681,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038869_4","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017682,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038962_4","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017683,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038870_4","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017684,"FileId":7831,"ContinuationId":"TextSelection_5038871","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017685,"FileId":7831,"ContinuationId":"TextSelection_5038893","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017686,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038893_1","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017687,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038871_1","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017688,"FileId":7831,"ContinuationId":"TextSelection_5038872","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017689,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038872_1","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017690,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038819_9","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017691,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_9","Sequence":72,"PageIdentifier":"a332057b-ee66-49e5-9f91-8c28eccc45e9"},{"Id":1017692,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038819_10","Sequence":73,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839"},{"Id":1017693,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_10","Sequence":73,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839"},{"Id":1017694,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_7","Sequence":73,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839"},{"Id":1017648,"FileId":7831,"ContinuationId":"TextSelection_5038894","Sequence":73,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839"},{"Id":1017649,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038894_1","Sequence":73,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839"},{"Id":1017650,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038872_4","Sequence":73,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839"},{"Id":1017651,"FileId":7831,"ContinuationId":"TextSelection_5038961","Sequence":73,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839"},{"Id":1017652,"FileId":7831,"ContinuationId":"TextSelection_5038873","Sequence":73,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839"},{"Id":1017653,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038873_1","Sequence":73,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839"},{"Id":1017654,"FileId":7831,"ContinuationId":"TextSelection_5038874","Sequence":73,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839"},{"Id":1017655,"FileId":7831,"ContinuationId":"TextSelection_5038967","Sequence":73,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839"},{"Id":1017656,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038961_1","Sequence":73,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839"},{"Id":1017657,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038967_1","Sequence":73,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839"},{"Id":1017658,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038874_1","Sequence":73,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839"},{"Id":1017659,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038819_11","Sequence":73,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839"},{"Id":1017660,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_11","Sequence":73,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839"},{"Id":1017669,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038872_3","Sequence":73,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839"},{"Id":1017671,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_8","Sequence":73,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839"},{"Id":1017672,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038872_2","Sequence":73,"PageIdentifier":"d25d44f7-c689-4488-9bf5-c18e4a763839"},{"Id":1017670,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038963_1","Sequence":74,"PageIdentifier":"5b6511f0-6cf3-473a-9516-ae68d012d291"},{"Id":1017723,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_13","Sequence":74,"PageIdentifier":"5b6511f0-6cf3-473a-9516-ae68d012d291"},{"Id":1017661,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038819_12","Sequence":74,"PageIdentifier":"5b6511f0-6cf3-473a-9516-ae68d012d291"},{"Id":1017662,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_12","Sequence":74,"PageIdentifier":"5b6511f0-6cf3-473a-9516-ae68d012d291"},{"Id":1017663,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_9","Sequence":74,"PageIdentifier":"5b6511f0-6cf3-473a-9516-ae68d012d291"},{"Id":1017664,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_10","Sequence":74,"PageIdentifier":"5b6511f0-6cf3-473a-9516-ae68d012d291"},{"Id":1017665,"FileId":7831,"ContinuationId":"TextSelection_5038934","Sequence":74,"PageIdentifier":"5b6511f0-6cf3-473a-9516-ae68d012d291"},{"Id":1017666,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038934_1","Sequence":74,"PageIdentifier":"5b6511f0-6cf3-473a-9516-ae68d012d291"},{"Id":1017667,"FileId":7831,"ContinuationId":"TextSelection_5038875","Sequence":74,"PageIdentifier":"5b6511f0-6cf3-473a-9516-ae68d012d291"},{"Id":1017668,"FileId":7831,"ContinuationId":"TextSelection_5038963","Sequence":74,"PageIdentifier":"5b6511f0-6cf3-473a-9516-ae68d012d291"},{"Id":1017695,"FileId":7831,"ContinuationId":"TextSelection_5038877","Sequence":74,"PageIdentifier":"5b6511f0-6cf3-473a-9516-ae68d012d291"},{"Id":1017696,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038877_1","Sequence":74,"PageIdentifier":"5b6511f0-6cf3-473a-9516-ae68d012d291"},{"Id":1017697,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038819_13","Sequence":74,"PageIdentifier":"5b6511f0-6cf3-473a-9516-ae68d012d291"},{"Id":1017698,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038937_1","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017699,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038937_2","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017700,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038895_2","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017701,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038881_2","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017702,"FileId":7831,"ContinuationId":"TextSelection_5038882","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017703,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038882_1","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017704,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038819_15","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017705,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_15","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017724,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038819_14","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017725,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_14","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017726,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038877_2","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017727,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_11","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017728,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038877_3","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017729,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038877_4","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017730,"FileId":7831,"ContinuationId":"TextSelection_5038878","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017731,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038878_1","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017732,"FileId":7831,"ContinuationId":"TextSelection_5038881","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017719,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038881_1","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017720,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038895_1","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017721,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038959_5","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017722,"FileId":7831,"ContinuationId":"TextSelection_5038895","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017734,"FileId":7831,"ContinuationId":"TextSelection_5038937","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017735,"FileId":7831,"ContinuationId":"TextSelection_5038936","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017736,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038959_1","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017737,"FileId":7831,"ContinuationId":"TextSelection_5038897","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017738,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038959_2","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017739,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038959_3","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017740,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038959_4","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017741,"FileId":7831,"ContinuationId":"TextSelection_5038938","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017742,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038897_1","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017743,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038897_2","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017744,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038938_1","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017745,"FileId":7831,"ContinuationId":"TextSelection_5038959","Sequence":75,"PageIdentifier":"4fe61c48-4c8f-4a5f-8b8b-d1cf34b887b7"},{"Id":1017797,"FileId":7831,"ContinuationId":"TextSelection_5038886","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017706,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_16","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017707,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038819_16","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017708,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_12","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017709,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_13","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017710,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038819_17","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017711,"FileId":7831,"ContinuationId":"TextSelection_5038883","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017712,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038883_1","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017713,"FileId":7831,"ContinuationId":"TextSelection_5038884","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017714,"FileId":7831,"ContinuationId":"TextSelection_5038945","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017715,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038945_1","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017716,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038884_1","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017717,"FileId":7831,"ContinuationId":"TextSelection_5038885","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017718,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038885_1","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017849,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038886_1","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017850,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038940_1","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017977,"FileId":7831,"ContinuationId":"TextSelection_5038888","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017978,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038888_1","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017979,"FileId":7831,"ContinuationId":"TextSelection_5038887","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017980,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038819_18","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017981,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038887_1","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017982,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_17","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1018000,"FileId":7831,"ContinuationId":"TextSelection_5038940","Sequence":76,"PageIdentifier":"0e33af09-b2d5-47db-ab87-8cbbadf340f3"},{"Id":1017983,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_18","Sequence":77,"PageIdentifier":"99ab4fa7-2bd6-4e84-9e25-f6023ffce9f2"},{"Id":1017984,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_14","Sequence":77,"PageIdentifier":"99ab4fa7-2bd6-4e84-9e25-f6023ffce9f2"},{"Id":1017985,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_15","Sequence":77,"PageIdentifier":"99ab4fa7-2bd6-4e84-9e25-f6023ffce9f2"},{"Id":1017986,"FileId":7831,"ContinuationId":"TextSelection_5038820","Sequence":77,"PageIdentifier":"99ab4fa7-2bd6-4e84-9e25-f6023ffce9f2"},{"Id":1017988,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_19","Sequence":77,"PageIdentifier":"99ab4fa7-2bd6-4e84-9e25-f6023ffce9f2"},{"Id":1017989,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038820_1","Sequence":77,"PageIdentifier":"99ab4fa7-2bd6-4e84-9e25-f6023ffce9f2"},{"Id":1017990,"FileId":7831,"ContinuationId":"TextSelection_5038821","Sequence":77,"PageIdentifier":"99ab4fa7-2bd6-4e84-9e25-f6023ffce9f2"},{"Id":1017991,"FileId":7831,"ContinuationId":"TextSelection_5038950","Sequence":77,"PageIdentifier":"99ab4fa7-2bd6-4e84-9e25-f6023ffce9f2"},{"Id":1017992,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038821_1","Sequence":77,"PageIdentifier":"99ab4fa7-2bd6-4e84-9e25-f6023ffce9f2"},{"Id":1017993,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038950_1","Sequence":77,"PageIdentifier":"99ab4fa7-2bd6-4e84-9e25-f6023ffce9f2"},{"Id":1017999,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038818_20","Sequence":77,"PageIdentifier":"99ab4fa7-2bd6-4e84-9e25-f6023ffce9f2"},{"Id":1017976,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038950_3","Sequence":78,"PageIdentifier":"03e7816c-f73b-40e1-acd0-f23f56b0d4cd"},{"Id":1017994,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038821_2","Sequence":78,"PageIdentifier":"03e7816c-f73b-40e1-acd0-f23f56b0d4cd"},{"Id":1017995,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038950_2","Sequence":78,"PageIdentifier":"03e7816c-f73b-40e1-acd0-f23f56b0d4cd"},{"Id":1017996,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_16","Sequence":78,"PageIdentifier":"03e7816c-f73b-40e1-acd0-f23f56b0d4cd"},{"Id":1017997,"FileId":7831,"ContinuationId":"TextSelection_5038948","Sequence":78,"PageIdentifier":"03e7816c-f73b-40e1-acd0-f23f56b0d4cd"},{"Id":1017998,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038821_3","Sequence":78,"PageIdentifier":"03e7816c-f73b-40e1-acd0-f23f56b0d4cd"},{"Id":1017973,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_17","Sequence":79,"PageIdentifier":"c3b59d6d-792a-479f-aca0-406c91a3e339"},{"Id":1017974,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038950_4","Sequence":79,"PageIdentifier":"c3b59d6d-792a-479f-aca0-406c91a3e339"},{"Id":1017975,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038821_4","Sequence":79,"PageIdentifier":"c3b59d6d-792a-479f-aca0-406c91a3e339"},{"Id":1017952,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038821_5","Sequence":79,"PageIdentifier":"c3b59d6d-792a-479f-aca0-406c91a3e339"},{"Id":1017953,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038950_5","Sequence":79,"PageIdentifier":"c3b59d6d-792a-479f-aca0-406c91a3e339"},{"Id":1017954,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038950_6","Sequence":79,"PageIdentifier":"c3b59d6d-792a-479f-aca0-406c91a3e339"},{"Id":1017955,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038821_6","Sequence":79,"PageIdentifier":"c3b59d6d-792a-479f-aca0-406c91a3e339"},{"Id":1017956,"FileId":7831,"ContinuationId":"TextSelection_5038822","Sequence":79,"PageIdentifier":"c3b59d6d-792a-479f-aca0-406c91a3e339"},{"Id":1017957,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038822_1","Sequence":79,"PageIdentifier":"c3b59d6d-792a-479f-aca0-406c91a3e339"},{"Id":1017958,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_18","Sequence":80,"PageIdentifier":"aedc4de6-1d84-4ab2-9ba3-252b6e62fa9a"},{"Id":1017959,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_19","Sequence":80,"PageIdentifier":"aedc4de6-1d84-4ab2-9ba3-252b6e62fa9a"},{"Id":1017960,"FileId":7831,"ContinuationId":"TextSelection_5038824","Sequence":80,"PageIdentifier":"aedc4de6-1d84-4ab2-9ba3-252b6e62fa9a"},{"Id":1017961,"FileId":7831,"ContinuationId":"TextSelection_5038823","Sequence":80,"PageIdentifier":"aedc4de6-1d84-4ab2-9ba3-252b6e62fa9a"},{"Id":1017962,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038823_1","Sequence":80,"PageIdentifier":"aedc4de6-1d84-4ab2-9ba3-252b6e62fa9a"},{"Id":1017963,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038824_1","Sequence":80,"PageIdentifier":"aedc4de6-1d84-4ab2-9ba3-252b6e62fa9a"},{"Id":1017964,"FileId":7831,"ContinuationId":"TextSelection_5038825","Sequence":80,"PageIdentifier":"aedc4de6-1d84-4ab2-9ba3-252b6e62fa9a"},{"Id":1017965,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038825_1","Sequence":80,"PageIdentifier":"aedc4de6-1d84-4ab2-9ba3-252b6e62fa9a"},{"Id":1017966,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_20","Sequence":81,"PageIdentifier":"813f98f4-14d4-49ed-a1f8-056fbeba8556"},{"Id":1017967,"FileId":7831,"ContinuationId":"TextSelection_5038828","Sequence":81,"PageIdentifier":"813f98f4-14d4-49ed-a1f8-056fbeba8556"},{"Id":1017968,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038828_1","Sequence":81,"PageIdentifier":"813f98f4-14d4-49ed-a1f8-056fbeba8556"},{"Id":1017969,"FileId":7831,"ContinuationId":"TextSelection_5038827","Sequence":81,"PageIdentifier":"813f98f4-14d4-49ed-a1f8-056fbeba8556"},{"Id":1017970,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_21","Sequence":82,"PageIdentifier":"7e7c14f1-f5c5-4291-8838-deeb17c70aae"},{"Id":1017971,"FileId":7831,"ContinuationId":"TextSelection_5038832","Sequence":82,"PageIdentifier":"7e7c14f1-f5c5-4291-8838-deeb17c70aae"},{"Id":1017972,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038832_1","Sequence":82,"PageIdentifier":"7e7c14f1-f5c5-4291-8838-deeb17c70aae"},{"Id":1017987,"FileId":7831,"ContinuationId":"TextSelection_5038957","Sequence":82,"PageIdentifier":"7e7c14f1-f5c5-4291-8838-deeb17c70aae"},{"Id":1018001,"FileId":7831,"ContinuationId":"TextSelection_5038833","Sequence":82,"PageIdentifier":"7e7c14f1-f5c5-4291-8838-deeb17c70aae"},{"Id":1018002,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038833_1","Sequence":82,"PageIdentifier":"7e7c14f1-f5c5-4291-8838-deeb17c70aae"},{"Id":1018038,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038957_1","Sequence":82,"PageIdentifier":"7e7c14f1-f5c5-4291-8838-deeb17c70aae"},{"Id":1018028,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038957_2","Sequence":83,"PageIdentifier":"4d232e52-76f7-48c0-bf1b-7370f51121ad"},{"Id":1018029,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038833_2","Sequence":83,"PageIdentifier":"4d232e52-76f7-48c0-bf1b-7370f51121ad"},{"Id":1018030,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_22","Sequence":83,"PageIdentifier":"4d232e52-76f7-48c0-bf1b-7370f51121ad"},{"Id":1018031,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038957_3","Sequence":83,"PageIdentifier":"4d232e52-76f7-48c0-bf1b-7370f51121ad"},{"Id":1018032,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038833_3","Sequence":83,"PageIdentifier":"4d232e52-76f7-48c0-bf1b-7370f51121ad"},{"Id":1018033,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038957_4","Sequence":84,"PageIdentifier":"ad864339-01a7-481a-9542-7dd3d908c0a3"},{"Id":1018034,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038833_4","Sequence":84,"PageIdentifier":"ad864339-01a7-481a-9542-7dd3d908c0a3"},{"Id":1018035,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_23","Sequence":84,"PageIdentifier":"ad864339-01a7-481a-9542-7dd3d908c0a3"},{"Id":1018036,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038957_5","Sequence":84,"PageIdentifier":"ad864339-01a7-481a-9542-7dd3d908c0a3"},{"Id":1018037,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038833_5","Sequence":84,"PageIdentifier":"ad864339-01a7-481a-9542-7dd3d908c0a3"},{"Id":1018039,"FileId":7831,"ContinuationId":"TextSelection_5038889","Sequence":84,"PageIdentifier":"ad864339-01a7-481a-9542-7dd3d908c0a3"},{"Id":1018040,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038957_6","Sequence":84,"PageIdentifier":"ad864339-01a7-481a-9542-7dd3d908c0a3"},{"Id":1018041,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038889_1","Sequence":84,"PageIdentifier":"ad864339-01a7-481a-9542-7dd3d908c0a3"},{"Id":1018042,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038955_1","Sequence":84,"PageIdentifier":"ad864339-01a7-481a-9542-7dd3d908c0a3"},{"Id":1018043,"FileId":7831,"ContinuationId":"TextSelection_5038841","Sequence":84,"PageIdentifier":"ad864339-01a7-481a-9542-7dd3d908c0a3"},{"Id":1018044,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038841_1","Sequence":84,"PageIdentifier":"ad864339-01a7-481a-9542-7dd3d908c0a3"},{"Id":1018050,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038833_6","Sequence":84,"PageIdentifier":"ad864339-01a7-481a-9542-7dd3d908c0a3"},{"Id":1018045,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038841_2","Sequence":85,"PageIdentifier":"22551ae5-9f6b-4ff1-9949-bd2b6550172f"},{"Id":1018046,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_24","Sequence":85,"PageIdentifier":"22551ae5-9f6b-4ff1-9949-bd2b6550172f"},{"Id":1018047,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038841_3","Sequence":85,"PageIdentifier":"22551ae5-9f6b-4ff1-9949-bd2b6550172f"},{"Id":1018048,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038841_4","Sequence":86,"PageIdentifier":"f88d3400-0ac0-4beb-8c04-53f8cbbc0742"},{"Id":1018049,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_25","Sequence":86,"PageIdentifier":"f88d3400-0ac0-4beb-8c04-53f8cbbc0742"},{"Id":1018027,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038841_5","Sequence":86,"PageIdentifier":"f88d3400-0ac0-4beb-8c04-53f8cbbc0742"},{"Id":1018024,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038841_7","Sequence":87,"PageIdentifier":"fe7ee986-859a-4944-b899-26ff1ad1d128"},{"Id":1018025,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_26","Sequence":87,"PageIdentifier":"fe7ee986-859a-4944-b899-26ff1ad1d128"},{"Id":1018026,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038841_6","Sequence":87,"PageIdentifier":"fe7ee986-859a-4944-b899-26ff1ad1d128"},{"Id":1018003,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038841_8","Sequence":88,"PageIdentifier":"0ab64fcd-d732-4dd8-b92b-297f373fc855"},{"Id":1018004,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_27","Sequence":88,"PageIdentifier":"0ab64fcd-d732-4dd8-b92b-297f373fc855"},{"Id":1018005,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038841_9","Sequence":88,"PageIdentifier":"0ab64fcd-d732-4dd8-b92b-297f373fc855"},{"Id":1018006,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038841_10","Sequence":89,"PageIdentifier":"36f678d6-d724-4e5f-850f-95a29c0c399a"},{"Id":1018007,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_28","Sequence":89,"PageIdentifier":"36f678d6-d724-4e5f-850f-95a29c0c399a"},{"Id":1018008,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038841_11","Sequence":89,"PageIdentifier":"36f678d6-d724-4e5f-850f-95a29c0c399a"},{"Id":1018009,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038841_12","Sequence":90,"PageIdentifier":"6924f98a-1a15-43a3-b267-d68b5197204a"},{"Id":1018010,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_29","Sequence":90,"PageIdentifier":"6924f98a-1a15-43a3-b267-d68b5197204a"},{"Id":1018011,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038841_13","Sequence":90,"PageIdentifier":"6924f98a-1a15-43a3-b267-d68b5197204a"},{"Id":1018012,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038841_14","Sequence":91,"PageIdentifier":"1398a467-0899-460c-89ad-70ddbf9647c7"},{"Id":1018013,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_30","Sequence":91,"PageIdentifier":"1398a467-0899-460c-89ad-70ddbf9647c7"},{"Id":1018014,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038841_15","Sequence":91,"PageIdentifier":"1398a467-0899-460c-89ad-70ddbf9647c7"},{"Id":1018015,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038841_16","Sequence":91,"PageIdentifier":"1398a467-0899-460c-89ad-70ddbf9647c7"},{"Id":1018016,"FileId":7831,"ContinuationId":"TextSelection_5038953","Sequence":91,"PageIdentifier":"1398a467-0899-460c-89ad-70ddbf9647c7"},{"Id":1018017,"FileId":7831,"ContinuationId":"TextSelection_5038836","Sequence":91,"PageIdentifier":"1398a467-0899-460c-89ad-70ddbf9647c7"},{"Id":1018018,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038836_1","Sequence":91,"PageIdentifier":"1398a467-0899-460c-89ad-70ddbf9647c7"},{"Id":1018019,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038953_1","Sequence":91,"PageIdentifier":"1398a467-0899-460c-89ad-70ddbf9647c7"},{"Id":1018020,"FileId":7831,"ContinuationId":"TextSelection_5038837","Sequence":91,"PageIdentifier":"1398a467-0899-460c-89ad-70ddbf9647c7"},{"Id":1018021,"FileId":7831,"ContinuationId":"TextSelection_5038896","Sequence":91,"PageIdentifier":"1398a467-0899-460c-89ad-70ddbf9647c7"},{"Id":1018022,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038896_1","Sequence":91,"PageIdentifier":"1398a467-0899-460c-89ad-70ddbf9647c7"},{"Id":1018023,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038837_1","Sequence":91,"PageIdentifier":"1398a467-0899-460c-89ad-70ddbf9647c7"},{"Id":1017936,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038837_4","Sequence":92,"PageIdentifier":"168a0759-2d43-4180-91ad-f0ce3ee7958a"},{"Id":1017949,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038837_3","Sequence":92,"PageIdentifier":"168a0759-2d43-4180-91ad-f0ce3ee7958a"},{"Id":1017950,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_31","Sequence":92,"PageIdentifier":"168a0759-2d43-4180-91ad-f0ce3ee7958a"},{"Id":1017951,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038837_2","Sequence":92,"PageIdentifier":"168a0759-2d43-4180-91ad-f0ce3ee7958a"},{"Id":1017876,"FileId":7831,"ContinuationId":"TextSelection_5038838","Sequence":92,"PageIdentifier":"168a0759-2d43-4180-91ad-f0ce3ee7958a"},{"Id":1017877,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038838_1","Sequence":92,"PageIdentifier":"168a0759-2d43-4180-91ad-f0ce3ee7958a"},{"Id":1017878,"FileId":7831,"ContinuationId":"TextSelection_5038880","Sequence":92,"PageIdentifier":"168a0759-2d43-4180-91ad-f0ce3ee7958a"},{"Id":1017879,"FileId":7831,"ContinuationId":"TextSelection_5038966","Sequence":92,"PageIdentifier":"168a0759-2d43-4180-91ad-f0ce3ee7958a"},{"Id":1017880,"FileId":7831,"ContinuationId":"TextSelection_5038840","Sequence":92,"PageIdentifier":"168a0759-2d43-4180-91ad-f0ce3ee7958a"},{"Id":1017881,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038840_1","Sequence":92,"PageIdentifier":"168a0759-2d43-4180-91ad-f0ce3ee7958a"},{"Id":1017882,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038966_1","Sequence":92,"PageIdentifier":"168a0759-2d43-4180-91ad-f0ce3ee7958a"},{"Id":1017883,"FileId":7831,"ContinuationId":"TextSelection_5038842","Sequence":92,"PageIdentifier":"168a0759-2d43-4180-91ad-f0ce3ee7958a"},{"Id":1017884,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038842_1","Sequence":92,"PageIdentifier":"168a0759-2d43-4180-91ad-f0ce3ee7958a"},{"Id":1017885,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038842_2","Sequence":93,"PageIdentifier":"83a72221-54e9-42e1-b7d6-2c9eb4069eee"},{"Id":1017886,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_32","Sequence":93,"PageIdentifier":"83a72221-54e9-42e1-b7d6-2c9eb4069eee"},{"Id":1017887,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038842_3","Sequence":93,"PageIdentifier":"83a72221-54e9-42e1-b7d6-2c9eb4069eee"},{"Id":1017888,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038842_4","Sequence":93,"PageIdentifier":"83a72221-54e9-42e1-b7d6-2c9eb4069eee"},{"Id":1017889,"FileId":7831,"ContinuationId":"TextSelection_5038844","Sequence":93,"PageIdentifier":"83a72221-54e9-42e1-b7d6-2c9eb4069eee"},{"Id":1017890,"FileId":7831,"ContinuationId":"TextSelection_5038843","Sequence":93,"PageIdentifier":"83a72221-54e9-42e1-b7d6-2c9eb4069eee"},{"Id":1017891,"FileId":7831,"ContinuationId":"TextSelection_5038845","Sequence":93,"PageIdentifier":"83a72221-54e9-42e1-b7d6-2c9eb4069eee"},{"Id":1017892,"FileId":7831,"ContinuationId":"TextSelection_5038944","Sequence":93,"PageIdentifier":"83a72221-54e9-42e1-b7d6-2c9eb4069eee"},{"Id":1017893,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038845_1","Sequence":93,"PageIdentifier":"83a72221-54e9-42e1-b7d6-2c9eb4069eee"},{"Id":1017894,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038844_1","Sequence":93,"PageIdentifier":"83a72221-54e9-42e1-b7d6-2c9eb4069eee"},{"Id":1017895,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038843_1","Sequence":93,"PageIdentifier":"83a72221-54e9-42e1-b7d6-2c9eb4069eee"},{"Id":1017896,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038844_2","Sequence":94,"PageIdentifier":"14f92b7c-6b92-4b7d-b3ce-99ff59f089b4"},{"Id":1017897,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038845_2","Sequence":94,"PageIdentifier":"14f92b7c-6b92-4b7d-b3ce-99ff59f089b4"},{"Id":1017851,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038845_4","Sequence":94,"PageIdentifier":"14f92b7c-6b92-4b7d-b3ce-99ff59f089b4"},{"Id":1017852,"FileId":7831,"ContinuationId":"TextSelection_5038846","Sequence":94,"PageIdentifier":"14f92b7c-6b92-4b7d-b3ce-99ff59f089b4"},{"Id":1017853,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038846_1","Sequence":94,"PageIdentifier":"14f92b7c-6b92-4b7d-b3ce-99ff59f089b4"},{"Id":1017854,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038844_3","Sequence":94,"PageIdentifier":"14f92b7c-6b92-4b7d-b3ce-99ff59f089b4"},{"Id":1017855,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038843_3","Sequence":94,"PageIdentifier":"14f92b7c-6b92-4b7d-b3ce-99ff59f089b4"},{"Id":1017874,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_33","Sequence":94,"PageIdentifier":"14f92b7c-6b92-4b7d-b3ce-99ff59f089b4"},{"Id":1017875,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038843_2","Sequence":94,"PageIdentifier":"14f92b7c-6b92-4b7d-b3ce-99ff59f089b4"},{"Id":1017872,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038845_3","Sequence":94,"PageIdentifier":"14f92b7c-6b92-4b7d-b3ce-99ff59f089b4"},{"Id":1017856,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038844_4","Sequence":95,"PageIdentifier":"00876a52-59c9-4884-9205-c91a7b611377"},{"Id":1017857,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038843_4","Sequence":95,"PageIdentifier":"00876a52-59c9-4884-9205-c91a7b611377"},{"Id":1017858,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_34","Sequence":95,"PageIdentifier":"00876a52-59c9-4884-9205-c91a7b611377"},{"Id":1017859,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_35","Sequence":95,"PageIdentifier":"00876a52-59c9-4884-9205-c91a7b611377"},{"Id":1017860,"FileId":7831,"ContinuationId":"TextSelection_5038847","Sequence":95,"PageIdentifier":"00876a52-59c9-4884-9205-c91a7b611377"},{"Id":1017861,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038847_1","Sequence":95,"PageIdentifier":"00876a52-59c9-4884-9205-c91a7b611377"},{"Id":1017862,"FileId":7831,"ContinuationId":"TextSelection_5038947","Sequence":95,"PageIdentifier":"00876a52-59c9-4884-9205-c91a7b611377"},{"Id":1017863,"FileId":7831,"ContinuationId":"TextSelection_5038968","Sequence":95,"PageIdentifier":"00876a52-59c9-4884-9205-c91a7b611377"},{"Id":1017864,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038947_1","Sequence":95,"PageIdentifier":"00876a52-59c9-4884-9205-c91a7b611377"},{"Id":1017865,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038968_1","Sequence":95,"PageIdentifier":"00876a52-59c9-4884-9205-c91a7b611377"},{"Id":1017866,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_36","Sequence":95,"PageIdentifier":"00876a52-59c9-4884-9205-c91a7b611377"},{"Id":1017867,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038947_2","Sequence":95,"PageIdentifier":"00876a52-59c9-4884-9205-c91a7b611377"},{"Id":1017868,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038844_5","Sequence":95,"PageIdentifier":"00876a52-59c9-4884-9205-c91a7b611377"},{"Id":1017869,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038843_5","Sequence":95,"PageIdentifier":"00876a52-59c9-4884-9205-c91a7b611377"},{"Id":1017870,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038947_3","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017871,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038844_6","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017898,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_37","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017899,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_38","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017900,"FileId":7831,"ContinuationId":"TextSelection_5038899","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017873,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038843_6","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017922,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_39","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017923,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038932_1","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017924,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038931_1","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017925,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038930_1","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017926,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038947_4","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017927,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038844_7","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017928,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038843_7","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017929,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038843_8","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017930,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038844_8","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017931,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038899_1","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017932,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038947_5","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017933,"FileId":7831,"ContinuationId":"TextSelection_5038932","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017934,"FileId":7831,"ContinuationId":"TextSelection_5038930","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017935,"FileId":7831,"ContinuationId":"TextSelection_5038952","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017937,"FileId":7831,"ContinuationId":"TextSelection_5038943","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017938,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038929_1","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017939,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038943_1","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017940,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038952_1","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017941,"FileId":7831,"ContinuationId":"TextSelection_5038931","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017942,"FileId":7831,"ContinuationId":"TextSelection_5038850","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017943,"FileId":7831,"ContinuationId":"TextSelection_5038849","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017944,"FileId":7831,"ContinuationId":"TextSelection_5038848","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017945,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038848_1","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017946,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038849_1","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017947,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038850_1","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017948,"FileId":7831,"ContinuationId":"TextSelection_5038929","Sequence":96,"PageIdentifier":"d776e062-6cad-4fca-a665-9fb4f831cb36"},{"Id":1017901,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_40","Sequence":97,"PageIdentifier":"531153d3-485c-430e-9b6f-f0bfd11b317e"},{"Id":1017902,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_41","Sequence":97,"PageIdentifier":"531153d3-485c-430e-9b6f-f0bfd11b317e"},{"Id":1017903,"FileId":7831,"ContinuationId":"TextSelection_5038876","Sequence":97,"PageIdentifier":"531153d3-485c-430e-9b6f-f0bfd11b317e"},{"Id":1017904,"FileId":7831,"ContinuationId":"TextSelection_5038851","Sequence":97,"PageIdentifier":"531153d3-485c-430e-9b6f-f0bfd11b317e"},{"Id":1017905,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038851_1","Sequence":97,"PageIdentifier":"531153d3-485c-430e-9b6f-f0bfd11b317e"},{"Id":1017906,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038876_1","Sequence":97,"PageIdentifier":"531153d3-485c-430e-9b6f-f0bfd11b317e"},{"Id":1017907,"FileId":7831,"ContinuationId":"TextSelection_5038852","Sequence":97,"PageIdentifier":"531153d3-485c-430e-9b6f-f0bfd11b317e"},{"Id":1017908,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038852_1","Sequence":97,"PageIdentifier":"531153d3-485c-430e-9b6f-f0bfd11b317e"},{"Id":1017909,"FileId":7831,"ContinuationId":"TextSelection_5038928","Sequence":97,"PageIdentifier":"531153d3-485c-430e-9b6f-f0bfd11b317e"},{"Id":1017910,"FileId":7831,"ContinuationId":"TextSelection_5038853","Sequence":97,"PageIdentifier":"531153d3-485c-430e-9b6f-f0bfd11b317e"},{"Id":1017911,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038853_1","Sequence":97,"PageIdentifier":"531153d3-485c-430e-9b6f-f0bfd11b317e"},{"Id":1017912,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038928_1","Sequence":97,"PageIdentifier":"531153d3-485c-430e-9b6f-f0bfd11b317e"},{"Id":1017913,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038955_2","Sequence":97,"PageIdentifier":"531153d3-485c-430e-9b6f-f0bfd11b317e"},{"Id":1017914,"FileId":7831,"ContinuationId":"TextSelection_5038830","Sequence":97,"PageIdentifier":"531153d3-485c-430e-9b6f-f0bfd11b317e"},{"Id":1017915,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_42","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017916,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_43","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017917,"FileId":7831,"ContinuationId":"TextSelection_5038856","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017918,"FileId":7831,"ContinuationId":"TextSelection_5038855","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017919,"FileId":7831,"ContinuationId":"TextSelection_5038854","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017920,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038854_1","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017921,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038855_1","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017647,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038856_1","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017786,"FileId":7831,"ContinuationId":"TextSelection_5038859","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017787,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038858_1","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017788,"FileId":7831,"ContinuationId":"TextSelection_5038858","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017789,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038866_1","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017790,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038946_1","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017791,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038956_1","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017792,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038857_1","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017793,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038900_1","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017794,"FileId":7831,"ContinuationId":"TextSelection_5038900","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017795,"FileId":7831,"ContinuationId":"TextSelection_5038857","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017796,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038859_1","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017771,"FileId":7831,"ContinuationId":"TextSelection_5038866","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017772,"FileId":7831,"ContinuationId":"TextSelection_5038946","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017773,"FileId":7831,"ContinuationId":"TextSelection_5038956","Sequence":98,"PageIdentifier":"2e557887-740d-4175-92f4-bdf6ae7e88a7"},{"Id":1017785,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_44","Sequence":106,"PageIdentifier":"9770ea47-c445-4436-aad2-2786288cc0e9"},{"Id":1017778,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038835_1","Sequence":107,"PageIdentifier":"5e3893c3-9df4-4d81-8f87-8434e9e41e10"},{"Id":1017779,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038955_4","Sequence":107,"PageIdentifier":"5e3893c3-9df4-4d81-8f87-8434e9e41e10"},{"Id":1017780,"FileId":7831,"ContinuationId":"TextSelection_5038949","Sequence":107,"PageIdentifier":"5e3893c3-9df4-4d81-8f87-8434e9e41e10"},{"Id":1017781,"FileId":7831,"ContinuationId":"TextSelection_5038835","Sequence":107,"PageIdentifier":"5e3893c3-9df4-4d81-8f87-8434e9e41e10"},{"Id":1017782,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038955_3","Sequence":107,"PageIdentifier":"5e3893c3-9df4-4d81-8f87-8434e9e41e10"},{"Id":1017783,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_45","Sequence":107,"PageIdentifier":"5e3893c3-9df4-4d81-8f87-8434e9e41e10"},{"Id":1017776,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038949_1","Sequence":108,"PageIdentifier":"20a04b27-842f-4a81-a267-bd478aab0451"},{"Id":1017777,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_46","Sequence":108,"PageIdentifier":"20a04b27-842f-4a81-a267-bd478aab0451"},{"Id":1017774,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_48","Sequence":111,"PageIdentifier":"772ec21a-f8db-4f60-ba33-702483ee5769"},{"Id":1017775,"FileId":7831,"ContinuationId":"TextSelectionAppend_5040546_47","Sequence":111,"PageIdentifier":"772ec21a-f8db-4f60-ba33-702483ee5769"},{"Id":1017848,"FileId":7831,"ContinuationId":"TextSelection_5038941","Sequence":111,"PageIdentifier":"772ec21a-f8db-4f60-ba33-702483ee5769"},{"Id":1018051,"FileId":7831,"ContinuationId":"TextSelectionAppend_5038941_1","Sequence":111,"PageIdentifier":"772ec21a-f8db-4f60-ba33-702483ee5769"}];

  $scope.initIframe = function()
  {
    $scope.initDocumentViewer();
    $scope.getAllPresentation();
    $scope.getAllCalculation();
    $scope.getAllDefinition();
    $scope.getAllMandatoryTag();
    $scope.getTextblockMetrics();
    $scope.getDocumentViewerDetail();
  };

  $scope.getDocumentViewerDetail = function()
  {
    $scope.documentDetail = $scope.viewerData[0];
    $scope.getAllFact(true);
  };

  $scope.getAllFact = function(isInitializeTable)
  {
    $scope.isGridLoading = true;
    $scope.factLists = [];
    $scope.isGridLoading = false;
    $scope.factLists = $scope.factData;
    if(isInitializeTable) {
      $timeout(function() {
        $scope.initTableWithSearch();
      }, 2000);
    }
  };

  $scope.initTableWithSearch = function()
  {
    var table = $('#viewerTable');

    var settings = {
        "sDom": "<t><'row'<p i>>",
        "destroy": true,
        "scrollCollapse": true,
        "oLanguage": {
            "sLengthMenu": "_MENU_ ",
            "sInfo": "Showing <b>_START_ to _END_</b> of _TOTAL_ entries"
        },
        "iDisplayLength": 1000,
        "scrollY": "18vh",
        "scrollX": true,
        "ordering": false,
        "paging": false,
        "info": false,
        fixedColumns: true
    };

    table.dataTable(settings);
    
    var iframe1 = $('.iframe').contents();
    $('#search-element').on( 'keyup', function () {
      $scope.filterData = [];
      var val = $(this).val();
      gridElmSearch(2, val);
    } );

    $('#search-value').on( 'keyup', function () {
      $scope.filterData = [];
      var val = $(this).val();
      gridElmSearch(3, val);
    } );

    $('#search-unit').on( 'keyup', function () {
      $scope.filterData = [];
      var val = $(this).val();
      gridElmSearch(5, val);
    } );

    $('#search-period').on( 'keyup', function () {
      $scope.filterData = [];
      var val = $(this).val();
      gridElmSearch(6, val);
    } );

    $('#search-scale').on( 'keyup', function () {
      $scope.filterData = [];
      var val = $(this).val();
      gridElmSearch(7, val);
    } );

    $('#search-decimal').on( 'keyup', function () {
      $scope.filterData = [];
      var val = $(this).val();
      gridElmSearch(8, val);
    } );

    $('#search-axis').on( 'keyup', function () {
      $scope.filterData = [];
      var val = $(this).val();
      gridElmSearch(9, val);
    } );

    $('#search-member').on( 'keyup', function () {
      $scope.filterData = [];
      var val = $(this).val();
      gridElmSearch(10, val);
    } );

    $('#filterExactMatch').on( 'change', function () {
      var colvalue1 = $("#search-element").val();
      if(colvalue1 != "") {
        gridElmSearch(2, colvalue1);
      }
      var colvalue2 = $("#search-value").val();
      if(colvalue2 != "") {
        gridElmSearch(3, colvalue2);
      }
      var colvalue3 = $("#search-unit").val();
      if(colvalue3 != "") {
        gridElmSearch(5, colvalue3);
      }
      var colvalue4 = $("#search-period").val();
      if(colvalue4 != "") {
        gridElmSearch(6, colvalue4);
      }
      var colvalue5 = $("#search-scale").val();
      if(colvalue5 != "") {
        gridElmSearch(6, colvalue5);
      }
      var colvalue6 = $("#search-decimal").val();
      if(colvalue6 != "") {
        gridElmSearch(8, colvalue6);
      }
      var colvalue7 = $("#search-axis").val();
      if(colvalue7 != "") {
        gridElmSearch(9, colvalue7);
      }
      var colvalue8 = $("#search-member").val();
      if(colvalue8 != "") {
        gridElmSearch(10, colvalue8);
      }
    });

    function gridElmSearch(col, val) {
      if(col == 3 || col == 7 || col == 8) {
        if($scope.filter.exactMatch) {
          //var regex = '\\b' + val + '\\b';
          var regex = '(?:^|[^-\\w])('+val+')(?:[^-\\w]|$)';
          $('#viewerTable').DataTable().column( col ).search(regex, true, false).draw();
        } else {
          $('#viewerTable').DataTable().column( col ).search(val).draw();
        }
      } else {
          if(val.length >= 3) {
            if($scope.filter.exactMatch) {
              //var regex = '\\b' + val + '\\b';
              var regex = '(?:^|[^-\\w])('+val+')(?:[^-\\w]|$)';
              $('#viewerTable').DataTable().column( col ).search(regex, true, false).draw();
            } else {
              $('#viewerTable').DataTable().column( col ).search(val).draw();
            }
          } else if(val == "") {
            $('#viewerTable').DataTable().column( col ).search("").draw();
          }
      }
 
      filterFocusedElem();
    };

    function filterFocusedElem() {
      $scope.triggerFocused = false;
      iframe1.find(".org-ixbrl-focused-element").each(function() {
        $scope.findAllTags($(this), "#FFFF00");
        iframe1.find(".continuation").each(function() {
          $scope.findAllTags($(this), "#FFFF00");
        });
        iframe1.find(".org-ixbrl-focused-element").removeClass("org-ixbrl-focused-element");
      });

      angular.forEach($scope.filterData, function(obj, key) {
        var selector = '[name="'+obj.fact_name+'"]';
          if(key == 0) {
            var keepGoing = true;
            angular.forEach($scope.factLists, function(factObj, factKey) {
              if(keepGoing) {
                if(factObj.TagName == obj.fact_name && factObj.ContextRef == obj.context_ref) {
                  $scope.handleGridClick(factObj.ElementIdentifier, factObj.TagName, factObj.ContextRef, factObj.PageIdentifier, factObj.IsHiddenElement);
                  keepGoing = false;
                  return false;
                }
              }  
            });
          } 
      });

    };

    $("#show-search-option").on("click", function() {
      $(".card-search").toggleClass("hide", 500);
      var name = $(this).children().attr("class");
      if(name === "fa fa-search") {
        $(this).children().removeClass("fa fa-search");
        $(this).children().addClass("fa fa-close");
      } else {
        $(".search-input").val('');
        $('#viewerTable').DataTable().search( '' ).columns().search( '' ).draw();
        $(this).children().removeClass("fa fa-close");
        $(this).children().addClass("fa fa-search");
        var iframe1 = $('#inlineviewer').contents();
        iframe1.find(".org-ixbrl-focused-element").each(function() {
          // iframe1.find(".org-ixbrl-focused-element").removeAttr("style");
          // iframe1.find(".org-ixbrl-focused-element").attr("style", "background-color:#FFFF00"); //Yellow Color
          $scope.findAllTags($(this), "#FFFF00");
          iframe1.find(".continuation").each(function() {
            $scope.findAllTags($(this), "#FFFF00");
          });
          iframe1.find(".org-ixbrl-focused-element").removeClass("org-ixbrl-focused-element");
        });
      }
    });
    
    $('#viewerTable').DataTable().on('search.dt', function() {
     $scope.filterData = [];
     if($('#search-element').val() !== "" || $('#search-value').val() !== "" || $('#search-unit').val() !== "" || $('#search-period').val() !== "" 
      || $('#search-scale').val() !== "" || $('#search-decimal').val() !== "" || $('#search-axis').val() !== "" || $('#search-member').val() !== "") {
      var dataArray = $('#viewerTable').DataTable().column( 1, { filter : 'applied'} ).data();
       angular.forEach(dataArray, function(obj, key) {
         var data = $.parseHTML(obj);
         console.log(data);
         $scope.filterData.push({'fact_name': data[6].innerText, 'context_ref': data[8].innerText});
       });
     }
    });
    
    if($scope.factLists.length > 0) {
      $scope.getFactDetail($scope.factLists[0].ElementIdentifier, $scope.factLists[0].TagName, $scope.factLists[0].ContextRef);
    }

  };

  $scope.getFactDetail = function(uniqueIdentifier, factName, contextRef)
  {
    angular.forEach($scope.factLists, function(obj, key) {
      if(obj.ElementIdentifier == uniqueIdentifier) {
        // $scope.$apply(function () {
        //   $scope.factDetail = obj;
        // });
        $timeout(function() {
          $scope.factDetail = obj;
          $scope.selectedName = obj.TagName;
          $scope.selectedContextRef = obj.ContextRef;
          $scope.selectedUniqueIdentifier = obj.ElementIdentifier;
          $scope.getContinuationTags($scope.factDetail);
          $scope.viewCalculationAndDefinitionDataInFactProperties();
          $(".loading-overlay").removeClass("is-active");
        }, 1000);
      }
    });
  };

  $scope.viewCalculationAndDefinitionDataInFactProperties = function() {
    $scope.factDetail.calculations = [];
    $scope.factDetail.definitions = [];
    $scope.factDetail.calcualtionName = "";
    $scope.factDetail.definitionParentName = "";
    $scope.factDetail.definitionSubParentName = "";
    var calcualtionParentId = "";
      angular.forEach($scope.calculationData, function(obj, key) {
          if($scope.factDetail.TagName == obj.Name) {
            $scope.factDetail.calcualtionName = $scope.factDetail.TagName;
            calcualtionParentId = obj.Id;
            return false;
          }
      });
    if(calcualtionParentId != "") {
      angular.forEach($scope.calculationData, function(obj, key) {
          if(calcualtionParentId == obj.ParentId) {
            $scope.factDetail.calculations.push(obj.Name);
          }
      });
    }
    
    if($scope.factDetail.IsExtendedElement) {
      var anchoringParentId = "";
      var anchoringSubParentId = "";
      angular.forEach($scope.definitionData, function(obj, key) {
          if($scope.factDetail.TagName == obj.Name) {
            $scope.factDetail.definitionSubParentName = obj.Name;
            anchoringSubParentId = obj.Id;
            anchoringParentId = obj.ParentId;
            return false;
          }
      });
      if($scope.factDetail.definitionSubParentName != "" && anchoringParentId != "") {
        angular.forEach($scope.definitionData, function(obj, key) {
            if(anchoringParentId == obj.Id) {
              $scope.factDetail.definitionParentName = obj.Name;
              return false;
            }
        });
      }
      if(anchoringSubParentId != "") {
        angular.forEach($scope.definitionData, function(obj, key) {
            if(anchoringSubParentId == obj.ParentId) {
              $scope.factDetail.definitions.push(obj);
            }
        });
      }
    }
  };

  $scope.getAllPresentation = function()
  {
      $scope.presentations = $scope.presentationData;
      $timeout(function() {
        $scope.initPresentationTable();
      }, 1000);
  };

  $scope.getAllCalculation = function()
  {
      $scope.calculations = $scope.calculationData;
      $scope.periods = $scope.periodData;
      $scope.period_values = $scope.periodValueData;
      $timeout(function() {
        $scope.initCalculationTable();
      }, 1000);
  };

  $scope.getAllDefinition = function()
  {
      $scope.definitions = $scope.definitionData;
      $timeout(function() {
        $scope.initDefinitionTable();
      }, 1000);
  };

  $scope.getAllMandatoryTag = function()
  {
    $scope.mandatoryTags = $scope.mandatoryData;
      $timeout(function() {
        $scope.initMandatoryTable(); 
      }, 1000);
  };

  $scope.initPresentationTable = function()
  {
    var table = $('#presentationTable');

    var settings = {
        "sDom": "<t><'row'<p i>>",
        "destroy": true,
        "scrollCollapse": true,
        "oLanguage": {
            "sLengthMenu": "_MENU_ ",
            "sInfo": "Showing <b>_START_ to _END_</b> of _TOTAL_ entries"
        },
        "iDisplayLength": 1000,
        "scrollY": "25vh",
        "ordering": false
    };

    $("#presentationTable").agikiTreeTable({persist: true, persistStoreName: "files"});
  };

  $scope.initCalculationTable = function()
  {
    var table = $('#calculationTable');

    var settings = {
        "sDom": "<t><'row'<p i>>",
        "destroy": true,
        "scrollCollapse": true,
        "oLanguage": {
            "sLengthMenu": "_MENU_ ",
            "sInfo": "Showing <b>_START_ to _END_</b> of _TOTAL_ entries"
        },
        "iDisplayLength": 1000,
        "scrollY": "25vh",
        "ordering": false
    };

    $("#calculationTable").agikiTreeTable({persist: true, persistStoreName: "files"});
  };

  $scope.initDefinitionTable = function()
  {
    var table = $('#definitionTable');

    var settings = {
        "sDom": "<t><'row'<p i>>",
        "destroy": true,
        "scrollCollapse": true,
        "oLanguage": {
            "sLengthMenu": "_MENU_ ",
            "sInfo": "Showing <b>_START_ to _END_</b> of _TOTAL_ entries"
        },
        "iDisplayLength": 1000,
        "scrollY": "25vh",
        "ordering": false
    };

    $("#definitionTable").agikiTreeTable({persist: true, persistStoreName: "files"});
  };

  $scope.initMandatoryTable = function()
  {
    var table = $('#mandatoryTable');

    var settings = {
        "sDom": "<t><'row'<p i>>",
        "destroy": true,
        "scrollCollapse": true,
        "oLanguage": {
            "sLengthMenu": "_MENU_ ",
            "sInfo": "Showing <b>_START_ to _END_</b> of _TOTAL_ entries"
        },
        "iDisplayLength": 1000,
        "scrollY": "25vh",
        "ordering": false
    };

    //table.dataTable(settings);
    $("#mandatoryTable").agikiTreeTable({persist: true, persistStoreName: "files"});
  };

  $scope.handleGridClick = function(_uniqueIdentifier, _name, _contextRef, _pageIdentifier, _isHidden)
  {
    if(_isHidden == "1") {
      $('#factPropertyHeadline').pgNotification({
        message: 'Hidden element can\'t be located in the document',
        position: 'left',
        timeout: 3000,
        type: 'info'
      }).show();
    }

    
    var isScrollToView = true;
    $scope.selectedName = _name;
    $scope.selectedContextRef = _contextRef;
    $scope.selectedUniqueIdentifier = _uniqueIdentifier;
    if(_isHidden != "1")
    {
      $scope.scrollToView();
    }
    
    $scope.getFactDetail(_uniqueIdentifier, _name, _contextRef);
  };

  $scope.getNextOrPreviousFactDetail = function(isNext)
  {
    var sequence = $scope.factDetail.Sequence;
    if(isNext) {
      sequence = sequence + 1;
    } else {
      sequence = sequence - 1;
    }

    angular.forEach($scope.factLists, function(obj, key) {
      if(obj.Sequence == sequence) {
        $scope.factDetail = obj;
        $scope.getContinuationTags($scope.factDetail);
        $scope.viewCalculationAndDefinitionDataInFactProperties();
        $scope.selectedName = $scope.factDetail.TagName;
        $scope.selectedContextRef = $scope.factDetail.ContextRef;
        $scope.selectedUniqueIdentifier = $scope.factDetail.ElementIdentifier;
        var _pageIdentifier = $scope.factDetail.PageIdentifier;
        if(!$scope.factDetail.IsHiddenElement)
        {
          $scope.scrollToView();

          $scope.highlightTextBlockingElement(iframe);
        }
      }
    });
  };

  $scope.applyHighlight = function(child, color) {
    child.css({'background-color': color})
  };

  $scope.findAllTags = function(children, color) {
    if (typeof children == "undefined" || children.length === 0) {
      return;
    }
    children.each(function(){
      var child = $(this);
      if (child.children().length > 0) {
        $scope.findAllTags(child.children(), color);
      }
      $scope.applyHighlight(child, color);
    });
  };

  $scope.highlightExcludeTags = function(children) {
    if (typeof children == "undefined" || children.length === 0) {
      return;
    }
    children.each(function() {
      var child = $(this);
      if (child.children().length > 0) {
        $scope.highlightExcludeTags(child.children());
      }
      child.css({'border': '2px dotted red', 'z-index': '9999'});
    });
  };
  
  var continuationTags = [];
  var continuationIdentifiers = [];
  $scope.initDocumentViewer = function()
  {
    var docLoadingNotification = $('#factPropertyHeadline').pgNotification({
      style: 'circle',
      title: 'Document is loading...',
      message: 'Viewer is preparing the document',
      position: 'right',
      timeout: 0,
      type: 'success'
    });
    docLoadingNotification.show();

    var iframe1 = $('#inlineviewer').contents();
    $('#page-container').on('click', '.org-ixbrl-element', function(e) {

        $scope.hideContinuationTagModal();

        if($(this).children()[0].tagName.toLowerCase() === "ix:continuation") {
          $scope.highlightContinuationTags($(this), iframe1);
          return false;
        }

        var name = $(this).children().attr("name");
        var contextRef = $(this).children().attr("contextref");
        var uniqueIdentifier = $(this).attr("id");
        if($(this).attr('class') == "org-ixbrl-element org-ixbrl-selected-element") {
          $(this).css({'background-color': '#FFFF00','cursor': 'pointer'});
          $scope.findAllTags($(this), "#FFFF00");
          iframe1.find(".continuation").each(function() {
            $(this).children().css({'background-color': '#FFFF00','cursor': 'pointer'});
            $scope.findAllTags($(this), "#FFFF00");
          });
          $(this).removeClass("org-ixbrl-selected-element");
        } else {
          iframe1.find(".org-ixbrl-selected-element").each(function() {
            $scope.findAllTags($(this), "#FFFF00");
          });
          iframe1.find(".continuation").each(function() {
            $(this).children().css({'background-color': '#FFFF00','cursor': 'pointer'});
            $scope.findAllTags($(this), "#FFFF00");
          });
          iframe1.find(".org-ixbrl-selected-element").removeClass("org-ixbrl-selected-element");
          iframe1.find(".org-ixbrl-focused-element").css({'background-color': 'orange','cursor': 'pointer'});

          //highlight TextBlock OFF Condition
          if(!$scope.filter.highlightTextBlock) {
            $scope.textBlockOff(iframe1);
          } 

          $(this).addClass("org-ixbrl-selected-element");
          iframe1.find(".org-ixbrl-selected-element").each(function() {
            $scope.findAllTags($(this), "greenyellow");
          });
          $scope.highlightAppendTag(iframe1, uniqueIdentifier);
        }

        var openContinuationTagModal = true;
        $scope.getFactDetail(uniqueIdentifier, name, contextRef, openContinuationTagModal);
        e.stopPropagation();

      });

      $("#page-container").attr("style", "overflow: revert;margin-top: -15px");
      iframe1.find(".org-ixbrl-element").each(function() {
        $scope.findAllTags($(this), "#FFFF00");
      });

      iframe1.find(".exclude").each(function() {
        $(this).css({'border': '2px dotted red', 'z-index': '9999'});
        $scope.highlightExcludeTags($(this));
      });

      //Get continuation tag ids
      $scope.getAllContinuationTags();
      $scope.getAllContinuationIdentifiers();
  };

  $scope.getAllContinuationTags = function() {
      var iframe1 = $('#inlineviewer').contents();
      iframe1.find(".org-ixbrl-element").each(function() {
        if($(this).children().hasClass("non-numberic")) {
          var listOfAppendTags = [];
          var isAppendTag = false;
          var isLowerCaseAttr = false;
          if($(this).children().attr("continuedat")) {
            isLowerCaseAttr = true;
            isAppendTag = true;
          } else if($(this).children().attr("continuedAt")) {
            isLowerCaseAttr = false;
            isAppendTag = true;
          }

          if(isAppendTag)
          {
            var attrName = isLowerCaseAttr ? "continuedat" : "continuedAt";
            var name = $(this).children().attr("name");
            var contextRef = $(this).children().attr("contextref");
            var uniqueIdentifier = $(this).attr("id");
            listOfAppendTags.push($(this).children().attr(attrName));
            var continuedAt = $(this).children().attr(attrName);
            var isTextBlock = $(this).children().attr("escape");
            while(true)
            {
              var elem = iframe1.find("#" + continuedAt);
              if(!elem.attr(attrName)) {
              break;
              }

              continuedAt = elem.attr(attrName);
              listOfAppendTags.push(continuedAt);
            }

            if(name != "" && contextRef != "" && uniqueIdentifier != "") {
                continuationTags.push(
                  {
                   'tag_detail': {'name': name, 'context_ref': contextRef, 'unique_identifier' : uniqueIdentifier, 'is_text_block' : isTextBlock},
                   'continuation_ids': listOfAppendTags
                  });
            }
          }
        }
      });
  };

  $scope.getAllContinuationIdentifiers = function() {
    continuationIdentifiers = $scope.continuationData;
  };

  $scope.scrollToView = function()
  {
    $('.fp-element-class').css({ '-webkit-box-orient' : 'vertical'});
    var iframe1 = $('#inlineviewer').contents();
    iframe1.find(".org-ixbrl-selected-element").css({'background-color': '#FFFF00','cursor': 'pointer'});
    iframe1.find(".org-ixbrl-selected-element").removeClass("org-ixbrl-selected-element");

    iframe1.find(".org-ixbrl-element").each(function() {
      $scope.findAllTags($(this), "#FFFF00");
    });

    iframe1.find(".exclude").each(function() {
      $(this).css({'border': '2px dotted red', 'z-index': '9999'});
      $scope.highlightExcludeTags($(this));
    });
    
    $scope.highlightSearchText(iframe1);

    var isNonFractionElemFound = false;
    iframe1.find(".org-ixbrl-element").each(function(index) {
      if($(this).children()[0].tagName.toLowerCase() !== "ix:continuation") {
        var name = $(this).children().attr("name");
        var contextRef = $(this).children().attr("contextref");
        var uniqueIdentifier = $(this).attr("id");
        if($scope.selectedName == name && $scope.selectedContextRef == contextRef && $scope.selectedUniqueIdentifier == uniqueIdentifier) {
          console.log("Match Found");
          if(!$(this).children().hasClass("non-numberic")) {
            isNonFractionElemFound = true;
          }
          $(this).css({'background-color': 'greenyellow','cursor': 'pointer'});
          $(this).children().css({'background-color': 'greenyellow','cursor': 'pointer'});
          $(this).addClass("org-ixbrl-selected-element");
          $(this).children().each(function() {
            $scope.findAllTags($(this), "greenyellow");
          });

          // $(this)[0].scrollIntoView({block: "center"});
          if($(this).children().children().length > 0) {
            // $(this).children().children().first()[0].scrollIntoView({block: "center"});
            var _obj = $(this).children().children().first();
            while(true) {
              if(_obj.length > 0) {
                if(_obj[0].className == "org-ixbrl-element" || _obj[0].nodeName == "IX:NONFRACTION" || _obj[0].nodeName == "IX:NONNUMERIC" || _obj[0].nodeName == "IX:CONTINUATION") {
                  _obj = _obj.children().first();
                } else {
                  _obj[0].scrollIntoView({block: "center"});
                  break;
                }
              } else {
                break;
              }
            }
          } else {
            $(this)[0].scrollIntoView({block: "center"});
          }

          return false;
        } 
      }
  
    });

    if(isNonFractionElemFound) {
      return false;
    }

    iframe1.find(".continuation").each(function() {
      $(this).css({'background-color': '#FFFF00','cursor': 'pointer'});
      $(this).children().css({'background-color': '#FFFF00','cursor': 'pointer'});
    });

    //highlight TextBlock OFF Condition
    if(!$scope.filter.highlightTextBlock) {
      $scope.textBlockOff(iframe1);
    } 

    var isNonNumbericElemFound = false;
    iframe1.find(".non-numberic").each(function() {
      // $(this).attr("style", "background-color:#FFFF00;display:inherit;cursor: pointer");
      // $(this).children().attr("style", "background-color:#FFFF00;display:inherit;cursor: pointer");
      var name = $(this).attr("name");
      var contextRef = $(this).attr("contextref");
      var uniqueIdentifier = $(this).parent().attr("id");
      if($scope.selectedName.trim() == name.trim() && $scope.selectedContextRef.trim() == contextRef.trim() && $scope.selectedUniqueIdentifier.trim() == uniqueIdentifier.trim()) {
        isNonNumbericElemFound = true;
        $(this).css({'background-color': 'greenyellow','cursor': 'pointer'});
        $(this).children().css({'background-color': 'greenyellow','cursor': 'pointer'});
        $(this).children().each(function() {
          $scope.findAllTags($(this), "greenyellow");
        });

        // $(this)[0].scrollIntoView({block: "center"});
        if($(this).children().children().length > 0) {
          // $(this).children().children().first()[0].scrollIntoView({block: "center"});
          var _obj = $(this).children().children().first();
          while(true) {
            if(_obj.length > 0) {
              if(_obj[0].className == "org-ixbrl-element" || _obj[0].nodeName == "IX:NONFRACTION" || _obj[0].nodeName == "IX:NONNUMERIC" || _obj[0].nodeName == "IX:CONTINUATION") {
                _obj = _obj.children().first();
              } else {
                _obj[0].scrollIntoView({block: "center"});
                break;
              }
            } else {
              break;
            }
          }
        } else {
          $(this)[0].scrollIntoView({block: "center"});
        }

        return false;
      } 
    });

    if(isNonNumbericElemFound) {
      iframe1.find("#"+$scope.selectedUniqueIdentifier).find(".non-numberic, .org-ixbrl-element, .continuation").css({'background-color': 'greenyellow','cursor': 'pointer'});
      iframe1.find("#"+$scope.selectedUniqueIdentifier).find(".non-numberic, .org-ixbrl-element, .continuation").children().css({'background-color': 'greenyellow','cursor': 'pointer'});
    }

    $scope.highlightAppendTag(iframe1, $scope.selectedUniqueIdentifier);
    
    $scope.triggerFocused = false;
    $scope.triggerFocusedElement = "";
    
  };

  $scope.highlightSearchText = function(iframe1) {
    if($scope.triggerFocused) {
      var selector = '[name="'+$scope.triggerFocusedElement+'"]';
      iframe1.find(selector).each(function() {
        // $(this).parent().attr("style", "background-color:orange;cursor: pointer");
        $scope.findAllTags($(this), "orange");
        $(this).parent().addClass("org-ixbrl-focused-element"); 
      });
    } else {
      angular.forEach($scope.filterData, function(obj, key) {
        var selector = '[name="'+obj.fact_name+'"]';
         iframe1.find(selector).each(function() {
          var contextRef = $(this).attr("contextref");
          if(contextRef == obj.context_ref) {
            // $(this).parent().attr("style", "background-color:orange;cursor: pointer");
            $scope.findAllTags($(this), "orange");
            $(this).parent().addClass("org-ixbrl-focused-element"); 
          }
        });
      }); 
    }
  };

  // $scope.toggleCollapse = function()
  // {
  //   if($(".card-advance").hasClass("card-collapsed")) {
  //     $(".card-advance").removeClass("card-collapsed");
  //     $(".card-collapse").find('i').addClass("pg-arrow_maximize");
  //     $(".card-collapse").find('i').removeClass("pg-arrow_minimize");
  //     $(".card-advance").find(".card-body").removeAttr("style", "display:none");
  //     $("#iframeId").attr("style", "height:70vh;width:100% !important;margin-left: -7px;");
  //     $(".card-fact-properities").attr("style", "height:64vh;overflow-y: scroll;width: 105%");
  //     $(".card-maximize-tab").attr("style", "height:20vh;position: relative;bottom: 0px;");
  //     $(".card-maximize-tab").removeClass("card-maximized");

  //   } else {
  //     $(".card-advance").addClass("card-collapsed");
  //     $(".card-collapse").find('i').removeClass("pg-arrow_maximize");
  //     $(".card-collapse").find('i').addClass("pg-arrow_minimize");
  //     $(".card-advance").find(".card-body").attr("style", "display:none");
  //     $("#iframeId").attr("style", "height:50vh;width:100% !important;margin-left: -7px;");
  //     $(".card-fact-properities").attr("style", "height:44vh;overflow-y: scroll;width: 105%");
  //     $(".card-maximize-tab").attr("style", "height:40vh;position: relative;bottom: 0px;");
  //     $(".card-maximize-tab").removeClass("card-maximized");
  //   }
  // };

  $scope.toggleMaximize = function()
  {
    if($(".card-maximize-tab").hasClass("card-maximized")) {
      $(".card-maximize-tab").removeClass("card-maximized");
      $(".card-maximize-tab").removeAttr("style");
      $(".card-icon-maximize").removeClass("pg-fullscreen_restore");
      $(".card-icon-maximize").addClass("pg-fullscreen");
      $(".card-maximize-tab").attr("style", "height:30vh");
      $(".dataTables_scrollBody").attr("style", "position: relative;overflow: auto;max-height: 18vh;width: 100%;");
      $(".presentation_scrollBody").attr("style", "position: relative;bottom: 18px;height: 25vh");
      $(".calculation_scrollBody").attr("style", "position: relative;bottom: 18px;height: 25vh");
      $(".definition_scrollBody").attr("style", "position: relative;bottom: 18px;height: 25vh");
      $(".mandatory_scrollBody").attr("style", "position: relative;bottom: 18px;height: 25vh");
    } else {
      $(".card-maximize-tab").addClass("card-maximized");
      $(".card-maximize-tab").attr("style", "left: 0px; top: 95px; overflow: scroll");
      $(".card-icon-maximize").addClass("pg-fullscreen_restore");
      $(".card-icon-maximize").removeClass("pg-fullscreen");
      $(".dataTables_scrollBody").attr("style", "position: relative;overflow: auto;max-height: 55vh;width: 100%;");
      $(".presentation_scrollBody").attr("style", "position: relative;bottom: 18px;height: 55vh");
      $(".calculation_scrollBody").attr("style", "position: relative;bottom: 18px;height: 55vh");
      $(".definition_scrollBody").attr("style", "position: relative;bottom: 18px;height: 55vh");
      $(".mandatory_scrollBody").attr("style", "position: relative;bottom: 18px;height: 55vh");
    }
  };


  $scope.iframeSize = 1.0;
  $scope.iframeZoom = function(isZoom) {
    if(isZoom) {
      $scope.iframeSize = $scope.iframeSize + 0.1;
    } else {
      $scope.iframeSize = $scope.iframeSize - 0.1;
    }
    // $("#page-container").attr("style", "zoom: "+$scope.iframeSize);
    $("#page-container").attr("style", "zoom: "+$scope.iframeSize+";overflow:revert;margin-top: -15px;");
    return false;
  };


  // $scope.triggerAFV = function(gridObj)
  // {
  //   if(gridObj.parent_id == "")
  //     return true;
    
  //   var factName = gridObj.Name;
  //   $scope.filter.exactMatch = true;
  //   var regex = '\\b' + factName + '\\b';
  //   $('#viewerTable').DataTable().column( 1 ).search(
  //   regex, true, false
  //   ).draw();

  //   var keepGoing = true;
  //   angular.forEach($scope.factLists, function(obj, key) {
  //     if(keepGoing) {
  //       if(obj.TagName == factName) {
  //         $scope.triggerFocused = true;
  //         $scope.triggerFocusedElement = factName;
  //         $scope.handleGridClick(obj.ElementIdentifier, obj.TagName, obj.ContextRef, obj.PageIdentifier, obj.IsHiddenElement);
  //         keepGoing = false; 
  //       }
  //     }  
  //   });

  //   this.$apply($scope.triggerAFVTabClick(factName));

  // };

  $scope.triggerAFV = function(gridObj, type)
  {
    if(gridObj.ParentId == "")
      return true;
    
    $scope.filterData = [];
    var factName = gridObj.Name;
    $scope.filter.exactMatch = true;
    var parentId = gridObj.Id;
    var regex = '\\b';
    var index = 0;
    if(parentId != "") {
      var elemObj = [];
      if(type == 1) {
        elemObj = $scope.presentationData;
      } else if(type == 2) {
        elemObj = $scope.calculationData;
      } else if(type == 3) {
        elemObj = $scope.definitionData;
      }
      angular.forEach(elemObj, function(obj, key) {
          if(parentId == obj.ParentId) {
            if(index > 0) {
              regex += "|" + obj.Name ;
            } else {
              regex +=  obj.Name ;
            }
            index++;
          }
      });
    }

    if(index > 0) {
      regex += "|" + factName + '\\b';
    } else {
      regex += factName + '\\b';
    }
    console.log(regex);
    $('#viewerTable').DataTable().column( 2 ).search(
    regex, true, false
    ).draw();

    var keepGoing = true;
    angular.forEach($scope.factLists, function(obj, key) {
      if(keepGoing) {
        if(obj.TagName == factName) {
          $scope.triggerFocused = true;
          $scope.triggerFocusedElement = factName;
          $scope.handleGridClick(obj.ElementIdentifier, obj.TagName, obj.ContextRef, obj.PageIdentifier, obj.IsHiddenElement);
          keepGoing = false;
        }
      }  
    });

    this.$apply($scope.triggerAFVTabClick(factName));

  };

  $scope.tagNavigationFromMandatoryTab = function(tagObj)
  {
    var factName = tagObj.Prefix.trim() + tagObj.ElementName.trim();
   
    var keepGoing = true;
    angular.forEach($scope.factLists, function(obj, key) {
      if(keepGoing) {
        if(obj.TagName == factName) {
          $scope.handleGridClick(obj.ElementIdentifier, obj.TagName, obj.ContextRef, obj.PageIdentifier, obj.IsHiddenElement);
          keepGoing = false;
        }
      }  
    });

  };

  $scope.triggerAFVTabClick = function(factName) {
    $('#show-search-option').children().removeClass("fa fa-search");
    $('#show-search-option').children().addClass("fa fa-close");
    $("#search-element").val(factName);
    $(".card-search").removeClass("hide");
    $(".grid-filter").show();
    $('[data-target="#fact-viewer"]').trigger('click');
  };

  $scope.openReadMeModel = function()
  {
    $("#popupModal").modal('show');
  };

  $scope.highlightTextBlockingElement = function(iframe)
  {
    //to highlight the address group div's
    iframe.find(".non-numberic").each(function() {
      $(this).children().css({'background-color': '#FFFF00','cursor': 'pointer'});
    });

    iframe.find(".continuation").each(function() {
      $(this).children().css({'background-color': '#FFFF00','cursor': 'pointer'});
    });

    iframe.find(".exclude").each(function() {
      $(this).css({'border': '2px dotted red', 'z-index': '9999'});
      $scope.highlightExcludeTags($(this));
    });

  };

  $scope.iframeMaximize = function() {
    $('#iframe-panel').addClass("col-md-12");
    $('#fact-properities-panel').attr("style", "display: none");
    $('.iframe-maximize').addClass('hide');
    $('.iframe-minimize').removeClass('hide');
  };

  $scope.iframeMinimize = function() {
    $('#iframe-panel').removeClass("col-md-12");
    $('#fact-properities-panel').removeAttr("style");
    $('#fact-properities-panel').attr("style", "background-color: white;padding-left: 0px;");
    $('.iframe-minimize').addClass('hide');
    $('.iframe-maximize').removeClass('hide');
  };

  $scope.showAFV = function() {
    $("#inlineviewer").attr("style", "height:60vh;width:100% !important;overflow: scroll;");
    $('.card-maximize-tab').attr("style", "height:30vh;");
    $(".card-fact-properities").attr("style", "height:54vh;overflow-y: scroll;width: 105%");
    $('.show-afv').addClass('hide');
    $('.hide-afv').removeClass('hide');
  };

  $scope.hideAFV = function() {
    $("#inlineviewer").attr("style", "height:90vh;width:100% !important;overflow: scroll;");
    $('.card-maximize-tab').removeAttr("style");
    $('.card-maximize-tab').attr("style", "display: none");
    $(".card-fact-properities").attr("style", "height:80vh;overflow-y: scroll;width: 105%");
    $('.hide-afv').addClass('hide');
    $('.show-afv').removeClass('hide');
  };

  $scope.showReferenceModal = function(referenceName) {
    $("#referenceModal").modal('show');
    $scope.isRefPageLoading = true;
    $scope.references = [];
    var factName = referenceName.substring(referenceName.indexOf(":")+1);
    var data = [];
    angular.forEach($scope.referenceData, function(obj, key) {
      if(obj.ElementName == factName) {
        data.push(obj);
      }
    });
    $timeout(function() {
        $scope.references = data;
        $scope.isRefPageLoading = false;
    }, 1000);
  };

  $scope.expandValueText = function() {
    if( $('.fp-element-class').css('-webkit-box-orient') == 'vertical' ) {
       $('.fp-element-class').css({ '-webkit-box-orient' : 'unset'});
    } else {
       $('.fp-element-class').css({ '-webkit-box-orient' : 'vertical'});
    }
  };

  $scope.finderActivate = function() {
    finderActivate();
  };

  $scope.showCalculationModal = function(id, elementName, parentIndex) {
    $scope.calculationSummary = {};
    $scope.calculationSummary.elementName = elementName;
    $scope.calculationSummary.parentIndex = parentIndex;
    $scope.calculationSummary.periods = $scope.periods;
    $scope.calculationSummary.periodValueName = [];
    $scope.calculationSummary.periodValues = [];
    console.log($scope.periods);

    var columnIndex = 0;
    var totalPeriod = $scope.calculationSummary.periods.length;
    var name = ['Calculated', 'Mapped', 'Difference'];
    for(var i=0; i<totalPeriod; i++)
    {
      console.log("TotalPeriod=" + totalPeriod);
      var isValueExists = false;
      for(var j=0; j<3; j++)
      {
        if($scope.period_values[parentIndex][columnIndex] !== "-") {
          isValueExists = true;
        }
        columnIndex++;
  
      }

      if(!isValueExists) {
        console.log("i=" + i);
        //$scope.calculationSummary.periods.splice(i, 1);
        console.log($scope.calculationSummary.periods);

        $scope.calculationSummary.periods = jQuery.grep($scope.calculationSummary.periods, function(value) {
          return value != $scope.periods[i];
        });
      }
    }

    angular.forEach($scope.calculationSummary.periods, function(obj, key) {
      console.log(obj);
      console.log($scope.period_values[parentIndex]);
      angular.forEach($scope.periods, function(obj1, key1) {
        if(obj == obj1) {
          var columnIndex = key1 * 3;
          for(var j=0; j<3; j++)
          {
            var indexValue = $scope.period_values[parentIndex][columnIndex];
            $scope.calculationSummary.periodValues.push(indexValue);
            columnIndex++;
          }
        } 
      });
    });

    for(var i=0; i<$scope.calculationSummary.periods.length; i++) {
      $scope.calculationSummary.periodValueName = $scope.calculationSummary.periodValueName.concat(name);
    };

    //get child element calculation
    $scope.calculationSummary.directChilds = [];
    var totalCalculation = $scope.calculations.length;
    var indexValue = parentIndex + 1;
    for(var index = indexValue; index < totalCalculation; index++) {
       if($scope.calculations[index].ParentId == id) {
        var childElement = $scope.calculations[index].Name;
        var childIndex = index;
        var periods = $scope.periods;
        var childColumnIndex = 0;
          for(var i=0; i<totalPeriod; i++)
          {
            var isValueExists = false;
            for(var j=0; j<3; j++)
            {
              if($scope.period_values[index][childColumnIndex] !== "-") {
                isValueExists = true;
              }
              childColumnIndex++;
            }

            if(!isValueExists) {
              periods = jQuery.grep($scope.calculationSummary.periods, function(value) {
                return value != $scope.periods[i];
              });
            }
          }
          
          var periodValues = [];
          angular.forEach(periods, function(obj, key) {
            angular.forEach($scope.periods, function(obj1, key1) {
              if(obj == obj1) {
                var columnIndex = key1 * 3;
                for(var j=0; j<3; j++)
                {
                  var indexValue = $scope.period_values[childIndex][columnIndex];
                  periodValues.push(indexValue);
                  columnIndex++;
                }
              } 
            });
          });

          $scope.calculationSummary.directChilds.push({'childElementName': childElement, 'childIndex': childIndex, 'childPeriods': periods, 'periodValues': periodValues});
       }
    };

    // $scope.calculationSummary.elementName = elementName;
    // $scope.calculationSummary.parentIndex = parentIndex;
    // $scope.calculationSummary.periods = $scope.periods;


    console.log($scope.calculationSummary.periods);
    // console.log($scope.calculationSummary);
    $("#calculationModal").modal('show');
  };

  $scope.showParentViewElement = function() {
    var obj = document.getElementsByClassName("calculation-view");
    $.each(obj[0].children, function(index, value) {
      if(value.children.length > 0) {
        if(value.children[0].children.length > 0) {
          if(value.children[0].children[0].children.length > 0) {
            $("#calculationView"+index).removeClass("hide");
            $("#calculationView"+index).addClass("show");
          }
        }
      }

      // if(value.children[0].children[0].children.length) {
      //   $("#calculationView"+index).removeClass("hide");
      //   $("#calculationView"+index).addClass("show");
      // }
    });
  };

  $scope.highlightAppendTag = function(iframe1, selectedUniqueIdentifier) {
    //Hightlight appendtags
    var listOfAppendTags = [];
    var isAppendTag = false;
    var isLowerCaseAttr = false;
    if(iframe1.find("#" + selectedUniqueIdentifier).children().attr("continuedat")) {
      isLowerCaseAttr = true;
      isAppendTag = true;
    } else if(iframe1.find("#" + selectedUniqueIdentifier).children().attr("continuedAt")) {
      isLowerCaseAttr = false;
      isAppendTag = true;
    }
    
    if(isAppendTag)
    {
      var attrName = isLowerCaseAttr ? "continuedat" : "continuedAt";
      listOfAppendTags.push(iframe1.find("#" + selectedUniqueIdentifier).children().attr(attrName));
      var continuedAt = iframe1.find("#" + selectedUniqueIdentifier).children().attr(attrName);
      while(true)
      {
        var elem = iframe1.find("#" + continuedAt);
        if(!elem.attr(attrName)) {
          break;
        }

        continuedAt = elem.attr(attrName);
        listOfAppendTags.push(continuedAt);
      }
      
      if(listOfAppendTags.length > 0) {
        for(var i=0; i<listOfAppendTags.length; i++) {
          iframe1.find("#" + listOfAppendTags[i]).each(function() {
            $scope.findAllTags($(this), "greenyellow");
          });
        }
      }
    }
  };

  $scope.highlightContinuationTags = function(selectedNode, iframe1) {
      var continuationId = selectedNode.children().attr("id");
      var isTagFound = false;
      angular.forEach(continuationTags, function(tagObj) {
        if(isTagFound) {
          return false;
        }
        angular.forEach(tagObj.continuation_ids, function(id) {
            if(id == continuationId) {
                var tagDetail = tagObj.tag_detail;
                var openContinuationTagModal = true;
                $scope.getFactDetail(tagDetail.unique_identifier, tagDetail.name, tagDetail.context_ref, openContinuationTagModal);
                
                iframe1.find(".org-ixbrl-element").each(function() {
                  $scope.findAllTags($(this), "#FFFF00");
                });

                iframe1.find(".org-ixbrl-element").removeClass("org-ixbrl-selected-element");

                iframe1.find("#"+tagDetail.unique_identifier).addClass("org-ixbrl-selected-element");

                //highlight TextBlock OFF Condition
                if(!$scope.filter.highlightTextBlock) {
                  $scope.textBlockOff(iframe1);
                } 

                $scope.findAllTags(iframe1.find("#"+tagDetail.unique_identifier), "greenyellow");
                
                angular.forEach(tagObj.continuation_ids, function(indexId) {
                    iframe1.find("#"+indexId).addClass("org-ixbrl-selected-element");
                    $scope.findAllTags(iframe1.find("#"+indexId), "greenyellow");
                });

                // if(iframe1.find("#"+tagDetail.unique_identifier).children().children().length > 0) {
                //   iframe1.find("#"+tagDetail.unique_identifier).children().children().first()[0].scrollIntoView({block: "center"});
                // } else {
                //   iframe1.find("#"+tagDetail.unique_identifier)[0].scrollIntoView({block: "center"});
                // }
                
                isTagFound = true;
                return false;
             }
        });
      });
    };


    $scope.highlightTextBlockOnOff = function() {
      var iframe1 = $('#inlineviewer').contents();
      if($scope.filter.highlightTextBlock) {
        $scope.textBlockOn(iframe1);
      } else {
        $scope.textBlockOff(iframe1);
      }
    };

    $scope.textBlockOn = function(iframe1)
    {
      iframe1.find(".org-ixbrl-selected-element").css({'background-color': '#FFFF00','cursor': 'pointer'});
      iframe1.find(".org-ixbrl-selected-element").removeClass("org-ixbrl-selected-element");

      iframe1.find(".org-ixbrl-element").each(function() {
        $scope.findAllTags($(this), "#FFFF00");
      });
      
      $scope.highlightSearchText(iframe1);

      var isNonFractionElemFound = false;
      iframe1.find(".org-ixbrl-element").each(function(index) { 
        if($(this).children()[0].tagName.toLowerCase() !== "ix:continuation") {
          var name = $(this).children().attr("name");
          var contextRef = $(this).children().attr("contextref");
          var uniqueIdentifier = $(this).attr("id");
      
          if($scope.selectedName == name && $scope.selectedContextRef == contextRef && $scope.selectedUniqueIdentifier == uniqueIdentifier) {
            if(!$(this).children().hasClass("non-numberic")) {
              isNonFractionElemFound = true;
            }
            $(this).css({'background-color': 'greenyellow','cursor': 'pointer'});
            $(this).children().css({'background-color': 'greenyellow','cursor': 'pointer'});
            $(this).addClass("org-ixbrl-selected-element");
            $(this).children().each(function() {
              $scope.findAllTags($(this), "greenyellow");
            });
          
            return false;
          } 
        } 

      });
     
      if(isNonFractionElemFound) {
        return false;
      }

      iframe1.find(".continuation").each(function() {
        $(this).css({'background-color': '#FFFF00','cursor': 'pointer'});
        $(this).children().css({'background-color': '#FFFF00','cursor': 'pointer'});
      });
    
      var isNonNumbericElemFound = false;
      iframe1.find(".non-numberic").each(function() {
        // $(this).css({'background-color': '#FFFF00','cursor': 'pointer'});
        // $(this).children().css({'background-color': '#FFFF00','cursor': 'pointer'});
        var name = $(this).attr("name");
        var contextRef = $(this).attr("contextref");
        var uniqueIdentifier = $(this).parent().attr("id");
        if($scope.selectedName.trim() == name.trim() && $scope.selectedContextRef.trim() == contextRef.trim() && $scope.selectedUniqueIdentifier.trim() == uniqueIdentifier.trim()) {
          isNonNumbericElemFound = true;
          $(this).css({'background-color': 'greenyellow','cursor': 'pointer'});
          $(this).children().css({'background-color': 'greenyellow','cursor': 'pointer'});
          $(this).children().each(function() {
            $scope.findAllTags($(this), "greenyellow");
          });
        } 
      });

      if(isNonNumbericElemFound) {
        iframe1.find("#"+$scope.selectedUniqueIdentifier).find(".non-numberic, .org-ixbrl-element, .continuation").css({'background-color': 'greenyellow','cursor': 'pointer'});
        iframe1.find("#"+$scope.selectedUniqueIdentifier).find(".non-numberic, .org-ixbrl-element, .continuation").children().css({'background-color': 'greenyellow','cursor': 'pointer'});
      }

      $scope.highlightAppendTag(iframe1, $scope.selectedUniqueIdentifier);
  };

  $scope.textBlockOff = function(iframe1) {
    iframe1.find(".non-numberic").each(function() {
      var isTextBlock = $(this).attr("escape");
        if(isTextBlock) {
          $(this).parent().css({'background-color': 'transparent','cursor': 'pointer'});
            $scope.findAllTags($(this), "transparent");
        } else {
          $(this).parent().css({'background-color': '#FFFF00','cursor': 'pointer'});
            $scope.findAllTags($(this), "#FFFF00");
        }
    });

    angular.forEach(continuationTags, function(tagObj) {
      var tagDetail = tagObj.tag_detail;
      if(tagDetail.is_text_block) {
        angular.forEach(tagObj.continuation_ids, function(indexId) {
            iframe1.find("#"+indexId).parent().css({'background-color': 'transparent','cursor': 'pointer'});
            $scope.findAllTags(iframe1.find("#"+indexId), "transparent");
        }); 
      } else {
        angular.forEach(tagObj.continuation_ids, function(indexId) {
            $scope.findAllTags(iframe1.find("#"+indexId), "#FFFF00");
        });
      }  
    });

  };

  $scope.getTextblockMetrics = function()
  {
    $scope.texblockMetrics = $scope.textblockMetricsData;
  };

  $scope.showTextblockReportModal = function() {
    $("#textblockReportModal").modal('show');
  };

  $scope.showGridFilters = function(event) {
      var elm = $(event.currentTarget).children().attr("data-target");
      if(elm == "#fact-viewer") {
        $(".grid-filter").show();
        $(".grid-tag-filter").hide();
      } else if(elm == "#fact-comment") {
        $(".grid-comment-filter").show();
        $(".grid-tag-filter").hide();
      } else if(elm == "#mandatory") {
        $(".grid-tag-filter").show();
        $(".grid-filter").hide();
        $(".grid-comment-filter").hide();
      } else {
        $(".grid-filter").hide();
        $(".grid-comment-filter").hide();
        $(".grid-tag-filter").hide();
      }
  };

  $scope.hideContinuationTagModal = function() {
    $("#continuationTagModal").removeClass("show");
    $("#continuationTagModal").addClass("hide");
    $("#continuationTagBuilder").removeClass("show");
    $("#continuationTagBuilder").addClass("hide");
  };
  
  $scope.getContinuationTags = function(factObj) {
    $scope.continuedAtTag = {};
    if(factObj.ElementType == 1) {
      $scope.hideContinuationTagModal();
      return false;
    }
    
    var uniquePageIdentifier = [];
    var elementIdentifier = "";
    if(typeof factObj.ElementIdentifier === "undefined" || factObj.ElementIdentifier == null) {
      elementIdentifier = factObj.UniqueIdentifier;
    } else {
      elementIdentifier = factObj.ElementIdentifier;
    }

    angular.forEach(continuationTags, function(tagObj) {
      if(tagObj.tag_detail.unique_identifier == elementIdentifier) {
        $scope.continuedAtTag.tag_name = tagObj.tag_detail.name;
        $scope.continuedAtTag.unique_identifier = tagObj.tag_detail.unique_identifier;
        $scope.continuedAtTag.page_identifier = factObj.PageIdentifier;
        uniquePageIdentifier.push($scope.continuedAtTag.page_identifier);
        $scope.continuedAtTag.continuedAt = [];
        angular.forEach(tagObj.continuation_ids, function(id) {
            // $scope.continuedAtTag.continuedAt.push(id);
            angular.forEach(continuationIdentifiers, function(identifierObj) {
                if(identifierObj.ContinuationId == id) {
                  if(uniquePageIdentifier.indexOf(identifierObj.PageIdentifier) == -1) {
                    uniquePageIdentifier.push(identifierObj.PageIdentifier);
                    $scope.continuedAtTag.continuedAt.push({'sequence': identifierObj.Sequence, 'continuation_id': identifierObj.ContinuationId});
                    return false;
                  }
                }
            });
        });
      }
    });
    
    console.log($scope.continuedAtTag.continuedAt);
    if(typeof $scope.continuedAtTag.continuedAt !== "undefined") {
      if($scope.continuedAtTag.continuedAt.length > 0) {
        $("#continuationTagModal").removeClass("hide");
        $("#continuationTagModal").addClass("show");
        $("#continuationTagBuilder").removeClass("show");
        $("#continuationTagBuilder").addClass("hide");
      } else {
        $scope.hideContinuationTagModal();
      }
    } else {
      $scope.hideContinuationTagModal();
    }

  };

  $scope.continuationTagNavigation = function(continuedAt) {
    var continuedAtObj = $("#"+continuedAt);
    continuedAtObj[0].scrollIntoView({block: "center"});
  };

  $scope.nonNumericTagNavigation = function(uniqueIdentifier) {
    var continuedAtObj = $("#"+uniqueIdentifier);
    continuedAtObj[0].scrollIntoView({block: "center"});
  };

  $scope.maximizeContinuationTagModal = function() {
    $("#continuationTagBuilder").removeClass("show");
    $("#continuationTagBuilder").addClass("hide");
    $("#continuationTagModal").removeClass("hide");
    $("#continuationTagModal").addClass("show");
  };

  $scope.minimizeContinuationTagModal = function() {
    $("#continuationTagModal").removeClass("show");
    $("#continuationTagModal").addClass("hide");
    $("#continuationTagBuilder").removeClass("hide");
    $("#continuationTagBuilder").addClass("show");
  };
 
}]);



